<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Billoutsatanding extends CI_Controller {

	public function __construct() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
	}		
	public function blist($fromDate="NIL",$client_id="NIL",$user_id="NIL",$division="NIL",$client_code="NIL") {
		
		
		if (@$this->input->post('fromDate')) {
			$date2 = str_replace('/', '-', $this->input->post("fromDate"));
			$fromDate =   date( "Y-m-d", strtotime($date2));
		}elseif ($fromDate != "NIL") {
			$fromDate	=	$fromDate;
		} else {
			$fromDate	= 'NIL';
			//$fromDate	= '2020-05-28';
		}
		
		if (@$this->input->post('client_id')) {
			$client_id =   $this->input->post("client_id");
		}elseif ($client_id != "NIL") {
			$client_id	=	$client_id;
		} else {
			$client_id	= "NIL";
		}

		if (@$this->input->post('client_code')) {
			$client_code =   $this->input->post("client_code");
		}elseif ($client_code != "NIL") {
			$client_code	=	$client_code;
		} else {
			$client_code	= "NIL";
		}

		if (@$this->input->post('user_id')) {
			$user_id =   $this->input->post("user_id");
		}elseif ($user_id != "NIL") {
			$user_id	=	$user_id;
		} else {
			$user_id	= "NIL";
		}
		if (@$this->input->post('division')) {
			$division =   $this->input->post("division");
		}elseif ($division != "NIL") {
			$division	=	$division;
		} else {
			$division	= "NIL";
		}
		
		
		$config["base_url"] = base_url() . "index.php/mobile/mobile_invoice/list_invoice/".$fromDate."/".$client_id."/".$user_id."/".$user_id;
        $config["total_rows"] = 100000000;
        $config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
		$config['uri_segment'] = 8;
        $this->pagination->initialize($config);
        if ($this->uri->segment(8)) {
            $page = $this->uri->segment(8)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
        //pagging end
        $list='';
		$totalquote_amount=0;
		$totalinvoice_amount=0;
		$totalpaid_amount=0;
		$totaldiscount=0;
		$totalcreditnoteamount=0;
		$totalUnInvoiced_amount=0;
		$totalbalance=0;
		$mxc=0;
		if(!empty($_POST)){

		/* foreach ($this->furniture_quotation_model->openingList($config["per_page"], $page,$fromDate,$client_code,$user_id,$division) as $row) {
			$mxc++;
			$totalquote_amount=$totalquote_amount+0;
			$totalinvoice_amount=$totalinvoice_amount+$row['invoiced_amount'];
			if($row['received_amount']<0){
				$received_amount	=	$row['received_amount']*-1;
			} else {
				$received_amount	=0;
			}
			if($row['cr_amount']<0){
				$cr_amount	=	$row['cr_amount']*-1;
			} else {
				$cr_amount	=0;
			}
			$totalpaid_amount=$totalpaid_amount+$received_amount;
			//$totaldiscount=$totaldiscount+$row->discount;
			$totalcreditnoteamount=$totalcreditnoteamount+$cr_amount;
			//$totalcreditnoteamount=0;
			$totalUnInvoiced_amount=$totalUnInvoiced_amount+(0);
			$totalbalance=$totalbalance+($row['invoiced_amount']-($received_amount+$cr_amount));
			//href="'.base_url().'index.php/invoices_and_receipts/index/'.$row->id.'/'.$row->division_code.'/'.$row->quotation_number.'/'.$row->quotation_revisionnumber.'"

			
			$list.= '<tr>
					<td><a href="'.base_url().'index.php/jobcard/Job_card/printJobCard/'.$row['job_card_id'].'/pdf/without_image/0/0/0"  target="_blank" style="color:#000;" >'.$row['job_card_number'].'</a></td>
					<td> '.$row['quotation_number_full'].' </td>
					<td> '.date("d-M-Y", strtotime($row['job_card_date'])).' </td>
					<td> '.$row['client_name'].' </td>
					<td style="text-align:right !important;"> 0.000 </td>
					<td style="text-align:right !important;"> '.number_format($row['invoiced_amount'],3).' </td>
					<td style="text-align:right !important;"> '.number_format($received_amount,3).' </td>
					<td style="text-align:right !important;"> '.number_format($cr_amount,3).' </td>
					<td style="text-align:right !important;"> '.number_format((0),3).' </td>
					<td style="text-align:right !important;"> '.number_format(($row['invoiced_amount']-($received_amount+$cr_amount)),3).' </td>
					<td> '.$row['sales_man'].' </td>
					</tr>';
		} */

		foreach ($this->furniture_quotation_model->bsList($config["per_page"], $page,$fromDate,$client_id,$user_id,$division) as $row) {
			$mxc++;
			if($row['received_amount']<0){
				$received_amount	=	$row['received_amount']*-1;
			} else {
				$received_amount	=0;
			}
			if($row['cr_amount']<0){
				$cr_amount	=	$row['cr_amount']*-1;
			} else {
				$cr_amount	=0;
			}
			//$totaldiscount=$totaldiscount+$row->discount;
			$totalcreditnoteamount=$totalcreditnoteamount+$cr_amount;
			//$totalcreditnoteamount=0;
			$totalUnInvoiced_amount=$totalUnInvoiced_amount+($row['job_card_amount_with_vat']-$row['invoiced_amount']);
			$totalbalance=$totalbalance+($row['job_card_amount_with_vat']-($received_amount+$cr_amount));
			//href="'.base_url().'index.php/invoices_and_receipts/index/'.$row->id.'/'.$row->division_code.'/'.$row->quotation_number.'/'.$row->quotation_revisionnumber.'"

			if(($row['job_card_amount_with_vat']-($received_amount+$cr_amount))!=0){
				$totalpaid_amount=$totalpaid_amount+$received_amount;
				$totalquote_amount=$totalquote_amount+$row['job_card_amount_with_vat'];
				$totalinvoice_amount=$totalinvoice_amount+$row['invoiced_amount'];
			$list.= '<tr>
					<td><a href="'.base_url().'index.php/jobcard/Job_card/printJobCard/'.$row['job_card_id'].'/pdf/without_image/0/0/0"  target="_blank" style="color:#000;" >'.$row['job_card_number'].'</a></td>
					<td> '.$row['quotation_number_full'].' </td>
					<td> '.date("d-M-Y", strtotime($row['job_card_date'])).' </td>
					<td> '.$row['client_name'].' </td>
					<td style="text-align:right !important;"> '.$row['job_card_amount_with_vat'].' </td>
					<td style="text-align:right !important;"> '.number_format($row['invoiced_amount'],3).' </td>
					<td style="text-align:right !important;"> '.number_format($received_amount,3).' </td>
					<td style="text-align:right !important;"> '.number_format($cr_amount,3).' </td>
					<td style="text-align:right !important;"> '.number_format(($row['job_card_amount_with_vat']-$row['invoiced_amount']),3).' </td>
					<td style="text-align:right !important;"> '.number_format(($row['job_card_amount_with_vat']-($received_amount+$cr_amount)),3).' </td>
					<td> '.$row['sales_man'].' </td>
					</tr>';
			}
		}
		if($mxc==0){
			$list.= '<tr>
					<td colspan="10">No Data exist</td>
					<td style="display:none;"></td>
					<td style="display:none;"></td>
					<td style="display:none;"></td>
					<td style="display:none;"></td>
					<td style="display:none;"></td>
					<td style="display:none;"></td>
					<td style="display:none;"></td>
					<td style="display:none;"></td>
					<td style="display:none;"></td>
					<td>&nbsp;</td>
				</tr>';
		}

		$list.= '<tr>
					<td colspan="4">&nbsp;</td>
					<td style="display:none;"></td>
					<td style="display:none;"></td>
					<td style="display:none;"></td>
					<td style="text-align:right !important;"> <b>'.number_format($totalquote_amount,3).'</b> </td>
					<td style="text-align:right !important;"> <b>'.number_format($totalinvoice_amount,3).'</b> </td>
					<td style="text-align:right !important;"> <b>'.number_format($totalpaid_amount,3).'</b> </td>
					<td style="text-align:right !important;"> <b>'.number_format($totalcreditnoteamount,3).'</b> </td>
					<td style="text-align:right !important;"> <b>'.number_format($totalUnInvoiced_amount,3).'</b> </td>
					<td style="text-align:right !important;"> <b>'.number_format($totalbalance,3).'</b> </td>
					<td>&nbsp;</td>
				</tr>';
	}
		$usr = $this->crud_model->get('users');
		$usrlist = array(0 => ' - Select Sales Man- ');
		foreach($usr as $usrs){
			$usrlist[$usrs['user_id']] = $usrs['user_name'];
		}
		
		$company_division = $this->crud_model->get('company_division');
		if(count($company_division)!=1){
			$company_divisionslist = array(0 => ' - Select Division - ');
		}
		foreach($company_division as $company_divisions){
			$company_divisionslist[$company_divisions['division_id']] = $company_divisions['division_name'];
		}
		
		$datas   =   array("data" => $list,"users"=>$usrlist,"nbuser_id"=>$user_id,"company_division"=>$company_divisionslist,"nbcompany_divisionslist"=>$division);
		
		$this->load->view('templates/header');
		$this->load->view('reports/blist',$datas);
		$this->load->view('templates/footer');		
	}
	public function export_blist($fromDate="NIL",$client_id="NIL",$user_id="NIL",$division="NIL") {
		
		
		if (@$this->input->post('fromDate')) {
			$date2 = str_replace('/', '-', $this->input->post("fromDate"));
			$fromDate =   date( "Y-m-d", strtotime($date2));
		}elseif ($fromDate != "NIL") {
			$fromDate	=	$fromDate;
		} else {
			$fromDate	= date('Y-m-d');
			//$fromDate	= '2020-05-28';
		}
		$fromDate	= date('Y-m-d');
		
		if (@$this->input->post('client_id')) {
			$client_id =   $this->input->post("client_id");
		}elseif ($client_id != "NIL") {
			$client_id	=	$client_id;
		} else {
			$client_id	= "NIL";
		}
		if (@$this->input->post('user_id')) {
			$user_id =   $this->input->post("user_id");
		}elseif ($user_id != "NIL") {
			$user_id	=	$user_id;
		} else {
			$user_id	= "NIL";
		}
		if (@$this->input->post('division')) {
			$division =   $this->input->post("division");
		}elseif ($division != "NIL") {
			$division	=	$division;
		} else {
			$division	= "NIL";
		}
		if ($this->uri->segment(7)) {
            $page = $this->uri->segment(7)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
		$list	='';
		$details    =   array();
		$totalquote_amount=0;
		$totalinvoice_amount=0;
		$totalpaid_amount=0;
		$totaldiscount=0;
		$totalUnInvoiced_amount=0;
		$totalbalance=0;
		foreach($this->furniture_quotation_model->billoutstandinglist2(1000000000000, 0,$fromDate,$client_id,$user_id,$division) as $record){
			$totalquote_amount=$totalquote_amount+$record['quote_amount'];
			$totalinvoice_amount=$totalinvoice_amount+$record['invoice_amount'];
			$totalpaid_amount=$totalpaid_amount+$record['paid_amount'];
			$totaldiscount=$totaldiscount+$record['discount'];
			$totalUnInvoiced_amount=$totalUnInvoiced_amount+$record['UnInvoiced_amount'];
			$totalbalance=$totalbalance+$record['balance'];
			$new   =   array(
				$i++,
				$record['qout_no'],
				date("d-M-Y", strtotime($record['quotation_confirmationdate'])),
				$record['client_name'],
				$record['quote_amount'],
				$record['invoice_amount'],
				$record['paid_amount'],
				$record['discount'],
				$record['UnInvoiced_amount'],
				$record['balance'],
				$record['salesman'],
			);
			array_push($details,$new);
		}
		
		$new2   =   array(
				"",
				"",
				"",
				"",
				$totalquote_amount,
				$totalinvoice_amount,
				$totalpaid_amount,
				$totaldiscount,
				$totalUnInvoiced_amount,
				$totalbalance,
			);
			array_push($details,$new2);

		$head   =   array(
				"Sl No",
				"Quotation No",
				"Confirmation Date",
				"Client",
				"Quotation Amount",
				"Invoice Amount",
				"Paid Amount",
				"Discounts",
				"UnInvoiced Amount",
				"Balance",
				"Sales man",
			);
			$this->load->library('Excel');
			$Excel = new Excel;
			$Excel->export($head, $details, 0, "BillOutstanding");
		
	}	
}
?>