<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Inv_reports extends CI_Controller {

	public function __construct() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
	
	 }	
	
	
	public function index($status='') 
	{
	        $client_list = $this->crud_model->get_list('client_id','client_name','new_client_master',array('0'=>' - Select - '));
			$data['client_list'] = $client_list;
			$data['invoice_list']=false;
			
			if($this->input->post('user_id') and $this->input->post('user_id')!="0" ) {
				$nbuser_id = @$this->input->post('user_id');
			} else {
				$nbuser_id='';
			}
			
			if($status == "result" ) 
		      {
		    $this->load->library('form_validation');
 	        
	         $this->form_validation->set_rules('report_date_from', 'Date', 'required');
			$this->form_validation->set_rules('report_date_to', 'Date', 'required');
			$error_flag = false;
			$error_msg = '';
			$client_id = $this->input->post('client_id');
			
		    $from=$this->input->post('report_date_from') ;
			$to= $this->input->post('report_date_to'); 
				
			$error_flag = false;
			$error_msg = '';
			if(!$client_id) 
			{
				$error_msg = '<p>Please select a client first.</p>';
				$error_flag = true;
			}
			
			
			
			if ($this->form_validation->run() == FALSE || $error_flag) 
			{
				// false section
				$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().$error_msg.'</div>',':old:');
				$data['records'] = false;
			}				 
			else  
		   {
			$data['records'] = false;
			$client_id = $this->input->post('client_id');
		    $from=$this->input->post('report_date_from') ;
			$to= $this->input->post('report_date_to'); 
			if($this->input->post('division') and $this->input->post('division')!="select" ) {
				$division = $this->input->post('division');
			} else {
				$division='select';
			}
			
			
			
			$this->load->model('invoice_model');
		    $data['invoice_list'] =$this->invoice_model->invoice($from,$to,$client_id,$division,$nbuser_id);
			$data['invoice_list22'] =$this->invoice_model->invoice22($from,$to,$client_id,$division,$nbuser_id);
			$data['from'] = $from;
		 	$data['to'] = $to;
			$data['submitted_division_id'] = $division;
			$query = $this->db->get('company_details');  
			$data['company_details'] = $query->row();
			$this->db->select('client_name,client_address');
			$this->db->from('new_client_master');
			$this->db->where('client_id', $client_id); 
			$client_query = $this->db->get();
			$data['client_details'] = $client_query->row();
		  }
	
		}
		
		
		
		$division_list = $this->crud_model->get_list('division_id','division_name','company_division',array('select'=>' - Select - '));
		$data['division_list'] = $division_list;
		$usr = $this->crud_model->get('users');
		$list = array(0 => ' - Select - ');
		foreach($usr as $usrs){
			$list[$usrs['user_id']] = $usrs['user_name'];
		}
		$data['users'] = $list;
		
		$data['submitted_client_id'] = $this->input->post('client_id');
		$data['submitted_user_id'] = $nbuser_id;
		$this->load->view('templates/header');
		$this->load->view('reports/invoice_reports',$data);
		$this->load->view('templates/footer');
		
		    
	}
/*	function date_check($data) {
		$given_date = strtotime($data);
		$today_date = strtotime(date('Y-m-d'));
		 echo date('Y-m-d',$given_date);
//		 echo date('Y-m-d',$today_date);
//		exit ; 
		if($given_date <= $today_date){
			//true
			return true;
		}
		else{
			//false
			$this->form_validation->set_message('date_check', 'Date cannot be future date');
			return FALSE;
		}

	}*/
	public function print_details($client_id="",$from1="",$to1="",$division="select",$nbuser_id="") 
	{
	
			$from = str_replace("-","/", $from1);
			$to = str_replace("-","/", $to1);
			
	        $client_list = $this->crud_model->get_list('client_id','client_name','new_client_master',array('0'=>' - Select - '));
			$data['client_list'] = $client_list;
			$data['invoice_list']=false;
			$error_flag = false;
			$error_msg = '';
			
			if(!$client_id) {
				$error_msg = '<p>Please select a client first.</p>';
				$error_flag = true;
			}
			
			$data['records'] = false;
			$this->load->model('invoice_model');
		        $data['invoice_list'] =$this->invoice_model->invoice($from,$to,$client_id,$division,$nbuser_id);
                        $data['invoice_list22'] =$this->invoice_model->invoice22($from,$to,$client_id,$division,$nbuser_id);
			$data['from'] = $from;
		 	$data['to'] = $to;
			
			$this->db->select('logo_filename');
			$this->db->from('company_division');
			$this->db->where('division_id', $division); 
			$division_query = $this->db->get();
			$data['division_logo'] = $division_query->row();
			
			
			$query = $this->db->get('company_details');  
			$data['company_details'] = $query->row();
			$this->db->select('client_name,client_address');
			$this->db->from('new_client_master');
			$this->db->where('client_id', $client_id); 
			$client_query = $this->db->get();
			$data['client_details'] = $client_query->row();
			$data['submitted_client_id'] = $client_id;
			$data['submitted_division_id'] = $division;
			$data['submitted_user_id'] = $nbuser_id;
			$this->load->view('reports/print_invoice_reports',$data);
		
		    
	}
	public function cancel_print_details($client_id="",$from1="",$to1="",$division="select",$nbuser_id="") 
	{
	
			$from = str_replace("-","/", $from1);
			$to = str_replace("-","/", $to1);
			
	        $client_list = $this->crud_model->get_list('client_id','client_name','new_client_master',array('0'=>' - Select - '));
			$data['client_list'] = $client_list;
			$data['invoice_list']=false;
			$error_flag = false;
			$error_msg = '';
			
			if(!$client_id) {
				$error_msg = '<p>Please select a client first.</p>';
				$error_flag = true;
			}
			
			$data['records'] = false;
			$this->load->model('invoice_model');
		    $data['invoice_list'] =$this->invoice_model->invoice($from,$to,$client_id,$division,$nbuser_id);
                        $data['invoice_list22'] =$this->invoice_model->invoice22($from,$to,$client_id,$division,$nbuser_id);
			$data['from'] = $from;
		 	$data['to'] = $to;
			$query = $this->db->get('company_details');  
			$data['company_details'] = $query->row();
			$this->db->select('client_name,client_address');
			$this->db->from('new_client_master');
			
			$this->db->where('client_id', $client_id); 
			$client_query = $this->db->get();
			$data['client_details'] = $client_query->row();
			$data['client_name'] = $client_query->row()->client_name;
			$division_list = $this->crud_model->get_list('division_id','division_name','company_division',array('select'=>' - Select - '));
		$data['division_list'] = $division_list;
			$data['submitted_client_id'] = $client_id;
			$data['submitted_division_id'] = $division;
			$data['submitted_user_id'] = $nbuser_id;
			
			$usr = $this->crud_model->get('users');
		$list = array(0 => ' - Select - ');
		foreach($usr as $usrs){
			$list[$usrs['user_id']] = $usrs['user_name'];
		}
		$data['users'] = $list;
			
			$this->load->view('templates/header');
			$this->load->view('reports/invoice_reports',$data);
			$this->load->view('templates/footer');
		
		    
	}
		
}

?>