<?php
class Quick_menu extends CI_Controller {
	public function __construct() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','Unauthorised access. Login required.');
			redirect('login');
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->config->load('arrays');
	}

	function create($user_id,$group_id)
	{
		//$this->users_model->permission("Quick_menu", "Add");
		$title['headerTitle']="Quick Menu";
		$query= $this->db->query("SELECT user_id,user_name FROM `users` WHERE `user_id`='$user_id' ");
		$ListData	=	$query->result_array();
		$data['records']    = $query->result_array();
		$data['user_id']    = $ListData[0]['user_id'];
		$data['username']    = $ListData[0]['user_name'];
		$query2= $this->db->query("SELECT c.group_by as group_by,cg.name as group_name,c.sub_group,c.controller_name,c.full_option FROM `permission` p inner join controllers c on c.controller_name=p.controller inner join controller_group cg on cg.id=c.group_by WHERE p.`user_id` = '".$user_id."' and c.group_by = '".$group_id."' group by c.group_by order by c.group_by ");
		$data['fiels_list']	=$query2->result_array();
		//$this->load->view('header');
		//$this->load->view('sidebar');
		$query3= $this->db->query("SELECT * FROM `controller_sub_group` WHERE 1");
		$data['sub_group_records']	=$query3->result();
		$data['group_id']    = $group_id;
		$query4 = $this->db->query("SELECT * FROM `permission` WHERE  `is_quick_menu` = 1 AND `user_id`='$user_id' AND `group_id`= $group_id  ORDER BY `sort_by` ASC");
        $data['sortmenu'] = $query4->result_array();
		$data['controllersname'] = $this->getcontrollers();
		$this->load->view('templates/header',$title);
		$this->load->view('admin/users/quick_menu',$data);
		$this->load->view('templates/footer');
	}

	function permission_details(){
		$user_id = $this->input->post('user');
		$group_id = $this->input->post('group_id');
		$query = $this->db->query("SELECT * FROM `permission` WHERE `user_id`='$user_id' AND `group_id`='$group_id' ");
		$permission_list = $query->result_array();
		if($permission_list!=false){
			echo json_encode($permission_list);
		}
	}
	function controller_details(){
		$group_id = $this->input->post('group_id');
		$controller_count = $this->crud_model->get_count('controllers',array('group_by'=>$group_id));
		if($controller_count!=false){
			echo $controller_count;
		}
	}


	public function sortMenu(){
		$permission_id = $this->input->post('sort_data');
		$user_id = $this->input->post('user_id');
		$group_id = $this->input->post('group_id');
		$sortno = 1;
		$this->db->query("UPDATE `permission` SET `is_quick_menu` = 0 ,`sort_by` = 0  WHERE  `user_id` = '$user_id' AND `group_id` = '$group_id' AND `permission_id` != ''");
		foreach ($permission_id as $permission) {
			$updateqry = $this->db->query("UPDATE `permission` SET `is_quick_menu` = 1 ,`sort_by` ='$sortno'  WHERE  `permission_id` = '$permission'");
			$sortno++;
		}
		if($updateqry === TRUE){
			echo json_encode('success');
		}
		else
		{
			echo json_encode('error');
		}
	}

	public function getcontrollers(){
		$query = $this->db->query("SELECT * FROM `controllers`");
		return $query->result_array();
	}

}
