<?php
 if (!defined('BASEPATH')) exit('No direct script access allowed');
 
class Update_job_status extends CI_Controller {

	public function __construct(){
		parent::__construct();// you have missed this line.\
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','Unauthorised access. Login required.');
			redirect('Login');
		}    
	}

	public function listEmployeewise(){
		$title['headerTitle']="Job Update - Employeewise List";
		$this->data['employee_datas'] = $this->furniture_quotation_model->get_all_job_update_employeewise_list();
		$this->load->view('templates/header',$title);
		$this->load->view('furniture/quotations/jobcard/listEmployeewise',$this->data);
		$this->load->view('templates/footer');
	}

	public function search_item() {
		$job_id	=	$this->input->post('job_id');
		$item	=	$this->input->post('item');
		$today	=	date("Y-m-d");
		$html	='';
		$sql="";
		//$client_contact_data = $this->db->query("SELECT SD.job_card_no,SD.sl_no,SD.job_card_details_id,SD.item_id,SD.department_id,SD.status,I.item_name FROM `set_departments` SD INNER JOIN `items` I ON I.id=SD.item_id WHERE SD.`job_card_id`='$job_id' AND (I.item_name LIKE '%$item%' or SD.sl_no LIKE '%$item%' )  AND (SD.status='2' or SD.status='3') group by SD.item_id limit 25 ");
		$client_contact_data = $this->db->query("SELECT SD.job_card_no,SD.sl_no,SD.job_card_details_id,SD.item_id,SD.department_id,SD.status,SD.item_name FROM `set_departments` SD WHERE SD.`job_card_id`='$job_id' AND (SD.item_name LIKE '%$item%' or SD.sl_no LIKE '%$item%' )  AND (SD.status='2' or SD.status='3') group by SD.item_id limit 25 ");
		$n=1;
		if(count($client_contact_data->result_array())>0){
			$html ='';
			foreach ($client_contact_data->result_array() as $client_contact_datas){
				$html.='<li class="employee_button"  tabindex="'.$n++.'" ><input type="hidden" class="pop_sl_no" value="'.$client_contact_datas['sl_no'].'" /><input type="hidden" class="job_card_no" value="'.$client_contact_datas['job_card_no'].'" /><input type="hidden" class="item_name" value="'.$client_contact_datas['item_name'].'" /><input type="hidden" class="pop_item_id" value="'.$client_contact_datas['item_id'].'" /><input type="hidden" class="pop_job_card_details_id" value="'.$client_contact_datas['job_card_details_id'].'" />'.$client_contact_datas['item_name'].'</li>';
			}
		} else {
			$html.='<li style="color:red;" class="no_result_button" > No Results Found </li>';
		}
		print $html;
		//print ("SELECT SD.job_card_no,SD.sl_no,SD.item_id,SD.department_id,SD.status,I.item_name FROM `set_departments` SD INNER JOIN `items` I ON I.id=SD.item_id WHERE SD.`job_card_id`='$job_id' AND (I.item_name LIKE '%$item%' or SD.sl_no LIKE '%$item%' )  AND (SD.status='2' or SD.status='3') limit 25 ");
	}

	public function getDepartments() {
		$job_id	=	$this->input->post('job_id');
		$item_id	=	$this->input->post('item_id');
		$sl_no	=	$this->input->post('sl_no');
		$today	=	date("Y-m-d");
		$html	='<select name="department[]" id="department" class="form-control form-select department department_123">
		<option value="0" data-status="0" data-set-id=""  > - Select - </option>';
		$client_contact_data = $this->db->query("SELECT SD.id,SD.job_card_no,SD.sl_no,SD.item_id,SD.department_id,SD.status,DM.department_name FROM `set_departments` SD INNER JOIN department_master DM ON DM.department_id=SD.department_id WHERE SD.`job_card_id`='$job_id' AND  SD.sl_no='$sl_no' AND (SD.status='2' or SD.status='3') ");
		$n=1;
		if(count($client_contact_data->result_array())>0){
			foreach ($client_contact_data->result_array() as $client_contact_datas){
				$html.='<option value="'.$client_contact_datas['department_id'].'" data-status="'.$client_contact_datas['status'].'" data-set-id="'.$client_contact_datas['id'].'"  >'.$client_contact_datas['department_name'].'</option>';
			}
		}
		$html.='</select>';
		print $html;
	}

	function create() {
		$title['headerTitle']="Job Update - Status";
		$this->form_validation->set_rules('job_id[]', 'id', 'required');
		//$this->form_validation->set_rules('employee_id[]', 'Employee', 'required');

		if ($this->form_validation->run() == FALSE) {
			$this->session->set_flashdata('response',''.validation_errors().'',':old:');
			$this->load->view('templates/header',$title);
			$this->load->view('furniture/quotations/jobcard/update_job_status');
			$this->load->view('templates/footer');
		} else {
			$employee = $this->input->post('employee');
			$set_id = $this->input->post('set_id');
			$job_status = $this->input->post('job_status');
			$job_no = $this->input->post('job_no');
			$job_id = $this->input->post('job_id');
			$job_card_details_id = $this->input->post('job_card_details_id');
			$normal_ot = $this->input->post('normal_ot');
			$work_done_date	=	date("Y-m-d h:m:s", strtotime($this->input->post('work_done_date')));
			for($i=0; $i<count($job_status); $i++){	
				if($job_status[$i]!=="" && $set_id[$i]!=="" && $set_id[$i]!=="0"){
					$where=array('id'  => $set_id[$i]);
					$accounts_data = array(
						'status' => $job_status[$i],
					);
					$this->crud_model->update('set_departments',$accounts_data,$where);
					if($job_status[$i]==='2'){
						$xs='Started';
					} else {
						$xs='Completed';
					}
					$log_data=array(
						'trans_no'  	=>  $job_no[$i],
						'trans_type'  	=>  'Job Card',
						'trans_op'  	=>  $xs,
						'job_card_details_id'  	=>   $job_card_details_id[$i],
						'dept_id'  	=>  $department[$i],
						'trans_user_id' =>  $this->session->userdata('user_id')
					);
					$log_for_transactions=$this->crud_model->insert('log_for_job_update',$log_data);

				}		
			}
			//redirect('jobcard/Update_job_status/create');
		}
	}
	function update() {
		$employee = $this->input->post('employee');
		$set_id = $this->input->post('set_id');
		$job_status = $this->input->post('job_status');
		$job_no = $this->input->post('job_no');
		$job_id = $this->input->post('job_id');
		$job_card_details_id = $this->input->post('job_card_details_id');
		$department = $this->input->post('department');
		for($i=0; $i<count($job_status); $i++){	
			if($job_status[$i]!=="" && $set_id[$i]!=="" && $set_id[$i]!=="0"){
				$where=array('id'  => $set_id[$i]);
				$accounts_data = array(
					'status' => $job_status[$i],
				);
				$this->crud_model->update('set_departments',$accounts_data,$where);
				if($job_status[$i]==='2'){
					$xs='Started';
				} else {
					$xs='Completed';
				}
				$log_data=array(
					'trans_no'  	=>  $job_no[$i],
					'trans_type'  	=>  'Job Card',
					'trans_op'  	=>  $xs,
					'job_card_details_id'  	=>   $job_card_details_id[$i],
					'dept_id'  		=>  $department[$i],
					'trans_date'  	=>  date('Y-m-d H:i:s'),
					'trans_user_id' =>  $this->session->userdata('user_id')
				);
				$log_for_transactions=$this->crud_model->insert('log_for_job_update',$log_data);
			}		
		}
		redirect('jobcard/Update_job_status/create');
	}


	function edit($id,$employee_id) {
		$title['headerTitle']="Job Update - Employeewise";
		$this->form_validation->set_rules('work_done_date', 'Date', 'required');
		//$this->form_validation->set_rules('employee_id[]', 'Employee', 'required');

		if ($this->form_validation->run() == FALSE) {
			$data['empData'] = $this->crud_model->get('employee',array('employee_id' => $employee_id)); 

			$this->db->select('JUE.id,JUE.work_done_date,JUE.job_card_id,JUE.job_number,JUE.normal_hours,JUE.normal_ot,JUE.employee_id,N.client_name,JC.project_name' );
			$this->db->from('job_update_employeewise AS JUE');
			$this->db->join('job_card AS JC','JC.id = JUE.job_card_id','inner');
			$this->db->join('new_client_master AS N','N.client_id = JC.client_id','inner');
			$this->db->where('JUE.`id`', $id);
			$rs = $this->db->get();
			$data['dbData'] =	$rs->result_array();
			$this->session->set_flashdata('response',''.validation_errors().'',':old:');
			$this->load->view('templates/header',$title);
			$this->load->view('furniture/quotations/jobcard/edit_employeewise',$data);
			$this->load->view('templates/footer');
		} else {
			$where=array('id'  => $id);
			$employee = $this->input->post('employee');
			$xxemployee_id = $this->input->post('employee_id');
			$employee_no = $this->input->post('employee_no');
			$job_no = $this->input->post('job_no');
			$job_id = $this->input->post('job_id');
			$normal_hours = $this->input->post('normal_hours');
			$normal_ot = $this->input->post('normal_ot');
			$work_done_date	=	date("Y-m-d h:m:s", strtotime($this->input->post('work_done_date')));
			for($i=0; $i<count($xxemployee_id); $i++){	
				if($xxemployee_id[$i]!=="" && $job_no[$i]!=="" && $job_id[$i]!==""){
					$employee_id	=	$xxemployee_id[$i];
					$accounts_data = array(
						'work_done_date' => $work_done_date,
						'employee_id' => $xxemployee_id[$i],
						'job_number'  => $job_no[$i],
						'job_card_id' => $job_id[$i],
						'normal_hours'=> $normal_hours[$i],
						'normal_ot'	  => $normal_ot[$i],
						'user_id' 	  => $this->session->userdata("user_id")
					);
					$rr=$this->crud_model->update('job_update_employeewise',$accounts_data,$where);
				}		
			}
			redirect('jobcard/Job_update_employeewise/edit/'.$id.'/'.$employee_id);
		}
	}

	public function search_employee() {
		$employee	=	$this->input->post('employee');
		$today	=	date("Y-m-d");
		$html	='';
		$sql="";
		$employees = explode(" ", trim($employee));
		for($i=0;$i<count($employees);$i++) {
			$r	= $employees[$i];
			$sql.=" and employee_name LIKE '%$r%' ";
		}
		$client_contact_data = $this->db->query("SELECT * FROM `employee` where `employee_status`='active' and `employee_name` like '$employee%'   union (SELECT * FROM `employee` where `employee_status`='active' and `employee_id` not in (SELECT `employee_id` FROM `employee` where `employee_status`='active' and `employee_name` like '$employee%' ) ".$sql." order by employee_name) limit 25 ");
		$n=1;
		if(count($client_contact_data->result_array())>0){
			$html ='';
			foreach ($client_contact_data->result_array() as $client_contact_datas){
				$html.='<li value="' .$client_contact_datas['employee_id'].'" class="employee_button"  tabindex="'.$n++.'" ><input type="hidden" class="employee_id" value="'.$client_contact_datas['employee_id'].'" /><input type="hidden" class="employee_no" value="'.$client_contact_datas['employee_number'].'" /><input type="hidden" class="employee_name" value="'.$client_contact_datas['employee_name'].'" /><input type="hidden" class="designation" value="'.$client_contact_datas['designation'].'" /><input type="hidden" class="employee_photo" value="'.$client_contact_datas['employee_photo'].'" />'.$client_contact_datas['employee_name'].'</li>';
			}
		} else {
			$html.='<li style="color:red;" class="no_result_button" > No Results Found </li>';
		}
		print $html;
	}

	public function search_job_no() {
		$client	=	$this->input->post('client');
		$today	=	date("Y-m-d");
		$html	='';
		$sql="";
		$client_contact_data = $this->db->query("SELECT * FROM `view_furniture_job_card` where `job_card_status`='Draft' AND ( `job_card_number` like '%$client%' OR `client_name` like '%$client%' OR `project_name` like '%$client%'  ) order by client_name limit 25 ");
		$n=1;
		if(count($client_contact_data->result_array())>0){
			$html='<tr class="no_result_button" tabindex="-1"><th><b>Name</b></th><th><b>Project</b></th><th><b>Job No</b></th></tr>';
			foreach ($client_contact_data->result_array() as $client_contact_datas){
				$html.='<tr tabindex="-1" ><td class="client_button" ><input type="hidden" class="nbcli_id" value="' .$client_contact_datas['client_id'].'" /><input type="hidden" class="client_name" value="'.$client_contact_datas['client_name'].'" /><input type="hidden" class="project_name" value="'.$client_contact_datas['project_name'].'" /><input type="hidden" class="job_card_number" value="'.$client_contact_datas['job_card_number'].'" /><input type="hidden" class="job_card_id" value="'.$client_contact_datas['job_card_id'].'" /> '.$client_contact_datas['client_name'].'</td><td>'.$client_contact_datas['project_name'].'</td><td>'.$client_contact_datas['job_card_number'].'</td></tr>';
			}
		} else {
			$html.='<tr class="no_result_button" tabindex="-1"><td style="color:red;" colspan="3" > No Results Found </td></tr>';
		}
		print $html;
	}

} // Closing of main class
?>