<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Employee extends CI_Controller {

	public function __construct()
	{
		parent::__construct();// you have missed this line.\
		if(!$this->session->userdata('user_logged_in'))
		{
			$this->session->set_flashdata('response','Unauthorised access. Login required.');
			redirect('Login');
		}
		$this->load->model('EnquiryModel');
	}
	


	public function listEmployee(){
		$title['headerTitle']="Employee List";
		$this->data['employee_datas'] = $this->furniture_quotation_model->get_all_employees();
		$this->load->view('templates/header',$title);
		$this->load->view('masters/employee/listEmployee',$this->data);
		$this->load->view('templates/footer');
	}

	

	public function editEmployee($employee_id,$type=NULl){
		$title['headerTitle']="Employee Edit";
		$this->form_validation->set_rules('prospect_name', 'Prospect Name', 'required');
		$this->form_validation->set_rules('enquiry_souce_id', 'Souce of Enquiry', 'required');
		

		$where=array(
			'employee_id' => $employee_id
		);
		$records=$this->crud_model->get_employee_details($where); 

		if($records != false){
			
			if ($this->form_validation->run() == FALSE)
			{
				$list = $this->crud_model->get_list('id','Country','country_master',array(''=>' - Select - '));
				$data['country_list'] = $list;
				$list2 = $this->crud_model->get_list2('department_id','department_name','department_master',array(''=>'- Select Department -'),array('status'=>1),'department_name','asc');
				$data['department_list'] = $list2;


				if($records[0]['date_of_birth']=="0000-00-00" ){
					$date_of_birth = "";
				}else{
					$date_of_birth = date("d-m-Y", strtotime($records[0]['date_of_birth']));
				}
				if($records[0]['cpr_expiry']=="0000-00-00"){
					$cpr_expiry = "";
				}else{
					$cpr_expiry = date("d-m-Y", strtotime($records[0]['cpr_expiry']));
				}
				if($records[0]['passport_issue_date']=="0000-00-00"){
					$passport_issue_date = "";
				}else{
					$passport_issue_date = date("d-m-Y", strtotime($records[0]['passport_issue_date']));
				}
				if($records[0]['passport_expiry_date']=="0000-00-00"){
					$passport_expiry_date = "";
				}else{
					$passport_expiry_date = date("d-m-Y", strtotime($records[0]['passport_expiry_date']));
				}
				if($records[0]['visa_expiry_date']=="0000-00-00"){
					$visa_expiry_date = "";
				}else{
					$visa_expiry_date = date("d-m-Y", strtotime($records[0]['visa_expiry_date']));
				}
				if($records[0]['contract_start_date']=="0000-00-00"){
					$contract_start_date = "";
				}else{
					$contract_start_date = date("d-m-Y", strtotime($records[0]['contract_start_date']));
				}
				if($records[0]['contract_expiry_date']=="0000-00-00"){
					$contract_expiry_date = "";
				}else{
					$contract_expiry_date = date("d-m-Y", strtotime($records[0]['contract_expiry_date']));
				}
				if($records[0]['driving_licence_expiry']=="0000-00-00"){
					$driving_licence_expiry = "";
				}else{
					$driving_licence_expiry = date("d-m-Y", strtotime($records[0]['driving_licence_expiry']));
				}
				if($records[0]['date_of_joining']=="0000-00-00"){
					$date_of_joining = "";
				}else{
					$date_of_joining = date("d-m-Y", strtotime($records[0]['date_of_joining']));
				}
				if($records[0]['date_of_termination']=="0000-00-00"){
					$date_of_termination = "";
				}else{
					$date_of_termination = date("d-m-Y", strtotime($records[0]['date_of_termination']));
				}
				
				$data['employee_id']			= 	$records[0]['employee_id'];
				$data['employee_department_id']	= 	$records[0]['employee_department_id'];
				$data['employee_number']		= 	$records[0]['employee_number'];
				$data['employee_nick_name']		= 	$records[0]['employee_nick_name'];
				$data['home_address']			= 	$records[0]['home_address'];
				$data['nationality']			= 	$records[0]['nationality'];
				$data['direct_number']			= 	$records[0]['direct_number'];
				$data['contact_person']			= 	$records[0]['contact_person'];
				$data['personal_email']			= 	$records[0]['personal_email'];
				$data['employee_name']			= 	$records[0]['employee_name'];
				$data['address']				= 	$records[0]['address'];
				$data['gender']					= 	$records[0]['gender'];
				$data['date_of_birth']			= 	$date_of_birth;
				$data['email_id']				= 	$records[0]['email_id'];
				$data['contact_number']			= 	$records[0]['contact_number'];
				$data['blood_group']			= 	$records[0]['blood_group'];
				$data['father_name']			= 	$records[0]['father_name'];
				$data['designation']			= 	$records[0]['designation'];
				$data['function']				= 	$records[0]['function'];
				$data['location']				= 	$records[0]['location'];
				$data['spouse_name']			= 	$records[0]['spouse_name'];
				$data['date_of_joining']		= 	$date_of_joining;
				$data['employee_status']		= 	$records[0]['employee_status'];
				$data['bank_name']				= 	$records[0]['bank_name'];
				$data['bank_branch']			= 	$records[0]['bank_branch'];
				$data['account_no']				= 	$records[0]['account_no'];
				$data['iban_no']				= 	$records[0]['iban_no'];
				$data['cpr_number']				= 	$records[0]['cpr_number'];
				$data['driving_licence_number']	= 	$records[0]['driving_licence_number'];
				$data['cpr_expiry']				= 	$cpr_expiry;
				$data['driving_licence_expiry']	= 	$driving_licence_expiry;
				$data['passport_number']		= 	$records[0]['passport_number'];
				$data['country_of_issue']		= 	$records[0]['country_of_issue'];
				$data['passport_issue_date']	= 	$passport_issue_date;
				$data['passport_expiry_date']	= 	$passport_expiry_date;
				$data['visa_number']			= 	$records[0]['visa_number'];
				$data['visa_expiry_date']		= 	$visa_expiry_date;
				$data['work_permit_number']		= 	$records[0]['work_permit_number'];
				$data['contract_start_date']	= 	$contract_start_date;
				$data['contract_expiry_date']	= 	$contract_expiry_date;
				$data['basic_salary']			= 	$records[0]['basic_salary'];
				$data['deduction']				= 	$records[0]['deduction'];
				$data['other_overhead']			= 	$records[0]['other_overhead'];
				$data['overtime']				= 	$records[0]['overtime'];
				$data['note_1']					= 	$records[0]['note_1'];
				$data['note_2']					= 	$records[0]['note_2'];
				$data['note_3']					= 	$records[0]['note_3'];
				$data['date_of_termination']		= 	$date_of_termination;
				$data['termination_reason']					= 	$records[0]['termination_reason'];
				$data['office_tel']					= 	$records[0]['office_tel'];
				$data['local_land_line']					= 	$records[0]['local_land_line'];
				$data['contact_person_no']					= 	$records[0]['contact_person_no'];
				$data['home_contact_person']					= 	$records[0]['home_contact_person'];
				$data['home_contact_person_no']					= 	$records[0]['home_contact_person_no'];
				$data['bank_id']		= 	$records[0]['bank_name'];
				$data['branch_id']		= 	$records[0]['bank_branch'];
				$data['employee_photo']		= 	$records[0]['employee_photo'];
				$data['status'] 			= 	$type;

				$data['statutory_files'] 			= $this->crud_model->get("statutory_files",$where);
				$data['passport_files']  			= $this->crud_model->get("passport_files",$where);
				$data['contract_files']  			= $this->crud_model->get("contract_files",$where);

				$this->load->view('templates/header',$title);
				$this->load->view('masters/employee/editEmployee',$data);
				$this->load->view('templates/footer');
			}
		}
	}

	public function createEmployee(){
		$this->form_validation->set_rules('employee_department_id','Department','required');
		$this->form_validation->set_rules('employee_number', 'Employee Number', 'required');
		$this->form_validation->set_rules('employee_name', 'Employee Name', 'required');

		if ($this->form_validation->run() == FALSE)
		{
			$title['headerTitle']="Employee Create";
			$list = $this->crud_model->get_list('id','Country','country_master',array(''=>' - Select - '));
			$data['country_list'] = $list;
			$list2 = $this->crud_model->get_list2('department_id','department_name','department_master',array(''=>'- Select Department -'),array('status'=>1),'department_name','asc');
			$data['department_list'] = $list2;

			$employee_count  = $this->crud_model->get_count('employee');
			$data['employee_number']='E'.($employee_count+10001);

			$this->load->view('templates/header',$title);
			$this->load->view('masters/employee/createEmployee',$data);
			$this->load->view('templates/footer');
		} else {
			if($this->input->post('date_of_birth')!=""){
				$date_of_birth = date("Y-m-d", strtotime($this->input->post('date_of_birth')));
			}else{
				$date_of_birth = "";
			}
			if($this->input->post('date_of_joining')!=""){
				$date_of_joining = date("Y-m-d", strtotime($this->input->post('date_of_joining')));
			}else{
				$date_of_joining = "";
			}
			if($this->input->post('date_of_termination')!=""){
				$date_of_termination = date("Y-m-d", strtotime($this->input->post('date_of_termination')));
			}else{
				$date_of_termination = "";
			}

			$employee_count  = $this->crud_model->get_count('employee');
			$employee_number='E'.($employee_count+10001);

			$path = FCPATH."images/employee";
			$config['upload_path'] = $path;
			$config['allowed_types'] = 'jpg|jpeg|png';
			$config['max_size'] = '500';
			$config['overwrite'] = FALSE;
			$config['file_name'] = date("YmdHis").'-'.rand(100000, 999999);
			$this->load->library('upload', $config);
			
			if ($_FILES['Image']['name']!=''){
				if (!$this->upload->do_upload('Image')) {
					$uploadImage	='';
				}else{
					$upload_data  =   $this->upload->data();
					$uploadImage = $upload_data['file_name'];
				}
			} else {
				$uploadImage	=@$this->input->post('Image2');
			}
			
			$data=array(
				'employee_department_id' => $this->input->post('employee_department_id'),
				'employee_name'     => $this->input->post('employee_name'),
				'employee_nick_name'=> $this->input->post('employee_nick_name'),
				'employee_number'   => $employee_number,
				'home_address'   	=> $this->input->post('home_address'),
				'nationality'   	=> $this->input->post('nationality'),
				'contact_person'   	=> $this->input->post('contact_person'),
				'personal_email'   	=> $this->input->post('personal_email_id'),
				'designation'       => $this->input->post('designation'),
				'function' 			=> $this->input->post('function'),
				'location'    		=> $this->input->post('location'),
				'gender' 			=> $this->input->post('gender'),
				'date_of_birth'     => $date_of_birth,
				'blood_group' 		=> $this->input->post('blood_group'),
				'spouse_name' 		=> $this->input->post('spouse_name'),
				'date_of_joining' 	=> $date_of_joining,
				'employee_status' 	=> $this->input->post('status'),
				'bank_name' 		=> $this->input->post('bank_name'),
				'bank_branch' 		=> $this->input->post('bank_branch'),
				'account_no' 		=> $this->input->post('account_no'),
				'iban_no' 			=> $this->input->post('iban_no'),
				'address'    		=> $this->input->post('address'),
				'contact_number' 	=> $this->input->post('contact_number'),
				'email_id'    		=> $this->input->post('personal_email_id'),
				'date_of_termination'     => $date_of_termination,
				'termination_reason'     => $this->input->post('termination_reason'),
				'office_tel'     => $this->input->post('office_tel'),
				'local_land_line'     => $this->input->post('local_land_line'),
				'contact_person_no'     => $this->input->post('contact_person_no'),
				'home_contact_person'     => $this->input->post('home_contact_person'),
				'home_contact_person_no'     => $this->input->post('home_contact_person_no'),
				'employee_photo'     => $uploadImage,
				'user_id' 			=> $this->session->userdata('user_id')
			);

			$rr=$this->crud_model->insert('employee',$data);
			$insert_id	=	$this->db->insert_id();
			$date = date("Y-m-d H:i:s");
			$userid = $this->session->userdata('user_id');
			$data= array(						
				'masters_type'=>'Payroll Employee',	
				'masters_id'=>$insert_id,	
				'date'=>$date,	
				'created_id'=> $userid,	
				'masters_op'=>'create',	
			);
			$this->crud_model->insert('log_for_masters',$data);

			/*$log_data=array(
				'trans_no'  =>  $enquiry_no,
				'trans_type'=>  'Enquiry',
				'trans_op'  =>  'Create',
				'trans_user_id'  =>  $this->session->userdata('user_id')

			);
			$log_for_transactions=$this->crud_model->insert('log_for_transactions',$log_data);*/

			if($rr == false){
				$this->session->set_flashdata('response','General Info cannot be inserted');
				redirect('masters/Employee/listEmployee');
			}else{
				$this->session->set_flashdata('success','General Info added');
				redirect('masters/Employee/editEmployee/'.$insert_id.'/general_info');
			}
		}
	}

	function upload_it() {  
		if($this->input->post('title')!=='' && $_FILES["fileField"]["name"]!=='' ){
			$this->load->helper('form');
			$uniqueID = 'enq'.$this->input->post('enquiry_id_redrct');
			if(!file_exists("uploads/".$uniqueID))
				mkdir("uploads/".$uniqueID);
				$config['upload_path'] = 'uploads/'.$uniqueID;
				$config['allowed_types'] = '*';
				$config['overwrite'] = FALSE;
				$config['file_name'] = date("YmdHis").'-'.rand(100000, 999999);
				$this->load->library('upload', $config);
				$this->upload->initialize($config);
				$this->upload->set_allowed_types('*');
				$this->upload->do_upload("fileField");	
				$upload_data  =   $this->upload->data();
				$uploadImage = $upload_data['file_name'];
				$newdata = array(
					'title'		=> $this->input->post('title'),
					'enquiry_id'=> $this->input->post('enquiry_id_redrct'),
					'user_id'	=> $this->session->userdata('user_id'),
					'file_name' => $uploadImage,
				);
				$add_file = $this->db->insert('enquiry_upload_files', $newdata); 
				if($add_file) {
					$this->session->set_flashdata('success','File Uploaded Successfully...');
				} else {
					$this->session->set_flashdata('response','Something Wrong.Try Again...');
				}
		} else {
			$this->session->set_flashdata('response','Something Wrong.Try Again...');
		}
	    redirect('furniture/Enquiry/editEnquiry/'.$this->input->post('enquiry_id_redrct').'');
	}

	

	function update_generalinfo($employee_id){

		$where=array(
				'employee_id' => $employee_id
		);
		
		$this->form_validation->set_rules('employee_department_id','Department','required');
		$this->form_validation->set_rules('employee_number', 'Employee Number', 'required');
		$this->form_validation->set_rules('employee_name', 'Employee Name', 'required');
		
		if ($this->form_validation->run() == FALSE){
			$this->session->set_flashdata('response',validation_errors(),':old:');
			//$this->session->keep_flashdata('response');
			$this->editEmployee($employee_id);
		}else{
			$where=array(
				'employee_id'  => $employee_id
			);
			if($this->input->post('date_of_birth')!=""){
				$date_of_birth = date("Y-m-d", strtotime($this->input->post('date_of_birth')));
			}else{
				$date_of_birth = "0000-00-00";
			}
			if($this->input->post('date_of_joining')!=""){
				$date_of_joining = date("Y-m-d", strtotime($this->input->post('date_of_joining')));
			}else{
				$date_of_joining = "0000-00-00";
			}
			if($this->input->post('date_of_termination')!=""){
				$date_of_termination = date("Y-m-d", strtotime($this->input->post('date_of_termination')));
			}else{
				$date_of_termination = "0000-00-00";
			}

			$path = FCPATH."images/employee";
			$config['upload_path'] = $path;
			$config['allowed_types'] = 'jpg|jpeg|png';
			$config['max_size'] = '500';
			$config['overwrite'] = FALSE;
			$config['file_name'] = date("YmdHis").'-'.rand(100000, 999999);
			$this->load->library('upload', $config);
			
			if ($_FILES['Image']['name']!=''){
				if (!$this->upload->do_upload('Image')) {
					$uploadImage	='';
				}else{
					$upload_data  =   $this->upload->data();
					$uploadImage = $upload_data['file_name'];
				}
			} else {
				$uploadImage	=@$this->input->post('Image2');
			}

			$data=array(
				'employee_department_id' => $this->input->post('employee_department_id'),
				'employee_name'     => $this->input->post('employee_name'),
				'employee_nick_name'=> $this->input->post('employee_nick_name'),
				'home_address'   	=> $this->input->post('home_address'),
				'nationality'   	=> $this->input->post('nationality'),
				'direct_number'   	=> $this->input->post('direct_number'),
				'contact_person'   	=> $this->input->post('contact_person'),
				'personal_email'   	=> $this->input->post('personal_email_id'),
				'designation'       => $this->input->post('designation'),
				'function' 			=> $this->input->post('function'),
				'location'    		=> $this->input->post('location'),
				'gender' 			=> $this->input->post('gender'),
				'date_of_birth'     => $date_of_birth,
				'blood_group' 		=> $this->input->post('blood_group'),
				'spouse_name' 		=> $this->input->post('spouse_name'),
				'date_of_joining' 	=> $date_of_joining,
				'employee_status' 	=> $this->input->post('status'),
				'bank_name' 		=> $this->input->post('bank_name'),
				'bank_branch' 		=> $this->input->post('bank_branch'),
				'account_no' 		=> $this->input->post('account_no'),
				'iban_no' 			=> $this->input->post('iban_no'),
				'address'    		=> $this->input->post('address'),
				'contact_number' 	=> $this->input->post('contact_number'),
				'email_id'    		=> $this->input->post('personal_email_id'),
				'date_of_termination'=> $date_of_termination,
				'termination_reason'=> $this->input->post('termination_reason'),
				'office_tel'     	=> $this->input->post('office_tel'),
				'local_land_line'   => $this->input->post('local_land_line'),
				'contact_person_no' => $this->input->post('contact_person_no'),
				'home_contact_person'    => $this->input->post('home_contact_person'),
				'home_contact_person_no' => $this->input->post('home_contact_person_no'),
				'employee_photo'     => $uploadImage,
				'user_id' 			=> $this->session->userdata('user_id')
			);

			$rr=$this->crud_model->update('employee',$data,$where);
			$date = date("Y-m-d H:i:s");
			$userid = $this->session->userdata('user_id');
			$data= array(						
				'masters_type'=>'Payroll Employee_generalinfo',	
				'masters_id'=>$employee_id,	
				'date'=>$date,	
				'created_id'=> $userid,	
				'masters_op'=>'update',	
			);
			$this->crud_model->insert('log_for_masters',$data);
			
			$this->session->set_flashdata('success','General Info updated');
			redirect('masters/Employee/editEmployee/'.$employee_id.'/general_info');
		}
	}

	function update_statuatory($employee_id){
		$this->form_validation->set_rules('cpr_number','CPR Number','required');
		if ($this->form_validation->run() == FALSE){
			$this->session->set_flashdata('statutoryresponse',validation_errors(),':old:');
			//$this->session->keep_flashdata('response');
			$this->editEmployee($employee_id,"add_statuatory");
		}else{
			$where=array('employee_id'  => $employee_id);
			if($this->input->post('cpr_expiry')!=""){
				$cpr_expiry = date("Y-m-d", strtotime($this->input->post('cpr_expiry')));
			}else{
				$cpr_expiry = "0000-00-00";
			}
			if($this->input->post('driving_licence_expiry')!=""){
				$driving_licence_expiry = date("Y-m-d", strtotime($this->input->post('driving_licence_expiry')));
			}else{
				$driving_licence_expiry = "0000-00-00";
			}
			
			$data=array(
				'cpr_number'  	        => $this->input->post('cpr_number'),
				'driving_licence_number'=> $this->input->post('driving_licence_number'),
				'cpr_expiry'  	  		=> $cpr_expiry,
				'driving_licence_expiry'=> $driving_licence_expiry
			);

			$rr=$this->crud_model->update('employee',$data,$where);
			$date = date("Y-m-d H:i:s");
			$userid = $this->session->userdata('user_id');
			$data= array(						
				'masters_type'=>'Payroll Employee_statuatory',	
				'masters_id'=>$employee_id,	
				'date'=>$date,	
				'created_id'=> $userid,	
				'masters_op'=>'update',	
			);
			$this->crud_model->insert('log_for_masters',$data);

			if($_REQUEST["xcount"]>0  && $this->input->post('title')!=='' && $_FILES["uploadImage1"]["name"]!==''){
				$this->load->helper('form');
				$uniqueID = 'statutories/'.$employee_id;
				if(!file_exists("uploads/".$uniqueID))
					mkdir("uploads/".$uniqueID);
					$config['upload_path'] = 'uploads/'.$uniqueID;
					$config['allowed_types'] = '*';
					$config['overwrite'] = FALSE;
					$config['file_name'] = date("YmdHis").'-'.rand(100000, 999999);
					$this->load->library('upload', $config);
					$this->upload->initialize($config);
					$this->upload->set_allowed_types('*');
					$this->upload->do_upload("uploadImage1");	
					$upload_data  =   $this->upload->data();
					$uploadImage = $upload_data['file_name'];
					$newdata = array(
						'employee_id'		=> $employee_id,
						'title'=> $this->input->post('title'),
						'file_name' => $uploadImage,
					);
					$add_file = $this->db->insert('statutory_files', $newdata); 
			}
			
			$this->session->set_flashdata('statutorysuccess','Statuatory Details updated');
			redirect('masters/Employee/editEmployee/'.$employee_id.'/add_statuatory');
		}

	}

	function update_passport($employee_id){
		$this->form_validation->set_rules('passport_no','Passport Number','required');
		if ($this->form_validation->run() == FALSE){
			$this->session->set_flashdata('passportresponse',validation_errors(),':old:');
			//$this->session->keep_flashdata('response');
			$this->editEmployee($employee_id,"add_passport");
		}else{
			$where=array('employee_id'  => $employee_id);
			if($this->input->post('passport_issue_date')!=""){
				$passport_issue_date = date("Y-m-d", strtotime($this->input->post('passport_issue_date')));
			}else{
				$passport_issue_date = "0000-00-00";
			}
			if($this->input->post('passport_expiry_date')!=""){
				$passport_expiry_date = date("Y-m-d", strtotime($this->input->post('passport_expiry_date')));
			}else{
				$passport_expiry_date = "0000-00-00";
			}
			if($this->input->post('visa_expiry_date')!=""){
				$visa_expiry_date = date("Y-m-d", strtotime($this->input->post('visa_expiry_date')));
			}else{
				$visa_expiry_date = "0000-00-00";
			}
			
			$data=array(
				'passport_number'  		=> $this->input->post('passport_no'),
				'country_of_issue' 	 	=> $this->input->post('country'),
				'passport_issue_date'   => $passport_issue_date,
				'passport_expiry_date'  => $passport_expiry_date,
				'visa_number'  			=> $this->input->post('visa_no'),
				'visa_expiry_date'  	=> $visa_expiry_date
			);
			
			if($_REQUEST["passport_count"]>0 && $this->input->post('passport_file_name')!=='' && $_FILES["passport_file"]["name"]!==''){
				$this->load->helper('form');
				$uniqueID = 'passport/'.$employee_id;
				if(!file_exists("uploads/".$uniqueID))
				mkdir("uploads/".$uniqueID);
				$config['upload_path'] = 'uploads/'.$uniqueID;
				$config['allowed_types'] = '*';
				$config['overwrite'] = FALSE;
				$config['file_name'] = date("YmdHis").'-'.rand(100000, 999999);
				$this->load->library('upload', $config);
				$this->upload->initialize($config);
				$this->upload->set_allowed_types('*');
				$this->upload->do_upload("passport_file");	
				$upload_data  =   $this->upload->data();
				$uploadImage = $upload_data['file_name'];
				$newdata = array(
					'employee_id'=> $employee_id,
					'title'		 => $this->input->post('passport_file_name'),
					'file_name'  => $uploadImage,
				);
				$add_file = $this->db->insert('passport_files', $newdata); 
			}
			

			$rr=$this->crud_model->update('employee',$data,$where);
			$date = date("Y-m-d H:i:s");
			$userid = $this->session->userdata('user_id');
			$data= array(						
				'masters_type'=>'Payroll Employee_passport',	
				'masters_id'=>$employee_id,	
				'date'=>$date,	
				'created_id'=> $userid,	
				'masters_op'=>'update',	
			);
			$this->crud_model->insert('log_for_masters',$data);
			$this->session->set_flashdata('passportsuccess','Passport and Visa Details updated');
			redirect('masters/Employee/editEmployee/'.$employee_id.'/add_passport');
		}

	}

	function update_contract($employee_id){
		//$this->form_validation->set_rules('wpn','Work Permit Number','required');
		$this->form_validation->set_rules('contract_start_date','Contract Start Date','required');
		$this->form_validation->set_rules('contract_expiry_date','Contract Expiry Date','required');
		if ($this->form_validation->run() == FALSE){
			$this->session->set_flashdata('contractresponse',validation_errors(),':old:');
			$this->editEmployee($employee_id,"add_contract");
		}else{
			$where=array('employee_id'  => $employee_id);
			if($this->input->post('contract_start_date')!=""){
				$contract_start_date = date("Y-m-d", strtotime($this->input->post('contract_start_date')));
			}else{
				$contract_start_date = "0000-00-00";
			}
			if($this->input->post('contract_expiry_date')!=""){
				$contract_expiry_date = date("Y-m-d", strtotime($this->input->post('contract_expiry_date')));
			}else{
				$contract_expiry_date = "0000-00-00";
			}
			
			$data=array(
				'contract_start_date' 	=> $contract_start_date,
				'contract_expiry_date'  => $contract_expiry_date
			);
			
			if($_REQUEST["contract_count"]>0 && $this->input->post('contract_file_name')!=='' && $_FILES["contract_file"]["name"]!==''){
				$this->load->helper('form');
				$uniqueID = 'contract/'.$employee_id;
				if(!file_exists("uploads/".$uniqueID))
				mkdir("uploads/".$uniqueID);
				$config['upload_path'] = 'uploads/'.$uniqueID;
				$config['allowed_types'] = '*';
				$config['overwrite'] = FALSE;
				$config['file_name'] = date("YmdHis").'-'.rand(100000, 999999);
				$this->load->library('upload', $config);
				$this->upload->initialize($config);
				$this->upload->set_allowed_types('*');
				$this->upload->do_upload("contract_file");	
				$upload_data  =   $this->upload->data();
				$uploadImage = $upload_data['file_name'];
				$newdata = array(
					'employee_id'=> $employee_id,
					'title'		 => $this->input->post('contract_file_name'),
					'file_name'  => $uploadImage,
				);
				$add_file = $this->db->insert('contract_files', $newdata); 
			}
			$rr=$this->crud_model->update('employee',$data,$where);
			$date = date("Y-m-d H:i:s");
			$userid = $this->session->userdata('user_id');
			$data= array(						
				'masters_type'=>'Payroll Employee_contract',	
				'masters_id'=>$employee_id,	
				'date'=>$date,	
				'created_id'=> $userid,	
				'masters_op'=>'update',	
			);
			$this->crud_model->insert('log_for_masters',$data);
			$this->session->set_flashdata('contractsuccess','Updated');
			redirect('masters/Employee/editEmployee/'.$employee_id.'/add_contract');
		}
	}

	function update_notes($employee_id){
		$this->form_validation->set_rules('note_1','Note 1','required');
		if ($this->form_validation->run() == FALSE){
			$this->session->set_flashdata('notesresponse',validation_errors(),':old:');
			$this->editEmployee($employee_id,"add_notes");
		}else{
			$where=array('employee_id'  => $employee_id);
			
			$data=array(
				'note_1' => $this->input->post('note_1'),
				'note_2' => $this->input->post('note_2'),
				'note_3' => $this->input->post('note_3')
			);

			$rr=$this->crud_model->update('employee',$data,$where);
			$date = date("Y-m-d H:i:s");
			$userid = $this->session->userdata('user_id');
			$data= array(						
				'masters_type'=>'Payroll Employee_notes',	
				'masters_id'=>$employee_id,	
				'date'=>$date,	
				'created_id'=> $userid,	
				'masters_op'=>'update',	
			);
			$this->crud_model->insert('log_for_masters',$data);
			$this->session->set_flashdata('notessuccess','Employee Details updated');
			redirect('masters/Employee/editEmployee/'.$employee_id.'/add_notes');
		}
	}

	function statutory_delete_file($employee_id=0,$file_id=0){
		$where=array(
			'file_id'=> $file_id
		);
		
		$records=$this->crud_model->get('statutory_files',$where);
		$statutory_file = $records[0]["file_name"];
		unlink(FCPATH."uploads/statutories/".$employee_id."/".$statutory_file);
		
		$this->crud_model->delete('statutory_files',$where);
		$date = date("Y-m-d H:i:s");
		$userid = $this->session->userdata('user_id');
		$data= array(						
			'masters_type'=>'Payroll Employee_statutory_file',	
			'masters_id'=>$employee_id,	
			'date'=>$date,	
			'created_id'=> $userid,	
			'masters_op'=>'delete',	
		);
		$this->crud_model->insert('log_for_masters',$data);
		$this->session->set_flashdata('statutoryresponse','File deleted');
		redirect('masters/Employee/editEmployee/'.$employee_id.'/add_statuatory');
	}

	function passport_delete_file($employee_id=0,$file_id=0){
		$where=array(
			'file_id'=> $file_id
		);
		
		$records=$this->crud_model->get('passport_files',$where);
		$passport_file = $records[0]["file_name"];
		unlink(FCPATH."uploads/passport/".$employee_id."/".$passport_file);
		
		$this->crud_model->delete('passport_files',$where);
		$date = date("Y-m-d H:i:s");
		$userid = $this->session->userdata('user_id');
		$data= array(						
			'masters_type'=>'Payroll Employee_passport_file',	
			'masters_id'=>$employee_id,	
			'date'=>$date,	
			'created_id'=> $userid,	
			'masters_op'=>'delete',	
		);
		$this->crud_model->insert('log_for_masters',$data);
		$this->session->set_flashdata('passportresponse','File deleted');
		redirect('masters/Employee/editEmployee/'.$employee_id.'/add_passport');
	}

	function contract_delete_file($employee_id=0,$file_id=0){
		$where=array(
			'file_id'=> $file_id
		);
		
		$records=$this->crud_model->get('contract_files',$where);
		$contract_file = $records[0]["file_name"];
		unlink(FCPATH."uploads/contract/".$employee_id."/".$contract_file);
		
		$this->crud_model->delete('contract_files',$where);
		$date = date("Y-m-d H:i:s");
		$userid = $this->session->userdata('user_id');
		$data= array(						
			'masters_type'=>'Payroll Employee_contract__file',	
			'masters_id'=>$employee_id,	
			'date'=>$date,	
			'created_id'=> $userid,	
			'masters_op'=>'delete',	
		);
		$this->crud_model->insert('log_for_masters',$data);
		$this->session->set_flashdata('contractresponse','File deleted');
		redirect('masters/Employee/editEmployee/'.$employee_id.'/add_contract');
	}
	
	
	
}

?>