<?php
class Covering_letter extends CI_Controller {
	function Covering_letter()
	{
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
	}
	function index()
	{
		$records = $this->crud_model->get('covering_letter_template');
		if($records!=false){
		
			$list = array(0 => ' - Select - ');
			foreach($records as $record){
				$list[$record['cl_template_id']] = $record['cl_template_name'];
				
				
			}
			//$data['cl_template_content']=$records[0]['cl_template_content'];
			$data['covering_letter_template'] = $list;
		
		$this->load->view('templates/header');
		$this->load->view('quotations/covering_letter/create',$data);
		$this->load->view('templates/footer');
		}
	}
	function do_insert()
	{
		
		//$this->form_validation->set_rules('quotation_id', 'Quotation', 'required|is_natural_no_zero');
		//$this->form_validation->set_rules('client_id', 'Client ID', 'required');
		/* $this->form_validation->set_rules('client_name', 'Client Name', 'required');
		$this->form_validation->set_rules('client_address', 'Client Address', 'required');
		$this->form_validation->set_rules('client_area', 'Client Area', 'required');
		$this->form_validation->set_rules('client_phone_number1', 'Client Telephone 1', 'required|max_length[15]|numeric');
		$this->form_validation->set_rules('client_phone_number2', 'Client Telephone 2', 'required|max_length[15]|numeric');
		$this->form_validation->set_rules('client_fax_number', 'Client Fax', 'numeric');
		$this->form_validation->set_rules('project_name', 'Project Name', 'required');
		$this->form_validation->set_rules('project_location', 'Project Location', 'required');
		$this->form_validation->set_rules('project_more_details', 'Project More Details', 'required'); */
		$this->form_validation->set_rules('quotation_number', 'Quotation Number', 'required');
		$this->form_validation->set_rules('cl_template_content', 'Template Content', 'required');
		
		
		
		
		if ($this->form_validation->run() == FALSE)
		{
			// false section
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$this->index();
		}
		else
		{	// true section
		/* $data_client=array(
				
				'client_name'                 => $this->input->post('client_name'),
				'client_address'              => $this->input->post('client_address'),
				'client_area'                 => $this->input->post('client_area'),
				'client_phone_number1'        => $this->input->post('client_phone_number1'),
				'client_phone_number2'        => $this->input->post('client_phone_number2'),
				'client_fax_number'           => $this->input->post('client_fax_number'),
				'client_email_id'             => $this->input->post('client_email_id')
				);
		$rr=$this->crud_model->insert('client_master',$data_client);
		$client_id=$this->db->insert_id();
		$data_project=array(
				
				
				'project_name'                    => $this->input->post('project_name'),
				'project_location'                => $this->input->post('project_location'),
				'project_more_details'            => $this->input->post('project_more_details')
				
		);
		$rr_pro=$this->crud_model->insert('project_master',$data_project);
		$project_id=$this->db->insert_id(); */
		$data_quo=array(
				'client_id'                   => $this->session->userdata('client_id'),
				'project_id'                  => $this->session->userdata('project_id'),
				'quotation_number'            => $this->input->post('quotation_number'),
				'cl_template_id'              => $this->input->post('cl_template_id'),
				'cl_content'                  => $this->input->post('cl_template_content')
				);
		$where=array('quotation_id'          =>$this->session->userdata('quotation_id'));
		
		
		$rr_quo=$this->crud_model->update('quotations',$data_quo,$where);
		$insert_id = $this->session->userdata('quotation_id');
		$date = date("Y-m-d H:i:s");
		$userid = $this->session->userdata('user_id');
		$data= array(						
			'masters_type'=>'Covering Letter',	
			'masters_id'=>$insert_id,	
			'date'=>$date,	
			'created_id'=> $userid,	
			'masters_op'=>'update',	
		);
		$this->crud_model->insert('log_for_masters',$data);
		
		
		/* $rr=$this->crud_model->insert('quotation_kitchen',$data);
		$da=array('status' =>1,'quotation_date' => date('Y-m-d h:m:s'));
		$where=array('quotation_id' => $this->session->userdata('quotation_id'));
		$this->crud_model->update('quotations',$da,$where);
		 */
		
		//if($rr == false || $rr_pro==false){
			// error
		/* 
			$this->session->set_flashdata('response','<div class="alert alert-error">Quotation  cannot be inserted</div>',':old:');
			$this->load->view('templates/header');
			$this->load->view('quotations/covering_letter');
			$this->load->view('templates/footer');
		}
		else
		{ */
			// redirect
			$this->session->set_flashdata('response','<div class="alert alert-success">Quotation Details added successfully</div>');
			redirect('quotations/new_quotation');
		
		//}
		}
		
		
	}
	function get_covering_contents($template_id)
		{

			$where=array('cl_template_id'  =>$template_id);
			$rs=$this->crud_model->get('covering_letter_template',$where);
		
			if($rs!=false)
			{
				$data['cl_template_content']=$rs[0]['cl_template_content'];
				echo $data['cl_template_content'];
				exit;
			}
			}
	
	}