<style>
.breadcrumb .breadcrumb-item.active {
    color: #45aaf2;
}
.btn-primary:active,.btn-primary:focus {
    border:none !important; /* here configure as your needs */
	outline: none !important;
	box-shadow:  none !important;
}
.btn-primary {
	background: #45aaf2 !important;
	border-color: #45aaf2 !important;
}
.btn-primary:hover {
	background: #45aaf2 !important;
	border-color: #45aaf2 !important;
}
.client_result {
	border: 1px solid #d2d6de;
	position: absolute;
	width: 450px;
	height: auto;
	background-color: #fff;
	z-index: 100;
	margin-top: 0px;
	border-radius: 3px;
	display: none;
}
.clientList {
	margin:0px;
}
.clientList li {
	color: #000000;
	padding: 0;
	padding-left: 8px;
	height: 30px;
	padding-top: 4px;
	cursor:pointer;
	font-weight:600;
	list-style-type: none;
}
.clientList li:hover {
	background:#CCCCCC;
}
.nbactive{
    background-color:#D6D6D6;
}
div.dt-buttons {
	float: right;
	padding-left: 15px;
    padding-right: 15px;
}
.dataTables_length {
	position: absolute;
}
.card_padding_top {
	padding-top: 5px;
}
</style>
<div class="app-content main-content">
	<div class="side-app">
		<div class="main-container">
			<!-- PAGE-HEADER -->
			<div class="page-header">
				<div>
					<h1 class="page-title">Job Card List</h1>
					<ol class="breadcrumb">
						<li class="breadcrumb-item"><a href="<?php echo site_url('Dashboard/home');?>">Home</a></li>
						<li class="breadcrumb-item active" aria-current="page">Job Card List</li>
					</ol>
				</div>
			</div>
		<!-- PAGE-HEADER END -->
		<form id="data-form" class="form-search" method="post" enctype="multipart/form-data" action="<?php echo site_url('jobcard/Job_card');?>">
			<div class="card">
				<div class="card-body">
					<div class="form-row">
						<div class="form-group col-md-1 mb-0">
							<div class="form-group">
								<input type="text" class="form-control  fromDate" id="fromDate" name="fromDate" placeholder="From Date" value="<?php if ($this->input->post('fromDate')){  echo $this->input->post('fromDate'); } elseif($fromDate!=='NIL'){ echo $fromDate; }?>"  autocomplete="off" >
							</div>
						</div>
						<div class="form-group col-md-1 mb-0">
							<div class="form-group">
								<input type="text" class="form-control  toDate" id="toDate" name="toDate" placeholder="To Date" value="<?php if ($this->input->post('toDate')){  echo $this->input->post('toDate'); } elseif($toDate!=='NIL'){ echo $toDate; }?>"  autocomplete="off" >
							</div>
						</div>
						<div class="form-group col-md-1 mb-0">
							<div class="form-group">
								<input type="text" class="form-control" id="jobNo" name="jobNo" placeholder="Job No" value="<?php if ($this->input->post('jobNo')){  echo $this->input->post('jobNo'); } elseif($jobNo!=='NIL'){ echo $jobNo; }?>"  autocomplete="off" >
							</div>
						</div>
						<div class="form-group col-md-1 mb-0">
							<div class="form-group">
								<input type="text" class="form-control" id="qtnNo" name="qtnNo" placeholder="Quotation No" value="<?php if ($this->input->post('qtnNo')){  echo $this->input->post('qtnNo'); } elseif($qtnNo!=='NIL'){ echo $qtnNo; }?>"  autocomplete="off" >
							</div>
						</div>
						<div class="form-group col-md-2 mb-0">
							<div class="form-group">
								<input type="text" class="form-control" id="project" name="project" placeholder="Project" value="<?php if ($this->input->post('project')){  echo $this->input->post('project'); } elseif($project!=='NIL'){ echo $project; }?>"  autocomplete="off" >
							</div>
						</div>
						<div class="form-group col-md-2 mb-0">
							<div class="form-group">
								<input type="text" class="form-control client" name="client" id="client" placeholder="Customer" autocomplete="off" value="<?php if ($this->input->post('client')){  echo $this->input->post('client'); } elseif($customer_name!=='NIL'){ echo $customer_name; }?>" >
								<input type="hidden" id="client_id" class="form-control client_id" name="client_id" value="<?php if ($this->input->post('client_id')){  echo $this->input->post('client_id'); } elseif($client_id!=='NIL'){ echo $client_id; }?>"  />
								<div class="client_result">
									<ul class="clientList unstyled" >
									</ul>
								</div>
							</div>
						</div>
						<div class="form-group col-md-2 mb-0">
							<div class="form-group">
								<select name="user_id" class="form-control form-select select2" data-bs-placeholder="Status">
									<?php $is_salesman   =   $this->session->userdata('is_salesman'); if($is_salesman!=1 OR $this->session->userdata('user_group_id')==1) { ?>    <option value="">Sales Person</option> <?php } ?>
										<?php foreach ($userList as $rowtw) { 
											if ($user_id == $rowtw->user_id) {
												$select = TRUE;
											} else {
												$select = FALSE;
											}
										?>
										<option value="<?php echo $rowtw->user_id?>" <?php echo set_select("user_id", $rowtw->user_id, $select); ?>><?php echo $rowtw->user_name?></option>
									<?php } ?>
								</select>
							</div>
						</div>
						
						<div class="col-md-1 mb-0">
							<div class="form-group">
								<button class="btn btn-primary" type="submit" name="ttttt" ><i class="fe fe-search"></i></button>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- ROW-1 -->
			<div class="card">
				<div class="card-body">
						<?php
							if($this->session->flashdata("response")!='') {
								echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
								$this->session->unset_userdata('response');
							}
						?>
						<?php
							if($this->session->flashdata("success")!='') {
								echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
								$this->session->unset_userdata('success');
							}
						?>
						<div class="row">
							<div class="col-md-12 col-lg-12">
								<div class="table-responsive">
									<table id="job_data" class="table  table-bordered w-100">
										<thead class="thead-light">
											<tr>
												<th>#</th>
												<th>Job No</th>
												<th>Date</th>
												<th>Client</th>
												<th>Project</th>
												<th>Sales Man</th>
												<th>Amount</th>
												<th>&nbsp;</th>
											</tr>
										</thead>
										<tbody>
											<?php
												if($records != false){
													$count=1;
													foreach($records as $record){
														$record_found = 1;
														if($record['job_card_status']=='Cancelled'){ 
															$style='style="background: #FFC0C9;"';
														} else if($record['job_card_status']=='Quote Edited'){ 
															$style='style="background: #FEE1A0;"';
														} else {
															$style='';
														}
														?>
														<tr <?php echo $style; ?> >
															<td>
																<?php echo $count++; ?>
															</td>
															<td>
																<?php echo $record['job_card_number']; ?>
															</td>
															<td>
																<?php echo date('M d,Y',strtotime ($record['job_card_date'])); ?>
															</td>
															<td align="left">
																<?php echo htmlspecialchars_decode($record['client_name']); ?>
															</td>
															<td align="left">
																<?php echo htmlspecialchars_decode($record['project_name']); ?>
															</td>
															<td align="left">
																<?php echo htmlspecialchars_decode($record['user_name']); ?>
															</td>
															<td align="right">
																<?php echo number_format($record['job_card_amount_with_vat'],3); ?>
															</td>
															<td>
																<button type="button" class="btn btn-primary dropdown-toggle" data-bs-toggle="dropdown">
																	Action <span class="caret"></span>
																	</button>
																	<ul class="dropdown-menu" role="menu">
																		<li><a style="color: black;" href="<?php echo site_url('jobcard/Job_card/managejobcard/'.$record['job_card_id'].'/'.$record['divisionid'].'/'.$record['job_card_number']);?>"><i class="fa fa-gg"></i> Job Card Management</a></li>
																		<?php 
																			if($record['job_card_status']!='Cancelled'){ 
																				$job_card_id=$record['job_card_id'];
																				$this->db->select('*');
																				$this->db->from('proforma');
																				$this->db->where('job_card_id',$job_card_id);
																				$this->db->where('proforma_status!=','0');
																				$this->db->limit(1);
																				$query = $this->db->get();
																				if($query->num_rows() == 0) {
																		?>
																		<li><a style="color: black;" href="javascript:ConfirmDelete('<?php echo $record['job_card_id'];?>')" ><i class="fa fa-remove"></i> Cancel</a></li>
																		<?php } } ?>
																		<li><a style="color: black;" href="<?php echo site_url('jobcard/Job_card/printMaterialCost/'.$record['job_card_id']);?>" target="_blank"><i class="fa fa-gg"></i> Print Material Cost</a></li>
																		<li><a style="color: black;" href="<?php echo site_url('jobcard/Job_card/printJobCostSheet/'.$record['job_card_id']);?>" target="_blank"><i class="fa fa-gg"></i> Print Job Cost Sheet</a></li>
																	</ul>
																</div>
															</td>
														</tr>
														<?php
															}
														}else{
														?>
												<tr style="color:#FF0000">
													<td>
													No Record Available
													</td>
												</tr>
											<?php } ?>
										</tbody>
									</table>
								</div>
								<?php echo htmlspecialchars_decode($links); ?>
								<!-- table-responsive -->
							</div>
						</div>
					</div>
					<!-- ROW-1 CLOSED -->
				</div>
			</div>
		</form>
	</div>
</div>
<script type="text/javascript">
$(function(e) {
	$('#job_data').DataTable({
		"paging": true,
		"processing": true,
		"scrollCollapse": true,
		"ordering": true,
		"iDisplayLength": 100,
		"lengthMenu": [ [100, 150, 200, -1], [100, 150, 200, "All"] ],
        "info": true,
		dom: 'lBfrtip',
        buttons: [
            { extend: 'copyHtml5',title: '',text: 'Copy',header: false, text:'<i class="fa fa-copy"></i>',titleAttr: 'Copy', className: 'btn-primary' },
			{ extend: 'excelHtml5',title: 'Job Card Data',filename: function(){ var today = new Date();var n = today.getTime();return 'JobCardExcelExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Excel', text:'<i class="fa fa-file-excel-o"></i>',titleAttr: 'Excel', className: 'btn-success' },
			{ extend: 'print',title: 'Job Card Data',filename: function(){ var today = new Date();var n = today.getTime();return 'JobCardPrintExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Print', text:'<i class="fa fa-print"></i>',titleAttr: 'Print', className: 'btn-warning' },
		]
	});
} );

function ConfirmDelete(job_card_id){
	$('body').removeClass('timer-alert');
	var url_dir='<?php echo base_url();?>';
	swal({
		title: "Alert",
		text: "Do you want to cancel this Job Order?",
		type: "error",
		showCancelButton: true,
		confirmButtonText: 'Yes',
		cancelButtonText: 'Cancel'
	},
	function(isConfirm){
		if (isConfirm) {
			window.location = url_dir+"index.php/jobcard/Job_card/do_delete/"+job_card_id;
		} else {
			swal("Cancelled", "Something went wrong :)", "error");
		}
	});
} 
    
$("html").on("keyup",".client",function(){
	if($('#division_id').val()===''){
		alert('Please Select Division');
		$('.client_id').val('');
		return false;
	}
	var client	=	$(this).val();
	$('.client_id').val('');
	$('.client_address').val('');
    $("#prospect_name").val('');
	$('#prospect_name').attr('readonly', false);
	$(".client_id").val('');
	$("#phone").val('');
	$("#email").val('');
	$(".cname").html('');
	$(".cphone").html('');
	$(".cemail").html('');
	$(".caddress").html('');
	$(".cperson").html('');
	$(".tax_name").html('');
	$(".tax_no").html('');
	if (client==''){
		$(this).val("");
		$(".client_result").css('display','none');
		return false;
	} else {
		$.ajax({
			url:"<?php echo site_url("furniture/Enquiry/search_client")?>" , 
			type: "POST" ,
			data: {client	: client} ,
			success: function(data){
				$(".client_result").css('display','block');
				$(".clientList").html(data);
				client_button();
				$('.client').keydown(function (ex) {
					if (ex.keyCode == 40) {
						$('.clientList').on('focus', 'li', function() {
							$this = $(this);
							$this.addClass('nbactive').siblings().removeClass();
							$this.closest('.clientList').scrollTop($this.index() * $this.outerHeight());
						}).on('keydown', 'li', function(e) {
							$this = $(this);
							if (e.keyCode == 40) {        
								$this.next().focus();
								return false;
							} else if (e.keyCode == 38) {        
								$this.prev().focus();
								return false;
							}
						}).find('li').first().focus();
					}
				});
				$(".clientList li").keypress(function (e) {
					if (e.keyCode == 13) {
						$(".client_result").css('display','none');
						var client_id	=	($(this).attr('value'));
						var client_name = $(this).closest("li").find(".client_name").val();
						var client_address = $(this).closest("li").find(".client_address").val();
						var is_taxable = $(this).closest("li").find(".is_taxable").val();
						$(".client").val(client_name);
						$(".client_id").val(client_id);
						$(".client_is_taxable").val(is_taxable);
						$(".client_address").val(client_address);
					}
				});
			},
			error: function(){
				$("#errorMsg").html('Connection Error......');
				$("#errorMsg").stop(true, true, true).slideDown(500);
			}
		});
	}	
});
function client_button() {
    $(".client_button").click(function() {
		$(".client_result").css('display','none');
		var client_id	=	($(this).attr('value'));
		var client_name = $(this).closest("li").find(".client_name").val();
		var client_address = $(this).closest("li").find(".client_address").val();
		var client_telephone1 = $(this).closest("li").find(".client_telephone1").val();
		var client_email = $(this).closest("li").find(".client_email").val();
		var cperson = $(this).closest("li").find(".cperson").val();
		var tax_name = $(this).closest("li").find(".tax_name").val();
		var tax_no = $(this).closest("li").find(".tax_no").val();
		$(".client").val(client_name);
		$("#prospect_name").val(client_name);
		$('#prospect_name').attr('readonly', true);
		$(".client_id").val(client_id);
		$("#phone").val(client_telephone1);
		$("#email").val(client_email);
		$(".cname").html(client_name);
		$(".cphone").html(client_telephone1);
		$(".cemail").html(client_email);
		$(".caddress").html(client_address);
		$(".cperson").html(cperson);
		$(".tax_name").html(tax_name);
		$(".tax_no").html(tax_no);
	});
	$(".no_result_button").click(function() {
		$("#category_result").css('display','none');
        $(".client").val('');
		$("#prospect_name").val('');
		$('#prospect_name').attr('readonly', false);
		$(".client_id").val('');
		$("#phone").val('');
		$("#email").val('');
		$(".cname").html('');
		$(".cphone").html('');
		$(".cemail").html('');
		$(".caddress").html('');
		$(".cperson").html('');
		$(".tax_name").html('');
		$(".tax_no").html('');
	});
}
</script>
<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>