<style>
	.employee_result {
		border: 1px solid #d2d6de;
		position: absolute;
		width: 509px;
		height: auto;
		background-color: #fff;
		z-index: 100;
		margin-top: 0px;
		border-radius: 3px;
		display: none;
	}
	.employeeList {
		margin:0px;
	}
	.employeeList li {
		color: #000000;
		padding: 0;
		padding-left: 8px;
		height: 30px;
		padding-top: 4px;
		cursor:pointer;
		font-weight:600;
		list-style-type: none;
	}
	.employeeList li:hover {
		background:#CCCCCC;
	}
	.nbactive{
		background-color:#D6D6D6;
	}
	.pad_zero{
		padding: 0 0 10px 10px !important;
		border: none;
	}
	.username {
		font-weight: 400;
		font-size: 20px;
		line-height: 29px;
		white-space: normal;
		overflow: auto;
		text-overflow: unset;
	}
	.client_result {
		border: 1px solid #d2d6de;
		position: absolute;
		width: 700px;
		height: auto;
		background-color: #fff;
		z-index: 100;
		margin-top: 0px;
		border-radius: 3px;
		display: none;
	}
	.clientList {
		margin:0px;
	}
	.clientList tr {
		color: #000000;
		padding: 0;
		padding-left: 8px;
		height: 30px;
		padding-top: 4px;
		cursor:pointer;
		font-weight:600;
		list-style-type: none;
	}
	.clientList tr:hover {
		background:#CCCCCC;
	}
	.errorDiv {
		display: none;
	}
	</style>
	<!--app-content open-->
	<div class="app-content main-content">
		<div class="side-app">
			<div class="main-container">
				<!-- PAGE-HEADER -->
				<div class="page-header">
					<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
						<h1 class="page-title">Job Update - Employeewise</h1>
					</div>
					<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
						<div class="float-sm-end float-none my-1">
							<a id="add__new__list" type="button" class="btn btn-md btn-primary " data-bs-target=".bd-example-modal-lg" href="<?php echo site_url('jobcard/Job_update_employeewise/listEmployeewise');?>"><i class="fa fa-list"></i> List</a>
						</div>
					</div>
				</div>
			</div>
			<!-- PAGE-HEADER END -->

			<!-- ROW-1 -->
			<form id="user_groups" name="user_groups" class="form-horizontal" method="post" action="<?php echo site_url('jobcard/Job_update_employeewise/edit/'.$dbData[0]['id'].'/'.$empData[0]['employee_id']);?>">
				<div class="row">
					<div class="col-md-12">
						<div class="card">
							<div class="card-header">
								<h3 class="mb-0 card-title">Employee Job Details</h3>
							</div>
							<div class="alert alert-danger errorDiv "></div>
							<?php
								if($this->session->flashdata("response")!='') {
									echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
									$this->session->unset_userdata('response');
								}
							?>
							<?php
								if($this->session->flashdata("success")!='') {
									echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
									$this->session->unset_userdata('success');
								}
							?>
							<div class="card-body">
								<div class="row col-md-3" style="float:left;max-width: 15% !important;" >
									<div class="card item-card">
										<div class="product-grid3  card-body">
											<div class="text-center" >
												<div class="product-image3">
													<img class="img-fluid userImage" src="<?php if($empData[0]['employee_photo']!=''){ echo base_url()."images/employee/".$empData[0]['employee_photo']; } else { echo base_url()."images/employee/no-image-available.png"; } ?>" alt="img" style="max-height: 107px;" >
													<h3 class="username text-dark mb-2"></h3>
													<p class="mb-1 text-muted userdesignation"></p>
												</div>
											</div>
										</div>
									</div>
								</div>
								<div class="col-md-6" style="float:left;" >
									<table class="table ">
										<tr>
											<td>Date</td>
											<td><input type="text" class="form-control fc-datepicker" name="work_done_date" id="work_done_date" value="<?php echo set_value('work_done_date',date('d-m-Y',strtotime ($dbData[0]['work_done_date']))) ;?>" ></td>
										</tr>
										<tr>
											<td>Ref Number</td>
											<td class="job_for_employee" ><?php echo $dbData[0]['job_number']; ?></td>
										</tr>
										<tr>
											<td>Customer Name</td>
											<td class="job_for_client" ><?php echo $dbData[0]['client_name']; ?></td>
										</tr>
										<tr>
											<td>Project</td>
											<td class="job_for_pro" ><?php echo $dbData[0]['project_name']; ?></td>
										</tr>
									</table>
								</div>
								<div style="clear:both;">&nbsp;</div>
									<div class="col-md-12" >
										<table id="invoice_data" class="table card-table">
											<tr>
												<td style="border:none;" >Employee</td>
												<td style="border:none;" >Job No</td>
												<td style="border:none;" >Salary/hr</td>
												<td style="border:none;" >Normal Hrs</td>
												<td style="border:none;" >Total</td>
											</tr>
											<tr class="rowDiv2" >
												<td class="pad_zero">
													<input type="text" class="form-control employee" name="employee[]" id="employee" value="<?php echo $empData[0]['employee_name']; ?>" placeholder="Search Employee" autocomplete="off" >
													<input type="hidden" class="form-control employee_id" name="employee_id[]" id="employee_id" value="<?php echo $empData[0]['employee_id']; ?>" >
													<input type="hidden" class="form-control employee_no" name="employee_no[]" id="employee_no" value="<?php echo $empData[0]['employee_number']; ?>" >
													<div class="employee_result">
														<ul class="employeeList unstyled">
														</ul>
													</div>
												</td>
												<td class="pad_zero">
													<input type="text" class="form-control job_no" name="job_no[]" id="job_no" value="<?php echo $dbData[0]['job_number']; ?>" placeholder="Search Job no or Client Name or Project Name" autocomplete="off" >
													<input type="hidden" id="job_id" class="form-control job_id" name="job_id[]" value="<?php echo $dbData[0]['job_card_id']; ?>"  />
													<div class="client_result table-responsive">
														<table class="clientList table table-striped table-bordered" >
														</table>
													</div>
												</td>
												<td class="pad_zero"><input type="text" class="form-control numbersOnly salary_hours" name="salary_hours[]" id="salary_hours" value="<?php echo $dbData[0]['salary_hours']; ?>" autocomplete="off" ></td>
												<td class="pad_zero"><input type="text" class="form-control numbersOnly normal_hours" name="normal_hours[]" id="normal_hours" value="<?php echo $dbData[0]['normal_hours']; ?>" autocomplete="off" ></td>
												<td class="pad_zero"><input type="text" class="form-control numbersOnly total_salary" name="total_salary[]" id="total_salary" value="<?php echo round($dbData[0]['salary_hours']*$dbData[0]['normal_hours'],3); ?>" autocomplete="off" readonly ><input type="hidden" class="form-control numbersOnly normal_ot" name="normal_ot[]" id="normal_ot" value="<?php if($dbData[0]['normal_ot']!='0.000') { echo $dbData[0]['normal_ot']; } ?>" autocomplete="off" ></td>
												<!-- <td class="pad_zero">
													<input name="search_button" type="button" class="btn btn-success addRow2" id="search_button" value="+"  />
													<input name="search_button" type="button" class="button1 btn btn-danger removeRow2" id="search_button" value="x" style="display:none;"/>
												</td> -->
											</tr>
											<tbody class="divAppend2">
											</tbody>
										</table>
									</div>
									<div class="col-md-12">
										<div class="mb-4">
											<button type="submit" class="btn btn-info">Update</button>
											<a href="<?php echo site_url('jobcard/Job_update_employeewise/listEmployeewise'); ?>" class="btn btn-danger">Exit</a>
										</div>
									</div>
								</div>
							</div><!-- COL END -->
							<!-- ROW-1 CLOSED -->
						</div>
					</div>
				</div>
				<!-- ROW-4 CLOSED -->
			</form>
		</div>
	</div>
	<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>
	<script type="text/javascript">
		 $("html").on('focus', '.fc-datepicker', function(){
  			 $(this).datepicker({
                dateFormat: 'dd-mm-yy',
                autoclose: true,
                maxDate:0,
                todayHighlight: true
            });
		});
		$("html").on("keyup", ".salary_hours",function(){
			var salary_hours=Number($(this).val());
			var normal_hours=Number($(this).closest('.rowDiv2').find('.normal_hours').val());
			$(this).closest('.rowDiv2').find('.total_salary').val(salary_hours*normal_hours);
		});
		$("html").on("keyup", ".normal_hours",function(){
			var normal_hours=Number($(this).val());
			var salary_hours=Number($(this).closest('.rowDiv2').find('.salary_hours').val());
			$(this).closest('.rowDiv2').find('.total_salary').val(salary_hours*normal_hours);
		});
		$("html").on("click", ".addRow2",function(){
		var employee_id=$(this).closest('.rowDiv2').find('.employee_id').val();
		if(employee_id==''){
			$('.errorDiv').html('Please Select Employee');
			$('.errorDiv').show();
			return false;
		}
		var job_id=$(this).closest('.rowDiv2').find('.job_id').val();
		if(job_id===''){
			$('.errorDiv').html('Please Select Job No');
			$('.errorDiv').show();
			return false;
		}
		var normal_hours=$(this).closest('.rowDiv2').find('.normal_hours').val();
		if(normal_hours===''){
			$('.errorDiv').html('Enter Normal Hrs');
			$('.errorDiv').show();
			return false;
		}
			
		$(".divAppend2 .addRow2").css("display","none");
		$(".divAppend2 .removeRow2").css("display","none");
		$(".addRow2").css("display","none");
		count2 = Number($('.divAppend2 tr.rowDiv2').length)+2;
		var html='';
		
		html+='<tr class="rowDiv2">';
		html+='<td class="pad_zero" >';
		html+='<input type="text" class="form-control employee" name="employee[]" id="employee" value="" placeholder="Search Employee" autocomplete="off" >';
		html+='<input type="hidden" class="form-control employee_id" name="employee_id[]" id="employee_id" value="">';
		html+='<input type="hidden" class="form-control employee_no" name="employee_no[]" id="employee_no" value="">';
		html+='<div class="employee_result">';
		html+='<ul class="employeeList unstyled">';
		html+='</ul>';
		html+='</div>';
		html+='</td>';
		html+='<td class="pad_zero" >';
		html+='<input type="text" class="form-control job_no" name="job_no[]" id="job_no" value=""  placeholder="Search Job no or Client Name or Project Name" autocomplete="off" >';
		html+='<input type="hidden" id="job_id" class="form-control job_id" name="job_id[]"  />';
		html+='<div class="client_result table-responsive">';
		html+='<table class="clientList table table-striped table-bordered" >';
		html+='</table>';
		html+='</div>';
		html+='</td>';
		html+='<td class="pad_zero" >';
		html+='<input type="text" class="form-control numbersOnly normal_hours" name="normal_hours[]" id="normal_hours" value="" autocomplete="off" >';
		html+='</td>';
		html+='<td class="pad_zero" >';
		html+='<input type="text" class="form-control numbersOnly total_salary" name="total_salary[]" id="total_salary" value="" autocomplete="off" readonly >';
		html+='<input type="hidden" class="form-control numbersOnly normal_ot" name="normal_ot[]" id="normal_ot" value="" autocomplete="off" >';
		html+='</td>';
		html+='<td class="pad_zero" >';
		html+='<input name="search_button" type="button" class="button1 btn btn-success addRow2" id="search_button" value="+"  />';
		html+='<input name="search_button" type="button" class="button1 btn btn-danger removeRow2" id="search_button" value="x"  style="display:none;"/>';
		html+='</td>';
		html+='</tr>';

		$(".divAppend2").append(html);
		$(".divAppend2 .addRow2:last").css("display","inline-block");
		$(".rowDiv2 .removeRow2").css("display","inline-block");
		$(".divAppend2 .rowDiv2 .removeRow2:last").css("display","none");	 
	});

	$("html").on("keyup",".employee",function(e){
		var code = e.keyCode || e.which;
   		if (code == '9') {
   			return false;
   		}
		$('.errorDiv').hide();
		var employee=$(this).val();
		$(".employee_id_123").val('');
		$(".employee_no_123").val('');
		$(".username").html('');
		$(".userdesignation").html('');
		$(".userImage").attr("src",'<?php echo base_url()."images/employee/no-image-available.png"; ?>');
		if (employee==''){
			$(".employee_result").css('display','none'); 
			$(this).val("");
			return false;
		} else {
			$(this).closest('.rowDiv2').find('.job_no').addClass("job_no_123");
			$(this).closest('.rowDiv2').find('.employee').addClass("employee_123");
			$(this).closest('.rowDiv2').find('.employee_id').addClass("employee_id_123");
			$(this).closest('.rowDiv2').find('.employee_no').addClass("employee_no_123");
			$(this).closest('.rowDiv2').find('.employee_result').addClass("123456789");
			$(this).closest('.rowDiv2').find('.employeeList').addClass("123");
			$.ajax({
				url:"<?php echo site_url("jobcard/Job_update_employeewise/search_employee")?>" , 
				type: "POST" ,
				data: {employee	: employee} ,
				success: function(data){
					$(".123456789").css('display','block');
					$(".123").html(data);
					employee_button();
					$('.employee_123').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.123').on('focus', 'li', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.123').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'li', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('li').first().focus();
						}
					});
					$(".123 li").keypress(function (e) {
						if (e.keyCode == 13) {
							$(".employee_result").css('display','none');
							var employee_name = $(this).closest("li").find(".employee_name").val();
							var client_code = $(this).closest("li").find(".client_code").val();
							var employee_no = $(this).closest("li").find(".employee_no").val();
							var employee_id = $(this).closest("li").find(".employee_id").val();
							var designation = $(this).closest("li").find(".designation").val();
							var employee_photo = $(this).closest("li").find(".employee_photo").val();
							if(employee_photo!==''){
								$(".userImage").attr("src",'<?php echo base_url()."images/employee/";  ?>'+employee_photo);
							} else {
								$(".userImage").attr("src",'<?php echo base_url()."images/employee/no-image-available.png";  ?>');
							}
							$('.nbselect').show();
							$(".employee_123").val(employee_name);
							$(".username").html(employee_name);
							$(".userdesignation").html(designation);
							$(".employee_id_123").val(employee_id);
							$(".employee_no_123").val(employee_no);
							$(".employee_123").removeClass("employee_123");
							$(".employee_id_123").removeClass("employee_id_123");
							$(".employee_no_123").removeClass("employee_no_123");
							$(".123456789").removeClass("123456789");
							$(".123").removeClass("123");
							//$(".job_no_123").focus();
							$(".job_no_123").removeClass("job_no_123");
						}
					});
				},
				error: function(){
					$("#errorMsg").html('Connection Error......');
					$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
		}
	});
	function employee_button() {
		$(".employee_button").click(function() {
			$(".employee_result").css('display','none');
			var employee_name = $(this).closest("li").find(".employee_name").val();
			var client_code = $(this).closest("li").find(".client_code").val();
			var employee_no = $(this).closest("li").find(".employee_no").val();
			var employee_id = $(this).closest("li").find(".employee_id").val();
			var designation = $(this).closest("li").find(".designation").val();
			var employee_photo = $(this).closest("li").find(".employee_photo").val();
			if(employee_photo!==''){
				$(".userImage").attr("src",'<?php echo base_url()."images/employee/";  ?>'+employee_photo);
			} else {
				$(".userImage").attr("src",'<?php echo base_url()."images/employee/no-image-available.png";  ?>');
			}
			$('.nbselect').show();
			$(".employee_123").val(employee_name);
			$(".username").html(employee_name);
			$(".userdesignation").html(designation);
			$(".employee_id_123").val(employee_id);
			$(".employee_no_123").val(employee_no);
			$(".employee_123").removeClass("employee_123");
			$(".employee_id_123").removeClass("employee_id_123");
			$(".employee_no_123").removeClass("employee_no_123");
			$(".123456789").removeClass("123456789");
			$(".123").removeClass("123");
			//$(".job_no_123").focus();
			$(".job_no_123").removeClass("job_no_123");
		});
		$(".no_result_button").click(function() {
			$(".employee_result").css('display','none');
			$(".employee_123").val('');
			$(".employee_id_123").val('');
			$(".employee_no_123").val('');
			$(".username").html('');
			$(".userdesignation").html('');
			$(".employee_123").removeClass("employee_123");
			$(".employee_id_123").removeClass("employee_id_123");
			$(".employee_no_123").removeClass("employee_no_123");
			$(".123456789").removeClass("123456789");
			$(".123").removeClass("123");
			$('.nbselect').hide();
			$(".job_no_123").removeClass("job_no_123");
		});
	}
    $("html").on("keyup",".job_no",function(e){
		var code = e.keyCode || e.which;
   		if (code == '9') {
   			return false;
   		}
	    var client	=	$(this).val();
		if (client==''){
			$(".client_result").css('display','none'); 
			$(this).val("");
			return false;
		} else {
			$(".job_no_123").val('');
			$(".job_id_123").val('');
			$(".job_for_client").html('');
			$(".job_for_pro").html('');
			$(".job_for_employee").html('');
			$(this).closest('.rowDiv2').find('.job_no').addClass("job_no_123");
			$(this).closest('.rowDiv2').find('.job_id').addClass("job_id_123");
			$(this).closest('.rowDiv2').find('.normal_hours').addClass("normal_hours_123");
			$(this).closest('.rowDiv2').find('.client_result').addClass("job_result");
			$(this).closest('.rowDiv2').find('.clientList').addClass("jobList");
			$.ajax({
				url:"<?php echo site_url("jobcard/Job_update_employeewise/search_job_no")?>" , 
				type: "POST" ,
				data: {client	: client} ,
				success: function(data){
					$(".job_result").css('display','block');
					$(".jobList").html(data);
					client_button();
					$('.job_no_123').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.jobList').on('focus', 'tr', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.jobList').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'tr', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('tr').first().focus();
						}
					});
					$(".jobList tr").keypress(function (e) {
						if (e.keyCode == 13) {
                            $(".client_result").css('display','none');
							var client_id	=	$(this).closest("tr").find(".nbcli_id").val();
							var client_name = $(this).closest("tr").find(".client_name").val();
							var project_name = $(this).closest("tr").find(".project_name").val();
							var job_card_number = $(this).closest("tr").find(".job_card_number").val();
							var job_card_id = $(this).closest("tr").find(".job_card_id").val();
							
							$(".job_for_client").html(client_name);
							$(".job_for_pro").html(project_name);
							$(".job_for_employee").html(job_card_number);
							$(".job_no_123").val(job_card_number);
							$(".job_id_123").val(job_card_id);
							$(".job_no_123").removeClass("job_no_123");
							$(".job_id_123").removeClass("job_id_123");
							$(".jobList").removeClass("jobList");
							$(".job_result").removeClass("job_result");
							$(".normal_hours_123").focus();
							$(".normal_hours_123").removeClass("normal_hours_123");
						}
					 });
				},
				error: function(){
						$("#errorMsg").html('Connection Error......');
						$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
		}	
	});
	function client_button() {
		$(".client_button").click(function() {
			$(".client_result").css('display','none');
			
			var client_id	=	$(this).closest("tr").find(".nbcli_id").val();
			var client_name = $(this).closest("tr").find(".client_name").val();
			var project_name = $(this).closest("tr").find(".project_name").val();
			var job_card_number = $(this).closest("tr").find(".job_card_number").val();
			var job_card_id = $(this).closest("tr").find(".job_card_id").val();
			
			$(".job_for_client").html(client_name);
			$(".job_for_pro").html(project_name);
			$(".job_for_employee").html(job_card_number);
			$(".job_no_123").val(job_card_number);
			$(".job_id_123").val(job_card_id);
			$(".job_no_123").removeClass("job_no_123");
			$(".job_id_123").removeClass("job_id_123");
			$(".jobList").removeClass("jobList");
			$(".job_result").removeClass("job_result");
			$(".normal_hours_123").focus();
			$(".normal_hours_123").removeClass("normal_hours_123");
		});
		$(".no_result_button").click(function() {
			$(".client_result").css('display','none');
			$(".job_no_123").val('');
			$(".job_id_123").val('');
			$(".job_for_client").html('');
			$(".job_for_pro").html('');
			$(".job_for_employee").html('');
			$(".job_no_123").removeClass("job_no_123");
			$(".job_id_123").removeClass("job_id_123");
			$(".jobList").removeClass("jobList");
			$(".job_result").removeClass("job_result");
			$(".normal_hours_123").removeClass("normal_hours_123");
		});
	}
	</script>