<style>
.btn-primary:active,.btn-primary:focus {
    border:none !important; /* here configure as your needs */
	outline: none !important;
	box-shadow:  none !important;
}
.btn-primary {
	background: #45aaf2 !important;
	border-color: #45aaf2 !important;
}
.btn-primary:hover {
	background: #45aaf2 !important;
	border-color: #45aaf2 !important;
}
.tablink {
  background-color: #b7b8bd;
  color: white;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
  font-size: 16px;
  width: 17%;
  font-weight: 600;
  text-align:center;
}

.tablink:hover {
  background-color: #b7b8bd;
}

/* Style the tab content (and add height:100% for full page content) */
.tabcontent {
  color: white;
  display: none;
  height: 100%;
}
#back-to-top {
    background-image: linear-gradient(to right, #45aaf2 0%, #45aaf2 100%);
    border-color: #45aaf2;
}
.page-header { 
    margin: 0.5rem 0rem;
}
.app-content .side-app {
    padding: 0.5rem;
}
.card {
    margin-bottom: 0.5rem;
}
.card-body {
	padding-left: 1.5rem;
	padding-right: 1.5rem;
	padding-top: 1.5rem;
	padding-bottom: 0.6rem;
}
.client_result {
	border: 1px solid #d2d6de;
	position: absolute;
	width: 347px;
	height: auto;
	background-color: #fff;
	z-index: 100;
	margin-top: 0px;
	border-radius: 3px;
	display: none;
}
.clientList {
	margin:0px;
}
.clientList li {
	color: #000000;
	padding: 0;
	padding-left: 8px;
	height: 30px;
	padding-top: 4px;
	cursor:pointer;
	font-weight:600;
	list-style-type: none;
}
.clientList li:hover {
	background:#CCCCCC;
}
.nbactive{
    background-color:#D6D6D6;
}
.nbactive2{
    background-color:#D6D6D6;
}
.nbactive3{
    background-color:#D6D6D6;
}
div.dt-buttons {
	float: right;
	padding-left: 15px;
    padding-right: 15px;
}
.dataTables_length {
	position: absolute;
}
</style>
<!--app-content open-->
<div class="app-content main-content">
	<div class="side-app">
		<div class="main-container">
			<!-- PAGE-HEADER -->
			<div class="page-header">
				<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
					<h1 class="page-title">Purchase Invoice</h1>
					<ol class="breadcrumb">
						<li class="breadcrumb-item"><a href="<?php echo site_url('Dashboard/home');?>">Home</a></li>
						<li class="breadcrumb-item active" aria-current="page">Purchase Invoice</li>
					</ol>
				</div>
				<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
					<div class="float-sm-end float-none my-1">
						<div class="btn-group">
							<button type="button" class="btn btn-md btn-primary dropdown-toggle" data-bs-toggle="dropdown">
							<i class="fa fa-plus"></i> Create Purchase Invoice <span class="caret"></span>
							</button>
							<ul class="dropdown-menu" role="menu">
								<?php /*if($this->users_model->check_permission("PurchaseInvoiceInventory","Add")!=false){ */?>
									<li><a href="<?php echo site_url('furniture/PurchaseInvoice/create_purchase_invoice');?>"><i class="fa fa-plus"></i> Inventory</a></li>
								<?php /*}*/ ?>
								<?php /*if($this->users_model->check_permission("PurchaseInvoiceJob","Add")!=false){ */?>
									<li><a href="<?php echo site_url('furniture/PurchaseInvoice/create_purchase_invoice_job');?>"><i class="fa fa-plus"></i> Job</a></li>
								<?php /*}*/ ?>
								<?php /*if($this->users_model->check_permission("PurchaseInvoiceOthers","Add")!=false){ */?>
									<li><a href="<?php echo site_url('furniture/PurchaseInvoice/create_purchase_invoice_others');?>"><i class="fa fa-plus"></i> Others</a></li>
								<?php /*}*/ ?>
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- PAGE-HEADER END -->
		<form id="data-form" class="form-search" method="post" enctype="multipart/form-data" action="<?php echo site_url('furniture/PurchaseInvoice/listPurchaseInvoice');?>">
			<div class="card">
                <div class="card-body">
					<?php
						if($this->session->flashdata("response")!='') {
							echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
							$this->session->unset_userdata('response');
						}
					?>
					<?php
						if($this->session->flashdata("success")!='') {
							echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
							$this->session->unset_userdata('success');
						}
					?>
					<div class="form-row">
						<div class="form-group col-md-2 mb-0">
							<div class="form-group">
								<input type="text" class="form-control  fromDate" id="fromDate" name="fromDate" placeholder="From Date" value="<?php if ($this->input->post('fromDate')){  echo $this->input->post('fromDate'); } //elseif($fromDate!=='NIL'){ echo $fromDate; }?>"  autocomplete="off"  >
							</div>
						</div>
						<div class="form-group col-md-2 mb-0">
							<div class="form-group">
								<input type="text" class="form-control  toDate" id="toDate" name="toDate" placeholder="To Date" value="<?php if ($this->input->post('toDate')){  echo $this->input->post('toDate'); } //elseif($toDate!=='NIL'){ echo $toDate; }?>"  autocomplete="off" >
							</div>
						</div>
						<div class="form-group col-md-2 mb-0">
							<div class="form-group">
								<input type="text" class="form-control" id="filter_value" name="filter_value" placeholder="PI No" value="<?php if ($this->input->post('filter_value')){  echo $this->input->post('filter_value'); } //elseif($filter_value!=='NIL'){ echo $filter_value; }?>"  autocomplete="off" >
							</div>
						</div>
						<div class="form-group col-md-2 mb-0">
							<div class="form-group">
							<?php  
								$js2 = 'id="type" class="form-control form-select select2" '; 
								$type_list = array(
									'All'=>'--Select Type--',
									'Inventory'=>'Inventory',
									'Job'=>'Job',
									'Others'=>'Others',
								);
							?>
							<?php echo form_dropdown('type', $type_list, set_value('type'),$js2); ?>
							</div>
						</div>
						<div class="col-md-1 mb-0">
							<div class="form-group">
								<button class="btn btn-primary" type="submit" name="ttttt" ><i class="fe fe-search"></i></button>
							</div>
						</div>
                    </div>
                </div>
				<div class="row">
					<div class="col-md-12 col-lg-12">
						<!--<div class="card col-md-3  col-lg-3" style="float: right;box-shadow: none;border: none;">
						<div class="progress grouped h-3 " style="height: 40px !important;">
							<div class="progress-bar w-50 bg-primary " role="progressbar">Legend</div>
							<div class="progress-bar w-50 bg-danger" role="progressbar">Cancelled</div>
						</div>
						</div>-->
						<div class="table-responsive" style="min-height: 250px;">
							<table id="invoice_data" class="table card-table table-vcenter">
								<thead class="thead-light" >
									<tr>
										<th>#</th>
										<th>PI Number</th>
										<th>PI Type</th>
										<th>Client</th>
										<th>PI Date</th>
										<th>Job No</th>
										<th>Amount</th>
										<th>Action</th>
									</tr>
								</thead>
								<tbody>
									<?php
										if($listDatas != false) {
											$i=1;foreach($listDatas as $listData) { 
												$style='';
												$id=$listData['id'];
												$this->db->select('*');
												$this->db->from('supplier_bill_allocations');
												$this->db->where('bill_id',$id);
												$this->db->where('trn_type','Payment');
												$this->db->limit(1);
												$query = $this->db->get();
												$res = $query->result_array();
												if(!empty($res)) {
													$hideLi=' style="display:none;"';
												} else {
													$hideLi='';	
												}
												if($listData['status']=='Cancel'){
													$style='style="background: #f5d2d2;color:#6b1110;"';
												} else if($listData['status']=='Confirmed') {
													$style='style="background:#dff1cc;color:#316100;"';
												} else {
													$style='style="background: #daeefc;color:#24587e;"';
												}
											?>
												<tr <?php  echo $style;?> >
													<td><?php echo $i++;?></td>
													<td>
														<?php echo $listData['purchase_invoice_code'];?>
													</td>
													<td><?php echo $listData['pi_type'];?></td>
													<td><?php echo $listData['supplier_name'];?></td>
													<td><?php echo date('M d,Y',strtotime ($listData['purchase_date']));?></td>
													<td><?php echo $listData['job_card_number'];?></td>
													<td style="text-align:right;"><?php echo $listData['pur_net_amt'];?></td>
													<td>
														<div class="btn-group">
															<button type="button" class="btn btn-sm btn-primary dropdown-toggle" data-bs-toggle="dropdown">
															Action <span class="caret"></span>
															</button>
															<ul class="dropdown-menu" role="menu">
																<li><a target="_blank"  href="<?php echo site_url('furniture/PurchaseInvoice/printPurchaseInvoice/'.$listData["id"]); ?>"><i class="fa fa-print"></i> Print</a> </li>
																<?php if($listData['status']!='Cancel') {?>
																	<?php /*if(($listData['pi_type']==='Inventory' && $this->users_model->check_permission("PurchaseInvoiceInventory","Edit")!=false) || ($listData['pi_type']==='Job' && $this->users_model->check_permission("PurchaseInvoiceJob","Edit")!=false) || ($listData['pi_type']==='Others' && $this->users_model->check_permission("PurchaseInvoiceOthers","Edit")!=false)) { */?>
																		<li><a class="iframe iframe cboxElement click2" title="View Receipt" href="<?php echo site_url('furniture/PurchaseInvoice/editPurchaseInvoice/'.$listData['id']); ?>"><i class="fa fa-edit"></i> Edit</a> </li>
																	<?php /*}*/ ?>
																	<?php /*if(($listData['pi_type']==='Delete' && $this->users_model->check_permission("PurchaseInvoiceInventory","Delete")!=false) || ($listData['pi_type']==='Job' && $this->users_model->check_permission("PurchaseInvoiceJob","Edit")!=false) || ($listData['pi_type']==='Others' && $this->users_model->check_permission("PurchaseInvoiceOthers","Delete")!=false)) { */?>
																		<li <?php echo $hideLi; ?> ><a href="javascript:ConfirmDelete('<?php echo $listData['id'];?>','<?php echo $listData['purchase_invoice_code'];?>')" ><i class="fa fa-close"></i> Cancel</a> </li>
																	<?php /*} */?>
																<?php }?>
															</ul>
														</div>
														&nbsp;&nbsp;<a target="_blank"  href="<?php echo site_url('furniture/PurchaseInvoice/printtest/'.$listData["id"]); ?>"> For Testing</a>	
													</td>
												</tr>
											<?php }
										}
									?>
								</tbody>
							</table>
						</div>
						<?php //echo $pagination; ?>
					</div>
				</div>
			</div>
		</form>
    </div>
</div>

<!-- PAGE-HEADER END -->
<script type="text/javascript">
$(function(e) {
	$('#invoice_data').DataTable({
		"paging": true,
		"processing": true,
		"scrollCollapse": true,
		"ordering": true,
		"iDisplayLength": 100,
		"lengthMenu": [ [100, 150, 200, -1], [100, 150, 200, "All"] ],
        "info": true,
		dom: 'lBfrtip',
        buttons: [
            { extend: 'copyHtml5',title: '',text: 'Copy',header: false, text:'<i class="fa fa-copy"></i>',titleAttr: 'Copy', className: 'btn-primary' },
			{ extend: 'excelHtml5',title: 'Purchase Invoice Data',filename: function(){ var today = new Date();var n = today.getTime();return 'PurchaseInvoiceExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Excel', text:'<i class="fa fa-file-excel-o"></i>',titleAttr: 'Excel', className: 'btn-success' },
			{ extend: 'print',title: 'Purchase Invoice Data',filename: function(){ var today = new Date();var n = today.getTime();return 'PurchaseInvoicePrintExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Print', text:'<i class="fa fa-print"></i>',titleAttr: 'Print', className: 'btn-warning' },
		]
	});
});
function ConfirmDelete(id,delivery_note_number){
	$('body').removeClass('timer-alert');
	var url_dir='<?php echo base_url();?>';
	swal({
		title: "Alert",
		text: "Do you want to cancel this Purchase Invoice?",
		type: "error",
		showCancelButton: true,
		confirmButtonText: 'Yes',
		cancelButtonText: 'Cancel'
	},
	function(isConfirm){
		if (isConfirm) {
			window.location = url_dir+"index.php/furniture/PurchaseInvoice/cancel_pi/"+id+"/"+delivery_note_number;
		} else {
			swal("Cancelled", "Something went wrong :)", "error");
		}
	});
} 
	
$("html").on("keyup",".client",function(){
	if($('#division_id').val()===''){
		alert('Please Select Division');
		$('.client_id').val('');
		return false;
	}
	var client	=	$(this).val();
	$('.client_id').val('');
	$('.client_address').val('');
    $("#prospect_name").val('');
	$('#prospect_name').attr('readonly', false);
	$(".client_id").val('');
	$("#phone").val('');
	$("#email").val('');
	$(".cname").html('');
	$(".cphone").html('');
	$(".cemail").html('');
	$(".caddress").html('');
	$(".cperson").html('');
	$(".tax_name").html('');
	$(".tax_no").html('');
	if (client==''){
		$(".client_result").css('display','none');
		$(this).val("");
		return false;
	} else {
		$.ajax({
			url:"<?php echo site_url("furniture/Enquiry/search_client")?>" , 
			type: "POST" ,
			data: {client	: client} ,
			success: function(data){
				$(".client_result").css('display','block');
				$(".clientList").html(data);
				client_button();
				$('.client').keydown(function (ex) {
					if (ex.keyCode == 40) {
						$('.clientList').on('focus', 'li', function() {
							$this = $(this);
							$this.addClass('nbactive').siblings().removeClass();
							$this.closest('.clientList').scrollTop($this.index() * $this.outerHeight());
						}).on('keydown', 'li', function(e) {
							$this = $(this);
							if (e.keyCode == 40) {        
								$this.next().focus();
								return false;
							} else if (e.keyCode == 38) {        
								$this.prev().focus();
								return false;
							}
						}).find('li').first().focus();
					}
				});
				$(".clientList li").keypress(function (e) {
					if (e.keyCode == 13) {
						$(".client_result").css('display','none');
						var client_id	=	($(this).attr('value'));
						var client_name = $(this).closest("li").find(".client_name").val();
						var client_address = $(this).closest("li").find(".client_address").val();
						var is_taxable = $(this).closest("li").find(".is_taxable").val();
						$(".client").val(client_name);
						$(".client_id").val(client_id);
						$(".client_is_taxable").val(is_taxable);
						$(".client_address").val(client_address);
					}
				});
			},
			error: function(){
					$("#errorMsg").html('Connection Error......');
					$("#errorMsg").stop(true, true, true).slideDown(500);
			}
		});
	}
});
function client_button() {
    $(".client_button").click(function() {
		 $(".client_result").css('display','none');
		 var client_id	=	($(this).attr('value'));
		 var client_name = $(this).closest("li").find(".client_name").val();
		 var client_address = $(this).closest("li").find(".client_address").val();
		 var client_telephone1 = $(this).closest("li").find(".client_telephone1").val();
         var client_email = $(this).closest("li").find(".client_email").val();
         var cperson = $(this).closest("li").find(".cperson").val();
         var tax_name = $(this).closest("li").find(".tax_name").val();
         var tax_no = $(this).closest("li").find(".tax_no").val();
		 $(".client").val(client_name);
         $("#prospect_name").val(client_name);
         $('#prospect_name').attr('readonly', true);
		 $(".client_id").val(client_id);
		 $("#phone").val(client_telephone1);
         $("#email").val(client_email);
         $(".cname").html(client_name);
         $(".cphone").html(client_telephone1);
         $(".cemail").html(client_email);
         $(".caddress").html(client_address);
         $(".cperson").html(cperson);
         $(".tax_name").html(tax_name);
         $(".tax_no").html(tax_no);
		
    });
	$(".no_result_button").click(function() {
		$("#category_result").css('display','none');
        $(".client").val('');
         $("#prospect_name").val('');
         $('#prospect_name').attr('readonly', false);
		 $(".client_id").val('');
		 $("#phone").val('');
         $("#email").val('');
         $(".cname").html('');
         $(".cphone").html('');
         $(".cemail").html('');
         $(".caddress").html('');
         $(".cperson").html('');
         $(".tax_name").html('');
         $(".tax_no").html('');
	});
}
</script>
<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>					
					


						
