<!doctype html>
  <html lang="en" dir="ltr">
	  <head>
      <title>Print Purchase Request</title>
      <link href="<?php echo base_url(); ?>css/print/bootstrap.min.css" rel="stylesheet">
      <link href="<?php echo base_url(); ?>/admincss/css/plugins.css" rel="stylesheet">
      <style type="text/css">
        .invoice-title h2, .invoice-title h3 {
          display: inline-block;
        }

        .table > tbody > tr > .no-line {
          border-top: none;
        }

        .table > thead > tr > .no-line {
          border-bottom: none;
        }

        .table > tbody > tr > .thick-line {
          border-top: 2px solid;
        }
        .tdClass{
          font-size:12px !important;
          color: #000;
        }
        .tdDscr {
          color: #85868a !important;
        }
        .trback{
          background: #f5f5f5 !important; border-radius: 0.25em; color: #000; margin: 0 0 0.5em; padding: 0.5em 0; width: 100%;border:1px solid #ddd;
        }
        .trhead{
          background: #f5f5f5 !important;
        }
        @media print {
          .hidden-print {
            display: none !important;
          }
        }
      </style>
    </head>
    <body>
      <div class="container">
        <div class="row">
          <div class="col-xs-12">
    		  <div class="invoice-title">
            &nbsp;
    			  <!--<h2>Hawar Auto Services</h2>-->
    		  </div>
          <div class="row" style="margin-bottom: 20px;">
            <div class="col-xs-6">
              <img src="<?php echo base_url()."images/company_division/".$logo_filename; ?>" alt="" height="70px;" width="260px;"  class="logo"/>
            </div>
            <div class="col-xs-6" style="text-align: right;">
              <b style="font-size: 15px;"><?php if(isset($company_details->company_name)){ echo $company_details->company_name;} ?> </b><br> <?php if(isset($company_details->cr_number)){ if($company_details->cr_number!=""){ echo ' | '.$company_details->cr_number;}} ?><br>
              <?php if(isset($company_details->company_address)){ echo $company_details->company_address;} ?>  <?php if(isset($company_details->email_id)){ if($company_details->email_id!=""){ echo ' | '.$company_details->email_id;}} ?><br>
              <?php if(isset($company_details->telephone_no)){ echo $company_details->telephone_no;} ?>  <?php if(isset($company_details->fax_no)){ if($company_details->fax_no!=""){ echo ' | '.$company_details->fax_no;} } ?>
              <?php if(isset($company_details->tax_no)){ if($company_details->tax_no!=""){ echo ' <br> TRN # '.$company_details->tax_no; } } ?>
            </div>
          </div>
          <div>
            <table style="width: 100%; margin-bottom: 8px;">
              <tr class="trback">
                <td style="text-align:center;padding: 12px;font-size: 20px;font-weight: bold;">Purchase Request</td>
              </tr>
          </table>
        </div>
    		  <div class="row">
    			  <div class="col-xs-6">
    				  <address style="border-style: groove; padding-left:10px; height:165px;">
                <strong>From:</strong><br>
                <?php echo $row->user_name; ?><br>
                <?php echo $row->department_name; ?><br>
                <?php //if($row->vat_name!=''){ echo $row->vat_name;}?>
                <?php //if($row->vat_no!=''){ echo $row->vat_no;}?>
                
              </address>
    			  </div>
    			  <div class="col-xs-6">
    				  <address style="border-style: groove; padding-left:10px; height:165px;">
                <table>
                  <tr>
                    <td>PR No</td>
                    <td>:</td>
                    <td>&nbsp;<b style="font-size:15px;"><?php echo $row->pr_code; ?></b></td>
                  </tr>
                  <tr>
                    <td>Date</td>
                    <td>:</td>
                    <td>&nbsp;<b><?php echo date("d/m/Y", strtotime($row->pr_date)); ?></b></td>
                  </tr>
                  <?php if($row->job_card_number!=''){?>
                  <tr>
                    <td>Job No</td>
                    <td>:</td>
                    <td>&nbsp;<b><?php echo $row->job_card_number; ?></b></td>
                  </tr>
                  <tr>
                    <td>Client Name</td>
                    <td>:</td>
                    <td>&nbsp;<b><?php echo $row->client_name; ?></b></td>
                  </tr>
                  <tr>
                    <td>Project</td>
                    <td>:</td>
                    <td>&nbsp;<b><?php echo $row->project_name; ?></b></td>
                  </tr>
                  <?php } ?>
                </table>
              </address>
    			  </div>
    		  </div>
    	  </div>
      </div>
      <div class="row">
    	  <div class="col-md-12">
    		  <div class="panel panel-default">
    			  <div class="panel-body">
    					  <table class="table table-condensed">
    						  <thead class="trhead" >
                    <tr>
                      <td class="tdClass"><strong>Item Name</strong></td>
                      <td class="text-center tdClass"><strong>Qty</strong></td>
                      <td class="text-left tdClass"><strong>UOM</strong></td>
                      <?php if($approvestatus==='forapprove') { ?> <td class="text-right tdClass"><strong>Rate</strong></td> <?php } ?>
                      <td class="text-left tdClass"><strong>Remarks</strong></td>
                    </tr>
                  </thead>
    						  <tbody>
                    <?php
                      if($details!=false){
                        $i = 1;
                        $total  = 0;
                        foreach($details AS $detail){
                    ?>
                    <tr style="border-bottom: 1px #ddd solid;">
                      <td class="tdClass"><?php echo $detail['item_name']; ?></td>
                      <td class="text-center tdClass"><?php echo $detail['item_qty']; ?>&nbsp;</td>
                      <td class="text-left tdClass"><?php echo $detail['uom']; ?></td>
                      <?php if($approvestatus==='forapprove') { ?> <td class="text-right tdClass"><?php echo $detail['rate']; ?></td> <?php } ?>
                      <td class="text-left tdClass"><?php echo $detail['item_remarks']; ?></td>
                    </tr>
                    <?php $i++;}}else { ?>
                    <tr>
                      <td colspan="8">No item list</td>
                    </tr>
                    <?php } ?>
                    
                    </tbody>
                  </table>
                  
                  
              </div>
              </div>
              <?php if($row->status==='Rate Updated' && $approvestatus==='forapprove'){ ?>
                <a class="btn btn-danger hidden-print closebtn"  style="float:right;" href="<?php echo site_url('Dashboard/approver_dashboard'); ?>" ><i class="fa fa-close"></i>Exit</a>
                <a id="add__new__list" class="btn btn-md btn-primary hidden-print" style="float:right; margin-right: 5px;" href="javascript:ChangeStatus('<?php echo $row->pr_id;?>','<?php echo $row->pr_code;?>')"><i class="fa fa-gg"></i> Approve</a>
              <?php } ?>
                <table class="table table-condensed">
                  <tr>
                    <td style="padding-top:50px;border:none;"  >Prepared By : <?php echo $row->user_name; ?></td>
                    <td style="padding-top:50px;border:none;">Approved By : </td>
                    <td style="padding-top:50px;border:none;">Accounts : </td>
                  </tr>
                </table>
              </div>
    			  </div>
    		  </div>
    	  </div>
      </div>
    </body>
  </html>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
	<script src="<?php echo base_url(); ?>/admincss/plugins/sweet-alert/sweetalert.min.js"></script>
	<script src="<?php echo base_url(); ?>/admincss/js/sweet-alert.js"></script>

  <script>
	function ChangeStatus(pr_id,pr_code){	
    $('body').removeClass('timer-alert');
    swal({
        title: "Alert",
        text: "Do you Want to Approve this Purchase Request?",
        type: "warning",
        showCancelButton: true,
        confirmButtonText: 'Yes',
        cancelButtonText: 'Cancel'
      },
      function(isConfirm){
      if (isConfirm) {
        window.location = "<?php echo base_url()?>index.php/furniture/PurchaseRequest/approvePurchaseRequest/"+pr_id+"/"+pr_code;
      } else {
        swal("Cancelled", "Your imaginary file is safe :)", "error");
      }
    });				
  } 
</script>