<?php 
	$this->load->helper('num_words');
?>

<html>
<head>
  <meta content="text/html; charset=UTF-8" http-equiv="content-type">
  <link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>
  <link id="style" href="<?php echo base_url(); ?>/admincss/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" />
  <link href="<?php echo base_url(); ?>/admincss/css/plugins.css" rel="stylesheet">

  <title><?php echo $quotation_number_full;?></title>
  <style type="text/css">
  
  	
  	.outer_wrapper{
		width:900px;
		margin:0 auto;
		min-height:600px;
		/*border:solid 1px blue;*/
	}
	
	.mainTable{
		width:100%;	
	}
	
  	.quotationTitle{
		/*height:150px;*/
		width:100%;
		background-color:#7f7f7f;
		float:left;
	}
	
	.quotationTitle h2{
		/*background-color:#7f7f7f;*/
    	margin: 0;
    	text-align: center;	
		font-family: 'Open Sans', sans-serif;
		color:#fff;
		line-height:42px;
		/*text-transform:uppercase;*/
		float:left;
		width:100%;
	}
	
	.leftSpan{
		width:60%;
		vertical-align: top;
	}
	
	.rightSpan{
		width:40%;
		vertical-align: top;
	}
	
	.halfSpan > span {
		float: left;
		width: 100%;
	}
	
	.halfSpan > span label{
		width:50%;
		color:#7f7f7f;
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		float:left;
	}
	
	.halfSpan h3{
		color: #000000;
    	font-family: 'Open Sans', sans-serif;
    	font-weight: bold;
    	margin: 0;
		padding:0px;
	}
	
	.halfSpan h4{
		color: #000000;
    	font-family: 'Open Sans', sans-serif;
    	font-weight: normal;
   		margin-bottom: 0;
    	margin-top: 3px;
		padding:0px;
	}
	
	.halfspan p{
		color: #000000;
    	font-family: 'Open Sans', sans-serif;
    	font-weight: normal;
   		margin-bottom: 0;
    	margin-top: 3px;
		padding:0px;	
	}
	
	.halfspan p.boldText{
		font-weight:bold;
		font-size:11px;	
	}
	.details{
		font-size:11px;	
		font-family: 'Open Sans', sans-serif;
	}
	
	.quotationIntro{
		margin-top:20px;
		float:left;
		width:100%;
		font-family: 'Open Sans', sans-serif;
		color:#000000;
		font-size:11px;
		
	}
	
	.quotationIntro h3{
		text-transform:uppercase;	
	}
	
	.quotationIntro b{
		font-weight:bold;	
	}
	
	.FeesTitle h3{
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		color:#000;
		margin:5px;
	}
	
	.quotationTables{
		margin-top:10px;
		float:left;
		width:100%;
	}
	
	.quotationTables b{
		font-weight:bold;	
	}
	
	.quotationTables table{
		width:100%;	
		border:solid 1px #d4d4d4;
		/*background-color:#f4f4f4;*/
		border-spacing:0px;
	}
	
	.quotationTables table thead th{
		background-color:#7a7a7a;
		color:#fff;
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		text-align:left;	
		padding:5px;
	}
	
	.quotationTables table tbody th{
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		text-align:left;	
		padding:5px;
		color:#000;
		font-size:14px;
	}
	
	.quotationTables table th, .quotationTables table td{
		border-bottom: 1px solid #aaaaaa !important;
    	border-right: 1px solid #aaaaaa !important;
		padding:4px;
	}
	
	.quotationTables table td .swDesc{
		opacity: 0.35;
	}
	.quotationTables table td .swDesc1{
	font-size:11px;
	font-family: 'Open Sans', sans-serif;
	}
	

	.footer_content p{
		margin:5px 0px;	
	}
	
	.footer_content h3{
		text-transform:none;
		font-weight:bold;
	}
	
	.quotationTables td:last-child {
		border-right: medium none !important;
	}
	
	.quotationTables td.swdescription:last-child {
		border-right: 1px solid #aaaaaa !important;
		font-size:10px;
	}
	
	.quotationTables tr:last-child td {
		border-bottom: medium none !important;
	}
	a.no_print1 {
	color: #0088cc;
	text-decoration: none;
	font-size:14px;
	margin-left:14px;
}
a.no_print1:hover {
	text-decoration: underline;
}
	
	.quotationTables th:last-child {
		border-right: medium none !important;
	}
	
	.quotationTables .swGroup{
		background-color: #446E80;
		color: #FFFFFF;
		font-family: 'Open Sans', sans-serif;
		font-weight: bold;
		padding: 5px;
		text-align: center;
		font-size:10px;
	}
	
	.log_left {
		float: right;
	}
	
	
	@media print {
		.rightSpan h3{
			margin:0px;
		}
		
		.rightSpan h4{
			margin:0px;
		}
		.no_print {
			display:none;
	}
	.no_print1 {
			display:none;
	}
		
	}
	#myDIV {
    width: 700px;
    text-align: center;
	display:none;
	height:450px;
	overflow:scroll;
	position:fixed;
	top:20%;
	z-index:1000001;
	left:25%;
	background:#FFFFFF;
}
.table1{
	width: 100%;
}
.button1 {
    background-color: #586688;
    color: #FFF;
    padding-top: 9px;
    padding-right: 9px;
    padding-bottom: 9px;
    padding-left: 9px;
    border-top-style: none;
    border-right-style: none;
    border-bottom-style: none;
    border-left-style: none;
    -webkit-border-radius: 3px 3px 3px 3px;
    border-radius: 3px 3px 3px 3px;
}
a.statusQuotation {
    color: #fff;
    text-decoration: none;
    text-align: center;
	padding: 13px 13px 13px 13px;
    font-size: 13px;
}
.hideDes{
	display:none;
}
.nbsubGroup{
	background: #A9C2CC !important;
	text-align: center;
	text-decoration:none;
}
.nbRow{
	background: #D3F2FF !important;
}
.nbTable td{
	padding: 10px !important;
}
.showQty{
	display:none;
}
.showItem{
	display:none;
}
.showDesc {
	display:none;
}
.showItem_discount {
	display:none;
}
.item_result {
	border: 1px solid #d2d6de;
	position: absolute;
	width: 600px;
	height: auto;
	background-color: #fff;
	z-index: 100;
	margin-top: 0px;
	border-radius: 3px;
	display: none;
}
.itemList {
	margin:0px;
}
.itemList li {
	color: #000000;
	padding: 0;
	padding-left: 8px;
	height: 30px;
	padding-top: 4px;
	cursor:pointer;
	font-weight:600;
	list-style-type: none;
}
.itemList li:hover {
	background:#CCCCCC;
}
.nbactive{
    background-color:#D6D6D6;
}
.showTerms{
	display:none;
}
.showCover{
	display:none;
}
  </style>
</head>
<body>
	<div class="col-lg-12 col-md-12 col-xs-12">
		<form id="postForm" method="post" >
			<div class="modal fade " id="myModal" role="dialog" aria-labelledby="post-comment">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-body">
							<br>
							<label>Comment:</label>
							<textarea rows="10" cols="57" name="comments[]" id="pop_comment" placeholder="Comment here..." required ></textarea>
							<button type="submit" class="btn btn-primary button1" style="margin-top: 5px;" >Update</button>
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-default favouriteConfirm" data-dismiss="modal">Close</button>
						</div>
					</div>
				</div>
			</div>
		</form>
	</div>				
        
	<div align="center" class="outer_wrapper mouseleave">
    
    	<table class="mainTable">
            <tr>
            <td> <img src="<?php echo base_url()."images/company_division/".$logo_filename; ?>" alt="" height="70px;" width="260px;"  class="logo"/>
            </td>
            <td align="right" style="vertical-align:bottom;" class="details">
             <?php if(isset($company_details->company_name)){ echo $company_details->company_name;} ?>  <?php if(isset($company_details->cr_number)){ if($company_details->cr_number!=""){ echo ' | '.$company_details->cr_number;}} ?><br>
             <?php if(isset($company_details->company_address)){ echo $company_details->company_address;} ?>  <?php if(isset($company_details->email_id)){ if($company_details->email_id!=""){ echo ' | '.$company_details->email_id;}} ?><br>
             <?php if(isset($company_details->telephone_no)){ echo $company_details->telephone_no;} ?>  <?php if(isset($company_details->fax_no)){ if($company_details->fax_no!=""){ echo ' | '.$company_details->fax_no;} } ?>
             <?php if(isset($company_details->tax_no)){ if($company_details->tax_no!=""){ if ($quotation_date>'2019-07-01'){ echo ' <br> TRN # '.$company_details->tax_no; } } } ?>
            </td>
        	</tr>
            
            <tr>
            	<td class="leftSpan halfspan">
                	<table width="100%">
                    <tr>
                        	<td>
                            	<span>
                                    <p class="boldText">Submitted to:</p>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td class="details">
								<?php echo $client_name;?>
                            </td>
                        </tr>
                        <?php if($tax_name){?>
                         <tr>
                        	<td class="details">
							
								Vat Name:<?php echo $tax_name;?>
                            
                            </td>
                        </tr>
                        <?php } ?>
                        <?php if($tax_no){?>
                         <tr>
                        	<td class="details">
							
								Vat No :<?php echo $tax_no;?>
                            
                            </td>
                        </tr>
                        <?php } ?>
                        <tr>
                        	<td class="details">
							
								<?php echo $client_address;?>
                                
                            </td>
                        </tr>
						<tr>
                        	<td class="details">
							
								Attn : <?php echo $Contact_Name; ?>
                                
                            </td>
                        </tr>
                        <tr>
                        	<td class="details">
							
								Tel : <?php echo $Contact_Tel; if($client_telephone2!=""){ echo " , ".$client_telephone2;}if($client_fax!=""){ echo " | Fax :".$client_fax;}?>
                                
                            </td>
                        </tr>
                        <?php if($client_email!=""){ ?>
                        <tr>
                        	<td class="details">
								Email : <?php echo $client_email;?>
                            </td>
                        </tr>
                        <?php } ?>
                        
                    </table>
                </td>
                <td class="rightSpan halfspan">
                    <table width="100%">
                    	<tr>
                        	<td align="center" height="28px;" colspan="2" bgcolor="#D8D8D8">
                            	<span>
                                    <p class="boldText" style="font-size:16px;"><?php if($print_status == "delivery") { echo "Delivery Note";}else{echo "QUOTATION";}?></p>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td width="50%" class="details">
                            	<?php if($print_status == "delivery") { echo "Delivery Note No:";}else{echo "Quotation No:";}?> 
                            </td>
                            <td class="details">
                            	 <?php echo $quotation_number_full;?>
                            </td>
                        </tr>
                        <tr>
                        	<td width="30%" class="details">
                            	 Date: 
                            </td>
                            <td class="details">
                            	 <?php echo date('M d, Y',strtotime($quotation_date));?>
                            </td>
                        </tr>
                    </table>
                	
                </td>
            </tr>
			<tr>
			<?php 
				$str_arr = preg_split ("/\,/", $this->session->userdata('is_user_type'));
				if (in_array(5, $str_arr)) { 
			?>
			<form method="post" action="<?php echo site_url('Manage_quotation/update_common_comments/'.$quotation_id);?>">
            	<td colspan="2">
                	<span class="quotationIntro">
                        <textarea style="width: 100%;" name="common_comments" id="common_comments" placeholder="Common comments..." required ><?php echo $common_comments;?></textarea>
                    </span>
					<span class="quotationIntro">
					<input type="submit" class="button1"  value="Submit" style="width: 70px;"  />
					</span>
				</td>
			</form>
            </tr>
			<?php } ?>
            <tr>
            	<td colspan="2">
                	<span class="quotationIntro hideCover">
                        <p><?php echo $covering_letter;?></p>
                    </span>
					<form method="post" action="<?php echo site_url('Manage_quotation/updateCover/'.$quotation_id);?>">
						<span class="showCover" >
							<textarea class="covering_letter" name="covering_letter"><?php echo $covering_letter;?></textarea>
						</span>
						<input type="submit" name="update" value="Update" class="showCover " />
					</form>
                </td>
            </tr>
            <tr>
            	<td colspan="2">
                	<span class="quotationTables ">
                        <table class="nbTable">
                            <tbody>
                                
                                <?php
                                    $grandTotal = 0;
									$total_cost=0;
									$total_selling_price=0;
									$total_profit=0;
                                ?>
                                <?php 
									if($furniture_items != false)
									{
										echo'<tr><th style="background:#6A7980 !important;color:#FFFFFF !important; font-size:10px;text-align: left;" width="1%">#</th>';
										if($image=="with_image"){
											echo '<th style=" background:#6A7980 !important;color:#FFFFFF !important; font-size:10px;" width="10%">Image</th>';
										}
											echo '<th style="background:#6A7980 !important;color:#FFFFFF !important; font-size:10px;padding: 10px !important;" width="40%">Name/Description</th>
											<th style="background:#6A7980 !important;color:#FFFFFF !important; font-size:10px;" width="7%">Qty</th>';
											if($print_status == "") {
												echo '<th style="background:#6A7980 !important;color:#FFFFFF !important; font-size:10px; text-align:right;" width="10%">Price ('.$currency_code.')&nbsp;&nbsp;</th>
												<th style="background:#6A7980 !important;color:#FFFFFF !important; font-size:10px; text-align:right;" width="10%">Disc ('.$currency_code.')&nbsp;&nbsp;</th>
													  <th style="background:#6A7980 !important;color:#FFFFFF !important; font-size:10px; text-align:right;" width="15%">Amount ('.$currency_code.')&nbsp;&nbsp;</th>';
											}
											echo '<th style="background:#6A7980 !important;color:#FFFFFF !important; font-size:10px; text-align:right;" width="10%">Cost ('.$currency_code.')&nbsp;&nbsp;</th>
											<th style="background:#6A7980 !important;color:#FFFFFF !important; font-size:10px; text-align:right;" width="10%">Profit ('.$currency_code.')&nbsp;&nbsp;</th>
											<th style="background:#6A7980 !important;color:#FFFFFF !important; font-size:10px; text-align:right;" width="10%">Profit%</th>';
											echo '<th style="background:#6A7980 !important;color:#FFFFFF !important; font-size:10px;" class="no_print" width="21%">Comments</th>';
                                		echo '</tr>';
										$furniture_area = "";
										$i=0;
										$subGroupTotal = 0;
										
										foreach($furniture_itemlist as $products){
										
												$ex_furniture_area = $products["ex_furniture_area"];
												$furniture_area    = $products["furniture_area"];
												$quotation_id      = $products["quotation_id"];
												$furniture_id      = $products["furniture_id"];
												
												$this->db->select('*');
												$this->db->where(array('quotation_id'=>$quotation_id,'ex_furniture_area'=>$ex_furniture_area));
												$this->db->from('furniture_items');

												$this->db->order_by("sub_group_id", "ASC");
												$this->db->group_by("sub_group_id");
												$rs = $this->db->get();
												$holi_per_mnth   = $rs->result_array();
										
												$i++;
												$GroupTotal	=	0;
											?>
											<tr>
											<td colspan="10" class="swGroup"><b><?php echo $furniture_area; ?></b></td>
											</tr>
                                             <?php foreach($holi_per_mnth as $holi_per_mnth){ ?>
											 	
											    <tr>
													<td colspan="10" class="details nbsubGroup"><b><?php echo $holi_per_mnth['sub_group']; ?></b></td>
												</tr>
												
												<?php
									   				$this->db->select('*');
													$this->db->where(array('quotation_id'=>$quotation_id,'ex_furniture_area'=>$ex_furniture_area,'sub_group_id'=>$holi_per_mnth['sub_group_id']));
													$this->db->from('furniture_items');
													$this->db->join('items','items.id = furniture_items.item_id','left');
													$this->db->join('item_specifications','item_specifications.item_id = items.id','left');
													$this->db->order_by("item_order", "ASC");
													$this->db->order_by("furniture_id", "ASC");
													$sub_val 	   = $this->db->get();
													$sub_records   = $sub_val->result_array();
												?>
											  	<?php  
													foreach($sub_records as $sub_records){ 
														$cost_price =$cost=$sub_records['furniture_quantity']*$sub_records['total_cost_including_overhead'];
														$selling_price =(($sub_records['furniture_quantity'] * $sub_records['furniture_unitprice'])-$sub_records['item_discount']);
														$cost =$cost=$sub_records['furniture_quantity']*$sub_records['total_cost_including_overhead'];
														$profit=$selling_price-$cost;
														if($cost_price>0){$profit_perc=($profit/$cost_price)*100; } else {$profit_perc=100; }
														$total_cost=$total_cost+$cost;
														$total_selling_price=$total_selling_price+(($sub_records['furniture_quantity'] * $sub_records['furniture_unitprice'])-$sub_records['item_discount']);
														$total_profit=$total_profit+$profit;
												 ?>	
												<tr class="mouseover nbRow">
													<td class="details" ><?php echo $ex_furniture_area.'.'.$sub_records["item_order"]; //'.$holi_per_mnth['sub_group_id'].'. ?></td>
													<form method="post" action="<?php echo site_url('Manage_quotation/updateItem/'.$quotation_id.'/'.$sub_records['furniture_id']);?>">
														<td class="details " >
															<input type="text" name="furniture_model" id="furniture_model" value="<?php echo $sub_records['furniture_model']; ?>" class="showItem item_search" required autocomplete="off" />
															<input type="hidden" name="item_id" id="item_id" value="<?php echo $sub_records['item_id']; ?>" class="showItem item_id" required autocomplete="off" />
															<div class="item_result">
																<ul class="itemList unstyled" >
																</ul>
															</div>
															<div class="hideItem">
																<?php echo $sub_records['furniture_model']; ?>
															</div>
															<input type="submit" name="update" value="Update" class="showItem " />
														</td>
													</form>
													<form method="post" action="<?php echo site_url('Manage_quotation/updateQty/'.$quotation_id.'/'.$sub_records['furniture_id']);?>">
														<td class="details"  >
															<input type="text" name="furniture_quantity" value="<?php echo number_format((float)$sub_records['furniture_quantity'], 3, '.', ''); ?>" style="text-align:right;" class="showQty" required autocomplete="off" />
															<div class="hideQty">
																<?php echo $sub_records['furniture_quantity']; if($print_status == "delivery") {  echo $sub_records['uom'];}?>
															</div>
															<input type="submit" name="update" value="Update" class="showQty " />
														</td>
													</form>
													<?php if($print_status == "") { ?>
														<form method="post" action="<?php echo site_url('Manage_quotation/update_item_rate/'.$quotation_id.'/'.$sub_records['furniture_id']);?>">
															<td class="details"  style="text-align:right;">
																<input type="hidden" name="qty[]" value="<?php echo $sub_records['furniture_quantity']; ?>" style="text-align:right;" class="qty" />
																<input type="hidden" name="vat_perce[]" value="<?php echo $sub_records['vat_perce']; ?>" style="text-align:right;" class="vat_perce" />
																<input type="text" name="rate[]" value="<?php echo number_format((float)$sub_records['furniture_unitprice'], 3, '.', ''); ?>" style="text-align:right;" class="hideDes rate" required autocomplete="off" />
																<input type="hidden" name="cost_price" value="<?php echo number_format((float)$cost_price, 3, '.', ''); ?>" style="text-align:right;" class="cost_price" />
																<input type="submit" name="update" value="Update" class="hideDes formSubmit" />
																<div class="hideP">
																	<?php if($sub_records['uom']!=""){echo number_format((float)$sub_records['furniture_unitprice'], 3, '.', '').'/'.$sub_records['uom'];}else{echo number_format((float)$sub_records['furniture_unitprice'], 3, '.', '');}?>&nbsp;&nbsp;
																</div>
															</td>
														</form>
													<form method="post" action="<?php echo site_url('Manage_quotation/update_discount/'.$quotation_id.'/'.$sub_records['furniture_id']);?>">
														<td class="details"  style="text-align:right;" >
															<input type="hidden" name="ud_qty[]" value="<?php echo $sub_records['furniture_quantity']; ?>" style="text-align:right;" class="qty" />
															<input type="hidden" name="ud_vat_perce[]" value="<?php echo $sub_records['vat_perce']; ?>" style="text-align:right;" class="vat_perce" />
															<input type="hidden" name="ud_rate[]" value="<?php echo number_format((float)$sub_records['furniture_unitprice'], 3, '.', ''); ?>" style="text-align:right;"  required autocomplete="off" />
															<input type="text" name="item_discount[]" value="<?php echo number_format((float)$sub_records['item_discount'], 3, '.', ''); ?>" style="text-align:right;" class="showItem_discount item_discount" required autocomplete="off" />
															<span class="swDesc1 hideItem_discount"><?php echo $sub_records['item_discount'];?></span>
															<input type="submit" name="update" value="Update" class="showItem_discount " />
														</td>
													</form>
													<td class="details"  style="text-align:right;">
                                                    <?php 
                                                        $subTotal = ($sub_records['furniture_quantity'] * $sub_records['furniture_unitprice'])-$sub_records['item_discount'];
														$subGroupTotal = $subGroupTotal + $subTotal;
														$GroupTotal    = $GroupTotal + $subTotal; 
                                                        echo number_format((float)$subTotal, 3, '.', '');
                                                        $grandTotal = $grandTotal + $subTotal;
                                                    ?>
                                                &nbsp;&nbsp;</td>
												<?php } ?>
												<td class="details"  style="text-align:right;"><a href="<?php echo site_url('Manage_quotation/printEstimationSheet/'.$sub_records['furniture_id']);?>" target="_blank" ><?php echo number_format((float)$cost, 3, '.', ''); ?></a></td>
												<td class="details" style="text-align:right;"><?php echo number_format((float)$profit, 3, '.', ''); ?></td>
												<td class="details" style="text-align:right;"><?php echo number_format((float)$profit_perc, 3, '.', ''); ?></td>
                                                <td class="details no_print" >
													<?php 	
														$str_arr = preg_split ("/\,/", $this->session->userdata('is_user_type'));
														if (in_array(5, $str_arr)) { ?>
															<a type="button" class="btn btn-primary button1 addComment"  data-toggle="modal" ref="<?php echo site_url('Manage_quotation/update_item_comments/'.$quotation_id.'/'.$sub_records['furniture_id']);?>" data-comment="<?php echo $sub_records['comments'];?>" style="width: 100px;padding-top: 2px;padding-bottom: 2px;">Comment</a>
													<?php } ?>
												</td>
											</tr>
                                            <tr>
                                            	<?php if($sub_records['furniture_description']!="" and $image=="without_image") {?>
													<form method="post" action="<?php echo site_url('Manage_quotation/updateDescription/'.$quotation_id.'/'.$sub_records['furniture_id']);?>">
														
														<td colspan="5" class="swdescription ">
															
															<span class="showDesc" >
																<textarea style="width: 500px;" class="furniture_description " name="furniture_description" ><?php echo nl2br($sub_records['furniture_description']);?></textarea>
																
															</span>
															<input type="submit" name="update" value="Update" class="showDesc " />
															<span class="swDesc1 hideDesc">
																<?php echo nl2br($sub_records['furniture_description']);?>
															</span>
														</td>
													</form>
                                                <?php } else {  if($sub_records['furniture_comments']!=""){ ?>
													<td colspan="5">&nbsp;</td>
												<?php } } ?>
												<?php if($sub_records['furniture_comments']!="" and $image=="without_image") {?>
                                                	<td colspan="5" class="swdescription "><span class="swDesc1"><?php echo nl2br($sub_records['furniture_comments']);?></span></td>
                                                <?php } else { if($sub_records['furniture_description']!=""){ ?>
													<td colspan="5">&nbsp;</td>
												<?php } } ?>
                                            </tr>
											<tr>
                                           
                                           <!-- <tr>
											<form method="post" action="<?php echo site_url('Manage_quotation/update_item_comments/'.$quotation_id.'/'.$sub_records['furniture_id']);?>">
												<td colspan="7">
														<textarea style="width: 100%;" name="comments[]" id="comments[]" placeholder="Comment here..."><?php echo $sub_records['comments'];?></textarea>
												</td>
												<td>
													<input type="button" class="button1 addComment"  data-toggle="modal"   value="Submit" style="width: 70px;"  />
													
												</td>
											</form>
											</tr>-->
                                <?php 	} if($holi_per_mnth['sub_group'] != "") {
												//if($i!=1){
													if($without_sub==0){
														if($image=="with_image"){
															echo '<tr><td colspan="9" style="text-align: right;" class="details"><b>'.$holi_per_mnth['sub_group'].' Total</b></td><td class="details" colspan="2" style="background:#7B8D95;color:#010202;">'.$currency_code." ".number_format((float)$subGroupTotal, 3, '.', '').'</td></tr>';
														}else{
															echo '<tr><td colspan="8" style="text-align: right;" class="details"><b>'.$holi_per_mnth['sub_group'].' Total</b></td><td class="details" colspan="2" style="background:#7B8D95;color:#010202;">'.$currency_code." ".number_format((float)$subGroupTotal, 3, '.', '').'</td></tr>';
														}
													}
												//}
												$subGroupTotal = 0;
												
										   }
										}
										if($furniture_area != "") {
												if($print_status==""){
													if($without_group==0){
														if($image=="with_image"){
															echo '<tr><td colspan="9" style="text-align: right;" class="details"><b>'.$furniture_area.' Total</b></td><td class="details" colspan="2" style="background:#7B8D95; color:#010202;">'.$currency_code." ".number_format((float)$GroupTotal, 3, '.', '').'</td></tr>';
														}else{
															echo '<tr><td colspan="8" style="text-align: right;" class="details"><b>'.$furniture_area.' Total</b></td><td class="details" colspan="2" style="background:#7B8D95; color:#010202;">'.$currency_code." ".number_format((float)$GroupTotal, 3, '.', '').'</td></tr>';
														}
													}
													$subGroupTotal = 0;
												}
												
										}
									}
								}
									
								?>
								<tr>
									<td colspan="5" >&nbsp;</td>
									<td class="details" style="text-align:right;"><b><?php  echo number_format((float)$total_selling_price, 3, '.', ''); ?></b></td>
									<td class="details"  style="text-align:right;" ><b><?php echo number_format((float)$total_cost, 3, '.', ''); ?></b></td>
									<td class="details"  style="text-align:right;" ><b><?php  echo number_format((float)$total_profit, 3, '.', ''); ?></b></td>
									<td>&nbsp;</td>
								</tr>
                            </tbody>
                        </table>
                    </span>
                </td>
            </tr>
			<?php 	
				$str_arr = preg_split ("/\,/", $this->session->userdata('is_user_type'));
				if (in_array(5, $str_arr)) { ?>
            <tr>
            	<td colspan="2">
					
                	<span class="quotationIntro">
						<?php if($quotation_status == "Draft" OR $quotation_status == "Open"){ ?>										
							<div class="btn  btn-warning img-card" style="float:right; margin-left: 10px; padding: 0px;">
								<div class="card-body text-center delivery_note" style="padding:0px;">
									
									<?php
										$xxxx = $quotation_status;
										$quotation['quotation_status'] = $quotation_status;
										$this->load->view('manage/approve_quotation_status_update',$quotation);
										
									?>
							</div>
						</div><!-- COL END -->
						<?php } ?>
						<a id="add__new__list" type="button" class="btn btn-md btn-primary " style="float:right; " data-bs-target=".bd-example-modal-lg" href="<?php echo site_url('manage_quotation/quotation').'/'.$quotation_id.'/'.$division_id.'/'.$quotation_number;?>"><i class="fa fa-gg"></i> Manage Quote</a>
						<a class="btn btn-danger closebtn"  style="float:right; margin-right: 5px;" href="<?php echo site_url('Dashboard/approver_dashboard'); ?>" ><i class="fa fa-close"></i>Exit</a>			
                        <span class="hideTerms" ><?php echo $terms_and_conditions;?></span>
						<form method="post" action="<?php echo site_url('Manage_quotation/updateTerms/'.$quotation_id);?>">
							<span class="showTerms" >
								<textarea class="terms_and_conditions" name="terms_and_conditions"><?php echo $terms_and_conditions;?></textarea>
							</span>
							<input type="submit" name="update" value="Update" class="showTerms " />
						</form>
                    </span>
                </td>
            </tr>
			<?php } ?>
            <!--<tr>
            	<td class="leftSpan halfspan"></td>
                <td class="rightSpan halfspan">
                	<table width="100%">
                        <tr>
                        	<td align="right">
                            	<span>
                                   <p class="boldText" style="font-size:10px;">Created By</p>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td align="right" class="details">
                            	<?php echo $salesman_name;?>
                               
                            </td>
                        </tr>
                        <tr>
                        	<td align="right" class="details">
                            	<?php echo $salesman_email_id;?>
                               
                            </td>
                        </tr>
                    </table>	
                </td>
            </tr>-->
            <!--<tr>
            	<td colspan="2">
                	<span class="quotationIntro footer_content">
                    	<h3 class="details">To Get Started</h3>
                        <table width="100%">
                            <tr>
                                <td class="details">
                                    <p>Signed by:</p>
                                    <br/>
                                    <p><?php echo $client_name;?></p>
                                </td>
                                <td align="right" class="details">
                                	<p></p>
                                    <br/><br/>
                                    <p>Date</p>
                                </td>
                            </tr>
                        </table>
                    </span>
                    
                </td>
            </tr>-->
            <!--<tr>
                <td colspan="2">
                <?php foreach($footer_url as $footer_url) { ?>
                	<img src="<?php echo base_url()."images/footers/".$footer_url; ?>" alt="" width="100%;"  class="logo"/>
                   <?php } ?>
                </td>
            </tr>-->
			
        </table>
    </div>
</body>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>

<script>

$("html").on("keyup",".item_search",function(){
		var client	=	$(this).val();
		if($('.item_id').val()===0 || $('.item_id').val()===''){
			return false;
		}
		$('.client_id').val('');
		$('.client_address').val('');
		$("#prospect_name").val('');
		$('#prospect_name').attr('readonly', false);
		$(".client_id").val('');
		$("#phone").val('');
		$("#email").val('');
		$(".cname").html('');
		$(".cphone").html('');
		$(".cemail").html('');
		$(".caddress").html('');
		$(".cperson").html('');
		$(".tax_name").html('');
		$(".tax_no").html('');
		if (client==''){
			$(".item_result").css('display','none');
			$(this).val("");
			return false;
		} else {
			$.ajax({
					url:"<?php echo site_url("furniture/Furnitures/search_item")?>" , 
					type: "POST" ,
					data: {client	: client} ,
					success: function(data){
						$(".item_result").css('display','block');
						$(".itemList").html(data);
						item_button();
						$('.item_search').keydown(function (ex) {
							if (ex.keyCode == 40) {
								$('.itemList').on('focus', 'li', function() {
									$this = $(this);
									$this.addClass('nbactive').siblings().removeClass();
									$this.closest('.itemList').scrollTop($this.index() * $this.outerHeight());
								}).on('keydown', 'li', function(e) {
									$this = $(this);
									if (e.keyCode == 40) {        
										$this.next().focus();
										return false;
									} else if (e.keyCode == 38) {        
										$this.prev().focus();
										return false;
									}
								}).find('li').first().focus();
							}
						});
						$(".itemList li").keypress(function (e) {
							if (e.keyCode == 13) {
								$(".item_result").css('display','none');
								var item_id	=	($(this).attr('value'));
								var item_name = $(this).closest("li").find(".item_name").val();
								var item_description = $(this).closest("li").find(".item_description").val();
								var item_unit = $(this).closest("li").find(".item_unit").val();
								$(".item_id").val(item_id);
								$("#furniture_model").val(item_name);
							}
						});
					},
					error: function(){
						$("#errorMsg").html('Connection Error......');
						$("#errorMsg").stop(true, true, true).slideDown(500);
					}
				});
		}
		
	});
	function item_button() {
		$(".item_button").click(function() {
			$(".item_result").css('display','none');
			var item_id	=	($(this).attr('value'));
			var item_name = $(this).closest("li").find(".item_name").val();
			var item_description = $(this).closest("li").find(".item_description").val();
			var item_unit = $(this).closest("li").find(".item_unit").val();
			$(".item_id").val(item_id);
			$("#furniture_model").val(item_name);
		});
		$(".no_result_button").click(function() {
			$(".item_result").css('display','none');
			$(".item_id").val('');
			$("#furniture_model").val('');
		});
	}

	$('.addComment').on('click', function (e) {
		var ttt=$(this).attr('ref');
		$('#postForm').attr('action', ttt);
		var pop_comment=$(this).attr('data-comment');
		$("#pop_comment").val(pop_comment);
		$('#myModal').modal('show');
	});
	$('.favouriteConfirm').on('click', function (e) {
		$('#myModal').modal('hide');
	});
	$('.hideItem').on('click', function (e) {
		$(this).hide();
		$(this).closest('tr').find('.showItem').show();
	});
	$('.hideDesc').on('click', function (e) {
		$(this).hide();
		$(this).closest('tr').find('.showDesc').show();
	});
	$('.hideItem_discount').on('click', function (e) {
		$(this).hide();
		$(this).closest('tr').find('.showItem_discount').show();
	});
	$('.hideQty').on('click', function (e) {
		$(this).hide();
		$(this).closest('tr').find('.showQty').show();
	});
	$('.hideP').on('click', function (e) {
		$(this).hide();
		$(this).closest('tr').find('.hideDes').show();
	});
	$('.hideTerms').on('click', function (e) {
		$(this).hide();
		$('.showTerms').show();
	});
	$('.hideCover').on('click', function (e) {
		$(this).hide();
		$('.showCover').show();
	});
	$('.formSubmit').on('click', function (e) {
		var rate	=	Number($(this).closest('td.details').find('.rate').val());
		var qty	=	Number($(this).closest('td.details').find('.qty').val());
		var cost_price	=	Number($(this).closest('td.details').find('.cost_price').val());
		var profit=(rate*qty)-cost_price;
		if(profit<0){
			alert("The Profit is less than zero so You can't update it...!");
			return false;
		}
	});
	</script>
	<script src="<?php echo base_url(); ?>/admincss/plugins/bootstrap/js/popper.min.js"></script>
	<script src="<?php echo base_url(); ?>/admincss/plugins/bootstrap/js/bootstrap.min.js"></script>


	<script src="<?php echo base_url(); ?>/admincss/plugins/sweet-alert/sweetalert.min.js"></script>
	<script src="<?php echo base_url(); ?>/admincss/js/sweet-alert.js"></script>

<script>
	function ChangeStatus(id,group_by,status,forCom,projectCheck,is_enter_one_item){
		if(is_enter_one_item==='0'){
				$('.blink3').show();
			} else {
				if(projectCheck==='1'){
					$('.blink2').show();
				} else {
					if(forCom==='0'){
						var quotation_id=<?php echo $quotation_id;?>;
						var division_id	=<?php echo $division_id;?>;
						var quotation_number=<?php echo $quotation_number;?>;
						$('body').removeClass('timer-alert');
						swal({
								title: "Alert",
								text: "Do you Want to Change Status?",
								type: "warning",
								showCancelButton: true,
								confirmButtonText: 'Yes',
								cancelButtonText: 'Cancel'
							},
							function(isConfirm){
							if (isConfirm) {
								window.location = "<?php echo base_url()?>index.php/Manage_quotation/changeStatus/"+id+"/"+group_by+"/"+status+"/"+quotation_id+"/"+division_id+"/"+quotation_number+"/"+'<?php echo $xxxx;?>'+"/"+'<?php echo $quotation_number_full;?>';
							} else {
								swal("Cancelled", "Your imaginary file is safe :)", "error");
							}
						});
					} else {
						$('.blink').show();
					}
				}
			}
        } 
</script>
<script>
	$(document).ready(function() {
		$('.furniture_description').summernote({
			height:150,
			minHeight: 150,   
			toolbar: [
				['font', ['bold', 'italic', 'underline', 'clear']],
				['color', ['color']],
				['para', ['ul', 'ol', 'paragraph']],
			],
		});
		$('.terms_and_conditions').summernote({
			height:150,
			minHeight: 150,   
			toolbar: [
				['font', ['bold', 'italic', 'underline', 'clear']],
				['color', ['color']],
				['para', ['ul', 'ol', 'paragraph']],
			],
		});
		$('.covering_letter').summernote({
			height:150,
			minHeight: 150,   
			toolbar: [
				['font', ['bold', 'italic', 'underline', 'clear']],
				['color', ['color']],
				['para', ['ul', 'ol', 'paragraph']],
			],
		});
	});
</script>
<script src="<?php echo base_url(); ?>/admincss/plugins/summernote/summernote1.js"></script>
<script src="<?php echo base_url(); ?>/admincss/js/summernote.js"></script>
</html>