<html>
	<head>
		<meta content="text/html; charset=UTF-8" http-equiv="content-type">
		<link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>
		<title> Estimation Sheet </title>
		<style type="text/css">
			.mainTable{
				width:100%;	
			}
			/*@page { margin: 240px 75px 20px 75px; }
			#header_nb {  position: fixed; left: 0px; top: -225px; right: 0px; height: 50px; }*/
			#footer_nb { position: fixed; left: 0px; bottom: 0px; right: 0px; height: 50px;  }
			#footer_nb .page:after {  content: counter(page);counter-increment: page; }
			.bag_1 { background:#e8f4f8;}
			.bag_2 { background:#f4f8e8;}
			.bag_3 { background:#f8fa7f;}
			.bag_4 { background:#b4b4bd;}
			.bag_5 { background:#d6d6ed;}
			.font_color_2 { color:#f6341d;}
			.pad_5 { padding:5px; }
			.font_20 { font-size:20px; }
			.font_15 { font-size:15px; }
			.font_12 { font-size:12px; }
			.text_center{ text-align:center; }
			.text_left{ text-align:left; }
			.text_right{ text-align:right; }
			.border_left { border-left:1px solid #000000; }
			.border_right { border-right:1px solid #000000; }
			.border_bottom { border-bottom:1px solid #000000; }
			.border_top { border-top:1px solid #000000; }
			.ref{  border-right:1px solid #000000;  border-bottom:1px solid #000000; }
			body { font-family: 'FreeSans', sans-serif; }
		</style>
	</head>
	<body>
		<div id="header_nb">
			<div class="outer_wrapper">
				<table class="mainTable">
				
				</table>
			</div>
		</div>
    
		<div id="footer_nb">
			<div class="outer_wrapper">
				<div class="firstfooter">
					<table border="0" width="100%" cellpadding="0" style="padding-top:5px;">
						<tr>
							<td align="center" style="padding-top:-22px;vertical-align: top;text-align: left;width:530px;color:#888886;">&nbsp;<p style="line-height: 12pt;color:#888886;"><?php //if(isset($company_details->company_address)){ echo $company_details->company_address;} ?></p><p class="page" style="color:#888886;"></p></td>
						</tr>
					</table>
				</div>
			</div>
		</div>
		<div id="content_nb">
			<div class="outer_wrapper">
				<table class="mainTable" cellpadding="0" cellspacing="0">
					<tr>
						<td colspan="7" class="pad_5 text_center font_20 border_top border_left border_bottom border_right"  ><b>ESTIMATION SHEET</b></td>
					</tr>
					<tr class="bag_1">
						<td class="pad_5 text_left font_12 border_left border_bottom" style="width:175px;" ><b>Ref. Number</b></td>
						<td colspan="6" class="pad_5 text_left font_12 border_left border_bottom border_right " ><a href="<?php echo site_url('furniture/Estimation/jobEstimation/'.$records['quotation_id']. '/' . $records['furniture_id'] ); ?>" target="_blank" style="text-decoration: none;" ><?php echo @$estimation['boq_no'];?></a></td>
					</tr>
					<tr class="bag_1">
						<td class="pad_5 text_left font_12 border_left border_bottom " ><b>Customer Name</b></td>
						<td colspan="6" class="pad_5 text_left font_12 border_left border_bottom border_right " ><?php echo $records['client_name']; ?></td>
					</tr>
					<tr class="bag_1">
						<td class="pad_5 text_left font_12 border_left border_bottom " ><b>Project</b></td>
						<td colspan="6" class="pad_5 text_left font_12 border_left border_bottom border_right " ><?php echo $records['project_name']; ?></td>
					</tr>
					<tr class="bag_1">
						<td class="pad_5 text_left font_12 border_left border_bottom " ><b>Product Name</b></td>
						<td colspan="6" class="pad_5 text_left font_12 border_left border_bottom border_right " ><?php echo $records['sl_no']; ?> / <?php echo $records['furniture_model']; ?></td>
					</tr>
					<tr class="bag_1">
						<td class="pad_5 text_left font_12 border_left border_bottom " ><b>Description</b></td>
						<td colspan="6" class="pad_5 text_left font_12 border_left border_bottom border_right " > <?php echo nl2br($records['furniture_description']); ?></td>
					</tr>
					<tr class="bag_1">
						<td class="pad_5 text_left font_12 border_left border_bottom " ><b>Internal comments</b></td>
						<td colspan="6" class="pad_5 text_left font_12 border_left border_bottom border_right " > <?php echo nl2br($records['furniture_comments']); ?></td>
					</tr>
					<tr class="bag_4" >
						<td colspan="7" class="pad_5 text_left font_15 border_left border_bottom border_right "  ><b> Direct Materials Cost</b></td>
					</tr>
					<tr class="bag_5" >
						<td class="pad_5 text_left font_12 border_left border_bottom " >Materials Details</td>
						<td   colspan="2" class="pad_5 text_center font_12 border_left border_bottom " style="width:100px;" >Description</td>
						<td class="pad_5 text_center font_12 border_left border_bottom " >Qty</td>
						<td class="pad_5 text_center font_12 border_left border_bottom " >Unit</td>
						<td class="pad_5 text_center font_12 border_left border_bottom " >Rate</td>
						<td  class="pad_5 text_center font_12 border_left border_bottom border_right " >Amount</td>
					</tr>
					<?php                   
						 $add='';
						 $matcost=0;
						if($estimationMaterialsAdded!=false){
							foreach($estimationMaterialsAdded as $row) {
								$add.= '<tr>';
								$add.= '<td class="pad_5 text_left font_12 border_left border_bottom " >'.$row['item_name'].'</td>';
								$add.= '<td   colspan="2" class="pad_5 text_center font_12 border_left border_bottom " >'.$row['item_description'].'</td>';
								$add.= '<td class="pad_5 text_center font_12 border_left border_bottom " >'.$row['material_qty'].'</td>';
								$add.= '<td class="pad_5 text_center font_12 border_left border_bottom " >'.$row['material_uom'].'</td>';
								$add.= '<td class="pad_5 text_right font_12 border_left border_bottom " >'.$row['material_unitprice'].'</td>';
								$add.= '<td  class="pad_5 text_right font_12 border_left border_bottom border_right " >'.$row['material_total'].'</td>';
								$add.= '</tr>';
								$matcost= $matcost+$row['material_total'];
							}
							print $add;
						}
					?>
				
					<tr class="bag_2">
						<td colspan="6" class="pad_5 font_color_2 text_center font_12 border_left border_bottom " ><b> Direct Materials Cost Total </b></td>
						<td class="pad_5 text_right font_12 border_left border_bottom border_right " ><b><?php echo number_format($matcost,3); ?></b></td>
					</tr>
					<tr class="bag_4" >
						<td colspan="7" class="pad_5 text_left font_15 border_left border_bottom border_right "  ><b> Direct Labour Cost</b></td>
					</tr>
					<tr class="bag_5" >
						<td class="pad_5 text_left font_12 border_left border_bottom "  style="width:175px;" >Department</td>
						<td class="pad_5 text_center font_12 border_left border_bottom " style="width:75px;" >Emp Category</td>
						<td class="pad_5 text_center font_12 border_left border_bottom " style="width:75px;" >No. of ppl</td>
						<td class="pad_5 text_center font_12 border_left border_bottom " style="width:75px;" >Hours</td>
						<td class="pad_5 text_center font_12 border_left border_bottom " style="width:75px;" >T. Hours</td>
						<td class="pad_5 text_center font_12 border_left border_bottom " style="width:75px;" >Rate</td>
						<td class="pad_5 text_center font_12 border_left border_bottom border_right " style="width:75px;" >Amount</td>
					</tr>
					<?php                   
						 $add='';
						 $labcost=0;
						if($estimationLabourCostAdded!=false){
							foreach($estimationLabourCostAdded as $row2) {
								$add.= '<tr>';
								$add.= '<td class="pad_5 text_left font_12 border_left border_bottom " >'.$row2['labour_department'].'</td>';
								$add.= '<td class="pad_5 text_center font_12 border_left border_bottom " >'.$row2['labour_emp_category'].'</td>';
								$add.= '<td class="pad_5 text_center font_12 border_left border_bottom " >'.$row2['labour_no_of_ppl'].'</td>';
								$add.= '<td class="pad_5 text_center font_12 border_left border_bottom " >'.$row2['labour_hours'].'</td>';
								$add.= '<td class="pad_5 text_center font_12 border_left border_bottom " >'.$row2['labour_total_man_hours'].'</td>';
								$add.= '<td class="pad_5 text_right font_12 border_left border_bottom " >'.$row2['labour_rate'].'</td>';
								$add.= '<td class="pad_5 text_right font_12 border_left border_bottom border_right " >'.$row2['labour_total_amount'].'</td>';
								$add.= '</tr>';
								$labcost= $labcost+$row2['labour_total_amount'];
							}
							print $add;
						}
					?>
					<tr class="bag_2">
						<td colspan="6" class="pad_5 font_color_2 text_center font_12 border_left border_bottom " ><b> Direct Labour Cost Total </b></td>
						<td class="pad_5 text_right font_12 border_left border_bottom border_right " ><b><?php echo number_format($labcost,3); ?></b></td>
					</tr>
					<tr class="bag_4" >
						<td colspan="7" class="pad_5 text_left font_15 border_left border_bottom border_right "  ><b> Sub Contract</b></td>
					</tr>
					<?php 
						$add='';
						$subcost=0;
							if($estimationSubContractAdded!=false){
					?>
					<tr class="bag_5" >
						<td class="pad_5 text_left font_12 border_left border_bottom " >Vendor</td>
						<td colspan="5" class="pad_5 text_center font_12 border_left border_bottom " >Work Type</td>
						<td class="pad_5 text_center font_12 border_left border_bottom border_right " >Amount</td>
					</tr>
					<?php                   
						
							foreach($estimationSubContractAdded as $row3) {
								$add.= '<tr>';
								$add.= '<td class="pad_5 text_left font_12 border_left border_bottom " >'.$row3['subcontract_vendor'].'</td>';
								$add.= '<td colspan="5" class="pad_5 text_left font_12 border_left border_bottom " >'.$row3['subcontract_work_type'].'</td>';
								$add.= '<td class="pad_5 text_right font_12 border_left border_bottom border_right " >'.$row3['subcontract_amount'].'</td>';
								$add.= '</tr>';
								$subcost= $subcost+$row3['subcontract_amount'];
							}
							print $add;
						}
					?>

					<tr class="bag_2">
						<td colspan="6" class="pad_5 font_color_2 text_center font_12 border_left border_bottom " ><b> Sub Contract Total </b></td>
						<td class="pad_5 text_right font_12 border_left border_bottom border_right " ><b><?php echo number_format($subcost,3); ?></b></td>
					</tr>
					<tr class="bag_4" >
						<td colspan="7" class="pad_5 text_left font_15 border_left border_bottom border_right " ><b> Hiring</b></td>
					</tr>
					<?php 
						$add='';
						$hircost=0;
						if($estimationHiringAdded!=false){?>
					<tr class="bag_5" >
						<td class="pad_5 text_left font_12 border_left border_bottom " >Vendor</td>
						<td colspan="5" class="pad_5 text_center font_12 border_left border_bottom " >Work Type</td>
						<td class="pad_5 text_center font_12 border_left border_bottom border_right " >Amount</td>
					</tr>
					<?php                   
						
							foreach($estimationHiringAdded as $row4) {
								$add.= '<tr>';
								$add.= '<td class="pad_5 text_left font_12 border_left border_bottom " >'.$row4['hiring_vendor'].'</td>';
								$add.= '<td colspan="5" class="pad_5 text_left font_12 border_left border_bottom " >'.$row4['hiring_work_type'].'</td>';
								$add.= '<td class="pad_5 text_right font_12 border_left border_bottom border_right " >'.$row4['hiring_amount'].'</td>';
								$add.= '</tr>';
								$hircost= $hircost+$row4['hiring_amount'];
							}
							print $add;
						}
					?>
					<tr class="bag_2">
						<td colspan="6" class="pad_5 font_color_2 text_center font_12 border_left border_bottom " ><b> Hiring Total </b></td>
						<td class="pad_5 text_right font_12 border_left border_bottom border_right " ><b><?php echo number_format($hircost,3); ?></b></td>
					</tr>
					<tr class="bag_4" >
						<td colspan="7" class="pad_5 text_left font_15 border_left border_bottom border_right "  ><b> Others</b></td>
					</tr>
					<?php 
						$add='';
						$othcost=0;
						if($estimationOthersAdded!=false){
					?>
					<tr class="bag_5" >
						<td class="pad_5 text_left font_12 border_left border_bottom " >Vendor</td>
						<td colspan="5" class="pad_5 text_center font_12 border_left border_bottom " >Work Type</td>
						<td class="pad_5 text_center font_12 border_left border_bottom border_right " >Amount</td>
					</tr>
					<?php                   
						
							foreach($estimationOthersAdded as $row5) {
								$add.= '<tr>';
								$add.= '<td class="pad_5 text_left font_12 border_left border_bottom " >'.$row5['others_vendor'].'</td>';
								$add.= '<td colspan="5" class="pad_5 text_left font_12 border_left border_bottom " >'.$row5['others_work_type'].'</td>';
								$add.= '<td class="pad_5 text_right font_12 border_left border_bottom border_right " >'.$row5['others_amount'].'</td>';
								$add.= '</tr>';
								$othcost= $othcost+$row5['others_amount'];
							}
							print $add;
						}
					?>
					<tr class="bag_2">
						<td colspan="6" class="pad_5 font_color_2 text_center font_12 border_left border_bottom " ><b> Others Total </b></td>
						<td class="pad_5 text_right font_12 border_left border_bottom border_right " ><b><?php echo number_format($othcost,3); ?></b></td>
					</tr>
					<?php 
                                                        $summery=''; 
                                                        if($overhead!=false){
															$mat_and_lab_amount=$matcost+$labcost;
                                                            foreach($overhead as $row6) { 
                                                                $style='';
                                                                if($this->session->userdata('user_group_id') == 1 ) {
                                                                    $readonly='';
                                                                } else {
                                                                    $readonly='readonly';
                                                                }
																
                                                                if($row6['id']==1){
																	$amount=$estimation['material'];
																	
                                                                    if(@$estimation['materialperce']!=NULL){
                                                                        $perce=$estimation['materialperce'];
																		
                                                                    } else {
                                                                        $perce=$row6['percentage'];
                                                                    }
																	$mat_and_lab_amount=$mat_and_lab_amount+($amount*($perce/100));
                                                                } else if($row6['id']==2){
																	$amount=$estimation['labourCost'];
																	
                                                                    if(@$estimation['labourCostperce']!=NULL){
                                                                        $perce=$estimation['labourCostperce'];
                                                                    } else {
                                                                        $perce=$row6['percentage'];
                                                                    }
																	$mat_and_lab_amount=$mat_and_lab_amount+($amount*($perce/100));
                                                                } else if($row6['id']==3){
																	$amount=$estimation['subcontract'];
                                                                    if(@$estimation['subcontractperce']!=NULL){
                                                                        $perce=$estimation['subcontractperce'];
                                                                    } else {
                                                                        $perce=$row6['percentage'];
                                                                    }
                                                                } else if($row6['id']==4){
																	$amount=$estimation['hiring'];
                                                                    if(@$estimation['hiringperce']!=NULL){
                                                                        $perce=$estimation['hiringperce'];
                                                                    } else {
                                                                        $perce=$row6['percentage'];
                                                                    }
                                                                } else if($row6['id']==5){
																	$amount=$estimation['others'];
                                                                    if(@$estimation['othersperce']!=NULL){
                                                                        $perce=$estimation['othersperce'];
                                                                    } else {
                                                                        $perce=$row6['percentage'];
                                                                    }
                                                                } else if($row6['id']==6){
																	//$amount=$estimation['material'];
                                                                    $perce=0; 
                                                                    $style='style="background: #DAF7A6;"';
                                                                } else if($row6['id']==7){
																	//$amount=$mat_and_lab_amount;
                                                                    if(@$estimation['profitperce']!=NULL){
                                                                        $perce=$estimation['profitperce'];
                                                                    } else {
                                                                        $perce=$row6['percentage'];
                                                                    }
																	$amount=$mat_and_lab_amount;
                                                                } else {
                                                                    $perce=$row6['percentage'];
                                                                }
																if($row6['id']!=6){ 
																	$summery.='<tr '. $style.'>';
																	
																	if($row6['id']!=7){ 
																		$summery.='<td colspan="4" class="pad_5 text_left font_12 border_left border_bottom " >'.$row6['name'].'</td>';
																		$summery.='<td class="pad_5 text_right font_12 border_left border_bottom " >'.$amount.'</td>';
																		$summery.='<td class="pad_5 text_right font_12 border_left border_bottom " >'.$perce.' % </td>';
																		$summery.='<td class="pad_5 text_right font_12 border_left border_bottom border_right " >'.number_format($amount*($perce/100),3).'</td>';
																	} else {
																		$summery.='<td colspan="4" class="pad_5 text_left font_12 border_left border_bottom " ><b>'.$row6['name'].'</b></td>';
																		$summery.='<td class="pad_5 text_right font_12 border_left border_bottom " ></td>';
																		$summery.='<td class="pad_5 text_right font_12 border_left border_bottom " ><b>'.$perce.' % </b></td>';
																		$summery.='<td class="pad_5 text_right font_12 border_left border_bottom border_right " ><b>'.number_format($amount*($perce/100),3).'</b></td>';
																	}
																	$summery.='</tr>';
																}
                                                            } 
                                                        }
                                                        echo $summery; 
                                                    ?>
					<!--<tr>
						<td colspan="6" class="pad_5 text_left font_12 border_left border_bottom " >Material OH</td>
						<td class="pad_5 text_right font_12 border_left border_bottom border_right " >0.000</td>
					</tr>
					<tr>
						<td colspan="6" class="pad_5 text_left font_12 border_left border_bottom " >Labour Cost OH</td>
						<td class="pad_5 text_right font_12 border_left border_bottom border_right " >0.000</td>
					</tr>
					<tr>
						<td colspan="6" class="pad_5 text_left font_12 border_left border_bottom " >Subcontract OH</td>
						<td class="pad_5 text_right font_12 border_left border_bottom border_right " >0.000</td>
					</tr>
					<tr>
						<td colspan="6" class="pad_5 text_left font_12 border_left border_bottom " >Hiring OH</td>
						<td class="pad_5 text_right font_12 border_left border_bottom border_right " >0.000</td>
					</tr>
					<tr>
						<td colspan="6" class="pad_5 text_left font_12 border_left border_bottom " >Others OH</td>
						<td class="pad_5 text_right font_12 border_left border_bottom border_right " >0.000 </td>
					</tr>
					<tr>
						<td colspan="6" class="pad_5 text_left font_12 border_left border_bottom " ><b> Profit </b></td>
						<td class="pad_5 text_right font_12 border_left border_bottom border_right " ><b> 0.000 <b></td>
					</tr>-->
					<tr  class="bag_3">
						<td colspan="6" class="pad_5 text_left font_12 border_left border_bottom " ><b> TOTAL ESTIMATED AMOUNT </b></td>
						<td class="pad_5 text_right font_12 border_left border_bottom border_right " ><b> <?php echo $estimation['selling_price'];?> <b></td>
					</tr>
				</table>
				
			</div>
		</div>
	</body>
</html>