<?php 
	$this->load->helper('num_words');
?>

<html>
<head>
  <meta content="text/html; charset=UTF-8" http-equiv="content-type">
  <link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>
  <title><?php echo $quotation_number_full;?></title>
  <style type="text/css">
  
  	
  	.outer_wrapper{
		width:700px;
		margin:0 auto;
		min-height:600px;
		/*border:solid 1px blue;*/
	}
	
	.mainTable{
		width:100%;	
	}
	
  	.quotationTitle{
		/*height:150px;*/
		width:100%;
		background-color:#7f7f7f;
		float:left;
	}
	
	.quotationTitle h2{
		/*background-color:#7f7f7f;*/
    	margin: 0;
    	text-align: center;	
		font-family: 'Open Sans', sans-serif;
		color:#fff;
		line-height:42px;
		/*text-transform:uppercase;*/
		float:left;
		width:100%;
	}
	
	.leftSpan{
		width:60%;
		vertical-align: top;
	}
	
	.rightSpan{
		width:40%;
		vertical-align: top;
	}
	
	.halfSpan > span {
		float: left;
		width: 100%;
	}
	
	.halfSpan > span label{
		width:50%;
		color:#7f7f7f;
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		float:left;
	}
	
	.halfSpan h3{
		color: #000000;
    	font-family: 'Open Sans', sans-serif;
    	font-weight: bold;
    	margin: 0;
		padding:0px;
	}
	
	.halfSpan h4{
		color: #000000;
    	font-family: 'Open Sans', sans-serif;
    	font-weight: normal;
   		margin-bottom: 0;
    	margin-top: 3px;
		padding:0px;
	}
	
	.halfspan p{
		color: #000000;
    	font-family: 'Open Sans', sans-serif;
    	font-weight: normal;
   		margin-bottom: 0;
    	margin-top: 3px;
		padding:0px;	
	}
	
	.halfspan p.boldText{
		font-weight:bold;
		font-size:11px;	
	}
	.details{
		font-size:11px;	
		font-family: 'Open Sans', sans-serif;
	}
	
	.quotationIntro{
		margin-top:20px;
		float:left;
		width:100%;
		font-family: 'Open Sans', sans-serif;
		color:#000000;
		font-size:11px;
		
	}
	
	.quotationIntro h3{
		text-transform:uppercase;	
	}
	
	.quotationIntro b{
		font-weight:bold;	
	}
	
	.FeesTitle h3{
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		color:#000;
		margin:5px;
	}
	
	.quotationTables{
		margin-top:10px;
		float:left;
		width:100%;
	}
	
	.quotationTables b{
		font-weight:bold;	
	}
	
	.quotationTables table{
		width:100%;	
		border:solid 1px #d4d4d4;
		/*background-color:#f4f4f4;*/
		border-spacing:0px;
	}
	
	.quotationTables table thead th{
		background-color:#7a7a7a;
		color:#fff;
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		text-align:left;	
		padding:5px;
	}
	
	.quotationTables table tbody th{
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		text-align:left;	
		padding:5px;
		color:#000;
		font-size:14px;
	}
	
	.quotationTables table th, .quotationTables table td{
		border-bottom: 1px solid #aaaaaa !important;
    	border-right: 1px solid #aaaaaa !important;
		padding:4px;
	}
	
	.quotationTables table td .swDesc{
		opacity: 0.35;
	}
	.quotationTables table td .swDesc1{
	font-size:11px;
	font-family: 'Open Sans', sans-serif;
	}
	

	.footer_content p{
		margin:5px 0px;	
	}
	
	.footer_content h3{
		text-transform:none;
		font-weight:bold;
	}
	
	.quotationTables td:last-child {
		border-right: medium none !important;
	}
	
	.quotationTables td.swdescription:last-child {
		border-right: 1px solid #aaaaaa !important;
		font-size:10px;
	}
	
	.quotationTables tr:last-child td {
		border-bottom: medium none !important;
	}
	a.no_print1 {
	color: #0088cc;
	text-decoration: none;
	font-size:14px;
	margin-left:14px;
}
a.no_print1:hover {
	text-decoration: underline;
}
	
	.quotationTables th:last-child {
		border-right: medium none !important;
	}
	
	.quotationTables .swGroup{
		background-color: #A4A4A4;
		color: #fff;
		font-family: 'Open Sans', sans-serif;
		font-weight: bold;
		padding: 5px;
		text-align: center;
		font-size:10px;
		color:#000000;
	}
	
	.log_left {
		float: right;
	}
	
	
	@media print {
		.rightSpan h3{
			margin:0px;
		}
		
		.rightSpan h4{
			margin:0px;
		}
		.no_print {
			display:none;
	}
	.no_print1 {
			display:none;
	}
		
	}

	.MsoNoSpacing{
		margin-block-end: 0.2em !important;
		margin-block-start: 0.2em !important;
	}
	.MsoNormal{
		margin-block-end: 0.2em !important;
		margin-block-start: 0.2em !important;
	}
	p {
		margin-block-end: 0em !important;
		margin-block-start: 0em !important;
	}

  </style>
</head>
<body>
<span class='icon-print no_print'></span><a class='no_print1' href='javascript:window.print();'>Print Quotation</a><br/>
	<div align="center" class="outer_wrapper">
    
    	<table class="mainTable">
        	<tr>
            
            <td align="left" style="vertical-align:top;padding-bottom: 15px;" class="details">
				<?php if(isset($company_details->company_name)){ echo $company_details->company_name;} ?>  <?php if(isset($company_details->cr_number)){ if($company_details->cr_number!=""){ echo ' | '.$company_details->cr_number;}} ?><br>
				<?php if(isset($company_details->company_address)){ echo $company_details->company_address;} ?>  <?php if(isset($company_details->email_id)){ if($company_details->email_id!=""){ echo ' | '.$company_details->email_id;}} ?><br>
				<?php if(isset($company_details->telephone_no)){ echo $company_details->telephone_no;} ?>  <?php if(isset($company_details->fax_no)){ if($company_details->fax_no!=""){ echo ' | '.$company_details->fax_no;} } ?>
				<?php if(isset($company_details->tax_no)){ if($company_details->tax_no!=""){ if ($quotation_date>'2019-07-01'){ echo ' <br> TRN # '.$company_details->tax_no; } } } ?>
            </td>
			<td style="padding-bottom: 15px;" > 
				<img src="<?php echo base_url()."images/company_division/".$logo_filename; ?>" alt="" height="70px;" width="260px;"  class="logo"/>
            </td>
        	</tr>
            <!--<tr>
                <td colspan="2">
                    <span class="quotationTitle">
                        <h2><?php echo $project_name;?></h2>
                    </span>
                </td>
            </tr>-->
            <tr>
            	<td class="leftSpan halfspan">
                	<table width="100%">
						<tr>
							<td>
								<span>
									<p class="boldText">Submitted to:</p>
								</span>
							</td>
                        </tr>
                        <tr>
                        	<td class="details">
								<?php echo $client_name;?>
                            </td>
                        </tr>
                        <?php if($tax_name){?>
                         	<tr>
                        		<td class="details">
									Vat Name:<?php echo $tax_name;?>
                            	</td>
                       	 	</tr>
                        <?php } ?>
                        <?php if($tax_no){?>
							<tr>
								<td class="details">
									Vat No :<?php echo $tax_no;?>
								</td>
							</tr>
                        <?php } ?>
                        <tr>
                        	<td class="details">
								<?php echo $client_address;?>
                            </td>
                        </tr>
						<tr>
                        	<td class="details">
								Attn : <?php echo $Contact_Name;?>
                            </td>
                        </tr>
                        <tr>
                        	<td class="details">
								Tel : <?php echo $Contact_Tel; if($client_telephone2!=""){ echo " , ".$client_telephone2;}if($client_fax!=""){ echo " | Fax :".$client_fax;}?>
                            </td>
                        </tr>
                        <?php if($client_email!=""){ ?>
							<tr>
								<td class="details">
									Email : <?php echo $client_email;?>
								</td>
							</tr>
                        <?php } ?>
                        
                    	<!--<tr>
                        	<td width="30%">
                            	<span>
                					<label> Quotation No: </label>
                                </span>
                            </td>
                            <td>
                            	<span>
                                	<label> <?php echo $quotation_number_full;?></label>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td width="30%">
                            	<span>
                					<label> Date: </label>
                                </span>
                            </td>
                            <td>
                            	<span>
                                	<label> <?php echo date('M d, Y',strtotime($quotation_date));?></label>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td width="30%">
                            	<span>
                					<label> Project: </label>
                                </span>
                            </td>
                            <td>
                            	<span>
                                	<label> <?php echo $project_name;?></label>
                                </span>
                            </td>
                        </tr>-->
                    </table>
                </td>
                <td class="rightSpan halfspan">
                    <table width="100%">
                    	<tr>
                        	<td align="center" height="28px;" colspan="2" bgcolor="#D8D8D8">
                            	<span>
                                    <p class="boldText" style="font-size:16px;"><?php if($print_status == "delivery") { echo "Delivery Note";}else{echo "QUOTATION";}?></p>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td width="50%" class="details">
                            	<?php if($print_status == "delivery") { echo "Delivery Note No:";}else{echo "Quotation No:";}?> 
                            </td>
                            <td class="details">
                            	 <?php echo $quotation_number_full;?>
                            </td>
                        </tr>
                        <tr>
                        	<td width="30%" class="details">
                            	 Date: 
                            </td>
                            <td class="details">
                            	 <?php echo date('M d, Y',strtotime($quotation_date));?>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
            	<td colspan="2">
                	<span class="quotationIntro">
                        <p><?php echo $covering_letter;?></p>
                    </span>
                </td>
            </tr>
            <tr>
            	<td colspan="2">
               		<!--<span class="FeesTitle">
                        <h3>Pricing</h3>
                    </span>-->
                	<span class="quotationTables">
                        <table>
                            <tbody>
                                
                                <?php
                                    $grandTotal = 0;
									//$is_dicount=0;
									//var_dump($furniture_items);
                               
								 	$line_wise_discount=0;
									$itemTotal=0;
									if($furniture_items != false)
									{
										if($is_discount==0){
											$style="display:none;";	
										} else {
											$style="";	
										}
										echo'<tr><th style="background:#D8D8D8; font-size:10px;    text-align: left;" width="1%">#</th>';
										if($image=="with_image"){
											echo '<th style="background:#D8D8D8; font-size:10px;" width="10%">Image</th>';
										}
											echo '<th style="background:#D8D8D8; font-size:10px;" width="45%">Name/Description</th>';
											echo '<th style="background:#D8D8D8; font-size:10px;" width="7%">Qty</th>';
											echo '<th style="background:#D8D8D8; font-size:10px;" width="7%">Unit</th>';
											if($print_status == "") {
												echo '<th style="background:#D8D8D8; font-size:10px; text-align:right;" width="13%">Price ('.$currency_code.')&nbsp;&nbsp;</th>
													  <th class="T1 hideDiscount" style="background:#D8D8D8; font-size:10px; text-align:right; '.$style.'"  width="10%">Disc('.$currency_code.')&nbsp;&nbsp;</th>
													  <th style="background:#D8D8D8; font-size:10px; text-align:right;" width="21%">Amount ('.$currency_code.')&nbsp;&nbsp;</th>';
											}
											
										
                                echo '</tr>';
										$furniture_area = "";
										$i=0;
										$subGroupTotal = 0;
										foreach($furniture_itemlist as $products){
										
												$ex_furniture_area = $products["ex_furniture_area"];
												$furniture_area    = $products["furniture_area"];
												$quotation_id      = $products["quotation_id"];
												$furniture_id      = $products["furniture_id"];
												
												$this->db->select('*');
												$this->db->where(array('quotation_id'=>$quotation_id,'ex_furniture_area'=>$ex_furniture_area));
												$this->db->from('furniture_items');
												//$this->db->join('items','items.id = furniture_items.item_id','left');
												//$this->db->join('item_specifications','item_specifications.item_id = items.id','left');
												$this->db->order_by("sub_group_id", "ASC");
												$this->db->group_by("sub_group_id");
												$rs = $this->db->get();
												$holi_per_mnth   = $rs->result_array();
										
											$i++;
                                        	$GroupTotal	=	0;
											?>
											<?php if($furniture_area!="") { ?>
											<tr>
											<td class="swGroup" style="text-align:left;"><?php echo $ex_furniture_area;?></td><td <?php if($is_discount==0){ echo 'colspan="5"'; } else { echo 'colspan="6"'; } ?> class="swGroup"><b><?php echo $furniture_area; ?></b></td>
												</tr>
												<?php } ?>
                                             <?php foreach($holi_per_mnth as $holi_per_mnth){   if($holi_per_mnth['sub_group']!=''){ ?>
											  <tr>
											  <td  class="details"><?php echo $ex_furniture_area.'.'.$holi_per_mnth['sub_group_id']; ?></td>
													<td <?php if($is_discount==0){ echo 'colspan="5"'; } else { echo 'colspan="6"'; } ?> class="details"><b><u><?php echo $holi_per_mnth['sub_group']; ?></u></b></td>
												</tr>

												<?php } ?>
												
												<?php
									   				$this->db->select('*');
													$this->db->where(array('quotation_id'=>$quotation_id,'ex_furniture_area'=>$ex_furniture_area,'sub_group_id'=>$holi_per_mnth['sub_group_id']));
													$this->db->from('furniture_items');
													$this->db->join('items','items.id = furniture_items.item_id','left');
													$this->db->join('item_specifications','item_specifications.item_id = items.id','left');
													$this->db->order_by("item_order", "ASC");
													$this->db->order_by("furniture_id", "ASC");
													$sub_val 	   = $this->db->get();
													$sub_records   = $sub_val->result_array();
												?>
											  <?php  foreach($sub_records as $sub_records){ ?>	
                                            <tr <?php if($sub_records['is_optional']==1){ echo 'style="background-color: #d2ecb8;"';  }?> >
											<td class="details"  rowspan="2"   ><?php echo $ex_furniture_area.'.'.$sub_records["item_order"]; //'.$holi_per_mnth['sub_group_id'].'. ?></td>
                                            <?php if($image=="with_image"){ ?>
                                                <td class="details"><?php if($sub_records["image"]!=""){?><img src="<?php echo base_url()."images/items/".$sub_records["image"]; ?>" alt="" width="200px"  class="logo"/><?php } ?></td>
                                            <?php } if($image=="with_image"){ ?>
                                                <td class="details"><?php echo $sub_records['furniture_model'];if($sub_records['furniture_description']!=""){echo " - ".nl2br($sub_records['furniture_description']);}?></td>
                                                <?php }else{ ?>
                                                <td class="details" ><?php echo $sub_records['furniture_model'];?></td>
                                                <?php } ?>
                                                <td class="details" rowspan="2" ><?php echo $sub_records['furniture_quantity'];?></td>
												<td class="details" rowspan="2" style="text-align:left;"><?php echo $sub_records['uom'];?>&nbsp;&nbsp;</td>
												<?php if($print_status == "") { ?>
                                                <td class="details" rowspan="2" style="text-align:right;"><?php echo number_format((float)$sub_records['furniture_unitprice'], 3, '.', '');?>&nbsp;&nbsp;</td>
												<td class="details hideDiscount" rowspan="2" style="text-align:right; <?php echo $style; ?>" ><?php echo number_format($sub_records['item_discount'],3);?></td>
                                                <td class="details" rowspan="2" style="text-align:right;">
                                                    <?php 
														//$subGroupTotal =  $products['furniture_quantity'] * $products['furniture_unitprice'];
                                                        $subTotal = ($sub_records['furniture_quantity'] * $sub_records['furniture_unitprice'])-$sub_records['item_discount'];
														$subGroupTotal = $subGroupTotal + $subTotal;
														$GroupTotal    = $GroupTotal + $subTotal; 
                                                        echo number_format((float)$subTotal, 3, '.', '');
                                                        $grandTotal = $grandTotal + $subTotal;
														$line_wise_discount= $line_wise_discount + $sub_records['item_discount'];
														if($sub_records['is_optional']==0){
															$itemTotal = $itemTotal+($sub_records['furniture_quantity'] * $sub_records['furniture_unitprice']);
														}
														
                                                    ?>
                                                &nbsp;&nbsp;</td>
												<?php } ?>
                                               
                                            </tr>
                                            <tr>
                                            <?php if($sub_records['furniture_description']!="" and $image=="without_image") {?>
                                                <td colspan="" class="swdescription " <?php if($sub_records['is_optional']==1){ echo 'style="background-color: #d2ecb8;"';  }?> ><span class="swDesc1"><?php echo nl2br($sub_records['furniture_description']);?></span></td>
                                                 <?php } ?>
                                            </tr>
                                            
                                <?php if($is_discount==0){ $slist='colspan="5"'; $slist2='colspan="4"'; } else { $slist='colspan="6"'; $slist2='colspan="5"'; }  	} if($holi_per_mnth['sub_group'] != "") {
											
												if($without_sub==0){
													if($image=="with_image"){
														echo '<tr><td '.$slist.' style="text-align: right;" class="details addspan"><b>'.$holi_per_mnth['sub_group'].' Total</b></td><td class="details" style="background:#A4A4A4;">'.$currency_code." ".number_format((float)$subGroupTotal, 3, '.', '').'</td></tr>';
													}else{
														echo '<tr><td '.$slist2.' style="text-align: right;" class="details addspan"><b>'.$holi_per_mnth['sub_group'].' Total</b></td><td class="details" style="background:#A4A4A4;">'.$currency_code." ".number_format((float)$subGroupTotal, 3, '.', '').'</td></tr>';
													}
												}
											} $subGroupTotal = 0;
										}
										if($furniture_area != "") {
												if($print_status==""){
													if($without_group==0){
														if($image=="with_image"){
															echo '<tr><td  '.$slist.' style="text-align: right;" class="details"><b>'.$furniture_area.' Total</b></td><td class="details" style="background:#A4A4A4;">'.$currency_code." ".number_format((float)$GroupTotal, 3, '.', '').'</td></tr>';
														}else{
															echo '<tr><td '.$slist2.' style="text-align: right;" class="details"><b>'.$furniture_area.' Total</b></td><td class="details" style="background:#A4A4A4;">'.$currency_code." ".number_format((float)$GroupTotal, 3, '.', '').'</td></tr>';
														}
													}
													$subGroupTotal = 0;
												}
												
										}
									}
								}
									
								?>
                            </tbody>
                        </table>
                    </span>
					<?php //if($print_status == "") { ?>
						<span class="quotationTables">
							<table>
								<tbody>          
									<tr>
										<td colspan="5"  class="details" align="right">Item Total &nbsp;(<?php echo $currency_code; ?>)</td>
										<td class="details" align="right" style="width: 135px;" ><?php echo number_format((float)$itemTotal, 3, '.', '');?></td>
									</tr>
									<?php if($line_wise_discount!=0) { ?>
										<tr>
											<td colspan="5"  class="details" align="right">Discount &nbsp;(<?php echo $currency_code; ?>)</td>
											<td class="details" align="right" style="width: 135px;" ><?php echo number_format((float)$line_wise_discount, 3, '.', '');?></td>
										</tr>
										<tr>
											<td colspan="5"  class="details" align="right">Taxable Amount &nbsp;(<?php echo $currency_code; ?>)</td>
											<td class="details" align="right" style="width: 135px;" ><?php echo number_format((float)$quotation_total, 3, '.', '');?></td>
										</tr>
									<?php } ?>
									<?php if($quotation_discount_amount!=0) { ?>
										<tr>
											<td colspan="5"  class="details" align="right">Discount &nbsp;(<?php echo $currency_code; ?>)</td>
											<td class="details" align="right" style="width: 135px;" ><?php echo number_format((float)$quotation_discount_amount, 3, '.', '');?></td>
										</tr>
										<tr>
											<td colspan="5"  class="details" align="right">Taxable Amount &nbsp;(<?php echo $currency_code; ?>)</td>
											<td class="details" align="right" style="width: 135px;" ><?php echo number_format((float)($quotation_total-$quotation_discount_amount), 3, '.', '');?></td>
										</tr>
									<?php } ?>
									<?php if($without_vat!=1) { ?>
										<tr>
											<td colspan="5"  class="details" align="right">VAT(<?php echo $quotation_vat_percentage;?>%) &nbsp;(<?php echo $currency_code; ?>)</td>
											<td class="details" align="right" style="width: 135px;" ><?php echo number_format((float)$quotation_vat_amount, 3, '.', '');?></td>
										</tr>
										<tr>
											<td colspan="5"  class="details" align="right">Net Total &nbsp;(<?php echo $currency_code; ?>)</td>
											<td class="details" align="right" style="width: 135px;" >
												<b>
													<?php 
														$test=$quotation_amount_with_vat;
														echo $currency_code." ".number_format((float)$test, 3, '.', '');
													?>
												</b>
											</td>
										</tr>
										<tr style="text-align:center;">
											<td class="details" colspan="6">
											<b>
												<?php 
													$test=$quotation_amount_with_vat;
													$intpart=(int) $test;
													$floatpart=(round(($test),3)*pow(10,3)-($intpart*pow(10,3)));
													if($floatpart !=0) { 
														print ucwords($currency_name).' '.num_words($intpart) . '&nbsp;&amp;&nbsp;Fils &nbsp;' . round($floatpart,3). "/ 1000 Only";
													} else {
														print ucwords($currency_name).'&nbsp'.num_words($intpart)." Only";
												}?>
											</b></td>
										</tr>
									<?php } else { ?>
										<tr style="text-align:center;">
											<td class="details" colspan="6">
											<b>
												<?php 
													if($quotation_discount_amount!=0) {
														$test=$quotation_total-$quotation_discount_amount;
													} else {
														$test=$quotation_total;
													}
													$intpart=(int) $test;
													$floatpart=(round(($test),3)*pow(10,3)-($intpart*pow(10,3)));
													if($floatpart !=0) { 
														print ucwords($currency_name).' '.num_words($intpart) . '&nbsp;&amp;&nbsp;Fils &nbsp;' . round($floatpart,3). "/ 1000 Only";
													} else {
														print ucwords($currency_name).'&nbsp'.num_words($intpart)." Only";
												}?>
											</b></td>
										</tr>
									<?php } ?>
								</tbody>
							</table>
						</span>
                </td>
            </tr>
            <tr>
            	<td colspan="2">
                	<span class="quotationIntro">
                        <p><?php echo $terms_and_conditions;?></p>
                    </span>
                </td>
            </tr>
           <tr>
			<table width="100%">
				<tr>
					<td align="left" style="width:50px;font-size:15px;font-weight: bold;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;" colspan="3" >PREPARED BY</td>
					<td align="center" style="width:50px;" colspan="3" > <p style="font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;font-weight: bold;" > CLIENT's APPROVAL </p><p style="font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;" >Above price, terms & Conditions approved</p></td>
				</tr>
				<tr>
					<td align="left" style="width:60px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;">Name</td>
					<td align="left" style="width:10px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;"> : </td>
					<td align="left" style="width:550px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px; " ><p style="border-bottom:1px solid #000;width: 200px;" ><?php echo $salesman_name;?> </p></td>
					<td align="left" style="width:60px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;">Date</td>
					<td align="left" style="width:10px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;"> : </td>
					<td align="left" style="width:250px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;"><p style="border-bottom:1px solid #000;width: 200px;" >&nbsp;</p></td>
				</tr>
				<tr>
					<td align="left" style="width:60px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;">Mobile No</td>
					<td align="left" style="width:10px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;"> : </td>
					<td align="left" style="width:250px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px; " ><p style="border-bottom:1px solid #000;width: 200px;" ><?php echo $salesman_contact_number;?> </p></td>
					<td align="left" style="width:60px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;">Name</td>
					<td align="left" style="width:10px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;"> : </td>
					<td align="left" style="width:250px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;"><p style="border-bottom:1px solid #000;width: 200px;" >&nbsp;</p></td>
				</tr>
				<tr>
					<td align="left" style="width:60px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;">Email</td>
					<td align="left" style="width:10px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;"> : </td>
					<td align="left" style="width:250px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px; " ><p style="border-bottom:1px solid #000;width: 200px;" ><?php echo $salesman_email_id;?> </p></td>
					<td align="left" style="width:60px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;">Signature</td>
					<td align="left" style="width:10px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;"> : </td>
					<td align="left" style="width:250px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;"><p style="border-bottom:1px solid #000;width: 200px;" >&nbsp;</p></td>
				</tr>
				<tr>
					<td align="left" style="width:60px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;">Signature</td>
					<td align="left" style="width:10px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;"> : </td>
					<td align="left" style="width:250px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px; " ><p style="border-bottom:1px solid #000;width: 200px;" >&nbsp;</p></td>
					<td align="left" style="width:60px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;">&nbsp;</td>
					<td align="left" style="width:10px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;">&nbsp;</td>
					<td align="left" style="width:250px;font-family: 'Open Sans', sans-serif;color: #000000;font-size: 11px;">&nbsp;</td>
				</tr>
				
			</table>	
            
        </table>
		
    </div>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
	
	
</body>
</html>