<?php 
	$this->load->helper('num_words');
?>

<html>
<head>
  <meta content="text/html; charset=UTF-8" http-equiv="content-type">
  <link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>
  <style type="text/css">
  
  	*{
		font-weight:normal;	
		/*font-family: 'Open Sans', sans-serif;*/
	}
  	.outer_wrapper{
		width:700px;
		margin:0 auto;
		min-height:600px;
		/*border:solid 1px blue;*/
	}
	
	.mainTable{
		width:100%;	
	}
	
  	.quotationTitle{
		/*height:150px;*/
		width:100%;
		background-color:#7f7f7f;
		float:left;
	}
	
	.quotationTitle h2{
		/*background-color:#7f7f7f;*/
    	margin: 0;
    	text-align: center;	
		/*font-family: 'Open Sans', sans-serif;*/
		color:#fff;
		line-height:42px;
		/*text-transform:uppercase;*/
		float:left;
		width:100%;
	}
	
	.leftSpan{
		width:60%;
		vertical-align: top;
	}
	
	.rightSpan{
		width:40%;
		vertical-align: top;
	}
	
	.halfSpan > span {
		float: left;
		width: 100%;
	}
	
	.halfSpan > span label{
		width:50%;
		color:#7f7f7f;
		/*font-family: 'Open Sans', sans-serif;*/
		font-weight:bold;
		float:left;
	}
	
	.halfSpan h3{
		color: #000000;
    	/*font-family: 'Open Sans', sans-serif;*/
    	font-weight: bold;
    	margin: 0;
		padding:0px;
	}
	
	.halfSpan h4{
		color: #000000;
    	/*font-family: 'Open Sans', sans-serif;*/
    	font-weight: normal;
   		margin-bottom: 0;
    	margin-top: 3px;
		padding:0px;
	}
	
	.halfspan p{
		color: #000000;
    	/*font-family: 'Open Sans', sans-serif;*/
    	font-weight: normal;
   		margin-bottom: 0;
    	margin-top: 3px;
		padding:0px;	
	}
	
	.halfspan p.boldText{
		font-weight:bold;
		font-size:12px;	
	}
	.details{
		font-size:12px;	
	}
	
	.quotationIntro{
		margin-top:20px;
		float:left;
		width:100%;
		/*font-family: 'Open Sans', sans-serif;*/
		color:#000000;
		font-size:15px;
		
	}
	
	.quotationIntro h3{
		text-transform:uppercase;	
	}
	
	.quotationIntro b{
		font-weight:bold;	
	}
	
	.FeesTitle h3{
		/*font-family: 'Open Sans', sans-serif;*/
		font-weight:bold;
		color:#000;
		margin:5px;
	}
	
	.quotationTables{
		margin-top:10px;
		float:left;
		width:100%;
	}
	
	.quotationTables b{
		font-weight:bold;	
	}
	
	.quotationTables table{
		width:100%;	
		border:solid 1px #d4d4d4;
		/*background-color:#f4f4f4;*/
		border-spacing:0px;
	}
	
	.quotationTables table thead th{
		background-color:#7a7a7a;
		color:#fff;
		/*font-family: 'Open Sans', sans-serif;*/
		font-weight:bold;
		text-align:left;	
		padding:5px;
	}
	
	.quotationTables table tbody th{
		/*font-family: 'Open Sans', sans-serif;*/
		font-weight:bold;
		text-align:left;	
		padding:5px;
		color:#000;
		font-size:14px;
	}
	
	.quotationTables table th, .quotationTables table td{
		border-bottom: 1px solid #aaaaaa !important;
    	border-right: 1px solid #aaaaaa !important;
		padding:4px;
	}
	
	.quotationTables table td .swDesc{
		opacity: 0.35;
	}
	

	.footer_content p{
		margin:5px 0px;	
	}
	
	.footer_content h3{
		text-transform:none;
		font-weight:bold;
	}
	
	.quotationTables td:last-child {
		border-right: medium none !important;
	}
	
	.quotationTables td.swdescription:last-child {
		border-right: 1px solid #aaaaaa !important;
		font-size:11px;
	}
	
	.quotationTables tr:last-child td {
		border-bottom: medium none !important;
	}
	
	
	.quotationTables th:last-child {
		border-right: medium none !important;
	}
	
	.quotationTables .swGroup{
		background-color: #7a7a7a;
		color: #fff;
		/*font-family: 'Open Sans', sans-serif;*/
		font-weight: bold;
		padding: 5px;
		text-align: center;
		font-size:11px;
		color:#000000;
	}
	
	.log_left {
		float: right;
	}
	
	
	@media print {
		.rightSpan h3{
			margin:0px;
		}
		
		.rightSpan h4{
			margin:0px;
		}
		
		
	}
	#watermark{
	  color: #FF0000;
	  font-size: 100pt;
	  -webkit-transform: rotate(-25deg);
	  -moz-transform: rotate(-45deg);
	  position: absolute;
	  width: 100%;
	  height: 100%;
	  margin: 0;
	  z-index: -1;
	  text-align:center;
	  top:150px;
	  left:100px;
	  opacity:0.2;
	}
  </style>
</head>
<body>
<?php if($records['invoice_status']==1) { ?>
<div id="watermark">cancelled</div>
<?php } ?>
	<div class="outer_wrapper">
    	<table class="mainTable">
        	<tr>
            <?php if($print_type=="pdf_print_type" || $print_type=="email_print_type") {?>
            <td>
			<img src="<?php echo base_url()."images/logos/".$records['logo_filename']; ?>" alt="" style="height:120px;width:270px"  class="logo"/>
            </td>
            <?php } if($records['invoice_division_id']==3) { ?>
            <td align="right" style="vertical-align:bottom;" class="details">
             Al qasser upholstery & curtain.<br>
             P.o.box 54348.<br>
             Shop no- 33/1, Bldg-31, area 307, khalf Al Asfoor Road, Cr no 26243-1<br>
             Manama, Bahrain
            </td>
            <?php } else { ?>
            <td align="right" style="vertical-align:bottom;" class="details">
             <?php if(isset($records['company_details']->company_name)){ echo $records['company_details']->company_name;} ?>  <?php if(isset($records['company_details']->cr_number)){ if($records['company_details']->cr_number!=""){ echo ' | '.$records['company_details']->cr_number;}} ?><br>
             <?php if(isset($records['company_details']->company_address)){ echo $records['company_details']->company_address;} ?>  <?php if(isset($records['company_details']->email_id)){ if($records['company_details']->email_id!=""){ echo ' | '.$records['company_details']->email_id;}} ?><br>
             <?php if(isset($records['company_details']->telephone_no)){ echo $records['company_details']->telephone_no;} ?>  <?php if(isset($records['company_details']->fax_no)){ if($records['company_details']->fax_no!=""){ echo ' | '.$records['company_details']->fax_no;} } ?>
             <?php if(isset($records['company_details']->tax_no)){ if($records['company_details']->tax_no!=""){ if ($records['invoice_date']>'2019-07-01'){ echo ' <br> TRN # '.$records['company_details']->tax_no; } } } ?>
            </td>
            <?php } ?>
        	</tr>
            <!--<tr>
                <td colspan="2">
                    <span class="quotationTitle">
                        <h2><?php echo $project_name;?></h2>
                    </span>
                </td>
            </tr>-->
            <tr>
            	<td class="leftSpan halfspan">
                	<table width="100%">
                    <tr>
                        	<td>
                            	<span>
                                    <p class="boldText">Submitted to:</p>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td class="details">
							
								<?php echo $records['client_name'];?>
                            
                            </td>
                        </tr>
                        <?php if($records['tax_name']){?>
                         <tr>
                        	<td class="details">
							
								Vat Name:<?php echo $records['tax_name'];?>
                            
                            </td>
                        </tr>
                        <?php } ?>
                        <?php if($records['tax_no']){?>
                         <tr>
                        	<td class="details">
							
								Vat No :<?php echo $records['tax_no'];?>
                            
                            </td>
                        </tr>
                        <?php } ?>
                        <tr>
                        	<td class="details">
							
								<?php echo $records['client_address'];?>
                                
                            </td>
                        </tr>
                        <tr>
                        	<td class="details">
							
								<?php echo $records['client_telephone1'];?>
                                
                            </td>
                        </tr>
                        <tr>
                        	<td class="details">
							
								<?php echo $records['client_email'];?>
                                
                            </td>
                        </tr>
                        
                    	<!--<tr>
                        	<td width="30%">
                            	<span>
                					<label> Quotation No: </label>
                                </span>
                            </td>
                            <td>
                            	<span>
                                	<label> <?php echo $quotation_number_full;?></label>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td width="30%">
                            	<span>
                					<label> Date: </label>
                                </span>
                            </td>
                            <td>
                            	<span>
                                	<label> <?php echo date('M d, Y',strtotime($quotation_date));?></label>
                                </span>
                            </td>
                        </tr>-->
						<?php if($records['project_name']!=""){ ?>
                        <tr>
                        	<td class="details">
                            	<span>
                					<label> Project: <?php echo $records['project_name'];?></label>
                                </span>
                            </td>
                        </tr>
						<?php } ?>
                    </table>
                </td>
                <td class="rightSpan halfspan">
                    <table width="100%">
                    	<tr>
                        	<td align="center" height="25px;" colspan="2" bgcolor="#D8D8D8">
                            	<span>
                                    <p class="boldText" style="font-size:16px;"><?php if ($records['invoice_date']>'2019-07-01'){?>TAX<?php } ?> INVOICE</p>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td style="width:95px;" class="details">
                            	Invoice No&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;: 
                            </td>
                            <td style="width:65px;" class="details">
                            	 <?php echo $records['division_code'].'-'.$records['invoice_number'];?>
                            </td>
                        </tr>
                        <tr>
                        	<td width="30%" class="details">
                            	Invoice Date&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;: 
                            </td>
                            <td class="details">
                            	 <?php echo date('M d, Y',strtotime($records['invoice_date']));?>
                            </td>
                        </tr>
                        <?php if($records['quotation_number']!="") { ?>
                        <tr>
                        	<td width="30%" class="details">
                            	Quotation No&nbsp;&nbsp;&nbsp;&nbsp;: 
                            </td>
                            <td class="details">
                            	 <?php echo $records['division_code'].'-'.$records['quotation_number'].'-'.$records['quotation_revisionnumber'];?>
                            </td>
                        </tr>
                        <?php } ?>
                        <?php if($records['lpono']!="") { ?>
                        <tr>
                        	<td width="30%" class="details">
                            	 LPO No&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;: 
                            </td>
                            <td class="details">
                            	 <?php echo $records['lpono'];?>
                            </td>
                        </tr>
                        <?php } ?>
                    </table>
                	
                </td>
            </tr>
            <!--<tr>
            	<td colspan="2">
                	<span class="quotationIntro">
                        <p><?php echo $covering_letter;?></p>
                    </span>
                </td>
            </tr>-->
            <tr>
            	<td colspan="2">
               		<!--<span class="FeesTitle">
                        <h3>Pricing</h3>
                    </span>-->
                	<span class="quotationTables">
                        <table>
                            <tbody>
                                <tr>
								<th style="background:#D8D8D8; font-size:11px;width:400px;">ITEM</th>
								<th style="background:#D8D8D8; font-size:11px;width:7%">QTY</th>
								<th style="background:#D8D8D8; font-size:10px; text-align:right;width:17%">RATE<?php echo ' ('.$records['currency_code'].')' ?>&nbsp;&nbsp;</th>
								<th style="background:#D8D8D8; font-size:10px; text-align:right;width:21%">TOTAL <?php echo ' ('.$records['currency_code'].')' ?>&nbsp;&nbsp;</th>
							</tr>
                                <?php
                                    $grandTotal = 0;
									//var_dump($furniture_items);
                                ?>
                                <?php 
									if($records['invoice_items'] != false)
								{
									$i=0;
									$grandTotal=0;
									foreach($records['invoice_items'] as $products){ $i++;
									
													$this->db->select('*');
													$this->db->where(array('invoice_id'=>$products['invoice_id'],'group_id'=>$products['group_id']));
													$this->db->from('furniture_invoice_details');
													$this->db->order_by("sub_group_id", "ASC");
													$this->db->group_by("sub_group_name");
													$rs = $this->db->get();
													$sub_item = $rs->result_array();
									
									
									?>
											<tr bgcolor="#A4A4A4">
												<td colspan="4" align="center" class="details">
													<b><?php if($products['group_name']!="0"){echo $products['group_name'];}?></b>
												</td>
											</tr>
											
											<?php foreach($sub_item as $sub_item){ 
											
													$this->db->select('*');
													$this->db->where(array('invoice_id'=>$products['invoice_id'],'group_id'=>$products['group_id'],'sub_group_id'=>$sub_item['sub_group_id']));
													$this->db->from('furniture_invoice_details');
													$this->db->order_by("item_order", "ASC");
													$this->db->order_by("id", "ASC");
													$gs    = $this->db->get();
													$items = $gs->result_array();
											
											?>
											
											<tr>
												<td colspan="4" align="left" class="details">
													<b><u><?php if($sub_item['sub_group_name']!="0"){echo $sub_item['sub_group_name'];}?></u></b>
												</td>
											</tr>
											
											<?php foreach($items as $items){ ?>
                                            
                                            <tr>
                                            <td class="details">
												<?php echo $items['item_name'];?></td>
                                            </td>
                                            <td class="details">
												<?php echo $items['quantity'];?>
                                            </td>
                                            <td class="details" style="text-align:right"><?php if($items['uom']!=""){ echo number_format($items['amount'],3).'/'.$items['uom'];}else{echo number_format($items['amount'],3);}?>&nbsp;&nbsp;</td>
                                            <td class="details" style="text-align:right">
                                            	<?php
													$total = $items['quantity']*$items['amount'];
													echo number_format($total,3);
													$grandTotal = $grandTotal + $total;
												?>
                                            &nbsp;&nbsp;</td>
                                        </tr>
										<?php if($items['description']!=""){ ?>
										<tr>
											<td colspan="4" class="details">
											<?php echo nl2br($items['description']);?>
											</td>
										</tr>
										<?php } ?>
                                           
                                <?php 	}}}
									}
								?>
                               
                            </tbody>
                        </table>
                    </span>
                    <span class="quotationTables">
                        <table cellspacing="0" cellpadding="5">
                            <tbody>
                            <tr style="background:#A4A4A4; color:#FFFFFF; text-align:center;">
                            <td colspan="4" style="width:550px;"></td>
                            <td class="details" style="width:350px;color:#FFFFFF;" align="right">Item Total:&nbsp;<?php echo $records['currency_code']." ".number_format((float)$grandTotal, 3, '.', '');?></td>
                            </tr>
                             
							<?php if($records['qoute_discount']!=0) { ?>
                            <tr style="background:#A4A4A4; color:#FFFFFF; text-align:center;">
                            <td colspan="4"></td>
                            <td class="details" style="color:#FFFFFF;" align="right">Quote Discount:&nbsp;<?php echo $records['currency_code']." ".number_format((float)$records['qoute_discount'], 3, '.', '');?></td>
                            </tr>
							<?php } ?>
                           
							<tr style="background:#A4A4A4; color:#FFFFFF; text-align:center;">
                            <td colspan="4"></td>
                            <td class="details" style="color:#FFFFFF;" align="right">Invoice Total:&nbsp;<?php echo $records['currency_code']." ".number_format((float)($grandTotal-$records['qoute_discount']), 3, '.', '');?></td>
                            </tr>
							</tbody>
						</table>
						<table cellspacing="0" cellpadding="5">
							<tbody>
							<tr style="background:#A4A4A4; color:#FFFFFF; text-align:center;">
                            <td colspan="4" style="width:450px;"></td>
                            <td class="details" style="width:350px;color:#FFFFFF;" align="right">Invoiced Amount (<?php echo $records['invoice_percentage'].'%'; ?>) :&nbsp;<?php echo $records['currency_code']." ".number_format((float)$records['invoice_percentage_amount']-$records['invoice_vat_amount'], 3, '.', '');?></td>
                            </tr>
                            <?php if($records['invoice_discount']!=0) { ?>
                            <tr style="background:#A4A4A4; color:#FFFFFF; text-align:center;">
                            <td colspan="4"></td>
                            <td class="details" style="color:#FFFFFF;" align="right">Invoice Discount:&nbsp;<?php echo $records['currency_code']." ".number_format((float)$records['invoice_discount'], 3, '.', '');?></td>
                            </tr>
                            <?php } ?>
                            <?php if ($records['invoice_date']>'2019-07-01'){?>
                             <tr style="background:#A4A4A4; color:#FFFFFF; text-align:center;">
                            <td colspan="4"></td>
                            <td class="details" style="color:#FFFFFF;" align="right">Vat<?php if($records['invoice_date']>'2022-01-01'){ echo '(10%)'; } else {?> (5%) <?php } ?> :&nbsp;<?php echo $records['currency_code']." ".number_format((float)$records['invoice_vat_amount'], 3, '.', ''); ?></td>
                            </tr>
							<?php } ?>
                            <tr style="background:#A4A4A4; color:#FFFFFF; text-align:center;">
                            <td colspan="4"></td>
                            <td style="font-size:15px;color:#FFFFFF;" class="details" align="right"><b>Net Total:&nbsp;<?php echo $records['currency_code']." ".number_format((float)($records['invoice_percentage_amount']-$records['invoice_discount']), 3, '.', '');?></b></td>
                            </tr>
                            <tr style="background:#A4A4A4; color:#FFFFFF; text-align:center;">
                                <td class="details" style="color:#FFFFFF; text-align:center;" colspan="5">
									<b><?php 
										 $inv_amnt = round(($records['invoice_percentage_amount']-$records['invoice_discount']),3);
										 $intpart=(int) $inv_amnt;
										 $floatpart=(round($inv_amnt,3)*pow(10,3)-($intpart*pow(10,3)));
										 if($floatpart !=0) { 
											echo ucwords($records['currency_name']).' '.num_words($intpart) . '&nbsp;&amp;&nbsp;Fils &nbsp;' . $floatpart. "/ 1000 Only";
										 } else {
											echo ucwords($records['currency_name']).' '.num_words($intpart)." Only";
									}?>
								</b>
								</td>
                            </tr>
                            </tbody>
						</table>
				     </span>
                </td>
            </tr>
            <!--<tr>
            	<td colspan="2">
                	<span class="quotationIntro footer_content">
                        <h3 class="details"><b>Terms and Conditions</b></h3>
                        <p class="details">Client shall pay Danmark initiation payment equal to 50% of the project total cost.<br>
						Project is to be completed within 2 months from initiation payment date.<br>
						Payment terms are net thirty (30) days from the date of invoice initiation.Any amounts not paid within the thirty (30) days shall be charged an interest fee of 1-1/2% for each month (or portion thereof) any such payment is late.</p>
						
                    </span>
                </td>
            </tr>-->
            <!--<tr>
            	<td class="leftSpan halfspan"></td>
                <td class="rightSpan halfspan">
                	<table width="100%">
                        <tr>
                        	<td align="right">
                            	<span>
                                   <p class="boldText" style="font-size:11px;">Created By</p>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td align="right" class="details">
                            	<?php echo $salesman_name;?>
                               
                            </td>
                        </tr>
                        <tr>
                        	<td align="right" class="details">
                            	<?php echo $salesman_email_id;?>
                               
                            </td>
                        </tr>
                    </table>	
                </td>
            </tr>-->
            <tr>
            	<td colspan="2">
                	<span class="quotationIntro footer_content">
                    	<!--<h3 class="details">To Get Started</h3>-->
                        <table width="100%">
                            <tr>
                                <td class="details">
                                    <p>For <?php if($records['invoice_division_id']==3) { echo "Al qasser upholstery & curtain";}else{if(isset($records['company_details']->company_name)){ echo $records['company_details']->company_name;}} ?></p>
                                    <br/>
                                    <!--<p><?php echo $client_name;?></p>-->
                                    <p>Authorised signatory:</p>
                                </td>
                                <td align="right" class="details">
                                	<p></p>
                                    <br/><br/>
                                    <p>Date</p>
                                </td>
                            </tr>
                        </table>
                    </span>
                    
                </td>
            </tr>
        </table>
    </div>
</body>
</html>