

	<?php
		$payment_modes = array(
			'Cash'=>'Cash',
			'Credit Card'=>'Credit Card',
			'Cheque'=>'Cheque',
			'Bank'=>'Bank'
		);
	?>
	<style type="text/css" >
		.client_result {
			border: 1px solid #d2d6de;
			position: absolute;
			width: 509px;
			height: auto;
			background-color: #fff;
			z-index: 100;
			margin-top: 0px;
			border-radius: 3px;
			display: none;
		}
		.clientList {
			margin:0px;
		}
		.clientList li {
			color: #000000;
			padding: 0;
			padding-left: 8px;
			height: 30px;
			padding-top: 4px;
			cursor:pointer;
			font-weight:600;
			list-style-type: none;
		}
		.clientList li:hover {
			background:#CCCCCC;
		}
		.client_result2 {
			border: 1px solid #d2d6de;
			position: absolute;
			width: 509px;
			height: auto;
			background-color: #fff;
			z-index: 100;
			margin-top: 0px;
			border-radius: 3px;
			display: none;
		}
		.clientList2 {
			margin:0px;
		}
		.clientList2 li {
			color: #000000;
			padding: 0;
			padding-left: 8px;
			height: 30px;
			padding-top: 4px;
			cursor:pointer;
			font-weight:600;
			list-style-type: none;
		}
		.clientList2 li:hover {
			background:#CCCCCC;
		}
		.nbactive{
            background-color:#D6D6D6;
        }
        .nbactive2{
            background-color:#D6D6D6;
        }
        .nbactive3{
            background-color:#D6D6D6;
        }

		.higlt_r {
			border-color: red !Important;
			color: #fff  !Important;
		}
		.higlt_r:read-only {
			background-color: red  !Important;
		}
		.higlt_g {
			border-color: green !Important;
			color: #fff  !Important;
		}
		.higlt_g:read-only {
			background-color: green  !Important;
		}
		.higlt_w {
			border-color: indigo !Important;
			color: #fff  !Important;
		}
		.higlt_w:read-only {
			background-color: indigo  !Important;
		}
		.errorDiv {
			display: none;
		}
		.btable td {
			border:none;
			padding:0.3em;
		}
		.table td {
			padding:0.3em;
		}
		#payment_details{
			display:none;
		}
		.thead-secondary th {
			background:#737B80 !important;
			color:#FFFFFF !important;
		}
		#cash_ledgers{
			display: none;
		}
		#c_card_ledgers{
			display: none;
		}
		#wallet_ledgers{
			display: none;
		}
		#cheque_ledgers{
			display: none;
		}
	</style>
	<!--app-content open-->
	<div class="app-content main-content">
		<div class="side-app">
			<div class="main-container">
				<!-- PAGE-HEADER -->
				<div class="page-header">
					<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
						<h1 class="page-title">New Payment</h1>
					</div>
					<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
						<div class="float-sm-end float-none my-1">
						<a id="add__new__list" type="button" class="btn btn-md btn-primary " data-bs-target=".bd-example-modal-lg" href="<?php echo site_url('Payment/list_payment');?>"><i class="fa fa-list"></i> List</a>
					</div>
               	</div>
			</div>
		</div>
		<!-- PAGE-HEADER END -->
		<script type="text/javascript">
$(document).ready( function(){

	

	$('html').on("keyup", ".paying_amount", function() {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		$(".errorDiv").hide();
		$(".invErrorDiv").hide();
		
		if($('#i_total').val()==='') {
			$(this).val('');
			window.scrollTo(0, 0);
			$(".errorDiv").text("Please Enter Total amount");
			$(".errorDiv").show();
			return false;
		}
		var total_paying_amount=$('#i_total').val();
		var current_invoice_amount	=	Number($(this).closest("tr").find(".new_current_bal_amount_invoice").val());
		var receipt_discount	=	Number($(this).closest("tr").find(".receipt_discount").val());
		var current_paying_amount	=	Number($(this).val());
		var sum=0;
		$(".current_invoice_amount").each(function(){
			//sum=Number(sum)+(Number($(this).closest("tr").find(".paying_amount").val())+Number($(this).closest("tr").find(".receipt_discount").val()));
			sum=Number(sum)+(Number($(this).closest("tr").find(".paying_amount").val()));
		});

		var advance_amount=0;
		$(".adv_paying_amount").each(function(){
			advance_amount=Number(advance_amount)+Math.abs((Number($(this).val())));
		});
		//alert(sum+'>'+total_paying_amount);
		if((sum-advance_amount)>total_paying_amount){
			$(this).closest("tr").find(".paying_amount").val('');
			$(this).closest("tr").find(".receipt_discount").val('');
			window.scrollTo(0, 0);
			$(".errorDiv").text("Please check amount");
			$("#check_advance_payment").val(0);
			$("#advance_payment").val('');
			$(".errorDiv").show();
			return false;
		} else {
			if(current_invoice_amount<(current_paying_amount)){
				
				$(this).closest("tr").find(".paying_amount").val('');
				$(this).closest("tr").find(".receipt_discount").val('');
				$(this).closest("tr").find(".current_invoice_amount").val(current_invoice_amount);
				$(".invErrorDiv").text("Paying amount not exceed balance amount");
				$(".invErrorDiv").show();
				return false;
			} else {
				if($("#check_advance_payment").val()!='1'){
					if(confirm('Total Payment Exceeded the total bills. Do you want create advance Payment ?')){
						//alert(x-sum);
						$("#check_advance_payment").val(1);
						$(this).closest("tr").find(".current_invoice_amount").val(Number.parseFloat(current_invoice_amount-(current_paying_amount-receipt_discount)).toFixed(3));
						$("#advance_payment").val(Number.parseFloat(total_paying_amount-(sum-advance_amount)).toFixed(3));
					} else {
						$("#check_advance_payment").val(0);
						$(this).closest("tr").find(".current_invoice_amount").val(Number.parseFloat(current_invoice_amount-(current_paying_amount-receipt_discount)).toFixed(3));
					}
				} else {
					$("#check_advance_payment").val(1);
					$("#advance_payment").val(Number.parseFloat(total_paying_amount-(sum-advance_amount)).toFixed(3));
					$(this).closest("tr").find(".current_invoice_amount").val(Number.parseFloat(current_invoice_amount-(current_paying_amount-receipt_discount)).toFixed(3));
				}
			} 
		}
		total_paying_amount();
	});
    $('html').on("keyup", ".current_amount_invoicenbx", function() {
		var new_current_bal_amount_invoice	=	$(this).closest("tr").find(".new_current_bal_amount_invoice").val();
		var receipt_discount	=	$(this).closest("tr").find(".receipt_discount").val();
		var current_amount_invoice	=	$(this).val();
		if(Number(current_amount_invoice)<=new_current_bal_amount_invoice){
		$(this).closest("tr").find(".current_bal_amount_invoice").val(new_current_bal_amount_invoice-current_amount_invoice-receipt_discount);
		var sum=0;
		
		$(".current_amount_invoice").each(function(){
            sum=Number(sum)+Number($(this).val());
        });
		$('#current_amount').val(sum);
		}else{
			alert("paying amount not exceed balance amount");
			$('#current_amount').val("");
			$('.current_amount_invoice').val("");
			$(".new_current_bal_amount_invoice").each(function(){
            $(this).closest("tr").find(".current_bal_amount_invoice").val($(this).val());
        });
		}
	});
	$('html').on("keyup", "#current_amount", function() {
		var x	=	$(this).val();
		var sum=0;
		$(".new_current_bal_amount_invoice").each(function(){
            sum=Number(sum)+Number($(this).val());
        });
		$('.receipt_discount').val("");
		if(x <= sum){
			$(".new_current_bal_amount_invoice").each(function(){
				if(Number($(this).val()) >= x ){
					$(this).closest("tr").find(".current_amount_invoice").val(x);
					$(this).closest("tr").find(".current_bal_amount_invoice").val(Number($(this).closest("tr").find(".new_current_bal_amount_invoice").val())-Number(x));
					x	= 0;
				}else{
					x	=	x-Number($(this).val());
					$(this).closest("tr").find(".current_amount_invoice").val(Number($(this).val()));
					$(this).closest("tr").find(".current_bal_amount_invoice").val(Number($(this).closest("tr").find(".new_current_bal_amount_invoice").val())-Number($(this).val()));
				}
			});
		}
		else{
		alert("Entered amount not exceed total invoice amount");
		$('#current_amount').val("");
		$('.current_amount_invoice').val("");
		$(".new_current_bal_amount_invoice").each(function(){
            $(this).closest("tr").find(".current_bal_amount_invoice").val($(this).val());
        });
		}	
	});
	$('html').on("keyup", ".receipt_discount", function() {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		var new_current_bal_amount_invoice	=	$(this).closest("tr").find(".new_current_bal_amount_invoice").val();
		var current_bal_amount_invoice	=	$(this).closest("tr").find(".current_bal_amount_invoice").val();
		var paying_amount = $(this).closest("tr").find(".paying_amount").val();
		var receipt_discount	=	$(this).val();
		var balance = new_current_bal_amount_invoice-paying_amount;

		if(paying_amount==0 || paying_amount==""){
			$(this).val("");
			alert("Please enter paying amount");
			return false;
		} else if (Number(receipt_discount)>Number(balance)){
			$(this).val("");
			$(this).closest("tr").find(".current_bal_amount_invoice").val(balance);
			alert("Payment discount not exceed balance amount");
			return false;
		} else {
			$(this).closest("tr").find(".current_bal_amount_invoice").val(new_current_bal_amount_invoice-paying_amount-receipt_discount);
		}
	});
   });
   
	$(document).ready( function(){
		var selected_client=0;
		var search_param_flag=false;

		const form = document.getElementById('furniture_client_project');
		form.addEventListener('keypress', function(e) {
			if (e.keyCode === 13) {
			e.preventDefault();
			}
		});
	

		$("#payment_details").hide();
		$('#search_name').keypress(function(event) {
			if (event.keyCode == 13) {
				event.preventDefault();
			}
		});
			

		
		$('#payment_modes').change( function(){ 
			if( ($('#payment_modes').val())!= 'Cash' ){ 
				if(($('#payment_modes').val())== 'Credit Card' ) {
					$(".paymnt_bank_name label").html("Card Type: ");
					$(".paymnt_ref_no").slideUp(300);
					$('.paymnt_bank_name').slideDown(300);
				} else {
					$(".paymnt_bank_name label").html("Bank Name: ");
					$('.paymnt_md').slideDown(500);
				}
				
			} else {
				$('.paymnt_md').slideUp(300);
			}
		});
		
		$('#show_confirmed_quotations').click(function(){
			ALERT ("Checked");
                        if(this.checked){

                                var client_id = $('#clientIdHidden').val();
				var formData = {client_id:client_id};
				$.ajax({
					type: "POST",
					url: '<?php echo site_url("receipt/get_confirmed_quotations/")?>',
					data: formData,
					success: function(htmldata){
							$('#confirmed_quotations').html(htmldata);
							$('.new_receipt_tick_quote').click(function(){
								if(this.checked){
									$(this).parents('tr').find('.current_amount_confirmed_quote').removeAttr('readonly');
								}else{
									$(this).parents('tr').find('.current_amount_confirmed_quote').attr('readonly','readonly');
								}
							});
						},
					error: function(){
							$('.overlay').hide();
							$("#errorMsg").html('Connection Error......');
							$("#errorMsg").stop(true, true, true).slideDown(500);
					}
					
						
				});
			}else{
				ALERT ("UN-Checked");
                                $('#confirmed_quotations').hide();
			}
		});

		$('form#furniture_client_project').submit(function(){
			if($('#cash_ledger_code').val()===''){
				alert("Cash voucher didn't map to the ledger");
				return false;
			}
			if($('#c_card_ledger_code').val()===''){
				alert("Credit Card voucher didn't map to the ledger");
				return false;
			}
			if($('#wallet_ledger_code').val()===''){
				alert("Wallet voucher didn't map to the ledger");
				return false;
			}
			if($('#cheque_ledger_code').val()===''){
				alert("Cheque voucher didn't map to the ledger");
				return false;
			}

			if($('#c_card').val()!=''){
				if($('.xx_c_type').val()===''){
					alert("Please select a card type");
					return false;
				}
			}

			if($('#wallet_amnt').val()!=''){
				if($('.wallet_type').val()===''){
					alert("Please select a Wallet type");
					return false;
				}
			}

			if($('#cheque_amt').val()!=''){
				if($('#cheque_no').val()===''){
					alert("Please enter cheque number");
					return false;
				}
				if($('#cheque_bank').val()===''){
					alert("Please enter a Bank");
					return false;
				}
			}
			var no_of_invoices = $('#no_of_invoices').val();
			var no_of_confirmed_quotations = $('#no_of_confirmed_quotations').val();
			var total_allowed_amount = $('#i_total').val();
			var total_amount = 0;
			for(i = 1; i <= no_of_invoices; i++) {
				var amount_id = "#current_amount_invoice_"+i;
				var discount_id = "#receipt_discount_"+i;
				var tick_id_invoice = "#new_receipt_tick_"+i;
				if($(discount_id).val()!=''){
					//var total_amount = total_amount + (parseFloat($(amount_id).val())+parseFloat($(discount_id).val()));
					var total_amount = total_amount + (parseFloat($(amount_id).val()));
				} else {
					var total_amount = total_amount + (parseFloat($(amount_id).val()));
				}
				
				if($(tick_id_invoice).is(':checked')){
					//total_amount = total_amount + parseFloat($(amount_id).val());
				}
			}

			var no_of_adv_receipts = $('#no_of_adv_receipts').val();

			var total_adv_receipts = 0;
			for(z = 1; z <= no_of_adv_receipts; z++) {
				var amount_id = "#adv_current_amount_invoice_"+z;
				var total_adv_receipts = total_adv_receipts + (parseFloat($(amount_id).val()));
			}
			//alert(total_adv_receipts);
			//for(i = 1; i <= no_of_confirmed_quotations; i++) {
//				alert(i);
//				var amount_id_quote = "#current_amount_confirmed_quote_"+i;
//				var tick_id_quote = "#new_receipt_tick_quote_"+i;
//				if($(tick_id_quote).is(':checked')){
//					total_amount = total_amount + parseFloat($(amount_id_quote).val());
//				}
//			}
			//alert(total_amount);
			if(total_allowed_amount=="" || total_allowed_amount=="0"){
				alert("please enter amount");
				return false;
			}
			if(total_adv_receipts!=0){
				if(total_adv_receipts>0){
					total_amount=total_amount-total_adv_receipts;
				} else {
					total_amount=total_amount+total_adv_receipts;
				}
			}
			if(Number($('#advance_payment').val())>0){
				total_amount=total_amount+Number($('#advance_payment').val());
			}

			var common_led_amount=0;
			var mm=0;
			$('.common_led_amount').each(function() {
				var amount=Number($(this).val());
				if($(this).closest('.rowDiv2').find('.common_ledger_code').val()!==''){
					common_led_amount+=amount;
				} else {
					if($(this).val()!==''){
						mm++;
					}
				}
			});
			if(mm!=0){
				alert("please Select Ledger");
				return false;
			}
			if(common_led_amount>0){
				total_amount=total_amount+common_led_amount;
			}

			if(Number.parseFloat(total_amount).toFixed(3)!=total_allowed_amount){
				alert("please Check amount");
				return false;
			}

			
			if(Number($('#advance_payment').val())>0){
				if(confirm("You are Creating Payment with "+Number($('#advance_payment').val())+" Advance. Do you want to Proceed? ")){
				} else {
					return false;
				}
			}

			//else if(total_allowed_amount<total_amount){
//				alert("Total Amount is Entered is Greater than allowed");
//				return false;
//			}else if(total_allowed_amount>total_amount){
//				alert("Total Amount is Entered is Less than allowed");
//				return false;
//		}
			//return false;
		});
		
	});
</script>
		<!-- ROW-1 -->
		<form id="furniture_client_project" name="client_project" class="form-horizontal" method="post" action="<?php echo site_url("Payment/save_payment_new/")?>">
			<div class="row">
				<div class="col-md-12">
					<div class="card">
						<?php
							if($this->session->flashdata("response")!='') {
								echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
								$this->session->unset_userdata('response');
							}
						?>
						<?php
							if($this->session->flashdata("success")!='') {
								echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
								$this->session->unset_userdata('success');
							}
						?>
							<div class="card-header">
								<h3 class="mb-0 card-title">New Payment</h3>
							</div>
							<div class="card-body">
								<div class="row search_client_fields">
									<div class="col-md-3">
										<div class="mb-4">
											<label class="form-label">Division</label>
											<?php
												$list = $this->crud_model->get_list('division_id','division_name','company_division',array());
												$attr = "class='form-control filter_division' ";
												if(isset($list)) echo form_dropdown('filter_division',$list, set_value("filter_division"),$attr);
											?>
										</div>
									</div>	
									<div class="col-md-3">
										<div class="mb-4">
											<label class="form-label">Name</label>
											<input type="text" class="form-control" name="search_name" id="search_name" value="<?php echo set_value('search_name') ;?>" autocomplete="off" >
											<div class="client_result">
												<ul class="clientList unstyled" >
												</ul>
											</div>
										</div>
									</div>			
								</div>
								
								<div class="row" id="payment_details" >
									<div class="alert alert-danger errorDiv">
                           			</div>
										<table   class="table btable col-md-6" border="0" cellpadding="0" cellspacing="1" >
											<tr> 
												<td colspan="3"><b id="qms_client_name_replace" style="font-size: 20px;float: left;"></b></td>
												<td><input type="text" class="form-control maxDateCurrent" placeholder="Date" name="payment_date"  id="payment_date" value="<?php echo date('d-m-Y') ;?>" autocomplete="off"    /></td>
											</tr>
											<?php if(@$records[0]['ledger_code']!='' ) { ?>
											<tr>
												<td>Cash</td>
												<td>&nbsp;</td>
												<td>&nbsp;</td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td>
													<input type="text" class="form-control numberOnly" placeholder="Amt" name="cash"  id="cash"  autocomplete="off"   />
													<input type="hidden" class="form-control" name="cash_ledger_code"  id="cash_ledger_code" value="<?php echo $records[0]['ledger_code']; ?>"  autocomplete="off"   />
												</td>
												<td>&nbsp;</td>
												<td>&nbsp;</td>
												<td>
													<div class="form-row" >
														<div class="form-group  col-md-3" style="padding-left: 15px;" >
															<label class="custom-control custom-checkbox">
																<input name="cash_check" type="checkbox" class="custom-control-input" id="cash_check"  value="1" autocomplete="off"  />
																<span class="custom-control-label"></span>
															</label>
														</div>
														<div class="form-group  col-md-9">
															<?php  $js = 'id="cash_ledgers" class="form-control select2-show-search" ';?>
                                                			<?php echo form_dropdown('cash_ledgers', $cash_ledgers,'',$js); ?>
														</div>
													</div>
												</td>
											</tr>
											<?php } else { ?>
												<input type="hidden" class="form-control numberOnly" placeholder="Amt" name="cash"  id="cash"  autocomplete="off"   />
												<input type="hidden" class="form-control" name="cash_ledger_code"  id="cash_ledger_code" value=""  autocomplete="off"   />
											<?php } ?>
											<?php if(@$records[2]['ledger_code']!='' ) { ?>
											<tr>
												<td>C Card</td>
												<td>Type</td>
												<td>Authorized</td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td>
													<input type="text" class="form-control numberOnly" placeholder="Amt" name="c_card"  id="c_card"  autocomplete="off"   />
													<input type="hidden" class="form-control" name="c_card_ledger_code"  id="c_card_ledger_code" value="<?php echo $records[2]['ledger_code']; ?>"  autocomplete="off"   />
												</td>
												<td>
													<select name="c_type"  class="form-control xx_c_type">
														<option value="">select Type</option>
														<option value="Visa Card">Visa Card</option>
														<option value="Master Card">Master Card</option>
														<option value="Others">Others</option>
													</select>
												</td>
												<td><input name="authorized" type="text" class="form-control" id="authorized" maxlength="20" value="" autocomplete="off"  /></td>
												<td>
													<div class="form-row" >
														<div class="form-group  col-md-3" style="padding-left: 15px;" >
															<label class="custom-control custom-checkbox">
																<input name="c_card_check" type="checkbox" class="custom-control-input" id="c_card_check"  value="1" autocomplete="off"  />
																<span class="custom-control-label"></span>
															</label>
														</div>
														<div class="form-group  col-md-9">
															<?php  $js2 = 'id="c_card_ledgers" class="form-control form-select select2" ';?>
                                                			<?php echo form_dropdown('c_card_ledgers', $bank_ledgers,'',$js2); ?>
														</div>
													</div>
												</td>
											</tr>
											<?php } else { ?>
												<input type="hidden" class="form-control numberOnly" placeholder="Amt" name="c_card"  id="c_card"  autocomplete="off"   />
												<input type="hidden" class="form-control xx_c_type" placeholder="Amt" name="c_type"  id="c_type"  autocomplete="off"   />
												<input type="hidden" class="form-control" placeholder="Amt" name="authorized"  id="authorized"  autocomplete="off"   />
												<input type="hidden" class="form-control" name="c_card_ledger_code"  id="c_card_ledger_code" value=""  autocomplete="off"   />
											<?php } ?>
											<?php if(@$records[1]['ledger_code']!='' ) { ?>
											<tr>
												<td>Wallet</td>
												<td>Type</td>
												<td>Authorized</td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td>
													<input type="text" class="form-control numberOnly" placeholder="Amt" name="wallet_amnt"  id="wallet_amnt"  autocomplete="off"   />
													<input type="hidden" class="form-control" name="wallet_ledger_code"  id="wallet_ledger_code" value="<?php echo $records[1]['ledger_code']; ?>"  autocomplete="off"   />
												</td>
												<td>
													<select name="wallet_type" class="form-control wallet_type">
														<option value="">select Type</option>
														<option value="B wallet">B wallet</option>
														<option value="IBAN">IBAN</option>
														<option value="Benefit">Benefit</option>
													</select>
												</td>
												<td><input name="wallet_authorized" type="text" class="form-control" id="wallet_authorized" maxlength="20" value=""  autocomplete="off" /></td>
												<td>
													<div class="form-row" >
														<div class="form-group  col-md-3" style="padding-left: 15px;">
															<label class="custom-control custom-checkbox">
																<input name="wallet_check" type="checkbox" class="custom-control-input" id="wallet_check"  value="1" autocomplete="off"  />
																<span class="custom-control-label"></span>
															</label>
														</div>
														<div class="form-group  col-md-9">
															<?php  $js3 = 'id="wallet_ledgers" class="form-control form-select select2" ';?>
                                                			<?php echo form_dropdown('wallet_ledgers', $bank_ledgers,'',$js3); ?>
														</div>
													</div>
												</td>
											</tr>
											<?php } else { ?>
												<input type="hidden" class="form-control numberOnly" placeholder="Amt" name="wallet_amnt"  id="wallet_amnt"  autocomplete="off"   />
												<input type="hidden" class="form-control numberOnly" placeholder="Amt" name="wallet_authorized"  id="wallet_authorized"  autocomplete="off"   />
												<input type="hidden" class="form-control wallet_type" placeholder="Amt" name="wallet_type"  id="wallet_type"  autocomplete="off"   />
												<input type="hidden" class="form-control" name="wallet_ledger_code"  id="wallet_ledger_code" value=""  autocomplete="off"   />
											<?php } ?>
											<?php if(@$records[3]['ledger_code']!='' ) { ?>
											<tr>
												<td>Cheque</td>
												<td>Number</td>
												<td>Bank</td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td>
													<input type="text" class="form-control numberOnly" placeholder="Amt" name="cheque_amt"  id="cheque_amt"  autocomplete="off"   />
													<input type="hidden" class="form-control" name="cheque_ledger_code"  id="cheque_ledger_code" value="<?php echo $records[3]['ledger_code']; ?>"  autocomplete="off"   />
												</td>
												<td><input type="text" class="form-control" placeholder="Number" name="cheque_no"  id="cheque_no"  autocomplete="off"  /></td>
												<td><input  type="text" class="form-control" placeholder="Bank" name="cheque_bank"  id="cheque_bank" value="" autocomplete="off" /></td>
												<td>
													<div class="form-row" >
														<div class="form-group  col-md-3" style="padding-left: 15px;" >
															<label class="custom-control custom-checkbox">
																<input name="cheque_check" type="checkbox" class="custom-control-input" id="cheque_check"  value="1" autocomplete="off"  />
																<span class="custom-control-label"></span>
															</label>
														</div>
														<div class="form-group  col-md-9">
															<?php  $js4 = 'id="cheque_ledgers" class="form-control form-select select2" ';?>
                                                			<?php echo form_dropdown('cheque_ledgers', $bank_ledgers,'',$js4); ?>
														</div>
													</div>
												</td>
											</tr>
											<?php } else { ?>
												<input type="hidden" class="form-control numberOnly" placeholder="Amt" name="cheque_amt"  id="cheque_amt"  autocomplete="off"   />
												<input type="hidden" class="form-control numberOnly" placeholder="Amt" name="cheque_no"  id="cheque_no"  autocomplete="off"   />
												<input type="hidden" class="form-control" placeholder="Amt" name="cheque_bank"  id="cheque_bank"  autocomplete="off"   />
												<input type="hidden" class="form-control" name="cheque_ledger_code"  id="cheque_ledger_code" value=""  autocomplete="off"   />
											<?php } ?>
											<tr>
												<td><span class="mandi">*</span> Amount</td>
												<td>Reference Number</td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td>
													<input type="hidden" class="form-control numberOnly" placeholder="" name="current_amount"  id="current_amount"  autocomplete="off"  readonly="readonly" value="<?php //echo $dbdata->net_amount;?>" />  <input name="i_total" type="text" class="form-control higlt_g" id="i_total" value="" maxlength="100" readonly="readonly"  />
												</td>
												<td><input name="ref_number" type="text" class="form-control" id="ref_number" maxlength="20" value=""  autocomplete="off" /></td>
												<td>&nbsp; </td> 
											</tr>
										</table>
										<div class="table  col-md-12" id="search_result_receipts">

										</div>
										<table class="table col-md-12" cellspacing="1">
											<tr class="rowDiv2">
												<td style="width:51%;" >
													<input type="text" class="form-control common_led" placeholder="Select Ledger" name="common_led"  id="common_led"  autocomplete="off" />
													<input  type="hidden" name="common_ledger_code[]" value="" class="form-control common_ledger_code" autocomplete="off"/>
													<div class="client_result2">
														<ul class="clientList2 unstyled">
														</ul>
													</div>
												</td>
												<td style="width:16%;" ><input type="text" class="form-control common_led_amount" placeholder="Enter Amount" name="common_led_amount[]"  id="common_led_amount"  autocomplete="off" style="text-align: right;" /></td>
												<td style="width:28%;" ><input type="text" class="form-control common_led_remarks" placeholder="Remarks" name="common_led_remarks[]"  id="common_led_remarks"  autocomplete="off" /></td>
												<td style="width:5%;" class="pad_zero" >
													<input name="search_button" type="button" class="btn btn-success addRow2" id="search_button" value="+"  />
													<input name="search_button" type="button" class="button1 btn btn-danger removeRow2" id="search_button" value="x"  style="display:none;"/>
												</td>
											</tr>
											<tbody class="divAppend2">
											</tbody>
											<tfoot>
												<td style="width:51%;" ></td>
												<td style="width:16%;text-align: right;" class="with_led_amount" ></td>
												<td style="width:28%;" ></td>
												<td style="width:5%;" class="pad_zero" ></td>
											</tfoot>
										</table>
										<table class="col-md-6">
											<tr>
												<td>Remarks</td>
											</tr>
											<tr>
												<td>
														<textarea name="remarks" rows="5" class="form-control" id="remarks"></textarea>
												</td>
											</tr>
											<tr>
												<td>
													<button class="btn btn-primary " name="Save" type="submit"  id="create_receipt" ><i class="mdi mdi-plus-circle-outline"></i>Create Payment</button>
													<a href="<?php echo site_url('Payment/list_payment');?>" class="btn btn-danger">Cancel</a>
												</td>
											</tr>
										</table>
								</div>
							</div>
						</div>
					</div>
				</div><!-- COL END -->
				<!-- ROW-1 CLOSED -->
			</form>
		</div>
	</div>
				</div>
				<!-- ROW-4 CLOSED -->
			</div>
		</div>
		<!-- CONTAINER CLOSED -->
	</div>
	<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>
	<script type="text/javascript">
	$("html").on("keyup",".common_led",function(e){
		$('.errorDiv').hide();
		var code = e.keyCode || e.which;
		if (code == '9') {
			return false;
		}
		var client=$(this).val();
		$(this).closest('.rowDiv2').find('.common_ledger_code').val("");
		$(this).closest('.rowDiv2').find('.common_led_amount').val("");
		total_paying_amount();
		if (client==''){
			$(".client_result2").css('display','none'); 
			$(this).val("");
			return false;
		} else {	
			$(this).closest('.rowDiv2').find('.common_led').addClass("common_led_123");
			$(this).closest('.rowDiv2').find('.common_ledger_code').addClass("common_ledger_code_123");
			$(this).closest('.rowDiv2').find('.common_led_amount').addClass("common_led_amount_123");
			$(this).closest('.rowDiv2').find('.client_result2').addClass("rev_123456789");
			$(this).closest('.rowDiv2').find('.clientList2').addClass("rev_123");
			$.ajax({
				url:"<?php echo site_url("Journal/search_ledger")?>" , 
				type: "POST" ,
				data: {client	: client} ,
				success: function(data){
					$(".rev_123456789").css('display','block');
					$(".rev_123").html(data);
					rev_client_button();
					$('.common_led_123').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.rev_123').on('focus', 'li', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.rev_123').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'li', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('li').first().focus();
						}
					});
					$(".rev_123 li").keypress(function (e) {
						if (e.keyCode == 13) {
							$(".client_result2").css('display','none');
							var no_of_invoices = $('#no_of_invoices').val();
							var no_of_confirmed_quotations = $('#no_of_confirmed_quotations').val();
							var total_allowed_amount = $('#i_total').val();
							var total_amount = 0;
							for(i = 1; i <= no_of_invoices; i++) {
								var amount_id = "#current_amount_invoice_"+i;
								var discount_id = "#receipt_discount_"+i;
								var tick_id_invoice = "#new_receipt_tick_"+i;
								if($(discount_id).val()!=''){
									var total_amount = total_amount + (parseFloat($(amount_id).val()));
								} else {
									var total_amount = total_amount + (parseFloat($(amount_id).val()));
								}
							}

							var no_of_adv_receipts = $('#no_of_adv_receipts').val();
							var total_adv_receipts = 0;
							for(z = 1; z <= no_of_adv_receipts; z++) {
								var amount_id = "#adv_current_amount_invoice_"+z;
								var total_adv_receipts = total_adv_receipts + (parseFloat($(amount_id).val()));
							}
							
							if(total_allowed_amount=="" || total_allowed_amount=="0"){
								alert("please enter amount");
								return false;
							}
							if(total_adv_receipts!=0){
								if(total_adv_receipts>0){
									total_amount=total_amount-total_adv_receipts;
								} else {
									total_amount=total_amount+total_adv_receipts;
								}
							}
							if(Number($('#advance_payment').val())>0){
								total_amount=total_amount+Number($('#advance_payment').val());
							}

							
							var common_led_amount=0;
							$('.common_led_amount').each(function() {
								var amount=Number($(this).val());
								common_led_amount+=amount;
							});
							if(common_led_amount>0){
								total_amount=total_amount+common_led_amount;
							}
							var client_name = $(this).closest("li").find(".client_name").val();
							var client_code = $(this).closest("li").find(".client_code").val();
							$('.nbselect').show();
							$(".common_led_123").val(client_name);
							$(".common_ledger_code_123").val(client_code);
							$(".common_led_amount_123").val(Number.parseFloat(total_allowed_amount-total_amount).toFixed(3));

							$(".common_led_123").removeClass("common_led_123");
							$(".common_ledger_code_123").removeClass("common_ledger_code_123");
							$(".common_led_amount_123").removeClass("common_led_amount_123");
							$(".rev_123456789").removeClass("rev_123456789");
							$(".rev_123").removeClass("rev_123");
							total_paying_amount();
						}
					});
				},
				error: function(){
					$("#errorMsg").html('Connection Error......');
					$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
		}
	});
	function rev_client_button() {
		$(".client_button").click(function() {
			$(".client_result2").css('display','none');
			var no_of_invoices = $('#no_of_invoices').val();
			var no_of_confirmed_quotations = $('#no_of_confirmed_quotations').val();
			var total_allowed_amount = $('#i_total').val();
			var total_amount = 0;
			for(i = 1; i <= no_of_invoices; i++) {
				var amount_id = "#current_amount_invoice_"+i;
				var discount_id = "#receipt_discount_"+i;
				var tick_id_invoice = "#new_receipt_tick_"+i;
				if($(discount_id).val()!=''){
					var total_amount = total_amount + (parseFloat($(amount_id).val()));
				} else {
					var total_amount = total_amount + (parseFloat($(amount_id).val()));
				}
			}

			var no_of_adv_receipts = $('#no_of_adv_receipts').val();
			var total_adv_receipts = 0;
			for(z = 1; z <= no_of_adv_receipts; z++) {
				var amount_id = "#adv_current_amount_invoice_"+z;
				var total_adv_receipts = total_adv_receipts + (parseFloat($(amount_id).val()));
			}
			
			if(total_allowed_amount=="" || total_allowed_amount=="0"){
				alert("please enter amount");
				return false;
			}
			if(total_adv_receipts!=0){
				if(total_adv_receipts>0){
					total_amount=total_amount-total_adv_receipts;
				} else {
					total_amount=total_amount+total_adv_receipts;
				}
			}
			if(Number($('#advance_payment').val())>0){
				total_amount=total_amount+Number($('#advance_payment').val());
			}

			
			var common_led_amount=0;
			$('.common_led_amount').each(function() {
				var amount=Number($(this).val());
				common_led_amount+=amount;
			});
			if(common_led_amount>0){
				total_amount=total_amount+common_led_amount;
			}

			var client_name = $(this).closest("li").find(".client_name").val();
			var client_code = $(this).closest("li").find(".client_code").val();
			$('.nbselect').show();
			$(".common_led_123").val(client_name);
			$(".common_ledger_code_123").val(client_code);
			$(".common_led_amount_123").val(Number.parseFloat(total_allowed_amount-total_amount).toFixed(3));
			$(".common_led_123").removeClass("common_led_123");
			$(".common_ledger_code_123").removeClass("common_ledger_code_123");
			$(".common_led_amount_123").removeClass("common_led_amount_123");
			$(".rev_123456789").removeClass("rev_123456789");
			$(".rev_123").removeClass("rev_123");
			total_paying_amount();
		});
		$(".no_result_button").click(function() {
			$(".client_result2").css('display','none');
			$(".common_led_123").val('');
			$(".common_ledger_code_123").val('');
			$(".common_led_123").removeClass("common_led_123");
			$(".common_ledger_code_123").removeClass("common_ledger_code_123");
			$(".common_led_amount_123").removeClass("common_led_amount_123");
			$(".rev_123456789").removeClass("rev_123456789");
			$(".rev_123").removeClass("rev_123");
			$('.nbselect').hide();
		});
	}

	$("html").on("click", ".addRow2",function(){
		$(".divAppend2 .addRow2").css("display","none");
		$(".divAppend2 .removeRow2").css("display","none");
		$(".addRow2").css("display","none");
		var html='';							
		html+='<tr class="rowDiv2">';
		html+='<td style="width:51%;" >';
		html+='<input type="text" class="form-control common_led" placeholder="Select Ledger" name="common_led"  id="common_led"  autocomplete="off" />';
		html+='<input  type="hidden" name="common_ledger_code[]" value="" class="form-control common_ledger_code" autocomplete="off"/>';
		html+='<div class="client_result2">';
		html+='<ul class="clientList2 unstyled">';
		html+='</ul>';
		html+='</div>';
		html+='</td>';
		html+='<td style="width:16%;" >';
		html+='<input type="text" class="form-control common_led_amount" placeholder="Enter Amount" name="common_led_amount[]"  id="common_led_amount"  autocomplete="off" style="text-align: right;" />';
		html+='</td>';
		html+='<td style="width:28%;" >';
		html+='<input type="text" class="form-control common_led_remarks" placeholder="Remarks" name="common_led_remarks[]"  id="common_led_remarks"  autocomplete="off" />';
		html+='</td>';
		html+='<td class="pad_zero" >';
		html+='<input name="search_button" type="button" class="button1 btn btn-success addRow2" id="search_button" value="+" style="display:none;"  />';
		html+='<input name="search_button" type="button" class="button1 btn btn-danger removeRow2" id="search_button" value="x"  />';
		html+='</td>';
		html+='</tr>';

		$(".divAppend2").append(html);
		$(".divAppend2 .addRow2:last").css("display","inline-block");
		$(".rowDiv2 .removeRow2").css("display","inline-block");
		$(".divAppend2 .rowDiv2 .removeRow2:last").css("display","none");	
	});
	$("html").on("click", ".removeRow2",function(){
		$(this).closest('tr.rowDiv2').remove();
	});
	$("html").on("click","#cash_check",function(){
		//$('#search_name').val('');
		if($(this).is(":checked") && $('#cash').val()!=='') {
			$("#cash_ledgers").show();
		} else {
			$(this).prop("checked", false);
			$("#cash_ledgers").hide();
		}
	});
	$("html").on("click","#c_card_check",function(){
		//$('#search_name').val('');
		if($(this).is(":checked") && $('#c_card').val()!=='') {
			$("#c_card_ledgers").show();
		} else {
			$(this).prop("checked", false);
			$("#c_card_ledgers").hide();
		}
	});
	$("html").on("click","#wallet_check",function(){
		//$('#search_name').val('');
		if($(this).is(":checked") && $('#wallet_amnt').val()!=='') {
			$("#wallet_ledgers").show();
		} else {
			$(this).prop("checked", false);
			$("#wallet_ledgers").hide();
		}
	});
	$("html").on("click","#cheque_check",function(){
		//$('#search_name').val('');
		if($(this).is(":checked") && $('#cheque_amt').val()!=='') {
			$("#cheque_ledgers").show();
		} else {
			$(this).prop("checked", false);
			$("#cheque_ledgers").hide();
		}
	});
	$("html").on("change","#filter_division",function(){
		$('#search_name').val('');
	});
	$("html").on("keyup","#search_name",function(){
		var search_name	=	$(this).val();
		var filter_division	=	$(".filter_division").val();
		$('.client_id').val('');
		$('.client_address').val('');
		//$('.overlay').show();
		if (search_name==''){
			$(this).val("");
			$(".client_result").css('display','none');
			$('.overlay').hide();
			return false;
		} else {
			$.ajax({
				url:"<?php echo site_url("Payment/search_client_for_payment")?>" , 
				type: "POST" ,
				data: {search_name	: search_name,filter_division	: filter_division} ,
				success: function(data){
					$(".client_result").css('display','block');
					$(".clientList").html(data);
					//client_button();
					$('.overlay').hide();
					client_buttonxxxxx();
					$('#search_name').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.clientList').on('focus', 'li', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.clientList').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'li', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('li').first().focus();
						}
					});
					$(".clientList li").keypress(function (e) {
						if (e.keyCode == 13) {
							$(".client_result").css('display','none');
							$(".search_client_fields").hide();
							$("#payment_details").show();
							$('#search_result_wrapper').html('');
							selected_client=($(this).attr('value'));
							selected_ref=($(this).attr('ref'));
							selected_client_code=($(this).attr('data-client_code'));
							selected_client_name=($(this).attr('data-client_name'));
							$('#client_idnb').val(selected_client);
							$('#qms_client_name_replace').text("Vendor Name: "+selected_client_name);
							var formData = {client:selected_client_code,ref_division:selected_ref};
							$.ajax({
								type: "POST",
								url: '<?php echo site_url("Payment/get_outstanding_payments/")?>',
								data: formData,
								success: function(htmldata){
									$('#search_result_receipts').html(htmldata);
									var client_name = $('#qms_client_name').html();
									$('#qms_client_name').hide();
									//$('#qms_client_name_replace').html(client_name);
									$('#clientIdHidden').val(selected_client);
									$('#client_code').val(selected_client_code);
									$('.ref_div_id').val(selected_ref);
								},
								error: function(){
									$('.overlay').hide();
									$("#errorMsg").html('Connection Error......');
									$("#errorMsg").stop(true, true, true).slideDown(500);
								}
							});
							jQuery("div#result").hide();
						}
					});
					
				},
				error: function(){
						$("#errorMsg").html('Connection Error......');
						$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
		}
	});
	function client_buttonxxxxx() {
		$(".client_buttonxxxxx").click(function() {
			$(".client_result").css('display','none');
			$(".search_client_fields").hide();
			$("#payment_details").show();
			$('#search_result_wrapper').html('');
			selected_client=($(this).attr('value'));
			selected_ref=($(this).attr('ref'));
			selected_client_code=($(this).attr('data-client_code'));
			selected_client_name=($(this).attr('data-client_name'));
			$('#client_idnb').val(selected_client);

			$('#qms_client_name_replace').text("Vendor Name: "+selected_client_name);
			
			var formData = {client:selected_client_code,ref_division:selected_ref};
			$.ajax({
				type: "POST",
				url: '<?php echo site_url("Payment/get_outstanding_payments/")?>',
				data: formData,
				success: function(htmldata){
					$('#search_result_receipts').html(htmldata);
					var client_name = $('#qms_client_name').html();
					$('#qms_client_name').hide();
					$('#clientIdHidden').val(selected_client);
					$('#client_code').val(selected_client_code);
					$('.ref_div_id').val(selected_ref);
				},
				error: function(){
					$('.overlay').hide();
					$("#errorMsg").html('Connection Error......');
					$("#errorMsg").stop(true, true, true).slideDown(500);
				}	
			});
			jQuery("div#result").hide();
		});
		$(".no_result_button").click(function() {
			$("#client_result").css('display','none');
			$("#name").val('');
			$("#name_id").val('');
		});
	}
	$("#cash").on('keyup', function (event) {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
	});
	$("#c_card").on('keyup', function () {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
		
	});
	$("#cheque_amt").on('keyup', function () {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
	});
	$("#wallet_amnt").on('keyup', function () {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
	});
	$("#cc_amnt").on('keyup', function () {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
	});

	$('html').on("keyup", ".adv_paying_amount", function() {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		$(".errorDiv").hide();
		$(".invErrorDiv").hide();
		
		if($('#i_total').val()==='') {
			$(this).val('');
			window.scrollTo(0, 0);
			$(".errorDiv").text("Please Enter Total amount");
			$(".errorDiv").show();
			return false;
		}

		var cash = Number($("#cash").val());
		var c_card = Number($("#c_card").val());
		var cheque_amt = Number($("#cheque_amt").val());
		var wallet_amnt = Number($("#wallet_amnt").val());
		var total_cash = cash + c_card + cheque_amt + wallet_amnt;
		var currnt_amount	=	Number($(this).val());
		var adv_new_current_bal_amount_invoice	=	Number($(this).closest("tr").find(".adv_new_current_bal_amount_invoice").val());
		
		if(Math.abs(currnt_amount)>Math.abs(adv_new_current_bal_amount_invoice)){
			$(".errorDiv").text("Please check Amount");
			$(".errorDiv").show();
			$(this).val('');
			$("#i_total").val(total_cash.toFixed(3));
			$(this).closest("tr").find(".adv_current_bal_amount_invoice").val(adv_new_current_bal_amount_invoice);
			test_distribute();
			return false;
		}

		$(this).closest("tr").find(".adv_current_bal_amount_invoice").val(adv_new_current_bal_amount_invoice+currnt_amount);
		
		var t = Number(total_cash);
		$("#i_total").val(t.toFixed(3));
		test_distribute();
		total_paying_amount();
	});

	function test_distribute(){
		var x	=Number($("#i_total").val());
		var advance_amount=0;
		$(".adv_paying_amount").each(function(){
			advance_amount=Number(advance_amount)+Math.abs((Number($(this).val())));
		});
		var x	=Number($("#i_total").val())-advance_amount;
		var bb	=Number($("#i_total").val());
		
		var sum=0;
		$(".new_current_bal_amount_invoice").each(function(){
			var camnt	=	Number($(this).val());
			sum=Number(sum)+(camnt);
		});
		var nbb_paying_amount=0;
		$(".paying_amount").each(function(){
			nbb_paying_amount=Number(nbb_paying_amount)+(Number($(this).val()));
		});
		$('.receipt_discount').val("");
		if(x <= sum){
			var x	=Number($("#i_total").val());
			if($("#check_advance_payment").val()!='1'){
				test();
			} else {
				test();
			} 
		} else {
			sum=sum-advance_amount;
			if($("#check_advance_payment").val()!='1'){
				if(confirm('Total Payment Exceeded the total bills. Do you want create advance Payment ?')){
					test();
				} else {
					set_previous_value();
				}
			} else {
				test();
			}
		}
	}

	function test(){
		var cash = Number($("#cash").val());
		var c_card = Number($("#c_card").val());
		var cheque_amt = Number($("#cheque_amt").val());
		var wallet_amnt = Number($("#wallet_amnt").val());
		var total_cash = cash + c_card + cheque_amt + wallet_amnt;
		var adv_paying_amount=0;
		$(".adv_paying_amount").each(function(){
			adv_paying_amount=Number(adv_paying_amount)+(Number($(this).val()));
		});
		var x=total_cash+adv_paying_amount;
		var sum=0;
		$(".new_current_bal_amount_invoice").each(function(){
			var camnt	=	Number($(this).val());
			sum=Number(sum)+(camnt);
		});

		$("#check_advance_payment").val(1);
		if((sum-x)<0){
			$("#advance_payment").val(Math.abs(sum-x));
		} else {
			$("#advance_payment").val('');
		}
		$(".current_balance_amount").each(function(){
			if(Number($(this).val()) >= x ){
				$(this).closest("tr").find(".paying_amount").val(x);
				$(this).closest("tr").find(".current_bal_amount_invoice").val(Number($(this).closest("tr").find(".current_balance_amount").val())-Number(x));
				x	= 0;
			}else{
				x	=	x-Number($(this).val());
				$(this).closest("tr").find(".paying_amount").val(Number($(this).val()));
				$(this).closest("tr").find(".current_bal_amount_invoice").val(Number($(this).closest("tr").find(".current_balance_amount").val())-Number($(this).val()));
			}
		});
	}


function distribute_invoice_amount(){
	$(".errorDiv").hide();
	if($("#client_id").val()==""){
		$(".errorDiv").text("Customer field is required");
		$(".errorDiv").show();
		$("#cash").val('');
		$("#c_card").val('');
		$("#cheque_amt").val('');
		$("#wallet_amnt").val('');
		$("#cc_amnt").val('');
		$("#client").focus();
		return false;
    }
	
	var l_count=0;
	$('.invoice_id').each(function() {
		if($(this).val()===''){
			l_count++;
		}
	});
	if(l_count>0){
		$('.errorDiv').text('Please Select atleast one invoice');
		$('.errorDiv').show();
		window.scrollTo(0,0);
		return false;
	}
	
	//if($('#payment_mode').val()==='Cash'){
		var cash = Number($("#cash").val());
		var c_card = Number($("#c_card").val());
		var cheque_amt = Number($("#cheque_amt").val());
		var wallet_amnt = Number($("#wallet_amnt").val());
		var total_cash = cash + c_card + cheque_amt + wallet_amnt;
	/*} else if($('#payment_mode').val()==='Credit'){
		var cc_amnt = Number($("#cc_amnt").val());
		var total_cash = cc_amnt;
	}*/
	var advance_amount=0;
	$(".adv_new_current_bal_amount_invoice").each(function(){
		advance_amount=Number(advance_amount)-(Number($(this).val()));
	});
	//alert(advance_amount);
	var t = Number(total_cash);
	$("#i_total").val(t.toFixed(3));
	var x	=t+advance_amount;
	var sum=0;
	$(".new_current_bal_amount_invoice").each(function(){
		var camnt	=	Number($(this).val());
		sum=Number(sum)+(camnt);
	});

	if(sum==0){
		if($("#check_advance_payment").val()!='1'){
			if(confirm('Total Payment Exceeded the total bills. Do you want create advance Payment ?')){
				$('#advance_payment').val(total_cash);
				$("#check_advance_payment").val(1);
			} else {
				$('#advance_payment').val('');
				$("#check_advance_payment").val(0);
			}
		} else {
			$('#advance_payment').val(total_cash);
			$("#check_advance_payment").val(1);
		}
		return false;
	}

	if(advance_amount>0){
		n=advance_amount;
		$(".adv_current_balance_amount").each(function(){
			//alert(Number($(this).val())+','+n);
			if(Math.abs(Number($(this).val())) >= n ){
				$(this).closest("tr").find(".adv_paying_amount").val(Math.abs(n));
				$(this).closest("tr").find(".adv_current_bal_amount_invoice").val(Number($(this).closest("tr").find(".adv_current_balance_amount").val())+Number(n));
				n	= 0;
			}else{
				n	=	n-Number($(this).val());
				$(this).closest("tr").find(".adv_paying_amount").val(Math.abs(Number($(this).val())));
				$(this).closest("tr").find(".adv_current_bal_amount_invoice").val(Number($(this).closest("tr").find(".adv_current_balance_amount").val())-Number($(this).val()));
			}
		});
	}
	$("#advance_payment").val('');
	$('.receipt_discount').val("");
	if(x <= sum){
		$(".current_balance_amount").each(function(){
			if(Number($(this).val()) >= x ){
				var rv	=	Math.round((Number($(this).closest("tr").find(".current_balance_amount").val())-Number(x))*1000000)/1000000;
				$(this).closest("tr").find(".paying_amount").val(x);
				$(this).closest("tr").find(".current_bal_amount_invoice").val(rv);
				x	= 0;
			}else{
				x	=	x-Number($(this).val());
				var rv	=	Math.round((Number($(this).closest("tr").find(".current_balance_amount").val())-Number($(this).val()))*1000000)/1000000;
				$(this).closest("tr").find(".paying_amount").val(Number($(this).val()));
				$(this).closest("tr").find(".current_bal_amount_invoice").val(rv);
			}
		});
	} else {
		if($("#check_advance_payment").val()!='1'){
			if(confirm('Total Payment Exceeded the total bills. Do you want create advance Payment ?')){
				//alert(advance_amount+','+x+'-'+sum);
				$("#check_advance_payment").val(1);
				$("#advance_payment").val(Number.parseFloat((x)-sum).toFixed(3));
				$(".current_balance_amount").each(function(){
					if(Number($(this).val()) >= x ){
						var rv	=	Math.round((Number($(this).closest("tr").find(".current_balance_amount").val())-Number(x))*1000000)/1000000;
						$(this).closest("tr").find(".paying_amount").val(x);
						$(this).closest("tr").find(".current_bal_amount_invoice").val(rv);
						x	= 0;
					}else{
						x	=	x-Number($(this).val());
						var rv	=	Math.round((Number($(this).closest("tr").find(".current_balance_amount").val())-Number($(this).val()))*1000000)/1000000;
						$(this).closest("tr").find(".paying_amount").val(Number($(this).val()));
						$(this).closest("tr").find(".current_bal_amount_invoice").val(rv);
					}
				});
			} else {
				set_previous_value();
			}
		} else {
			$("#check_advance_payment").val(1);
			$("#advance_payment").val(Number.parseFloat(x-sum).toFixed(3));
			$(".current_balance_amount").each(function(){
				if(Number($(this).val()) >= x ){
					var rv	=	Math.round((Number($(this).closest("tr").find(".current_balance_amount").val())-Number(x))*1000000)/1000000;
					$(this).closest("tr").find(".paying_amount").val(x);
					$(this).closest("tr").find(".current_bal_amount_invoice").val(rv);
					x	= 0;
				}else{
					x	=	x-Number($(this).val());
					var rv	=	Math.round((Number($(this).closest("tr").find(".current_balance_amount").val())-Number($(this).val()))*1000000)/1000000;
					$(this).closest("tr").find(".paying_amount").val(Number($(this).val()));
					$(this).closest("tr").find(".current_bal_amount_invoice").val(rv);
				}
			});
		}
	}

	function set_previous_value(){
		$("#check_advance_payment").val(0);
		$(".errorDiv").text("Entered amount does not exceed total invoice amount");
		$(".errorDiv").show();
		$("#i_total").val("");
		$("#cash").val('');
		$("#c_card").val('');
		$("#cheque_amt").val('');
		$("#wallet_amnt").val('');
		$("#cc_amnt").val('');
		$('.paying_amount').val("");
		$('.adv_paying_amount').val("");
		$('.current_bal_amount_invoice').val("");
		$(".adv_new_current_bal_amount_invoice").each(function(){
            $(this).closest("tr").find(".adv_current_bal_amount_invoice").val($(this).val());
        });
		$(".new_current_bal_amount_invoice").each(function(){
            $(this).closest("tr").find(".current_bal_amount_invoice").val($(this).val());
        });
	}
	total_paying_amount();
	//$(".nbpayingamount").html(Number(total_cash)+advance_amount);
}
$("html").on("keyup","#advance_payment",function(){
	total_paying_amount();
});
$("html").on("keyup",".common_led_amount",function(){
	total_paying_amount();
});
function total_paying_amount(){
	var advance_amount = Number($("#advance_payment").val());
	var adv_paying_amount=0;
	$(".adv_paying_amount").each(function(){
		adv_paying_amount=Number(adv_paying_amount)+Math.abs((Number($(this).val())));
	});
	var total_cash=0;
	$(".paying_amount").each(function(){
		total_cash=Number(total_cash)+(Number($(this).val()));
	});
	var	nbpayingamount	=	(Number(total_cash)+advance_amount)-adv_paying_amount;
	$(".nbpayingamount").html(Number.parseFloat(nbpayingamount).toFixed(3));
	var common_led_amount=0;
	$(".common_led_amount").each(function(){
		common_led_amount=Number(common_led_amount)+(Number($(this).val()));
	});
	if(common_led_amount>0){
		var	with_led_amount	=	(Number(total_cash)+advance_amount+common_led_amount)-adv_paying_amount;
		$(".with_led_amount").html(Number.parseFloat(with_led_amount).toFixed(3));
	} else {
		$(".with_led_amount").html('');
	}
}


</script>