<?php $price_round=3; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Journal Voucher - <?php echo $journal_code; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">

	
	.logo{
		height:102px;
	}
	.logoimg {
		margin-left: 15px;
		margin-right: 49px;
		margin-top: 10px;
		max-height: 90px;
	}
	.logoimg:last-child {
		margin-right: 0;
	}
	.log_left{
		float:right;
		margin-right:15px;
	}
	h1.title{
		text-align: center;
		padding: 0px;
		margin: 0px;
		line-height: 42px;
		font-size: 18px;
		font-family: Arial, Helvetica, sans-serif;
		/* background-color:#d6d6d6;
		border:1px solid #000; */
		border-radius: 5px 5px 5px 5px;
		width:640px !important;
		margin:0 auto;
	}
	a.no_print {
		color: #0088cc;
		text-decoration: none;
		font-size:14px;
		margin-left:14px;
	}

	.header_p {
		height: 20px;
		margin: 0px auto 0px;
		width:640px !important;
		border-radius: 5px 5px 5px 5px !important;
	}

	.quotation_details {
		border-radius: 5px !important;
		margin: 10px auto 10px;
		width:640px !important;
	}
	.quotation_details table{
		width:98%;
		margin:0 auto;
	}
	.receipt_content{
		width:640px !important;
		margin:0 auto;
		border-radius: 5px !important;
	}
	.right td.result {
		/*width: 160px;*/
	}
	.receipt_content table.left {
		border: 1px solid #000000;
		border-radius: 5px !important;
		/*float: left;*/
		height: auto;
		padding: 0 10px;
		width: 100%;
	}
	
	.receipt_content table.right {
		border: 1px solid #000000;
		border-radius: 5px 5px 5px 5px !important;
		/*float: right;*/
		height: auto;
		padding: 0 0 0 10px;
		width: 100%;
	}

	.left td {
		height: 20px;
		line-height: 20px;
		vertical-align: top;
		/*width: 216px;*/
	}
	
	.left tr {
		float: left;
		min-height: 37px;
	}
		
	.right tr {
		float: left;
		min-height: 37px;
		/*width: 100%;*/
	}
	.right td {
		/*width: 228px;*/
	}
		
	.left td.priceWords {
		/*width: 336px;*/
	}
	.footer-print{
		width: 98%;
		left: 9px;
		position:absolute;
		bottom:15px;
	}
	td.mode{
		/*width:115px;*/
	}

	.priceField > span {
		float: right;
		margin-right: 15px;
	}
	td.type {
		padding-left: 14px;
		/*width: 245px;*/
	}

	.wideTable strong {
		float: right;
		/*width: 376px;*/
	}

	.wideTable span {
		float: right;
		margin: 0;
	}
	.remarksText {
		float: right;
		/*width: 376px;*/
	}
	
	.left td.wideTable {
		/*width: 392px;*/
	}
	
@media print {
	.no_print {
		display:none;
	}
	h1.title{
		text-align: center;
		padding: 0px;
		margin: 0px;
		line-height: 42px;
		font-size: 18px;
		font-family: Arial, Helvetica, sans-serif;
		/* background-color:#d6d6d6 !important;
		border:1px solid #000; */
		border-radius: 5px 5px 5px 5px;
		width:640px !important;
		margin:0 auto;
	}
}
#watermark{
	  color: #FF0000;
	  font-size: 100pt;
	  -webkit-transform: rotate(-25deg);
	  -moz-transform: rotate(-45deg);
	  position: absolute;
	  width: 100%;
	  height: 100%;
	  margin: 0;
	  z-index: -1;
	  text-align:center;
	  top:350px;
	  left:50px;
	  opacity:0.2;
	}
	.border_left {
		border-left: 1px solid #000000;
	}
	.border_right {
		border-right: 1px solid #000000;
	}
	.border_bottom {
		border-bottom: 1px solid #000000;
	}
	.border_top {
		border-top: 1px solid #000000;
	}
	.font_size_11 {
		font-size: 11px;
	}
	.font_size_12 {
		font-size: 12px;
	}
	.font_size_13 {
		font-size: 13px;
	}
	.padding_right {
		padding-right: 5px;
	}
	.padding_left {
		padding-left: 5px;
	}
	body {
		font-family: Arial, Helvetica, sans-serif;
	}

</style>
</head>
<body>
	<?php if($journal_status==0) { ?>
		<div id="watermark">cancelled</div>
	<?php } ?>
	  
    <div class="receipt_bg">
		<div class="header_p">
		<table width="100%">
        	<tr>
        		<td>
					<img src="<?php echo base_url()."images/company_logo/".$logo_filename; ?>" alt="" style="height:70px;width:220px"  class="logo"/>
            	</td>
        		<td align="right" style="vertical-align:bottom;" class="font_size_12">
					<?php if(isset($company_details->company_name)){ echo $company_details->company_name;} ?> <br> <?php if(isset($company_details->cr_number)){ if($company_details->cr_number!=""){ echo ' '.$company_details->cr_number;}} ?><br>
					<?php if(isset($company_details->company_address)){ echo $company_details->company_address;} ?> <br> <?php if(isset($company_details->email_id)){ if($company_details->email_id!=""){ echo '  '.$company_details->email_id;}} ?><br>
					<?php if(isset($company_details->telephone_no)){ echo $company_details->telephone_no;} ?>  <?php if(isset($company_details->fax_no)){ if($company_details->fax_no!=""){ echo ' | '.$company_details->fax_no;} } ?>
            	</td>
            </tr>
         </table>
</div>
		 <br>
        <h1 class="title">JOURNAL VOUCHER</h1>
       
        <div class="quotation_details">
        	<table>
            	<tr>
                	<td width="40%" align="left" class="font_size_12"  > No : <?php echo $journal_code; ?></td>
                   	<td width="40%" align="right" class="font_size_12" >Date : <?php echo date('F d, Y',strtotime ($journal_date)); ?></td>
                </tr>
            </table>
        </div>

		
        <div class="quotation_details" >
        	<table class="left" cellpadding="5" cellspacing="0" border="0" >
            	<tr>
					<td style="width:20px"  class="font_size_13 border_left border_top" ></td>
                	<td  class="font_size_13 border_top padding_left " >Particulars</td>
					<td  class="font_size_13 border_top padding_left " >&nbsp;</td>
					<td  class="font_size_13 border_top padding_left " >Narrations</td>
                    <td align="right" style="width:75px" class="font_size_13 border_left border_top padding_right" >Debit</td>
					<td align="right" style="width:75px" class="font_size_13 border_left border_top border_right padding_right" >Credit</td>
                </tr>
				<?php if($details!=false){
					foreach($details as $row){ $list= '';
				?>
				<tr>
					<td style="width:20px"  class="font_size_11 border_left border_top" ><?php if($row['ledger_amount']<0){ echo 'Cr'; } else { echo 'Dr'; }?></td>
                	<td  class=" font_size_11 border_top padding_left"  colspan="2" >
						<?php 
							echo $row['ledger_name']; 
							$ledger_code = $row['ledger_code'];
							$vch_no = $row['vch_no'];
							if($row['acoount_group_id']==="17"){
								$SQL="SELECT * FROM `cust_bill_allocations` inner join furniture_invoice on furniture_invoice.invoice_id = cust_bill_allocations.bill_id WHERE `trn_no`='$vch_no' and `customer_code`='$ledger_code'";
								$this->db->query($SQL);
								$cd=$this->db->query($SQL);
								$cust_details=$cd->result_array();
								if($cust_details!=false){
									foreach($cust_details as $row1){
										$list.= '<tr style="padding-top:0px;margin-top:0px;padding-bottom:0px;margin-bottom:0px;">
											<td style="width:20px;padding-top:0px;"  class="font_size_11 border_left " >&nbsp;</td>
											<td style="padding-top:0px;margin-top:0px;padding-bottom:0px;margin-bottom:0px;" class=" font_size_11  padding_left" >'.$row1['invoice_number'].'</td>
											<td class="font_size_11  padding_left " style="text-align: right;padding-top:0px;margin-top:0px;padding-bottom:0px;margin-bottom:0px;">'.(number_format((float)($row1['bill_amt']), 3, '.', '')).'</td>
											<td style="padding-top:0px;margin-top:0px;padding-bottom:0px;margin-bottom:0px;" class="font_size_11  padding_left   " >&nbsp;</td>
											<td align="right" style="width:75px;padding-top:0px;margin-top:0px;padding-bottom:0px;margin-bottom:0px;" class="font_size_11 border_left  padding_right" >&nbsp;</td>
											<td align="right" style="width:75px;padding-top:0px;margin-top:0px;padding-bottom:0px;margin-bottom:0px;" class=" font_size_11 border_left  border_right padding_right" >&nbsp;</td>
										</tr>';
									}
								}
							}
							if($row['acoount_group_id']==="18"){
								$SQL="SELECT * FROM `supplier_bill_allocations` inner join purchase_h on purchase_h.id = supplier_bill_allocations.bill_id WHERE `trn_no`='$vch_no' and `supplier_code`='$ledger_code'";
								$this->db->query($SQL);
								$cd=$this->db->query($SQL);
								$sup_details=$cd->result_array();
								if($sup_details!=false){
									foreach($sup_details as $row2){
										$list.= '<tr style="padding-top:0px;margin-top:0px;padding-bottom:0px;margin-bottom:0px;">
											<td style="width:20px;padding-top:0px;"  class="font_size_11 border_left " >&nbsp;</td>
											<td style="padding-top:0px;margin-top:0px;padding-bottom:0px;margin-bottom:0px;" class=" font_size_11  padding_left" >'.$row2['purchase_invoice_code'].'</td>
											<td class="font_size_11  padding_left " style="text-align: right;padding-top:0px;margin-top:0px;padding-bottom:0px;margin-bottom:0px;">'.(number_format((float)($row2['bill_amt']*-1), 3, '.', '')).'</td>
											<td style="padding-top:0px;margin-top:0px;padding-bottom:0px;margin-bottom:0px;" class="font_size_11  padding_left   " >&nbsp;</td>
											<td align="right" style="width:75px;padding-top:0px;margin-top:0px;padding-bottom:0px;margin-bottom:0px;" class="font_size_11 border_left  padding_right" >&nbsp;</td>
											<td align="right" style="width:75px;padding-top:0px;margin-top:0px;padding-bottom:0px;margin-bottom:0px;" class=" font_size_11 border_left  border_right padding_right" >&nbsp;</td>
										</tr>';
									}
								}
							}
						?>
					</td>
					<td  class="font_size_11  padding_left border_top  " ><?php echo $row['ledger_narration']; ?></td>
                    <td align="right" style="width:75px" class="font_size_11 border_left border_top padding_right" ><?php if($row['ledger_amount']>0){ echo number_format((float)($row['ledger_amount']), 3, '.', ''); } ?></td>
					<td align="right" style="width:75px" class=" font_size_11 border_left border_top border_right padding_right" ><?php if($row['ledger_amount']<0){ echo number_format((float)($row['ledger_amount']*-1), 3, '.', ''); } ?></td>
                </tr>
				<?php echo $list; ?>
				<?php } } ?>
				<!-- 
				<tr>
					<td style="width:20px"  class="font_size_11 border_left  padding_left " ></td>
                	<td  class="font_size_11  padding_left" ></td>
					<td  style="width:20px" class="font_size_11 " ></td>
                    <td align="right" style="width:75px" class="font_size_11 border_left  padding_right" ></td>
					<td align="right" style="width:75px" class="font_size_11 border_left  border_right padding_right" ></td>
                </tr> -->
				<tr>
					<td style="width:20px"  class="font_size_11 border_left border_top border_bottom padding_left " ></td>
                	<td  class="font_size_11  padding_left border_top border_bottom " colspan="2" > </td>
					<td  class="font_size_11  padding_left border_top border_bottom " > </td>
                    <td align="right" style="width:75px" class="font_size_13 border_left border_top padding_right border_bottom " ><b><?php echo $dr_amount; ?></b></td>
					<td align="right" style="width:75px" class="font_size_13 border_left border_top border_right padding_right border_bottom " ><b><?php echo $cr_amount; ?></b></td>
                </tr>
				
            </table>
				<div class="font_size_13 " style="padding-top:10px; padding-left:15px;" >
					<?php if($journal_remarks!="") { ?>
						<?php echo $journal_remarks; ?>
					<?php } ?>
				</div>
		</div>
		     
    </div>
</body>
</html>