
    <!--app-content open-->
	<div class="app-content main-content">
		<div class="side-app">
			<div class="main-container">
				<!-- PAGE-HEADER -->
				<div class="page-header">
					<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
						<h1 class="page-title">Department List</h1>
					</div>
					<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
						<div class="float-sm-end float-none my-1">
							<a id="add__new__list" type="button" class="btn btn-md btn-primary " data-bs-target=".bd-example-modal-lg" href="<?php echo site_url('masters/Department/create');?>"><i class="fa fa-plus"></i> Add a new Department</a>
						</div>
					</div>
				</div>
			</div>
			<!-- PAGE-HEADER END -->
			<!-- ROW-1 -->
			<div class="row">
				<div class="col-md-12 col-lg-12">
					<div class="card">
						<div class="card-header">
							<h3 class="card-title">Department List</h3>
						</div>
						<?php
							if($this->session->flashdata("response")!='') {
								echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
								$this->session->unset_userdata('response');
							}
						?>
						<?php
							if($this->session->flashdata("success")!='') {
								echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
								$this->session->unset_userdata('success');
							}
						?>
						<div class="table-responsive">
							<table class="table card-table table-vcenter">
								<thead >
									<tr>
										<th>#</th>
										<th>Name</th>
										<th>Action</th>
									</tr>
								</thead>
								<tbody>
									<?php
										if($records != false)
										{
											$i=1;
											foreach($records as $record){
									?>
										<tr <?php if($record['status']==0){ echo 'style="background: #EE4B2B;"';}?>>
											<td scope="row"><?php echo $i++; ?></td>
											<td><?php echo $record['department_name']; ?></td>
											<td>
												<a class="btn btn-sm btn-primary" href="<?php echo site_url('masters/Department/edit/'.$record['department_id']); ?>"><i class="fa fa-edit"></i> Edit</a>
												<!--<a class="btn btn-sm btn-danger icon-remove" href="javascript:isDel('<?php echo $record['department_id']; ?>');"><i class="fa fa-trash"></i> Delete</a> -->
											</td>
										</tr>
									<?php
											}
										}
										else{
									?>
									<tr>
										<td colspan="3">No records available</td>
									</tr>
									<?php
										}
									?>
								</tbody>
							</table>
						</div>
						<?php echo $pagination; ?>
						<!-- table-responsive -->
					</div>
				</div>
			</div>
			<!-- ROW-1 CLOSED -->
		</div>
	</div>
	<script type="text/javascript">
		function isDel(id){
			$('body').removeClass('timer-alert');
			swal({
					title: "Alert",
					text: "Are you sure you want to delete??",
					type: "warning",
					showCancelButton: true,
					confirmButtonText: 'Yes',
					cancelButtonText: 'Cancel'
				},
				function(isConfirm){
				if (isConfirm) {
					document.location.href="<?php echo site_url('masters/Department/do_delete'); ?>/"+id;
				} else {
					swal("Cancelled", "Something went wrong :)", "error");
				}
			});
		}
	</script>
