<style>
    .btn-primary {
	background: #0774f8 !important;
	border-color: #0774f8 !important;

}
.btn-primary:active, 
 .btn-primary:focus 
 {
     border:none; /* here configure as your needs */
  }
.card1 {
    margin-top: 0.5rem;
    padding-top: 3px;
    padding-bottom: 3px;
}
.card2 {
    margin-top: 0.5rem;
    color: #0774f8;
}
.card3 {
    padding-bottom: 20.5%;
}
.card4 {
    padding-bottom: 62%;
}
.card5 {
    padding-bottom: 69%;
}
.card {
    margin-bottom: 0.5rem;
}
#back-to-top {
    background-image: linear-gradient(to right, #0774f8 0%, #0774f8 100%);
    border-color: #0774f8;
}
#back-to-top:hover {
    color: #0774f8 !important;
    border: 2px solid #0774f8;
}
.app-content .side-app {
    padding: 0px 0.5rem 0 0.5rem;
}
.tab {
  overflow: hidden;
  background-color: #fff;
}

/* Style the buttons inside the tab */
.tab button {
  background-color: inherit;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 4px 16px;
  transition: 0.3s;
  font-size: 17px;
  color:#0774f8;
}

/* Change background color of buttons on hover */
.tab button:hover {
  background-color: #fff;
}

/* Create an active/current tablink class */
.tab button.active {
  background-color: #0774f8;
  color:#fff;
  border-radius: 5px;
}

/* Style the tab content */
.tabcontent {
  display: none;
  border-top: none;
}
.client_result {
	border: 1px solid #d2d6de;
	position: absolute;
	width: 347px;
	height: auto;
	background-color: #fff;
	z-index: 100;
	margin-top: 0px;
	border-radius: 3px;
	display: none;
}
.clientList {
	margin:0px;
}
.clientList li {
	color: #000000;
	padding: 0;
	padding-left: 8px;
	height: 30px;
	padding-top: 4px;
	cursor:pointer;
	font-weight:600;
	list-style-type: none;
}
.clientList li:hover {
	background:#CCCCCC;
}
.nbactive{
    background-color:#D6D6D6;
}
.nbactive2{
    background-color:#D6D6D6;
}
.nbactive3{
    background-color:#D6D6D6;
}
.errorNb {
	display:none;
}
.errorStatuatory {
	display:none;
}
.errorPassport {
	display:none;
}
.errorContract {
	display:none;
}
.errorNotes {
	display:none;
}

.btn:focus {
  outline: none !important;
  box-shadow: none !important;
}
p {
    margin-bottom: 1em !important;
}
legend {
    
    text-align: left;
    margin-top: -15px;
    margin-left: 27px;
    background: #fff;
    width: auto;
    font-size: 15px;
    padding-left: 9px;
    padding-right: 9px;
    font-weight: bold;
    color: #0774f8;
}
.thead-secondary th {
    background:#6C6C6A !important;
    color:white !important;
}
</style>

    <div class="app-content main-content">
		<div class="side-app">
            <div class="main-container">
                <!-- Row -->
                <div class="row">
                    <div class="col-md-12 col-xl-12">
                        <div class="card card1">
                            <div class="card-body" >
                                <div class="tab col-xl-12">
                                    <button class="tablinks" style="width:15%" onclick="openCity(event, 'GeneralInfo')" <?php if($status==='general_info'){ echo 'id="defaultOpen"'; } ?> >General Info</button>
                                    <button class="tablinks" style="width:15%" onclick="openCity(event, 'StatutoryDetails')" <?php if($status==='add_statuatory'){ echo 'id="defaultOpen"'; } ?> >Statutory Details</button>
                                    <button class="tablinks" style="width:20%" onclick="openCity(event, 'Passport')" <?php if($status==='add_passport'){ echo 'id="defaultOpen"'; } ?> >Passport & Visa Details</button>
                                    <button class="tablinks" style="width:15%" onclick="openCity(event, 'Contract')" <?php if($status==='add_contract'){ echo 'id="defaultOpen"'; } ?> >Contract Details</button>
                                    <button class="tablinks" style="width:15%" onclick="openCity(event, 'Salary')" <?php if($status==='add_salary'){ echo 'id="defaultOpen"'; } ?> >Salary Details</button>
                                    <button class="tablinks" style="width:15%" onclick="openCity(event, 'Notes')" <?php if($status==='add_notes'){ echo 'id="defaultOpen"'; } ?> >Notes</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- End Row -->

                <div id="GeneralInfo" class="tabcontent">
                    <!-- Row -->
                    <div class="card">    
                        <form action="<?php echo site_url('masters/Employee/update_generalinfo/'.$employee_id) ?>" method="post" enctype="multipart/form-data" name="general_info" id="general_info">             
                        <div class="card-body"> 
                            <div class="alert alert-danger errorNb">
                            </div>
                            <?php
                                if($this->session->flashdata("response")!='') {
                                    echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
                                    $this->session->unset_userdata('response');
                                }
                            ?>
                            <?php
                                if($this->session->flashdata("success")!='') {
                                    echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
                                    $this->session->unset_userdata('success');
                                }
                            ?>
                            <fieldset style="border: 1px solid #cacaca;padding: 3px 10px 10px 10px;border-radius: 5px;">
                                <legend> Employee Primary Details </legend> 
                                <div class="row col-md-9" style="float: left;">
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Employee Number <span class="mandi">*</span></label>
                                        <input type="text" class="form-control" name="employee_number" id="employee_number" value="<?php echo $employee_number; ?>" readonly autocomplete="off" tabindex="-1" >
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Employee Name <span class="mandi">*</span></label>
                                        <input type="text" class="form-control" name="employee_name" id="employee_name" value="<?php echo $employee_name; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Employee Nick Name</label>
                                        <input type="text" class="form-control" name="employee_nick_name" id="employee_nick_name" value="<?php echo $employee_nick_name; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Designation</label>
                                        <input type="text" class="form-control" name="designation" id="designation" value="<?php echo $designation; ?>" autocomplete="off">
                                    </div>
                                    
                                    <div class="form-group col-xl-3">
                                        <label class="form-label">Department <span class="mandi">*</span></label>
                                        <?php  $js2 = 'id="employee_department_id" class="form-control form-select select2" ';?>
                                        <?php echo form_dropdown('employee_department_id', $department_list,$employee_department_id,$js2); ?>
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Function</label>
                                        <input type="text" class="form-control" name="function" id="function" value="<?php echo $function; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Current Location</label>
                                        <input type="text" class="form-control" name="location" id="location" value="<?php echo $location; ?>" autocomplete="off">
                                    </div>
                                    
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Date of Joining </label>
                                        <input type="text" class="form-control fc-datepicker" name="date_of_joining" id="date_of_joining" value="<?php echo $date_of_joining; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Status</label>
                                        <select name="status" id="status" class="form-control">
                                            <option value="active" <?php if($employee_status=="active"){echo "selected";} ?> >Active</option>
                                            <option value="resigned" <?php if($employee_status=="resigned"){echo "selected";} ?> >Resigned</option>
                                            <option value="terminated" <?php if($employee_status=="terminated"){echo "selected";} ?> >Terminated</option>
                                            <option value="retired" <?php if($employee_status=="retired"){echo "selected";} ?> >Retired</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Date of Termination</label>
                                        <input type="text" class="form-control fc-datepicker" name="date_of_termination" id="date_of_termination" value="<?php echo $date_of_termination; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Termination Reason</label>
                                        <input type="text" class="form-control" name="termination_reason" id="termination_reason" value="<?php echo $termination_reason; ?>" autocomplete="off">
                                    </div>
                                </div>
                                <div class="col-md-3" style="float: left;">
                                    <label class="form-label"> Photo</label>
                                    <input type="file" class="dropify"  data-default-file="<?php if(@$employee_photo!=''){ echo base_url()."images/employee/".@$employee_photo; } ?>"  name="Image" id="Image" data-height="200" />
                                    <input type="hidden" class="" name="Image2" id="Image2" value="<?php echo @$employee_photo;?>"  />
                                </div>
                            </fieldset>
                            <br>
                            <fieldset style="border: 1px solid #cacaca;padding: 3px 10px 10px 10px;border-radius: 5px;">
                                <legend> Employee Details </legend> 
                                <div class="row">
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Nationality</label>
                                        <?php  
                                            $js = 'id="nationality" class="form-control form-select select2" ';
                                            echo form_dropdown('nationality', $country_list,$nationality,$js);
                                        ?>
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Date Of Birth</label>
                                        <input type="text" class="form-control dateofbirth" name="date_of_birth" id="date_of_birth" value="<?php echo $date_of_birth; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Gender</label>
                                        <select name="gender" id="gender" class="form-control">
                                            <option value="">- Select Gender -</option>
                                            <option value="male" <?php if($gender=="male"){echo "selected";} ?> >Male</option>
                                            <option value="female" <?php if($gender=="female"){echo "selected";} ?> >Female</option>
                                        </select>
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Blood Group</label>
                                        <input type="text" class="form-control" name="blood_group" id="blood_group" value="<?php echo $blood_group; ?>"  autocomplete="off">
                                    </div>
                                </div>             
                            </fieldset>
                            <br>
                            <fieldset style="border: 1px solid #cacaca;padding: 3px 10px 10px 10px;border-radius: 5px;">
                                <legend> Contact Details </legend> 
                                <div class="row">
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Email</label>
                                        <input type="text" class="form-control" name="personal_email_id" id="personal_email_id" value="<?php echo $personal_email; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Local Mobile</label>
                                        <input type="text" class="form-control" name="contact_number" id="contact_number" value="<?php echo $contact_number; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Local Contact Person</label>
                                        <input type="text" class="form-control" name="contact_person" id="contact_person" value="<?php echo $contact_person; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Office Tel.</label>
                                        <input type="text" class="form-control" name="office_tel" id="office_tel" value="<?php echo $office_tel; ?>"  autocomplete="off">
                                    </div>
                                </div>             
                                <div class="row">
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Local Land Line</label>
                                        <input type="text" class="form-control" name="local_land_line" id="local_land_line" value="<?php echo $local_land_line; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Contact Person No</label>
                                        <input type="text" class="form-control" name="contact_person_no" id="contact_person_no" value="<?php echo $contact_person_no; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Home Contact Person</label>
                                        <input type="text" class="form-control" name="home_contact_person" id="home_contact_person" value="<?php echo $home_contact_person; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Contact Person No</label>
                                        <input type="text" class="form-control" name="home_contact_person_no" id="home_contact_person_no" value="<?php echo $home_contact_person_no; ?>"  autocomplete="off">
                                    </div>
                                </div>  
                                <div class="row">
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Local Address</label>
                                        <textarea type="text" class="form-control" name="address" id="address" value="" autocomplete="off" rows="5" ><?php echo $address; ?></textarea>
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Home Address</label>
                                        <textarea type="text" class="form-control" name="home_address" id="home_address" value="" autocomplete="off" rows="5" ><?php echo $home_address; ?></textarea>
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Spouse Name</label>
                                        <input type="text" class="form-control" name="spouse_name" id="spouse_name" value="<?php echo $spouse_name; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                    </div>
                                </div>  
                            </fieldset>
                            <br>
                            <fieldset style="border: 1px solid #cacaca;padding: 3px 10px 10px 10px;border-radius: 5px;">
                                <legend> Bank Details </legend> 
                                <div class="row">
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Bank Name</label>
                                        <input type="text" class="form-control" name="bank_name" id="bank_name" value="<?php echo $bank_name; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Bank Branch</label>
                                        <input type="text" class="form-control" name="bank_branch" id="bank_branch" value="<?php echo $bank_branch; ?>" autocomplete="off">
                                    </div>
                                    
                                    <div class="form-group col-xl-3">
                                        <label class="form-label">Account No</label>
                                        <input type="text" class="form-control" name="account_no" id="account_no" value="<?php echo $account_no; ?>"  autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label">IBAN No</label>
                                        <input type="text" class="form-control" name="iban_no" id="iban_no" value="<?php echo $iban_no; ?>"  autocomplete="off">
                                    </div>
                                </div>             
                            </fieldset>
                            <br>
                            <div class="col-md-4 col-xl-4">
                                <button class="btn btn-primary FormSubmit"><i class="mdi mdi-plus-circle-outline"></i>Update</button>
                                <a href="<?php echo site_url('masters/Employee/listEmployee');?>"  class="btn btn-danger"><i class="fa fa-close"></i>Exit</a>
                            </div>
                        </div>
                        </form>
                        <!-- End Row -->
					</div>
                </div>

                <div id="StatutoryDetails" class="tabcontent">
                    <!-- Row -->
                    <div class="card">  
                        <form action="<?php echo site_url('masters/Employee/update_statuatory/'.$employee_id) ?>" method="post" enctype="multipart/form-data" name="update_statuatory" id="update_statuatory">              
                            <div class="card-body">
                                <div class="alert alert-danger errorStatuatory">
                                </div>
                                <?php
                                    if($this->session->flashdata("statutoryresponse")!='') {
                                        echo '<div class="alert alert-danger">' . $this->session->flashdata("statutoryresponse") . '</div>';
                                        $this->session->unset_userdata('statutoryresponse');
                                    }
                                ?>
                                <?php
                                    if($this->session->flashdata("statutorysuccess")!='') {
                                        echo '<div class="alert alert-success">' . $this->session->flashdata("statutorysuccess") . '</div>';
                                        $this->session->unset_userdata('statutorysuccess');
                                    }
                                ?> 
                                <fieldset style="border: 1px solid #cacaca;padding: 3px 10px 10px 10px;border-radius: 5px;">
                                <legend> Statutory Details </legend> 
                                <div class="row">
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> CPR Number <span class="mandi">*</span></label>
                                        <input type="text" class="form-control" name="cpr_number" id="cpr_number" value="<?php echo $cpr_number; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> CPR Expiry</label>
                                        <input type="text" class="form-control fc-datepicker" name="cpr_expiry" id="cpr_expiry" value="<?php echo $cpr_expiry; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Driving Licence No.</label>
                                        <input type="text" class="form-control" name="driving_licence_number" id="driving_licence_number" value="<?php echo $driving_licence_number; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Driving Licence Expiry</label>
                                        <input type="text" class="form-control fc-datepicker" name="driving_licence_expiry" id="driving_licence_expiry" value="<?php echo $driving_licence_expiry; ?>"  autocomplete="off"  >
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-xl-3" >
                                        <label class="form-label"> File Name</label>
                                        <input type="text" class="form-control" name="title" id="title" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3" >
                                        <label class="form-label"> Upload File</label>
                                        <input type="hidden" value="1" id="1010101010" name="xcount" />
                                        <input type="file" class="form-control" name="uploadImage1" id="uploadImage1" autocomplete="off">
                                    </div>
                                </div>
                                <div class="col-md-4 col-xl-4" style="clear: both;" >
                                    <button class="btn btn-primary FormSubmitStatuatory"><i class="mdi mdi-plus-circle-outline"></i>Update</button>
                                    <a href="<?php echo site_url('masters/Employee/listEmployee');?>"  class="btn btn-danger"><i class="fa fa-close"></i>Exit</a>
                                </div>
                            </div>
                        </form>
                        <?php if($statutory_files!=false){ ?>
                            <div style="padding: 3px 22px 10px 22px;">
                                <table class="table card-table" >
                                    <thead class="thead-secondary" >
                                        <tr>
                                            <th>Uploaded Files</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <?php foreach($statutory_files as $statutory_files) { ?>
                                        <tr>
                                            <td><?php echo $statutory_files['title']; ?> </td>
                                            <td><a class="btn btn-sm btn-primary"  title="View File" target="_blank"href="<?php echo base_url().'uploads/statutories/'.$statutory_files['employee_id'].'/'.$statutory_files['file_name']; ?>"><i class="fa fa-eye"></i> view</a>&nbsp;<a class="btn btn-sm btn-danger icon-remove" href="javascript:isDel('<?php echo $employee_id; ?>','<?php echo $statutory_files['file_id']; ?>');"><i class="fa fa-trash"></i> Delete</a></td>
                                        </tr>
                                    <?php } ?>
                                </table>
                            </div>
                        <?php } ?>
                    </div>
                </div>

                <div id="Passport" class="tabcontent">
                    <!-- Row -->
                    <div class="card">     
                        <form action="<?php echo site_url('masters/Employee/update_passport/'.$employee_id) ?>" method="post" enctype="multipart/form-data" name="update_passport" id="update_passport">           
                            <div class="card-body"> 
                                <div class="alert alert-danger errorPassport">
                                </div>
                                <?php
                                    if($this->session->flashdata("passportresponse")!='') {
                                        echo '<div class="alert alert-danger">' . $this->session->flashdata("passportresponse") . '</div>';
                                        $this->session->unset_userdata('passportresponse');
                                    }
                                ?>
                                <?php
                                    if($this->session->flashdata("passportsuccess")!='') {
                                        echo '<div class="alert alert-success">' . $this->session->flashdata("passportsuccess") . '</div>';
                                        $this->session->unset_userdata('passportsuccess');
                                    }
                                ?> 
                                <fieldset style="border: 1px solid #cacaca;padding: 3px 10px 10px 10px;border-radius: 5px;">
                                <legend> Passport & Visa Details </legend> 
                                <div class="row">
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Passport Number <span class="mandi">*</span></label>
                                        <input type="text" class="form-control" name="passport_no" id="passport_no" value="<?php echo $passport_number; ?>" autocomplete="off" required >
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Country of Issue</label>
                                        <?php  
                                            $js3 = 'id="country" class="form-control form-select select2" ';
                                            echo form_dropdown('country', $country_list,$country_of_issue,$js3);
                                        ?>
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Passport Issue Date.</label>
                                        <input type="text" class="form-control fc-datepicker" name="passport_issue_date" id="passport_issue_date" value="<?php echo $passport_issue_date; ?>" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Passport Expiry Date</label>
                                        <input type="text" class="form-control fc-datepicker" name="passport_expiry_date" id="passport_expiry_date" value="<?php echo $passport_expiry_date; ?>"  autocomplete="off"  >
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Visa Number</label>
                                        <input type="text" class="form-control" name="visa_no" id="visa_no" value="<?php echo $visa_number; ?>"  autocomplete="off"  >
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Visa Expiry Date</label>
                                        <input type="text" class="form-control fc-datepicker" name="visa_expiry_date" id="visa_expiry_date" value="<?php echo $visa_expiry_date; ?>" autocomplete="off"  >
                                    </div>
                                    <div class="form-group col-xl-3" >
                                        <label class="form-label"> File Name</label>
                                        <input type="text" class="form-control" name="passport_file_name" id="passport_file_name" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Upload File</label>
                                        <input type="hidden" value="1" id="1010" name="passport_count" />
                                        <input type="file" class="form-control" name="passport_file" id="passport_file" value="" autocomplete="off">
                                    </div>
                                </div>
                                <div class="col-md-4 col-xl-4">
                                    <button class="btn btn-primary FormSubmitPassport"><i class="mdi mdi-plus-circle-outline"></i>Update</button>
                                    <a href="<?php echo site_url('masters/Employee/listEmployee');?>"  class="btn btn-danger"><i class="fa fa-close"></i>Exit</a>
                                </div>
                            </div>
                        </form>
                        <?php if($passport_files!=false){ ?>
                            <div style="padding: 3px 22px 10px 22px;">
                                <table class="table card-table" >
                                    <thead class="thead-secondary" >
                                        <tr>
                                            <th>Uploaded Files</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <?php foreach($passport_files as $passport_files) { ?>
                                        <tr>
                                            <td><?php echo $passport_files['title']; ?> </td>
                                            <td><a class="btn btn-sm btn-primary"  title="View File" target="_blank"href="<?php echo base_url().'uploads/passport/'.$passport_files['employee_id'].'/'.$passport_files['file_name']; ?>"><i class="fa fa-eye"></i> view</a>&nbsp;<a class="btn btn-sm btn-danger icon-remove" href="javascript:isPassportFileDel('<?php echo $employee_id; ?>','<?php echo $passport_files['file_id']; ?>');"><i class="fa fa-trash"></i> Delete</a></td>
                                        </tr>
                                    <?php } ?>
                                </table>
                            </div>
                        <?php } ?>
                    </div>
                </div>

                <div id="Contract" class="tabcontent">
                    <!-- Row -->
                    <div class="card">    
                        <form action="<?php echo site_url('masters/Employee/update_contract/'.$employee_id) ?>" method="post" enctype="multipart/form-data" name="update_contract" id="update_contract" >            
                            <div class="card-body"> 
                                <div class="alert alert-danger errorContract">
                                </div>
                                <?php
                                    if($this->session->flashdata("contractresponse")!='') {
                                        echo '<div class="alert alert-danger">' . $this->session->flashdata("contractresponse") . '</div>';
                                        $this->session->unset_userdata('contractresponse');
                                    }
                                ?>
                                <?php
                                    if($this->session->flashdata("contractsuccess")!='') {
                                        echo '<div class="alert alert-success">' . $this->session->flashdata("contractsuccess") . '</div>';
                                        $this->session->unset_userdata('contractsuccess');
                                    }
                                ?> 
                                <fieldset style="border: 1px solid #cacaca;padding: 3px 10px 10px 10px;border-radius: 5px;">
                                <legend> Contract Details </legend> 
                                <div class="row">
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Contract Start Date <span class="mandi">*</span></label>
                                        <input type="text" class="form-control fc-datepicker" name="contract_start_date" id="contract_start_date" value="<?php echo $contract_start_date; ?>" required autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Contract Expiry Date <span class="mandi">*</span></label>
                                        <input type="text" class="form-control fc-datepicker" name="contract_expiry_date" id="contract_expiry_date" value="<?php echo $contract_expiry_date; ?>" required autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3" >
                                        <label class="form-label"> File Name</label>
                                        <input type="text" class="form-control" name="contract_file_name" id="contract_file_name" autocomplete="off">
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Upload File</label>
                                        <input type="hidden" value="1" id="101010" name="contract_count" />
                                        <input type="file" class="form-control" name="contract_file" id="contract_file" value="" autocomplete="off">
                                    </div>
                                </div>
                                <div class="col-md-4 col-xl-4">
                                    <button class="btn btn-primary FormSubmitContract"><i class="mdi mdi-plus-circle-outline"></i>Update</button>
                                    <a href="<?php echo site_url('masters/Employee/listEmployee');?>"  class="btn btn-danger"><i class="fa fa-close"></i>Exit</a>
                                </div>
                            </div>
                        </form>
                        <?php if($contract_files!=false){ ?>
                            <div style="padding: 3px 22px 10px 22px;">
                                <table class="table card-table"  >
                                    <thead class="thead-secondary" >
                                        <tr>
                                            <th>Uploaded Files</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <?php foreach($contract_files as $contract_files) { ?>
                                        <tr>
                                            <td><?php echo $contract_files['title']; ?> </td>
                                            <td><a class="btn btn-sm btn-primary" title="View File" target="_blank"href="<?php echo base_url().'uploads/contract/'.$contract_files['employee_id'].'/'.$contract_files['file_name']; ?>"><i class="fa fa-eye"></i> view</a>&nbsp;<a class="btn btn-sm btn-danger icon-remove" href="javascript:isContractFileDel('<?php echo $employee_id; ?>','<?php echo $contract_files['file_id']; ?>');"><i class="fa fa-trash"></i> Delete</a></td>
                                        </tr>
                                    <?php } ?>
                                </table>
                            </div>
                        <?php } ?>
                    </div>
                </div>
                <div id="Salary" class="tabcontent">
                    <!-- Row -->
                    <div class="card">               
                        <div class="card-body"> 
                            <fieldset style="border: 1px solid #cacaca;padding: 3px 10px 10px 10px;border-radius: 5px;">
                            <legend> Salary Details </legend> 
                            <div class="row">
                                <div class="form-group col-xl-3">
                                    <label class="form-label"> Basic Salary</label>
                                    <input type="text" class="form-control brand_name" name="brand_name" id="brand_name" value="" autocomplete="off">
                                </div>
                                <div class="form-group col-xl-3">
                                    <label class="form-label"> Deduction</label>
                                    <input type="text" class="form-control brand_name" name="brand_name" id="brand_name" value="" autocomplete="off">
                                </div>
                                <div class="form-group col-xl-3">
                                    <label class="form-label"> Other Overhead.</label>
                                    <input type="text" class="form-control brand_name" name="brand_name" id="brand_name" value="" autocomplete="off">
                                </div>
                            </div>
                            
                            <div class="col-md-4 col-xl-4">
                                <button class="btn btn-primary"><i class="mdi mdi-plus-circle-outline"></i>Save</button>
                                <a href="<?php echo site_url('masters/Employee/listEmployee');?>"  class="btn btn-danger"><i class="fa fa-close"></i>Exit</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="Notes" class="tabcontent">
                    <!-- Row -->
                    <div class="card">   
                        <form action="<?php echo site_url('masters/Employee/update_notes/'.$employee_id) ?>" method="post" enctype="multipart/form-data" name="update_notes" id="update_notes"  >           
                            <div class="card-body"> 
                                <div class="alert alert-danger errorNotes">
                                </div>
                                <?php
                                    if($this->session->flashdata("notesresponse")!='') {
                                        echo '<div class="alert alert-danger">' . $this->session->flashdata("notesresponse") . '</div>';
                                        $this->session->unset_userdata('notesresponse');
                                    }
                                ?>
                                <?php
                                    if($this->session->flashdata("notessuccess")!='') {
                                        echo '<div class="alert alert-success">' . $this->session->flashdata("notessuccess") . '</div>';
                                        $this->session->unset_userdata('notessuccess');
                                    }
                                ?> 
                                <fieldset style="border: 1px solid #cacaca;padding: 3px 10px 10px 10px;border-radius: 5px;">
                                <legend> Notes </legend> 
                                <div class="row">
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Notes 1 <span class="mandi">*</span></label>
                                        <textarea type="text" class="form-control" name="note_1" id="note_1" autocomplete="off" rows="5" ><?php echo $note_1; ?></textarea>
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Notes 2</label>
                                        <textarea type="text" class="form-control" name="note_2" id="note_2" autocomplete="off" rows="5" ><?php echo $note_2; ?></textarea>
                                    </div>
                                    <div class="form-group col-xl-3">
                                        <label class="form-label"> Notes 3</label>
                                        <textarea type="text" class="form-control" name="note_3" id="note_3" autocomplete="off" rows="5" ><?php echo $note_3; ?></textarea>
                                    </div>
                                </div>
                                <div class="col-md-4 col-xl-4">
                                    <button class="btn btn-primary FormSubmitNotes"><i class="mdi mdi-plus-circle-outline"></i>Update</button>
                                    <a href="<?php echo site_url('masters/Employee/listEmployee');?>"  class="btn btn-danger"><i class="fa fa-close"></i>Exit</a>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/spectrum.js"></script>
	<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>
    <script type="text/javascript">
       
        jQuery(function($) {
            $('.fc-datepicker').datepicker({
                dateFormat: 'dd-mm-yy',
                autoclose: true,
                todayHighlight: true
            });
        });
        
        jQuery(function($) {
            $('.dateofbirth').datepicker({
                dateFormat: 'dd-mm-yy',
                autoclose: true,
                maxDate:0,
                todayHighlight: true
            });
        });
    </script>

    <script>
        function openCity(evt, cityName) {
        var i, tabcontent, tablinks;
        tabcontent = document.getElementsByClassName("tabcontent");
        for (i = 0; i < tabcontent.length; i++) {
            tabcontent[i].style.display = "none";
        }
        tablinks = document.getElementsByClassName("tablinks");
        for (i = 0; i < tablinks.length; i++) {
            tablinks[i].className = tablinks[i].className.replace(" active", "");
        }
        document.getElementById(cityName).style.display = "block";
        evt.currentTarget.className += " active";
        }

        // Get the element with id="defaultOpen" and click on it
        document.getElementById("defaultOpen").click();
    </script>
    <script type="text/javascript">
        function _add_more() {
            var nm = Number($("#1010101010").val())+1;
            $("#1010101010").val(nm);
            $("#dvFile").append('<div class="form-group col-xl-3" style="float: left;" ><label class="form-label"> Upload File '+nm+'</label><input id="uploadImage'+nm+'" name="uploadImage'+nm+'" type="file" class="form-control"></div>');
        }
    
    </script>
    <script type="text/javascript">
    function isDel(employee_id,file_id){
        $('body').removeClass('timer-alert');
        swal({
                title: "Alert",
                text: "Are you sure you want to delete??",
                type: "warning",
                showCancelButton: true,
                confirmButtonText: 'Yes',
                cancelButtonText: 'Cancel'
            },
            function(isConfirm){
            if (isConfirm) {
                document.location.href="<?php echo site_url('masters/Employee/statutory_delete_file'); ?>/"+employee_id+"/"+file_id;
            } else {
                swal("Cancelled", "Something went wrong :)", "error");
            }
        });
    }
    function isPassportFileDel(employee_id,file_id){
        $('body').removeClass('timer-alert');
        swal({
                title: "Alert",
                text: "Are you sure you want to delete??",
                type: "warning",
                showCancelButton: true,
                confirmButtonText: 'Yes',
                cancelButtonText: 'Cancel'
            },
            function(isConfirm){
            if (isConfirm) {
                document.location.href="<?php echo site_url('masters/Employee/passport_delete_file'); ?>/"+employee_id+"/"+file_id;
            } else {
                swal("Cancelled", "Something went wrong :)", "error");
            }
        });
    }
    function isContractFileDel(employee_id,file_id){
        $('body').removeClass('timer-alert');
        swal({
                title: "Alert",
                text: "Are you sure you want to delete??",
                type: "warning",
                showCancelButton: true,
                confirmButtonText: 'Yes',
                cancelButtonText: 'Cancel'
            },
            function(isConfirm){
            if (isConfirm) {
                document.location.href="<?php echo site_url('masters/Employee/contract_delete_file'); ?>/"+employee_id+"/"+file_id;
            } else {
                swal("Cancelled", "Something went wrong :)", "error");
            }
        });
    }

    $(".FormSubmit").on("click", function(){
        $('.alert').hide();
        $(this).val('Please wait ...').attr('disabled','disabled');
        if($('#employee_name').val()===''){
            $('.errorNb').html('Employee Name is required');
            $('.errorNb').show();
            $(this).val('Update').attr('disabled',false);
            //window.scrollTo(0,0);
            return false;
        }
        
        if($('#employee_number').val()===''){
            $('.errorNb').html('Employee Number is required');
            $('.errorNb').show();
            $(this).val('Update').attr('disabled',false);
            //window.scrollTo(0,0);
            return false;
        }

        if($('#employee_department_id').val()===''){
            $('.errorNb').html('Department is required');
            $('.errorNb').show();
            $(this).val('Update').attr('disabled',false);
            //window.scrollTo(0,0);
            return false;
        }
        
        $('#general_info').submit();
    });

    $(".FormSubmitStatuatory").on("click", function(){
        $('.alert').hide();
        $(this).val('Please wait ...').attr('disabled','disabled');
        if($('#cpr_number').val()===''){
            $('.errorStatuatory').html('CPR Number is required');
            $('.errorStatuatory').show();
            $(this).val('Update').attr('disabled',false);
            //window.scrollTo(0,0);
            return false;
        }
        
        if($('#uploadImage1').val()!==''){
            if($('#title').val()===''){
                $('.errorStatuatory').html('File Name is required');
                $('.errorStatuatory').show();
                $(this).val('Update').attr('disabled',false);
                //window.scrollTo(0,0);
                return false;
            }
        } 
        $('#update_statuatory').submit();
    });
    $(".FormSubmitPassport").on("click", function(){
        $('.alert').hide();
        $(this).val('Please wait ...').attr('disabled','disabled');
        if($('#passport_no').val()===''){
            $('.errorPassport').html('Passport Number is required');
            $('.errorPassport').show();
            $(this).val('Update').attr('disabled',false);
            //window.scrollTo(0,0);
            return false;
        }
        
        if($('#passport_file').val()!==''){
            if($('#passport_file_name').val()===''){
                $('.errorPassport').html('File Name is required');
                $('.errorPassport').show();
                $(this).val('Update').attr('disabled',false);
                //window.scrollTo(0,0);
                return false;
            }
        } 
        $('#update_passport').submit();
    });
    $(".FormSubmitContract").on("click", function(){
        $('.alert').hide();
        $(this).val('Please wait ...').attr('disabled','disabled');
        if($('#contract_start_date').val()===''){
            $('.errorContract').html('Passport Number is required');
            $('.errorContract').show();
            $(this).val('Update').attr('disabled',false);
            //window.scrollTo(0,0);
            return false;
        }
        if($('#contract_expiry_date').val()===''){
            $('.errorContract').html('Passport Number is required');
            $('.errorContract').show();
            $(this).val('Update').attr('disabled',false);
            //window.scrollTo(0,0);
            return false;
        }
        
        if($('#contract_file').val()!==''){
            if($('#contract_file_name').val()===''){
                $('.errorContract').html('File Name is required');
                $('.errorContract').show();
                $(this).val('Update').attr('disabled',false);
                //window.scrollTo(0,0);
                return false;
            }
        } 
        $('#update_contract').submit();
    });
    $(".FormSubmitNotes").on("click", function(){
        $('.alert').hide();
        $(this).val('Please wait ...').attr('disabled','disabled');
        if($('#note_1').val()===''){
            $('.errorNotes').html('Notes 1 is required');
            $('.errorNotes').show();
            $(this).val('Update').attr('disabled',false);
            //window.scrollTo(0,0);
            return false;
        }
        $('#update_notes').submit();
    });
    </script>

<script src="<?php echo base_url(); ?>/admincss/plugins/fileuploads/js/fileupload.js"></script>
<script src="<?php echo base_url(); ?>/admincss/plugins/fileuploads/js/file-upload.js"></script>