

	<!--app-content open-->
	<div class="app-content main-content">
		<div class="side-app">
			<div class="main-container">
				<!-- PAGE-HEADER -->
				<div class="page-header">
					<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
						<h1 class="page-title">Bank reconciliation</h1>
                    </div>
					<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
                        <div class="float-sm-end float-none my-1">
							<a id="add__new__list" type="button" class="btn btn-md btn-primary " data-bs-target=".bd-example-modal-lg" href="<?php echo site_url('masters/Brand');?>"><i class="fa fa-list"></i> List</a>
						</div>
                    </div>
				</div>
			</div>
			<!-- PAGE-HEADER END -->
			<!-- ROW-1 -->
			<form id="user_groups" name="user_groups" class="form-horizontal" method="post" action="<?php echo site_url('Bank_reconciliation/update');?>">
				<div class="row">
					<div class="col-md-12">
						<div class="card">
							<?php if($this->session->flashdata("response")!='' or validation_errors()!=''){ ?><div class="alert alert-danger"><?php echo $this->session->flashdata('response'); ?></div><?php } ?>
							<div class="card-header">
								<h3 class="mb-0 card-title">Bank reconciliation</h3>
							</div>
							<div class="card-body">
								<div class="row">
									<div class="col-md-8">
										<div class="mb-4">
											<label class="form-label">Date</label>
											<input type="text" name="fromDate" id="fromDate" class="form-control maxDateCurrent col-md-4" placeholder="Date" value="" autocomplete="off" required />
										</div>
										<div class="mb-4">
											<label class="form-label">Select Bank</label>
											<?php echo form_dropdown('bank_id', $bank_list, $this->input->post('bank_id'),'class="form-control form-select select2 col-md-4" id="bank_id" '); ?>
										</div>
										<div class="mb-4">
											<label class="form-label"><b>Balance as per Bank : <span class="opening_brs" >0</span></b></label>
										</div>
										<div class="mb-4">
											<table class="table table-bordered">
												<thead>
													<tr>
														<th>No</th>
														<th>Date</th>
														<th>Transactions</th>
														<th>Type</th>
														<th>Cr Amount</th>
														<th>Dr Amount</th>
														<th>Bank Date</th>
													</tr>
												</thead>
												<tbody id="bank_reconciliation" >
													
												</tbody>
											</table>
										</div>
										<div class="mb-4">
											<button type="submit" class="btn btn-secondary">Save and continue</button>
											<!-- <a href="<?php echo site_url('masters/Brand'); ?>" class="btn btn-danger">Exit</a></div> -->
									</div>
								</div>
							</div>
						</div>
					</div>
				</div><!-- COL END -->
				<!-- ROW-1 CLOSED -->
			</form>
		</div>
	</div>
</div>
<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>
<script>
	$( function() {
		$("html").on("change focusout","#fromDate",function(){
			$("#bank_id").val('');
			$("#bank_reconciliation").html('');
			$(".opening_brs").html(0);
		});
		
		$("html").on("change","#bank_id",function(){
			var fromDate=$("#fromDate").val();
			if(fromDate===''){
				alert('Please select date');
				$(this).val('');
				return false;
			}
			var bank_id=$(this).val();
			$.ajax({
				type: "POST",
				url: "<?php echo site_url('Bank_reconciliation/get_balance'); ?>",
				data: {bank_id:bank_id,fromDate:fromDate},
				dataType: 'json',
				success: function(data){
					$("#bank_reconciliation").html(data.html);
					if(data.total==NULL){
						$(".opening_brs").html(0);
					} else {
						$(".opening_brs").html(data.total);
					}
				}
			});
		});
		$("html").on("change focusout",".bank_date",function(){
			var inst_date_str = $(this).closest('tr').find('.inst_date').val();
			var inst_date_parts = inst_date_str.split('-');
			var inst_date = new Date(inst_date_parts[2], inst_date_parts[1] - 1, inst_date_parts[0]);

			var bank_date_str = $(this).val();
			var bank_date_parts = bank_date_str.split('-');
			var bank_date = new Date(bank_date_parts[2], bank_date_parts[1] - 1, bank_date_parts[0]);
			if(inst_date>bank_date){
				$(this).val("");
				alert('Please choose correct date');
				return false;
			}
			var not_reflected=0;
			var balance=Number($(".opening_brs").html());
			$('.bank_date').each(function () {
				var date = $(this).val();
				if(date!= ""){
					var amount=Number($(this).closest('tr').find('.bank_amount').val());
					balance=balance+amount;
				} else {
					not_reflected++;
				}
			});
			$('.not_reflected').html(not_reflected);
			$('.balance').html(balance.toFixed(3));
		});
		/* $("html").on("focusout",".bank_date",function(){
			var inst_date_str = $(this).closest('tr').find('.inst_date').val();
			var inst_date_parts = inst_date_str.split('-');
			var inst_date = new Date(inst_date_parts[2], inst_date_parts[1] - 1, inst_date_parts[0]);

			var bank_date_str = $(this).val();
			var bank_date_parts = bank_date_str.split('-');
			var bank_date = new Date(bank_date_parts[2], bank_date_parts[1] - 1, bank_date_parts[0]);
			
			if(inst_date>bank_date){
				$(this).val("");
				alert('Please choose correct date');
				return false;
			}
			var balance=Number($(".opening_brs").html());
			var not_reflected=0;
			$('.bank_date').each(function () {
				var date = $(this).val();
				if(date!= ""){
					var amount=Number($(this).closest('tr').find('.bank_amount').val());
					balance=balance+amount;
				} else {
					not_reflected++;
				}
			});
			$('.not_reflected').html(not_reflected);
			$('.balance').html(balance.toFixed(3));
		}); */
	});
</script>
