

	<style>
		.client_result {
			border: 1px solid #d2d6de;
			position: absolute;
			width: 347px;
			height: auto;
			background-color: #fff;
			z-index: 100;
			margin-top: 0px;
			border-radius: 3px;
			display: none;
		}
		.clientList {
			margin:0px;
		}
		.clientList li {
			color: #000000;
			padding: 0;
			padding-left: 8px;
			height: 30px;
			padding-top: 4px;
			cursor:pointer;
			font-weight:600;
			list-style-type: none;
		}
		.clientList li:hover {
			background:#CCCCCC;
		}
		.nbactive{
			background-color:#D6D6D6;
		}
		div.dt-buttons {
			float: right;
			padding-left: 15px;
			padding-right: 15px;
		}
		.dataTables_length {
			position: absolute;
		}
		.card_padding_top {
			padding-top: 5px;
		}
	</style>
	<!--app-content open-->
	<div class="app-content main-content">
		<div class="side-app">
			<div class="main-container">
				<!-- PAGE-HEADER -->
				<div class="page-header">
					<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
						<h1 class="page-title">Project Outstanding</h1>
					</div>
					<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
						<div class="float-sm-end float-none my-1">
						</div>
					</div>
				</div>
			</div>
			<!-- PAGE-HEADER END -->

			<!-- ROW-1 -->
			<div class="row">
				<div class="col-md-12 col-lg-12">
					<form id="quotation_report" name="quotation_report" class="form-horizontal" method="post" action="<?php echo site_url('Billoutsatanding/blist');?>">
						<div class="card">
							<div class="card-body">
								<div class="form-row">
									<div class="form-group col-md-2 mb-0">
										<div class="form-group">
										<?php echo form_dropdown('division', $company_division, $nbcompany_divisionslist,' id="division" class="form-control"  '); ?>
										</div>
									</div>
									<div class="form-group col-md-2 mb-0">
										<div class="form-group">
										<input type="text" name="fromDate" id="fromDate" class='form-control fromDate' placeholder="Date" value="<?php echo $this->input->post('fromDate') ;?>" autocomplete="off" /> 
										</div>
									</div>
									<div class="form-group col-md-2 mb-0">
										<div class="form-group">
											<input type="text" class="form-control client" name="client" id="client" placeholder="Client Name" value="<?php echo $this->input->post('client'); ?>" autocomplete="off" >
											<input type="hidden" id="client_id" class="form-control client_id" name="client_id"  value="<?php echo $this->input->post('client_id'); ?>" />
											<input type="hidden" id="client_code" class="form-control client_code" name="client_code"  value="<?php echo $this->input->post('client_code'); ?>" />
											<div class="client_result">
												<ul class="clientList unstyled" >
												</ul>
											</div>
										</div>
									</div>
									<div class="form-group col-md-2 mb-0">
										<div class="form-group">
										<?php echo form_dropdown('user_id', $users, $nbuser_id,' id="division" class="form-control"  '); ?>
										</div>
									</div>
								
							<div class="col-md-1 mb-0">
								<div class="form-group">
									<button class="btn btn-primary" type="submit" name="ttttt" ><i class="fe fe-search"></i></button>
								</div>
							</div>
						</div>
					</form>
					<div class="table-responsive col-md-12">
						<?php
							if($this->session->flashdata("response")!='') {
								echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
								$this->session->unset_userdata('response');
							}
						?>
						<?php
							if($this->session->flashdata("success")!='') {
								echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
								$this->session->unset_userdata('success');
							}
						?>
						<table id="billoutstanding" class="table card-table table-vcenter text-nowrap">
							<thead class="thead-light" >
								<tr>
									<th>Job No</th>
									<th>Qtn No</th>
									<th>Job Date</th>
									<th>Client</th>
									<th style="text-align:right !important">Job Amt</th>
									<th style="text-align:right !important">Inv Amt</th>
									<th style="text-align:right !important">Paid Amt</th>
									<th style="text-align:right !important">Cr Amt</th>
									<th style="text-align:right !important">Uninv Amt</th>
									<th style="text-align:right !important">Balance</th>
									<th style="text-align:left !important">Sales Man</th>
								</tr>
							</thead>
							<tbody>
							<?php echo $data;?>		
							</tbody>
						</table>
					</div>
					<!-- table-responsive -->
				</div>
			</div>
		</div>
		<!-- ROW-1 CLOSED -->

				</div>
			</div>
		</div>
		<!-- ROW-4 CLOSED -->
	</div>
</div>
<!-- CONTAINER CLOSED -->
</div>
<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/spectrum.js"></script>
<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>
<script src="<?php echo base_url(); ?>/admincss/plugins/input-mask/jquery.maskedinput.js"></script>
<script type="text/javascript">

$(function(e) {
	$('#billoutstanding').DataTable({
		"paging": true,
		"processing": true,
		"scrollCollapse": true,
		"order": [[0, 'desc']],
		"iDisplayLength": 100,
		"lengthMenu": [ [100, 150, 200, -1], [100, 150, 200, "All"] ],
        "info": true,
		dom: 'lBfrtip',
        buttons: [
            { extend: 'copyHtml5',title: '',text: 'Copy',header: false, text:'<i class="fa fa-copy"></i>',titleAttr: 'Copy', className: 'btn-primary' },
			{ extend: 'excelHtml5',title: 'Equiry Data',filename: function(){ var today = new Date();var n = today.getTime();return 'BilloutstandingExcelExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Excel', text:'<i class="fa fa-file-excel-o"></i>',titleAttr: 'Excel', className: 'btn-success' },
			{ extend: 'print',title: 'Equiry Data',filename: function(){ var today = new Date();var n = today.getTime();return 'BilloutstandingPrintExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Print', text:'<i class="fa fa-print"></i>',titleAttr: 'Print', className: 'btn-warning' },
		]
	});
	$('.select2').select2({
		minimumResultsForSearch: Infinity
	});
});

	$("html").on("keyup",".client",function(){
        if($('#division_id').val()===''){
            alert('Please Select Division');
            $('.client_id').val('');
            return false;
        }
	    var client	=	$(this).val();
        if(client===''){
            $(".client_result").css('display','none'); 
        }
	    $('.client_id').val('');
	    $('.client_address').val('');
        $("#prospect_name").val('');
        $('#prospect_name').attr('readonly', false);
		$(".client_id").val('');
		$("#phone").val('');
        $("#email").val('');
        $(".cname").html('');
        $(".cphone").html('');
        $(".cemail").html('');
        $(".caddress").html('');
        $(".cperson").html('');
        $(".tax_name").html('');
        $(".tax_no").html('');
        var html='<option value="" selected="selected"> - Select Contact Person- </option>';
        $('#contact_person').prop('type', 'text');
        $('#client_contact').html(html);
        $('.nbselect').hide();
        $("#contact_person").val('');
	if (client==''){
		$(this).val("");
		return false;
	} else {
		$.ajax({
				url:"<?php echo site_url("furniture/Enquiry/search_client")?>" , 
				type: "POST" ,
				data: {client	: client} ,
				success: function(data){
					$(".client_result").css('display','block');
					$(".clientList").html(data);
					client_button();
					$('.client').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.clientList').on('focus', 'li', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.clientList').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'li', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('li').first().focus();
						}
					});
					$(".clientList li").keypress(function (e) {
						if (e.keyCode == 13) {
                            $(".client_result").css('display','none');
         					var client_id	=	($(this).attr('value'));
                            var client_name = $(this).closest("li").find(".client_name").val();
							var client_code = $(this).closest("li").find(".client_code").val();
                            $('.nbselect').show();
                            $(".client").val(client_name);
                            $(".client_id").val(client_id);
							$(".client_code").val(client_code);
						}
					 });
				},
				error: function(){
						$("#errorMsg").html('Connection Error......');
						$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
	}
	
});
function client_button() {
    $(".client_button").click(function() {
		$(".client_result").css('display','none');
        var client_id	=	($(this).attr('value'));
		var client_name = $(this).closest("li").find(".client_name").val();
		var client_code = $(this).closest("li").find(".client_code").val();
        $('.nbselect').show();
        $(".client").val(client_name);
        $(".client_id").val(client_id);
		$(".client_code").val(client_code);
    });
	$(".no_result_button").click(function() {
		$(".client_result").css('display','none');
        $(".client").val('');
         $("#prospect_name").val('');
         $('#prospect_name').attr('readonly', false);
		 $(".client_id").val('');
		 $("#phone").val('');
         $("#email").val('');
         $(".cname").html('');
         $(".cphone").html('');
         $(".cemail").html('');
         $(".caddress").html('');
         $(".cperson").html('');
         $(".tax_name").html('');
         $(".tax_no").html('');
         var html='<option value="" selected="selected"> - Select Contact Person- </option>';
        $('#client_contact').html(html);
        $('.nbselect').hide();
        $('#contact_person').prop('type', 'text');
	});
}
		
</script>