
<style>
.thead-secondary th {
    background:#6A7980 !important;
    color:#FFFFFF !important;
}
legend {
    
    text-align: left;
    margin-top: -13px;
    margin-left: 27px;
    background: #fff;
    width: auto;
    font-size: 15px;
    padding-left: 9px;
    padding-right: 9px;
}
div.dt-buttons {
	float: right;
	padding-left: 15px;
    padding-right: 15px;
}
.dataTables_length {
	position: absolute;
}
.card_padding_top {
	padding-top: 5px;
}
.showTr {
    display: none;
}
.selected{
    background-color: #AEF1B3 !important;
    color: #122744;
}
[role="menu"] {
  clear:both;
  position:absolute;
  z-index: 1;
}
.buttons-columnVisibility{
	background-color: #bbbdc0;
	background: linear-gradient(to bottom, #f0f0f0 0%, #dadada 100%);
	box-shadow: inset 1px 1px 3px #666;
	width:200px;
	text-align:left;
	padding:5px;
}
.dt-down-arrow{
	display: none;
}
</style>
	<!--app-content open-->
	<div class="app-content main-content">
		<div class="side-app">
			<div class="main-container">
				<!-- PAGE-HEADER -->
				<div class="page-header">
					<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
						<h1 class="page-title">Job Material Requirement</h1>
					</div>
					<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
                        <div class="float-sm-end float-none my-1">
                            <a id="add__new__list" type="button" class="btn btn-md btn-primary createPurchaseRequest" ref=""><i class="fa fa-plus"></i> Create Purchase Request</a>				
					    </div>
					</div>
				</div>
			</div>
			<!-- PAGE-HEADER END -->

			<!-- ROW-1 -->
			<div class="row">
				<div class="col-md-12 col-lg-12">
                    <form class="form-horizontal" method="post" action="<?php echo site_url('furniture/PurchaseRequest/create_pr');?>" >
						<div class="card">
							<div class="card-body">
							</div>
                            <div class="col-md-12">
                                <?php
                                    if($this->session->flashdata("response")!='') {
                                        echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
                                        $this->session->unset_userdata('response');
                                    }
                                ?>
                                <?php
                                    if($this->session->flashdata("success")!='') {
                                        echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
                                        $this->session->unset_userdata('success');
                                    }
                                ?>
                                <table id="job_mat_data" class="table card-table" >
                                    <thead class="thead-secondary">
                                        <tr>
                                            <th>Stock Category</th>
                                            <th>Stock Group</th>
                                            <th>Brand</th>
                                            <th>Item Name</th>
                                            <th>Closing Stock</th>
                                            <th>Orders</th>
                                            <th>Mat Issued</th>
                                            <th>PO</th>
                                            <th>Req Qty</th>
                                            <th><input type="checkbox" class="selectAll showTr" id="" name="selectAll" value="1" /></th>
                                        </tr>
                                    </thead>
                                    <?php 
                                        $count=0;
                                        if($invoice_list!=false) { 
                                            foreach($invoice_list as $records) { $count++;
                                    ?>
                                    <tr>
                                        <td>
                                            <?php 
                                                $job_card_id  = $records['id']; 
                                                $item_id      = $records['item_id']; 
                                                $this->db->select('main_category.category_name');
                                                $this->db->from('items');
                                                $this->db->join('main_category','items.main_category = main_category.id','left');
                                                $this->db->join('stock_group','items.stock_group_id = stock_group.id','left');
                                                $this->db->where('items.id', $item_id);
                                                $query = $this->db->get();
                                                $itemsData=$query->row_array();
                                                if($itemsData!=false){
                                                    echo $itemsData['category_name'];
                                                }
                                            ?>
                                        </td>
                                        <td>
                                            <?php 
                                                $this->db->select('stock_group.stock_group_name');
                                                $this->db->from('items');
                                                $this->db->join('stock_group','items.stock_group_id = stock_group.id','left');
                                                $this->db->where('items.id', $item_id);
                                                $query = $this->db->get();
                                                $itemsData2=$query->row_array();
                                                if($itemsData2!=false){
                                                    echo $itemsData2['stock_group_name'];
                                                }
                                            ?>
                                        </td>
                                        <td>
                                            <?php 
                                                $this->db->select('furniture_brands.brand_name');
                                                $this->db->from('items');
                                                $this->db->join('furniture_brands','items.brand_id = furniture_brands.brand_id','left');
                                                $this->db->where('items.id', $item_id);
                                                $query = $this->db->get();
                                                $itemsData3=$query->row_array();
                                                if($itemsData3!=false){
                                                    echo $itemsData3['brand_name'];
                                                }
                                            ?>
                                        </td>
                                        <td><?php echo $records['item_name']; ?></td>
                                        <td>
                                            <?php 
                                                
                                                $this->db->select('sum(item_qty) as closing_stock');
                                                $this->db->from('item_trans');
                                                $this->db->where('item_id', $item_id);
                                                $query = $this->db->get();
                                                $closingStockData=$query->row_array();
                                                $closing_stock=0;
                                                if($closingStockData!=false){
                                                    if($closingStockData['closing_stock']!=NULL){
                                                        $closing_stock=$closingStockData['closing_stock'];
                                                        echo $closingStockData['closing_stock'];
                                                    } else {
                                                        echo 0;
                                                    }
                                                } else {
                                                    echo 0;
                                                }
                                            ?>
                                        </td>
                                        <td><?php echo $records['material_qty']; ?></td>
                                        <td>
                                            <?php 
                                                $this->db->select('MIH.mi_code,sum(MIB.item_qty) as issued_qty');
                                                $this->db->from('material_issue_h AS MIH');
                                                $this->db->join('material_issue_b AS MIB','MIH.mi_id = MIB.mi_id','inner');
                                                $this->db->join('job_card AS JC','MIH.job_id = JC.id','inner');
                                                //$this->db->where('MIH.job_id', $job_card_id);
                                                $this->db->where('MIB.item_details_id', $item_id);
                                                $this->db->where('JC.job_card_status', 'Draft');
                                                $query4 = $this->db->get();
                                                $matData=$query4->row_array();
                                                $issued_qty=0;
                                                if($matData!=false){
                                                    if($matData['issued_qty']!=NULL){
                                                        $issued_qty=$matData['issued_qty'];
                                                        echo $matData['issued_qty'];
                                                    } else {
                                                        echo 0;
                                                    }
                                                } else {
                                                    echo 0;
                                                }
                                            ?>
                                        </td>
                                        <td>
                                            <?php 
                                                $job_card_id  =   $records['id']; 
                                                $item_id  =   $records['item_id'];
                                                $this->db->select('sum(PO.item_qty)-sum(B.item_qty) as po_qty,pur_det_id');
                                                $this->db->from('po_h PH');
                                                $this->db->join('po_b PO','PH.po_id = PO.po_id','LEFT');
                                                $this->db->join('purchase_b AS B','PO.po_b_id = B.po_b_id','LEFT');
                                            // $this->db->where('PH.job_id', $job_card_id);
                                                $this->db->where('PH.status!=', 'Cancel');
                                                $this->db->where('PO.item_details_id', $item_id);
                                                $query2 = $this->db->get();
                                                $poData=$query2->row_array();
                                                $po_qty=0;
                                                if($poData!=false){
                                                    if($poData['po_qty']!=NULL){
                                                        $po_qty=$poData['po_qty'];
                                                        echo $poData['po_qty'];
                                                    } else {
                                                        echo 0;
                                                    }
                                                } else {
                                                    echo 0;
                                                }
                                            ?>
                                        </td>
                                        <td><?php $req_qty  =   $closing_stock-$records['material_qty']+$issued_qty+$po_qty; if($req_qty<0){ echo $req_qty*-1; } else { echo '--'; } ?></td>
                                        <td ><input type="checkbox" class="item_id showTr" id="item_id<?php echo $count;?>" name="item_id<?php echo $count;?>" value="<?php echo $item_id; ?>" /><input type="hidden" class="closing_stock" id="closing_stock<?php echo $count;?>" name="closing_stock<?php echo $count;?>" value="<?php echo $closing_stock; ?>" /><input type="hidden" class="req_qty" id="req_qty<?php echo $count;?>" name="req_qty<?php echo $count;?>" value="<?php if($req_qty<0){ echo $req_qty*-1; } else { 0; }; ?>" /></td>
                                    </tr>
                                    <?php } } ?>
                                </table>
                                <div class="col-md-1 mb-0">
                                    <div class="form-group">	
                                        <input type="hidden" class="total_count" id="total_count" name="total_count" value="<?php echo $count; ?>" />
                                        <input type="hidden" class="job_card_id" id="job_card_id" name="job_card_id" value="" />
                                        <input type="hidden" class="job_number" id="job_number" name="job_number" value="" />
                                        <input type="hidden" class="division_id" id="division_id" name="division_id" value="1" />
                                        <button type="submit" class="btn btn-primary mt-4 mb-0 showTr FormSubmit" >SUBMIT</button>	
                                    </div>
                                </div>		
                            </div>
                        </div>
                    </div>
                </div>
            </div>
	
    <script type="text/javascript">
        $(function(e) {
            $('#job_mat_data').DataTable({
                "paging": true,
                "processing": true,
                "scrollCollapse": true,
                "ordering": true,
                "iDisplayLength": 100,
                "columnDefs": [
                    { "visible": false, "targets": [0], className: 'hidden' },
                    { "visible": false, "targets": [1], className: 'hidden' },
                    { "visible": false, "targets": [2], className: 'hidden' }
                ],
                "lengthMenu": [ [100, 150, 200, -1], [100, 150, 200, "All"] ],
                "info": true,
                dom: 'lBfrtip',
                buttons: [
                    { extend: 'copyHtml5',title: '',text: 'Copy',header: false, text:'<i class="fa fa-copy"></i>',titleAttr: 'Copy', className: 'btn-primary' },
                    { extend: 'excelHtml5',title: 'Job Material Requirement',filename: function(){ var today = new Date();var n = today.getTime();return 'JobMaterialRequirementExcelExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Excel', text:'<i class="fa fa-file-excel-o"></i>',titleAttr: 'Excel', className: 'btn-success' },
                    { extend: 'print',title: 'Job Material Requirement',filename: function(){ var today = new Date();var n = today.getTime();return 'JobMaterialRequirementPrintExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Print', text:'<i class="fa fa-print"></i>',titleAttr: 'Print', className: 'btn-warning' },
                    { extend:'colvis', text:'<i class="fa fa-angle-double-down"></i>',titleAttr: 'Column visibility', className: 'btn-gray'},
                ]
            });
            
            // Select2 { extend: 'csvHtml5',text: 'CSV',header: false, text:'<i class="fa fa-file-pdf-o"></i>',titleAttr: 'CSV', className: 'btn-warning' },
            //{ extend: 'colvis',title: '',filename: 'fileName',text: 'Pdf', text:'<i class="fa fa-file-pdf-o"></i>',titleAttr: 'Pdf', className: 'btn-warning' },
            $('.select2').select2({
                minimumResultsForSearch: Infinity
            });
        });
        $('.item_id').click(function(){
            $(this).closest('tr')[this.checked ? 'addClass' : 'removeClass']('selected');
        });	
        $('.selectAll').click(function(){
            $('table tr')[this.checked ? 'addClass' : 'removeClass']('selected');
            $('input:checkbox').not(this).prop('checked', this.checked);
        });	
        $('.createPurchaseRequest').click(function(){
            $('.showTr').css('display','block');
        });	
    </script>
