

    <!--app-content open-->
	<div class="app-content main-content">
		<div class="side-app">
			<div class="main-container">
				<!-- PAGE-HEADER -->
				<div class="page-header">
					<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
						<h1 class="page-title">Vendor List</h1>
					</div>
					<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
						<div class="float-sm-end float-none my-1">
							<a id="add__new__list" type="button" class="btn btn-md btn-primary " data-bs-target=".bd-example-modal-lg" href="<?php echo site_url('Supplier_master/create');?>"><i class="fa fa-plus"></i> Add a new Vendor</a>
						</div>
					</div>
				</div>
			</div>
			<!-- PAGE-HEADER END -->
			<form id="data-form" class="form-search" method="post" enctype="multipart/form-data" action="<?php echo site_url('Supplier_master/search_client');?>">
				<div class="card">
                    <div class="card-body">
						<div class="form-row">
                            <div class="form-group col-md-4 mb-0">
                                <div class="form-group">
                                    <input type="text" class="form-control" id="client_name" name="client_name" placeholder="Search Vendor" value="<?php echo $this->input->post('client_name') ;?>"  autocomplete="off" >
								</div>
                            </div>
							<div class="form-group col-md-4 mb-0">
                                <div class="form-group">
									<input type="text" name="telephone" class="form-control" id="telephone"  placeholder="Search Telephone"  value="<?php echo $this->input->post('telephone') ;?>" autocomplete="off" />
								</div>
                            </div>
                            <div class="col-md-1 mb-0">
								<div class="form-group">
									<button class="btn btn-primary" type="submit"><i class="fe fe-search"></i></button>
								</div>
							</div>
                        </div>
                    </div>
                </div>
			</form>

			<!-- ROW-1 -->
			<div class="row">
				<div class="col-md-12 col-lg-12">
					<div class="card">
						<div class="card-header">
							<h3 class="card-title">Vendor List</h3>
						</div>
						<?php
							if($this->session->flashdata("response")!='') {
								echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
								$this->session->unset_userdata('response');
							}
						?>
						<?php
							if($this->session->flashdata("success")!='') {
								echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
								$this->session->unset_userdata('success');
							}
						?>
						<div class="table-responsive">
							<table class="table card-table">
								<thead >
									<tr>
										<th>#</th>
										<th>Vendor Name</th>
										<th>Telephone</th>
										<th>Contact Person</th>
										<th>Address</th>
										<th style="width:80px;">Action</th>
									</tr>
								</thead>
								<tbody>
									<?php
										if($records != false)
										{
											$i=1;
											foreach($records as $record){
									?>
									<tr <?php if($record['status']==0){ echo 'style="background: #EE4B2B;"';}?> >
										<td scope="row"><?php echo $i++; ?></td>
										<td><?php echo $record['supplier_name']; ?></td>
										<td><?php echo $record['mobile_no']; ?></td>
										<td><?php echo $record['contact_person']; ?></td>
										<td><?php echo $record['address']; ?></td>
										<td><a class="btn btn-sm btn-primary icon-edit" title="Edit Supplier" href="<?php echo site_url('Supplier_master/edit/'.$record['supplier_id']); ?>"><i class="fa fa-edit"></i> Edit</a></td>
									</tr>
									<?php
											}
										}
										else{
									?>
									<tr>
										<td colspan="3">No records available</td>
									</tr>
									<?php
										}
									?>
								</tbody>
							</table>
						</div>	<?php echo $pagination; ?>
						<!-- table-responsive -->
					</div>
				</div>
			</div>
			<!-- ROW-1 CLOSED -->
		</div>
	</div>
