<style>
	.legend-white {
		font-size: 10px;
	}
	
	.showPrint{
		display:none;
	}
	@media print {
		@page {
			size: landscape;
			margin-top: -15mm !important;
		}
		.hidePrint{
			display:none;
		}
		.showPrint{
			display:block;
		}
		div.dt-buttons {
			display:none;
		}
		.dataTables_filter label{
			display:none;
		}
		
		th {
			font-weight: bold !important;
		}
		tr {
			color:#000 !important;
		}
		td {
			padding: 0.3rem !important;
			font-size:11px !important;
		}
		.card-category {
			padding: 15px;
		}
		.dataTables_info{
			display:none;
		}
		.thead-light th {
			font-size:9.5px;
			padding-right: 0px !important;
			text-transform: capitalize;
		}
		table.dataTable>thead .sorting::before,
		table.dataTable>thead .sorting_asc::before,
		table.dataTable>thead .sorting_desc::before,
		table.dataTable>thead .sorting_asc_disabled::before,
		table.dataTable>thead .sorting_desc_disabled::before {
			right: 0;
			content: "";
		}
 
		table.dataTable>thead .sorting::after,
		table.dataTable>thead .sorting_asc::after,
		table.dataTable>thead .sorting_desc::after,
		table.dataTable>thead .sorting_asc_disabled::after,
		table.dataTable>thead .sorting_desc_disabled::after {
			right: 0;
			content: "";
			
		}
		#back-to-top{
			display:none !important;
		}
	}
	
	div.dt-buttons {
		float: right;
		padding-left: 15px;
		padding-right: 100px;
	}
	.dataTables_length {
		position: absolute;
	}
	[role="menu"] {
		clear:both;
		position:absolute;
		z-index: 1;
	}
	.buttons-columnVisibility{
		background-color: #bbbdc0;
		background: linear-gradient(to bottom, #f0f0f0 0%, #dadada 100%);
		box-shadow: inset 1px 1px 3px #666;
		width:200px;
		text-align:left;
		padding:5px;
	}
	.dt-down-arrow{
		display: none;
	}
	.selected {
		background-color: #bbbdc0;
	}
	.client_result {
			border: 1px solid #d2d6de;
			position: absolute;
			width: 347px;
			height: auto;
			background-color: #fff;
			z-index: 100;
			margin-top: 0px;
			border-radius: 3px;
			display: none;
		}
		.clientList {
			margin:0px;
		}
		.clientList li {
			color: #000000;
			padding: 0;
			padding-left: 8px;
			height: 30px;
			padding-top: 4px;
			cursor:pointer;
			font-weight:600;
			list-style-type: none;
		}
		.clientList li:hover {
			background:#CCCCCC;
		}
		.nbactive{
			background-color:#D6D6D6;
		}
		
	
	</style>
<!--app-content open-->
<div class="app-content main-content">
	<div class="side-app">
		<div class="main-container">
			<!-- PAGE-HEADER -->
			<div class="page-header hidePrint">
				<div>
					<h1 class="page-title">Sales Bill Outstanding - By party Age-wise </h1>
					<ol class="breadcrumb">
						<li class="breadcrumb-item"><a href="<?php echo site_url('Dashboard/home');?>">Home</a></li>
						<li class="breadcrumb-item active" aria-current="page">Sales Bill Outstanding</li>
					</ol>
				</div>
			</div>
			<!-- PAGE-HEADER END -->
			
			<!-- ROW-1 OPEN -->
			<div class="row">
				<div class="col-md-12 col-lg-12">
					<div class="card">
						<?php
							if($this->session->flashdata("response")!='') {
								echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
								$this->session->unset_userdata('response');
							}
						?>
						<?php
							if($this->session->flashdata("success")!='') {
								echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
								$this->session->unset_userdata('success');
							}
						?>
						<form id="quotation_report" name="quotation_report" class="form-horizontal" method="post" action="<?php echo site_url('SalesBillOutstanding/by_party_age_wise/result');?>">
							<div class="card-body hidePrint">
								<div class="form-row">
									<div class="form-group col-md-2 mb-0">
										<div class="form-group">
											<?php if(!isset($submitted_division_id)) $submitted_division_id = "select"; ?>
											<?php echo form_dropdown('division', $division_list, $submitted_division_id, 'id="division" class="form-control form-select select2"') ?>
										</div>
									</div>
									<div class="form-group col-md-2 mb-0">
										<div class="form-group">
											<input type="text" class="form-control client" name="client" id="client" placeholder="Client Name" value="<?php echo $this->input->post('client'); ?>" autocomplete="off" required >
											<input type="hidden" id="client_id" class="form-control client_id" name="client_id"  value="<?php echo $this->input->post('client_id'); ?>" />
											<input type="hidden" id="client_code" class="form-control client_code" name="client_code"  value="<?php echo $this->input->post('client_code'); ?>" />
											<div class="client_result">
												<ul class="clientList unstyled" >
												</ul>
											</div>
										</div>
									</div>
									<div class="form-group col-md-2 mb-0">
										<div class="form-group">
											<?php 
												$age_by = array(
													'1' => 'Age by Bill Date',
													'2'=>'Age by Due Date',
												);
												echo form_dropdown('age_by', $age_by, $this->input->post('age_by'),'class="form-control form-select select2"'); 
											?>
										</div>
									</div>
									
									<div class="form-group col-md-2 mb-0">
										<div class="form-group">
											<input type="hidden" class="form-control  fromDate" id="report_date_from" name="report_date_from" placeholder="From Date" value="<?php echo $this->input->post('report_date_from') ;?>"  autocomplete="off"  >
											<input type="text" class="form-control  toDate" id="report_date_to" name="report_date_to" placeholder="To Date" value="<?php if ($this->input->post('report_date_to')){  echo $this->input->post('report_date_to'); } //elseif($toDate!=='NIL'){ echo $toDate; } ?>"  autocomplete="off" required >
										</div>
									</div>
									
									<div class="form-group col-md-2 mb-0">
										<div class="form-group">
											<?php echo form_dropdown('user_id', $users, $this->input->post('user_id'),'class="form-control form-select select2"'); ?>
										</div>
									</div>
									<!-- <div class="form-group col-md-2 mb-0">
										<div class="form-group">
											<?php 
												$quotation_statuses = array(
													'' => 'All',
													'10'=>'Draft',
													'2'=>'Open',
													'0'=>'Closed',
													'1'=>'Confirmed'
												);
												echo form_dropdown('quotation_status', $quotation_statuses, $this->input->post('quotation_status'),'class="form-control form-select select2"'); 
											?>
										</div>
									</div> -->
									<div class="col-md-2 mb-0">
										<div class="form-group">
											<button class="btn btn-primary " type="submit" name="results" id="results"  ><i class="fe fe-search"></i></button>
											<button class="btn btn-success " type="button" name="results" id="results" onclick="javascript:window.print();" ><i class="fe fe-printer"></i></button>
										</div>
									</div>
								</div>
							</div>
						</form>
						
						<div class="card col-md-6  col-lg-6 hidePrint " style="float: right;box-shadow: none;border: none;margin-left: auto; margin-right: 0px; <?php if($records == false) { echo 'display:none;'; } ?> ">
							<div class="progress grouped h-3 " style="height: 40px !important;">
								<div class="progress-bar w-25 legend-white" role="progressbar">Legend : </div>
								<div class="progress-bar w-25 alert-info" role="progressbar">Draft</div>
								<div class="progress-bar w-25 alert-primary" role="progressbar">Unpaid</div>
								<div class="progress-bar w-25 alert-warning " role="progressbar">Partially Paid</div>
								<div class="progress-bar w-25 alert-success" role="progressbar">Fully Paid</div>
								<div class="progress-bar w-25 alert-danger" role="progressbar">Cancelled</div>
							</div>
						</div>
						<div class="row showPrint">
							<div class="clearfix">
								<div class="float-start">
									<?php if(isset($logo_filename)){ ?>
										<img src="<?php echo base_url()."images/company_division/".$logo_filename; ?>" alt="" height="70px;" width="260px;"  class="logo"/>
									<?php } else { 
										if(isset($company_details['company_logo'])){ ?>
										<img src="<?php echo base_url()."images/company_logo/".$company_details['company_logo']; ?>" alt="" height="70px;" width="260px;"  class="logo"/>
									<?php } } ?>
								</div>
								<div class="float-end">
									<address style=" text-align: right;" >
										<?php if(isset($company_details['company_name'])){ echo $company_details['company_name'];} ?>  <?php if(isset($company_details['cr_number'])){ if($company_details['cr_number']!=""){ echo ' | '.$company_details['cr_number'];}} ?>
										<?php if(isset($company_details['company_address'])){ $company_details['company_address']; } ?>  <br>
										<?php if(isset($company_details['email_id'])){ if($company_details['email_id']!=""){ echo ' | '.$company_details['email_id'].'<br>';}} ?>
										<?php if(isset($company_details['telephone_no'])){ echo $company_details['telephone_no'];} ?>  <?php if(isset($company_details['fax_no'])){ if($company_details['fax_no']!=""){ echo ' | '.$company_details['fax_no'];} } ?>
										<?php if(isset($company_details['tax_no'])){ if($company_details['tax_no']!=""){  echo ' <br> TRN # '.$company_details['tax_no'];  } } ?>
									</address>
								</div>
							</div>
							<div class="card-body text-center ">
								<div class="card-category">Sales Bill Outstanding - By party Age-wise </div>
							</div>
							<div class="text-center ">
								<div>&nbsp;</div>
								<div><?php if ($this->input->post('client')){ echo 'Customer : '.$this->input->post('client'); } ?></div>
								<div><?php if ($this->input->post('report_date_to')){  echo 'To '.$this->input->post('report_date_to'); } ?> </div>
								<div>&nbsp;</div>
							</div>
						</div>
						<div class="table-responsive" style="min-height: 250px;">
							<button class="btn-danger hidePrint" type="button" name="delete_row" id="delete_row" title="Delete Selected row " style="position: relative; top: 0px;float: right;right: 96px; <?php if($records == false) { echo 'display:none;'; } ?> " ><i class="fa fa-trash-o"></i></button>
							<table id="quotation_register_data" class="table card-table"  width="100%" >
								<thead class="thead-light" >
									<tr>
										<th style="text-align:left !important; padding-left: 5px !important;width:10px;" >#</th>
										<th style="width:75px;">Bill No</th>
										<th>Bill Type</th>
										<th style="width:100px;">Date</th>
										<th style="width:75px;">PO No</th>
										<th style="width:100px;">Salesman</th>
										<th style="text-align:right;width:55px;" >BillAmt</th>
										<th style="text-align:right;width:55px;" >BalAmt</th>
										<th style="text-align:right;width:75px;" ><= 30 Days</th>
										<th style="text-align:right;width:75px;" >31 to 60 Days</th>
										<th style="text-align:right;width:75px;" >61 to 90 Days</th>
										<th style="text-align:right;width:55px;" >> 90 Days</th>
										<th style="text-align:center;width:100px;" >Due on</th>
									</tr>
								</thead>
								<tbody>
									<?php
										$totalAmt = 0;
										$tr_count = 1;
										$total_bill_amount=0;
										$total_paid_amount=0;
										$total_balance_amount=0;
										$totalfirstsec=0;
										$totalsecondsec=0;
										$totalthirdsec=0;
										$totalfourthsec=0;
										if($records != false) {
											foreach($records as $record){
												
												$where['status'] = 1;
												$where['bill_id'] 	= $record['bill_id'];
												if ($this->input->post('report_date_to')){  
													$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to')));
													$where['DATE(bill_date) <='] 	= $date_to; 
												}
												$this->db->select('sum(cust_bill_allocations.bill_os_amount) as balance_amount' );
												$this->db->from('cust_bill_allocations');
												$this->db->where($where);
												$rs = $this->db->get();
												$row_data	=	$rs->row_array();
												//echo $this->db->last_query().'<br>';
												$balance_amount = round($row_data['balance_amount'],3);
												$paid_amount = round($record['bill_os_amount']-$balance_amount,3);

												
												if($record['status']==0) {
													$invoice_status='Cancelled';
												} else if ($record['status']==10) { 
													$invoice_status='Draft';
												}else {
													if($balance_amount==0){
														$invoice_status='Fully Paid';
													} else if ($balance_amount==$record['bill_os_amount']) {
														$invoice_status='Unpaid';
													} else if($balance_amount>0 && $balance_amount!=$record['bill_os_amount']) {
														$invoice_status='Partially Paid';
													} else {
														$invoice_status='';
													}
												}
												
												$status_colors = array(
													'Draft' => 'alert-info',
													'Partially Paid' => 'alert-warning',
													'Cancelled' => 'alert-danger',
													'Fully Paid' => 'alert-success',
													'Unpaid' => 'alert-primary'
												);
												$due_date =  date('Y-m-d', strtotime($record['bill_date']. ' + '.$record['credit_days'].' days'));
												if ($this->input->post('age_by')==1){  
													$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to')));
													$now = strtotime($date_to); // or your date as well
													$your_date = strtotime($record['bill_date']);
													$datediff = $now - $your_date;
													$days=round($datediff / (60 * 60 * 24));
												} else {
													
													$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to')));
													$now = strtotime($date_to); // or your date as well
													$your_date = strtotime($due_date);
													$datediff = $now - $your_date;
													$days=round($datediff / (60 * 60 * 24)); 
													if($days<0){
														$days=0;
													}
												}

												if($balance_amount!=0){ 
													if($days<=30){
														$firstsec=$balance_amount;
														$totalfirstsec+=$balance_amount;
														$secondsec='';
														$thirdsec='';
														$fourthsec='';
													} else if($days>=31 && $days<=60){
														$firstsec='';
														$secondsec=$balance_amount;
														$totalsecondsec+=$balance_amount;
														$thirdsec='';
														$fourthsec='';
													} else if($days>=61 && $days<=90){
														$firstsec='';
														$secondsec='';
														$thirdsec=$balance_amount;
														$totalthirdsec+=$balance_amount;
														$fourthsec='';
													} else {
														$firstsec='';
														$secondsec='';
														$thirdsec='';
														$fourthsec=$balance_amount;
														$totalfourthsec+=$balance_amount;
													}
													$total_bill_amount+=$record['bill_amt'];
													$total_paid_amount+=$paid_amount;
													$total_balance_amount+=$balance_amount;
									?>
									<tr <?php echo 'class="'.$status_colors[$invoice_status].'"'; ?> >
										<td><?php echo $tr_count++; ?></td>
										<td title="<?php echo '#'.$record['id']; ?>" >
											<?php echo $record['trn_no']; ?>
										</td>
										<td>
											<?php if($record['bill_type']==='Receipt') { echo 'Advance '.$record['bill_type']; } else { echo $record['bill_type']; } ?>
										</td>
										<td><?php echo date('M d, Y',strtotime($record['bill_date'])); ?></td>
										<td><?php echo $record['po_no']; ?></td>
										<td><?php echo $record['user_name']; ?></td>
										<td class="bill_amt" data-bill_amt="<?php echo $record['bill_amt']; ?>" data-paid_amount="<?php echo $paid_amount; ?>" data-balance_amount="<?php echo $balance_amount; ?>" data-firstsec="<?php if($firstsec!='') {  echo $firstsec;  } else { echo 0; } ?>"  data-secondsec="<?php  if($secondsec!='') { echo $balance_amount; } else { echo 0; }  ?>"  data-thirdsec="<?php if($thirdsec!='') { echo $thirdsec; } else { echo 0; } ?>"  data-fourthsec="<?php if($fourthsec!='') { echo $fourthsec; } else { echo 0; }  ?>"   style="text-align:right;width:100px;"><?php echo number_format($record['bill_amt'],3); ?></td>
										<td class="paid_amount"  style="text-align:right;width:100px;" ><?php echo number_format($balance_amount,3); ?></td>
										<td style="text-align:right;" ><?php if($firstsec!='') { echo number_format($firstsec,3); } ?></td>
										<td style="text-align:right;" ><?php if($secondsec!='') { echo number_format($secondsec,3); } ?></td>
										<td style="text-align:right;" ><?php if($thirdsec!='') { echo number_format($thirdsec,3); } ?></td>
										<td style="text-align:right;" ><?php if($fourthsec!='') { echo number_format($fourthsec,3); } ?></td>
										<td style="text-align:center;" ><?php echo date('M d, Y',strtotime($due_date)); ?></td>
									</tr>
									<?php } } ?>			
								</tbody>
          			  			<?php //if(isset($furniture_division_total)) { ?>
									<table class="table table-bordered " style="float: right;width:600px;">
										<tr>
											<td style="background-color: #cacaca;" width="90">&nbsp;</td>
											<td style="text-align:right;width:55px;" ><b>Bill Amt</b></td>
											<td style="text-align:right;width:55px;" ><b>Bal Amt</b></td>
											<td style="text-align:right;width:55px;" ><b><= 30 Days</b></td>
											<td style="text-align:right;width:55px;" ><b>31 to 60 Days</b></td>
											<td style="text-align:right;width:55px;" ><b>61 to 90 Days</b></td>
											<td style="text-align:right;width:55px;" ><b>> 90 Days</b></td>
											<td style="width:60px;" ></td>
										</tr>
										<tr>
											<td style="background-color: #cacaca;" width="90">Total :</td>
											<td style="text-align:right;width:55px;" class="total_bill_amount" ><b><?php echo number_format($total_bill_amount,3); ?></b></td>
											<td style="text-align:right;width:55px;" class="total_balance_amount" ><b><?php echo number_format($total_balance_amount,3); ?></b></td>
											<td style="text-align:right;width:55px;" class="totalfirstsec" ><b><?php echo number_format($totalfirstsec,3); ?></b></td>
											<td style="text-align:right;width:55px;" class="totalsecondsec" ><b><?php echo number_format($totalsecondsec,3); ?></b></td>
											<td style="text-align:right;width:55px;" class="totalthirdsec" ><b><?php echo number_format($totalthirdsec,3); ?></b></td>
											<td style="text-align:right;width:55px;" class="totalfourthsec" ><b><?php echo number_format($totalfourthsec,3); ?></b></td>
											<td style="width:60px;" ></td>
										</tr>
									</table>
								<?php //}  
							} else { ?>
								<tr>
									<td colspan="9">No records available</td>
								</tr><?php } ?>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- CONTAINER CLOSED -->
	</div>
</div>
<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>
<script type="text/javascript">
$(function(e) {
	var table =  $('#quotation_register_data').DataTable({
		"paging": false,
		"processing": true,
		"scrollCollapse": true,
		"ordering": true,
		"iDisplayLength": 5000000,
		"lengthMenu": false,
        "info": true,
		dom: 'lBfrtip',
        buttons: [
            { extend: 'copyHtml5',title: '',text: 'Copy',header: false, text:'<i class="fa fa-copy"></i>',titleAttr: 'Copy', className: 'btn-primary', exportOptions: {columns: ':visible' } },
			{ extend: 'excelHtml5',title: 'Sales Bill Outstanding - By party',filename: function(){ var today = new Date();var n = today.getTime();return 'SalesBillOutstandingByparty' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Excel', text:'<i class="fa fa-file-excel-o"></i>',titleAttr: 'Excel', className: 'btn-success', exportOptions: {columns: ':visible' } },
			/* { extend: 'print',title: 'Purchase Order Data',filename: function(){ var today = new Date();var n = today.getTime();return 'PurchaseOrderPrintExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Print', text:'<i class="fa fa-print"></i>',titleAttr: 'Print', className: 'btn-warning', exportOptions: {columns: ':visible' } },	 */	
			{ extend:'colvis', text:'<i class="fa fa-angle-double-down"></i>',titleAttr: 'Column visibility', className: 'btn-gray'},
		]
	});
	//
	$('#quotation_register_data tbody').on('click', 'tr', function () {
        if ($(this).hasClass('selected')) {
            $(this).removeClass('selected');
        } else {
            table.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }
    });
	
	$('#delete_row').click(function () {
        table.row('.selected').remove().draw(false);
		var total_bill_amount=0;
		var total_paid_amount=0;
		var total_balance_amount=0;
		var totalfirstsec=0;
		var totalsecondsec=0;
		var totalthirdsec=0;
		var totalfourthsec=0;
		$('.bill_amt').each(function() {
			total_bill_amount+= Number($(this).attr("data-bill_amt"));
			total_paid_amount+= Number($(this).attr("data-paid_amount"));
			totalfirstsec+= Number($(this).attr("data-firstsec"));
			totalsecondsec+= Number($(this).attr("data-secondsec"));
			totalthirdsec+= Number($(this).attr("data-thirdsec"));
			totalfourthsec+= Number($(this).attr("data-fourthsec"));
		});
		$('.total_bill_amount').html(Number.parseFloat(total_bill_amount).toFixed(3));
		$('.total_balance_amount').html(Number.parseFloat(total_balance_amount).toFixed(3));
		$('.totalfirstsec').html(Number.parseFloat(totalfirstsec).toFixed(3));
		$('.totalsecondsec').html(Number.parseFloat(totalsecondsec).toFixed(3));
		$('.totalthirdsec').html(Number.parseFloat(totalthirdsec).toFixed(3));
		$('.totalfourthsec').html(Number.parseFloat(totalfourthsec).toFixed(3));
    });
	// Select2 { extend: 'csvHtml5',text: 'CSV',header: false, text:'<i class="fa fa-file-pdf-o"></i>',titleAttr: 'CSV', className: 'btn-warning' },
	//{ extend: 'colvis',title: '',filename: 'fileName',text: 'Pdf', text:'<i class="fa fa-file-pdf-o"></i>',titleAttr: 'Pdf', className: 'btn-warning' },
});

$("html").on("keyup",".client",function(){
        
	    var client	=	$(this).val();
        if(client===''){
            $(".client_result").css('display','none'); 
        }
	    $('.client_id').val('');
	    $('.client_address').val('');
        $("#prospect_name").val('');
        $('#prospect_name').attr('readonly', false);
		$(".client_id").val('');
		$("#phone").val('');
        $("#email").val('');
        $(".cname").html('');
        $(".cphone").html('');
        $(".cemail").html('');
        $(".caddress").html('');
        $(".cperson").html('');
        $(".tax_name").html('');
        $(".tax_no").html('');
        var html='<option value="" selected="selected"> - Select Contact Person- </option>';
        $('#contact_person').prop('type', 'text');
        $('#client_contact').html(html);
        $('.nbselect').hide();
        $("#contact_person").val('');
	if (client==''){
		$(this).val("");
		return false;
	} else {
		$.ajax({
				url:"<?php echo site_url("furniture/Enquiry/search_client")?>" , 
				type: "POST" ,
				data: {client	: client} ,
				success: function(data){
					$(".client_result").css('display','block');
					$(".clientList").html(data);
					client_button();
					$('.client').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.clientList').on('focus', 'li', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.clientList').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'li', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('li').first().focus();
						}
					});
					$(".clientList li").keypress(function (e) {
						if (e.keyCode == 13) {
                            $(".client_result").css('display','none');
         					var client_id	=	($(this).attr('value'));
                            var client_name = $(this).closest("li").find(".client_name").val();
							var client_code = $(this).closest("li").find(".client_code").val();
                            $('.nbselect').show();
                            $(".client").val(client_name);
                            $(".client_id").val(client_id);
							$(".client_code").val(client_code);
						}
					 });
				},
				error: function(){
						$("#errorMsg").html('Connection Error......');
						$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
	}
	
});
function client_button() {
    $(".client_button").click(function() {
		$(".client_result").css('display','none');
        var client_id	=	($(this).attr('value'));
		var client_name = $(this).closest("li").find(".client_name").val();
		var client_code = $(this).closest("li").find(".client_code").val();
        $('.nbselect').show();
        $(".client").val(client_name);
        $(".client_id").val(client_id);
		$(".client_code").val(client_code);
    });
	$(".no_result_button").click(function() {
		$(".client_result").css('display','none');
        $(".client").val('');
         $("#prospect_name").val('');
         $('#prospect_name').attr('readonly', false);
		 $(".client_id").val('');
		 $("#phone").val('');
         $("#email").val('');
         $(".cname").html('');
         $(".cphone").html('');
         $(".cemail").html('');
         $(".caddress").html('');
         $(".cperson").html('');
         $(".tax_name").html('');
         $(".tax_no").html('');
         var html='<option value="" selected="selected"> - Select Contact Person- </option>';
        $('#client_contact').html(html);
        $('.nbselect').hide();
        $('#contact_person').prop('type', 'text');
	});
}

</script>