<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Dashboard extends CI_Controller {

	public function __construct() {
		parent::__construct();
		
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','Unauthorised access. Login required.');
			redirect('login');
		}
		
	}

	function sendwhatsapp() {
		$data = [
			'api_key' => 'GnSfwIZMV9gyNp7j3LoBxHtuvcKP6l',
			'sender' => '97339856355',
			'number' => '919895300338',
			'url' => 'http://marayanew3.qprome.com/Pages to be signed.pdf'
		];
		//$json_data = json_encode($data);
		$curl = curl_init();
		
		curl_setopt_array($curl, array(
		  CURLOPT_URL => 'https://bot.wachatty.com/send-document',
		  CURLOPT_RETURNTRANSFER => true,
		  CURLOPT_ENCODING => '',
		  CURLOPT_MAXREDIRS => 10,
		  CURLOPT_TIMEOUT => 0,
		  CURLOPT_FOLLOWLOCATION => true,
		  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
		  CURLOPT_CUSTOMREQUEST => 'POST',
		  CURLOPT_POSTFIELDS => json_encode($data),
		  CURLOPT_HTTPHEADER => array(
			'Content-Type: application/json'
		  ),
		));
		
		$response = curl_exec($curl);
		
		curl_close($curl);
		echo $response;
	}

	function testsend()
	{
		//var $CI;
		$from='mithunjacob.clt@gmail.com';
		$fromname="nettworksy@gmail.com";
		$to="nabaskk@gmail.com";$subject='Test Subjectggf g';$body='Test Bodygg g'; $cc="";$bcc="";
		$CI =& get_instance();
		$CI->load->library('email');
		$config = Array(
			'protocol' => 'smtp',
			'smtp_host' => 'smtp.ipage.com',
			'smtp_port' => 465,
			'smtp_user' => 'qpro@q-pro.in',
			'smtp_pass' => 'Y132N@K7mk#M',
			'mailtype'  => 'html', 
			'charset'   => 'iso-8859-1'	 
	   );
		
	   $this->load->library('email', $config);
	   $this->email->set_newline("\r\n");

	   $this->email->from($from, 'NT');
	   $this->email->to($to); 
	  
	   $this->email->subject($subject);
	   $this->email->message($body);
	   
	   if ($this->email->send()) {
		echo 'djddj';
		   return TRUE;
	   } else {
		echo $this->email->print_debugger();
		   return FALSE;
	   }
			
	}

	public function home()
	{
		$this->session->keep_flashdata('response');
		if($this->session->userdata('default_controller_name')!=NULL){
			redirect($this->session->userdata('default_controller_name'));
		} else {
			redirect('dashboard');
		}
		/* if($this->session->userdata('user_group_id')!=1){
			$str_arr = preg_split ("/\,/", $this->session->userdata('is_user_type'));
			if (in_array(1, $str_arr)) {
				redirect('dashboard/sales_dashboard');
			} else if(in_array(2, $str_arr)){
				redirect('dashboard/designer_dashboard');
			} else if(in_array(4, $str_arr)){
				redirect('dashboard/estimator_dashboard');
			}  else if(in_array(5, $str_arr)){
				redirect('dashboard/approver_dashboard');
			} else {
				redirect('dashboard/user');
			}
		} else {
			redirect('dashboard');
		} */
	}
	public function user(){
		$title['headerTitle']="Dashboard";
		$this->load->view('templates/header');
		$this->load->view('dashboard/user_dashboard');
		$this->load->view('templates/footer');
	}
	public function production_dashboard(){
		$title['headerTitle']="Production Dashboard";
		$data['job_card_new_count'] = $this->furniture_quotation_model->job_card_new_count();
		$data['job_card_ack_count'] = $this->furniture_quotation_model->job_card_ack_count();
		$data['job_card_running_count'] = $this->furniture_quotation_model->job_card_running_count();

		$this->load->view('templates/header');
		$this->load->view('dashboard/production_dashboard',$data);
		$this->load->view('templates/footer');
	}

	public function jobCardAcknowledge($id){
		if($id!=NULL){
			$this->db->update('job_card',array('acknowledge_status' => 1,'acknowledge_by' => $this->session->userdata('user_name'),'acknowledge_date' => date('Y-m-d H:i:s')),array('id' => $id));
			redirect('dashboard/production_dashboard');
		}
	}

	public function purchaser_dashboard(){
		$title['headerTitle']="Purchaser Dashboard";
		$search_item='';
		$data['unApprovedPo']=$this->furniture_quotation_model->pendingtoApproverPo(10,0,$search_item);
		$data['todayApprovedPo']=$this->furniture_quotation_model->todayApprovedPo(10,0,$search_item);
		$data['thisWeekApprovedPo']=$this->furniture_quotation_model->thisWeekApprovedPo(10,0,$search_item);
		$this->load->view('templates/header');
		$this->load->view('dashboard/purchaser_dashboard',$data);
		$this->load->view('templates/footer');
	}
	public function getData(){
		$salesman_id = $this->input->post('salesman_id');
		$data['enquiryData']=$this->furniture_quotation_model->enquiryData2($salesman_id);
		$data['enquiryCount']=$this->furniture_quotation_model->enquiryCount($salesman_id);
		$data['quotationsCount']=$this->furniture_quotation_model->quotationsCount($salesman_id);
		$data['jobsCount']=$this->furniture_quotation_model->jobsCount($salesman_id);
		$data['invCount']=$this->furniture_quotation_model->invCount($salesman_id);
		$data['recAmt']=$this->furniture_quotation_model->recAmt($salesman_id);
		print json_encode($data);
	}

	public function index(){
		$title['headerTitle']="Dashboard";
		//redirect('common/dashboard');
		//redirect('furniture/furniture_quotations');
		$search_item='';
		$data['myQuoteswithDesigners']=$this->furniture_quotation_model->myQuoteswithDesigners(10,0,$search_item);
		$data['myActions']=$this->furniture_quotation_model->myActions(10,0,$search_item);
		$data['myQuoteswithEstimators']=$this->furniture_quotation_model->myQuoteswithEstimators(10,0,$search_item);
		$data['myQuotesPendingforApprovals']=$this->furniture_quotation_model->myQuotesPendingforApprovals(10,0,$search_item);
		$data['myQuotesRecentlyApproved']=$this->furniture_quotation_model->myQuotesRecentlyApproved(10,0,$search_item);
		$data['myQuotesReceivedfromDesigners']=$this->furniture_quotation_model->myQuotesReceivedfromDesigners(10,0,$search_item);

		$data['enquiryData']=$this->furniture_quotation_model->enquiryData();

		$data['enquiryCount']=$this->furniture_quotation_model->enquiryCount($salesman_id='');
		$data['quotationsCount']=$this->furniture_quotation_model->quotationsCount($salesman_id='');
		$data['jobsCount']=$this->furniture_quotation_model->jobsCount($salesman_id='');
		$data['invCount']=$this->furniture_quotation_model->invCount($salesman_id='');
		$data['recAmt']=$this->furniture_quotation_model->recAmt($salesman_id='');

		$list2 = $this->crud_model->get_list2('user_id','user_name','users',array(''=>'Select Salseman'),array('is_salesman'=>1),'user_name','asc');
		$data['salesman_list'] = $list2;

		$data['jobDepartmentwise']=$this->furniture_quotation_model->jobDepartmentwise();

		$this->load->view('templates/header');
		$this->load->view('dashboard/dashboard',$data);
		$this->load->view('templates/footer');
	}

	public function sales_dashboard(){
		$title['headerTitle']="Sales Dashboard";
		$search_item='';
		/*$this->load->helper('directory');

		$dir ='F:/developers/php/Test/';

		$map = directory_map($dir);
		foreach($map as $re){
			print '<a href="'.$dir.''.$re.'" >'.$re.'</a></br>';
			if (is_countable($re) && count($re) > 0) {
					foreach ($re as $me){
						print $me.'</br>';
					}
			}
		}*/
		
		$data['myEnquiries']=$this->furniture_quotation_model->myEnquiries(10,0,$search_item);
		$data['myQuoteswithDesigners']=$this->furniture_quotation_model->myQuoteswithDesigners(10,0,$search_item);
		$data['myActions']=$this->furniture_quotation_model->myActions(10,0,$search_item);
		$data['myQuoteswithEstimators']=$this->furniture_quotation_model->myQuoteswithEstimators(10,0,$search_item);
		$data['myQuotesPendingforApprovals']=$this->furniture_quotation_model->myQuotesPendingforApprovals(10,0,$search_item);
		$data['myQuotesRecentlyApproved']=$this->furniture_quotation_model->myQuotesRecentlyApproved(10,0,$search_item);
		$data['myQuotesReceivedfromDesigners']=$this->furniture_quotation_model->myQuotesReceivedfromDesigners(10,0,$search_item);
		$data['myQuotesRecentlyConfirmed']=$this->furniture_quotation_model->myQuotesRecentlyConfirmed(10,0,$search_item);

		$data['enquiryData']=$this->furniture_quotation_model->enquiryData();
		
		$data['enquiryCount']=$this->furniture_quotation_model->enquiryCount($salesman_id='');
		$data['quotationsCount']=$this->furniture_quotation_model->quotationsCount($salesman_id='');
		$data['jobsCount']=$this->furniture_quotation_model->jobsCount($salesman_id='');
		$data['invCount']=$this->furniture_quotation_model->invCount($salesman_id='');
		$data['recAmt']=$this->furniture_quotation_model->recAmt($salesman_id='');

		$data['jobDepartmentwise']=$this->furniture_quotation_model->jobDepartmentwise();

		$this->load->view('templates/header',$title);
		$this->load->view('dashboard/sales_dashboard',$data);
		$this->load->view('templates/footer');
	}

	public function myEnquiries() {
		$search_item = $this->input->post('search_item');
		$test=$this->furniture_quotation_model->myEnquiries(10,0,$search_item);
		$list=	'';
		if($test!=false){
			$count=0;
			foreach($test as $myEnquiry){ 
				$count++;
				$list.='<tr>
					<td><a href="'.base_url().'index.php/furniture/Enquiry/editenquiry/'.$myEnquiry->id.'" >'.$myEnquiry->enquiry_number.'</a></td>
					<td>'.$myEnquiry->prospect_name.'</td>
					<td>'.date("M d, Y", strtotime($myEnquiry->enquiry_date)).'</td>
				</tr>';
				if($count==10){
					$list.='<tr><td colspan="3"><a  href="'.base_url().'index.php/furniture/Enquiry/listEnquiry" >View More</a></td></tr>';
				}
			}
		} else {
			$list.='<tr><td colspan="3" style="color: red;">
			No records available
		</td></tr>';
		}
		echo json_encode($list);
	}


	public function myQuoteswithEstimators() {
		$search_item = $this->input->post('search_item');
		$test=$this->furniture_quotation_model->myQuoteswithEstimators(10,0,$search_item);
		$list=	'';
		if($test!=false){
			$count=0;
			foreach($test as $myQuoteswithEstimator){ 
				$count++;
				$list.='<tr>
					<td>'.$myQuoteswithEstimator->quotation_number_full.'</td>
					<td>'.$myQuoteswithEstimator->client_name.'</td>
					<td>'.$myQuoteswithEstimator->project_name.'</td>
					<td>'.$myQuoteswithEstimator->user_name.'</td>
				</tr>';
				if($count==10){
					$list.='<tr><td colspan="3"><a  href="'.base_url().'index.php/furniture/furniture_quotations/quotationList" >View More</a></td></tr>';
				}
			}
		} else {
			$list.='<tr><td colspan="4" style="color: red;">
			No records available
		</td></tr>';
		}
		echo json_encode($list);
	}

	public function myQuoteswithDesigners() {
		$search_item = $this->input->post('search_item');
		$test=$this->furniture_quotation_model->myQuoteswithDesigners(10,0,$search_item);
		$list=	'';
		if($test!=false){
			$count=0;
			foreach($test as $myQuoteswithDesigner){ 
				$count++;
				$list.='<tr>
					<td>'.$myQuoteswithDesigner->quotation_number_full.'</td>
					<td>'.$myQuoteswithDesigner->client_name.'</td>
					<td>'.$myQuoteswithDesigner->project_name.'</td>
					<td>'.$myQuoteswithDesigner->user_name.'</td>
				</tr>';
				if($count==10){
					$list.='<tr><td colspan="3"><a  href="'.base_url().'index.php/furniture/furniture_quotations/quotationList" >View More</a></td></tr>';
				}
			}
		} else {
			$list.='<tr><td colspan="4" style="color: red;">
			No records available
		</td></tr>';
		}
		echo json_encode($list);
	}

	public function myActions() {
		$search_item = $this->input->post('search_item');
		$test=$this->furniture_quotation_model->myActions(10,0,$search_item);
		$list=	'';
		if($test!=false){
			$count=0;
			foreach($test as $myAction){ 
				$count++;
				$list.='<tr>
					<td><a href="'.base_url().'index.php/manage_quotation/quotation/'.$myAction->trans_id.'/'.$myAction->quotation_divisionid.'/'.$myAction->quotation_number.'" >'.$myAction->quotation_number_full.'</a></td>
					<td>'.$myAction->client_name.'</td>
					<td>'.$myAction->project_name.'</td>
					<td>'.$myAction->user_name.'</td>
				</tr>';
				if($count==10){
					$list.='<tr><td colspan="3"><a  href="'.base_url().'index.php/furniture/furniture_quotations/quotationList" >View More</a></td></tr>';
				}
			}
		} else {
			$list.='<tr><td colspan="3" style="color: red;">
			No records available
		</td></tr>';
		}
		echo json_encode($list);
	}

	public function myQuotesPendingforApprovals() {
		$search_item = $this->input->post('search_item');
		$test=$this->furniture_quotation_model->myQuotesPendingforApprovals(10,0,$search_item);
		$list=	'';
		if($test!=false){
			$count=0;
			foreach($test as $myQuotesPendingforApproval){ 
				$count++;
				$list.='<tr>
					<td><a href="'.base_url().'index.php/manage_quotation/quotation/'.$myQuotesPendingforApproval->trans_id.'/'.$myQuotesPendingforApproval->quotation_divisionid.'/'.$myQuotesPendingforApproval->quotation_number.'" >'.$myQuotesPendingforApproval->quotation_number_full.'</a></td>
					<td>'.$myQuotesPendingforApproval->client_name.'</td>
					<td>'.$myQuotesPendingforApproval->project_name.'</td>
				</tr>';
				if($count==10){
					$list.='<tr><td colspan="3"><a  href="'.base_url().'index.php/furniture/furniture_quotations/quotationList" >View More</a></td></tr>';
				}
			}
		} else {
			$list.='<tr><td colspan="3" style="color: red;">
			No records available
		</td></tr>';
		}
		echo json_encode($list);
	}

	public function myQuotesRecentlyApproved() {
		$search_item = $this->input->post('search_item');
		$test=$this->furniture_quotation_model->myQuotesRecentlyApproved(10,0,$search_item);
		$list=	'';
		if($test!=false){
			$count=0;
			foreach($test as $myQuotesRecentlyApproved){ 
				$count++;
				$list.='<tr>
					<td>'.$myQuotesRecentlyApproved->quotation_number_full.'</td>
					<td>'.$myQuotesRecentlyApproved->client_name.'</td>
					<td>'.$myQuotesRecentlyApproved->project_name.'</td>
					<td>'.$myQuotesRecentlyApproved->user_name.'</td>
				</tr>';
				if($count==10){
					$list.='<tr><td colspan="3"><a  href="'.base_url().'index.php/furniture/furniture_quotations/quotationList" >View More</a></td></tr>';
				}
			}
		} else {
			$list.='<tr><td colspan="4" style="color: red;">
			No records available
		</td></tr>';
		}
		echo json_encode($list);
	}

	public function myQuotesReceivedfromDesigners() {
		$search_item = $this->input->post('search_item');
		$test=$this->furniture_quotation_model->myQuotesReceivedfromDesigners(10,0,$search_item);
		$list=	'';
		if($test!=false){
			$count=0;
			foreach($test as $myQuotesReceivedfromDesigner){ 
				$count++;
				$list.='<tr>
					<td>'.$myQuotesReceivedfromDesigner->quotation_number_full.'</td>
					<td>'.$myQuotesReceivedfromDesigner->client_name.'</td>
					<td>'.$myQuotesReceivedfromDesigner->project_name.'</td>
					<td>'.$myQuotesReceivedfromDesigner->user_name.'</td>
				</tr>';
				if($count==10){
					$list.='<tr><td colspan="3"><a  href="'.base_url().'index.php/furniture/furniture_quotations/quotationList" >View More</a></td></tr>';
				}
			}
		} else {
			$list.='<tr><td colspan="4" style="color: red;">
			No records available
		</td></tr>';
		}
		echo json_encode($list);
	}

	public function pendingtoPickDesigners() {
		$search_item = $this->input->post('search_item');
		$test=$this->furniture_quotation_model->pendingtoPickDesigners(10,0,$search_item);
		$list=	'';
		if($test!=false){
			$count=0;
			foreach($test as $pendingtoPickDesigner){ 
				$count++;
				$list.='<tr>
					<td>'.$pendingtoPickDesigner->quotation_number_full.'</td>
					<td>'.$pendingtoPickDesigner->client_name.'</td>
					<td>'.$pendingtoPickDesigner->project_name.'</td>
					<td><a class="btn btn-sm btn-primary" href="javascript:pickDesigner('.$pendingtoPickDesigner->trans_id.')">Pick</a></td>
				</tr>';
				if($count==10){
					$list.='<tr><td colspan="3"><a  href="'.base_url().'index.php/furniture/furniture_quotations/quotationList" >View More</a></td></tr>';
				}
			}
		} else {
			$list.='<tr><td colspan="4" style="color: red;">
			No records available
		</td></tr>';
		}
		echo json_encode($list);
	}

	public function myActionsDesigners() {
		$search_item = $this->input->post('search_item');
		$test=$this->furniture_quotation_model->myActionsDesigners(10,0,$search_item);
		$list=	'';
		if($test!=false){
			$count=0;
			foreach($test as $myActionsDesigner){ 
				$count++;
				$list.='<tr>
					<td><a href="'.base_url().'index.php/manage_quotation/quotation/'.$myActionsDesigner->trans_id.'/'.$myActionsDesigner->quotation_divisionid.'/'.$myActionsDesigner->quotation_number.'">'.$myActionsDesigner->quotation_number_full.'</a></td>
					<td>'.$myActionsDesigner->client_name.'</td>
					<td>'.$myActionsDesigner->project_name.'</td>
				</tr>';
				if($count==10){
					$list.='<tr><td colspan="3"><a  href="'.base_url().'index.php/furniture/furniture_quotations/quotationList" >View More</a></td></tr>';
				}
			}
		} else {
			$list.='<tr><td colspan="3" style="color: red;">
			No records available
		</td></tr>';
		}
		echo json_encode($list);
	}

	public function pendingtoPickEstimators() {
		$search_item = $this->input->post('search_item');
		$test=$this->furniture_quotation_model->pendingtoPickEstimators(10,0,$search_item);
		$list=	'';
		if($test!=false){
			$count=0;
			foreach($test as $pendingtoPickEstimator){ 
				$count++;
				$list.='<tr>
					<td>'.$pendingtoPickEstimator->quotation_number_full.'</td>
					<td>'.$pendingtoPickEstimator->client_name.'</td>
					<td>'.$pendingtoPickEstimator->project_name.'</td>
					<td>'.$pendingtoPickEstimator->salesman.'</td>
					<td><a class="btn btn-sm btn-primary" href="javascript:pickEstimator('.$pendingtoPickEstimator->trans_id.')"">Pick</a></td>
				</tr>';
				if($count==10){
					$list.='<tr><td colspan="3"><a  href="'.base_url().'index.php/furniture/furniture_quotations/quotationList" >View More</a></td></tr>';
				}
			}
		} else {
			$list.='<tr><td colspan="4" style="color: red;">
			No records available
		</td></tr>';
		}
		echo json_encode($list);
	}
	public function myActionsEstimators() {
		$search_item = $this->input->post('search_item');
		$test=$this->furniture_quotation_model->myActionsEstimators(10,0,$search_item);
		$list=	'';
		if($test!=false){
			$count=0;
			foreach($test as $myActionsEstimator){ 
				$count++;
				$list.='<tr>
					<td><a href="'.base_url().'index.php/manage_quotation/quotation/'.$myActionsEstimator->trans_id.'/'.$myActionsEstimator->quotation_divisionid.'/'.$myActionsEstimator->quotation_number.'">'.$myActionsEstimator->quotation_number_full.'</a></td>
					<td>'.$myActionsEstimator->client_name.'</td>
					<td>'.$myActionsEstimator->project_name.'</td>
					<td>'.$myActionsEstimator->salesman.'</td>
				</tr>';
				if($count==10){
					$list.='<tr><td colspan="3"><a  href="'.base_url().'index.php/furniture/furniture_quotations/quotationList" >View More</a></td></tr>';
				}
			}
		} else {
			$list.='<tr><td colspan="3" style="color: red;">
			No records available
		</td></tr>';
		}
		echo json_encode($list);
	}

	public function recentlyConfirmed() {
		$search_item = $this->input->post('search_item');
		$test=$this->furniture_quotation_model->recentlyConfirmed(10,0,$search_item);
		$list=	'';
		if($test!=false){
			$count=0;
			foreach($test as $recentlyConfirmed){ 
				$count++;
				$list.='<tr>
					<td>'.$recentlyConfirmed->quotation_number_full.'</td>
					<td>'.$recentlyConfirmed->client_name.'</td>
					<td>'.$recentlyConfirmed->project_name.'</td>
				</tr>';
				if($count==10){
					$list.='<tr><td colspan="3"><a  href="'.base_url().'index.php/furniture/furniture_quotations/quotationList" >View More</a></td></tr>';
				}
			}
		} else {
			$list.='<tr><td colspan="3" style="color: red;">
			No records available
		</td></tr>';
		}
		echo json_encode($list);
	}

	public function esrecentlyConfirmed() {
		$search_item = $this->input->post('search_item');
		$test=$this->furniture_quotation_model->esrecentlyConfirmed(10,0,$search_item);
		$list=	'';
		if($test!=false){
			$count=0;
			foreach($test as $recentlyConfirmed){ 
				$count++;
				$list.='<tr>
					<td><a href="'.base_url().'index.php/manage_quotation/quotation/'.$recentlyConfirmed->quotation_id.'/'.$recentlyConfirmed->quotation_divisionid.'/'.$recentlyConfirmed->quotation_number.'">'.$recentlyConfirmed->quotation_number_full.'</a></td>
					<td>'.$recentlyConfirmed->client_name.'</td>
					<td>'.$recentlyConfirmed->project_name.'</td>
				</tr>';
				if($count==10){
					$list.='<tr><td colspan="3"><a  href="'.base_url().'index.php/furniture/furniture_quotations/quotationList" >View More</a></td></tr>';
				}
			}
		} else {
			$list.='<tr><td colspan="3" style="color: red;">
			No records available
		</td></tr>';
		}
		echo json_encode($list);
	}


	public function designer_dashboard(){
		$title['headerTitle']="Designer Dashboard";
		$search_item='';
		$data['pendingtoPickDesigners']=$this->furniture_quotation_model->pendingtoPickDesigners(10,0,$search_item);
		$data['myActionsDesigners']=$this->furniture_quotation_model->myActionsDesigners(10,0,$search_item);

		$data['enquiryData']=$this->furniture_quotation_model->enquiryData();
		
		$data['enquiryCount']=$this->furniture_quotation_model->enquiryCount($salesman_id='');
		$data['quotationsCount']=$this->furniture_quotation_model->quotationsCount($salesman_id='');
		$data['jobsCount']=$this->furniture_quotation_model->jobsCount($salesman_id='');
		$data['invCount']=$this->furniture_quotation_model->invCount($salesman_id='');
		$data['recAmt']=$this->furniture_quotation_model->recAmt($salesman_id='');

		$data['jobDepartmentwise']=$this->furniture_quotation_model->jobDepartmentwise();

		$this->load->view('templates/header',$title);
		$this->load->view('dashboard/designer_dashboard',$data);
		$this->load->view('templates/footer');
	}

	public function estimator_dashboard(){
		$title['headerTitle']="Estimator Dashboard";
		$search_item='';
		$data['pendingtoPickEstimators']=$this->furniture_quotation_model->pendingtoPickEstimators(10,0,$search_item);
		$data['myActionsEstimators']=$this->furniture_quotation_model->myActionsEstimators(10,0,$search_item);
		$data['esrecentlyConfirmed']=$this->furniture_quotation_model->esrecentlyConfirmed(10,0,$search_item);

		$data['enquiryData']=$this->furniture_quotation_model->enquiryData();
		
		$data['enquiryCount']=$this->furniture_quotation_model->enquiryCount($salesman_id='');
		$data['quotationsCount']=$this->furniture_quotation_model->quotationsCount($salesman_id='');
		$data['jobsCount']=$this->furniture_quotation_model->jobsCount($salesman_id='');
		$data['invCount']=$this->furniture_quotation_model->invCount($salesman_id='');
		$data['recAmt']=$this->furniture_quotation_model->recAmt($salesman_id='');

		$data['jobDepartmentwise']=$this->furniture_quotation_model->jobDepartmentwise();

		$this->load->view('templates/header',$title);
		$this->load->view('dashboard/estimator_dashboard',$data);
		$this->load->view('templates/footer');
	}

	public function approver_dashboard(){
		$title['headerTitle']="Approver Dashboard";
		$search_item='';
		$data['pendingtoPickApprovers']=$this->furniture_quotation_model->pendingtoPickApprovers(10,0,$search_item);
		$data['myActionsEstimators']=$this->furniture_quotation_model->myActionsApprovers(10,0,$search_item);
		$data['recentlyConfirmed']=$this->furniture_quotation_model->recentlyConfirmed(10,0,$search_item);
		$data['pendingtoApproverPrs']=$this->furniture_quotation_model->pendingtoApproverPr(10,0,$search_item);
		$data['pendingtoApproverPos']=$this->furniture_quotation_model->pendingtoApproverPo(10,0,$search_item);

		$data['enquiryData']=$this->furniture_quotation_model->enquiryData();
		
		$data['enquiryCount']=$this->furniture_quotation_model->enquiryCount($salesman_id='');
		$data['quotationsCount']=$this->furniture_quotation_model->quotationsCount($salesman_id='');
		$data['jobsCount']=$this->furniture_quotation_model->jobsCount($salesman_id='');
		$data['invCount']=$this->furniture_quotation_model->invCount($salesman_id='');
		$data['recAmt']=$this->furniture_quotation_model->recAmt($salesman_id='');

		$data['jobDepartmentwise']=$this->furniture_quotation_model->jobDepartmentwise();

		$this->load->view('templates/header',$title);
		$this->load->view('dashboard/approver_dashboard',$data);
		$this->load->view('templates/footer');
	}

	public function pendingtoApproverPr() {
		$search_item = $this->input->post('search_item');
		$test=$this->furniture_quotation_model->pendingtoApproverPr(10,0,$search_item);
		$list=	'';
		if($test!=false){
			$count=0;
			foreach($test as $pendingtoApproverPr){ 
				$count++;
				$list.='<tr>
					<td>'.$pendingtoApproverPr->pr_code.'</td>
					<td>'.$pendingtoApproverPr->pr_date.'</td>
					<td>'.$pendingtoApproverPr->user_name.'</td>
					<td><a href="'.base_url().'index.php/furniture/PurchaseRequest/printPurchaseRequest/'.$pendingtoApproverPr->pr_id.'/forapprove"  target="_blank" >Approve</a></td>
				</tr>';
			}
		} else {
			$list.='<tr><td colspan="3" style="color: red;">
			No records available
		</td></tr>';
		}
		echo json_encode($list);
	}

	public function pendingtoApproverPo() {
		$search_item = $this->input->post('search_item');
		$test=$this->furniture_quotation_model->pendingtoApproverPo(10,0,$search_item);
		$list=	'';
		if($test!=false){
			$count=0;
			foreach($test as $pendingtoApproverPo){ 
				$count++;
				$list.='<tr>
					<td>'.$pendingtoApproverPo->po_code.'</td>
					<td>'.date("M d, Y", strtotime($pendingtoApproverPo->po_date)).'</td>
					<td>'.$pendingtoApproverPo->user_name.'</td>
					<td><a href="'.base_url().'index.php/furniture/PurchaseOrder/printPurchaseOrder/'.$pendingtoApproverPo->po_id.'/forapprove"  target="_blank" >Approve</a></td>
				</tr>';
			}
		} else {
			$list.='<tr><td colspan="3" style="color: red;">
			No records available
		</td></tr>';
		}
		echo json_encode($list);
	}

}

/* End of file home.php */
/* Location: ./application/controllers/home.php */