<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class JobMaterialRequirement extends CI_Controller {

	public function __construct() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
	
	}

	public function index($status='') {
		$data['invoice_list']=false;
		$data['job_number'] = NULL;
		$data['job_card_date'] =  NULL;
		$data['project_name'] =  NULL;
		$data['client_name'] =  NULL;
		$this->form_validation->set_rules('job_number', 'Job', 'required');
		/* if ($this->form_validation->run() == FALSE) {
			//$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$data['records'] = false;
		} else { */
			$data['records'] = false;
		    //$job_number=$this->input->post('job_number') ;
			//$job_number='JB23GN00009';
			$this->db->select('JCD.id,JEM.item_id,JEM.item_name,sum(material_qty) as material_qty');
			$this->db->from('job_card AS JCD');
			$this->db->join('job_estimation_material AS JEM','JEM.job_card_id = JCD.id','inner');
			//$this->db->where('JCD.job_card_id', 9);
			$this->db->where('JCD.job_card_status', 'Draft');
			$this->db->group_by("JEM.item_id");
			$query4 = $this->db->get();
			$data['invoice_list'] =$query4->result_array();
			$data['job_number'] =  NULL;
			$data['job_card_date'] =  NULL;
			$data['project_name'] =  NULL;
			$data['client_name'] =  NULL;
		//}
		$this->load->view('templates/header');
		$this->load->view('reports/job_material_requirement',$data);
		$this->load->view('templates/footer');
	}

}

?>
