<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Job_reports extends CI_Controller {

	public function __construct() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
	
	 }	
	
	
	public function index($status='') {
		$data['invoice_list']=false;
		$data['job_number'] = NULL;
		$data['job_card_date'] =  NULL;
		$data['project_name'] =  NULL;
		$data['client_name'] =  NULL;
		$this->form_validation->set_rules('job_number', 'Job', 'required');
		if ($this->form_validation->run() == FALSE) {
			//$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$data['records'] = false;
		} else {
			$data['records'] = false;
		    $job_number=$this->input->post('job_number') ;
			$query4 = $this->db->query("SELECT JB.`id`,JB.`job_card_number`,JB.`job_card_date`,JB.`job_card_total`,JB.`job_card_amount_with_vat`,JB.`quotation_id`,JB.`project_name`,NCM.client_name FROM `job_card` JB inner join `new_client_master` NCM on NCM.client_id=JB.client_id WHERE JB.`job_card_number`='$job_number' group by JB.`id`");
            $data['invoice_list'] =$query4->result_array();
			$data['job_number'] = $job_number;
			if( $data['invoice_list']!=false){
				$data['job_card_date']= $data['invoice_list'][0]['job_card_date'];
				$data['project_name'] = $data['invoice_list'][0]['project_name'];
				$data['client_name']  = $data['invoice_list'][0]['client_name'];
			} else {
				$data['job_card_date'] =  NULL;
				$data['project_name'] =  NULL;
				$data['client_name'] =  NULL;
			}
		}
		$this->load->view('templates/header');
		$this->load->view('reports/job_reports',$data);
		$this->load->view('templates/footer');
	}

	public function test($status='') {
		$data['invoice_list']=false;
		$data['job_number'] = NULL;
		$data['job_card_date'] =  NULL;
		$data['project_name'] =  NULL;
		$data['client_name'] =  NULL;
		$this->form_validation->set_rules('job_number', 'Job', 'required');
		/* if ($this->form_validation->run() == FALSE) {
			//$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$data['records'] = false;
		} else { */
			$data['records'] = false;
		    //$job_number=$this->input->post('job_number') ;
			$job_number='JB23GN00009';
			$this->db->select('JCD.id,JEM.item_id,JEM.item_name,sum(material_qty) as material_qty');
			$this->db->from('job_card AS JCD');
			$this->db->join('job_estimation_material AS JEM','JEM.job_card_id = JCD.id','inner');
			//$this->db->where('JCD.job_card_id', 9);
			$this->db->where('JCD.job_card_status', 'Draft');
			$this->db->group_by("JEM.item_id");
			$query4 = $this->db->get();
			//echo $this->db->last_query().'<br>';
			//$this->db->join('job_card AS JC','JC.id = JUE.job_card_id','inner');
			//$query4 = $this->db->query("SELECT JB.`id`,JB.`job_card_number`,JB.`job_card_date`,JB.`job_card_total`,JB.`job_card_amount_with_vat`,JB.`quotation_id`,JB.`project_name`,NCM.client_name FROM `job_card` JB inner join `new_client_master` NCM on NCM.client_id=JB.client_id WHERE JB.`job_card_number`='$job_number' group by JB.`id`");
            $data['invoice_list'] =$query4->result_array();
			$data['job_number'] = $job_number;
			$data['job_card_date'] =  NULL;
			$data['project_name'] =  NULL;
			$data['client_name'] =  NULL;
		//}
		$this->load->view('templates/header');
		$this->load->view('reports/test',$data);
		$this->load->view('templates/footer');
	}
	public function search_job_no() {
		$client	=	$this->input->post('client');
		$today	=	date("Y-m-d");
		$html	='';
		$sql="";
		
		$client_contact_data = $this->db->query("SELECT * FROM `view_furniture_job_card` where `job_card_status`='Draft' AND ( `job_card_number` like '%$client%' OR `client_name` like '%$client%' OR `project_name` like '%$client%'  )   ".$sql." order by client_name limit 25 ");
		$n=1;
		if(count($client_contact_data->result_array())>0){
			$html='<tr class="no_result_button" tabindex="-1"><th><b>Name</b></th><th><b>Project</b></th><th><b>Job No</b></th></tr>';
			foreach ($client_contact_data->result_array() as $client_contact_datas){
				$html.='<tr tabindex="-1" class="client_button" ><td  ><input type="hidden" class="nbcli_id" value="' .$client_contact_datas['client_id'].'" /><input type="hidden" class="client_name" value="'.$client_contact_datas['client_name'].'" /><input type="hidden" class="project_name" value="'.$client_contact_datas['project_name'].'" /><input type="hidden" class="job_card_number" value="'.$client_contact_datas['job_card_number'].'" /><input type="hidden" class="job_card_id" value="'.$client_contact_datas['job_card_id'].'" /> '.$client_contact_datas['client_name'].'</td><td>'.$client_contact_datas['project_name'].'</td><td>'.$client_contact_datas['job_card_number'].'</td></tr>';
			}
		} else {
			$html.='<tr class="no_result_button" tabindex="-1"><td style="color:red;" colspan="3" > No Results Found </td></tr>';
		}
		print $html;
	}
}

?>