<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Trial_balance extends CI_Controller {

	public function __construct() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','Unauthorised access. Login required.');
			redirect('login');
		}
		$this->load->library('form_validation');
		//$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
	}	
	
	
	public function index($status='') {
		if($status == "result" ) {
			$this->form_validation->set_rules('report_date_from', 'Date', 'callback_date_check');
			$this->form_validation->set_rules('report_date_to', 'Date', 'callback_date_check');
			
			$error_flag = false;
			$error_msg = '';
			$quotation_type = "furniture";
			
			if ($this->form_validation->run() == FALSE || $error_flag) {
				// false section
				$this->session->set_flashdata('response',''.validation_errors().$error_msg.'',':old:');
				$data['records'] = false;
			} else {
				$data['records']=false;
				//Furniture Quotations...
				$data['quotation_type'] = "furniture";
				$where = array();
				//$where['acc.status'] = 1;
				//$where['ag.acc_group_parent'] = 0;
				/* if($this->input->post('user_id') != 0 ) {
					$where['salesman_id'] = $this->input->post('user_id');
				}
				if($this->input->post('quotation_status')) {
					$where['quotation_status'] = $this->input->post('quotation_status');
				}
				if($this->input->post('division') and $this->input->post('division')!="select" ) {
					$where['quotation_divisionid'] = $this->input->post('division');
					$div_total_flag = 1;
				}*/
				/* if($this->input->post('report_date_from') != ''  or $this->input->post('report_date_to') != '' ) {
					
					$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
					$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to')));

					if($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='' and (($this->input->post('quotation_status')) == 'Confirmed' )) {
						$where['vch_date >='] = $date_fmt;
						$where['vch_date <='] = $date_to;
					} else if ($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='') {
						$where['vch_date >='] = $date_fmt;
						$where['vch_date <='] = $date_to;
					} else if ($this->input->post('report_date_from') != '') {
						$where['vch_date >='] = $date_fmt;
					} else if ($this->input->post('report_date_to')!=''){
						$where['vch_date <='] = $date_to;
					}
				}  */

				
				/* $this->db->select(' *,Round(sum(ledger_amount),3) as Amount');
				$this->db->group_by("parent_group_name");
				$this->db->from('view_for_accounts');
				$this->db->order_by("acc_group_parent", "ASC");
				$this->db->order_by("acc_group_primary", "ASC");
				$this->db->order_by("sort_option", "DESC");
				//$this->db->limit(100);

				$this->db->where($where);
				$rs = $this->db->get();
				echo $this->db->last_query().'<br>'; */

				$where['acc_group_parent'] = 0;
				/* $this->db->select(' *,Round(sum(ledger_amount),3) as Amount');
				$this->db->group_by("parent_group_name");
				$this->db->from('view_for_accounts');
				$this->db->order_by("acc_group_parent", "ASC");
				$this->db->order_by("acc_group_primary", "ASC");
				$this->db->order_by("sort_option", "DESC"); */

				$this->db->select('*');
				$this->db->from('account_group');
				$this->db->order_by("acc_group_parent", "ASC");
				$this->db->order_by("acc_group_primary", "ASC");
				$this->db->order_by("sort_option", "ASC"); 

				$this->db->where($where);
				$rs = $this->db->get();
				//echo $this->db->last_query().'<br>';
				$data['records']=$rs->result_array();
			}
		} else {
			$data['logo_filename']= NULL;
			$data['sales_man'] = NULL;
			$data['records'] = "";
			$data['quotation_type'] = "furniture";
		}			
				
		
		
		
		$records = $this->crud_model->get('users');
		if($records!=false){
			$division_list = $this->crud_model->get_list('division_id','division_name','company_division',array('select'=>' - Select Division - '));
			$data['division_list'] = $division_list;

			$list = array(0 => ' - Select Salesman - ');
			foreach($records as $record){
				$list[$record['user_id']] = $record['user_name'];
			}
			$data['users'] = $list;
			$data['quotation_status'] = $this->config->item('quotation_status_array');

			$query = $this->db->get('company_details');  
			$data['company_details'] = $query->row_array();
			
			$data=$data;
			
			$this->load->view('templates/header');
			$this->load->view('reports/trial_balance',$data);
			$this->load->view('templates/footer');
		}
	}


	public function testxxxx($status='') {
		if($status == "result" ) {
			$this->form_validation->set_rules('report_date_from', 'Date', 'callback_date_check');
			$this->form_validation->set_rules('report_date_to', 'Date', 'callback_date_check');
			
			$error_flag = false;
			$error_msg = '';
			$quotation_type = "furniture";
			
			if ($this->form_validation->run() == FALSE || $error_flag) {
				// false section
				$this->session->set_flashdata('response',''.validation_errors().$error_msg.'',':old:');
				$data['records'] = false;
			} else {
				$data['records']=false;
				$data['quotation_type'] = "furniture";
				$where = array();
				$sql='';
				if($this->input->post('report_date_from') != '' or $this->input->post('report_date_to') != '' ) {
					$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
					$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to')));
	
					if($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='') {
						$sql=" and ( accounts.vch_date >= '$date_fmt' and accounts.vch_date<='$date_to' ) ";
					}
					else if($this->input->post('report_date_from') != '') {
						$sql=" and ( accounts.vch_date >= '$date_fmt' ) ";
					}
					else if($this->input->post('report_date_to')!=''){
						$sql=" and ( accounts.vch_date<='$date_to' ) ";
					}
				}

				//$sql=("SELECT acc.ledger_code,led.ledger_name, led.opening_balance, if(acc.ledger_amount > 0, Round(sum(acc.ledger_amount),3),'') as debit, if(acc.ledger_amount < 0, Round(sum(acc.ledger_amount),3),'') as Credit, Round(sum(acc.ledger_amount),3) as Amount, (led.opening_balance+ Round(sum(acc.ledger_amount),3)) as Closing, ag.acc_group_parent,ag.acc_group_name, if(ag.acc_group_parent=0, ag.acc_group_id , ag.acc_group_parent) as sort FROM `accounts` acc inner JOIN ledgers led on led.ledger_code = acc.ledger_code inner join account_group ag on led.acoount_group_id = ag.acc_group_id where   acc.status = 1 ".$sql." group by acc.ledger_code ORDER BY `ag`.`acc_group_name` ASC");
				$sql=("select code, name, sum(opening) as opening, sum(amount) as amount, opening+amount as closing from ( select ledgers.ledger_code as code, ledgers.ledger_name as name,
					opening_balance as opening,
					0 as amount,
					0 as Closing
					from ledgers
					union ALL select accounts.ledger_code as code,'' as name,0 as opening,sum(ledger_amount) as amount,0 as Closing from accounts where  accounts.status = 1  ".$sql." group by ledger_code ) a group by code ORDER BY `a`.`name`  ASC");
				$rs = $this->db->query($sql);
				$data['records']=$rs->result_array();
			}
		} else {
			$data['logo_filename']= NULL;
			$data['sales_man'] = NULL;
			$data['records'] = "";
			$data['quotation_type'] = "furniture";
		}			
		
		$records = $this->crud_model->get('users');
		if($records!=false){
			$division_list = $this->crud_model->get_list('division_id','division_name','company_division',array('select'=>' - Select Division - '));
			$data['division_list'] = $division_list;

			$list = array(0 => ' - Select Salesman - ');
			foreach($records as $record){
				$list[$record['user_id']] = $record['user_name'];
			}
			$data['users'] = $list;
			$data['quotation_status'] = $this->config->item('quotation_status_array');

			$query = $this->db->get('company_details');  
			$data['company_details'] = $query->row_array();
			
			$data=$data;
			
			$this->load->view('templates/header');
			$this->load->view('reports/trial_balance_test',$data);
			$this->load->view('templates/footer');
		}
	}

	public function opening_balace() {
		$sql=("SELECT * FROM `ledgers` WHERE `opening_balance` != 0");
				
		//$sql=("SELECT acc.ledger_code,led.ledger_name, led.opening_balance, if(acc.ledger_amount > 0, Round(sum(acc.ledger_amount),3),'') as debit, if(acc.ledger_amount < 0, Round(sum(acc.ledger_amount),3),'') as Credit, Round(sum(acc.ledger_amount),3) as Amount, (led.opening_balance+ Round(sum(acc.ledger_amount),3)) as Closing, ag.acc_group_parent,ag.acc_group_name, if(ag.acc_group_parent=0, ag.acc_group_id , ag.acc_group_parent) as sort FROM `accounts` acc inner JOIN ledgers led on led.ledger_code = acc.ledger_code inner join account_group ag on led.acoount_group_id = ag.acc_group_id where acc.vch_type!='OPENING' AND  acc.status = 1 ".$sql." group by acc.ledger_code ORDER BY `ag`.`acc_group_name` ASC");
		$rs = $this->db->query($sql);
		foreach($rs->result_array() as $row){
			//echo $row['ledger_code']." - ".$row['ledger_name']." - ".$row['opening_balance']."<br/>";
			$accounts_data = array(
				'vch_type' 	  => 'OPENING',
				'vch_no'  	  => 0,
				'vch_date'    => '2023-01-01',
				'vch_ref'     => '',
				'ledger_code' => $row['ledger_code'],
				'rev_ledger_code' => NULL,
				'cc_code' 	  => 1,
				'div_code' 	  => 1,
				'ledger_amount'=> (float)$row['opening_balance'],
				'ledger_narration'=> 'Opening Balance',
				'vch_narration'=> 'Opening Balance',
				'user_id' 	  => $this->session->userdata("user_id"),
				'status'      => 1
			);
			//$this->db->insert('accounts', $accounts_data);
		}
	}

	public function test($status='') {
		if($status == "result" ) {
			$this->form_validation->set_rules('report_date_from', 'Date', 'callback_date_check');
			$this->form_validation->set_rules('report_date_to', 'Date', 'callback_date_check');
			
			$error_flag = false;
			$error_msg = '';
			$quotation_type = "furniture";
			
			if ($this->form_validation->run() == FALSE || $error_flag) {
				// false section
				$this->session->set_flashdata('response',''.validation_errors().$error_msg.'',':old:');
				$data['records'] = false;
			} else {
				$data['records']=false;
				$data['quotation_type'] = "furniture";
				$where = array();
				$sql='';
				if($this->input->post('report_date_from') != '' or $this->input->post('report_date_to') != '' ) {
					$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
					$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to')));
	
					if($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='') {
						$sql=" and ( acc.vch_date >= '$date_fmt' and acc.vch_date<='$date_to' ) ";
					}
					else if($this->input->post('report_date_from') != '') {
						$sql=" and ( acc.vch_date >= '$date_fmt' ) ";
					}
					else if($this->input->post('report_date_to')!=''){
						$sql=" and ( acc.vch_date<='$date_to' ) ";
					}
				}

				$books_beginning_date_config = $this->furniture_quotation_model->books_beginning_date_config();
				if($date_fmt==$books_beginning_date_config){
					$sql=("SELECT acc.ledger_code,led.ledger_name,SUM(CASE WHEN vch_type = 'opening' THEN ledger_amount ELSE 0 END) AS opening_balance,led.acoount_group_id,acc_group_parent FROM `accounts` acc inner JOIN ledgers led on led.ledger_code = acc.ledger_code inner join account_group ag on led.acoount_group_id = ag.acc_group_id where acc.status = 1  ".$sql." group by acc.ledger_code ORDER BY `led`.`ledger_name` ASC");
					$rs = $this->db->query($sql);
					$data['records']=$rs->result_array();
				} else {
					$sql=("SELECT acc.ledger_code,led.ledger_name,SUM(CASE WHEN vch_type = 'opening' THEN ledger_amount ELSE 0 END) AS opening_balance,led.acoount_group_id,acc_group_parent FROM `accounts` acc inner JOIN ledgers led on led.ledger_code = acc.ledger_code inner join account_group ag on led.acoount_group_id = ag.acc_group_id where acc.status = 1 and acc.vch_date >= '$books_beginning_date_config' group by acc.ledger_code ORDER BY `led`.`ledger_name` ASC");
					$rs = $this->db->query($sql);
					$data['records']=$rs->result_array();
				}

				$where['acc_group_parent'] = 0;
				$this->db->select('*');
				$this->db->from('account_group');
				$this->db->order_by("acc_group_parent", "ASC");
				$this->db->order_by("acc_group_primary", "ASC");
				$this->db->order_by("sort_option", "ASC"); 
				$this->db->where($where);
				$rs = $this->db->get();
				$data['parent_group_records']=$rs->result_array();
				/* if($data['parent_group_records'] != false) {
					foreach($data['parent_group_records'] as $mmm){
						$sss[$mmm['acc_group_id']] = array(
							'acc_group_id' => $mmm['acc_group_id'],
							'acc_group_name' => $mmm['acc_group_name'],
							'acc_group_parent' => $mmm['acc_group_parent'],
						);
					}
				} */

				$where2['acc_group_parent!='] = 0;
				$this->db->select('*');
				$this->db->from('account_group');
				$this->db->order_by("acc_group_parent", "ASC");
				$this->db->order_by("acc_group_primary", "ASC");
				$this->db->order_by("sort_option", "ASC"); 
				$this->db->where($where2);
				$rs2 = $this->db->get();
				$data['sub_group_records']=$rs2->result_array();

				if($data['records'] != false) {
					foreach($data['records'] as $record){
						$opening_balance = 0;
						$debit = 0;
						$Credit = 0;
						$Closing = 0;
						if ($this->input->post('report_date_from')){
							$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
							$books_beginning_date_config = $this->furniture_quotation_model->books_beginning_date_config();


							if($this->input->post('report_date_from') != '' or $this->input->post('report_date_to') != '' ) {
								$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
								$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to')));
				
								if($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='') {
									$sql=" and ( acc.vch_date >= '$date_fmt' and acc.vch_date<='$date_to' ) ";
								}
								else if($this->input->post('report_date_from') != '') {
									$sql=" and ( acc.vch_date >= '$date_fmt' ) ";
								}
								else if($this->input->post('report_date_to')!=''){
									$sql=" and ( acc.vch_date<='$date_to' ) ";
								}
							}

							if($date_fmt!=$books_beginning_date_config){
								$opsql=("SELECT acc.ledger_code,led.ledger_name,SUM(ledger_amount) AS opening_balance FROM `accounts` acc inner JOIN ledgers led on led.ledger_code = acc.ledger_code inner join account_group ag on led.acoount_group_id = ag.acc_group_id where acc.status = 1 and acc.`vch_type`!='OPENING' and acc.vch_date < '$date_fmt' and acc.ledger_code='".$record['ledger_code']."' ");
								$oprs = $this->db->query($opsql);
								if($oprs->num_rows()>0){
									$opening_balance = $oprs->row()->opening_balance;
								} else {
									$opening_balance = 0;
								}
							} else {
								$opening_balance = 0;
							}

							$sql3=("SELECT acc.ledger_code,led.ledger_name, led.opening_balance, if(acc.ledger_amount > 0, Round(sum(acc.ledger_amount),3),0) as debit, if(acc.ledger_amount < 0, Round(sum(acc.ledger_amount),3),0) as Credit, Round(sum(acc.ledger_amount),3) as Amount, (led.opening_balance+ Round(sum(acc.ledger_amount),3)) as Closing, ag.acc_group_parent,ag.acc_group_name, if(ag.acc_group_parent=0, ag.acc_group_id , ag.acc_group_parent) as sort FROM `accounts` acc inner JOIN ledgers led on led.ledger_code = acc.ledger_code inner join account_group ag on led.acoount_group_id = ag.acc_group_id where acc.vch_type!='OPENING' AND  acc.status = 1 AND acc.vch_type!='OPENING' AND acc.ledger_code='".$record['ledger_code']."' and acc.ledger_amount > 0 ".$sql." group by acc.ledger_code");
							$rs = $this->db->query($sql3);
							
							if($rs->num_rows()>0){
								$debit = $rs->row()->debit;
								$Closing = $rs->row()->Closing;
							}
							$sql2=("SELECT acc.ledger_code,led.ledger_name, led.opening_balance, if(acc.ledger_amount > 0, Round(sum(acc.ledger_amount),3),0) as debit, if(acc.ledger_amount < 0, Round(sum(acc.ledger_amount),3),0) as Credit, Round(sum(acc.ledger_amount),3) as Amount, (led.opening_balance+ Round(sum(acc.ledger_amount),3)) as Closing, ag.acc_group_parent,ag.acc_group_name, if(ag.acc_group_parent=0, ag.acc_group_id , ag.acc_group_parent) as sort FROM `accounts` acc inner JOIN ledgers led on led.ledger_code = acc.ledger_code inner join account_group ag on led.acoount_group_id = ag.acc_group_id where acc.vch_type!='OPENING' AND  acc.status = 1 AND acc.vch_type!='OPENING' AND acc.ledger_code='".$record['ledger_code']."' and acc.ledger_amount < 0 ".$sql." group by acc.ledger_code");
							$rs2 = $this->db->query($sql2);
							if($rs2->num_rows()>0){
								$Credit = $rs2->row()->Credit;
								$Closing = $rs2->row()->Closing;
							}
							
							$sss[$record['ledger_code']] = array(
								'acc_group_id' => $record['acoount_group_id'],
								'ledger_code' => $record['ledger_code'],
								'ledger_name' => $record['ledger_name'],
								'opening_balance' => $record['opening_balance']+$opening_balance,
								'debit' => $debit,
								'credit' => $Credit,
								'closing_balance' => $record['opening_balance']+$opening_balance+$debit+$Credit,
								'date_fmt' => $date_fmt,
								'date_to' => $date_to,
								'nbxacc_group_parent' => $record['acc_group_parent'],
							);
						}			
					} 			
				}
				/* foreach ($data['parent_group_records'] as $item) {
					$sss[$item['acc_group_id']] = $item;
				}*/
				$data['records'] =	$sss;
			}
			
		} else {
			$data['logo_filename']= NULL;
			$data['sales_man'] = NULL;
			$data['records'] = "";
			$data['parent_group_records'] = "";
			$data['sss'] = "";
			$data['quotation_type'] = "furniture";
		}			
						
		$records = $this->crud_model->get('users');
		if($records!=false){
			$division_list = $this->crud_model->get_list('division_id','division_name','company_division',array('select'=>' - Select Division - '));
			$data['division_list'] = $division_list;

			$list = array(0 => ' - Select Salesman - ');
			foreach($records as $record){
				$list[$record['user_id']] = $record['user_name'];
			}
			$data['users'] = $list;
			$data['quotation_status'] = $this->config->item('quotation_status_array');

			$query = $this->db->get('company_details');  
			$data['company_details'] = $query->row_array();
			
			$data=$data;
			
			$this->load->view('templates/header');
			$this->load->view('reports/trial_balance_test',$data);
			$this->load->view('templates/footer');
		}
	}
	
	function date_check($data) {
		$given_date = strtotime($data);
		$today_date = strtotime(date('Y-m-d'));
		if($given_date <= $today_date) {
			return true;
		}else{
			$this->form_validation->set_message('date_check', 'Date cannot be Future date');
			return FALSE;
		}
	}
}

?>