<?php
 if (!defined('BASEPATH')) exit('No direct script access allowed');
 
class Rfq extends CI_Controller{
	public function __construct() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true) {
			$this->session->set_flashdata('response','Unauthorised access. Login required.');
			redirect('login');
		}	
	}
	function index($client="") {

	}

	public function listPurchaseRequest(){

		$title['headerTitle']="Purchase Request";
  		$page = 0;
		$i=1;
		$list='';
		$headList='';
		foreach ($this->Job_card_model->get_all_purchase_request() as $row) {
			$style='';
			if($row->status=='Cancel'){
				$style='class="nb-td-cancel"';
			} else if($row->status=='Rate Updated') {
				$style='class="td-bg-warning "';
			} else if($row->status=='Confirmed') {
				$style='class="nb-td-confirm"';
			} else {
				$style='class="nb-td-draft"';
			}
		    $list.='<tr '.$style.' >
						<td>'.$i++.'</td>
						<td>'.$row->pr_code.'</td>
						<td>'.date("M d, Y", strtotime($row->pr_date)).'</td>
						<td>'.$row->client_name.'</td>
						<td>'.$row->job_card_number.'</td>
						<td>'.$row->project_name.'</td>
						<td>
							<div class="btn-group">
								<button type="button" class="btn btn-sm btn-primary dropdown-toggle" data-bs-toggle="dropdown">
									Action <span class="caret"></span>
								</button>
								<ul class="dropdown-menu" role="menu">';
									$list.= '<li><a target="_blank"  href="'.base_url().'index.php/furniture/PurchaseRequest/printPurchaseRequest/' . $row->pr_id . '"><i class="fa fa-print"></i> Print</a> </li>';
									if($row->status==='Draft') {
										$list.= '<li><a class="iframe iframe cboxElement click2" title="View Receipt" href="'.base_url().'index.php/furniture/PurchaseRequest/editPurchaseRequest/' . $row->pr_id . '"><i class="fa fa-edit"></i> Edit</a> </li>';
									}
									$list.= '<li><a class="iframe iframe cboxElement click2" title="View Receipt" href="'.base_url().'index.php/furniture/Rfq/createRfq/' . $row->pr_id . '"><i class="fa fa-edit"></i> Update Rate</a> </li>';
									if($this->session->userdata('user_group_id') == 1 ) {
										//$list.= '<li><a class="iframe iframe cboxElement click2" title="View Receipt" href="'.base_url().'index.php/furniture/PurchaseRequest/updateRate/' . $row->pr_id . '"><i class="fa fa-edit"></i> Update Rate</a> </li>';
										if($row->status!='Cancel') {
											$rrr="'".$row->pr_id."','".$row->pr_code."'";
											$list.= '<li><a href="javascript:ConfirmDelete('.$rrr.')" ><i class="fa fa-close"></i> Cancel</a> </li>';
										} 
									}
								$list.= '</ul>
							</div>
						</td>
				    </tr>';
		}
		$datas   =   array("data" => $list);
  		$this->load->view('templates/header',$title);
		$this->load->view('furniture/quotations/purchaserequest/listPurchaseRequest',$datas);
		$this->load->view('templates/footer');
	}

	

	public function search_items() {
		$item	=	$this->input->post('item');
	 	$today	=	date("Y-m-d");
	 	$html	='';
		$sql="";

	  	$query3 = $this->db->query("SELECT * FROM `items`  WHERE `status`='1' and `is_purchase`='1' and  `item_name` like '%$item%' limit 25");
	 	$itemList_date	=	$query3->result_array();
	 	$itemList='';
	 	foreach($itemList_date as $itemList_datas){
			$html.='<li tabindex="-1" class="search_item_list p_description_button" data-rate="'.$itemList_datas['selling_price'].'"  data-item_code="'.$itemList_datas['item_code'].'" data-item_UOM_id="'.$itemList_datas['unit_id'].'" data-item_name="'.$itemList_datas['item_name'].'" data-item_cost="'.$itemList_datas['cost_price'].'" data-item_details_id="'.$itemList_datas['id'].'" data-uom="'.$itemList_datas['unit'].'"  item_tax_rate="10">'.$itemList_datas['item_name'].'</li>';
	 	}
		if(count($itemList_date)==0){
		 	$html.='<li>No data found</li>';
	 	}
		print $html;
	}

	public function search_items_by_location() {
		$item	=	$this->input->post('item');
		$today	=	date("Y-m-d");
		$html	='';
		$sql="";
		$loc_id	=	$this->input->post('loc_id');

		$query3 = $this->db->query("SELECT * FROM `items`  WHERE `item_name` like '%$item%'");
		$itemList_date	=	$query3->result_array();
		$itemList='';
		
		foreach($itemList_date as $itemList_datas){
			$item_rate=0;
			$id=$itemList_datas['id'];
			$query5 = $this->db->query("SELECT item_rate FROM `item_trans` WHERE `loc_id` = '$loc_id' and `item_id` = '$id' and `trans_type`=1 ORDER BY `item_trans_id` DESC LIMIT 1");
			if($query5->num_rows() > 0){
				$item_rate = $query5->row()->item_rate;
			}
			if($item_rate==0){
				$query6 = $this->db->query("SELECT item_rate FROM `item_trans` WHERE `loc_id` != '$loc_id' and `item_id` = '$id' and `trans_type`=1 ORDER BY `item_trans_id` DESC LIMIT 1");
				if($query6->num_rows() > 0){
					$item_rate = $query6->row()->item_rate;
				}
			}
			if($item_rate==0){
				$item_rate =$itemList_datas['cost_price'];
			}

			$html.='<li class="search_item_list p_description_button" data-rate="'.$itemList_datas['selling_price'].'"  data-item_code="'.$itemList_datas['item_code'].'" data-item_UOM_id="'.$itemList_datas['unit_id'].'" data-item_name="'.$itemList_datas['item_name'].'" data-item_cost="'.$item_rate.'" data-item_details_id="'.$itemList_datas['id'].'" item_tax_rate="5">'.$itemList_datas['item_name'].'</li>';
		}
		if(count($itemList_date)==0){
			$html.='<li>No data found</li>';
		}
		print $html;
	}

	function create_pr($client="") {
		$title['headerTitle']="Purchase Request Create";
		$total_count	= $this->input->post('total_count');
		$html='';
		$rowCount=1;
		for($i=1;$i<=$total_count;$i++){
			$item_id		= $this->input->post('item_id'.$i);
			$req_qty		= $this->input->post('req_qty'.$i);
			$closing_stock	= $this->input->post('closing_stock'.$i);
			if($item_id!=''){
				$query = $this->db->query("SELECT * FROM `items`  WHERE `id`='$item_id'");
				if($query->row_array()!=false){
					$rowCountn=$rowCount++;
					//echo $item_id.','.$closing_stock.','.$req_qty.'<br>';
					$html.='<tr class="remove'.$rowCountn.' ">';
					$html.='<td style="text-align: left;"><input type="hidden" name="row_c" class="row_c" value="'.$rowCountn.'" /> '.$rowCountn.'</td>';
					$html.='<td><input type="hidden" name="row_pr_d_id[]" class="row_pr_d_id" value="" /><input type="hidden" name="row_item_name[]" class="row_item_name" value="'.$query->row()->item_name.'" /> <input type="hidden" name="row_item_id[]" class="row_item_id" value="'.$query->row()->id.'" /> <input type="hidden" name="row_description[]" class="row_description" value="NIL" /><input type="hidden" name="row_closing_stock[]" class="row_closing_stock" value="'.$closing_stock.'" /><input type="hidden" name="row_req_qty[]" class="row_req_qty" value="'.$req_qty.'" /><input type="hidden" name="row_material_qty[]" class="row_material_qty" value="'.$req_qty.'" /><input type="hidden" name="row_uom[]" class="row_uom" value="'.$query->row()->unit.'" /><input type="hidden" name="row_p_remarks[]" class="row_p_remarks" value="" /> '.$query->row()->item_name.'</td>';
					$html.='<td style="text-align: left;">'.$closing_stock.'</td>';
					$html.='<td style="text-align: left;">'.$req_qty.'</td>';
					$html.='<td style="text-align: left;">'.$req_qty.'</td>';
					$html.='<td style="text-align: left;">'.$query->row()->unit.'</td>';
					$html.='<td style="text-align: left;"></td>';
					$html.='<td><a class="minus editItemRow" data-bs-target=".bd-example-modal-lg" ><i class="fa fa-edit"></i></a> &nbsp;&nbsp;&nbsp; <a id="add__new__list" class="minus deletMinus" data-bs-target=".bd-example-modal-lg" ><i class="fa fa-trash"></i></a></td>';
					$html.='</tr>';
				}
			}
		}
		//echo $html;
		$job_number    = $this->input->post('job_number');
		$division_id    = $this->input->post('division_id');
		$jobData = $this->Job_card_model->getJobData($division_id,$job_number);
		//print_r($jobData);
		//exit();
		$client    = $this->input->post('client');
		$this->load->view('templates/header',$title);
		$this->load->model('proforma_model');
		$data['client_det']=$client;
		$data['client_det_id']=$this->input->post('client_id');
		$list = $this->crud_model->get_list('division_id','division_name','company_division',array(''=>' - Select - '));
		$data['division_list'] = $list;
		$list2 = $this->crud_model->get_list2('department_id','department_name','department_master',array(''=>' - Select - '),array('status'=>1));
		$data['department_list'] = $list2;
		$nn=$this->Job_card_model->purchaseRequestNumber($division_id);
		$data['purchaseRequestNumber'] = $this->Job_card_model->get_purchase_request_no($nn,$division_id);
		$data['jobData']=$jobData;
		if($this->furniture_quotation_model->config($division_id)){
			$config_data=$this->furniture_quotation_model->config($division_id);
			$data['is_quote_from_master'] = $config_data->is_quote_from_master;
			$data['is_estimate'] = $config_data->is_estimate;
			$data['is_approve'] = $config_data->is_approve;
			$data['is_bom'] = $config_data->is_bom;
			$data['is_optional_item_level'] = $config_data->is_optional_item_level;
			$data['is_category'] = $config_data->is_category;
		} else {
			$data['is_quote_from_master'] = 0;
			$data['is_estimate'] = 0;
			$data['is_approve'] = 0;
			$data['is_bom'] = 0;
			$data['is_optional_item_level'] = 0;
			$data['is_category'] = 0;
		}

		$unit_list = $this->crud_model->get_list('unit_name','unit_name','unit_master',array(''=>' - Select - '));
		$data['unit_list'] = $unit_list;
		$data['addeditems'] = $html;
		
		$this->load->view('furniture/quotations/purchaserequest/create_pr',$data);
		$this->load->view('templates/footer'); 
	}

	function create_purchase_request($client="") {
		$title['headerTitle']="Purchase Request Create";
		$job_card_id    = $this->input->post('job_card_id');
		$client    = $this->input->post('client');
		$this->load->view('templates/header',$title);
		$this->load->model('proforma_model');
		$data['client_det']=$client;
		$data['client_det_id']=$this->input->post('client_id');
		$list = $this->crud_model->get_list('division_id','division_name','company_division',array(''=>' - Select - '));
		$data['division_list'] = $list;
		$list2 = $this->crud_model->get_list2('department_id','department_name','department_master',array(''=>' - Select - '),array('status'=>1));
		$data['department_list'] = $list2;
		$nn=$this->Job_card_model->purchaseRequestNumber(1);
		$data['purchaseRequestNumber'] = $this->Job_card_model->get_purchase_request_no($nn,1);

		if($this->furniture_quotation_model->config(1)){
			$config_data=$this->furniture_quotation_model->config(1);
			$data['is_quote_from_master'] = $config_data->is_quote_from_master;
			$data['is_estimate'] = $config_data->is_estimate;
			$data['is_approve'] = $config_data->is_approve;
			$data['is_bom'] = $config_data->is_bom;
			$data['is_optional_item_level'] = $config_data->is_optional_item_level;
			$data['is_category'] = $config_data->is_category;
		} else {
			$data['is_quote_from_master'] = 0;
			$data['is_estimate'] = 0;
			$data['is_approve'] = 0;
			$data['is_bom'] = 0;
			$data['is_optional_item_level'] = 0;
			$data['is_category'] = 0;
		}

		$unit_list = $this->crud_model->get_list('unit_name','unit_name','unit_master',array(''=>' - Select - '));
		$data['unit_list'] = $unit_list;

		$this->load->view('furniture/quotations/purchaserequest/create_purchase_request',$data);
		$this->load->view('templates/footer');
	}

	public function do_insert() {

		$this->form_validation->set_rules('row_item_name[]', 'Product', 'required');
		$this->form_validation->set_rules('dep_id', 'Department', 'required');
		$this->form_validation->set_rules('division_id', 'Division', 'required');
		if($this->input->post('pr_type')==='Others'){
			$this->form_validation->set_rules('job_id', 'Job No', 'required');
		}
        if ($this->form_validation->run() == FALSE){
			$this->session->set_flashdata('response',''.validation_errors().'',':old:');
			redirect('furniture/PurchaseRequest/create_purchase_request');
        } else {
	  		$user_id	=	$this->session->userdata('user_id');
			$this->db->trans_begin();
	 		$purchaseRequestNumber= $this->Job_card_model->purchaseRequestNumber($this->input->post('division_id'));
			$pr_code= $this->Job_card_model->get_purchase_request_no($purchaseRequestNumber,$this->input->post('division_id'));
			$data = array( 
				'pr_number'   => $purchaseRequestNumber,
				'pr_code'     => $pr_code,
				'pr_date'     => date("Y-m-d"),
				'dep_id'      => $this->input->post('dep_id'),
				'division_id' => $this->input->post('division_id'),
				'job_id'      => $this->input->post('job_id'),
				'pr_type'      => $this->input->post('pr_type'),
				'rfq_number'  => NULL,
				'user_id'     => $user_id,
				'status'      => 'Draft'
			);	
			$this->db->insert('purchase_request', $data);
			$insert_id = $this->db->insert_id();
	
			if($insert_id){
				
				$loop_count	= count($this->input->post('row_item_name'));
				
				$row_item_id	  = $this->input->post('row_item_id');
				$row_item_name	  = $this->input->post('row_item_name');
				$row_description  = $this->input->post('row_description');
				$row_material_qty = $this->input->post('row_material_qty');
				$row_uom	      = $this->input->post('row_uom');
				$row_p_remarks	  = $this->input->post('row_p_remarks');
				$po_gross_amt     = 0;
				$po_discount      = 0;
				$po_vat_amt       = 0;
				$po_net_amt       = 0;
				for($i=0; $i<$loop_count; $i++){
					$chk_loop	    =	$row_item_name[$i];
					if($chk_loop!==''){
						if(@$row_item_id[$i]!==''){
							$row_item_idnbx= $row_item_id[$i];
						} else {
							$row_item_idnbx= 0;
						}
						if($row_description[$i]!='NIL'){
							$row_description_nbx=$row_description[$i];
						} else {
							$row_description_nbx=NULL;
						}
						$data_array = array(
							'pr_id' 	      => $insert_id,
							'item_details_id' => $row_item_idnbx,
							'item_name'   	  => $row_item_name[$i],
							'item_description'=> $row_description_nbx,
							'item_qty' 		  => $row_material_qty[$i],
							'uom' 		      => $row_uom[$i],
							'item_remarks'    => $row_p_remarks[$i],
							'status'          => 1
						);
						$this->db->insert('purchase_request_details', $data_array);
					}
				}
				$log_data=array(
					'trans_no'     => $pr_code,
					'trans_type'   => 'Purchase Request',
					'trans_op'     => 'Create',
					'trans_user_id'=> $this->session->userdata('user_id')	
				);
				$log_for_transactions	=	$this->crud_model->insert('log_for_transactions',$log_data);
			}
			if ($this->db->trans_status() === FALSE) {
				$this->db->trans_rollback();
				redirect("furniture/PurchaseRequest/listPurchaseRequest");
			} else {
				$this->db->trans_commit();
				$this->session->set_flashdata('success', 'Purchase Request Created...');
				//redirect("furniture/PurchaseRequest/editPurchaseOrder/".$insert_id);
				redirect("furniture/PurchaseRequest/listPurchaseRequest");
			}
		}
	}

	public function printPurchaseRequest($purchase_id,$approvestatus=NULL){
		$datas['row']        = $this->Job_card_model->purchaseRequestRow($purchase_id);

		$division_id	=	$datas['row']->division_id;

		$this->db->select('*' );
		$this->db->from('company_division');
		$this->db->where('division_id', $division_id);
		$rs = $this->db->get();
		$datas['logo_filename'] = $rs->row()->logo_filename;
		$datas['approvestatus'] = $approvestatus;

		$datas['details']    = $this->Job_card_model->purchaseRequestDetails($purchase_id);

		$query = $this->db->get('company_details');  
		$datas['company_details'] = $query->row();

		$this->load->view('furniture/quotations/purchaserequest/printPurchaseRequest',$datas);
	}

	public function approvePurchaseRequest($pr_id,$pr_code){
		$this->session->keep_flashdata('response');
		$where = array('pr_id'	=> $pr_id);	
		$data_quo['status']= 'Confirmed';

		$this->crud_model->update('purchase_request',$data_quo,$where);
		
		$log_data=array(
			'trans_no'     =>  $pr_code,
			'trans_type'   =>  'Purchase Request',
			'trans_op'     =>  'Confirmed',
			'trans_user_id'=>  $this->session->userdata('user_id')
		);
		$log_for_transactions=$this->crud_model->insert('log_for_transactions',$log_data);
		
		$this->session->set_flashdata('success','Confirmed successfully..');
		redirect('Dashboard/home');
	}

	public function editPurchaseRequest($purchase_id,$po_b_id='') {
		$title['headerTitle']="Purchase Request Edit";
		$this->form_validation->set_rules('row_item_name[]', 'Product', 'required');
		$this->form_validation->set_rules('dep_id', 'Department', 'required');
		
		$data['dbdata']        = $this->Job_card_model->purchaseRequestRow($purchase_id);
        if ($this->form_validation->run() == FALSE){
    		$data['details']    = $this->Job_card_model->purchaseRequestDetails($purchase_id);
			$job_card_id    = $this->input->post('job_card_id');
		
			$client    = $this->input->post('client');
		
			$this->load->model('proforma_model');
			$data['client_det']=$client;
			$data['client_det_id']=$this->input->post('client_id');
			$list = $this->crud_model->get_list('division_id','division_name','company_division',array(''=>' - Select - '));
			$data['division_list'] = $list;
			$list2 = $this->crud_model->get_list2('department_id','department_name','department_master',array(''=>' - Select - '),array('status'=>1));
			$data['department_list'] = $list2;

			$division_id = $data['dbdata']->division_id;

			if($this->furniture_quotation_model->config($division_id)){
				$config_data=$this->furniture_quotation_model->config($division_id);
				$data['is_quote_from_master'] = $config_data->is_quote_from_master;
				$data['is_estimate'] = $config_data->is_estimate;
				$data['is_approve'] = $config_data->is_approve;
				$data['is_bom'] = $config_data->is_bom;
				$data['is_optional_item_level'] = $config_data->is_optional_item_level;
				$data['is_category'] = $config_data->is_category;
			} else {
				$data['is_quote_from_master'] = 0;
				$data['is_estimate'] = 0;
				$data['is_approve'] = 0;
				$data['is_bom'] = 0;
				$data['is_optional_item_level'] = 0;
				$data['is_category'] = 0;
			}

			$unit_list = $this->crud_model->get_list('unit_name','unit_name','unit_master',array(''=>' - Select - '));
			$data['unit_list'] = $unit_list;

			$this->load->view('templates/header',$title);
			$this->load->view('furniture/quotations/purchaserequest/editPurchaseRequest',$data);
			$this->load->view('templates/footer');
        } else {
			
			$user_id	=	$this->session->userdata('user_id');
			$this->db->trans_begin();
			$pr_code= $this->input->post('pr_code');
			$data = array( 
				'dep_id'      => $this->input->post('dep_id'),
				'job_id'      => $this->input->post('job_id'),
				'rfq_number'  => NULL,
				'user_id'     => $user_id,
				'status'      => 'Draft'
			);	
			$this->db->where('pr_id', $purchase_id);
			$this->db->update('purchase_request', $data);
	
			if($purchase_id){
				
				$loop_count	= count($this->input->post('row_item_name'));
				
				$pr_d_id 	  	  = $this->input->post('row_pr_d_id');
				$row_item_id	  = $this->input->post('row_item_id');
				$row_item_name	  = $this->input->post('row_item_name');
				$row_description  = $this->input->post('row_description');
				$row_material_qty = $this->input->post('row_material_qty');
				$row_uom	      = $this->input->post('row_uom');
				$row_p_remarks	  = $this->input->post('row_p_remarks');
				$po_gross_amt     = 0;
				$po_discount      = 0;
				$po_vat_amt       = 0;
				$po_net_amt       = 0;
				$this->db->where("pr_id",$purchase_id);
				$this->db->delete('purchase_request_details');
				for($i=0; $i<$loop_count; $i++){
					$chk_loop	    =	$row_item_name[$i];
					if($chk_loop!==''){
						if(@$row_item_id[$i]!==''){
							$row_item_idnbx= $row_item_id[$i];
						} else {
							$row_item_idnbx= 0;
						}
						if($pr_d_id[$i]!='0'){
							$nbx= $pr_d_id[$i];
						} else {
							$nbx= NULL;
						}
						if($row_description[$i]!='NIL'){
							$row_description_nbx=$row_description[$i];
						} else {
							$row_description_nbx=NULL;
						}
						$data_array = array(
							'pr_d_id' 	      => $nbx,
							'pr_id' 	      => $purchase_id,
							'item_details_id' => $row_item_idnbx,
							'item_name'   	  => $row_item_name[$i],
							'item_description'=> $row_description_nbx,
							'item_qty' 		  => $row_material_qty[$i],
							'uom' 		      => $row_uom[$i],
							'rate' 		      => 0,
							'item_remarks'    => $row_p_remarks[$i],
							'status'          => 1
						);
						$this->db->insert('purchase_request_details', $data_array);
					}
				}
				$log_data=array(
					'trans_no'     => $pr_code,
					'trans_type'   => 'Purchase Request',
					'trans_op'     => 'Edit',
					'trans_user_id'=> $this->session->userdata('user_id')	
				);
				$log_for_transactions	=	$this->crud_model->insert('log_for_transactions',$log_data);
			}
			if ($this->db->trans_status() === FALSE) {
				$this->db->trans_rollback();
				redirect("furniture/PurchaseRequest/listPurchaseRequest");
			} else {
				$this->db->trans_commit();
				$this->session->set_flashdata('success', 'Updated');
				redirect("furniture/PurchaseRequest/editPurchaseRequest/".$purchase_id);
			}
		}
	}
	public function createRfq($purchase_id,$po_b_id='') {
		$title['headerTitle']="Purchase Request Update Rate";
		$this->form_validation->set_rules('row_item_name[]', 'Product', 'required');
		$this->form_validation->set_rules('dep_id', 'Department', 'required');
		
		$data['dbdata']        = $this->Job_card_model->purchaseRequestRow($purchase_id);
        if ($this->form_validation->run() == FALSE){
    		$data['details']    = $this->Job_card_model->purchaseRequestDetails($purchase_id);
			$job_card_id    = $this->input->post('job_card_id');
			$client    = $this->input->post('client');
		
			$this->load->model('proforma_model');
			$data['client_det']=$client;
			$data['client_det_id']=$this->input->post('client_id');
			$list = $this->crud_model->get_list('division_id','division_name','company_division',array(''=>' - Select - '));
			$data['division_list'] = $list;
			$list2 = $this->crud_model->get_list2('department_id','department_name','department_master',array(''=>' - Select - '),array('status'=>1));
			$data['department_list'] = $list2;

			$division_id = $data['dbdata']->division_id;

			if($this->furniture_quotation_model->config($division_id)){
				$config_data=$this->furniture_quotation_model->config($division_id);
				$data['is_quote_from_master'] = $config_data->is_quote_from_master;
				$data['is_estimate'] = $config_data->is_estimate;
				$data['is_approve'] = $config_data->is_approve;
				$data['is_bom'] = $config_data->is_bom;
				$data['is_optional_item_level'] = $config_data->is_optional_item_level;
				$data['is_category'] = $config_data->is_category;
			} else {
				$data['is_quote_from_master'] = 0;
				$data['is_estimate'] = 0;
				$data['is_approve'] = 0;
				$data['is_bom'] = 0;
				$data['is_optional_item_level'] = 0;
				$data['is_category'] = 0;
			}

			$unit_list = $this->crud_model->get_list('unit_name','unit_name','unit_master',array(''=>' - Select - '));
			$data['unit_list'] = $unit_list;

			$this->load->view('templates/header',$title);
			$this->load->view('furniture/quotations/rfq/createRfq',$data);
			$this->load->view('templates/footer');
        } else {
			//print_r($this->input->post('sup_array'));
			//exit();
			$user_id	=	$this->session->userdata('user_id');
			$this->db->trans_begin();
			$pr_code= $this->input->post('pr_code');
			$sup_array	=	$this->input->post('sup_array');
			$ggg='';
			for($kn=0; $kn<count($sup_array); $kn++){
				if($sup_array[$kn]!=''){
					$where=array('supplier_id'=>$sup_array[$kn]);
					//$where=array();
					$sup_data=$this->crud_model->get('supplier_master',$where);
					if($sup_data!=false){
						if($sup_data[0]['supplier_email']!=''){
							$ggg.=$sup_data[0]['supplier_email'].',';
						}
					}
				}
			}
			$data = array( 
				'dep_id'      => $this->input->post('dep_id'),
				'job_id'      => $this->input->post('job_id'),
				'rfq_number'  => NULL,
				'user_id'     => $user_id,
				'supplier_ids'=> json_encode($this->input->post('sup_array')),
			);	
			//'status'      => 'Draft'
			$this->db->where('pr_id', $purchase_id);
			$this->db->update('purchase_request', $data);

			$prodetails='';
			if($purchase_id){

				$loop_count	= count($this->input->post('row_item_name'));
				$pr_d_id 	  	  = $this->input->post('row_pr_d_id');
				$row_item_id	  = $this->input->post('row_item_id');
				$row_item_name	  = $this->input->post('row_item_name');
				$row_description  = $this->input->post('row_description');
				$row_material_qty = $this->input->post('row_material_qty');
				$row_uom	      = $this->input->post('uom');
				$row_rate	      = $this->input->post('row_rate');
				$row_p_remarks	  = $this->input->post('row_p_remarks');
				$po_gross_amt     = 0;
				$po_discount      = 0;
				$po_vat_amt       = 0;
				$po_net_amt       = 0;
				$this->db->where("pr_id",$purchase_id);
				$this->db->delete('purchase_request_details');
				for($i=0; $i<$loop_count; $i++){
					$chk_loop	    =	$row_item_name[$i];
					if($chk_loop!==''){
						if(@$row_item_id[$i]!==''){
							$row_item_idnbx= $row_item_id[$i];
						} else {
							$row_item_idnbx= 0;
						}
						if($pr_d_id[$i]!='0'){
							$nbx= $pr_d_id[$i];
						} else {
							$nbx= NULL;
						}
						if($row_description[$i]!='NIL'){
							$row_description_nbx=$row_description[$i];
						} else {
							$row_description_nbx=NULL;
						}
						$data_array = array(
							'pr_d_id' 	      => $nbx,
							'pr_id' 	      => $purchase_id,
							'item_details_id' => $row_item_idnbx,
							'item_name'   	  => $row_item_name[$i],
							'item_description'=> $row_description_nbx,
							'item_qty' 		  => $row_material_qty[$i],
							'uom' 		      => $row_uom[$i],
							'item_remarks'    => $row_p_remarks[$i],
							'status'          => 1
						);
						$this->db->insert('purchase_request_details', $data_array);
						$prodetails.='<tr>
						<td style="width:400px;font-family: Helvetica, arial, sans-serif; font-size: 14px; color: #000;" align="left">
							'.$row_item_name[$i].'
						</td>
						<td style="width:50px;font-family: Helvetica, arial, sans-serif; font-size: 14px; color: #000;" align="left">
							'.$row_material_qty[$i].' / '.$row_uom[$i].'
						</td>
					 </tr>
					 <tr>
					 <td style="width:400px;font-family: Helvetica, arial, sans-serif; font-size: 14px; color: #000;" align="left" claspan="2" >
						 '.$row_p_remarks[$i].'
					 </td>
				  </tr>';
					}
				}
				$log_data=array(
					'trans_no'     => $pr_code,
					'trans_type'   => 'RFQ',
					'trans_op'     => 'Create',
					'trans_user_id'=> $this->session->userdata('user_id')	
				);
				$log_for_transactions	=	$this->crud_model->insert('log_for_transactions',$log_data);
			}
			if ($this->db->trans_status() === FALSE) {
				$this->db->trans_rollback();
				redirect("furniture/PurchaseRequest/listPurchaseRequest");
			} else {
				$this->db->trans_commit();
				//$this->testsend(rtrim($ggg, ", "));
				$kk	=	rtrim($ggg, ", ");
				$html=$this->mailbody($pr_code,$prodetails);
				$this->sendmail($from="",$fromname="","$kk",$subject="RFQ",$message="$html",$cc="",$bcc="");
				$this->session->set_flashdata('success', 'Rfq send Successfuly');
				redirect("furniture/Rfq/createRfq/".$purchase_id);
			}
		}
	}

	function testsend($xdd)
	{
		echo $xdd;
		//var $CI;
		$from='mithunjacob.clt@gmail.com';
		$fromname="nabaskk@gmail.com";
		$to="$xdd";
		$subject='RFQ4';$body='Test Body'; $cc="";$bcc="";
		$CI =& get_instance();
		$CI->load->library('email');
		$config = Array(
			'protocol' => 'smtp',
			'smtp_host' => 'smtp.ipage.com',
			'smtp_port' => 465,
			'smtp_user' => 'qpro@q-pro.in',
			'smtp_pass' => 'Y132N@K7mk#M',
			'mailtype'  => 'html', 
			'charset'   => 'iso-8859-1'	 
	   );
		
	   $this->load->library('email', $config);
	   $this->email->set_newline("\r\n");

	   $this->email->from($from, 'Networksy');
	   $this->email->to($to); 
	   if($bcc != ""){
		   $this->email->cc($cc); 
	   }
	   if($bcc != ""){
		   $this->email->bcc($bcc);
	   }
	   $this->email->subject($subject);
	   $this->email->message($body);
	   
	   if ($this->email->send()) {
			echo 'sss';
		   return TRUE;
	   } else {
		echo $this->email->print_debugger();
		   return FALSE;
	   }
			
	}

	function sendmail($from,$fromname,$to,$subject,$message,$cc,$bcc)
	{
		$this->load->library('email');
		$config = array();
		$config['useragent'] = "CodeIgniter";
		$config['mailpath']  = "/usr/bin/sendmail";
		$config['protocol']  = "smtp";
		$config['smtp_host'] = "smtp.ipage.com";
		$config['smtp_user'] = "autotalli@q-pro.in";
		$config['smtp_pass'] = "Atalli123@";        
		$config['smtp_port'] = "587";
		$config['mailtype']  = 'html';
		$config['charset']   = 'utf-8';
		$config['newline']   = "\r\n";
		$config['wordwrap']  = TRUE;
		$this->load->library('email');
		$this->email->initialize($config);        
		$this->email->subject($subject);
		$this->email->message($message);
		$this->email->from( "autotalli@q-pro.in", 'Nabas', 'autotalli@q-pro.in'  );        
		$this->email->to($to);
		if($this->email->send())
		{
			return true;
		}
		else
		{
			return false;
		}
			
	}

	public function mailbody($pr_code,$prodetails) {
		$list='<table width="100%" bgcolor="#000" cellpadding="0" cellspacing="0" border="0">
           		<tbody>
					<tr>
						<td width="100%">
							<table bgcolor="#000" width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="devicewidth">
								<tbody>
									<tr>
										<td height="5" style="font-size:1px; line-height:1px; mso-line-height-rule: exactly;">&nbsp;</td>
									</tr>
									<tr>
										<td>
										<table width="500" align="left" border="0" cellpadding="0" cellspacing="0" class="devicewidth">
											<tbody>
												<tr>
													<td width="500" height="60" align="center">
													<div class="imgpop"><span style="color:#d4af37;font-size:25px;">Nettworksy</span>';
														/* <a target="_blank" href="#">
														<img src="' . base_url() . 'logo/logo.png" alt="" style="padding-left: 85px;" border="0" width="158" height="60" style="display:block; border:none; outline:none; text-decoration:none;">
														</a>*/
													$list .= ' </div>
													</td>
												</tr>
											</tbody>
										</table>

										</td>
									</tr>
									<tr>
										<td height="" style="font-size:1px; line-height:1px; mso-line-height-rule: exactly;">&nbsp;</td>
									</tr>
								</tbody>
							</table>
						</td>
					</tr>
				</tbody>
			</table>

        <table width="100%" bgcolor="#fff" cellpadding="0" cellspacing="0" border="0" id="backgroundTable" st-sortable="seperator" >
           <tbody>
              <tr>
                 <td>
                    <table width="600" align="center" cellspacing="0" cellpadding="0" border="0" class="devicewidth">
                       <tbody>
                          <tr>
                             <td align="center" height="30" style="font-size:1px; line-height:1px;">&nbsp;</td>
                          </tr>
                       </tbody>
                    </table>
                 </td>
              </tr>
           </tbody>
        </table>

        <table width="100%" bgcolor="#fff" cellpadding="0" cellspacing="0" border="0" id="backgroundTable">
           <tbody>
              <tr>
                 <td>
                    <table width="600" cellpadding="0" cellspacing="0" border="0" align="center" class="devicewidth">
                       <tbody>
                          <tr>
                             <td width="100%">

                                                        <table bgcolor="#ffffff" width="100%" align="right" border="0" cellpadding="0" cellspacing="0" class="devicewidthinner">
                                                           <tbody>
                                                              <tr>
                                                                 <td style="font-family: Helvetica, arial, sans-serif; font-size: 15px; color: #262626; text-align:left; padding:5px; " >
                                                                   <strong> Dear <br></strong>

                                                                 </td>
                                                              </tr>
															  
                                                              <tr>
                                                                 <td style="font-family: Helvetica, arial, sans-serif; font-size: 14px; color: #4f5458; text-align:left; line-height: 20px;padding:5px;">
                                                                   
                                                                 </td>
                                                              </tr>
                                                           </tbody>
                                                        </table>
                                   </tbody>
                                </table>
                             </td>
                          </tr>
                       </tbody>
                    </table>
                 </td>
              </tr>
           </tbody>
        </table>


        <table width="100%" bgcolor="#fff" cellpadding="0" cellspacing="0" border="0" id="backgroundTable">
           <tbody>
              <tr>
                 <td>
                    <table width="600" cellpadding="0" cellspacing="0" border="0" align="center" class="devicewidth">
                       <tbody>
                          <tr>
                             <td width="100%">
                                 <table bgcolor="#ffffff" width="100%" align="center" border="0" cellpadding="0" cellspacing="0" class="devicewidthinner">
                                               <tbody>
                                                  <tr>
                                                     <td>

                                                        

                                         </td>
                                      </tr>

                                      <tr>
                                         <td width="100%" bgcolor="#000" height="3" style="font-size: 1px; line-height: 1px;">&nbsp;</td>
                                      </tr>
                                   </tbody>
                                </table>
                             </td>
                          </tr>
                       </tbody>
                    </table>
                 </td>
              </tr>
           </tbody>
        </table>

        <table width="100%" bgcolor="#fff" cellpadding="0" cellspacing="0" border="0" id="backgroundTable" style="border-bottom:2px solid #000;">
           <tbody>
              <tr>
                 <td>
                    <table width="600" cellpadding="0" cellspacing="0" border="0" align="center" class="devicewidth">
                       <tbody>
                          <tr>
                             <td width="100%">
                                <table bgcolor="#fff" width="600" cellpadding="0" cellspacing="0" border="0" align="center" class="devicewidth">
                                   <tbody>
                                      <tr>
                                         <td>
                                            
                                            <table width="450" align="left" border="0" cellpadding="0" cellspacing="0" class="devicewidth">
                                               <tbody>
                                                  <tr>
                                                     <td  height="20" colspan="2" ></td>
                                                  </tr>
                                                  <tr>
                                                     <td style="font-family: Helvetica, arial, sans-serif; font-size: 18px; color: #000; text-align:left;" colspan="2" >
                                                        Pr No : '.$pr_code.'
                                                     </td>
                                                  </tr>
                                                  <tr>
                                                     <td  height="10"></td>
                                                  </tr>
												  '.$prodetails.'
                                                  <tr>
                                                     <td height="20" colspan="2"></td>
                                                  </tr>
                                               </tbody>
                                            </table>
                                         </td>
                                      </tr>
                                   </tbody>
                                </table>
                             </td>
                          </tr>
                       </tbody>
                    </table>
                 </td>
              </tr>
           </tbody>
        </table>';
		return $list;
	}

	public function do_update_discount($po_id) {
		$this->form_validation->set_rules('nb_po_id', 'Purchase Order', 'required');
		if ($this->form_validation->run() == FALSE)	{
			// false section
			$this->session->set_flashdata('response',''.validation_errors().'',':old:');
			redirect('furniture/PurchaseOrder/editPurchaseOrder/'.$po_id);
		} else {
			$data = array(
				'status'     => 'Confirmed',
				'po_discount'=> $this->input->post('discount_bd'),
				'po_vat_amt' => $this->input->post('total_vat'),
				'sign' 	  	 => $this->input->post('sign'),
				'round_off'  => $this->input->post('round_off'),
				'po_net_amt' => $this->input->post('grand_total'),
			);

			$where=array(
				'po_id'=> $po_id
			);
			$this->crud_model->update(' po_h',$data,$where );


			$data2 = array(
				'job_id' 	 => $this->input->post('mar_job_id'),
			);
			$this->crud_model->update(' po_b',$data2,$where );
			$page=1;
			redirect('furniture/PurchaseOrder/listPurchaseOrder');
		}
	}

	public function searchSupplier() {
		$client	=	$this->input->post('client');
		$client_contact_data = $this->db->query("SELECT * FROM `supplier_master` WHERE `supplier_name` LIKE  '%$client%'");
		$n=1;
		$html ='';
		if(count($client_contact_data->result_array())>0){
			foreach ($client_contact_data->result_array() as $client_contact_datas){
				$html.='<li value="' .$client_contact_datas['supplier_id'].'" class="client_button" tabindex="'.$n++.'" ><input type="hidden" class="client_name" value="'.$client_contact_datas['supplier_name'].'" /><input type="hidden" class="supplier_email" value="'.$client_contact_datas['supplier_email'].'" /><input type="hidden" class="client_address" value="'.$client_contact_datas['address'].'" />'.$client_contact_datas['supplier_name'].'</li>';
			}
		} else {
			$html.='<li style="color:red;" class="no_result_button" > No Results Found </li>';
		}
		print $html;
	}

	public function searchJob() {
		$po_number = $this->input->post('po_number');
		$division = $this->input->post('division');
		//print 'aaa';
		$jobData = $this->Job_card_model->getPurchaseOrderData($division,$po_number);
		if($jobData!=false){
		  echo json_encode($jobData);
		}else{
		  echo 0;
		}
	}

	public function getDetails() {
		$job_number = $this->input->post('job_number');
		$division = $this->input->post('division');

		$client_contact_data = $this->db->query("SELECT * FROM `job_card` JC JOIN new_client_master NCM ON NCM.client_id=JC.client_id  WHERE  JC.`job_card_number`  LIKE  '%$job_number%' AND JC.`divisionid`='$division' AND (JC.`job_card_status`='Draft') ");
		$n=1;
		$html ='';
		if(count($client_contact_data->result_array())>0){
			foreach ($client_contact_data->result_array() as $client_contact_datas){
				$html.='<li value="' .$client_contact_datas['id'].'" class="job_button" tabindex="-1" ><input type="hidden" class="job_card_number" value="'.$client_contact_datas['job_card_number'].'" /><input type="hidden" class="client_name" value="'.$client_contact_datas['client_name'].'" /><input type="hidden" class="project_name" value="'.$client_contact_datas['project_name'].'" />'.$client_contact_datas['job_card_number'].'</li>';
			}
		} else {
			$html.='<li style="color:red;" class="no_result_button" > No Results Found </li>';
		}
		echo $html;
	}

	public function getPurchaseRequestNo(){  
		$division_id =$this->input->post('division_id');
		$query= $this->db->query("SELECT count(pr_number) as pr_number FROM `purchase_request` WHERE division_id='$division_id' ");
		$no=$query->row()->pr_number+1;
		if($division_id!=0){
			$query2= $this->db->query("SELECT * FROM  `company_division` WHERE division_id='$division_id'");
			$division_code=$query2->row()->division_code;
		} else {
			$division_code='';
		}
		$purchase_request_no='PR-'.sprintf("%'.04d",$no).'-'.$division_code;
		$data   =   json_encode(array('2',$purchase_request_no));
	    echo $data;
		
	}

	

	function search_job() {
	
		$search_name = trim($this->input->post('quotation_number_new_one'));
		$search_name1 = trim($this->input->post('textfield2'));
		
		$like=null;
		$array = explode("-",$search_name.'-0');
		//,'division_code'=>$array[0]
		$like=array('job_card_number'=>$array[1]);
		//$or_like=array('quotation_number'=>$search_name);,'is_invoice'=>0
		$where=array('job_card_divisionid'=>$search_name1);
		//$where=array();
		$records['quotation_list']=$this->crud_model->get('view_furniture_job_card',
				$where,
				null,
				null,
				null,
				null,
				$like,
				null,null);
					
		if($records['quotation_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/proforma_search_result', $records);
			
		}
		
	}

	public function pr_delete($id,$pr_code){
		$update_data = array(
			'status'      => 'Cancel',
		);
		$this->db->where('pr_id', $id);
		$this->db->update('purchase_request', $update_data);

		$log_data=array(
			'trans_no'  	=>  $pr_code,
			'trans_type'	=>  'Purchase Request',
			'trans_op'  	=>  'Delete',
			'trans_user_id' =>  $this->session->userdata('user_id')

		);
		$log_for_transactions=$this->crud_model->insert('log_for_transactions',$log_data);

		$this->session->set_flashdata('response', 'Cancelled...');
		redirect('furniture/PurchaseRequest/listPurchaseRequest');
	}

	public function po_item_delete($po_b_id,$po_id){
		$this->db->where("po_b_id",$po_b_id);
		$this->db->delete('po_b');
		$this->furniture_quotation_model->update_purchase_order_total($po_id);
		$this->session->set_flashdata('response', 'Deleted...');
		redirect('furniture/PurchaseOrder/editPurchaseOrder/'.$po_id);
	}
} 
?>