<?php
 if (!defined('BASEPATH')) exit('No direct script access allowed');
 
class SetDepartment extends CI_Controller {

	public function __construct(){
		parent::__construct();// you have missed this line.\
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','Unauthorised access. Login required.');
			redirect('Login');
		}    
	}

	function set($job_card_id,$division_id,$job_card_number=0)	{
		if (isset($_POST['ttttt'])){
			$where=array();
			$where['job_card_details.job_card_id'] = $job_card_id;	
			if($this->input->post('ex_furniture_area')!='') {
				$where['job_card_details.ex_furniture_area='] = $this->input->post('ex_furniture_area');	
			}
			$title['headerTitle']	= "Set Department";
			$data['records'] 		= $this->crud_model->get('job_card_details', $where, null, null, "ex_furniture_area", "ASC", null, null, null, "ex_furniture_area");
			$data['job_id']			= $job_card_id;
			$data['job_card_number']= $job_card_number;
			$data['division_id']	= $division_id;
			$data['ex_furniture_area']= $this->input->post('ex_furniture_area');
			$data['status_type']= $this->input->post('status_type');
			$data['departmets']		= $this->crud_model->get('department_master',array('status'=> 1));
			$data['group_search']=$this->crud_model->get_list('ex_furniture_area','furniture_area','job_card_details',array(''=>' - All Group - '),array('job_card_id'=>$job_card_id,'furniture_area!='=>""));
			$data = html_escape($data);
			$this->load->view('templates/header',$title);
			$this->load->view('furniture/quotations/jobcard/set_department',$data);
			$this->load->view('templates/footer');
		} else if (isset($_POST['print'])) {
			$title['headerTitle']	= "Set Department";
			$where=array();
			$where['job_card_details.job_card_id'] = $job_card_id;	
			if($this->input->post('ex_furniture_area')!='') {
				$where['job_card_details.ex_furniture_area='] = $this->input->post('ex_furniture_area');	
			}
			$data['records'] 		= $this->crud_model->get('job_card_details', $where, null, null, "ex_furniture_area", "ASC", null, null, null, "ex_furniture_area");
			$data['job_id']			= $job_card_id;
			$data['job_card_number']= $job_card_number;
			$data['division_id']	= $division_id;
			$data['ex_furniture_area']= $this->input->post('ex_furniture_area');
			$data['status_type']= $this->input->post('status_type');
			$data['departmets']		= $this->crud_model->get('department_master',array('status'=> 1));
			$data = html_escape($data);
			$this->load->view('furniture/quotations/jobcard/print_department',$data);
		} else {
			$title['headerTitle']	= "Set Department";
			$data['records'] 		= $this->crud_model->get('job_card_details', array('job_card_details.job_card_id'=>$job_card_id), null, null, "ex_furniture_area", "ASC", null, null, null, "ex_furniture_area");
			$data['job_id']			= $job_card_id;
			$data['job_card_number']= $job_card_number;
			$data['division_id']	= $division_id;
			$data['ex_furniture_area']= NULL;
			$data['status_type']= '';
			$data['departmets']		= $this->crud_model->get('department_master',array('status'=> 1));
			$data['group_search']=$this->crud_model->get_list('ex_furniture_area','furniture_area','job_card_details',array(''=>' - All Group - '),array('job_card_id'=>$job_card_id,'furniture_area!='=>""));
			$data = html_escape($data);
			$this->load->view('templates/header',$title);
			$this->load->view('furniture/quotations/jobcard/set_department',$data);
			$this->load->view('templates/footer');
		}
	}	

	function print($job_card_id,$division_id,$job_card_number=0)	{
		$title['headerTitle']	= "Set Department";
		$data['records'] 		= $this->crud_model->get('job_card_details', array('job_card_details.job_card_id'=>$job_card_id), null, null, "ex_furniture_area", "ASC", null, null, null, "ex_furniture_area");
		$data['job_id']			= $job_card_id;
		$data['job_card_number']= $job_card_number;
		$data['division_id']	= $division_id;
		$data['departmets']		= $this->crud_model->get('department_master',array('status'=> 1));
		$data = html_escape($data);
		//$this->load->view('templates/header',$title);
		$this->load->view('furniture/quotations/jobcard/print_department',$data);
		//$this->load->view('templates/footer');
	}

	public function departments(){
		$job_card_details_id	=	$this->input->post('job_card_details_id');
		$job_card_id			=	$this->input->post('job_card_id');
		$list='';
		if($job_card_id!='' && $job_card_details_id!='' ){
			$record=$this->crud_model->get('job_card_details',array('job_card_details_id'=> $job_card_details_id));
			$dbdata=$this->crud_model->get('job_card',array('id'=> $job_card_id));
			$departmets=$this->crud_model->get('department_master',array('status'=> 1));

			$list.='<div class="col-md-12">
			<input type="hidden" name="job_card_id" value="'.$dbdata[0]['id'].'" />
			<input type="hidden" name="job_card_number" value="'.$dbdata[0]['job_card_number'].'" />
			<input type="hidden" name="client_id" value="'.$dbdata[0]['client_id'].'" />
			<input type="hidden" name="project_name" value="'.$dbdata[0]['project_name'].'" />
			<input type="hidden" name="job_card_date" value="'.$dbdata[0]['job_card_date'].'" />
			<input type="hidden" name="sl_no" value="'.$record[0]['sl_no'].'" />
			<input type="hidden" name="item_id" value="'.$record[0]['item_id'].'" />
			<input type="hidden" name="item_name" value="'.$record[0]['furniture_model'].'" />
			<input type="hidden" name="furniture_quantity" value="'.$record[0]['furniture_quantity'].'" />';
			 if($departmets!=false){
				foreach($departmets as $row){
					$de=$this->crud_model->get('set_departments',array('job_card_details_id'=> $record[0]['job_card_details_id'],'department_id'=> $row['department_id']));
					if($de!=false){
						$checked="checked";
						if($de[0]['status']==='1' OR $de[0]['status']==='2' ){
							$disable='disabled';
							if($de[0]['status']==='1'){
								$status=' ( Completed ) ';
							} else {
								$status=' ( Started )';
							}
						} else {
							$disable='';
							$status=' ( Pending )';
						}
					} else {
						$checked="";
						$disable='';
						$status='';
					}
					$list.='<div class="mb-4">
						<input type="hidden" class="form-control" name="id[]" id="id" value="'.@$de[0]['id'].'"  >
					<label class="custom-control custom-checkbox" style="margin-top: 8px">
						<input type="checkbox" class="custom-control-input" name="department_id[]" id="department_id" value="'.$row['department_id'].':nb:'.@$de[0]['id'].'" '.$checked.' '.$disable.'  >
						<span class="custom-control-label">'.$row['department_name'].' '.$status.'</span>
					</label>
				</div>';
			 } } 
			echo $list;
		} else {
			echo false;
		}
	}
 
	public function addDepartment($job_card_id,$division_id,$job_card_number,$job_card_details_id){
		//$this->hooks->call_hook('test');
		$title['headerTitle']="Set Department";

		$this->form_validation->set_rules('job_card_id', 'Job Card Number', 'required');
		$this->form_validation->set_rules('job_card_number', 'Job Card Number', 'required');
		$this->form_validation->set_rules('client_id', 'Client Name', 'required');
		$this->form_validation->set_rules('project_name', 'Project Name', 'required');
		$this->form_validation->set_rules('job_card_date', 'Date', 'required');
		$this->form_validation->set_rules('sl_no', 'Sl No', 'required');
		$this->form_validation->set_rules('item_id', 'Item', 'required');
		$this->form_validation->set_rules('item_name', 'Item', 'required');
		$this->form_validation->set_rules('furniture_quantity', 'Qty', 'required');
		//$this->form_validation->set_rules('department_id[]', 'Department', 'required');

		if ($this->form_validation->run() == FALSE) {
			$this->session->set_flashdata('response',''.validation_errors().'',':old:');
			$title['headerTitle']="Set Department";
			$data['records'] 		= $this->crud_model->get('job_card_details', array('job_card_details.job_card_id'=>$job_card_id), null, null, "ex_furniture_area", "ASC", null, null, null, "ex_furniture_area");
			$data['job_id']	=	$job_card_id;
			$data['job_card_number']	=	$job_card_number;
			$data['division_id']	=	$division_id;
			$data['departmets']		= $this->crud_model->get('department_master',array('status'=> 1));
			$data = html_escape($data);
			$this->load->view('templates/header',$title);
			$this->load->view('furniture/quotations/jobcard/set_department',$data);
			$this->load->view('templates/footer');
		} else {
			$this->db->trans_begin();
			$department_id	=	$this->input->post('department_id');
			$id	=	$this->input->post('id');
			$this->db->where('job_card_details_id',$job_card_details_id);
			$this->db->where('status',3);
			$this->db->delete('set_departments');
			if(@$department_id!=NULL){
				for($i=0;$i<count(@$this->input->post('department_id'));$i++){
					if(@$department_id[$i]!=''){
						$let=	explode(":nb:",$department_id[$i]);
						$data=array(
							'id'   				 => $let[1],
							'job_card_no'  		 => $this->input->post('job_card_number'),
							'job_card_id'  		 => $job_card_id,
							'job_card_details_id'=> $job_card_details_id,
							'client_id'   		 => $this->input->post('client_id'),
							'project_name'   	 => $this->input->post('project_name'),
							'job_card_date'  	 => $this->input->post('job_card_date'),
							'sl_no'   			 => $this->input->post('sl_no'),
							'qty'   			 => $this->input->post('furniture_quantity'),
							'item_id'   		 => $this->input->post('item_id'),
							'item_name'   		 => $this->input->post('item_name'),
							'department_id'      => $let[0],
							'status'   			 => 3,
						);
						$this->crud_model->insert('set_departments',$data);

						$log_data=array(
							'trans_no'  	=>  $this->input->post('job_card_number'),
							'trans_type'  	=>  'Job Card',
							'trans_op'  	=>  'Pending',
							'job_card_details_id'  	=>  $job_card_details_id,
							'dept_id'  		=>  $let[0],
							'trans_date'  	=>  date('Y-m-d H:i:s'),
							'trans_user_id' =>  $this->session->userdata('user_id')
						);
						$log_for_transactions=$this->crud_model->insert('log_for_job_update',$log_data);
					}
				}
			}
			if ($this->db->trans_status() === FALSE) {
				$this->db->trans_rollback();
				$this->session->set_flashdata('response', 'Something Wrong.Try Again...');
				redirect('jobcard/SetDepartment/set/'.$job_card_id.'/'.$division_id.'/'.$job_card_number);
			} else {
				$this->db->trans_commit();
				$this->session->set_flashdata('success', 'Added Successfully');
				redirect('jobcard/SetDepartment/set/'.$job_card_id.'/'.$division_id.'/'.$job_card_number);
			}	
		}
	}
} // Closing of main class
?>