<?php

class Report_model extends CI_Model {

	public function __construct() {

		// Call the Model constructor
		parent::__construct();
	}
	public function getItemSummary(){
		$cate_id = $this->input->post('textfield2');
		$stock_group_id = $this->input->post('stock_group_id');
		$brand_id = $this->input->post('brand_id');
		$item_name = $this->input->post('item_name');
		$trans_date = $this->input->post('report_date_to');
		if(!empty($trans_date)){
			$report_date_from = date('Y-m-d', strtotime($trans_date));
			$daterange = "IT.trans_date <= '".$report_date_from."' AND";
		}
		else{
			$report_date_from = date('Y-m-d');
			$daterange = "IT.trans_date <= '".$report_date_from."' AND";
		}

		$conditon = '';

		if($cate_id != '') {
			$conditon.= "AND I.main_category = '".$cate_id."'";
		}
		if ($stock_group_id != '') {
            $conditon.= "AND I.brand_id ='".$stock_group_id."'";
		}
		if ($brand_id != '') {
            $conditon .= "AND I.stock_group_id = '".$brand_id."'";
		}
		if ($item_name != '') {
            $conditon .= "AND I.item_name like '%".$item_name."'";
		}



		$sql = "SELECT sum(IT.item_qty) as closing_stk,
			     IT.item_id,
				 IT.item_trans_id,
				 I.item_name,
				 I.id,
				 I.last_purchase_rate
			     FROM `item_trans` AS IT  LEFT JOIN `items` AS I ON I.id = IT.item_id WHERE $daterange IT.status = 1 AND I.id IS NOT NULL $conditon group by IT.item_id";
		$result = $this->db->query($sql);
	//	echo $this->db->last_query();
        return $result->result_array();
	}
	public function getItemList(){
		$cate_id = $this->input->post('textfield2');
		$stock_group_id = $this->input->post('stock_group_id');
		$brand_id = $this->input->post('brand_id');
		$item_name = $this->input->post('item_name');
		$inc_zero = $this->input->post('inc_zero');
		$trans_date = $this->input->post('report_date_to');
		if (!empty($trans_date)) {
			$report_date_from = date('Y-m-d', strtotime($trans_date));
			$daterange = "IT.trans_date <= '".$report_date_from."' AND";
		} else {
			$report_date_from = date('Y-m-d');
			$daterange = "IT.trans_date <= '".$report_date_from."' AND";

		}
		$conditon = "";
		if ($inc_zero == 1) {
			if ($cate_id != '') {
				$conditon .= "AND main_category =  '".$cate_id."'";
			}
			if ($stock_group_id != '') {
				$conditon .= "AND stock_group_id = '".$stock_group_id."'";
			}
			if ($brand_id != '') {
				$conditon .= "AND brand_id = '".$brand_id."'";
			}
		    if ($item_name != '') {
				$conditon .= "AND item_name like '%" . $item_name . "'";
			}
			$sql = $this->db->query("SELECT * FROM `items` WHERE status = 1 $conditon");
		}
		else{
			if ($cate_id != '') {
				$conditon .= "AND I.main_category = '" . $cate_id . "'";
			}
			if ($stock_group_id != '') {
				$conditon .= "AND I.brand_id ='" . $stock_group_id . "'";
			}
			if ($brand_id != '') {
				$conditon .= "AND I.stock_group_id = '" . $brand_id . "'";
			}
			if ($item_name != '') {
				$conditon .= "AND I.item_name like '%" . $item_name . "'";
			}
			$sql = $this->db->query("SELECT sum(IT.item_qty) as closing_stk,
			     IT.item_id,
				 IT.item_trans_id,
				 I.item_name,
				 I.id,
				 I.last_purchase_rate
			     FROM `item_trans` AS IT  LEFT JOIN `items` AS I ON I.id = IT.item_id WHERE $daterange IT.status = 1 AND I.id IS NOT NULL $conditon group by IT.item_id");
		}
		//echo $this->db->last_query();
		return $sql->result_array();

	}

}
?>
