<style>
.btn-primary {
    background: #45aaf2 !important;
    border-color: #45aaf2 !important;
}
#back-to-top {
    background-image: linear-gradient(to right, #45aaf2 0%, #45aaf2 100%);
    border-color: #45aaf2;
}
#back-to-top:hover {
    color: #0774f8 !important;
    border: 2px solid #0774f8;
}
.btn:focus {
  outline: none !important;
  box-shadow: none !important;
}
.breadcrumb .breadcrumb-item.active {
    color: #45aaf2;
}
.app-content .side-app {
    padding: 0px 0.5rem 0 0.5rem;
}
.page-header {
    margin: 0.5rem 0rem;
}
.cardnew h6 {
    font-weight: 700;
    margin-bottom: 5%;
    text-align: right;
}
.fa-angle-right {
    font-size: 18px;
    margin-left: 5px;
}
.fa-plus {
    margin-right: 3px;
}
.fa-remove {
    color: #fff;
}
.fe-search {
    font-weight: 700;
}
.projectname {
    margin-top: 8%;
}
.custom-control-label::after {
	color: var(--volgh-white);
	background-color: #45aaf2 !important;
}
.product {
    text-decoration : underline;
    color: #45aaf2;
    margin-left: 19%;
}

.form-label {
    font-size: 11px;
}
.fa-close {
    padding-right: 3px;
}
.closebtn {
    background: #b7b8bd !important;
    border-color: #b7b8bd !important;
}
.switch {
  position: relative;
  display: inline-block;
  width: 90px;
  height: 34px;
}

.switch input {display:none;}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #45aaf2;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #45aaf2;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(55px);
  -ms-transform: translateX(55px);
  transform: translateX(55px);
}

/*------ ADDED CSS ---------*/
.on
{
  display: none;
}

.off
{
  color: white;
  position: absolute;
  transform: translate(-50%,-50%);
  top: 50%;
  left: 65%;
  font-size: 13px;
  font-family: Verdana, sans-serif;
}
.on {
    color: white;
    position: absolute;
    transform: translate(-50%,-50%);
    top: 50%;
    left: 35%;
    font-size: 13px;
    font-family: Verdana, sans-serif;
}
input:checked+ .slider .on
{display: block;}

input:checked + .slider .off
{display: none;}

/*--------- END --------*/

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
.invoicespan {
    margin-left: 29%;
}
.btnSec {
    margin-top: 1%;
}
.hideProformaItem{
    display:none;
}
.item_result {
	border: 1px solid #d2d6de;
	position: absolute;
	width: 500px;
	height: auto;
	background-color: #fff;
	z-index: 100;
	margin-top: 0px;
	border-radius: 3px;
	display: none;
}
.itemList {
	margin:0px;
}
.itemList li {
	color: #000000;
	padding: 0;
	padding-left: 8px;
	height: 30px;
	padding-top: 4px;
	cursor:pointer;
	font-weight:600;
	list-style-type: none;
}
.itemList li:hover {
	background:#CCCCCC;
}
.nbactive{
    background-color:#D6D6D6;
}
.hideButton{
    display:none;
}
.errorNb {
	display:none;
}
.errorNb2 {
	display:none;
}
.projectDiv {
    display:none;
}
</style>
<!--app-content open-->
<div class="app-content main-content">
    <div class="side-app">
        <div class="main-container">
        <!-- PAGE-HEADER -->
            <div class="page-header">
                <div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
                    <h1 class="page-title">Proforma Invoice</h1><ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="<?php echo site_url('Dashboard/home');?>">Home</a></li>
                    <li class="breadcrumb-item"><a href="<?php echo site_url('furniture/Proforma');?>">Proforma Invoice</a></li>
                    <li class="breadcrumb-item active" aria-current="page">New</li>
                    </ol>
                </div>
            <div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
                    
            </div>
        </div>
    </div>
	<!-- PAGE-HEADER END -->
    <form id="quotation_furnitures" name="quotation_furnitures" class="form-horizontal" method="post" action="">
        <div class="main-container">
            <div class="card">
                <?php  if(validation_errors()!=''){ 
                    echo '<div class="alert alert-danger">' . validation_errors() . '</div>';
                } ?>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6 col-xl-6 cardnew">
                            <div class="row">
                                <div class="col-md-6 col-xl-6">
                                    <label class="form-label">Proforma Date</label>
                                    <div class="input-group">
                                        <input type="text" class="form-control fc-datepicker" placeholder="Date" name="proforma_date"  id="proforma_date" value="<?php echo date('d-m-Y') ;?>" autocomplete="off"    />
                                    </div>
                                </div>
                                <div class="col-md-6 col-xl-6">
                                    <label class="form-label">&nbsp;</label>
                                    <h6><span class="invoicespan">Proforma No : <?php echo $proforma_number;?></span></h6>
                                </div>
                            </div>
                        <div>
                    </div>
                    <div>
                        <label class="form-label">Client Name / Tel</label>
                        <input type="text" class="form-control" id="inputName" autocomplete="off" <?php if(isset($proforma->client_name)){ echo 'readonly="readonly"'; } ?> value="<?php if(isset($proforma->client_name)){ echo $proforma->client_name; }else if(isset($client_det)){echo $client_det;}?>">
                        <input name="client_id" placeholder="Client" type="hidden" class="input-percentage" id="client_id" <?php if(isset($proforma->client)){ echo 'readonly="readonly"'; } ?> value="<?php if(isset($proforma->client_id)){ echo $proforma->client_id; }else if(isset($client_det_id)){echo $client_det_id;}?>" />
                    </div>
                    <div class="row">
                        <div class="col-md-6 col-xl-6">
                            <label class="form-label">Job No</label>
                            <div class="input-group">
                                <input type="text" class="form-control" <?php if (isset($proforma->job_card_number)) { echo 'readonly="readonly"'; } ?> value="<?php if (isset($proforma->job_card_number)) { echo  $proforma->job_card_number;}else { echo set_value('quotation_number_new_one'); } ?>" >
                                <input name="quotation_number" placeholder="Quotation Number" type="hidden" class="input-percentage" id="quotation_number" value="<?php if (isset($proforma->quotation_id)) { echo  $proforma->quotation_id;}else { echo set_value('quotation_number'); } ?>" />
                                <input name="job_card_id" placeholder="Job Number" type="hidden" class="input-percentage" id="job_card_id" value="<?php if (isset($proforma->job_card_id)) { echo  $proforma->job_card_id;}else { echo set_value('job_card_id'); } ?>" />
                                <input name="textfield2" placeholder="Job Number" type="hidden" class="input-percentage" id="textfield2" value="<?php if (isset($proforma->quotation_divisionid)) { echo  $proforma->quotation_divisionid;}else { echo set_value('job_card_divisionid'); } ?>" />
                                <span class="">
                                    <button class="btn btn-primary" type="submit" name="pull_items_from_job"><i class="fe fe-git-pull-request"></i> Pull Items from Job</button>
                                </span>
                            </div>
                        </div>
                        <div class="col-md-6 col-xl-6">
                            <label class="form-label">Po No</label>
                            <input type="text" class="form-control" id="po_no" name="po_no" autocomplete="off" value="<?php if (isset($proforma->po_no)) { echo  $proforma->po_no; } else { if (isset($proforma->j_po_no)) { echo  $proforma->j_po_no; }else { echo set_value('po_no'); } }  ?>">
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-xl-6">
                    <div class="card">
                        <div class="card-header">
                            <div class="card-title">Job No : <?php if (isset($proforma->job_card_number)) { echo  $proforma->job_card_number;}?></div></div>
                                <div class="card-body mt-0">
                                    <div class="chats-wrap media-list">
                                        <div class="chat-details mb-0 p-1">
                                            <h4 class="mb-0">
                                                <span class="h5 font-weight-normal">Project Value</span>
                                                <span class="float-end p-1  btn btn-sm text-default">
                                                <b><?php if (isset($proforma->job_card_amount_with_vat)) { echo number_format((float)($proforma->job_card_amount_with_vat), 3, '.', ''); } else { echo "0.000";}?> </b></span>
                                            </h4>
                                        <div class="progress progress-sm mt-1">
                                    <div class="progress-bar bg-info w-100"></div>
                                </div>
                            </div>
                            <div class="chat-details mb-0 p-1">
                                <h4 class="mb-0">
                                    <span class="h5 font-weight-normal">Proforma Raised</span>
                                    <span class="float-end p-1  btn btn-sm text-default">
                                    <b><?php echo number_format((float)($proforma->job_card_amount_with_vat-$proforma_percentage_amount), 3, '.', ''); ?></b></span>
                                </h4>
                                <div class="progress progress-sm mt-1">
                                    <div class="progress-bar bg-secondary w-<?php $xxx=(($proforma->job_card_amount_with_vat-$proforma_percentage_amount)/$proforma->job_card_amount_with_vat)*100; echo ceil(($xxx) / 5) * 5; ?>"></div>
                                </div>
                            </div>
                            <div class="chat-details mb-1 p-1">
                                <h4 class="mb-0">
                                    <span class="h5 font-weight-normal">Invoiced</span>
                                    <span class="float-end p-1  btn btn-sm text-default">
                                    <b><?php echo $invoice_percentage_amount; if($invoice_percentage_amount>0){  $invvv=(($invoice_percentage_amount)/$proforma->job_card_amount_with_vat)*100; } else {   $invvv=0;  } ?></b></span>
                                </h4>
                                <div class="progress progress-sm mt-1">
                                    <div class="progress-bar bg-success w-<?php echo ceil(($invvv) / 5) * 5; ?>"></div>
                                </div>
                            </div>
                            <div class="chat-details mb-1 p-1">
                                <h4 class="mb-0">
                                    <span class="h5 font-weight-normal">Received</span>
                                    <span class="float-end p-1  btn btn-sm text-default">
                                    <b><?php  echo number_format((float)($received_amount), 3, '.', ''); if($received_amount>0){  $rvvv=(($received_amount)/$proforma->job_card_amount_with_vat)*100; } else {   $rvvv=0;  } ?></b></span>
                                </h4>
                                <div class="progress progress-sm mt-1">
                                    <div class="progress-bar bg-warning w-<?php echo ceil(($rvvv) / 5) * 5; ?>"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        
            <?php if($is_posted==1){ ?>
                <div class="col-md-4 mb-0">
                    <label class="switch">
                        <input type="checkbox" id="trading_or_project" name="trading_or_project" value="1"  >
                        <div class="slider">
                            <!--ADDED HTML -->
                            <span class="off">Trading</span>
                            <span class="on">Project</span>
                            <!--END-->
                        </div>
                    </label>
                </div>
            <?php } else { ?>
                <div class="col-md-4 mb-0">
                    <label class="switch">
                        <input type="checkbox" id="togBtn" value="1" <?php if(!$is_quote_from_master){ echo 'checked'; } ?>  >
                        <div class="slider">
                            <!--ADDED HTML -->
                            <span class="off">Select</span>
                            <span class="on">Type</span>
                            <!--END-->
                        </div>
                    </label>
                </div>
            <?php } ?>
            <div class="alert alert-danger errorNb2">
            </div>
            <?php $readonly='';?>
            <div class="<?php if($is_posted==1){ ?>hideButton <?php } ?>">
                <div class="row">
                    <div class="alert alert-danger errorNb">
                    </div>
                    <div class="form-group col-md-3 mb-0">
                        <input type="hidden" name="hiddenCount" id="hiddenCount" value="1"  />
                            <label class="form-label">Product / Service <?php if($is_quote_from_master){ ?> <a href="<?php echo site_url('masters/item/create'); ?>" class="product" target="_blank">Create New Product</a> <?php } ?></label>
                            <input type="text" class="form-control <?php if($is_quote_from_master){ echo 'item_search';  }?>" id="furniture_model" name="furniture_model" value="<?php //if (isset($furniture_model)) { echo $furniture_model; } else { echo set_value('furniture_model');} ?>"  autocomplete="off">
                            <input type="hidden" class="form-control item_id" name="item_id" id="item_id" value="<?php //if (isset($item_id)) echo $item_id; else echo $this->input->post('item_id') ;?>"   />
                            <div class="item_result">
                                <ul class="itemList unstyled" >
                                </ul>
                            </div>
                        </div>
                        <div class="col-md-12 col-xl-1">
                                <label class="form-label qty">Qty</label>
                                <input type="hidden" class="" name="exitem_order" id="exitem_order" value="<?php //echo @$item_order;?>"  /><input type="text" class="form-control numbersOnly" id="furniture_quantity" name="furniture_quantity" value="<?php //if (isset($furniture_quantity)) { echo $furniture_quantity; } else { echo set_value('furniture_quantity'); }?>"  autocomplete="off">
                            </div>
                            
                            <div class="col-md-12 col-xl-1">
                                <label class="form-label">Unit</label>
                                <?php $nbxjs2 = 'id="uom" class="form-control" style="height: 42px;"';
                                
                                if(isset($uom)){
                                    echo form_dropdown('uom', $unit_list,$uom,$nbxjs2);
                                    }else{
                                    echo form_dropdown('uom', $unit_list,'',$nbxjs2);
                                    }?>
                            </div>
                            <div class="col-md-12 col-xl-1">
                                <label class="form-label">Rate</label>
                                <input type="text" class="form-control numbersOnly" id="furniture_unitprice" name="furniture_unitprice" value="<?php //if (isset($furniture_unitprice)) { echo $furniture_unitprice; }  else { echo set_value('furniture_unitprice'); } ?>"  autocomplete="off" <?php echo $readonly; ?>>
                            </div>
                            <div class="col-md-12 col-xl-1">
                                <label class="form-label">Amount</label>
                                <input type="text" class="form-control numbersOnly" id="furniture_total" id="furniture_total" value="<?php //if (isset($furniture_unitprice)) { echo $furniture_unitprice*$furniture_quantity; }  else { echo set_value('furniture_total'); } ?>" autocomplete="off" readonly  tabindex="-1"  >
                            </div>
                            <div class="col-md-12 col-xl-1">
                                <label class="form-label">Vat%</label>
                                <select name="vat_perc"  id="vat_perc" class="form-control form-select select2" data-bs-placeholder="Status" tabindex="-1" <?php echo $readonly; ?> >
                                    <?php if($proforma->tax_perce==0){?>
                                        <option value="0" >0%</option>
                                    <?php } else {?>
                                    <?php foreach($vat_percentage_array as $row){?>
                                        <?php if($proforma->job_card_vat_perc==$row["vat_percentage"]) { ?>	<option value="<?php echo $row["vat_percentage"];?>"   <?php if(isset($proforma->job_card_vat_perc)) { if($proforma->job_card_vat_perc==$row["vat_percentage"]){ echo 'selected="selected"'; } } ?> ><?php echo $row["vat_percentage"];?>%</option> <?php } ?>
                                    <?php } } ?>
                                </select>
                                <input type="hidden" class="custom-control-input numbersOnly" name="furniture_vat_amount" id="furniture_vat_amount" value="<?php //if (isset($furniture_vat_amount)) echo $furniture_vat_amount; else echo set_value('furniture_vat_amount') ;?>" >
                            </div>
                            <div class="col-md-12 col-xl-1">
                                <label class="form-label qty">Disc%</label>
                                <input type="text" class="form-control" id="nitem_disc_per" name="nitem_disc_per" autocomplete="off" <?php echo $readonly; ?> >
                            </div>
                            <div class="col-md-12 col-xl-1">
                                <label class="form-label">Disc.Amt</label>
                                <input type="text" class="form-control numbersOnly" id="nitem_disc" name="nitem_disc" value="<?php //if (isset($item_discount)) { echo $item_discount; } else { echo set_value('nitem_disc'); } ?>"  autocomplete="off" <?php echo $readonly; ?> >
                            </div>
                            <div class="col-md-12 col-xl-2">
                                <label class="form-label">Net Amount</label>
                                <input type="text" class="form-control numbersOnly" id="total_disc"  name="total_disc" value="<?php //if (isset($net_amount)) { echo $net_amount; }  else { echo set_value('net_amount'); } ?>" autocomplete="off" readonly  tabindex="-1" >
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12 col-xl-12">
                                <label class="form-label">Description</label>
                                <textarea class="form-control" id="furniture_description"  name="furniture_description" style="height: 100px;"></textarea>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4 col-xl-4 btnSec ">
                                <button type="button" class="btn btn-primary" id="item_save"><i class="mdi mdi-plus-circle-outline"></i>Add Items</button>
                            </div>
                        </div>
                    </div>
                </div>
                
                <div class="row">
                    <?php 
                        $proforma_percentage_amount = $proforma_percentage_amount; 
                        $proforma_amount            = $proforma->job_card_amount_with_vat;
                        if($proforma_amount>$proforma_percentage_amount or $proforma_percentage_amount==0){
                            $proforma_percentage        = 100-((($proforma_amount-$proforma_percentage_amount)/$proforma_amount)*100);
                        } else {
                            $proforma_percentage        = 100;
                        }
                        $proforma_balance_amount    = $proforma_percentage_amount;
                        $project_text_area="";
                        $taxable_amount = $proforma_balance_amount/(1+($proforma->job_card_vat_perc/100));
                        $taxable_vat_amount =   $proforma_balance_amount-$taxable_amount;
                    ?>
                    <div class="row">
                        <div class="col-md-2 col-xl-2 projectDiv">
                            <label class="form-label">Description</label>
                            <input type="text" class="form-control" id="project_description" name="project_description" autocomplete="off">
                        </div>
                        <div class="col-md-2 col-xl-2">
                            <label class="form-label xxButton">Total Item</label> <label class="form-label projectDiv">Project Value</label>
                            <input type="text" class="form-control" id="total_item" name="total_item" value="<?php if($is_posted==1){  echo $proforma->job_card_total; } else { echo '0.000';}  ?>" autocomplete="off" readonly >
                            <input type="hidden" class="form-control" id="proforma_amount_hidden" name="proforma_amount_hidden" value="<?php echo $proforma->job_card_amount_with_vat; ?>" autocomplete="off" readonly >
                        </div>
                        <div class="col-md-1 col-xl-1">
                            <label class="form-label qty">VAT</label>
                            <input type="text" class="form-control" id="proforma_vat_amount" name="proforma_vat_amount" value="<?php if($is_posted==1){  echo $proforma->job_card_vat_amount; } else { echo '0.000';}  ?>" autocomplete="off" readonly >
                        </div>
                        <div class="col-md-2 col-xl-2">
                            <label class="form-label qty">Gross Amount</label>
                            <input type="text" class="form-control"  id="proforma_amount" name="proforma_amount" value="<?php if($is_posted==1){  echo $proforma_amount; } else { echo '0.000';} ?>" autocomplete="off" readonly >
                        </div>
                        <div class="col-md-2 col-xl-2">
                            <label class="form-label qty">Invoice %</label>
                            <input type="text" class="form-control numbersOnly"   id="proforma_percentage" name="proforma_percentage" value="<?php if($is_posted==1){  echo $proforma_percentage; } else { echo '0.000';}  ?>" autocomplete="off" >
                            <input type="hidden" class="form-control numbersOnly"   id="proforma_percentage_2" name="proforma_percentage_2" value="<?php echo $proforma_percentage; ?>" autocomplete="off" >
                        </div>

                        <div class="col-md-2 col-xl-2">
                            <label class="form-label qty">Taxable Amount</label>
                            <input type="text" class="form-control numbersOnly"   id="taxable_amount" name="taxable_amount" value="<?php if($is_posted==1){  echo $taxable_amount; } else { echo '0.000';}  ?>" autocomplete="off"  >
                            <input type="hidden" class="form-control numbersOnly"   id="hitaxable_amount" name="hitaxable_amount" value="<?php echo $taxable_amount; ?>" autocomplete="off" >
                        </div>
                        <div class="col-md-1 col-xl-1">
                            <label class="form-label qty">Vat Amount</label>
                            <input type="text" class="form-control numbersOnly"   id="taxable_vat_amount" name="taxable_vat_amount" value="<?php if($is_posted==1){  echo $taxable_vat_amount; } else { echo '0.000';}  ?>" autocomplete="off" readonly >
                            <input type="hidden" class="form-control numbersOnly"   id="hitaxable_vat_amount" name="hitaxable_vat_amount" value="<?php if($is_posted==1){  echo $taxable_vat_amount; } else { echo '0.000';}  ?>" autocomplete="off" readonly >
                            <input type="hidden" class="form-control numbersOnly"   id="taxable_vat_perce" name="taxable_vat_perce" value="<?php echo $proforma->job_card_vat_perc; ?>" autocomplete="off" readonly >
                        </div>
                        <div class="col-md-2 col-xl-2">
                            <label class="form-label qty">Net Amount</label>
                            <input type="text" class="form-control numbersOnly" id="proforma_net_amount" name="proforma_net_amount" value="<?php if($is_posted==1){ echo round($proforma_balance_amount,3);} else { echo '0.000';} ?>" autocomplete="off" >
                            <input type="hidden" class="form-control numbersOnly" id="proforma_net_amount_2" name="proforma_net_amount_2" value="<?php echo $proforma_balance_amount; ?>" autocomplete="off" >
                            <input type="hidden" class="form-control numbersOnly" id="pull_nb_item" name="pull_nb_item" value="<?php echo $is_posted;?>" autocomplete="off" >
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-12 <?php if($is_posted==0){ ?>hideProformaItem <?php } ?> xxButton">
                <div class="table-responsive " >
                    <table id="myTable" class="table  table-bordered text-nowrap w-100">
                        <thead>
                            <tr>
                                <td class="">SL</td>
                                <td class="">Product</td>
                                <td class="" style="text-align:center;">Qty</td>
                                <td class="" style="text-align:center;">Rate</td>
                                <td class="" style="text-align:center;">Total</td>
                                <td class="" style="text-align:center;">Disc.</td>
                                <td class="" style="text-align:center;">VAT %</td>
                                <td class="" style="text-align:center;">VAT</td>
                                <td class="" style="text-align:center;">Net Amt</td>
                                <td class="" style="text-align:center;">&nbsp;</td>
                            </tr>
                        </thead>
                        <tbody >
                            <?php 
                                $i=0; 
                                if($is_posted==1){
                                foreach ($h->result() as $row) { 
                                    $this->db->select('*');
                                    $this->db->where(array('job_card_id'=>$row->job_card_id,'ex_furniture_area'=>$row->ex_furniture_area));
                                    $this->db->from('job_card_details');
                                    $this->db->order_by("sub_group_id", "ASC");
                                    $this->db->group_by("sub_group");
                                    $rs = $this->db->get();
                            ?>
                            <tr class="<?php if($is_posted==0){ ?>hideButton <?php } ?>">
                                <td colspan="12" style="text-align: center;"><?php echo $row->furniture_area;?></td>
                            </tr>
                            <?php 
                                foreach($rs->result() as $holi_per_mnth){ 
                                    $this->db->select('*');
                                    $this->db->where(array('job_card_id'=>$row->job_card_id,'ex_furniture_area'=>$row->ex_furniture_area,'sub_group_id'=>$holi_per_mnth->sub_group_id));
                                    $this->db->from('job_card_details');
                                    $this->db->order_by("item_order", "ASC");
                                    $this->db->order_by("job_card_id", "ASC");
                                    $sub_val 	   = $this->db->get();
                            ?>
                            <tr class="<?php if($is_posted==0){ ?>hideButton <?php } ?> ">
                                <td colspan="12" style="text-align: center;"><?php echo $holi_per_mnth->sub_group;?></td>
                            </tr>
                            <?php 
                                foreach($sub_val->result() as $sub_records){  ?>
                                <tr class="<?php if($is_posted==0){ ?>hideButton <?php } ?>">
                                    <td class=""><?php echo $sub_records->sl_no;?></td>
                                    <td class=""><?php echo $sub_records->furniture_model;?></td>
                                    <td class=""  style="text-align:right;"><?php echo $sub_records->furniture_quantity;?></td>
                                    <td class="" style="text-align:right;"><?php echo $sub_records->furniture_unitprice;?></td>
                                    <td class="" style="text-align:right;"><?php echo $sub_records->furniture_amount;?></td>
                                    <td class="" style="text-align:right;"><?php echo $sub_records->item_discount;?></td>
                                    <td class="" style="text-align:right;"><?php echo round($sub_records->vat_perce,0);?> %</td>
                                    <td class="" style="text-align:right;"><?php echo $sub_records->vat_amount;?></td>
                                    <td class="" style="text-align:right;"><?php echo $sub_records->net_amount;?></td>
                                    <td class="" style="text-align:center;">&nbsp;</td>
                                </tr>
                                <?php 
                                    if($sub_records->furniture_description!="" OR $sub_records->furniture_comments!=""){ ?>
                                        <tr style="height:100px" class="<?php if($is_posted==0){ ?>hideButton <?php } ?>">
                                            <td colspan="5" style="text-align: center;padding-top: 4%;"><?php echo $sub_records->furniture_description;?></td>
                                            <td colspan="5" style="text-align: center;padding-top: 4%;"><?php echo $sub_records->furniture_comments;?></td>
                                        </tr>
                            <?php } } ?>
                            <?php } ?>
                            <?php } } ?>
                        </tbody>
                    </table>
                </div>
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-md-4 col-xl-4">
                        <button type="submit" name="invoice_save" id="invoice_save" class="btn btn-primary"><i class="mdi mdi-plus-circle-outline"></i>Submit</button>
                    </div>
                </div>
            </div>
            <div class="col-md-12 projectDiv  ">
                <div class="row" style="margin-bottom: 10px;" >
                    <div class="col-md-6 col-xl-6">
                        <label class="form-label qty">Additional Description</label>
                        <textarea class="form-control" id="project_text_area"  name="project_text_area" style="height: 100px;"><?php echo $project_text_area;?></textarea>
                    </div>
                </div>
                <div class="row" style="margin-bottom: 10px;" >
                    <div class="col-md-4 col-xl-4">
                        <button type="submit" name="invoice_save" id="invoice_savexx" class="btn btn-primary"><i class="mdi mdi-plus-circle-outline"></i>Submit</button>
                    </div>
                </div>
            </div>
            <!-- TABLE WRAPPER -->
        </div>
        <!-- End Row -->
    </form>
</div>
</div>
</div>

<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>
<script type="text/javascript">
	jQuery(function($) {
		$('.fc-datepicker').datepicker({
			dateFormat: 'dd-mm-yy',
			autoclose: true,
			todayHighlight: true
		});
	});
</script>
<script type="text/javascript">
var switchStatus = false;
$("#togBtn").on('change', function() {
    $(".item_result").css('display','none');
    if ($(this).is(':checked')) {
        switchStatus = $(this).is(':checked');
        $('#furniture_model').removeClass('item_search');
    }
    else {
        switchStatus = $(this).is(':checked');
        $('#furniture_model').addClass('item_search');
    }
});
var switchStatus2 = false;
$("#trading_or_project").on('change', function() {
    if ($(this).is(':checked')) {
        $("#trading_or_project").val(2);
        $(".xxButton").hide();
        $(".projectDiv").show();
        switchStatus2 = $(this).is(':checked');
    } else {
        $("#trading_or_project").val(1);
        $(".xxButton").show();
        $(".projectDiv").hide();
        switchStatus2 = $(this).is(':checked');
    }
});

$("html").on("keyup",".item_search",function(){
    var client	=	$(this).val();
	$('.client_id').val('');
	$('.client_address').val('');
    $("#prospect_name").val('');
	$('#prospect_name').attr('readonly', false);
	$(".client_id").val('');
	$("#phone").val('');
	$("#email").val('');
	$(".cname").html('');
	$(".cphone").html('');
	$(".cemail").html('');
	$(".caddress").html('');
	$(".cperson").html('');
	$(".tax_name").html('');
	$(".tax_no").html('');
	if (client==''){
		$(this).val("");
		return false;
	} else {
		$.ajax({
				url:"<?php echo site_url("furniture/Proforma_invoice/search_item")?>" , 
				type: "POST" ,
				data: {client	: client} ,
				success: function(data){
					$(".item_result").css('display','block');
					$(".itemList").html(data);
					item_button();
					$('.client').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.itemList').on('focus', 'li', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.itemList').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'li', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('li').first().focus();
						}
					});
					$(".itemList li").keypress(function (e) {
						if (e.keyCode == 13) {
									 $(".item_result").css('display','none');
		 							var client_id	=	($(this).attr('value'));
		 							var client_name = $(this).closest("li").find(".client_name").val();
									var client_address = $(this).closest("li").find(".client_address").val();
									var is_taxable = $(this).closest("li").find(".is_taxable").val();
		 							$(".client").val(client_name);
		 							$(".client_id").val(client_id);
									$(".client_is_taxable").val(is_taxable);
									$(".client_address").val(client_address);
							}
					 });
				},
				error: function(){
						$("#errorMsg").html('Connection Error......');
						$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
	}
	
});
function item_button() {
    $(".item_button").click(function() {
		 $(".item_result").css('display','none');
		 var item_id	=	($(this).attr('value'));
		 var item_name = $(this).closest("li").find(".item_name").val();
		 var item_description = $(this).closest("li").find(".item_description").val();
		 var item_unit = $(this).closest("li").find(".item_unit").val();
		 $(".item_id").val(item_id);
		// $("#uom").children(":selected").attr(item_unit);
		 $("#uom option[value='" + item_unit +"']").attr("selected","selected");
		 // $("#uom select").val(item_unit);
         $("#furniture_model").val(item_name);
		 $("#furniture_description").html(item_description);
		 $("#furniture_description").summernote('code', item_description);
		$("#furniture_quantity").focus();
    });
	$(".no_result_button").click(function() {
		$(".item_result").css('display','none');
        $(".item_id").val('');
         $("#furniture_model").val('');
	});
}

$("#nitem_disc_per").focusout(function()
{
	var nitem_disc_per = $('#nitem_disc_per').val();
	if(isNaN(nitem_disc_per)) {
		return false;
	}
	var total_bd = Number($('#furniture_total').val());
	nitem_disc_per=Number(nitem_disc_per);
	var discount_limit=Number('<?php $this->crud_model->discount_limit();?>');
	if(nitem_disc_per>discount_limit){
		$('#nitem_disc').val('');
		$('#nitem_disc_per').val('');
		calculate_total();
		alert("Please check the discount amount!.");
		return false;
	}else {
	
	var nitem_disc = total_bd * nitem_disc_per/100;
	nitem_disc=Math.round(nitem_disc*1000)/1000;
	var grand_totoal_bd = total_bd - nitem_disc;

	var vat_perc = Number($('#vat_perc').val())/100;
	var vat_amount=grand_totoal_bd*vat_perc;
	var net_total_amount=grand_totoal_bd+vat_amount;
	var total_disc=Math.round(net_total_amount*1000)/1000;
	$('#nitem_disc').val(nitem_disc.toFixed(3));
	$('#furniture_vat_amount').val(Math.round(vat_amount*1000)/1000);
	$('#total_disc').val(total_disc.toFixed(3));
	return true;
	}
	
	
});
$("#nitem_disc").focusout(function()
{
	
	var nitem_disc = $('#nitem_disc').val();
	if(isNaN(nitem_disc)) {
		return false;
	}
	var total_bd = Number($('#furniture_total').val());
	nitem_disc=Number(nitem_disc);
	if(nitem_disc > total_bd) {
		
		alert("Please check the discount amount! It cannot be more than total amount.");
		$('#nitem_disc').val('');
		$('#nitem_disc_per').val('');
		calculate_total();
		return false;
	}	
	
	var discount_percentage = nitem_disc/total_bd*100; 
	discount_percentage=Math.round(discount_percentage*1000000000)/1000000000;
	
	var discount_limit=Number('<?php $this->crud_model->discount_limit();?>');
	if(discount_percentage>discount_limit){
		$('#nitem_disc').val('');
		$('#nitem_disc_per').val('');
		calculate_total();
		alert("Please check the discount amount!.");
		return false;
	}else {
	var grand_totoal_bd = total_bd - nitem_disc;
	
	
	var vat_perc = Number($('#vat_perc').val())/100;
	var vat_amount=grand_totoal_bd*vat_perc;
	var net_total_amount=grand_totoal_bd+vat_amount;
	var total_disc=Math.round(net_total_amount*1000)/1000;
	$('#nitem_disc_per').val(discount_percentage);
	$('#furniture_vat_amount').val(Math.round(vat_amount*1000)/1000);
	$('#total_disc').val(total_disc.toFixed(3));
	return true;
	}
	
});

$("html").on("keyup","#total_disc",function(){
		var net_total=Number($(this).val());
		var qty=Number($("#furniture_quantity").val());
		//var Item=$("#Item").val();
		var vat_percentage=Number($('#vat_perc').val());
		if (qty==='' || qty===0){
			alert('Please Enter Qty');
			return false;
		}
		if($('#vat_inclusive').is(":checked")){
			if(Number($('#nitem_disc').val())===0){
				var amount=net_total/(1+(vat_percentage/100));
				var rate=amount/qty;
				var vat=amount*(vat_percentage/100);
				$("#furniture_unitprice").val(Math.round(rate*1000)/1000);
				$("#furniture_total").val(Math.round(amount*1000)/1000);
				$('#furniture_vat_amount').val(Math.round(vat*1000)/1000);
			} else{
				var amount=Number($("#furniture_total").val());
				var discount=amount-(net_total/(1+(vat_percentage/100)));
				if(discount>0){
					var discount_percentage = discount/amount*100; 
					discount_percentage=Math.round(discount_percentage*1000000000)/1000000000;
					var grand_totoal_bd = amount - discount;

					var result2= Math.round(grand_totoal_bd*1000000000)/1000000000;	
					var nb_vat_amount=(vat_percentage/100)*result2;
					$('#nitem_disc_per').val(discount_percentage);
					$('#furniture_vat_amount').val(nb_vat_amount);
					$("#nitem_disc").val(Math.round(discount*1000)/1000);
				} else {
					var result2= Math.round(amount*1000000000)/1000000000;	
					var nb_vat_amount=(vat_percentage/100)*result2;
					$('#nitem_disc_per').val('');
					$('#furniture_vat_amount').val(nb_vat_amount);
					$("#nitem_disc").val('');
					alert('Please check discount');
					return false;
				}
			} 
			
		}
	});
    function calculate_total() {
		var price           	= $('#furniture_unitprice').val();
		var no_of_quantity		= $('#furniture_quantity').val();
		var total_amount	    = no_of_quantity * price ;
		
		var vat_perc = Number($('#vat_perc').val())/100;
		var vat_amount=Number(total_amount)*vat_perc;

		var net_total_amount=Number(total_amount)+vat_amount;
		//$('#furniture_total').removeAttr('readonly');
		var decimal_total_amount=Math.round(total_amount*1000)/1000;
		var decimal_net_total_amount=Math.round(net_total_amount*1000)/1000
		$('#furniture_total').val(decimal_total_amount.toFixed(3));
		$('#furniture_vat_amount').val(Math.round(vat_amount*1000)/1000);
		$('#total_disc').val(decimal_net_total_amount.toFixed(3));
		<?php if (!isset($item_discount)) { ?>
			$('#nitem_disc_per').val('');
			$('#nitem_disc').val('');
		<?php } else { ?>
			var nitem_disc = $('#nitem_disc').val();
			if(isNaN(nitem_disc)) {
				return false;
			}
			var total_bd = Number($('#furniture_total').val());
			nitem_disc=Number(nitem_disc);

			var discount_percentage = nitem_disc/total_bd*100; 
			discount_percentage=Math.round(discount_percentage*1000000000)/1000000000;
			var grand_totoal_bd = total_bd - nitem_disc;
			
			
			var vat_perc = Number($('#vat_perc').val())/100;
			var vat_amount=grand_totoal_bd*vat_perc;
			
			$('#nitem_disc_per').val(discount_percentage);
			$('#furniture_vat_amount').val(Math.round(vat_amount*1000)/1000);
			$('#total_disc').val(grand_totoal_bd+vat_amount);
		<?php } ?>
	}

	function calculate_price() {
		$(".item_result").css('display','none');
		var  total_amount           	= $('#furniture_total').val();
		var no_of_quantity		= $('#furniture_quantity').val();
		var	 price   = total_amount / no_of_quantity  ;
		var vat_perc = Number($('#vat_perc').val())/100;
		var vat_amount=Number(total_amount)*vat_perc;
		
		$('#furniture_unitprice').val(price);
		$('#furniture_vat_amount').val(vat_amount);
		$('#total_disc').val(Number(total_amount)+vat_amount);
		$('#nitem_disc_per').val('');
		$('#nitem_disc').val('');
		
	}

    $("html").on("keyup","#furniture_unitprice",function(){
			$(".item_result").css('display','none');
			var price=$(this).val();
			$('#nitem_disc_per').val('');
			$('#nitem_disc').val('');
			calculate_total();
			
	});
	$("html").on("keyup","#furniture_quantity",function(){
			$('#nitem_disc_per').val('');
			$('#nitem_disc').val('');
			calculate_total();
		}
	);
	
	$('#furniture_total').change(function(){
			calculate_price();
		}
	);
    Number.prototype.formatMoney = function(c, d, t){
        var n = this, 
        c = isNaN(c = Math.abs(c)) ? 2 : c, 
        d = d == undefined ? "." : d, 
        t = t == undefined ? "," : t, 
        s = n < 0 ? "-" : "", 
        i = parseInt(n = Math.abs(+n || 0).toFixed(c)) + "", 
        j = (j = i.length) > 3 ? j % 3 : 0;
        return s + (j ? i.substr(0, j) + t : "") + i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + t) + (c ? d + Math.abs(n - i).toFixed(c).slice(2) : "");
    };
    function sumtotl() {
        var sum=0;
        //document.getElementById("qoute_discount").readOnly = false;
        var cost = document.getElementsByName('totalhidden[]');
        for(var i=0;i<cost.length;i++)
        {
        sum += parseFloat(cost[i].value);	
        }
        //document.getElementById('total_item').value = (sum).toFixed(3);
        document.getElementById('total_item').value = sum;
        var vat_perc=$('#vat_perc').val();
        var	vt=sum*(vat_perc/100);
        sum	=	sum+(sum*(vat_perc/100));
        
        
        document.getElementById('proforma_vat_amount').value = Math.round(vt*1000)/1000;
        document.getElementById('proforma_amount').value = Math.round(sum*1000)/1000;
        document.getElementById('proforma_net_amount').value = Math.round(sum*1000)/1000;
    // document.getElementById('proforma_net_amount_2').value = Math.round(sum*1000)/1000;
        
    }
$(document).ready(function(){
    $("#item_save").click(function(){
        //$(this).val('Please wait ...').attr('disabled','disabled');
		if ($('#togBtn').is(':checked')) {
			if($('#furniture_model').val()===''){
                $('.errorNb').html('Product is required');
                $('.errorNb').show();
                $(this).val('SUBMIT').attr('disabled',false);
                //window.scrollTo(0,0);
                return false;
            }
        } else { 
            if($('#item_id').val()===''){
                $('.errorNb').html('Product is required');
                $('.errorNb').show();
                $(this).val('SUBMIT').attr('disabled',false);
                //window.scrollTo(0,0);
                return false;
            }
        } 
        if($('#furniture_quantity').val()==='' ){
            $('.errorNb').html('Quantity is required');
            $('.errorNb').show();
            $(this).val('SUBMIT').attr('disabled',false);
            //window.scrollTo(0,0);
            return false;
        }
        if($('#uom').val()===''){
            $('.errorNb').html('UOM is required');
            $('.errorNb').show();
            $(this).val('SUBMIT').attr('disabled',false);
            //window.scrollTo(0,0);
            return false;
        }
        item_id     =  $('#item_id').val();
		itemnew     =  $('#furniture_model').val();
        quantity    =  $('#furniture_quantity').val();
        u_o_m       =  $('#uom').val();
        vat_perc    =  $('#vat_perc').val();
        Rate1  =   Number($('#furniture_unitprice').val());
		Rate = Rate1.toFixed(3);
        total1=quantity*Rate1;
        total = total1.toFixed(3);
        vat_amount1=(quantity*Rate1)*(vat_perc/100);
        vat_amount = vat_amount1.toFixed(3);
        nitem_disc1  =   Number($('#nitem_disc').val());
		nitem_disc = nitem_disc1.toFixed(3);
		
		if($("#total_disc").val() == "") {
			$('.errorNb').html('Amount is Required');
            $('.errorNb').show();
			return false;
		}else{
			invoice_furniture_total1  =  Number($('#total_disc').val())- Number($('#nitem_disc').val());
			invoice_furniture_total = invoice_furniture_total1.toFixed(3);
		}
		item_description  =  $('#furniture_description').val();
		if(itemnew!="" && quantity!="" && u_o_m!="" && Rate!="" && invoice_furniture_total!=""){
            $('.hideProformaItem').show();
			var i = $('#hiddenCount').val();
			$('<tr class="delete_row'+ i +'"><td>'+ i +'<input type="hidden" name="re" class="re" value="'+ i +'" /><input type="hidden" name="item_id'+ i +'"   value="'+ item_id +'" /><input type="hidden" id="uom_nb'+ i +'" name="uom_nb'+ i +'" value="'+u_o_m+'" readonly="readonly" /></td><td width="10%"><input type="text" style="border:none;" id="item_row'+ i +'" name="item_row'+ i +'" value="'+itemnew+'" readonly="readonly" /></td><td><input type="text" style="border:none; text-align:right;width:75px;" id="quantity_row'+ i +'" name="quantity_row'+ i +'" value="'+quantity+'" readonly="readonly" /></td><td><input type="text" style="border:none;width:75px;  text-align:right;" id="rate_row'+ i +'" name="rate_row'+ i +'" value="'+Rate+'" readonly="readonly" /></td><td><input style="border:none;width:75px;  text-align:right;" type="text" name="total_row'+ i +'" id="total_row'+ i +'" value="'+total+'" readonly="readonly" /></td><td><input style="border:none;  text-align:right;width:75px;" type="text" name="disc_row'+ i +'" id="disc_row'+ i +'" value="'+nitem_disc+'" readonly="readonly" /></td><td><input style="border:none;width:75px;  text-align:right;" type="text" name="vat_perc_row'+ i +'" id="vat_perc_row'+ i +'" value="'+vat_perc+'" readonly="readonly" /></td><td><input style="border:none; width:75px; text-align:right;" type="text" name="vat_amount_row'+ i +'" id="vat_amount_row'+ i +'" value="'+vat_amount+'" readonly="readonly" /></td><td><input type="text" style="border:none;width:75px;text-align:right;" id="total'+ i +'" name="total'+ i +'" value="'+invoice_furniture_total+'" readonly="readonly" /><input type="hidden" style="border:none; background:#F0F1F4;" id="totalhidden[]" name="totalhidden[]" value="'+total1+'" readonly="readonly" /></td><td width="13%"><a type="button" class="btn btn-sm btn-danger removeRow" value="Delete" ><i class="fa fa-trash-o"></i></a></td><td style="display:none;"><textarea style="border:none; background:#F0F1F4;" id="description_row'+ i +'" name="description_row'+ i +'" readonly="readonly" >'+item_description+'</textarea></td></tr><tr class="delete_row'+ i +'" ><td colspan="10">'+item_description+'</td></tr>').appendTo(myTable);
			document.getElementById('hiddenCount').value = Number(i)+1;
			i++;
			$('#furniture_model').val('');
			$('#furniture_quantity').val('');
			$('#furniture_unitprice').val('');
			$('#invoice_furniture_total').val('');
			$('#nitem_disc').val('');
			$('#nitem_disc_per').val('');
			$('#nitem_disc').val('');
			$('#total_disc').val('');
            $('#furniture_total').val('');
            $('#item_id').val('');
			
			sumtotl();
			var x = document.getElementById("myTable").rows.length;
	        //document.getElementById('hiddenCount').value = x-1;onclick="deleteRow(this); sumtotl();"
			$('#furniture_model').val(null);
			$('#furniture_quantity').val(null);
			$('#furniture_unitprice').val(null);
			$('#invoice_furniture_total').val(null);
			$('#nitem_disc').val(null);
            $('#item_id').val(null);
            $("#furniture_description").summernote('code', '');

            $('#proforma_percentage').prop('readonly', true);
            $('#proforma_net_amount').prop('readonly', true);

            $("#pull_nb_item").val(0);
            $("#proforma_percentage").val(100);
			
			$(".hidetr").css('display','none');
			$(".hidetd").css('display','inherit');
			//alert('One Item Added');
			}
        });
   });
function deleteRow(r) {
    var i = r.parentNode.parentNode.rowIndex;
    var rrr='delete_row'+i;
   // alert(rrr);
    //$('.'+rrr).remove();
    document.getElementById("myTable").deleteRow(i);
}
$("html").on("click",".removeRow",function(){
	var re = $(this).closest("tr").find(".re").val();
    var rrr='delete_row'+re;
    $('.'+rrr).remove();
    sumtotl();
});
$('.numbersOnly').keyup(function(event) {
	if($(this).val().substr(0, 1)==='.'){
		$(this).val('0.');
	}
});

$('.numbersOnly').keypress(function(event) {
    var $this = $(this);
	
    if ((event.which != 46 || $this.val().indexOf('.') != -1) &&
       ((event.which < 48 || event.which > 57) &&
       (event.which != 0 && event.which != 8))) {
           event.preventDefault();
    }

    var text = $(this).val();
    if ((event.which == 46) && (text.indexOf('.') == -1)) {
        setTimeout(function() {
            if ($this.val().substring($this.val().indexOf('.')).length > 3) {
                $this.val($this.val().substring(0, $this.val().indexOf('.') + 3));
            }
        }, 1);
    }

    if ((text.indexOf('.') != -1) &&
        (text.substring(text.indexOf('.')).length > 3) &&
        (event.which != 0 && event.which != 8) &&
        ($(this)[0].selectionStart >= text.length - 3)) {
            event.preventDefault();
    }      
});
$('.numbersOnly').bind("paste", function(e) {
	var text = e.originalEvent.clipboardData.getData('Text');
    if ($.isNumeric(text)) {
		if ((text.substring(text.indexOf('.')).length > 3) && (text.indexOf('.') > -1)) {
			e.preventDefault();
			$(this).val(text.substring(0, text.indexOf('.') + 3));
	    }
	} else {
			e.preventDefault();
	}
});

$("html").on("change","#proforma_percentagexxx",function(){
    var proforma_percentage=    $(this).val();
    var proforma_net_amount=$("#proforma_net_amount").val();
    var proforma_net_amount_2=$("#proforma_net_amount_2").val();
    var balance=proforma_net_amount_2-proforma_net_amount;
    balance=Math.round(balance*1000000000)/1000000000;
    balance = balance.toFixed(3);
    var job_card_amount_with_vat    =  '<?php echo number_format($proforma->job_card_amount_with_vat,3); ?>';
    var project_text_area="Total Project Value : "+job_card_amount_with_vat+"\nInvoiced                    : "+proforma_net_amount+" ("+proforma_percentage+"%)\n-------------------------------\nBalance                     : "+balance;
    $("#project_text_area").val(project_text_area);
});

$("html").on("change","#proforma_net_amountxxx",function(){
    var proforma_net_amount=    $(this).val();
    var proforma_percentage=$("#proforma_percentage").val();
    var proforma_net_amount_2=$("#proforma_net_amount_2").val();
    var balance=proforma_net_amount_2-proforma_net_amount;
    balance=Math.round(balance*1000000000)/1000000000;
    balance = balance.toFixed(3);
    var job_card_amount_with_vat    =  '<?php echo number_format($proforma->job_card_amount_with_vat,3); ?>';
    var project_text_area="Total Project Value : "+job_card_amount_with_vat+"\nInvoiced                    : "+proforma_net_amount+" ("+proforma_percentage+"%)\n-------------------------------\nBalance                     : "+balance;
    $("#project_text_area").val(project_text_area);
});

$('#proforma_percentage').keyup(function(event) {
    var inv_amnt   = $('#proforma_amount').val();
    var qoute_amount   = $('#proforma_amount').val();
    var inv_percnt = $('#proforma_percentage').val();
    var invoice_discount = 0;
    var invoicepercentage1 = $('#proforma_percentage_2').val();
    if(Number(inv_percnt)>Number(invoicepercentage1)){
        var	t=$('#proforma_amount').val();
        document.getElementById('proforma_net_amount').value=$('#proforma_net_amount_2').val()-invoice_discount;
        var roundedvalue = Number(invoicepercentage1);
        $('#proforma_percentage').val(roundedvalue);
    } else {
        if(Number(inv_percnt)==Number(invoicepercentage1)){
            var	t=$('#proforma_amount').val();
            document.getElementById('proforma_net_amount').value=$('#proforma_net_amount_2').val()-invoice_discount;
            document.getElementById('inv_per_amnt').value=t;
        }else {
            var	t=	qoute_amount*(inv_percnt/100);
            document.getElementById('proforma_net_amount').value=(qoute_amount*(inv_percnt/100)-invoice_discount).toFixed(3);
            document.getElementById('proforma_net_amount').value=((qoute_amount*(inv_percnt/100))).toFixed(3);
        }
    }
});


$('#invoice_savexx').click(function(){
    $('.overlay').show();
    if($('#project_description').val()===""){
        $('.errorNb2').html('Please Enter Description');
        $('.errorNb2').show();
        return false;
    }
    total_new_one = Number($('#proforma_amount_hidden'));
    //total_discount_one = Number($('#grand_total_inv_discount').val())+Number($('#qoute_discount').val());
    if($('#proforma_percentage').val()=="0"){
        $('.errorNb2').html('Invoiced amount not exceed quotation amount');
        $('.errorNb2').show();
        return false;
    } else if($('#proforma_net_amount').val()=="0.000" || $('#proforma_net_amount').val()=="0" || $('#proforma_net_amount').val()<"0"){
        $('.errorNb2').html('Invoice amount cannot be zero or less than zero');
        $('.errorNb2').show();
        return false;
    }else if(total_new_one>$('#proforma_net_amount')!=""){
        $('.errorNb2').html('Invoice amount not exceed quotation amount');
        $('.errorNb2').show();
        return false;
    }
});
   
$('#invoice_save').click(function(){
    $('.overlay').show();
    total_new_one = Number($('#proforma_amount_hidden'));
    //total_discount_one = Number($('#grand_total_inv_discount').val())+Number($('#qoute_discount').val());
    if($('#proforma_percentage').val()=="0"){
        $('.errorNb2').html('Invoiced amount not exceed quotation amount');
        $('.errorNb2').show();
        return false;
    } else if($('#proforma_net_amount').val()=="0.000" || $('#proforma_net_amount').val()=="0" || $('#proforma_net_amount').val()<"0"){
        $('.errorNb2').html('Invoice amount cannot be zero or less than zero');
        $('.errorNb2').show();
        return false;
    }else if(total_new_one>$('#proforma_net_amount')!=""){
        $('.errorNb2').html('Invoice amount not exceed quotation amount');
        $('.errorNb2').show();
        return false;
    }
});
$('#proforma_net_amount').keyup(function(event) {
    var inv_amnt   	        = $('#proforma_net_amount_2').val();
    var taxable_vat_perce   = $('#taxable_vat_perce').val();
    var inv_per_amnt   	    = $(this).val();
    var invoice_discount    = 0;
    var qoute_amount   	    = $('#proforma_amount').val();
    var invoicepercentage_1 = $('#proforma_percentage_2').val();
    if (Number(inv_per_amnt)>Number(inv_amnt)){
        alert("Invoiced Amount not exceed Quote Amount");
        $('#proforma_net_amount').val(inv_amnt);
        $('#proforma_net_amount').val(inv_amnt);
        $('#invoice_discount').val("");
        $('#proforma_percentage').val(invoicepercentage_1);
        return false;
    } else {
        var taxable_amount =   inv_per_amnt/(1+(taxable_vat_perce/100));
        var percentge_val = inv_per_amnt*(100/qoute_amount);
        var percentge_val_round = percentge_val.toFixed(3);
        document.getElementById('taxable_amount').value=(taxable_amount.toFixed(3));
        document.getElementById('taxable_vat_amount').value=((inv_per_amnt-taxable_amount).toFixed(3));
        document.getElementById('proforma_percentage').value=(percentge_val_round);
	}
});
$('#taxable_amount').keyup(function(event) {
    var hitaxable_amount = $('#hitaxable_amount').val();
    var inv_amnt   	     = $('#proforma_net_amount_2').val();
    var taxable_vat_perce= $('#taxable_vat_perce').val();
    var taxable_amount   = Number($(this).val());
    var invoicepercentage_1 = $('#proforma_percentage_2').val();
    var hitaxable_vat_amount = $('#hitaxable_vat_amount').val();
    var qoute_amount   	    = $('#proforma_amount').val();
    if (taxable_amount>Number(hitaxable_amount)){
        $('#proforma_net_amount').val(inv_amnt);
        $('#proforma_net_amount').val(inv_amnt);
        $('#invoice_discount').val("");
        $('#taxable_amount').val(hitaxable_amount);
        $('#proforma_percentage').val(invoicepercentage_1);
        document.getElementById('taxable_vat_amount').value=(Number.parseFloat(hitaxable_vat_amount).toFixed(3));
        return false;
    } else {
        var taxable_vat_amount  =   (taxable_amount*(taxable_vat_perce/100));
        var proforma_net_amount    =   taxable_amount+taxable_vat_amount;
        $('#proforma_net_amount').val(Number.parseFloat(proforma_net_amount).toFixed(3));
        document.getElementById('taxable_vat_amount').value=(Number.parseFloat(taxable_vat_amount).toFixed(3));
        var percentge_val = proforma_net_amount*(100/qoute_amount);
        var percentge_val_round = percentge_val.toFixed(3);
        $('#proforma_percentage').val(percentge_val_round);
    }
});
</script>
<script>
$(document).ready(function() {
	$('#furniture_description').summernote({
		height:150,                 // set editor height
		minHeight: 150,   
		toolbar: [
			//['style', ['style']],
			['font', ['bold', 'italic', 'underline', 'clear']],
			['color', ['color']],
			['para', ['ul', 'ol', 'paragraph']],
		],
	});
});
</script>
<script src="<?php echo base_url(); ?>/admincss/plugins/summernote/summernote1.js"></script>
<script src="<?php echo base_url(); ?>/admincss/js/summernote.js"></script>
