<style>
.btn-primary {
    background: #45aaf2 !important;
    border-color: #45aaf2 !important;
}
#back-to-top {
    background-image: linear-gradient(to right, #45aaf2 0%, #45aaf2 100%);
    border-color: #45aaf2;
}
#back-to-top:hover {
    color: #0774f8 !important;
    border: 2px solid #0774f8;
}
.btn:focus {
  outline: none !important;
  box-shadow: none !important;
}
.breadcrumb .breadcrumb-item.active {
    color: #45aaf2;
}
.app-content .side-app {
    padding: 0px 0.5rem 0 0.5rem;
}
.page-header {
    margin: 0.5rem 0rem;
}
.cardnew h6 {
    font-weight: 700;
    margin-bottom: 5%;
}
.fa-angle-right {
    font-size: 18px;
    margin-left: 5px;
}
.fa-plus {
    margin-right: 3px;
}
.fa-remove {
    color: #fff;
}
.fe-search {
    font-weight: 700;
}
.projectname {
    margin-top: 8%;
}
.custom-control-label::after {
	color: var(--volgh-white);
	background-color: #45aaf2 !important;
}
.product {
    text-decoration : underline;
    color: #45aaf2;
    margin-left: 19%;
}

.form-label {
    font-size: 11px;
}
.fa-close {
    padding-right: 3px;
}
.closebtn {
    background: #b7b8bd !important;
    border-color: #b7b8bd !important;
}
.switch {
  position: relative;
  display: inline-block;
  width: 90px;
  height: 34px;
}

.switch input {display:none;}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #45aaf2;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #45aaf2;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(55px);
  -ms-transform: translateX(55px);
  transform: translateX(55px);
}

/*------ ADDED CSS ---------*/
.on
{
  display: none;
}

.off
{
  color: white;
  position: absolute;
  transform: translate(-50%,-50%);
  top: 50%;
  left: 65%;
  font-size: 13px;
  font-family: Verdana, sans-serif;
}
.on {
    color: white;
    position: absolute;
    transform: translate(-50%,-50%);
    top: 50%;
    left: 35%;
    font-size: 13px;
    font-family: Verdana, sans-serif;
}
input:checked+ .slider .on
{display: block;}

input:checked + .slider .off
{display: none;}

/*--------- END --------*/

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
.invoicespan {
    margin-left: 29%;
}
.btnSec {
    margin-top: 1%;
}
</style>
<!--app-content open-->
<div class="app-content main-content">
	<div class="side-app">
		<div class="main-container">
			<!-- PAGE-HEADER -->
			<div class="page-header">
				<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
					<h1 class="page-title">Invoice</h1>
					<ol class="breadcrumb">
						<li class="breadcrumb-item"><a href="<?php echo site_url('Dashboard');?>">Home</a></li>
						<li class="breadcrumb-item"><a href="<?php echo site_url('Invoices');?>">Invoice</a></li>
						<li class="breadcrumb-item active" aria-current="page">New</li>
					</ol>
				</div>
				<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
				</div>
			</div>
		</div>
		<!-- PAGE-HEADER END -->
		<form id="quotation_furnitures" name="quotation_furnitures" class="form-horizontal" method="post" action="<?php echo site_url('Invoices/pupdate/'.$h1->proforma_id); ?>">
            <div class="main-container">
				<div class="card">
					<div class="card-body">
						<div class="row">
						<?php  if($this->session->flashdata("response")!=''){ ?>
							<div class="alert alert-danger">
							<?php if($this->session->flashdata("response")){ echo $this->session->flashdata("response"); $this->session->unset_userdata('response'); } ?>
							</div>
						<?php } ?>
							<div class="col-md-6 col-xl-6 cardnew">
								<div>
									<h6><span>Invoice No : <?php echo $invoice_no;?></span></h6>
									<input type="text" name="invoice_date" id="invoice_date" class='form-control col-md-3 fc-datepicker' placeholder="Date" value="<?php echo date('d-m-Y') ;?>" autocomplete="off" required />
									<input type="hidden" name="invid" id="invid" value="<?php echo $h1->proforma_id;?>">
									<input type="hidden" name="job_card_id" id="job_card_id" value="<?php echo $h1->job_card_id;?>">
									<input type="hidden" name="client_code" id="client_code" value="<?php echo $h1->client_code;?>">
									<input type="hidden" name="salesman_id" id="salesman_id" value="<?php echo $h1->salesman_id;?>">
									<input type="hidden" name="invtype" id="invtype" value="1">
								</div>
								<div>
									<label class="form-label">Proforma Number</label>
									<input type="text" class="form-control" id="invoice_number" name="invoice_number" autocomplete="off" value="<?php echo $h1->proforma_number;?>" readonly >
								</div>
								<div>
									<label class="form-label">Client</label>
									<input type="text" class="form-control" id="client" name="client" autocomplete="off" value="<?php echo $h1->client;?>" readonly >
								</div>
								<div class="row">
									<div class="col-md-6 col-xl-6">
										<label class="form-label">Reference</label>
										<input type="text" class="form-control"  id="reference" name="reference" autocomplete="off" value="" >
									</div>
									<div class="col-md-6 col-xl-6">
										<label class="form-label">Po No</label>
										<input type="text" class="form-control" id="po_no" name="po_no" autocomplete="off" value="<?php echo $h1->po_no;?>" >
									</div>
								</div>
							</div>
							<div class="col-md-6 col-xl-6">
								<div class="card">
									<div class="card-header">
										<div class="card-title">Job No : <?php echo $h1->job_card_number;?> ,&nbsp;&nbsp; Quote No : <?php echo $h1->quotation_number_full;?></div>
									</div>
									<div class="card-body mt-0">
										<div class="chats-wrap media-list">
											<div class="chat-details mb-0 p-1">
												<h4 class="mb-0">
													<span class="h5 font-weight-normal">Project Value</span>
													<span class="float-end p-1  btn btn-sm text-default">
													<b>BD. <?php if (isset($h1->job_card_amount_with_vat)) {  echo number_format($h1->job_card_amount_with_vat,3); } else { echo "0.000";}?></b></span>
												</h4>
												<div class="progress progress-sm mt-1">
													<div class="progress-bar bg-info w-100"></div>
												</div>
											</div>
											<div class="chat-details mb-0 p-1">
												<h4 class="mb-0">
													<span class="h5 font-weight-normal">Proforma Raised</span>
													<span class="float-end p-1  btn btn-sm text-default">
													<b>BD. <?php if(isset($sum->total_proformed_amount)){ echo $sum->total_proformed_amount; } else { echo "0.000"; }  ?></b></span>
												</h4>
												<div class="progress progress-sm mt-1">
													<div class="progress-bar bg-secondary w-<?php $xxx=(($sum->total_proformed_amount)/$h1->job_card_amount_with_vat)*100; echo ceil(($xxx) / 5) * 5; ?>"></div>
												</div>
											</div>
											<div class="chat-details mb-1 p-1">
												<h4 class="mb-0">
													<span class="h5 font-weight-normal">Invoiced</span>
													<span class="float-end p-1  btn btn-sm text-default">
													<b>BD. 800.000</b></span>
												</h4>
												<div class="progress progress-sm mt-1">
													<div class="progress-bar bg-success w-80"></div>
												</div>
											</div>
											<div class="chat-details mb-1 p-1">
												<h4 class="mb-0">
													<span class="h5 font-weight-normal">Received</span>
													<span class="float-end p-1  btn btn-sm text-default">
													<b>BD. 600.000</b></span>
												</h4>
												<div class="progress progress-sm mt-1">
													<div class="progress-bar bg-warning w-60"></div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-2 col-xl-2">
								<label class="form-label qty">Total </label>
								<input type="text" class="form-control" id="qty" autocomplete="name" value="<?php if(isset($h1->item_amount)){ echo $h1->item_amount; } else { echo "0.000"; }  ?>" readonly >
							</div>
							<!--<div class="col-md-2 col-xl-2">
								<label class="form-label qty">Item Discount</label>
								<input type="text" class="form-control" id="qty" autocomplete="name">
							</div>-->
							<div class="col-md-2 col-xl-2">
								<label class="form-label qty">VAT</label>
								<input type="text" class="form-control" id="qty" autocomplete="name" value="<?php if(isset($h1->proforma_vat_amount)){ echo $h1->proforma_vat_amount; } else { echo "0.000"; }  ?>" readonly >
							</div>
							<!--<div class="col-md-2 col-xl-2">
								<label class="form-label qty">Gross Amount</label>
								<input type="text" class="form-control" id="qty" autocomplete="name">
							</div>
							<div class="col-md-1 col-xl-1">
								<label class="form-label qty">Disc %</label>
								<input type="text" class="form-control" id="qty" autocomplete="name">
							</div>
							<div class="col-md-1 col-xl-1">
								<label class="form-label qty">Disc</label>
								<input type="text" class="form-control" id="qty" autocomplete="name">
							</div>-->
							<div class="col-md-2 col-xl-2">
								<label class="form-label qty">Net Amount</label>
								<input type="text" class="form-control" id="qty" autocomplete="name" value="<?php if(isset($h1->proforma_percentage_amount)){ echo $h1->proforma_percentage_amount; } else { echo "0.000"; }  ?>" readonly >
							</div>
						</div>
					</div>
                    <div class="card-body">
						<div class="table-responsive">
							<table id="example" class="table table-striped table-bordered text-nowrap w-100">
								<thead>
									<tr>
										<td class="">SL</td>
										<td class="">Product</td>
										<td class="" style="text-align:center;">Qty</td>
										<td class="" style="text-align:center;">Rate</td>
										<td class="" style="text-align:center;">Total</td>
										<td class="" style="text-align:center;">Disc.</td>
										<td class="" style="text-align:center;">VAT %</td>
										<td class="" style="text-align:center;">VAT</td>
										<td class="" style="text-align:center;">Net Amt</td>
									</tr>
								</thead>
								<tbody>
									<?php 
                          				$i=0; 
										$test=0;
										foreach ($h->result() as $row) { 
											$this->db->select('*');
											$this->db->where(array('proforma_id'=>$row->proforma_id,'group_id'=>$row->group_id));
											$this->db->from('proforma_details');
											$this->db->group_by("sub_group_name");
											$this->db->order_by("sub_group_id", "ASC");
											$rs = $this->db->get();
											//echo $this->db->last_query().'<br>';
											?>
											<tr class="hideTrRow">
												<td colspan="12" style="text-align: center;"><?php echo $row->group_name;?></td>
											</tr>
											<?php 
												foreach($rs->result() as $holi_per_mnth){ 
													$this->db->select('*');
													$this->db->where(array('proforma_id'=>$row->proforma_id,'group_id'=>$row->group_id,'sub_group_id'=>$holi_per_mnth->sub_group_id));
													$this->db->from('proforma_details');
													//$this->db->group_by("group_id");
													$this->db->order_by("item_order", "ASC");
													$this->db->order_by("proforma_id", "ASC");
													$sub_val 	   = $this->db->get();
													
													?>
													<tr  class="hideTrRow">
														<td colspan="12" style="text-align: center;"><?php echo $holi_per_mnth->sub_group_name; ?></td>
													</tr>
													<?php 
														foreach($sub_val->result() as $sub_records){  ?>
															<tr>
																<td class=""><?php echo $sub_records->sl_no;?></td>
																<td class=""><?php echo $sub_records->item_name;?></td>
																<td class=""  style="text-align:right;"><?php echo $sub_records->quantity;?></td>
																<td class="" style="text-align:right;"><?php echo $sub_records->unit_price;?></td>
																<td class="" style="text-align:right;"><?php echo $sub_records->amount;?></td>
																<td class="" style="text-align:right;"><?php echo $sub_records->item_discount;?></td>
																<td class="" style="text-align:right;"><?php echo round($sub_records->vat_perce,0);?> %</td>
																<td class="" style="text-align:right;"><?php echo $sub_records->vat_amount;?></td>
																<td class="" style="text-align:right;"><?php echo $sub_records->net_amount;?></td>
															</tr>
															<?php 
																if($sub_records->description!="" OR $sub_records->internal_comments!=""){ ?>
																	<tr style="height:100px">
																		<td colspan="4" style="text-align: center;padding-top: 4%;"><?php echo $sub_records->description;?></td>
																		<td colspan="5" style="text-align: center;padding-top: 4%;"><?php echo $sub_records->internal_comments;?></td>
																	</tr>
															<?php } } ?>
													<?php } ?>
											<?php }  ?>
								</tbody>
							</table>
						</div>
						<div class="row" style="margin-bottom: 10px;">
							<div class="col-md-4 col-xl-4">
								<button type="submit" name="invoice_save" id="invoice_save" class="btn btn-primary"><i class="mdi mdi-plus-circle-outline"></i>Submit</button>
							</div>
						</div>
					</div>
					
					<!-- TABLE WRAPPER -->
                </div>
                <!-- End Row -->
            </div>
		</form>
    </div>
</div>

<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/spectrum.js"></script>
<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>
<script type="text/javascript">
jQuery(function($) {
	$('.fc-datepicker').datepicker({
		dateFormat: 'dd-mm-yy',
		autoclose: true,
		todayHighlight: true
	});
});
</script>