<?php $price_round=3; $price_fraction_text="Fils"; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Receipt Voucher - <?php echo $receipt_code; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">

	.receipt_bg {
		border: 2px solid #000000;
		border-radius: 5px 5px 5px 5px;
		font-family: arial;
		font-size: 15px;
		height: 950px;
		margin: 0 auto;
		/*width: 850px;*/
		position:relative;
	}
	.logo{
		height:102px;
	}
	.logoimg {
		margin-left: 15px;
		margin-right: 49px;
		margin-top: 10px;
		max-height: 90px;
	}
	.logoimg:last-child {
		margin-right: 0;
	}
	.log_left{
		float:right;
		margin-right:15px;
	}
	h1.title{
		text-align: center;
		padding: 0px;
		margin: 0px;
		line-height: 42px;
		font-size: 18px;
		font-family: Arial, Helvetica, sans-serif;
		background-color:#d6d6d6;
		border:1px solid #000;
		border-radius: 5px 5px 5px 5px;
		width:640px !important;
		margin:0 auto;
	}
	a.no_print {
		color: #0088cc;
		text-decoration: none;
		font-size:14px;
		margin-left:14px;
	}

	.header_p {
		height: 20px;
		margin: 0px auto 0px;
		width:640px !important;
		border-radius: 5px 5px 5px 5px !important;
	}

	.quotation_details {
		border: 1px solid #000000;
		border-radius: 5px !important;
		height: 56px;
		margin: 10px auto 10px;
		width:640px !important;
	}
	.quotation_details table{
		width:98%;
		margin:0 auto;
	}
	.receipt_content{
		width:640px !important;
		margin:0 auto;
		border-radius: 5px !important;
	}
	.right td.result {
		/*width: 160px;*/
	}
	.receipt_content table.left {
		border: 1px solid #000000;
		border-radius: 5px !important;
		/*float: left;*/
		height: auto;
		padding: 0 10px;
		width: 100%;
	}
	
	.receipt_content table.right {
		border: 1px solid #000000;
		border-radius: 5px 5px 5px 5px !important;
		/*float: right;*/
		height: auto;
		padding: 0 0 0 10px;
		width: 100%;
	}

	.left td {
		height: 20px;
		line-height: 20px;
		vertical-align: top;
		/*width: 216px;*/
	}
	
	.left tr {
		float: left;
		min-height: 37px;
	}
		
	.right tr {
		float: left;
		min-height: 37px;
		/*width: 100%;*/
	}
	.right td {
		/*width: 228px;*/
	}
		
	.left td.priceWords {
		/*width: 336px;*/
	}
	.footer-print{
		width: 98%;
		left: 9px;
		position:absolute;
		bottom:15px;
	}
	td.mode{
		/*width:115px;*/
	}

	.priceField > span {
		float: right;
		margin-right: 15px;
	}
	td.type {
		padding-left: 14px;
		/*width: 245px;*/
	}

	.wideTable strong {
		float: right;
		/*width: 376px;*/
	}

	.wideTable span {
		float: right;
		margin: 0;
	}
	.remarksText {
		float: right;
		/*width: 376px;*/
	}
	
	.left td.wideTable {
		/*width: 392px;*/
	}
	
@media print {
	.no_print {
		display:none;
	}
	h1.title{
		text-align: center;
		padding: 0px;
		margin: 0px;
		line-height: 42px;
		font-size: 18px;
		font-family: Arial, Helvetica, sans-serif;
		background-color:#d6d6d6 !important;
		border:1px solid #000;
		border-radius: 5px 5px 5px 5px;
		width:640px !important;
		margin:0 auto;
	}
}
#watermark{
	  color: #FF0000;
	  font-size: 100pt;
	  -webkit-transform: rotate(-25deg);
	  -moz-transform: rotate(-45deg);
	  position: absolute;
	  width: 100%;
	  height: 100%;
	  margin: 0;
	  z-index: -1;
	  text-align:center;
	  top:350px;
	  left:50px;
	  opacity:0.2;
	}
</style>
</head>
<body>
<?php if($receipt_status==0) { ?>
<div id="watermark">cancelled</div>
<?php } ?>
    <div class="receipt_bg">
		<div class="header_p">
		<table width="100%">
        	<tr>
        		<td>
					<img src="<?php echo base_url()."images/company_logo/".$logo_filename; ?>" alt="" style="height:70px;width:220px"  class="logo"/>
            	</td>
        		<td align="right" style="vertical-align:bottom;" class="details">
					<?php if(isset($company_details->company_name)){ echo $company_details->company_name;} ?> <br> <?php if(isset($company_details->cr_number)){ if($company_details->cr_number!=""){ echo ' '.$company_details->cr_number;}} ?><br>
					<?php if(isset($company_details->company_address)){ echo $company_details->company_address;} ?> <br> <?php if(isset($company_details->email_id)){ if($company_details->email_id!=""){ echo '  '.$company_details->email_id;}} ?><br>
					<?php if(isset($company_details->telephone_no)){ echo $company_details->telephone_no;} ?>  <?php if(isset($company_details->fax_no)){ if($company_details->fax_no!=""){ echo ' | '.$company_details->fax_no;} } ?>
            	</td>
            </tr>
         </table>
</div>
		 <br>
        <h1 class="title">RECEIPT VOUCHER</h1>
       
        <div class="quotation_details">
        	<table>
            	<tr>
                	<td width="40%" align="left">Receipt No : <?php echo $receipt_code; ?></td>
                   	<td width="40%" align="right" style="font-size: 16px;"><!--Ref. Quote :--> <?php /*?><?php echo $quotation_number; ?><?php */?></td>
                </tr>
            	<tr>
                	<td width="40%" align="left">Date : <?php echo date('F d, Y',strtotime ($receipt_date)); ?></td>
                    <td width="40%" align="right"></td>
                </tr> 
            </table>
        </div>

		
        <div class="quotation_details" >
        	<table class="left">
            	<tr>
                	<td >Received from </td>
                    <td  colspan="3">: &nbsp;&nbsp;<strong><?php echo $received_from; ?></strong></td>
                </tr>
                <tr>
                	<td >Amount </td>
                    <td  colspan="3">: &nbsp;
						<strong>
							<?php 
								$intpart=(int) ($receipt_amount);
								$floatpart=(round($receipt_amount,$price_round)*pow(10,$price_round)-($intpart*pow(10,$price_round)));
								if($floatpart !=0) { 
									echo $currency_name1.' '.num_words($intpart) . '&nbsp;&amp;&nbsp;'. $price_fraction_text. '&nbsp;' . $floatpart. "/ 1000 Only";
								} else {
									echo $currency_name1.' '.num_words($intpart)." Only";
								}	
							?>
						</strong>
					</td>
                </tr>
                <tr>
                	<td >Received By </td>
                    <td  colspan="2">: &nbsp;&nbsp;<strong><?php echo $generated_by; ?></strong></td>
                </tr>
				<?php if($receipt_discount!=0) { ?>
				<tr>
                    <td >Discount</td>
                    <td  colspan="2" >: &nbsp;&nbsp;<strong><?php echo $currency_code; ?> <?php echo number_format($receipt_discount,3); ?></strong></td>
                </tr>
				<?php } ?>
                <tr>
                    <td style="width:130px;" >Received Amount</td>
                    <td colspan="2" style="font-size:19px;">: &nbsp;<strong><?php echo $currency_code; ?> <?php echo number_format($receipt_amount,3); ?></strong></td>
                </tr>
            </table>
		</div>
		<div class="quotation_details">
			<table >
            	<tr  >
                	<td align="left" style="" ><b>Payment Details</b></td>
                    <td align="right" ><b>Amount<?php echo ' ('.$currency_code.')'; ?></b></td>
					<td align="left" >&nbsp;</td>
                    <td align="left">&nbsp;</td>
                </tr>
                <?php 
					$PaidAmount='';
					$Cheque='';
					$cash='';
					$bank='';
					$CreditCard='';
					$Wallet='';
					$CreditCardName='';
					$WalletName='';
					$ChequeName='';
					$ChequeNumber='';
					$bankName='';
				 	if($receipt_pay != false)	{
						foreach($receipt_pay as $receipt_payment){ 
							if($receipt_payment['payment_mode']=='Paid Amount'){
								$PaidAmount=$receipt_payment['amount'];
							}
							if($receipt_payment['payment_mode']=='Cash'){
								$cash=$receipt_payment['amount'];
							}
							if($receipt_payment['payment_mode']=='Bank Transfer'){
								$bank=$receipt_payment['amount'];
								//$bankName=$receipt_payment['name'];
							}
							if($receipt_payment['payment_mode']=='Credit Card'){
								$CreditCard=$receipt_payment['amount'];
								$CreditCardName=$receipt_payment['name'];
							}
							if($receipt_payment['payment_mode']=='Wallet'){
								$Wallet=$receipt_payment['amount'];
								$WalletName=$receipt_payment['name'];
							}
							if($receipt_payment['payment_mode']=='Cheque'){
								$Cheque=$receipt_payment['amount'];
								$ChequeName=$receipt_payment['name'];
								$ChequeNumber=$receipt_payment['authorized'];
							}
						?> 
						<?php } } ?>
						<?php if($PaidAmount!='') { ?>
								<tr tyle="padding-left:10px;">
									<td align="left" style="width:100px;"><?php echo 'CASH';?></td>
									<td align="right" style="width:100px;"><?php echo number_format($PaidAmount,3);?></td>
									<td align="left" style="width:250px;">&nbsp;</td>
									<td align="left" style="width:50px;">&nbsp;</td>
								</tr>
						<?php } ?>
						<?php if($bank!='') { ?>
								<tr>
									<td align="left" width="250px;"><?php echo 'Bank Transfer';?></td>
									<td align="right" width="100px;"><?php echo number_format($bank,3);?></td>
									<td align="left" style="width:250px;">&nbsp;</td>
									<td align="left" style="width:50px;">&nbsp;</td>
								</tr>
						<?php } ?>
						<?php if($CreditCard!='') { ?>
								<tr>
									<td align="left" width="250px;"><?php echo 'C CARD ('.$CreditCardName.')';?></td>
									<td align="right" width="100px;"><?php echo number_format($CreditCard,3);?></td>
									<td align="left" style="width:250px;">&nbsp;</td>
									<td align="left" style="width:50px;">&nbsp;</td>
								</tr>
						<?php } ?>
						<?php if($Wallet!='') { ?>
								<tr>
									<td align="left" width="250px;"><?php echo 'Wallet ('.$WalletName.')';?></td>
									<td align="right" width="100px;"><?php echo number_format($Wallet,3);?></td>
									<td align="left" style="width:250px;">&nbsp;</td>
									<td align="left" style="width:50px;">&nbsp;</td>
								</tr>
						<?php } ?>
						<?php if($Cheque!='') { ?>
								<tr>
									<td align="left" width="250px;"><?php echo 'Cheque ('.$ChequeName.')';?></td>
									<td align="right" width="100px;"><?php echo number_format($Cheque,3);?></td>
									<td align="center" style="width:250px;"><?php echo $ChequeNumber; ?></td>
									<td align="left" style="width:50px;">&nbsp;</td>
								</tr>
						<?php } ?>
						<?php if((float)$PaidAmount-(float)$cash>0) { ?>
								<tr>
									<td align="left" width="250px;"><?php echo 'BALANCE';?></td>
									<td align="right" width="100px;"><?php echo number_format($PaidAmount-$cash,3);?></td>
									<td align="left" style="width:250px;">&nbsp;</td>
									<td align="left" style="width:50px;">&nbsp;</td>
								</tr>
						<?php } ?>
           	 		</table>
						</div>
						<div class="quotation_details" >
        	<table >
            	<tr >
                	<td align="left" ><b>Bill No.</b></td>
                    <!--<td align="right" ><b>Inv Amount<?php echo ' ('.$currency_code.')'; ?></b></td>-->
                    <td align="right" ><b>Amount<?php echo ' ('.$currency_code.')'; ?></b></td>
                    <!--<td align="right" ><b>Balance<?php echo ' ('.$currency_code.')'; ?></b></td>-->
                </tr>
                <?php /*?><?php if(!isset($cancel_flag)) { ?><?php */?>
                   <?php
	if($receipt_inv != false) {
		foreach($receipt_inv as $receipt_inv2){?> 
		<?php
			if($receipt_inv2['invoice_number']!=''){
				$receipt_date = $receipt_inv2['receipt_date'];
				$invoice_id = $receipt_inv2['invoice_id'];
				$result = $this->db->query("SELECT SUM(receipts_details.receipt_amount) AS total_paid_amount,SUM(receipts_details.receipt_discount) AS receipt_discount FROM furniture_receipts inner join receipts_details on receipts_details.receipt_id=furniture_receipts.receipt_id WHERE receipts_details.invoice_id='$invoice_id' AND receipt_status!='0' AND receipt_date<='$receipt_date'");
				$data = $result->result_array();
				$result2 = $this->db->query("SELECT sum(`net_amount`) as total_credit_amount FROM credit_note WHERE invoice_id='$invoice_id' AND credit_note_status!='0' AND credit_note_date<='$receipt_date'");
				$data2 = $result2->result_array();
		?>
                    <tr>
                        <td align="left" ><?php if($receipt_inv2['invoice_number']!=''){ echo $receipt_inv2['invoice_number']; } else { echo $receipt_inv2['invoice_id'].' ( Advance payment)'; } ?></td>
                        <td align="right" ><?php echo number_format($receipt_inv2['invoice_percentage_amount'] - $receipt_inv2['invoice_discount'],3);?></td>
                        <td align="right" ><?php echo number_format($data[0]['total_paid_amount']+$data[0]['receipt_discount']+$data2[0]['total_credit_amount'],3);?></td>
                        <td align="right" ><?php echo number_format($receipt_inv2['invoice_percentage_amount'] - $receipt_inv2['invoice_discount']-$data[0]['total_paid_amount']-$data[0]['receipt_discount']-$data2[0]['total_credit_amount'],3);?></td>
                    </tr>
                    <?php } else { 
						
						$receipt_date = $receipt_inv2['receipt_date'];
						$invoice_id = $receipt_inv2['invoice_id'];
						$result = $this->db->query("SELECT sum(cust_bill_allocations.bill_amt) AS total_paid_amount,bill_type FROM furniture_receipts inner join cust_bill_allocations on cust_bill_allocations.trn_no=furniture_receipts.receipt_code WHERE cust_bill_allocations.bill_id='$invoice_id' AND status!='0' AND customer_code='$client_code'");
						$data = $result->result_array();

						$resultxx = $this->db->query("SELECT bill_type FROM cust_bill_allocations WHERE cust_bill_allocations.bill_id='$invoice_id' AND status!='0' AND customer_code='$client_code'");
						$dataxx = $resultxx->result_array();
						
					?>
						<tr>
                        <td align="left" ><?php if($dataxx[0]['bill_type']==='Receipt'){ $zzz='Advance Received'; } else { $zzz=$dataxx[0]['bill_type']; } echo $receipt_inv2['invoice_id'].' ( '.$zzz.' )'; ?></td>
                        <!--<td align="right" ><?php echo '0.000';?></td>-->
                        <td align="right" ><?php echo number_format(-1*$receipt_inv2['paid_amount'],3);?></td>
                        <!--<td align="right" ><?php echo number_format($data[0]['total_paid_amount'],3);?></td>-->
                    </tr>
					<?php } }
	}?>
                <?php /*?><?php } ?><?php */?>
            </table>
			
			<div>&nbsp;</div>
			
				
			<?php if($receipt_remarks!="") { ?>
							Remarks : <?php echo $receipt_remarks; ?>
				<?php } ?>
        </div>
       
    </div>
</body>
</html>