<style>
.cardnew h6 {
    font-weight: 700;
    margin-bottom: 5%;
}
.thead-secondary th {
    background:#6C6C6A !important;
    color:white !important;
}
.errorNb {
	display:none;
}
div.dt-buttons {
	float: right;
	padding-left: 15px;
    padding-right: 15px;
}
.dataTables_length {
	position: absolute;
}
.card_padding_top {
	padding-top: 5px;
}
.p_description_result {
	border: 1px solid #d2d6de;
	position: absolute;
	width: 530px;
	height: auto;
	background-color: #fff;
	z-index: 100;
	margin-top: 0px;
	border-radius: 3px;
	display: none;
}
.p_descriptionList {
	margin:0px;
}
.p_descriptionList li {
	color: #000000;
	padding: 0;
	padding-left: 8px;
	height: 30px;
	padding-top: 4px;
	cursor:pointer;
	font-weight:600;
	list-style-type: none;
}
.p_descriptionList li:hover {
	background:#CCCCCC;
}
.nbactive{
    background-color:#D6D6D6;
}
.pad_zero{
	padding-left: 0 !important;
}
.firstSec {
	flex: 0 0 13%;
    max-width: 12.6%;
}
.firstSec p {
    font-weight: 700;
}
</style>
	<div class="app-content main-content">
		<div class="side-app">
			<div class="main-container">
				<!-- PAGE-HEADER -->
				<div class="page-header">
					<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
						<h1 class="page-title">
							<?php 
								if($mode=='new') {
									echo 'Stock Adjustment';
								} else {
									//echo 'Edit Delivery Note';
								}
							?>
						</h1>
					</div>
					<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
						<div class="float-sm-end float-none my-1">
						</div>
					</div>
				</div>
			</div>
			<!-- PAGE-HEADER END -->
			<!-- ROW-1 -->
			<form action="<?php echo site_url('jobcard/Stock_adjustment/create_stock_adjustment');?>" method="post" enctype="multipart/form-data" >
				<div class="card">
					<div class="card-body">
						<?php
							if($this->session->flashdata("response")!='') {
								echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
								$this->session->unset_userdata('response');
							}
						?>
						<?php
							if($this->session->flashdata("success")!='') {
								echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
								$this->session->unset_userdata('success');
							}
						?>
						<div class="alert alert-danger errorNb">
						</div>
						<div class="row">
							<div class="col-md-2 col-xl-2">
                                <h6><span class="invoicespan"><b>SA No : <?php echo $saNumber;?></b></span></h6>
                            </div>
							<div class="col-md-2 col-xl-2">
                                <div class="input-group">
                                    <input type="text" class="form-control fc-datepicker" placeholder="Date" name="sa_date"  id="sa_date" value="<?php echo date('d-m-Y') ;?>" autocomplete="off"    />
                                </div>
                            </div>
							<div class="col-md-2 col-xl-2 firstSec">
								<div>
									<select class="form-control" id="type" name="type" required="required"  >
										<option value="Stock Adjustment">Stock Adjustment</option>
										<!--<option value="Stock Transfer">Stock Transfer</option>-->
									</select>
								</div>
							</div>
							<div class="col-md-2 col-xl-2 firstSec">
								<div>
									<select class="form-control" id="loc_id" name="loc_id" required="required"  >
										<?php foreach($location_list as $row){ ?>
											<option value="<?php echo $row['loc_id'];?>"><?php echo $row['loc_name'];?></option>
										<?php }?>
									</select>
								</div>
							</div>
							<div class="col-md-2 col-xl-2 firstSec">
								<div>
								<?php echo form_dropdown('type_nb',array('1'=>"Not Applicable",'2'=>"Issue"),'','id="type_nb" class="form-control form-select"  ');?>
								</div>
							</div>
						</div>
					</div>
					<div class="card-body">
						<div style="min-height: 800px;">
							<table class="table card-table col-md-6 nbTable">
								<thead class="thead-secondary" >
									<tr>
										<th style="width:70%;">Item</th>
										<th style="width:15%;">UOM</th>
										<th style="width:15%;">Qty</th>
										<th style="width:5%;">&nbsp;</th>
									</tr>
								</thead>
								<tbody class="divAppend2">
								</tbody>
								<tr class="rowDiv2">
									<td class="pad_zero" >
										<input type="text"  name="p_description[]"  value="" class="form-control p_description" autocomplete="off"  />
										<input  type="hidden" name="p_description_id[]" value="" class="form-control p_description_id" autocomplete="off"/>
										<input  type="hidden" name="p_tax_rate[]" value="" class="form-control p_tax_rate" autocomplete="off"/>
										<div class="p_description_result">
											<table class="p_descriptionList table card-table " >
                                            </table>
										</div>
										<input  type="hidden" name="p_nbitem[]" value="" class="form-control p_nbitem" autocomplete="off"/>
									</td>
									<td class="pad_zero" >
										<input  type="text" name="uom[]" value="" class="form-control uom" autocomplete="off" readonly  tabindex="-1" />
									</td>
									<td class="pad_zero" >
										<input type="text" name="p_qty[]" value="" class="form-control p_qty checkNumbersOnly" autocomplete="off"/>
										<input type="hidden" name="p_rate[]"  value="" class="form-control p_rate" autocomplete="off" readonly/>
										<input type="hidden" name="p_discount[]" class="form-control p_discount" autocomplete="off"/>
										<input type="hidden" name="p_amount[]" value="" class="form-control p_amount" readonly autocomplete="off"/>
										<input type="hidden" name="p_vat[]" value="" class="form-control p_vat" autocomplete="off"/>
										<input type="hidden" name="p_vat_amount[]" value="" class="form-control p_vat_amount" readonly autocomplete="off"/>
										<input type="hidden" name="p_net_amount[]" value="" class="form-control p_net_amount" readonly autocomplete="off" />
									</td>
									<td class="pad_zero" >
										<input name="search_button" type="button" class="btn btn-success addRow2" id="search_button" value="+"  />
										<input name="search_button" type="button" class="button1 btn btn-danger removeRow2" id="search_button" value="x"  style="display:none;"/>
									</td>
								</tr>
							</table>
							
							<div class="row" style="margin-bottom: 10px;">
								<div class="col-md-3 col-lg-3 col-xl-3">
									<input type="submit" value="<?php if($mode=='new') { echo 'Submit'; } else { echo 'Update'; } ?>" class="btn btn-info" />
									<a type="submit" value="Cancel" class="btn btn-danger" href="<?php echo site_url('jobcard/Stock_adjustment/stock_adjustment_list'); ?>" />Cancel</a>
								</div>							
							</div>
						</div>								
					</div>
				</div>
			</form>
			<!-- ROW-1 CLOSED -->
		</div>
	</div>
	<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/spectrum.js"></script>
	<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>
	<script type="text/javascript">
	jQuery(function($) {
		$('.fc-datepicker').datepicker({
			dateFormat: 'dd-mm-yy',
			autoclose: true,
			todayHighlight: true
		});
	});
	</script>
	<script type="text/javascript">
	
	$('.checkNumbersOnly').keyup(function(event) {
        if($(this).val().substr(0, 1)==='.'){
            $(this).val('0.');
        }
    });

	$("html").on("change", "#type_nb",function(){
		$(".nbTable").find("tr:gt(1)").remove();
		$(".p_description").val('');
		$(".uom").val('');
		$(".p_qty").val('');
	});

    $('.checkNumbersOnly').keypress(function(event) {
        var $this = $(this);
		
		if($('#type_nb').val()==='2'){
			if ((event.which != 46 || $this.val().indexOf('.') != -1) && 
			((event.which < 48 || event.which > 57) &&
			(event.which != 0 && event.which != 8))) {
				event.preventDefault();
			}
		} else {
			if ((event.which != 46 || $this.val().indexOf('.') != -1) && (event.which != 45 || $this.val().indexOf('-') != -1) &&
			((event.which < 48 || event.which > 57) &&
			(event.which != 0 && event.which != 8))) {
				event.preventDefault();
			}
		}

        var text = $(this).val();
        if ((event.which == 46) && (text.indexOf('.') == -1)) {
            setTimeout(function() {
                if ($this.val().substring($this.val().indexOf('.')).length > 3) {
                    $this.val($this.val().substring(0, $this.val().indexOf('.') + 3));
                }
            }, 1);
        }
		

        if ((text.indexOf('.') != -1) &&
            (text.substring(text.indexOf('.')).length > 3) &&
            (event.which != 0 && event.which != 8) &&
            ($(this)[0].selectionStart >= text.length - 3)) {
                event.preventDefault();
        }      
    });
    $('.checkNumbersOnly').bind("paste", function(e) {
        var text = e.originalEvent.clipboardData.getData('Text');

        if ($.isNumeric(text)) {
            if ((text.substring(text.indexOf('.')).length > 3) && (text.indexOf('.') > -1)) {
                e.preventDefault();
                $(this).val(text.substring(0, text.indexOf('.') + 3));
            }
        } else {
            e.preventDefault();
        }
    });

	$("html").on("keyup", ".rqqnty",function(){
		var rqqnty=Number($(this).val());
		var blncqnty=Number($(this).closest("td").find(".blncqnty").val());
		if(blncqnty>=rqqnty) {

		} else {
			$(this).val('');
			$('.errorNb').html('Please check entered Qty');
			$('.errorNb').show();
			return false;
		}
	});

	$("html").on("click", ".removeRow2",function(){
		$(this).closest('tr.rowDiv2').remove();
		parts_total();
	});

	$("html").on("keyup",".p_description",function(){
		
		var item	=	$(this).val();
		var loc_id	=	$("#loc_id").val();
		if (item==''){
			$(this).val("");
			return false;
		} else {
			$(this).closest('.rowDiv2').find('.p_description').addClass("p_description_123");
			$(this).closest('.rowDiv2').find('.p_nbitem').addClass("p_nbitem_123");
			$(this).closest('.rowDiv2').find('.p_qty').addClass("p_qty_123");
			$(this).closest('.rowDiv2').find('.p_rate').addClass("p_rate_123");
			$(this).closest('.rowDiv2').find('.p_amount').addClass("p_amount_123");
			$(this).closest('.rowDiv2').find('.p_description_id').addClass("p_description_id_123");
			$(this).closest('.rowDiv2').find('.p_vat').addClass("p_vat_123");
			$(this).closest('.rowDiv2').find('.p_vat_amount').addClass("p_vat_amount_123");
			$(this).closest('.rowDiv2').find('.p_net_amount').addClass("p_net_amount_123");
			$(this).closest('.rowDiv2').find('.p_description_result').addClass("123456789");
			$(this).closest('.rowDiv2').find('.p_descriptionList').addClass("123");
			$(this).closest('.rowDiv2').find('.p_nbitem').addClass("p_nbitem_123");
			$(this).closest('.rowDiv2').find('.p_tax_rate').addClass("p_tax_rate_123");
			$(this).closest('.rowDiv2').find('.fx_rate').addClass("fx_rate_123");
			$(this).closest('.rowDiv2').find('.uom').addClass("uom_123");
			$.ajax({
				url:"<?php echo site_url("jobcard/Stock_adjustment/search_item")?>" ,
				type: "POST" ,
				data: {item	: item} ,
				success: function(data){
					$(".123456789").css('display','block');
					$(".123").html(data);
					p_description_button();
					$('.p_description_123').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.123').on('focus', 'tr', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.123').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'tr', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('tr').first().focus();
						}
					});
					$(".123 tr").keypress(function (e) {
						if (e.keyCode == 13) {
							$(".p_description_result").css('display','none');
							var item_code	=	$(this).closest("tr").find(".nb_id").val();
							var item_name = $(this).closest("tr").find(".item_name").val();
							var item_description = $(this).closest("tr").find(".item_description").val();
							var item_unit = $(this).closest("tr").find(".item_unit").val();
							var cost_price = $(this).closest("tr").find(".cost_price").val();
					
							$(".p_description_123").val(item_name);
							$(".p_nbitem_123").val(item_name);
							$(".p_qty_123").val(1);
							$(".fx_rate_123").val(cost_price);
							$(".p_rate_123").val(cost_price);
							$(".p_description_id_123").val(item_code);
							$(".p_amount_123").val(cost_price);
							
							$(".uom_123").val(item_unit);
							
							$(".p_rate_123").removeClass("p_rate_123");
							$(".fx_rate_123").removeClass("fx_rate_123");
							$(".p_qty_123").removeClass("p_qty_123");
							$(".p_amount_123").removeClass("p_amount_123");
							$(".p_description_id_123").removeClass("p_description_id_123");
							$(".p_vat_123").removeClass("p_vat_123");
							$(".p_tax_rate_123").removeClass("p_tax_rate_123");
							$(".p_description_123").removeClass("p_description_123");
							$(".p_nbitem_123").removeClass("p_nbitem_123");
							$(".p_vat_amount_123").removeClass("p_vat_amount_123");
							$(".p_net_amount_123").removeClass("p_net_amount_123");
							$(".uom_123").removeClass("uom_123");
							$(".123456789").removeClass("123456789");
							$(".123").removeClass("123");
						}
					});
				},
				error: function(){
					$("#errorMsg").html('Connection Error......');
					$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
		}
	});
	
	function p_description_button() {
		$(".p_description_button").click(function() {
			$(".p_description_result").css('display','none');
			var item_code	=	$(this).closest("tr").find(".nb_id").val();
            var item_name = $(this).closest("tr").find(".item_name").val();
			var item_description = $(this).closest("tr").find(".item_description").val();
            var item_unit = $(this).closest("tr").find(".item_unit").val();
            var cost_price = $(this).closest("tr").find(".cost_price").val();
	 
		 	$(".p_description_123").val(item_name);
			$(".p_nbitem_123").val(item_name);
	 		$(".p_qty_123").val(1);
			$(".fx_rate_123").val(cost_price);
			$(".p_rate_123").val(cost_price);
			$(".p_description_id_123").val(item_code);
			$(".p_amount_123").val(cost_price);
			$(".uom_123").val(item_unit);
			
			$(".p_rate_123").removeClass("p_rate_123");
			$(".fx_rate_123").removeClass("fx_rate_123");
			$(".p_qty_123").removeClass("p_qty_123");
			$(".p_amount_123").removeClass("p_amount_123");
			$(".p_description_id_123").removeClass("p_description_id_123");
			$(".p_vat_123").removeClass("p_vat_123");
			$(".p_tax_rate_123").removeClass("p_tax_rate_123");
			$(".p_description_123").removeClass("p_description_123");
			$(".p_nbitem_123").removeClass("p_nbitem_123");
			$(".p_vat_amount_123").removeClass("p_vat_amount_123");
			$(".p_net_amount_123").removeClass("p_net_amount_123");
			$(".uom_123").removeClass("uom_123");
			$(".123456789").removeClass("123456789");
			$(".123").removeClass("123");
		});
		$(".no_result_button").click(function() {
			$(".p_description_result").css('display','none');
			$(".p_rate_123").removeClass("p_rate_123");
			$(".p_qty_123").removeClass("p_qty_123");
			$(".p_amount_123").removeClass("p_amount_123");
			$(".p_description_id_123").removeClass("p_description_id_123");
			$(".p_vat_123").removeClass("p_vat_123");
			$(".p_description_123").removeClass("p_description_123");
			$(".p_vat_amount_123").removeClass("p_vat_amount_123");
			$(".p_net_amount_123").removeClass("p_net_amount_123");
			$(".123456789").removeClass("123456789");
			$(".123").removeClass("123");
			$(".fx_rate_123").removeClass("fx_rate_123");
		});
	}
	$("html").on("click", ".addRow2",function(){
		var description=$(this).closest('.rowDiv2').find('.p_description_id').val();
		
		if(description==''){
			alert('Please Select Item Name');
			return false;
		}

		$(".divAppend2 .addRow2").css("display","none");
		$(".divAppend2 .removeRow2").css("display","none");
		$(".addRow2").css("display","none");
		count2 = Number($('.divAppend2 tr.rowDiv2').length)+2;
		var html='';
		html+='<tr class="rowDiv2">';
		html+='<td  class="pad_zero" >';
		html+='<input type="text"  name="p_description[]"  value="" class="form-control p_description" autocomplete="off"  />';
		html+='<input  type="hidden" name="p_description_id[]" value="" class="form-control p_description_id" autocomplete="off"/>';
		html+='<input  type="hidden" name="p_tax_rate[]" value="" class="form-control p_tax_rate" autocomplete="off"/>';
		html+='<div class="p_description_result"><table class="p_descriptionList table card-table " ></table></div>';
		html+='<input  type="hidden" name="p_nbitem[]" value="" class="form-control p_nbitem" autocomplete="off"/>';
		html+='</td>';
		html+='<td class="pad_zero" >';
		html+='<input  type="text" name="uom[]" value="" class="form-control uom" autocomplete="off" readonly  tabindex="-1" />';
		html+='</td>';
		html+='<td class="pad_zero" >';
		html+='<input type="text" name="p_qty[]" value="" class="form-control p_qty checkNumbersOnly" autocomplete="off"/>';
		html+='<input type="hidden" name="p_rate[]"  value="" class="form-control p_rate" autocomplete="off"/>';
		html+='<input  type="hidden" name="p_discount[]" class="form-control p_discount" autocomplete="off"/>';
		html+='<input type="hidden" name="p_amount[]" value="" class="form-control p_amount" readonly autocomplete="off"/>';
		html+='<input type="hidden" name="p_vat[]" value="" class="form-control p_vat" autocomplete="off"/>';
		html+='<input type="hidden" name="p_vat_amount[]" value="" class="form-control p_vat_amount" readonly autocomplete="off"/>';
		html+='<input type="hidden" name="p_net_amount[]" value="" class="form-control p_net_amount" readonly autocomplete="off" />';
		html+='</td>';
		html+='<td class="pad_zero" >';
		html+='<input name="search_button" type="button" class="button1 btn btn-success addRow2" id="search_button" value="+"  />';
		html+='<input name="search_button" type="button" class="button1 btn btn-danger removeRow2" id="search_button" value="x"  style="display:none;"/>';
		html+='</td>';
		html+='</tr>';

		$(".divAppend2").prepend(html);
		$(".divAppend2 .addRow2:first").css("display","inline-block");
		$(".rowDiv2 .removeRow2").css("display","inline-block");
		$(".divAppend2 .rowDiv2 .removeRow2:first").css("display","none");	 
	});
	</script>
