<style>
.btn-primary {
    background: #45aaf2 !important;
    border-color: #45aaf2 !important;
}
#back-to-top {
    background-image: linear-gradient(to right, #45aaf2 0%, #45aaf2 100%);
    border-color: #45aaf2;
}
#back-to-top:hover {
    color: #0774f8 !important;
    border: 2px solid #0774f8;
}
.btn:focus {
  outline: none !important;
  box-shadow: none !important;
}
.breadcrumb .breadcrumb-item.active {
    color: #45aaf2;
}
.app-content .side-app {
    padding: 0px 0.5rem 0 0.5rem;
}
.page-header {
    margin: 0.5rem 0rem;
}
.cardnew h6 {
    font-weight: 700;
    margin-bottom: 5%;
}
.fa-angle-right {
    font-size: 18px;
    margin-left: 5px;
}
.fa-plus {
    margin-right: 3px;
}
.fa-remove {
    color: #fff;
}
.fe-search {
    font-weight: 700;
}
.projectname {
    margin-top: 8%;
}
.custom-control-label::after {
	color: var(--volgh-white);
	background-color: #45aaf2 !important;
}
.product {
    text-decoration : underline;
    color: #45aaf2;
    margin-left: 45%;
}
.product1 {
    text-decoration : underline;
    color: #45aaf2;
    margin-left: 75%;
}
.form-label {
    font-size: 11px;
}
.fa-close {
    padding-right: 3px;
}
.closebtn {
    background: #b7b8bd !important;
    border-color: #b7b8bd !important;
}
.switch {
  position: relative;
  display: inline-block;
  width: 90px;
  height: 34px;
}

.switch input {display:none;}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #45aaf2;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
	position: absolute;
	content: "";
	height: 26px;
	width: 26px;
	left: 4px;
	bottom: 4px;
	background-color: white;
	-webkit-transition: .4s;
	transition: .4s;
}

input:checked + .slider {
  background-color: #45aaf2;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(55px);
  -ms-transform: translateX(55px);
  transform: translateX(55px);
}

/*------ ADDED CSS ---------*/
.on
{
  display: none;
}

.off
{
  color: white;
  position: absolute;
  transform: translate(-50%,-50%);
  top: 50%;
  left: 65%;
  font-size: 13px;
  font-family: Verdana, sans-serif;
}
.on {
    color: white;
    position: absolute;
    transform: translate(-50%,-50%);
    top: 50%;
    left: 35%;
    font-size: 13px;
    font-family: Verdana, sans-serif;
}
input:checked+ .slider .on
{display: block;}

input:checked + .slider .off
{display: none;}

/*--------- END --------*/

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
.invoicespan {
    margin-left: 29%;
}
.btnSec {
    margin-top: 1%;
}
.addbtn {
    margin-top: 13%;
}
.textareaSec {
    margin-top: 22px;
}
.togBtn1 {
    margin-top: 2%;
}
.download {
    margin-top: 30px;
    margin-left: 0px;
}
.firstSec {
    flex: 0 0 25%;
    max-width: 16.6%;
}
.firstSec p {
    font-weight: 700;
}
.secondSec {    
    flex: 0 0 8%;
    max-width: 20%;
}
.client_result {
	border: 1px solid #d2d6de;
	position: absolute;
	width: 500px;
	height: auto;
	background-color: #fff;
	z-index: 100;
	margin-top: 0px;
	border-radius: 3px;
	display: none;
}
.clientList {
	margin:0px;
}
.clientList li {
	color: #000000;
	padding: 0;
	padding-left: 8px;
	height: 30px;
	padding-top: 4px;
	cursor:pointer;
	font-weight:600;
	list-style-type: none;
}
.clientList li:hover {
	background:#CCCCCC;
}
.ledger_result {
	border: 1px solid #d2d6de;
	position: absolute;
	width: 509px;
	height: auto;
	background-color: #fff;
	z-index: 100;
	margin-top: 0px;
	border-radius: 3px;
	display: none;
}
.ledgerList {
	margin:0px;
}
.ledgerList li {
	color: #000000;
	padding: 0;
	padding-left: 8px;
	height: 30px;
	padding-top: 4px;
	cursor:pointer;
	font-weight:600;
	list-style-type: none;
}
.ledgerList li:hover {
	background:#CCCCCC;
}
.pr_result {
	border: 1px solid #d2d6de;
	position: absolute;
	width: 500px;
	height: auto;
	background-color: #fff;
	z-index: 100;
	margin-top: 38px;
	border-radius: 3px;
	display: none;
}
.prList {
	margin:0px;
}
.prList li {
	color: #000000;
	padding: 0;
	padding-left: 8px;
	height: 30px;
	padding-top: 4px;
	cursor:pointer;
	font-weight:600;
	list-style-type: none;
}
.prList li:hover {
	background:#CCCCCC;
}
.job_result {
	border: 1px solid #d2d6de;
	position: absolute;
	width: 250px;
	height: auto;
	background-color: #fff;
	z-index: 100;
	margin-top: 38px;
	border-radius: 3px;
	display: none;
}
.jobList {
	margin:0px;
}
.jobList li {
	color: #000000;
	padding: 0;
	padding-left: 8px;
	height: 30px;
	padding-top: 4px;
	cursor:pointer;
	font-weight:600;
	list-style-type: none;
}
.jobList li:hover {
	background:#CCCCCC;
}
.errorNb {
	display:none;
}
.p_description_result {
	border: 1px solid #d2d6de;
	position: absolute;
	width: 530px;
	height: auto;
	background-color: #fff;
	z-index: 100;
	margin-top: 0px;
	border-radius: 3px;
	display: none;
}
.p_descriptionList {
	margin:0px;
}
.p_descriptionList li {
	color: #000000;
	padding: 0;
	padding-left: 8px;
	height: 30px;
	padding-top: 4px;
	cursor:pointer;
	font-weight:600;
	list-style-type: none;
}
.p_descriptionList li:hover {
	background:#CCCCCC;
}
.123 li:hover {
	background:#CCCCCC;
}
.nbactive{
    background-color:#D6D6D6;
}
.divpadding2{
	padding : 2px !important;
}
.divpadding{
	padding : 2px !important;
	max-width:7% !important;
}
.divpadding3{
	padding : 2px !important;
	max-width:11.33% !important;
}
</style>
	<div id="largeModal" class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false">
		<div class="modal-dialog modal-lg" role="document">
			<div class="modal-content ">
				<div class="modal-header pd-x-20">
					<h6 class="modal-title"><b>Enter Description</b></h6>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body pd-20">
					<textarea class="form-control" id="pop_description" name="pop_description" rows="5" placeholder="Enter here......" ></textarea>	
				</div><!-- modal-body -->
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary cancelDescription" data-bs-dismiss="modal">Cancel</button>
					<button type="button" class="btn btn-success okDescription" data-bs-dismiss="modal">Submit</button>
				</div>
			</div>
		</div><!-- MODAL DIALOG -->
	</div>
	<!--app-content open-->
	<div class="app-content main-content">
		<div class="side-app">
			<div class="main-container">
			<!-- PAGE-HEADER -->
			<?php if($p_order_type==='Job') { $ptwb_color='style="background-color:thistle !important;"'; } else if($p_order_type==='Others') { $ptwb_color='style="background-color:ivory !important;"'; } else {	$ptwb_color=''; } ?>           
           		<div class="page-header" <?php echo $ptwb_color; ?> >
					<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
						<h1 class="page-title">Purchase Order <?php if($p_order_type==='Inventory') { echo '<small>Inventory</small>'; } else if($p_order_type==='Job') { echo '<small>Job</small>'; } else if($p_order_type==='Others') { echo '<small>Others</small>'; } ?></h1>
						<ol class="breadcrumb">
							<li class="breadcrumb-item"><a href="<?php echo site_url('Dashboard/home');?>" >Home</a></li>
							<li class="breadcrumb-item active" aria-current="page">Purchase Order <?php if($p_order_type==='Inventory') { echo 'Inventory'; } else if($p_order_type==='Job') { echo 'Job'; } else if($p_order_type==='Others') { echo 'Others'; } ?>-New</li>
						</ol>
					</div>
					<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
					
					</div>
				</div>
			</div>
			<!-- PAGE-HEADER END -->
			<div class="main-container">
                <div class="card" <?php echo $ptwb_color; ?> >
                	<div class="card-body">
						<?php
							if($this->session->flashdata("response")!='') {
								echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
								$this->session->unset_userdata('response');
							}
						?>
						<?php
							if($this->session->flashdata("success")!='') {
								echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
								$this->session->unset_userdata('success');
							}
						?>
						<div class="alert alert-danger errorNb">
						</div>
                        <form id="quotation_furnitures" name="quotation_furnitures" class="form-horizontal" method="post" action="<?php echo site_url('furniture/PurchaseOrder/do_insert');?>">
                            <div class="row">
								<div class="col-md-3 col-xl-3 firstSec">
                                    <p>PO No : <?php echo $purchaseNumber;?></p>
                                </div>
                                <div class="col-md-3 col-xl-3 firstSec">
									<input name="po_date" type="text" class="form-control  maxDateCurrent" id="po_date" maxlength="20" value="<?php echo date('d-m-Y'); ?>"  autocomplete="off" required />
                                </div>
                                <div class="col-md-2 col-xl-2">
                                    <?php 
										if(isset($detail->job_card_divisionid)){
											$js = 'id="division", class="form-control form-select select2" readonly="readonly" style="height:38px;"';
											echo form_dropdown('division', $division_list,$detail->job_card_divisionid,$js);
										}else{
											$js = 'id="division", class="form-control form-select select2" style="height:38px;"';
											echo form_dropdown('division', $division_list,1,$js);
										}
									?>
                                </div>
								<div class="col-md-2 col-xl-2">
									<?php
										$parray = 'id="payment_mode" class="form-control  form-select select2" style="height:38px;" required';
										echo form_dropdown('payment_mode',array( 'Cash'=> 'Cash','Credit'=> 'Credit' ),'',$parray);
									?>
								</div>
								<div class="col-md-2 col-xl-2">
									<?php
										$larray = 'id="header_ledger_code" class="form-control header_ledger_code form-select select2" style="height:38px;" ';
										echo form_dropdown('header_ledger_code',$header_ledger_list,'',$larray);
									?>
								</div>
                            </div>
                            <div class="row">
								<div class="col-md-2 col-xl-2">
									<label class="form-label">Supplier Name / Tel</label>
									<input type="text" class="form-control" id="supplier" name="supplier" placeholder="Supplier" value=""  autocomplete="off" >
									<input type="hidden" id="supplier_id" class="form-control supplier_id" name="supplier_id"   required />
									<input type="hidden" id="supplier_address" class="form-control supplier_address" name="supplier_address"   />
									<div class="client_result">
										<ul class="clientList unstyled" >
										</ul>
									</div>
								</div>
								<div class="col-md-3 col-xl-2">
									<label class="form-label">Supplier Ref</label>
									<div class="input-group">
										<input type="text" class="form-control" name="supplier_ref" id="supplier_ref" value="">
									</div>
								</div>
								<div class="col-md-3 col-xl-2">
									<label class="form-label">Purchase Request</label>
									<div class="input-group">
										<input type="text" class="form-control" name="purchase_request" id="purchase_request" autocomplete="off" value="">
										<input type="hidden" id="pr_id" class="form-control pr_id" name="pr_id"   required />
										<div class="pr_result">
											<ul class="prList unstyled" >
											</ul>
										</div>
										<span class="">
											<button class="btn btn-primary" type="button"><i class="fa fa-close"></i></button>
										</span>
									</div>
								</div>
								<div class="col-md-2 col-xl-2">
									<label class="form-label">Type</label>
									<select class="form-control form-select select2" name="po_type" id="po_type" >
										<?php if($p_order_type==='Inventory') { ?><option value="Inventory" >Inventory</option> <?php } ?>
										<?php if($p_order_type==='Job') { ?><option value="Job" >Job</option><?php } ?>
										<?php if($p_order_type==='Others') { ?><option value="Others" >Others</option><?php } ?>
									</select>
								</div>
								<div class="col-md-2 col-xl-2">
									<label class="form-label">Job No</label>
									<div class="input-group">
										<input type="text" class="form-control" id="job_number" name="job_number" autocomplete="off"  <?php if($p_order_type!=='Job'){ echo 'readonly'; } ?> >
										<input name="job_id" type="hidden" class="input-percentage" id="job_id" value="" />
										<input name="loc_id" type="hidden" class="input-percentage" id="loc_id" value="" />
										<div class="job_result">
											<ul class="jobList unstyled" >
											</ul>
										</div>
										<span class="">
											<button class="btn btn-primary removeJob" type="button" title="Clear"><i class="fa fa-close"></i></button>
										</span>
									</div>
								</div>
								<div class="col-md-1 col-xl-1">
									<label class="form-label">Currency</label>
									<select class="form-control form-select select2" name="currency" id="currency" >
										<?php foreach($currency as $row3){ ?>
											<option value="<?php echo $row3->currency_id;?>" data-fxrate='<?php echo $row3->exchange_rate;?>' data-currency_code='<?php echo $row3->currency_code;?>' ><?php echo $row3->currency_name .'('.$row3->currency_code.')';?></option>
										<?php }?>
									</select>
								</div>
								<div class="col-md-1 col-xl-1">
									<label class="form-label">Ex. Rate</label>
									<div class="input-group">
										<input type="text" class="form-control" name="exchange_rate" id="exchange_rate" value="1" readonly="readonly" >
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-md-4 col-xl-4">
									<label class="form-label">Delivery Terms</label>
									<textarea class="form-control" name="delivery_terms" id="delivery_terms" style="height: 100px;"></textarea>
								</div>
								<div class="col-md-4 col-xl-4">
									<label class="form-label">Supply Address</label>
									<textarea class="form-control" name="supply_address" id="supply_address" style="height: 100px;"></textarea>
								</div>
								<div class="col-md-4 col-xl-4 textareaSec">
									<label class="form-label"></label>
									<span class="form-control" id="job_details" name="job_details" style="height: 100px;" readonly ></span>
								</div>
							</div>
							<!-- <div class="row">
								<div class="col-md-4 mb-0 togBtn1">
									<label class="switch">
										<input type="checkbox" id="togBtn" name="togBtn" value="1"  <?php //if(!$is_quote_from_master){ echo 'checked'; } ?> >
										<div class="slider">
											<span class="on">Fill</span>
											<span class="off">Select</span>
										</div>
									</label>
								</div>
								<div class="col-md-4 mb-0">
									&nbsp;
								</div>
								<div class="col-md-4 mb-0">
									&nbsp;
								</div>
							</div> -->
                                            
							<div class="row rowDiv2">
								<div class="form-group col-md-3 mb-0 divpadding2">
									<label class="form-label">Product / Service<?php if($p_order_type==='Inventory'){ ?> <a href="<?php echo site_url('masters/item/create'); ?>" class="product" target="_blank" style="float: right;" >Create New Product</a> <?php } ?></label>
									<input type="text" class="form-control <?php if($p_order_type==='Inventory'){ echo 'p_description';  }?>" id="p_description" name="p_description[]" autocomplete="off" >
									<input  type="hidden" name="p_description_id[]" value="" class="input-percentage p_description_id" autocomplete="off"/>
									<input  type="hidden" name="description[]" value="" class="input-percentage description" autocomplete="off"/>
									<input  type="hidden" name="p_tax_rate[]" value="" class="input-percentage p_tax_rate" autocomplete="off"/>
									<div class="p_description_result">
										<ul class="p_descriptionList unstyled">
										</ul>
									</div>
									<label class="form-label"><a href="" data-bs-toggle="modal" data-bs-target="#largeModal" class="product1">Description</a></label>
								</div>
								<div class="col-md-12 col-xl-1 divpadding">
									<label class="form-label qty">Qty</label>
									<input type="text" class="form-control p_qty numbersOnly" id="p_qty" name="p_qty[]" autocomplete="off">
								</div>
								<div class="col-md-12 col-xl-1 divpadding">
									<label class="form-label">Unit</label>
									<?php 
										$nbxjs2 = 'id="uom" class="form-control uom" style="height: 38px;"';
										if(isset($uom)){
											echo form_dropdown('uom[]', $unit_list,$uom,$nbxjs2);
										} else {
											echo form_dropdown('uom[]', $unit_list,'',$nbxjs2);
										}
									?>
								</div>
								<div class="col-md-12 col-xl-1 divpadding">
									<label class="form-label">FxRate <span class="sCurrency">(BD)</span></label>
									<input type="text" class="form-control fx_rate numbersOnly" id="fx_rate" name="fx_rate[]" autocomplete="off">
									<input type="hidden" class="form-control p_rate numbersOnly" id="p_rate" name="p_rate[]" autocomplete="off" readonly tabindex="-1" >
								</div>
								<div class="col-md-12 col-xl-1 divpadding">
									<label class="form-label">Amount <span class="sCurrency">(BD)</span></label>
									<input type="hidden" class="form-control p_amount numbersOnly" id="p_amount" name="p_amount[]" autocomplete="off" readonly tabindex="-1" >
									<input type="text" class="form-control fx_amount numbersOnly" id="fx_amount" name="fx_amount[]" autocomplete="off" readonly tabindex="-1" >
								</div>
								<div class="col-md-12 col-xl-1 divpadding">
									<label class="form-label">Discount <span class="sCurrency">(BD)</span></label>
									<input type="hidden" class="form-control p_discount numbersOnly" id="p_discount" name="p_discount[]" autocomplete="off">
									<input type="text" class="form-control fx_disc numbersOnly" id="fx_disc" name="fx_disc[]" autocomplete="off">
								</div>
								<div class="col-md-12 col-xl-1 divpadding">
									<label class="form-label">Vat%</label>
									<select id="p_vat" name="p_vat[]" class="form-control form-select select2 p_vat" data-bs-placeholder="Status">
										<?php foreach($vat_percentage_array as $row){?>
											<option value="<?php echo $row["vat_percentage"];?>" ><?php echo $row["vat_percentage"];?>%</option> 
										<?php } ?>
									</select>
								</div>
								<div class="col-md-12 col-xl-1 divpadding">
									<label class="form-label">Vat <span class="sCurrency">(BD)</span></label>
									<input type="text" class="form-control p_vat_amount numbersOnly" id="p_vat_amount" name="p_vat_amount[]" autocomplete="off" readonly tabindex="-1" >
								</div>
								<div class="col-md-12 col-xl-1 divpadding">
									<label class="form-label">Net Amount <span class="sCurrency">(BD)</span></label>
									<input type="hidden" class="form-control p_net_amount numbersOnly" id="p_net_amount"  name="p_net_amount[]" autocomplete="off" readonly tabindex="-1" >
									<input type="text" class="form-control fx_net_amount numbersOnly" id="fx_net_amount"  name="fx_net_amount[]" autocomplete="off" readonly tabindex="-1" >
								</div>
								<div class="col-md-12 col-xl-2 divpadding3">
									<label class="form-label">Ledger</label>
									<input type="text" class="form-control p_ledger" id="p_ledger"  name="p_ledger[]" autocomplete="off" value="Purchase" >
									<input type="hidden" class="form-control p_ledger_code" id="p_ledger_code"  name="p_ledger_code[]" autocomplete="off" value="P0001" >
									<div class="ledger_result">
										<ul class="ledgerList unstyled">
										</ul>
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-md-4 col-xl-4 btnSec">
									<button type="submit" class="btn btn-primary formSubmit"><i class="mdi mdi-plus-circle-outline"></i>Add</button>
									<a class="btn btn-danger " href="<?php echo site_url('furniture/PurchaseOrder/listPurchaseOrder'); ?>" ><i class="fa fa-close"></i>Exit</a>
								</div>
							</div>
						</form>
					</div>
					<!-- End Row -->
				</div>
			</div>
		</div>
	</div>
<script src="<?php echo base_url(); ?>admincss/plugins/date-picker/jquery-ui.js"></script>
<script type="text/javascript">
	$("html").on("change","#payment_mode",function(e){
		if($(this).val()==='Cash'){
			$('#header_ledger_code').show();
		} else {
			$('#header_ledger_code').hide();
			$('#header_ledger_code').val('');
		}
	});
	$("html").on("keyup",".p_ledger",function(e){
		$('.errorDiv').hide();
		var code = e.keyCode || e.which;
		if (code == '9') {
			return false;
		}
		var client=$(this).val();
		$(this).closest('.rowDiv2').find('.p_ledger_code').val("");
		if (client==''){
			$(".ledger_result").css('display','none'); 
			$(this).val("");
			return false;
		} else {
			$(this).closest('.rowDiv2').find('.p_ledger').addClass("p_ledger_123");
			$(this).closest('.rowDiv2').find('.p_ledger_code').addClass("p_ledger_code_123");
			$(this).closest('.rowDiv2').find('.ledger_result').addClass("led_123456789");
			$(this).closest('.rowDiv2').find('.ledgerList').addClass("led_123");
			$.ajax({
				url:"<?php echo site_url("furniture/PurchaseOrder/search_ledger")?>" , 
				type: "POST" ,
				data: {client	: client} ,
				success: function(data){
					$(".led_123456789").css('display','block');
					$(".led_123").html(data);
					led_button();
					$('.p_ledger_123').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.led_123').on('focus', 'li', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.led_123').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'li', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('li').first().focus();
						}
					});
					$(".led_123 li").keypress(function (e) {
						if (e.keyCode == 13) {
							$(".ledger_result").css('display','none');
							var client_name = $(this).closest("li").find(".client_name").val();
							var client_code = $(this).closest("li").find(".client_code").val();
							$('.nbselect').show();
							$(".p_ledger_123").val(client_name);
							$(".p_ledger_code_123").val(client_code);
							$(".p_ledger_123").removeClass("p_ledger_123");
							$(".p_ledger_code_123").removeClass("p_ledger_code_123");
							$(".led_123456789").removeClass("led_123456789");
							$(".led_123").removeClass("led_123");
						}
					 });
				},
				error: function(){
					$("#errorMsg").html('Connection Error......');
					$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
		}
	});

	function led_button() {
		$(".client_button").click(function() {
			$(".ledger_result").css('display','none');
			var client_name = $(this).closest("li").find(".client_name").val();
			var client_code = $(this).closest("li").find(".client_code").val();
			$('.nbselect').show();
			$(".p_ledger_123").val(client_name);
			$(".p_ledger_code_123").val(client_code);
			$(".p_ledger_123").removeClass("p_ledger_123");
			$(".p_ledger_code_123").removeClass("p_ledger_code_123");
			$(".led_123456789").removeClass("led_123456789");
			$(".led_123").removeClass("led_123");
		});
		$(".no_result_button").click(function() {
			$(".ledger_result").css('display','none');
			$(".p_ledger_code_123").val('');
			$(".p_ledger_code_123").val('');
			$(".p_ledger_123").removeClass("p_ledger_123");
			$(".p_ledger_code_123").removeClass("p_ledger_code_123");
			$(".led_123456789").removeClass("led_123456789");
			$(".led_123").removeClass("led_123");
		});
	}

	var switchStatus = false;
	$("#togBtn").on('change', function() {
		$(".p_description_result").css('display','none');
		//if($("#job_id").val()===''){
			$('#p_description').val('');
			if ($(this).is(':checked')) {
				switchStatus = $(this).is(':checked');
				$('#p_description').removeClass('p_description');
				$("#po_type").val('Others');
				$("#job_number").attr('readonly', false);
				$("#job_number").prop('required',false);
			} else {
				switchStatus = $(this).is(':checked');
				$('#p_description').addClass('p_description');
				$("#job_number").val('');
				$("#po_type").val('Inventory');
				$("#job_id").val('');
				$("#job_details").html('');
				$("#po_type").val('Inventory');
				$("#job_number").prop('required',true);
				$("#job_number").attr('readonly', true);
			}
		//}
	});
	$("#po_type").on("change", function(){
		$(".p_description_result").css('display','none');
		$('#p_description').val('');
		$('#p_description_id').val('');
		if($(this).val()==="Job"){
			$('#p_description').removeClass('p_description');
			$("#job_number").attr('readonly', false);
			$("#togBtn").prop('checked', true).change();
			$("#job_number").prop('required',true);
		} else if($(this).val()==="Others"){
            $('#p_description').removeClass('p_description');
            $("#job_number").attr('readonly', true);
			$("#togBtn").prop('checked', false).change();
			$("#job_number").val('');
			$("#job_id").val('');
			$("#job_details").html('');
			$("#job_number").prop('required',false);
			$("#materialAppend").html('');
        } else {
			$('#p_description').addClass('p_description');
			$("#job_number").attr('readonly', true);
			$("#togBtn").prop('checked', false).change();
			$("#job_number").val('');
			$("#job_id").val('');
			$("#job_details").html('');
			$("#job_number").prop('required',false);
		}
	});

	$("#currency").on("change", function(){
		$("#exchange_rate").val($(this).find(':selected').attr("data-fxrate"));
		$(".sCurrency").html(' ('+$(this).find(':selected').attr("data-currency_code")+')');
	});
	$("html").on("click",".cancelDescription",function(){
		$("#pop_description").val('');
		$(".description").val('');
	});
	$("html").on("click",".okDescription",function(){
		var pop_description=$("#pop_description").val();
		$(".description").val(pop_description);
	});

	$("html").on("click",".removeJob",function(){
		$("#job_id").val('');	
		$("#mar_job_id").val('');
		$("#job_number").val('');
		$("#job_details").html('');
		$(".job_result").css('display','none');
	});

	$("html").on("keyup","#purchase_request",function(){
		var pr_no	=	$(this).val();
		var division	=	$('#division').val();
		$("#pr_id").val('');
		if (pr_no==''){
			$(".pr_result").css('display','none');
			$(this).val("");
			return false;
		} else {
			$.ajax({
				url:"<?php echo site_url("furniture/PurchaseOrder/getPRDetails")?>" ,
				type: "POST" ,
				data: {pr_no	: pr_no,division : division} ,
				success: function(data){
					$(".pr_result").css('display','block');
					$(".prList").html(data);
					purchase_request_button();
					$('#purchase_request').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.prList').on('focus', 'li', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.prList').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'li', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('li').first().focus();
						}
					});
					$(".prList li").keypress(function (e) {
						if (e.keyCode == 13) {
							$(".pr_result").css('display','none');
							var job_id	=	$(this).attr('value');
							window.location = "<?php echo site_url('furniture/PurchaseOrder/po_from_request')?>/"+job_id;
							return true;
						}
					});
				},
				error: function(){
					$("#errorMsg").html('Connection Error......');
					$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
		}
	});

	function purchase_request_button() {
		$(".purchase_request_button").click(function() {
			$(".pr_result").css('display','none');
			var job_id	=	$(this).attr('value');
			window.location = "<?php echo site_url('furniture/PurchaseOrder/po_from_request')?>/"+job_id;
			return true;
		});
		$(".no_jpurchase_request_button").click(function() {
			$(".pr_result").css('display','none');
		});
	}

	$("html").on("keyup","#job_number",function(){
		var job_number	=	$(this).val();
		var division	=	$('#division').val();
		$("#job_id").val('');	
		$("#job_details").html('');
		if (job_number==''){
			$(".job_result").css('display','none');
			$(this).val("");
			//$(".slider").show();
			//$('#p_description').removeClass('p_description');
			return false;
		} else {
			$.ajax({
				url:"<?php echo site_url("furniture/PurchaseOrder/getJobDetails")?>" ,
				type: "POST" ,
				data: {job_number	: job_number,division : division} ,
				success: function(data){
					$(".job_result").css('display','block');
					$(".jobList").html(data);
					job_button();
					$('#job_number').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.jobList').on('focus', 'li', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.jobList').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'li', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('li').first().focus();
						}
					});
					$(".jobList li").keypress(function (e) {
						if (e.keyCode == 13) {
							$(".job_result").css('display','none');
							var job_id	=	($(this).attr('value'));
							var job_card_number = $(this).closest("li").find(".job_card_number").val();
							var client_name = $(this).closest("li").find(".client_name").val();
							var client_telephone1 = $(this).closest("li").find(".client_telephone1").val();
							$("#job_number").val(job_card_number);
							$("#job_id").val(job_id);
							$("#job_number").val(job_card_number);
							$("#job_details").html('<p>Customer Name: '+client_name+'</br>Mobile: '+client_telephone1+'</p>');
							//$(".sub_category").focus();
						}
					});
				},
				error: function(){
					$("#errorMsg").html('Connection Error......');
					$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
		}
	});
	function job_button() {
		$(".job_button").click(function() {
			$(".job_result").css('display','none');
			var job_id	=	($(this).attr('value'));
			var job_card_number = $(this).closest("li").find(".job_card_number").val();
			var client_name = $(this).closest("li").find(".client_name").val();
			var client_telephone1 = $(this).closest("li").find(".client_telephone1").val();
			$("#job_number").val(job_card_number);
			$("#job_id").val(job_id);
			$("#job_number").val(job_card_number);
			$("#job_details").html('<p>Customer Name: '+client_name+'</br>Mobile: '+client_telephone1+'</p>');
			//$(".sub_category").focus();
		});
		$(".no_job_button").click(function() {
			$(".job_result").css('display','none');
			//$(".slider").show();
			//$('#p_description').removeClass('p_description');
			$("#job_number").val('');
			$("#job_details").html('');
			$("#job_id").val('');
		});
	}

	$("html").on("keyup","#supplier",function(){
		var client	=	$(this).val();
		if($(this).val().length==0){
			$(".client_result").css('display','none');
		}
		$("#supplier_id").val('');
			$("#supplier_address").val('');
		if (client==''){
			$(this).val("");
			return false;
		} else {
			$.ajax({
				url:"<?php echo site_url("furniture/PurchaseOrder/searchSupplier")?>" ,
				type: "POST" ,
				data: {client	: client,status:1} ,
				success: function(data){
					$(".client_result").css('display','block');
					$(".clientList").html(data);
					client_button();
					$('#supplier').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.clientList').on('focus', 'li', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.clientList').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'li', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('li').first().focus();
						}
					});
					$(".clientList li").keypress(function (e) {
						if (e.keyCode == 13) {
							$(".client_result").css('display','none');
							var client_id	=	($(this).attr('value'));
							var client_name = $(this).closest("li").find(".client_name").val();
							var client_address = $(this).closest("li").find(".client_address").val();
							$("#supplier").val(client_name);
							$("#supplier_id").val(client_id);
							$("#supplier_address").val(client_address);
							//$(".sub_category").focus();
						}
					});
				},
				error: function(){
					$("#errorMsg").html('Connection Error......');
					$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
		}
	});
	function client_button() {
		$(".client_button").click(function() {
			$(".client_result").css('display','none');
			var client_id	=	($(this).attr('value'));
			var client_name = $(this).closest("li").find(".client_name").val();
			var client_address = $(this).closest("li").find(".client_address").val();
			$("#supplier").val(client_name);
			$("#supplier_id").val(client_id);
			$("#supplier_address").val(client_address);
			//$(".sub_category").focus();
		});
		$(".no_result_button").click(function() {
			$("#category_result").css('display','none');
			$("#supplier").val('');
			$("#supplier_id").val('');
			$("#supplier_address").val('');
		});
	}

	$("html").on("keyup",".p_description",function(){
		var item	=	$(this).val();
		if (item==''){
			$(this).val("");
			return false;
		} else {
			$(this).closest('.rowDiv2').find('.p_description').addClass("p_description_123");
			$(this).closest('.rowDiv2').find('.p_nbitem').addClass("p_nbitem_123");
			$(this).closest('.rowDiv2').find('.p_qty').addClass("p_qty_123");
			$(this).closest('.rowDiv2').find('.p_rate').addClass("p_rate_123");
			$(this).closest('.rowDiv2').find('.p_amount').addClass("p_amount_123");
			$(this).closest('.rowDiv2').find('.p_description_id').addClass("p_description_id_123");
			$(this).closest('.rowDiv2').find('.p_vat').addClass("p_vat_123");
			$(this).closest('.rowDiv2').find('.p_vat_amount').addClass("p_vat_amount_123");
			$(this).closest('.rowDiv2').find('.p_net_amount').addClass("p_net_amount_123");
			$(this).closest('.rowDiv2').find('.p_description_result').addClass("123456789");
			$(this).closest('.rowDiv2').find('.p_descriptionList').addClass("123");
			$(this).closest('.rowDiv2').find('.p_nbitem').addClass("p_nbitem_123");
			$(this).closest('.rowDiv2').find('.p_tax_rate').addClass("p_tax_rate_123");
			$(this).closest('.rowDiv2').find('.fx_rate').addClass("fx_rate_123");
			$(this).closest('.rowDiv2').find('.fx_amount').addClass("fx_amount_123");
			$(this).closest('.rowDiv2').find('.fx_net_amount').addClass("fx_net_amount_123");
			$(this).closest('.rowDiv2').find('.uom').addClass("uom_123");
			$.ajax({
				url:"<?php echo site_url("furniture/PurchaseOrder/search_items")?>" ,
				type: "POST" ,
				data: {item	: item} ,
				success: function(data){
					$(".123456789").css('display','block');
					$(".123").html(data);
					p_description_button();
					$('.p_description').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.123').on('focus', 'li', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.123').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'li', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('li').first().focus();
						}
					});
					$(".123 li").keypress(function (e) {
						if (e.keyCode == 13) {
							$(".p_description_result").css('display','none');
							//var item_code	=	$(this).closest("li").attr("data-item_code");
							var item_code	=	$(this).closest("li").attr("data-item_details_id");
							//var item_price1 = $(this).closest("li").attr("data-rate");
							if($(this).closest("li").attr("data-item_cost")==""){
								var item_price1 = 0;
							} else {
								var item_price1 = $(this).closest("li").attr("data-item_cost");
							}
							if($("#currency").val()!=1){
								var item_tax_rate=0;
								$(".p_vat_123").attr("readonly", true);
								$(".p_vat_amount_123").attr("readonly", true);
								item_price1
							} else {
								var item_tax_rate = $(this).closest("li").attr("item_tax_rate");
								$(".p_tax_rate_123").val(item_tax_rate);
								$(".p_vat_123").attr("readonly", false);
								$(".p_vat_amount_123").attr("readonly", false);
								
							}

							var currency=$("#currency").val();
							var item_name = $(this).closest("li").attr("data-item_name");
							var uom = $(this).closest("li").attr("data-uom");
						
							$(".p_description_123").val(item_name);
							$(".p_nbitem_123").val(item_name);
							$(".p_qty_123").val(1);
							
							var exchange_rate= Number($("#exchange_rate").val());
							
							$(".fx_rate_123").val(item_price1);
							$(".p_rate_123").val(Number.parseFloat(item_price1*exchange_rate).toFixed(3));
							$(".p_description_id_123").val(item_code);
							$(".p_amount_123").val(item_price1);
							$(".fx_amount_123").val(item_price1);
							var l_vat_amt=Number(item_tax_rate);
							$(".p_vat_123").val(l_vat_amt);
							var l_vat_amt=Number(item_tax_rate)/100;
							$(".p_vat_amount_123").val(Number.parseFloat(l_vat_amt*item_price1).toFixed(3));
							$(".p_net_amount_123").val(Number.parseFloat(Number(item_price1)+Number((l_vat_amt*item_price1))).toFixed(3));
							$(".fx_net_amount_123").val(Number.parseFloat(Number(item_price1)+Number((l_vat_amt*item_price1))).toFixed(3));
							$(".uom_123 option[value="+uom+"]").show();
							$("#currency option[value!="+currency+"]").hide();
							$(".uom_123").val(uom);
							$(".uom_123 option[value!="+uom+"]").hide();
							$(".p_rate_123").removeClass("p_rate_123");
							$(".fx_rate_123").removeClass("fx_rate_123");
							$(".p_qty_123").removeClass("p_qty_123");
							$(".p_amount_123").removeClass("p_amount_123");
							$(".p_description_id_123").removeClass("p_description_id_123");
							$(".p_vat_123").removeClass("p_vat_123");
							$(".p_tax_rate_123").removeClass("p_tax_rate_123");
							$(".p_description_123").removeClass("p_description_123");
							$(".p_nbitem_123").removeClass("p_nbitem_123");
							$(".p_vat_amount_123").removeClass("p_vat_amount_123");
							$(".p_net_amount_123").removeClass("p_net_amount_123");
							$(".fx_amount_123").removeClass("fx_amount_123");
							$(".fx_net_amount_123").removeClass("p_net_amount_123");
							$(".123456789").removeClass("123456789");
							$(".uom_123").removeClass("uom_123");
							$(".123").removeClass("123");
						}
					});
				},
				error: function(){
						$("#errorMsg").html('Connection Error......');
						$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
		}
	});
	function p_description_button() {
		$(".p_description_button").click(function() {
			$(".p_description_result").css('display','none');
			//var item_code	=	$(this).closest("li").attr("data-item_code");
			var item_code	=	$(this).closest("li").attr("data-item_details_id");
			//var item_price1 = $(this).closest("li").attr("data-rate");
			if($(this).closest("li").attr("data-item_cost")==""){
				var item_price1 = 0;
			} else {
				var item_price1 = $(this).closest("li").attr("data-item_cost");
			}
			if($("#currency").val()!=1){
				var item_tax_rate=0;
				$(".p_vat_123").attr("readonly", true);
				$(".p_vat_amount_123").attr("readonly", true);
			} else {
				var item_tax_rate = $(this).closest("li").attr("item_tax_rate");
				$(".p_tax_rate_123").val(item_tax_rate);
				$(".p_vat_123").attr("readonly", false);
				$(".p_vat_amount_123").attr("readonly", false);
			}

			var currency=$("#currency").val();
		
			var item_name = $(this).closest("li").attr("data-item_name");
			var uom = $(this).closest("li").attr("data-uom");
		
			$(".p_description_123").val(item_name);
			$(".p_nbitem_123").val(item_name);
			$(".p_qty_123").val(1);
			
			var exchange_rate= Number($("#exchange_rate").val());
			$(".fx_rate_123").val(item_price1);
			$(".p_rate_123").val(Number.parseFloat(item_price1*exchange_rate).toFixed(3));
			$(".p_description_id_123").val(item_code);
			$(".p_amount_123").val(item_price1);
			$(".fx_amount_123").val(item_price1);
			var l_vat_amt=Number(item_tax_rate);
			$(".p_vat_123").val(l_vat_amt);
			var l_vat_amt=Number(item_tax_rate)/100;
			$(".p_vat_amount_123").val(Number.parseFloat(l_vat_amt*item_price1).toFixed(3));
			$(".p_net_amount_123").val(Number.parseFloat(Number(item_price1)+Number((l_vat_amt*item_price1))).toFixed(3));
			$(".fx_net_amount_123").val(Number.parseFloat(Number(item_price1)+Number((l_vat_amt*item_price1))).toFixed(3));
			$(".uom_123 option[value="+uom+"]").show();
			$("#currency option[value!="+currency+"]").hide();
			$(".uom_123").val(uom);
			$(".uom_123 option[value!="+uom+"]").hide();
			$(".p_rate_123").removeClass("p_rate_123");
			$(".fx_rate_123").removeClass("fx_rate_123");
			$(".p_qty_123").removeClass("p_qty_123");
			$(".p_amount_123").removeClass("p_amount_123");
			$(".p_description_id_123").removeClass("p_description_id_123");
			$(".p_vat_123").removeClass("p_vat_123");
			$(".p_tax_rate_123").removeClass("p_tax_rate_123");
			$(".p_description_123").removeClass("p_description_123");
			$(".p_nbitem_123").removeClass("p_nbitem_123");
			$(".p_vat_amount_123").removeClass("p_vat_amount_123");
			$(".p_net_amount_123").removeClass("p_net_amount_123");
			$(".fx_amount_123").removeClass("fx_amount_123");
			$(".fx_net_amount_123").removeClass("p_net_amount_123");
			$(".123456789").removeClass("123456789");
			$(".uom_123").removeClass("uom_123");
			$(".123").removeClass("123");
			//parts_total();
		});
		$(".no_result_button").click(function() {
			$(".p_description_result").css('display','none');
			$(".p_rate_123").removeClass("p_rate_123");
			$(".p_qty_123").removeClass("p_qty_123");
			$(".p_amount_123").removeClass("p_amount_123");
			$(".p_description_id_123").removeClass("p_description_id_123");
			$(".p_vat_123").removeClass("p_vat_123");
			$(".p_description_123").removeClass("p_description_123");
			$(".p_vat_amount_123").removeClass("p_vat_amount_123");
			$(".p_net_amount_123").removeClass("p_net_amount_123");
			$(".fx_amount_123").removeClass("fx_amount_123");
			$(".fx_net_amount_123").removeClass("p_net_amount_123");
			$(".123456789").removeClass("123456789");
			$(".123").removeClass("123");
			$(".fx_rate_123").removeClass("fx_rate_123");
			//parts_total();
		});
	}
	$("html").on("keyup",".p_qty",function(){
		var p_qty	=	Number($(this).val());
		if (p_qty===''){
			parts_total();
			return false;
		} else {
		$(this).closest('.rowDiv2').find('.p_discount').val('');
		var fx_rate=Number($(this).closest('.rowDiv2').find('.fx_rate').val());
		var exchange_rate= Number($("#exchange_rate").val());
		var p_rate	=	Number.parseFloat(fx_rate*exchange_rate).toFixed(3);
		var p_discount=Number($(this).closest('.rowDiv2').find('.p_discount').val());
		var item_price1=Number.parseFloat(p_qty*fx_rate).toFixed(3);
		$(this).closest('.rowDiv2').find('.p_rate').val(p_rate);
		$(this).closest('.rowDiv2').find('.p_amount').val(item_price1);
		$(this).closest('.rowDiv2').find('.fx_amount').val(item_price1);
	 
	 	if($("#currency").val()!=1){
			var l_vat_amt=0;
			$(this).closest('.rowDiv2').find('.p_vat').val(l_vat_amt);
			$(".p_vat_123").attr("readonly", true);
			$(".p_vat_amount_123").attr("readonly", true);
	 	} else {
			var l_vat_amt=Number($(this).closest('.rowDiv2').find('.p_vat').val())/100;
		 	$(".p_vat_123").attr("readonly", false);
		 	$(".p_vat_amount_123").attr("readonly", false);
	 	} 
	 		$(this).closest('.rowDiv2').find('.p_vat_amount').val(Number.parseFloat(l_vat_amt*item_price1).toFixed(3));
	 		$(this).closest('.rowDiv2').find('.p_net_amount').val(Number.parseFloat(Number(item_price1)+Number((l_vat_amt*item_price1))).toFixed(3));
			$(this).closest('.rowDiv2').find('.fx_net_amount').val(Number.parseFloat(Number(item_price1)+Number((l_vat_amt*item_price1))).toFixed(3));
			parts_total();
		}
	});
	$("html").on("keyup",".fx_rate",function(){
		$(this).closest('.rowDiv2').find('.p_discount').val('');
		var fx_rate	=	Number($(this).val());
		if (fx_rate===''){
			parts_total();
			return false;
		} else {
			var exchange_rate= Number($("#exchange_rate").val());
			var p_rate	=	Number.parseFloat(fx_rate*exchange_rate).toFixed(3);
			$(this).closest('.rowDiv2').find('.p_discount').val('');
			var p_qty=Number($(this).closest('.rowDiv2').find('.p_qty').val());
			var item_price1=Number.parseFloat(p_qty*fx_rate).toFixed(3);
			$(this).closest('.rowDiv2').find('.p_rate').val(p_rate);
	 		$(this).closest('.rowDiv2').find('.p_amount').val(item_price1);
			$(this).closest('.rowDiv2').find('.fx_amount').val(item_price1);
	  		if($("#currency").val()!=1){
				var l_vat_amt=0;
				$(this).closest('.rowDiv2').find('.p_vat').val(l_vat_amt);
				$(".p_vat_123").attr("readonly", true);
				$(".p_vat_amount_123").attr("readonly", true);
	 		} else {
				var l_vat_amt=Number($(this).closest('.rowDiv2').find('.p_vat').val())/100;
				$(".p_vat_123").attr("readonly", false);
				$(".p_vat_amount_123").attr("readonly", false);
	 		}
	 		$(this).closest('.rowDiv2').find('.p_vat_amount').val(Number.parseFloat(l_vat_amt*item_price1).toFixed(3));
		 	$(this).closest('.rowDiv2').find('.p_net_amount').val(Number.parseFloat(Number(item_price1)+Number((l_vat_amt*item_price1))).toFixed(3));
			$(this).closest('.rowDiv2').find('.fx_net_amount').val(Number.parseFloat(Number(item_price1)+Number((l_vat_amt*item_price1))).toFixed(3));
			parts_total();
		}
	});

	$("html").on("keyup",".p_discount",function(){
		var disc = Number($(this).val());
		if(isNaN(disc)) {
			return false;
		}
		var p_rate=Number($(this).closest('.rowDiv2').find('.p_rate').val());
		var p_qty=Number($(this).closest('.rowDiv2').find('.p_qty').val());
		var item_price1=Number.parseFloat(p_qty*p_rate).toFixed(3);
		var exchange_rate= Number($("#exchange_rate").val());
		
		if(disc > item_price1) {
			$(this).closest('.rowDiv2').find('.p_amount').val(item_price1);
			var l_vat_amt=Number($(this).closest('.rowDiv2').find('.p_vat').val())/100;
			$(this).closest('.rowDiv2').find('.p_vat_amount').val(Number.parseFloat(l_vat_amt*item_price1).toFixed(3));
			$(this).closest('.rowDiv2').find('.p_net_amount').val(Number.parseFloat(Number(item_price1)+Number((l_vat_amt*item_price1))).toFixed(3));
			$(this).val('');
			parts_total();
			alert("Please check the discount amount! It cannot be more than total amount.");
			return false;
		}

		var discount_percentage = disc/item_price1*100;
		discount_percentage=Math.round(discount_percentage*1000000000)/1000000000;
		
		$(this).closest('.rowDiv2').find('.p_amount').val(Number.parseFloat(item_price1-disc).toFixed(3));
		var l_vat_amt=Number($(this).closest('.rowDiv2').find('.p_vat').val())/100;
		$(this).closest('.rowDiv2').find('.p_vat_amount').val(Number.parseFloat(l_vat_amt*(item_price1-disc)).toFixed(3));
		$(this).closest('.rowDiv2').find('.p_net_amount').val(Number.parseFloat(Number(item_price1-disc)+Number((l_vat_amt*(item_price1-disc)))).toFixed(3));
		parts_total();
		return true;
	});

	$("html").on("keyup",".fx_disc",function(){
		var disc = Number($(this).val());
		if(isNaN(disc)) {
			return false;
		}
		var exchange_rate= Number($("#exchange_rate").val());
		var fx_rate=Number($(this).closest('.rowDiv2').find('.fx_rate').val());
		var p_qty=Number($(this).closest('.rowDiv2').find('.p_qty').val());
		var item_price1=Number.parseFloat(p_qty*fx_rate).toFixed(3);
		if(disc > item_price1) {
			$(this).closest('.rowDiv2').find('.p_amount').val(item_price1);
			var l_vat_amt=Number($(this).closest('.rowDiv2').find('.p_vat').val())/100;
			$(this).closest('.rowDiv2').find('.p_vat_amount').val(Number.parseFloat(l_vat_amt*item_price1).toFixed(3));
			$(this).closest('.rowDiv2').find('.p_net_amount').val(Number.parseFloat(Number(item_price1)+Number((l_vat_amt*item_price1))).toFixed(3));
			$(this).closest('.rowDiv2').find('.fx_net_amount').val(Number.parseFloat(Number(item_price1)+Number((l_vat_amt*item_price1))).toFixed(3));
			$(this).closest('.rowDiv2').find('.p_discount').val('');
			$(this).val('');
			parts_total();
			alert("Please check the discount amount! It cannot be more than total amount.");
			return false;
		}

		var discount_percentage = disc/item_price1*100;
		discount_percentage=Math.round(discount_percentage*1000000000)/1000000000;
		
		$(this).closest('.rowDiv2').find('.p_amount').val(Number.parseFloat(item_price1-disc).toFixed(3));
		var l_vat_amt=Number($(this).closest('.rowDiv2').find('.p_vat').val())/100;
		$(this).closest('.rowDiv2').find('.p_vat_amount').val(Number.parseFloat(l_vat_amt*(item_price1-disc)).toFixed(3));
		$(this).closest('.rowDiv2').find('.p_net_amount').val(Number.parseFloat(Number(item_price1-disc)+Number((l_vat_amt*(item_price1-disc)))).toFixed(3));
		$(this).closest('.rowDiv2').find('.fx_net_amount').val(Number.parseFloat(Number(item_price1-disc)+Number((l_vat_amt*(item_price1-disc)))).toFixed(3));
		$(this).closest('.rowDiv2').find('.p_discount').val(Number.parseFloat(disc*exchange_rate).toFixed(3));
		parts_total();
		return true;
	});


	function parts_total() {
		var gross_amount=0;
		var p_vat_amount=0;
		var discount_total=0;
		var grand_total=0;
		$('.p_rate').each(function() {
			var qty = Number($(this).closest("tr.rowDiv2").find(".p_qty").val());
			var rate= Number($(this).val());
			if($("#currency").val()!=1){
				var p_vat = 0;
				$(this).closest('.rowDiv2').find('.p_vat').val(p_vat);
			} else {
				var p_vat = Number($(this).closest("tr.rowDiv2").find(".p_vat").val())/100;
			}
			var p_discount = Number($(this).closest("tr.rowDiv2").find(".p_discount").val());
			gross_amount += ((qty*rate)-p_discount);
			p_vat_amount += ((qty*rate)-p_discount)*p_vat;
			discount_total += p_discount;
			grand_total += ((qty*rate)-p_discount)+(((qty*rate)-p_discount)*p_vat);
		});
		$('#gross_amount').val(gross_amount);
		$('#discount_total').val(discount_total);
		$('#total_vat').val(p_vat_amount);
		$('#grand_total').val(grand_total);
	}

	$('.numbersOnly').keyup(function(event) {
		if($(this).val().substr(0, 1)==='.'){
			$(this).val('0.');
		}
	});

	$('.numbersOnly').keypress(function(event) {
		var $this = $(this);
		
		if ((event.which != 46 || $this.val().indexOf('.') != -1) &&
		((event.which < 48 || event.which > 57) &&
		(event.which != 0 && event.which != 8))) {
			event.preventDefault();
		}

		var text = $(this).val();
		if ((event.which == 46) && (text.indexOf('.') == -1)) {
			setTimeout(function() {
				if ($this.val().substring($this.val().indexOf('.')).length > 3) {
					$this.val($this.val().substring(0, $this.val().indexOf('.') + 3));
				}
			}, 1);
		}

		if ((text.indexOf('.') != -1) &&
			(text.substring(text.indexOf('.')).length > 3) &&
			(event.which != 0 && event.which != 8) &&
			($(this)[0].selectionStart >= text.length - 3)) {
				event.preventDefault();
		}      
	});
	$('.numbersOnly').bind("paste", function(e) {
		var text = e.originalEvent.clipboardData.getData('Text');

		if ($.isNumeric(text)) {
			if ((text.substring(text.indexOf('.')).length > 3) && (text.indexOf('.') > -1)) {
				e.preventDefault();
				$(this).val(text.substring(0, text.indexOf('.') + 3));
		}
		}
		else {
				e.preventDefault();
			}
	});
	$("html").on("change",".p_vat",function(){
		var p_rate=Number($(this).closest('.rowDiv2').find('.p_rate').val());
		var p_qty=Number($(this).closest('.rowDiv2').find('.p_qty').val());
		var p_discount=Number($(this).closest('.rowDiv2').find('.p_discount').val());
		var item_price1=(p_qty*p_rate)-p_discount;
		//$(this).closest('.rowDiv2').find('.p_amount').val(item_price1);
		var l_vat_amt=Number($(this).val())/100;
		$(this).closest('.rowDiv2').find('.p_vat_amount').val(l_vat_amt*(item_price1));
		$(this).closest('.rowDiv2').find('.p_net_amount').val(Number(item_price1)+Number((l_vat_amt*(item_price1))));
		//parts_total();
	});

	var formSubmitted = false;
	$('.formSubmit').click(function(event){
		if($('#payment_mode').val()==='Cash'){
			if($('#header_ledger_code').val()===''){
				$('.errorNb').html('Please select a Cash ledger');
				$('.errorNb').show();
				return false;
			}
		}
		if($('#supplier_id').val()===''){
		    $('.errorNb').html('Supplier is required');
		    $('.errorNb').show();
		    return false;
	   	}
	   	if($("#pi_type").val()==="Job"){
			if($('#job_id').val()===''){
				$('.errorNb').html('Job No is required');
				$('.errorNb').show();
				return false;
	   		}
		}
		if (formSubmitted) {
			event.preventDefault();
			return;
		}
		formSubmitted = true;
	});

</script>