<!doctype html>
  <html lang="en" dir="ltr">
    <?php 
      $decimal_part=$row->decimal_part;
    ?>
	  <head>
      <title>Print Purchase Order</title>
      <link href="<?php echo base_url(); ?>css/print/bootstrap.min.css" rel="stylesheet">
      <link href="<?php echo base_url(); ?>/admincss/css/plugins.css" rel="stylesheet">
      <style type="text/css">
        .invoice-title h2, .invoice-title h3 {
          display: inline-block;
        }

        .table > tbody > tr > .no-line {
          border-top: none;
        }

        .table > thead > tr > .no-line {
          border-bottom: none;
        }

        .table > tbody > tr > .thick-line {
          border-top: 2px solid;
        }
        .tdClass{
          font-size:12px !important;
          color: #000;
        }
        .tdDscr {
          color: #85868a !important;
        }
        .trback{
          background: #f5f5f5 !important; border-radius: 0.25em; color: #000; margin: 0 0 0.5em; padding: 0.5em 0; width: 100%;border:1px solid #ddd;
        }
        .trhead{
          background: #f5f5f5 !important;
        }
        @media print {
          .hidden-print {
            display: none !important;
          }
          .panel-body {
              height: 550px !important;
          }
        }
        #watermark{
        color: #FF0000;
        font-size: 100pt;
        -webkit-transform: rotate(-25deg);
        -moz-transform: rotate(-45deg);
        position: absolute;
        width: 70%;
        height: 0%;
        margin: 0;
        z-index: 1;
        text-align:center;
        top:150px;
        left:100px;
        opacity:0.1;
      }
      .hidden-print {
				z-index: 9999 !important;
    		position: relative !important;
			}
      @media only screen and (max-height: 932px){

			
			}
      .border-right{
        border-right: 1px solid #ddd;
      }
      .border-left{
        border-left: 1px solid #ddd;
      }
      .border-top{
        border-top: 1px solid #ddd !important;
      }
      </style>
    </head>
    <?php if($row->status==='Draft') { echo '<div id="watermark">DRAFT</div>'; } if($row->status==='Cancel') { echo '<div id="watermark">Cancelled</div>'; } ?> 
    <body>
      <div class="container">
        <div class="row">
          <div class="col-xs-12">
    		  <div class="invoice-title">
            &nbsp;
    			  <!--<h2>Hawar Auto Services</h2>-->
    		  </div>
          <div class="row" style="margin-bottom: 20px;">
            <div class="col-xs-6">
              <img src="<?php echo base_url()."images/company_division/".$logo_filename; ?>" alt="" height="70px;" width="260px;"  class="logo"/>
            </div>
            <div class="col-xs-6" style="text-align: right;">
              <b style="font-size: 15px;"><?php //if(isset($company_details->company_name)){ echo $company_details->company_name;} ?> Golden Neon Sign Advertising W.L.L</b><br>TRN # 200010422000002<br> CR No. 058645-01<br><?php //if(isset($company_details->cr_number)){ if($company_details->cr_number!=""){ echo ' | '.$company_details->cr_number.'<br>';}} ?>
              <?php if(isset($company_details->company_address)){ echo $company_details->company_address;} ?>  <?php if(isset($company_details->email_id)){ if($company_details->email_id!=""){ echo ' | '.$company_details->email_id;}} ?><br>
              <?php if(isset($company_details->telephone_no)){ echo $company_details->telephone_no;} ?>  <?php if(isset($company_details->fax_no)){ if($company_details->fax_no!=""){ echo ' | '.$company_details->fax_no;} } ?>
              <?php //if(isset($company_details->tax_no)){ if($company_details->tax_no!=""){ echo ' <br> TRN # '.$company_details->tax_no; } } ?>
            </div>
          </div>
          <div>
            <table style="width: 100%; margin-bottom: 8px;">
              <tr class="trback">
                <td style="text-align:center;padding: 12px;font-size: 20px;font-weight: bold;">Purchase Order</td>
              </tr>
          </table>
        </div>
    		  <div class="row">
    			  <div class="col-xs-6">
    				  <address style="border-style: groove; padding-left:10px; height:105px;">
                <strong>To:</strong><br>
                <?php echo $row->supplier_name; ?><br>
                <?php echo nl2br($row->address); ?><br>
                <?php if($row->tax_name!=''){ echo 'Vat Name : '.$row->tax_name.'<br>';}?>
                <?php if($row->tax_no!=''){ echo 'VAt No: '.$row->tax_no;}?>
                
                <?php if($row->supplier_reference!=""){ echo '<hr><strong>Supplier Ref. :</strong>' .$row->supplier_reference.'<br>'; } ?>
              </address>
    			  </div>
    			  <div class="col-xs-6">
    				  <address style="border-style: groove; padding-left:10px; height:105px;">
                <b style="font-size:15px;">PO No: <?php echo $row->po_code; ?></b><br>
                <b>Date :</b> <?php echo date("d/m/Y", strtotime($row->po_date)); ?><br>
                <?php if($row->job_card_number!=''){?> <b>Job No :</b> <?php echo $row->job_card_number.'<br>'; } ?> 
                <?php if($row->delivery_address!=''){?> <b>Delivery Address :</b><br> <?php echo nl2br($row->delivery_address); } ?> 
              </address>
    			  </div>
    		  </div>
    	  </div>
      </div>
      <div class="row">
    	  <div class="col-md-12">
    		  <div class="panel panel-default">
    			  <div class="panel-body">
    					  <table class="table table-condensed">
    						  <thead class="trhead" >
                    <tr>
                      <td class="tdClass border-left border-right border-top"><strong>Item Name</strong></td>
                      <td class="text-center tdClass  border-right border-top"><strong>Qty</strong></td>
                      <td class="text-right tdClass border-right border-top"><strong>Rate</strong></td>
                      <td class="text-right tdClass border-right border-top"><strong>Disc</strong></td>
                      <td class="text-right tdClass border-right border-top"><strong>Vat %</strong></td>
                      <td class="text-right tdClass border-right border-top"><strong>Amt</strong></td>
                      <!--<td class="text-right tdClass"><strong>Vat Amt</strong></td>
                      <td class="text-right tdClass"><strong>Net Amt</strong></td>-->
                    </tr>
                  </thead>
    						  <tbody>
                    <?php
                      if($details!=false){
                        $i = 1;
                        $total  = 0;
                        foreach($details AS $detail){
                          $total = $total + $detail['net_amount'];
                    ?>
                    <tr style="border-bottom: 1px #ddd solid;">
                      <td class="tdClass border-left border-right"><?php echo $detail['item_name_nbs']; ?></td>
                      <td class="text-center tdClass border-right"><?php echo $detail['item_qty']; ?>&nbsp;<?php echo $detail['uom']; ?></td>
                      <td class="text-right tdClass border-right"><?php echo number_format((float)($detail['item_fx_rate']), $decimal_part, '.', ''); ?></td>
                      <td class="text-right tdClass border-right"><?php if($row->exchange_rate==1){  if($detail['item_disc']!='0.000'){ echo number_format((float)($detail['item_disc']), $decimal_part, '.', ''); } } else { echo number_format((float)($detail['fx_disc']), $decimal_part, '.', ''); } ?></td>
                      <td class="text-right tdClass border-right"><?php echo $detail['item_vat_per']*100; ?></td>
                      <td class="text-right tdClass border-right"><?php if($row->exchange_rate==1){ echo number_format((float)($detail['item_amount']), $decimal_part, '.', ''); } else { echo number_format((float)($detail['fx_amount']), $decimal_part, '.', ''); }  ?></td>
                      
                      <!--<td class="text-right tdClass"><?php echo number_format($detail['item_vat'],3); ?></td>
                      <td class="text-right tdClass"><?php echo number_format($detail['net_amount'],3); ?></td>-->
                    </tr>
                    <?php if($detail['body_description']!=NULL){ ?>
                      <tr style="border-bottom: 1px #ddd solid;" >
                        <td class="tdClass tdDscr " colspan="8"><?php echo nl2br($detail['body_description']); ?></td>
                      </tr>
                    <?php } ?>
                    <?php $i++;}}else { ?>
                    <tr>
                      <td colspan="8">No item list</td>
                    </tr>
                    <?php } ?>
                    
                    </tbody>
                  </table>
                  <div class="row">
                    <div class="col-xs-7">
                      <strong>Terms</strong><br>
                      <p style="font-size: 11px;"><?php echo nl2br($row->delivery_terms); ?></p>
                    </div>
                  <div class="col-xs-5">
                  <table class="table table-condensed">
                    <tr>
                      <td class="text-left tdClass" style="border-top: none;"><b>Amount</b></td>
                      <td class="text-right tdClass" style="border-top: none;" ><b><?php if($row->exchange_rate==1){ echo @$row->currency_code." ".number_format((float)($row->po_gross_amt), $decimal_part, '.', ''); } else { echo @$row->currency_code." ".number_format((float)($total), $decimal_part, '.', ''); } ?></b></td>
                    </tr>
                    <?php if($row->po_discount!=0) {?>
                    <tr>
                      <td class="text-left tdClass"><strong>Discount</strong></td>
                      <td class="text-right tdClass"><b><?php if($row->exchange_rate==1){ echo @$row->currency_code." ".number_format((float)($row->po_discount), $decimal_part, '.', ''); } else { echo @$row->currency_code." ".number_format((float)($row->po_discount/$row->exchange_rate), $decimal_part, '.', ''); } ?></b></td>
                    </tr>
                    <?php } ?>
                    <tr>
                      <td class="text-left tdClass"><strong>Vat Amount</strong></td>
                      <td class="text-right tdClass"><b><?php echo @$row->currency_code." ".number_format((float)($row->po_vat_amt), $decimal_part, '.', ''); ?></b></td>
                    </tr>
                    <?php if($row->round_off!=0){?>
                    <tr>
                      <td class="text-left tdClass"><strong>Round Off</strong></td>
                      <td class="text-right tdClass"><b><?php echo @$row->currency_code." ".number_format($row->round_off,3).' ('.$row->sign.')'; ?></b></td>
                    </tr>
                    <?php } ?>
                    <tr>
                      <td class="text-left tdClass" style="border-bottom: 1px solid #ddd;"><strong>Net Total</strong></td>
                      <td class="text-right tdClass" style="font-size: 17px;  border-bottom: 1px solid #ddd;" ><b><?php if($row->exchange_rate==1){ echo @$row->currency_code." ".number_format((float)($row->po_net_amt), $decimal_part, '.', ''); } else { if($row->round_off!=0){ if($row->sign==='-') { $nttotal=$nttotal-$row->round_off; } else { $nttotal=$nttotal+$row->round_off; } } echo @$row->currency_code." ".number_format((float)($nttotal), $decimal_part, '.', ''); } ?></b></td>
                    </tr>
                    </table>
              </div>
            </div>
            <table style="width: 100%;">
                    <tr>
                    <td class="text-right  tdClass" style="font-size: 11px;">
                      
                    <?php
                        if($row->exchange_rate==1){  $totalxx=$row->po_net_amt; } else {  $totalxx=$nttotal; }
                          $intpart=(int) $totalxx;
                          $floatpart=(round($totalxx,$decimal_part)*pow(10,$decimal_part)-($intpart*pow(10,$decimal_part)));
                          $intpart_words	=	$this->crud_model->convert_number($intpart);
                          if($floatpart !=0) { 
                          $f	=	$this->crud_model->convert_number($floatpart);
                          echo "<b>".$row->currency_name." ".$intpart_words.'&nbsp;&amp;&nbsp;&nbsp;' .$f. " ".$row->float_part." Only</b>";
                        } else {
                          $f	=0;
                          echo "<b>".$row->currency_name." ".$intpart_words." Only</b>";
                        }
                      ?>
                      
                    </td>
                  </tr>
              </table>
            <?php if($row->status==='Draft' && $approvestatus==='forapprove'){?>
              <a class="btn btn-danger closebtn hidden-print"  style="float:right;" href="<?php echo site_url('Dashboard/approver_dashboard'); ?>" ><i class="fa fa-close"></i>Exit</a>
              <a id="add__new__list" class="btn btn-md btn-primary  hidden-print" style="float:right;margin-right: 5px;" href="javascript:ChangeStatus('<?php echo $row->po_id;?>','<?php echo $row->po_code;?>')"><i class="fa fa-gg"></i> Approve</a>
              <?php } ?>
                      <table class="table table-condensed">
                        <tr >
                          <td style="padding-top:50px;border:none;"  >Prepared By : <?php echo $row->user_name; ?></td>
                          <td style="padding-top:50px;border:none;">Approved By : <?php if($row->approved_user!==0 && $row->approved_user!==NULL && $row->approved_user!=='') { echo $row->approved_user; } ?></td>
                          <td style="padding-top:50px;border:none;">Accounts : </td>
                        </tr>
                      </table>
                      <label style="font-size: 11px;">"DIGITALLY APPROVED. SIGNATURE NOT REQUIRED"</label></br>
                      <label style="font-size: 11px;">"Please send your invoice together with our LPO"</label>
              </div>
    			  </div>
    		  </div>
    	  </div>
      </div>
    </body>
  </html>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
	<script src="<?php echo base_url(); ?>/admincss/plugins/sweet-alert/sweetalert.min.js"></script>
	<script src="<?php echo base_url(); ?>/admincss/js/sweet-alert.js"></script>

  <script>
	function ChangeStatus(pr_id,pr_code){	
    $('body').removeClass('timer-alert');
    swal({
        title: "Alert",
        text: "Do you Want to Approve this Purchase Order?",
        type: "warning",
        showCancelButton: true,
        confirmButtonText: 'Yes',
        cancelButtonText: 'Cancel'
      },
      function(isConfirm){
      if (isConfirm) {
        window.location = "<?php echo base_url()?>index.php/furniture/PurchaseOrder/approvePurchaseOrder/"+pr_id+"/"+pr_code;
      } else {
        swal("Cancelled", "Your imaginary file is safe :)", "error");
      }
    });				
  } 
</script>