<style>
.btn-primary:active,.btn-primary:focus {
    border:none !important; /* here configure as your needs */
	outline: none !important;
	box-shadow:  none !important;
}
.btn-primary {
	background: #45aaf2 !important;
	border-color: #45aaf2 !important;

}
.tablink {
  background-color: #b7b8bd;
  color: white;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
  font-size: 16px;
  width: 17%;
  font-weight: 600;
  text-align:center;
}

.tablink:hover {
  background-color: #b7b8bd;
}

/* Style the tab content (and add height:100% for full page content) */
.tabcontent {
  color: white;
  display: none;
  height: 100%;
}
#back-to-top {
    background-image: linear-gradient(to right, #45aaf2 0%, #45aaf2 100%);
    border-color: #45aaf2;
}
.page-header { 
    margin: 0.5rem 0rem;
}
.app-content .side-app {
    padding: 0.5rem;
}
.card {
    margin-bottom: 0.5rem;
}
.card-body {
	padding-left: 1.5rem;
	padding-right: 1.5rem;
	padding-top: 1.5rem;
	padding-bottom: 0.6rem;
}
.client_result {
	border: 1px solid #d2d6de;
	position: absolute;
	width: 347px;
	height: auto;
	background-color: #fff;
	z-index: 100;
	margin-top: 0px;
	border-radius: 3px;
	display: none;
}
.clientList {
	margin:0px;
}
.clientList li {
	color: #000000;
	padding: 0;
	padding-left: 8px;
	height: 30px;
	padding-top: 4px;
	cursor:pointer;
	font-weight:600;
	list-style-type: none;
}
.clientList li:hover {
	background:#CCCCCC;
}
.nbactive{
    background-color:#D6D6D6;
}
.nbactive2{
    background-color:#D6D6D6;
}
.nbactive3{
    background-color:#D6D6D6;
}
div.dt-buttons {
	float: right;
	padding-left: 15px;
    padding-right: 15px;
}
.dataTables_length {
	position: absolute;
}
.card_padding_top {
	padding-top: 5px;
}
</style>

	<!--app-content open-->
	<div class="app-content main-content">
		<div class="side-app">
			<div class="main-container">
				<!-- PAGE-HEADER -->
				<div class="page-header">
				<div>
					<h1 class="page-title">Quotation</h1>
					<ol class="breadcrumb">
						<li class="breadcrumb-item"><a href="<?php echo site_url('Dashboard/home');?>">Home</a></li>
						<li class="breadcrumb-item active" aria-current="page">Quotation</li>
					</ol>
				</div>
			</div>
			<!-- PAGE-HEADER END -->
			<form id="data-form" class="form-search" method="post" enctype="multipart/form-data" action="<?php echo site_url('furniture/furniture_quotations/quotationList');?>">
				<div class="card">
					<div class="card-body">
						<?php  if($this->session->flashdata("response")!=''){ ?>
							<div class="alert alert-danger">
								<?php if($this->session->flashdata("response")){ echo $this->session->flashdata("response"); $this->session->unset_userdata('response');  } ?>
							</div>
						<?php } ?>
						<div class="form-row">
							<div class="form-group col-md-1 mb-0">
								<div class="form-group">
									<input type="text" class="form-control  fromDate" id="fromDate" name="fromDate" placeholder="From Date" value="<?php if ($this->input->post('fromDate')){  echo $this->input->post('fromDate'); } elseif($fromDate!=='NIL'){ echo $fromDate; }?>"  autocomplete="off" >
								</div>
							</div>
							<div class="form-group col-md-1 mb-0">
								<div class="form-group">
									<input type="text" class="form-control  toDate" id="toDate" name="toDate" placeholder="To Date" value="<?php if ($this->input->post('toDate')){  echo $this->input->post('toDate'); } elseif($toDate!=='NIL'){ echo $toDate; }?>"  autocomplete="off" >
								</div>
							</div>
							<div class="form-group col-md-1 mb-0">
								<div class="form-group">
									<input type="text" class="form-control" id="quotation_number" name="quotation_number" placeholder="Qtn No" value="<?php if ($this->input->post('quotation_number')){  echo $this->input->post('quotation_number'); } elseif($quotation_number!=='NIL'){ echo $quotation_number; }?>"  autocomplete="off" >
									<input type="hidden" class="form-control" id="nbx" name="nbx" value="1" placeholder="Qtn No">
								</div>
							</div>
							<div class="form-group col-md-3 mb-0">
								<div class="form-group">
									<input type="text" class="form-control client" name="client" id="client" placeholder="Customer" autocomplete="off" value="<?php if ($this->input->post('client')){  echo $this->input->post('client'); } elseif($customer_name!=='NIL'){ echo $customer_name; }?>"   autocomplete="off" >
									<input type="hidden" id="client_id" class="form-control client_id" name="client_id" value="<?php if ($this->input->post('client_id')){  echo $this->input->post('client_id'); } elseif($client_id!=='NIL'){ echo $client_id; }?>"   autocomplete="off"   />
									<div class="client_result">
										<ul class="clientList unstyled" >
										</ul>
									</div>
								</div>
							</div>
							<div class="form-group col-md-2 mb-0">
								<div class="form-group">
									<input type="text" class="form-control" name="project" value="<?php if ($this->input->post('project')){  echo $this->input->post('project'); } elseif($project!=='NIL'){ echo $project; }?>"  placeholder="Project">
								</div>
							</div>
							<div class="form-group col-md-1 mb-0">
								<div class="form-group">
									<input type="text" class="form-control" name="telephone" value="<?php if ($this->input->post('telephone')){  echo $this->input->post('telephone'); } elseif($telephone!=='NIL'){ echo $telephone; }?>"  placeholder="Tel No">
								</div>
							</div>

							<div class="form-group col-md-2 mb-0">
								<div class="form-group">
									<select name="user_id" class="form-control form-select select2" data-bs-placeholder="Status">
										<?php 
											$is_salesman   =   $this->session->userdata('is_salesman'); 
											$user_group_id   =   $this->session->userdata('user_group_id'); 
											//if($is_salesman!=1 && $user_group_id!=1) { ?>    
											<option value="">Select Sales Person</option> <?php //} ?>
												<?php foreach ($userList as $rowtw) { 
												if (@$user_id == $rowtw->user_id) {
													$select = TRUE;
												} else {
													$select = FALSE;
												}
												?>
											<option value="<?php echo $rowtw->user_id?>" <?php echo set_select("user_id", $rowtw->user_id, $select); ?>><?php echo $rowtw->user_name?></option>
										<?php } ?>
									</select>
								</div>
							</div>
                                            
							<div class="col-md-1 mb-0">
								<div class="form-group">
									<button class="btn btn-primary" type="submit" name="ttttt" ><i class="fe fe-search"></i></button>
								</div>
							</div>
						</div>
					</div>
				</div>
			</form>
            <div class="row">
				<div class="col-md-12 col-lg-12">
					<div class="card">
						<div class="card-header">
							<a class="tablink" <?php if($type==='Draft'){ echo 'style="background-color: #45aaf2;"';}?> href="<?php  echo site_url('furniture/furniture_quotations/quotationList/Draft');?>" >Draft</a>
							<!--<button class="tablink" onclick="openPage('News', this, '#45aaf2')">Approval Pending</button>-->
							<a class="tablink" <?php if($type==='Open'){ echo 'style="background-color: #45aaf2;"';}?>   href="<?php  echo site_url('furniture/furniture_quotations/quotationList/Open');?>" >Open</a>
							<!--<button class="tablink" onclick="openPage('Home', this, '#45aaf2')" >Sent Back</button>-->
							<a class="tablink" <?php if($type==='Confirmed'){ echo 'style="background-color: #45aaf2;"';}?>   href="<?php  echo site_url('furniture/furniture_quotations/quotationList/Confirmed');?>" >Confirmed</a>
							<a class="tablink" <?php if($type==='Closed'){ echo 'style="background-color: #45aaf2;"';}?>   href="<?php  echo site_url('furniture/furniture_quotations/quotationList/Closed');?>" >Closed</a>
							<a class="tablink" <?php if($type==='All'){ echo 'style="background-color: #45aaf2;"';}?>  href="<?php  echo site_url('furniture/furniture_quotations/quotationList/All');?>" >All</a>
						</div>

						<div class="table-responsive card_padding_top">
							<table id="quotation_data" class="table card-table">
								<thead class="thead-light" >
									<tr>
										<th>#</th>
										<th>Qtn No</th>
										<th>Date</th>
										<th>Client</th>
										<th>Project</th>
										<th>Salesman</th>
										<?php if($this->session->userdata('user_group_id') != 12){ ?>
										<th>Amt</th>
										<?php } ?>
										<th>Status</th>
										<?php if($type==='Confirmed'){
											echo '<th>Confirmed Date</th>';
										} ?>
										<th>&nbsp;</th>
										<th>Action</th>
									</tr>
								</thead>
								<tbody>
									<?php echo $data;?>
								</tbody>
							</table>
						</div>
						<?php //echo $links; ?>
						<!-- table-responsive -->
						<!-- TABLE WRAPPER -->
					</div>
				</div>
			</div>
			<!-- PAGE-HEADER END -->
		</div>
	</div>    
</div>     
                       
<script type="text/javascript">
	$(function(e) {
		$('#quotation_data').DataTable({
			"paging": true,
			"processing": true,
			"scrollCollapse": true,
			"visible": true ,
    		"orderable": false,
			"iDisplayLength": 100,
			"lengthMenu": [ [100, 150, 200, -1], [100, 150, 200, "All"] ],
			"info": true,
			dom: 'lBfrtip',
			buttons: [
				{ extend: 'copyHtml5',title: '',text: 'Copy',header: false, text:'<i class="fa fa-copy"></i>',titleAttr: 'Copy', className: 'btn-primary' },
				{ extend: 'excelHtml5',title: 'Quotation Data',filename: function(){ var today = new Date();var n = today.getTime();return 'QuotationExcelExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Excel', text:'<i class="fa fa-file-excel-o"></i>',titleAttr: 'Excel', className: 'btn-success' },
				{ extend: 'print',title: 'Quotation Data',filename: function(){ var today = new Date();var n = today.getTime();return 'QuotationPrintExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Print', text:'<i class="fa fa-print"></i>',titleAttr: 'Print', className: 'btn-warning' },
			]
		});
		//
		// Select2 { extend: 'csvHtml5',text: 'CSV',header: false, text:'<i class="fa fa-file-pdf-o"></i>',titleAttr: 'CSV', className: 'btn-warning' },
		//{ extend: 'colvis',title: '',filename: 'fileName',text: 'Pdf', text:'<i class="fa fa-file-pdf-o"></i>',titleAttr: 'Pdf', className: 'btn-warning' },
		/* $('.select2').select2({
			minimumResultsForSearch: Infinity
		}); */
	});
    $("html").on("keyup",".client",function(){
        if($('#division_id').val()===''){
            alert('Please Select Division');
            $('.client_id').val('');
            return false;
        }
		var client	=	$(this).val();
		$('.client_id').val('');
		$('.client_address').val('');
		$("#prospect_name").val('');
		$('#prospect_name').attr('readonly', false);
		$(".client_id").val('');
		$("#phone").val('');
		$("#email").val('');
		$(".cname").html('');
		$(".cphone").html('');
		$(".cemail").html('');
		$(".caddress").html('');
		$(".cperson").html('');
		$(".tax_name").html('');
		$(".tax_no").html('');
		if (client==''){
			$(this).val("");
			return false;
		} else {
			$.ajax({
				url:"<?php echo site_url("furniture/Enquiry/search_client")?>" , 
				type: "POST" ,
				data: {client	: client} ,
				success: function(data){
					$(".client_result").css('display','block');
					$(".clientList").html(data);
					client_button();
					$('.client').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.clientList').on('focus', 'li', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.clientList').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'li', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('li').first().focus();
						}
					});
					$(".clientList li").keypress(function (e) {
						if (e.keyCode == 13) {
							$(".client_result").css('display','none');
							var client_id	=	($(this).attr('value'));
							var client_name = $(this).closest("li").find(".client_name").val();
							var client_address = $(this).closest("li").find(".client_address").val();
							var is_taxable = $(this).closest("li").find(".is_taxable").val();
							$(".client").val(client_name);
							$(".client_id").val(client_id);
							$(".client_is_taxable").val(is_taxable);
							$(".client_address").val(client_address);
						}
					});
				},
				error: function(){
					$("#errorMsg").html('Connection Error......');
					$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
		}
	});
	function client_button() {
		$(".client_button").click(function() {
			$(".client_result").css('display','none');
			var client_id	=	($(this).attr('value'));
			var client_name = $(this).closest("li").find(".client_name").val();
			var client_address = $(this).closest("li").find(".client_address").val();
			var client_telephone1 = $(this).closest("li").find(".client_telephone1").val();
			var client_email = $(this).closest("li").find(".client_email").val();
			var cperson = $(this).closest("li").find(".cperson").val();
			var tax_name = $(this).closest("li").find(".tax_name").val();
			var tax_no = $(this).closest("li").find(".tax_no").val();
			$(".client").val(client_name);
			$("#prospect_name").val(client_name);
			$('#prospect_name').attr('readonly', true);
			$(".client_id").val(client_id);
			$("#phone").val(client_telephone1);
			$("#email").val(client_email);
			$(".cname").html(client_name);
			$(".cphone").html(client_telephone1);
			$(".cemail").html(client_email);
			$(".caddress").html(client_address);
			$(".cperson").html(cperson);
			$(".tax_name").html(tax_name);
			$(".tax_no").html(tax_no);
			
		});
		$(".no_result_button").click(function() {
			$("#category_result").css('display','none');
			$(".client").val('');
			$("#prospect_name").val('');
			$('#prospect_name').attr('readonly', false);
			$(".client_id").val('');
			$("#phone").val('');
			$("#email").val('');
			$(".cname").html('');
			$(".cphone").html('');
			$(".cemail").html('');
			$(".caddress").html('');
			$(".cperson").html('');
			$(".tax_name").html('');
			$(".tax_no").html('');
		});
	}
</script>
<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>