<?php 
	$this->load->helper('num_words');
?>

<html>
<head>
<title>Print Proforma Invoice - <?php echo $invoice_number;?></title>

  <meta content="text/html; charset=UTF-8" http-equiv="content-type">
  <link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>
  <style type="text/css">
  
  	*{
		font-weight:normal;	
		font-family: 'Open Sans', sans-serif;
	}
  	.outer_wrapper{
		width:700px;
		margin:0 auto;
		min-height:600px;
		/*border:solid 1px blue;*/
	}
	
	.mainTable{
		width:100%;	
	}
	
  	.quotationTitle{
		/*height:150px;*/
		width:100%;
		background-color:#7f7f7f;
		float:left;
	}
	
	.quotationTitle h2{
		/*background-color:#7f7f7f;*/
    	margin: 0;
    	text-align: center;	
		font-family: 'Open Sans', sans-serif;
		color:#fff;
		line-height:42px;
		/*text-transform:uppercase;*/
		float:left;
		width:100%;
	}
	
	.leftSpan{
		width:60%;
		vertical-align: top;
	}
	
	.rightSpan{
		width:40%;
		vertical-align: top;
	}
	
	.halfSpan > span {
		float: left;
		width: 100%;
	}
	
	.halfSpan > span label{
		width:50%;
		color:#7f7f7f;
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		float:left;
	}
	
	.halfSpan h3{
		color: #000000;
    	font-family: 'Open Sans', sans-serif;
    	font-weight: bold;
    	margin: 0;
		padding:0px;
	}
	
	.halfSpan h4{
		color: #000000;
    	font-family: 'Open Sans', sans-serif;
    	font-weight: normal;
   		margin-bottom: 0;
    	margin-top: 3px;
		padding:0px;
	}
	
	.halfspan p{
		color: #000000;
    	font-family: 'Open Sans', sans-serif;
    	font-weight: normal;
   		margin-bottom: 0;
    	margin-top: 3px;
		padding:0px;	
	}
	
	.halfspan p.boldText{
		font-weight:bold;
		font-size:11px;	
	}
	.details{
		font-size:11px;	
		font-family: 'Open Sans', sans-serif;
	}
	
	.quotationIntro{
		margin-top:20px;
		float:left;
		width:100%;
		font-family: 'Open Sans', sans-serif;
		color:#000000;
		font-size:15px;
		
	}
	
	.quotationIntro h3{
		text-transform:uppercase;	
	}
	
	.quotationIntro b{
		font-weight:bold;	
	}
	
	.FeesTitle h3{
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		color:#000;
		margin:5px;
	}
	
	.quotationTables{
		margin-top:10px;
		float:left;
		width:100%;
	}
	
	.quotationTables b{
		font-weight:bold;	
	}
	
	.quotationTables table{
		width:100%;	
		border:solid 1px #d4d4d4;
		/*background-color:#f4f4f4;*/
		border-spacing:0px;
	}
	
	.quotationTables table thead th{
		background-color:#7a7a7a;
		color:#fff;
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		text-align:left;	
		padding:5px;
	}
	
	.quotationTables table tbody th{
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		text-align:left;	
		padding:5px;
		color:#000;
		font-size:14px;
	}
	
	.quotationTables table th, .quotationTables table td{
		border-bottom: 1px solid #aaaaaa !important;
    	border-right: 1px solid #aaaaaa !important;
		padding:4px;
	}
	
	.quotationTables table td .swDesc{
		opacity: 0.35;
	}
	

	.footer_content p{
		margin:5px 0px;	
	}
	
	.footer_content h3{
		text-transform:none;
		font-weight:bold;
	}
	
	.quotationTables td:last-child {
		border-right: medium none !important;
	}
	
	.quotationTables td.swdescription:last-child {
		border-right: 1px solid #aaaaaa !important;
		font-size:10px;
	}
	
	.quotationTables tr:last-child td {
		border-bottom: medium none !important;
	}
	
	
	.quotationTables th:last-child {
		border-right: medium none !important;
	}
	
	.quotationTables .swGroup{
		background-color: #7a7a7a;
		color: #fff;
		font-family: 'Open Sans', sans-serif;
		font-weight: bold;
		padding: 5px;
		text-align: center;
		font-size:11px;
		color:#000000;
	}
	
	.log_left {
		float: right;
	}
	
	
	@media print {
		.rightSpan h3{
			margin:0px;
		}
		
		.rightSpan h4{
			margin:0px;
		}
		
		
	}
	#watermark{
	  color: #FF0000;
	  font-size: 100pt;
	  -webkit-transform: rotate(-25deg);
	  -moz-transform: rotate(-45deg);
	  position: absolute;
	  width: 100%;
	  height: 100%;
	  margin: 0;
	  z-index: 1;
	  text-align:center;
	  top:50px;
	  left:100px;
	  opacity:0.2;
	}
  </style>
</head>
<body>
<?php if($invoice_status==0) { ?>
<div id="watermark">cancelled</div>
<?php } ?>
	<div class="outer_wrapper">
    	<table class="mainTable">
        	<tr>
            <td>
			<img src="<?php echo base_url()."images/company_logo/".$logo_filename; ?>" alt="" style="height:80px;width:260px"  class="logo"/>
            
            </td>
             <?php  if($invoice_division_id==3) { ?>
            <td align="right" style="vertical-align:bottom;" class="details">
             Al qasser upholstery & curtain.<br>
             P.o.box 54348.<br>
             Shop no- 33/1, Bldg-31, area 307, khalf Al Asfoor Road, Cr no 26243-1<br>
             Manama, Bahrain
            </td>
            <?php } else { ?>
            <td align="right" style="vertical-align:bottom;" class="details">
             <?php if(isset($company_details->company_name)){ echo $company_details->company_name;} ?>  <?php if(isset($company_details->cr_number)){ if($company_details->cr_number!=""){ echo ' | '.$company_details->cr_number;}} ?><br>
             <?php if(isset($company_details->company_address)){ echo $company_details->company_address;} ?>  <?php if(isset($company_details->email_id)){ if($company_details->email_id!=""){ echo ' | '.$company_details->email_id;}} ?><br>
             <?php if(isset($company_details->telephone_no)){ echo $company_details->telephone_no;} ?>  <?php if(isset($company_details->fax_no)){ if($company_details->fax_no!=""){ echo ' | '.$company_details->fax_no;} } ?>
             <?php if(isset($company_details->tax_no)){ if($company_details->tax_no!=""){ if ($invoice_date>'2019-07-01'){ echo ' <br> TRN # '.$company_details->tax_no; } } } ?>
            </td>
            <?php } ?>
        	</tr>
            <!--<tr>
                <td colspan="2">
                    <span class="quotationTitle">
                        <h2><?php echo $project_name;?></h2>
                    </span>
                </td>
            </tr>-->
            <tr>
            	<td class="leftSpan halfspan">
                	<table width="100%">
                    <tr>
                        	<td>
                            	<span>
                                    <p class="boldText">Submitted to:</p>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td class="details">
							
								<?php echo $client_name;?>
                            
                            </td>
                        </tr>
                        <?php if($tax_name){?>
                         <tr>
                        	<td class="details">
							
								Vat Name:<?php echo $tax_name;?>
                            
                            </td>
                        </tr>
                        <?php } ?>
                        <?php if($tax_no){?>
                         <tr>
                        	<td class="details">
							
								Vat No :<?php echo $tax_no;?>
                            
                            </td>
                        </tr>
                        <?php } ?>
                        <tr>
                        	<td class="details">
							
								<?php echo $client_address;?>
                                
                            </td>
                        </tr>
                        <tr>
                        	<td class="details">
							
								<?php echo $client_telephone1;?>
                                
                            </td>
                        </tr>
                        <tr>
                        	<td class="details">
							
								<?php echo $client_email;?>
                                
                            </td>
                        </tr>
                    	<!--<tr>
                        	<td width="30%">
                            	<span>
                					<label> Quotation No: </label>
                                </span>
                            </td>
                            <td>
                            	<span>
                                	<label> <?php echo $quotation_number_full;?></label>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td width="30%">
                            	<span>
                					<label> Date: </label>
                                </span>
                            </td>
                            <td>
                            	<span>
                                	<label> <?php echo date('M d, Y',strtotime($quotation_date));?></label>
                                </span>
                            </td>
                        </tr>-->
						<?php if($project_name!=""){ ?>
                        <tr>
                        	<td class="details">
                            	<span>
                					<label> Project: <?php echo $project_name;?></label>
                                </span>
                            </td>
                        </tr>
						<?php } ?>
                    </table>
                </td>
                <td class="rightSpan halfspan">
                    <table width="100%">
                    	<tr>
                        	<td align="center" height="25px;" colspan="2" bgcolor="#D8D8D8">
                            	<span>
                                    <p class="boldText" style="font-size:16px;">PROFORMA INVOICE</p>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td width="50%" class="details">
							Proforma No&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;: 
                            </td>
                            <td class="details">
                            	 <?php echo $invoice_number;?>
                            </td>
                        </tr>
                        <tr>
                        	<td width="30%" class="details">
							Proforma Date&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;: 
                            </td>
                            <td class="details">
                            	 <?php echo date('M d, Y',strtotime($invoice_date));?>
                            </td>
                        </tr>
                        <?php if($quotation_number!="") { ?>
                        <tr>
                        	<td width="30%" class="details">
                            	Quotation No&nbsp;&nbsp;&nbsp;: 
                            </td>
                            <td class="details">
                            	 <?php echo $division_code.'-'.$quotation_number.'-'.$quotation_revisionnumber;?>
                            </td>
                        </tr>
                        <?php } ?>
                        <?php if($lpono!="") { ?>
                        <tr>
                        	<td width="30%" class="details">
                            	 LPO No&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;: 
                            </td>
                            <td class="details">
                            	 <?php echo $lpono;?>
                            </td>
                        </tr>
                        <?php } ?>
                    </table>
                	
                </td>
            </tr>
            <!--<tr>
            	<td colspan="2">
                	<span class="quotationIntro">
                        <p><?php echo $covering_letter;?></p>
                    </span>
                </td>
            </tr>-->
            <tr>
            	<td colspan="2">
               		<!--<span class="FeesTitle">
                        <h3>Pricing</h3>
                    </span>-->
                	<span class="quotationTables">
                        <table>
                            <tbody>
                                <tr>
								<th style="background:#D8D8D8; font-size:10px;" width="2%">#</th>
								<th style="background:#D8D8D8; font-size:10px;" width="55%">ITEM</th>
								<?php if($is_project!=1){?><th style="background:#D8D8D8; font-size:10px;" width="7%">QTY</th>
								<th style="background:#D8D8D8; font-size:10px; text-align:right;" width="17%">RATE<?php echo ' ('.$currency_code.')' ?>&nbsp;&nbsp;</th> <?php } ?>
								<th style="background:#D8D8D8; font-size:10px; text-align:right;" width="21%">TOTAL <?php echo ' ('.$currency_code.')' ?>&nbsp;&nbsp;</th>
							</tr>
                                <?php
                                    $grandTotal = 0;
									//var_dump($furniture_items);
                                ?>
                                <?php 
									if($invoice_items != false)
								{
									$i=0;
									$grandTotal=0;
									foreach($invoice_items as $products){ $i++;
									
													$this->db->select('*');
													$this->db->where(array('proforma_id'=>$products['proforma_id'],'group_id'=>$products['group_id']));
													$this->db->from('proforma_details');
													$this->db->order_by("sub_group_id", "ASC");
													$this->db->group_by("sub_group_name");
													$rs = $this->db->get();
													$sub_item = $rs->result_array();
									
									?>
										<?php if($products['group_name']!=""){ ?>
                                            <tr bgcolor="#A4A4A4">
												<td colspan="5" align="center" class="details">
													<b><?php echo $products['group_name']; ?></b>
												</td>
											</tr>
											<?php } ?>
											
											<?php foreach($sub_item as $sub_item){ 
											
													$this->db->select('*');
													$this->db->where(array('proforma_id'=>$products['proforma_id'],'group_id'=>$products['group_id'],'sub_group_id'=>$sub_item['sub_group_id']));
													$this->db->from('proforma_details');
													$this->db->order_by("item_order", "ASC");
													$this->db->order_by("id", "ASC");
													$gs    = $this->db->get();
													$items = $gs->result_array();
											
											?>
											<?php if($sub_item['sub_group_name']!=""){ ?>
											<tr>
												<td colspan="5" align="left" class="details">
													<b><u><?php echo $sub_item['sub_group_name'];?></u></b>
												</td>
											</tr>
											<?php } ?>
											
											<?php foreach($items as $items){ ?>
											
                                            <tr>
											<td class="details">
												<?php echo $items['sl_no'];?></td>
                                            </td>
                                            <td class="details">
												<?php echo $items['item_name'];?></td>
                                            </td>
											<?php if($is_project!=1){?> <td class="details">
												<?php echo $items['quantity'];?>
                                            </td>
                                            <td class="details" style="text-align:right"><?php if($items['uom']!=""){ echo number_format($items['unit_price'],3).'/'.$items['uom'];}else{echo number_format($items['amount'],3);}?>&nbsp;&nbsp;</td>
                                           <?php } ?>
											<td class="details" style="text-align:right">
                                            	<?php
													$total = $items['amount'];
													echo number_format($total,3);
													$grandTotal = $grandTotal + $total;
												?>
                                            &nbsp;&nbsp;</td>
                                        </tr>
										<?php if($items['description']!=""){ ?>
										<tr>
											<td colspan="4" class="details">
											<?php echo nl2br($items['description']);?>
											</td>
										</tr>
										<?php } ?>
                                           
                                <?php 	}}}
									}
								?>
                               
                            </tbody>
                        </table>
                    </span>
                    <span class="quotationTables">
                        <table>
                            <tbody>
                            <tbody>
                            <tr style="background:#A4A4A4; color:#FFFFFF; text-align:center;">
                            <td colspan="4"></td>
                            <td class="details" align="right">Project Value:&nbsp;<?php echo $currency_code." ".number_format((float)$grandTotal, 3, '.', '');?></td>
                            </tr>
                             
							<?php if($qoute_discount!=0) { ?>
                            <tr style="background:#A4A4A4; color:#FFFFFF; text-align:center;">
                            <td colspan="4"></td>
                            <td class="details" align="right">Quote Discount:&nbsp;<?php echo $currency_code." ".number_format((float)$qoute_discount, 3, '.', '');?></td>
                            </tr>
							<?php } ?>
                           
							<tr style="background:#A4A4A4; color:#FFFFFF; text-align:center;">
                            <td colspan="4"></td>
                            <td class="details" align="right">Proforma Total:&nbsp;<?php echo $currency_code." ".number_format((float)($grandTotal-$qoute_discount), 3, '.', '');?></td>
                            </tr>
							</tbody>
						</table>
						<table>
							<tbody>
							<tr style="background:#A4A4A4; color:#FFFFFF; text-align:center;">
                            <td colspan="4"></td>
                            <td class="details" align="right">Proformed Amount (<?php echo $invoice_percentage.'%'; ?>) :&nbsp;<?php echo $currency_code." ".number_format((float)$invoice_percentage_amount-$invoice_vat_amount, 3, '.', '');?></td>
                            </tr>
                            <?php if($invoice_discount!=0) { ?>
                            <tr style="background:#A4A4A4; color:#FFFFFF; text-align:center;">
                            <td colspan="4"></td>
                            <td class="details" align="right">proforma Discount:&nbsp;<?php echo $currency_code." ".number_format((float)$invoice_discount, 3, '.', '');?></td>
                            </tr>
                            <?php } ?>
                             <tr style="background:#A4A4A4; color:#FFFFFF; text-align:center;">
                            <td colspan="4"></td>
                            <td class="details" align="right">Vat(<?php echo round($proforma_vat_percentage); ?>%) :&nbsp;<?php echo $currency_code." ".number_format((float)$invoice_vat_amount, 3, '.', ''); ?></td>
                            </tr>
                            <tr style="background:#A4A4A4; color:#FFFFFF; text-align:center;">
                            <td colspan="4"></td>
                            <td style="font-size:15px;" class="details" align="right"><b>Net Total:&nbsp;<?php echo $currency_code." ".number_format((float)($invoice_percentage_amount-$invoice_discount), 3, '.', '');?></b></td>
                            </tr>
                            <tr style="background:#A4A4A4; color:#FFFFFF; text-align:center;">
                                <td class="details" colspan="5">
								<b><?php $inv_amnt = round($invoice_percentage_amount-$invoice_discount,3);
										 $intpart=(int) $inv_amnt;
										 $floatpart=(round($inv_amnt,3)*pow(10,3)-($intpart*pow(10,3)));
										 if($floatpart !=0) { 
											echo ucwords($currency_name).'&nbsp'.num_words($intpart) . '&nbsp;&amp;&nbsp;Fils &nbsp;' . $floatpart. "/ 1000 Only";
										 } else {
											echo ucwords($currency_name).'&nbsp'.num_words($intpart)." Only";
									}?>
								</b>
								</td>
                            </tr>
                            </tbody>
						</table>
				     </span>
                </td>
            </tr>
           
            <tr>
            	<td colspan="2">
                	<span class="quotationIntro footer_content">
                    	<!--<h3 class="details">To Get Started</h3>-->
                        <table width="100%">
                            <tr>
                                <td class="details">
                                    <p>For <?php if(isset($company_details->company_name)){ echo $company_details->company_name;} ?></p>
                                    <br/>
                                    <!--<p><?php echo $client_name;?></p>-->
                                    <p>Authorised signatory:</p>
                                </td>
                                <td align="right" class="details">
                                	<p></p>
                                    <br/><br/>
                                    <p>Date</p>
                                </td>
                            </tr>
                        </table>
                    </span>
                    
                </td>
            </tr>
        </table>
    </div>
</body>
</html>