<?php 
	$this->load->helper('num_words');
?>

<html>
<head>
  <meta content="text/html; charset=UTF-8" http-equiv="content-type">
  <link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>
  <title>Print Delivery Note</title>
  <style type="text/css">
  
  	
  	.outer_wrapper{
		width:700px;
		margin:0 auto;
		min-height:600px;
		/*border:solid 1px blue;*/
	}
	
	.mainTable{
		width:100%;	
	}
	
  	.quotationTitle{
		/*height:150px;*/
		width:100%;
		background-color:#7f7f7f;
		float:left;
	}
	
	.quotationTitle h2{
		/*background-color:#7f7f7f;*/
    	margin: 0;
    	text-align: center;	
		font-family: 'Open Sans', sans-serif;
		color:#fff;
		line-height:42px;
		/*text-transform:uppercase;*/
		float:left;
		width:100%;
	}
	
	.leftSpan{
		width:60%;
		vertical-align: top;
	}
	
	.rightSpan{
		width:40%;
		vertical-align: top;
	}
	
	.halfSpan > span {
		float: left;
		width: 100%;
	}
	
	.halfSpan > span label{
		width:50%;
		color:#7f7f7f;
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		float:left;
	}
	
	.halfSpan h3{
		color: #000000;
    	font-family: 'Open Sans', sans-serif;
    	font-weight: bold;
    	margin: 0;
		padding:0px;
	}
	
	.halfSpan h4{
		color: #000000;
    	font-family: 'Open Sans', sans-serif;
    	font-weight: normal;
   		margin-bottom: 0;
    	margin-top: 3px;
		padding:0px;
	}
	
	.halfspan p{
		color: #000000;
    	font-family: 'Open Sans', sans-serif;
    	font-weight: normal;
   		margin-bottom: 0;
    	margin-top: 3px;
		padding:0px;	
	}
	
	.halfspan p.boldText{
		font-weight:bold;
		font-size:11px;	
	}
	.details{
		font-size:11px;	
		font-family: 'Open Sans', sans-serif;
	}
	
	.quotationIntro{
		margin-top:20px;
		float:left;
		width:100%;
		font-family: 'Open Sans', sans-serif;
		color:#000000;
		font-size:11px;
		
	}
	
	.quotationIntro h3{
		text-transform:uppercase;	
	}
	
	.quotationIntro b{
		font-weight:bold;	
	}
	
	.FeesTitle h3{
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		color:#000;
		margin:5px;
	}
	
	.quotationTables{
		margin-top:10px;
		float:left;
		width:100%;
	}
	
	.quotationTables b{
		font-weight:bold;	
	}
	
	.quotationTables table{
		width:100%;	
		border:solid 1px #d4d4d4;
		/*background-color:#f4f4f4;*/
		border-spacing:0px;
	}
	
	.quotationTables table thead th{
		background-color:#7a7a7a;
		color:#fff;
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		text-align:left;	
		padding:5px;
	}
	
	.quotationTables table tbody th{
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		text-align:left;	
		padding:5px;
		color:#000;
		font-size:14px;
	}
	
	.quotationTables table th, .quotationTables table td{
		border-bottom: 1px solid #aaaaaa !important;
    	border-right: 1px solid #aaaaaa !important;
		padding:4px;
	}
	
	.quotationTables table td .swDesc{
		opacity: 0.35;
	}
	.quotationTables table td .swDesc1{
	font-size:11px;
	font-family: 'Open Sans', sans-serif;
	}
	

	.footer_content p{
		margin:5px 0px;	
	}
	
	.footer_content h3{
		text-transform:none;
		font-weight:bold;
	}
	
	.quotationTables td:last-child {
		border-right: medium none !important;
	}
	
	.quotationTables td.swdescription:last-child {
		border-right: 1px solid #aaaaaa !important;
		font-size:10px;
	}
	
	.quotationTables tr:last-child td {
		border-bottom: medium none !important;
	}
	a.no_print1 {
	color: #0088cc;
	text-decoration: none;
	font-size:14px;
	margin-left:14px;
}
a.no_print1:hover {
	text-decoration: underline;
}
	
	.quotationTables th:last-child {
		border-right: medium none !important;
	}
	
	.quotationTables .swGroup{
		background-color: #A4A4A4;
		color: #fff;
		font-family: 'Open Sans', sans-serif;
		font-weight: bold;
		padding: 5px;
		text-align: center;
		font-size:10px;
		color:#000000;
	}
	
	.log_left {
		float: right;
	}
	
	
	@media print {
		.rightSpan h3{
			margin:0px;
		}
		
		.rightSpan h4{
			margin:0px;
		}
		.no_print {
			display:none;
	}
	.no_print1 {
			display:none;
	}
		
	}
  </style>
</head>
<body>
<span class='icon-print no_print'></span><a class='no_print1' href='javascript:window.print();'>Print Delivery Note</a><br/>
	<div align="center" class="outer_wrapper">
    
    	<table class="mainTable">
		<tr>
		<td>
		<?php if(isset($nbrcdrs)){ 
		$divisionid=$nbrcdrs[0]['divisionid'];
		$rs = $this->db->query("SELECT * FROM `company_division` WHERE `division_id`='$divisionid';");
		if($rs->num_rows()>0){ if($rs->row()->logo_filename!=''){ ?>
		<img src="<?php echo base_url()."images/company_logo/".$rs->row()->logo_filename; ?>" alt="" style="height:80px;width:260px"  class="logo"/>  
	<?php	} }	
		} ?>
        	
            
		
		</td>
            
            <td align="right" style="vertical-align:bottom;" class="details">
             <?php if(isset($company_details->company_name)){ echo $company_details->company_name;} ?>  <?php if(isset($company_details->cr_number)){ if($company_details->cr_number!=""){ echo ' | '.$company_details->cr_number;}} ?><br>
             <?php if(isset($company_details->company_address)){ echo $company_details->company_address;} ?>  <?php if(isset($company_details->email_id)){ if($company_details->email_id!=""){ echo ' | '.$company_details->email_id;}} ?><br>
             <?php if(isset($company_details->telephone_no)){ echo $company_details->telephone_no;} ?>  <?php if(isset($company_details->fax_no)){ if($company_details->fax_no!=""){ echo ' | '.$company_details->fax_no;} } ?>
            </td>
            
        	</tr>
            <tr>
            	<td class="leftSpan halfspan">
                	<table width="100%">
                    <tr>
                        	<td>
                            	<span>
                                    <p class="boldText">Submitted to:</p>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td class="details">
							
								<?php echo $nbrcdrs[0]['client_name'];?>
                            
                            </td>
                        </tr>
                       <?php if($nbrcdrs[0]['tax_name']){?>
                         <tr>
                        	<td class="details">
							
								Vat Name:<?php echo $nbrcdrs[0]['tax_name'];?>
                            
                            </td>
                        </tr>
                        <?php } ?>
                        <?php if($nbrcdrs[0]['tax_no']){?>
                         <tr>
                        	<td class="details">
							
								Vat No :<?php echo $nbrcdrs[0]['tax_no'];?>
                            
                            </td>
                        </tr>
                        <?php } ?>
                        <tr>
                        	<td class="details">
							
								<?php echo $nbrcdrs[0]['client_address'];?>
                                
                            </td>
                        </tr>
                        <tr>
                        	<td class="details">
							
								Tel : <?php echo $nbrcdrs[0]['client_telephone1']; if($nbrcdrs[0]['client_telephone2']!=""){ echo " , ".$nbrcdrs[0]['client_telephone2'];}if($nbrcdrs[0]['client_fax']!=""){ echo " | Fax :".$nbrcdrs[0]['client_fax'];}?>
                                
                            </td>
                        </tr>
                        <?php if($nbrcdrs[0]['client_email']!=""){ ?>
                        <tr>
                        	<td class="details">
							
								Email : <?php echo $nbrcdrs[0]['client_email'];?>
                                
                            </td>
                        </tr>
                        <?php } ?>
                        <tr>
                        	<td class="details">
							
								Attn : <?php echo $nbrcdrs[0]['project_remarks'];?>
                                
                            </td>
                        </tr>
                    	
                    </table>
                </td>
                <td class="rightSpan halfspan">
                    <table width="100%">
                    	<tr>
                        	<td align="center" height="28px;" colspan="2" bgcolor="#D8D8D8">
                            	<span>
                                    <p class="boldText" style="font-size:16px;"><?php if($print_status == "delivery") { echo "Delivery Note";}?></p>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td width="50%" class="details">
                            	<?php if($print_status == "delivery") { echo "Delivery Note No:";}?> 
                            </td>
                            <td class="details">
                            	 <?php echo $nbrcdrs[0]['delivery_note_number'];?>
                            </td>
                        </tr>
                        <tr>
                        	<td width="30%" class="details">
                            	 Date: 
                            </td>
                            <td class="details">
                            	 <?php echo date('M d, Y',strtotime($nbrcdrs[0]['delivery_noted_date']));?>
                            </td>
                        </tr>
                    </table>
                	
                </td>
            </tr>
            
            <tr>
            	<td colspan="2">
                	<span class="quotationTables">
                        <table>
                            <tbody>
                                
                                <?php
                                    $grandTotal = 0;
                                ?>
                                <?php 
									if($furniture_itemlist != false)
									{
										echo '<tr>';
										echo '<th style="background:#D8D8D8; font-size:10px;" width="45%">Name/Description</th>
											  <th style="background:#D8D8D8; font-size:10px;" width="7%">Qty</th>';
									 	echo '</tr>';
										$furniture_area = "";
										$i=0;
										$subGroupTotal = 0;
										foreach($furniture_itemlist as $products){
										
												$ex_furniture_area = $products["ex_furniture_area"];
												$furniture_area    = $products["furniture_area"];
												$delvery_note_id   = $products["delvery_note_id"];
												
												$this->db->select('*');
												$this->db->where(array('delvery_note_id'=>$delvery_note_id,'ex_furniture_area'=>$ex_furniture_area));
												$this->db->from('delivery_note_details');
												$this->db->order_by("sub_group_id", "ASC");
												$this->db->group_by("sub_group_id");
												$rs = $this->db->get();
												$holi_per_mnth   = $rs->result_array();
										
											$i++;
                                        	$GroupTotal	=	0;
											?>
											
                                             <?php foreach($holi_per_mnth as $holi_per_mnth){ ?>
												
												<?php
									   				$this->db->select('*');
													$this->db->where(array('delvery_note_id'=>$delvery_note_id,'ex_furniture_area'=>$ex_furniture_area,'sub_group_id'=>$holi_per_mnth['sub_group_id']));
													$this->db->from('delivery_note_details');
													$this->db->join('items','items.id = delivery_note_details.item_id','left');
													$this->db->join('item_specifications','item_specifications.item_id = items.id','left');
													$this->db->order_by("item_order", "ASC");
													$sub_val 	   = $this->db->get();
													$sub_records   = $sub_val->result_array();
												?>
											  <?php  foreach($sub_records as $sub_records){ ?>	
                                            <tr>
                                           
                                                <td class="details" ><?php echo $sub_records['furniture_model'];?></td>
                                                <td class="details" ><?php echo $sub_records['delivery_quantity'];?></td>
											  
                                            </tr>                                         
                                <?php 	} 
										}
										
									}
								}
									
								?>
                            </tbody>
                        </table>
                    </span>
                </td>
            </tr>
            
        </table>
    </div>
</body>
</html>