<?php 
	$this->load->helper('num_words');
?>
<html>
<head>
  <meta content="text/html; charset=UTF-8" http-equiv="content-type">
  <link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>
  <style type="text/css">
  
  	
  	.outer_wrapper{
		width:700px;
		margin:0 auto;
		min-height:600px;
		/*border:solid 1px blue;*/
	}
	
	.mainTable{
		width:100%;	
	}
	
  	.quotationTitle{
		/*height:150px;*/
		width:100%;
		background-color:#7f7f7f;
		float:left;
	}
	
	.quotationTitle h2{
		/*background-color:#7f7f7f;*/
    	margin: 0;
    	text-align: center;	
		font-family: 'Open Sans', sans-serif;
		color:#fff;
		line-height:42px;
		/*text-transform:uppercase;*/
		float:left;
		width:100%;
	}
	
	.leftSpan{
		width:60%;
		vertical-align: top;
	}
	
	.rightSpan{
		width:40%;
		vertical-align: top;
	}
	
	.halfSpan > span {
		float: left;
		width: 100%;
	}
	
	.halfSpan > span label{
		width:50%;
		color:#7f7f7f;
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		float:left;
	}
	
	.halfSpan h3{
		color: #000000;
    	font-family: 'Open Sans', sans-serif;
    	font-weight: bold;
    	margin: 0;
		padding:0px;
	}
	
	.halfSpan h4{
		color: #000000;
    	font-family: 'Open Sans', sans-serif;
    	font-weight: normal;
   		margin-bottom: 0;
    	margin-top: 3px;
		padding:0px;
	}
	
	.halfspan p{
		color: #000000;
    	font-family: 'Open Sans', sans-serif;
    	font-weight: normal;
   		margin-bottom: 0;
    	margin-top: 3px;
		padding:0px;	
	}
	
	.halfspan p.boldText{
		font-weight:bold;
		font-size:11px;	
	}
	.details{
		font-size:11px;	
		font-family: 'Open Sans', sans-serif;
	}
	
	.quotationIntro{
		margin-top:20px;
		float:left;
		width:100%;
		font-family: 'Open Sans', sans-serif;
		color:#000000;
		font-size:11px;
		
	}
	
	.quotationIntro h3{
		text-transform:uppercase;	
	}
	
	.quotationIntro b{
		font-weight:bold;	
	}
	
	.FeesTitle h3{
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		color:#000;
		margin:5px;
	}
	
	.quotationTables{
		margin-top:10px;
		float:left;
		width:100%;
	}
	
	.quotationTables b{
		font-weight:bold;	
	}
	
	.quotationTables table{
		width:100%;	
		border:solid 1px #d4d4d4;
		/*background-color:#f4f4f4;*/
		border-spacing:0px;
	}
	
	.quotationTables table thead th{
		background-color:#7a7a7a;
		color:#fff;
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		text-align:left;	
		padding:5px;
	}
	
	.quotationTables table tbody th{
		font-family: 'Open Sans', sans-serif;
		font-weight:bold;
		text-align:left;	
		padding:5px;
		color:#000;
		font-size:14px;
	}
	
	.quotationTables table th, .quotationTables table td{
		border-bottom: 1px solid #aaaaaa !important;
    	border-right: 1px solid #aaaaaa !important;
		padding:4px;
	}
	
	.quotationTables table td .swDesc{
		opacity: 0.35;
	}
	.quotationTables table td .swDesc1{
	font-size:11px;
	font-family: 'Open Sans', sans-serif;
	}
	

	.footer_content p{
		margin:5px 0px;	
	}
	
	.footer_content h3{
		text-transform:none;
		font-weight:bold;
	}
	
	.quotationTables td:last-child {
		border-right: medium none !important;
	}
	
	.quotationTables td.swdescription:last-child {
		border-right: 1px solid #aaaaaa !important;
		font-size:10px;
	}
	
	.quotationTables tr:last-child td {
		border-bottom: medium none !important;
	}
	a.no_print1 {
	color: #0088cc;
	text-decoration: none;
	font-size:14px;
	margin-left:14px;
}
a.no_print1:hover {
	text-decoration: underline;
}
	
	.quotationTables th:last-child {
		border-right: medium none !important;
	}
	
	.quotationTables .swGroup{
		background-color: #A4A4A4;
		color: #fff;
		font-family: 'Open Sans', sans-serif;
		font-weight: bold;
		padding: 5px;
		text-align: center;
		font-size:10px;
		color:#000000;
	}
	
	.log_left {
		float: right;
	}
	
	
	@media print {
		.rightSpan h3{
			margin:0px;
		}
		
		.rightSpan h4{
			margin:0px;
		}
		.no_print {
			display:none;
	}
	.no_print1 {
			display:none;
	}
		
	}
	.th1{
		background:#D8D8D8; font-size:10px;width:200px;
	}
	.nbclass {
  border: 0.5px solid #cdd0ce;
}
.nbclass th {
	padding:10px;
  border: 0.5px solid #cdd0ce;
}
.nbclass td {
	padding:5px;
  border: 0.5px solid #000;
}
  </style>
</head>
<body>
	<div align="center" class="outer_wrapper">
    	<table class="mainTable">
            <tr>
            	<td class="leftSpan halfspan">
                	<table width="100%">
                    	<tr>	
							<td>
                            	<span>
                                    <p class="boldText">Submitted to:</p>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td class="details">
								<?php echo $nbdata['client_name'];?>
                            </td>
                        </tr>
                    </table>
                </td>
                <td class="rightSpan halfspan">
                    <table width="100%">
                    	<tr>
                        	<td align="center" height="28px;" colspan="2" bgcolor="#D8D8D8">
                            	<span>
                                    <p class="boldText" style="font-size:16px;">JOB CARD</p>
                                </span>
                            </td>
                        </tr>
                        <tr>
                        	<td width="50%" class="details">
                            	Job Card No
                            </td>
                            <td class="details">
							<?php echo $nbdata['job_card_number'];?>
                            </td>
                        </tr>
                        <tr>
                        	<td width="30%" class="details">
                            	 Date: 
                            </td>
                            <td class="details">
                            	 <?php echo date('M d, Y',strtotime($nbdata['job_card_date']));?>
                            </td>
                        </tr>
						<tr>
                        	<td width="30%" class="details">
                            	 Qtn No: 
                            </td>
                            <td class="details">
							<?php echo $nbdata['quotation_number'];?>
                            </td>
                        </tr>
                    </table>
                	
                </td>
            </tr>
</table>
	<table class="mainTable">
            <tr>
            	<td>
                	<span class="quotationTables">
                        <table class="nbclass" width="100%" style="border:0.5px solid #000;"  cellspacing="0">
                            <tbody>
                                <?php
                                    $grandTotal = 0;
									if($jobrecords != false)
									{
										echo'<tr>
											<th class="th1" style="background:#D8D8D8; font-size:10px;width:250px;" >Name/Description</th>
											<th style="background:#D8D8D8; font-size:10px;width:250px;" >Qty</th>';
								echo '</tr>';
										$furniture_area = "";
										$i=0;
										$subGroupTotal = 0;
										$i =1;
												foreach($jobrecords as $record){
													$ex_furniture_area 	= $record["ex_furniture_area"];
													$furniture_area 	= $record["furniture_area"];
													$job_card_id   	= $record["job_card_id"];
													$job_card_details_id   	= $record["job_card_details_id"];
													
													$this->db->select('*');
													$this->db->where(array('job_card_details_id'=>$job_card_details_id,'ex_furniture_area'=>$ex_furniture_area));
													$this->db->from('job_card_details');
													$this->db->order_by("sub_group_id", "ASC");
													$this->db->group_by("sub_group_id");
													
													$rs = $this->db->get();
													$holi_per_mnth   = $rs->result_array();
											$i++;
                                        	$GroupTotal	=	0;
											?>
											<?php if($furniture_area){ ?>
											<tr>
												<td colspan="2" class="swGroup"><b><?php echo $furniture_area; ?></b></td>
											</tr>
											<?php } ?>
                                             <?php foreach($holi_per_mnth as $holi_per_mnth){ ?>
												<?php if($holi_per_mnth['sub_group']){ ?>
											  <tr>
													<td colspan="2" class="details"><b><u><?php echo $holi_per_mnth['sub_group']; ?></u></b></td>
												</tr>
											<?php } ?>	
												<?php
									   				$this->db->select('*');
													   $this->db->where(array('job_card_details.job_card_details_id'=>$job_card_details_id,'job_card_details.ex_furniture_area'=>$ex_furniture_area,'job_card_details.sub_group_id'=>$holi_per_mnth['sub_group_id']));
													   $this->db->from('job_card_details');
													   //$this->db->join('delivery_note_details','delivery_note_details.job_card_details_id = job_card_details.job_card_details_id','left');
													   $this->db->order_by("job_card_details.item_order", "ASC");
													   $this->db->order_by("job_card_details.job_card_details_id", "ASC");
													   //echo $this->db->last_query();
													   $sub_val 	   = $this->db->get();
													   $sub_records   = $sub_val->result_array();
   
												?>
											  <?php  foreach($sub_records as $sub_records){ ?>	
                                            <tr>
											<td class="details" ><?php echo $sub_records['furniture_model']; ?></td>
											<td class="details"><?php echo $sub_records['furniture_quantity'];?> </td>
                                               
                                                
                                            </tr>
											
                                            <tr>
                                           
                                            
                                <?php 	}   ?>
								<?php if($sub_records['furniture_description']!="" || $sub_records['furniture_comments']!="") {  ?>
                                        <tr>
											<?php if($sub_records['furniture_description']!="") {  ?>
                                        	<td bgcolor="#FFFFFF" style="height:50px;vertical-align: top;text-align: left;width:100px;" >
                                             	<?php echo $sub_records['furniture_description']; ?>
                                            </td>
											<?php } else {  ?>
												<td bgcolor="#FFFFFF" style="height:50px;vertical-align: top;text-align: left;width:100px;" >
                                             	&nbsp;
                                            </td>
											<?php } ?>
											<?php if($sub_records['furniture_comments']!="") {  ?>
											<td bgcolor="#FFFFFF" style="height:50px;vertical-align: top;text-align: left;width:100px;">
											<?php echo $sub_records['furniture_comments']; ?>
                                            </td>
											<?php }  else {?>
												<td bgcolor="#FFFFFF" style="height:50px;vertical-align: top;text-align: left;width:100px;" >
                                             	&nbsp;
                                            </td>
											<?php } ?>
                                        </tr>
                                        <?php } if($holi_per_mnth['sub_group'] != "") {
												$subGroupTotal = 0;
											}
										   
										}
									}
								}
									
								?>
                            </tbody>
                        </table>
                    </span>
                </td>
            </tr>
        </table>
    </div>
</body>
</html>