

	<?php
		$credit_note_type = array(
			'Return'=>'Return',
			'Discount'=>'Discount',
			'Adjustment'=>'Adjustment'
		);
		$taxable_type = array(
			'10'=>'10%',
			'0'=>'0%',
			'Non Vat'=>'Non Vat'
		);
	?>
	<style type="text/css" >
		.client_result {
			border: 1px solid #d2d6de;
			position: absolute;
			width: 509px;
			height: auto;
			background-color: #fff;
			z-index: 100;
			margin-top: 0px;
			border-radius: 3px;
			display: none;
		}
		.clientList {
			margin:0px;
		}
		.clientList li {
			color: #000000;
			padding: 0;
			padding-left: 8px;
			height: 30px;
			padding-top: 4px;
			cursor:pointer;
			font-weight:600;
			list-style-type: none;
		}
		.clientList li:hover {
			background:#CCCCCC;
		}
		.nbactive{
            background-color:#D6D6D6;
        }
        .nbactive2{
            background-color:#D6D6D6;
        }
        .nbactive3{
            background-color:#D6D6D6;
        }

		.higlt_r {
			border-color: red !Important;
			color: #fff  !Important;
		}
		.higlt_r:read-only {
			background-color: red  !Important;
		}
		.higlt_g {
			border-color: green !Important;
			color: #fff  !Important;
		}
		.higlt_g:read-only {
			background-color: green  !Important;
		}
		.higlt_w {
			border-color: indigo !Important;
			color: #fff  !Important;
		}
		.higlt_w:read-only {
			background-color: indigo  !Important;
		}
		.errorDiv {
			display: none;
		}
		.btable td {
			border:none;
			padding:0.3em;
		}
		.table td {
			padding:0.3em;
		}
		#payment_details{
			display:none;
		}
		.thead-secondary th {
			background:#737B80 !important;
			color:#FFFFFF !important;
		}
		.ledger_result {
			border: 1px solid #d2d6de;
			position: absolute;
			width: 509px;
			height: auto;
			background-color: #fff;
			z-index: 100;
			margin-top: 0px;
			border-radius: 3px;
			display: none;
		}
		.ledgerList {
			margin:0px;
		}
		.ledgerList li {
			color: #000000;
			padding: 0;
			padding-left: 8px;
			height: 30px;
			padding-top: 4px;
			cursor:pointer;
			font-weight:600;
			list-style-type: none;
		}
		.ledgerList li:hover {
			background:#CCCCCC;
		}
	</style>
	<!--app-content open-->
	<div class="app-content main-content">
		<div class="side-app">
			<div class="main-container">
				<!-- PAGE-HEADER -->
				<div class="page-header">
					<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
						<h1 class="page-title">New Debit Note</h1>
					</div>
					<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
						<div class="float-sm-end float-none my-1">
						<a id="add__new__list" type="button" class="btn btn-md btn-primary " data-bs-target=".bd-example-modal-lg" href="<?php echo site_url('Debit_note/list_debit_note');?>"><i class="fa fa-list"></i> List</a>
					</div>
               	</div>
			</div>
		</div>
		<!-- PAGE-HEADER END -->
		<script type="text/javascript">
$(document).ready( function(){

	

	$('html').on("keyup", ".paying_amount", function() {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		$(".errorDiv").hide();
		$(".invErrorDiv").hide();
		
		if($('#i_total').val()==='') {
			$(this).val('');
			window.scrollTo(0, 0);
			$(".errorDiv").text("Please Enter Total amount");
			$(".errorDiv").show();
			return false;
		}
		var total_paying_amount=$('#i_total').val();
		var current_invoice_amount	=	Number($(this).closest("tr").find(".new_current_bal_amount_invoice").val());
		var receipt_discount	=	Number($(this).closest("tr").find(".receipt_discount").val());
		var current_paying_amount	=	Number($(this).val());
		var sum=0;
		$(".current_invoice_amount").each(function(){
			//sum=Number(sum)+(Number($(this).closest("tr").find(".paying_amount").val())+Number($(this).closest("tr").find(".receipt_discount").val()));
			sum=Number(sum)+(Number($(this).closest("tr").find(".paying_amount").val()));
		});

		var advance_amount=0;
		$(".adv_paying_amount").each(function(){
			advance_amount=Number(advance_amount)+Math.abs((Number($(this).val())));
		});
		//alert(sum+'>'+total_paying_amount);
		if((sum-advance_amount)>total_paying_amount){
			$(this).closest("tr").find(".paying_amount").val('');
			$(this).closest("tr").find(".receipt_discount").val('');
			window.scrollTo(0, 0);
			$(".errorDiv").text("Please check amount");
			$("#check_advance_payment").val(0);
			$("#advance_payment").val('');
			$(".errorDiv").show();
			return false;
		} else {
			if(current_invoice_amount<(current_paying_amount)){
				
				$(this).closest("tr").find(".paying_amount").val('');
				$(this).closest("tr").find(".receipt_discount").val('');
				$(this).closest("tr").find(".current_invoice_amount").val(current_invoice_amount);
				$(".invErrorDiv").text("Paying amount not exceed balance amount");
				$(".invErrorDiv").show();
				return false;
			} else {
				if($("#check_advance_payment").val()!='1'){
					if(confirm('Total Debit Amount Exceeded the total bills. Do you want create Un allocate Debit Amount ?')){
						//alert(x-sum);
						$("#check_advance_payment").val(1);
						$(this).closest("tr").find(".current_invoice_amount").val(current_invoice_amount-(current_paying_amount-receipt_discount));
						$("#advance_payment").val(total_paying_amount-(sum-advance_amount));
					} else {
						$("#check_advance_payment").val(0);
						$(this).closest("tr").find(".current_invoice_amount").val(current_invoice_amount-(current_paying_amount-receipt_discount));
					}
				} else {
					$("#check_advance_payment").val(1);
					$("#advance_payment").val(total_paying_amount-(sum-advance_amount));
					$(this).closest("tr").find(".current_invoice_amount").val(current_invoice_amount-(current_paying_amount-receipt_discount));
				}
			} 
		}
	});
    $('html').on("keyup", ".current_amount_invoicenbx", function() {
		var new_current_bal_amount_invoice	=	$(this).closest("tr").find(".new_current_bal_amount_invoice").val();
		var receipt_discount	=	$(this).closest("tr").find(".receipt_discount").val();
		var current_amount_invoice	=	$(this).val();
		if(Number(current_amount_invoice)<=new_current_bal_amount_invoice){
		$(this).closest("tr").find(".current_bal_amount_invoice").val(new_current_bal_amount_invoice-current_amount_invoice-receipt_discount);
		var sum=0;
		
		$(".current_amount_invoice").each(function(){
            sum=Number(sum)+Number($(this).val());
        });
		$('#current_amount').val(sum);
		}else{
			alert("paying amount not exceed balance amount");
			$('#current_amount').val("");
			$('.current_amount_invoice').val("");
			$(".new_current_bal_amount_invoice").each(function(){
            $(this).closest("tr").find(".current_bal_amount_invoice").val($(this).val());
        });
		}
	});
	$('html').on("keyup", "#current_amount", function() {
		var x	=	$(this).val();
		var sum=0;
		$(".new_current_bal_amount_invoice").each(function(){
            sum=Number(sum)+Number($(this).val());
        });
		$('.receipt_discount').val("");
		if(x <= sum){
			$(".new_current_bal_amount_invoice").each(function(){
				if(Number($(this).val()) >= x ){
					$(this).closest("tr").find(".current_amount_invoice").val(x);
					$(this).closest("tr").find(".current_bal_amount_invoice").val(Number($(this).closest("tr").find(".new_current_bal_amount_invoice").val())-Number(x));
					x	= 0;
				}else{
					x	=	x-Number($(this).val());
					$(this).closest("tr").find(".current_amount_invoice").val(Number($(this).val()));
					$(this).closest("tr").find(".current_bal_amount_invoice").val(Number($(this).closest("tr").find(".new_current_bal_amount_invoice").val())-Number($(this).val()));
				}
			});
		}
		else{
		alert("Entered amount not exceed total invoice amount");
		$('#current_amount').val("");
		$('.current_amount_invoice').val("");
		$(".new_current_bal_amount_invoice").each(function(){
            $(this).closest("tr").find(".current_bal_amount_invoice").val($(this).val());
        });
		}	
	});
	$('html').on("keyup", ".receipt_discount", function() {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		var new_current_bal_amount_invoice	=	$(this).closest("tr").find(".new_current_bal_amount_invoice").val();
		var current_bal_amount_invoice	=	$(this).closest("tr").find(".current_bal_amount_invoice").val();
		var paying_amount = $(this).closest("tr").find(".paying_amount").val();
		var receipt_discount	=	$(this).val();
		var balance = new_current_bal_amount_invoice-paying_amount;

		if(paying_amount==0 || paying_amount==""){
			$(this).val("");
			alert("Please enter paying amount");
			return false;
		} else if (Number(receipt_discount)>Number(balance)){
			$(this).val("");
			$(this).closest("tr").find(".current_bal_amount_invoice").val(balance);
			alert("Receipt discount not exceed balance amount");
			return false;
		} else {
			$(this).closest("tr").find(".current_bal_amount_invoice").val(new_current_bal_amount_invoice-paying_amount-receipt_discount);
		}
	});
   });
   
	$(document).ready( function(){
		var selected_client=0;
		var search_param_flag=false;
		const form = document.getElementById('furniture_client_project');
		form.addEventListener('keypress', function(e) {
			if (e.keyCode === 13) {
			e.preventDefault();
			}
		});
	

		$("#payment_details").hide();
		$('#search_name').keypress(function(event) {
			if (event.keyCode == 13) {
			event.preventDefault();
			}
			});
			
			$('#search_name').keyup(function() {
			var txt = $('#comment').val();
			$('#search_name').val(txt.replace(/[\n\r]+/g, " "));
			
		});
		$('#search_name, #search_mob').keydown(function (e){
			if(e.keyCode == 13){
				search_param_flag=true;
				$('#search_button').trigger('click');
				
			}
		})
		$('#search_button').click(function(){
	
			//Validating
			if($("#search_name").val() == "" && $("#filter_division").val() == "") {
				alert("Please enter any search parameter");
				$("#errorMsg").stop(true, true, true).slideDown(500);
				return false;
			}
	
			//activate loading
			$('.overlay').show();
			$.ajax({
				type: "POST",
				url: '<?php echo site_url("receipt/search_client_for_receipt")?>',
				data: $("#furniture_client_project").serialize(),
				success: function(data){
						$('.overlay').hide();
						if(data == '0'){
							//$("#errorMsg").html("<p>No matching results found!</p>");
							//$("#errorMsg").stop(true, true, true).slideDown(500);
							jQuery("div#error_msg").show();
							jQuery("div#result").hide();
						} else {
							//$('#search_result_wrapper').html(data);
							//client_button();
							//$.colorbox({inline:true, width:"90%", href:"#search_result_wrapper"});
							jQuery("div#result").show();
							jQuery("div#value").html(data);
							jQuery("div#error_msg").hide();
							client_button();
						}
					},
				error: function(){
						$('.overlay').hide();
						$("#errorMsg").html('Connection Error......');
						$("#errorMsg").stop(true, true, true).slideDown(500);
				}
				
					
			});

		});
		function client_button() {
			$(".client_button").click(function(){
					$(".search_client_fields").hide();
					$("#payment_details").show();
					$('#search_result_wrapper').html('');
					selected_client=($(this).attr('value'));
					selected_ref=($(this).attr('ref'));
					var formData = {client:selected_client,ref_division:selected_ref};
					$.ajax({
						type: "POST",
						url: '<?php echo site_url("receipt/get_outstanding_invoices/")?>',
						data: formData,
						success: function(htmldata){
								$('#search_result_receipts').html(htmldata);
								var client_name = $('#qms_client_name').html();
								$('#qms_client_name').hide();
								$('#qms_client_name_replace').html(client_name);
								jQuery.colorbox.close();
								
								$('.new_receipt_tick').click(function(){
									if(this.checked){
										$(this).closest('tr').find('.current_amount_invoice').val($(this).closest('tr').find('.new_current_bal_amount_invoice').val());
										$(this).closest('tr').find('.current_bal_amount_invoice').val("0.000");
										$(this).closest('tr').find('.receipt_discount').val("");
										//sum = sum + parseInt($(this).closest('tr').find('.current_amount_invoice').val());
										sum=0;
										$(".current_amount_invoice").each(function(){
											sum = sum + Number($(this).val());
										});
										$('#current_amount').val(sum);
									}else{
										$(this).closest('tr').find('.current_bal_amount_invoice').val($(this).closest('tr').find('.new_current_bal_amount_invoice').val());
										$(this).closest('tr').find('.current_amount_invoice').val("");
										//sum = $('#current_amount').val() - parseInt($(this).closest('tr').find('.new_current_bal_amount_invoice').val());
										sum=0;
										$(".current_amount_invoice").each(function(){
											sum = sum + Number($(this).val());
										});
										$('#current_amount').val(sum);
									}
								});
							},
						error: function(){
								$('.overlay').hide();
								$("#errorMsg").html('Connection Error......');
								$("#errorMsg").stop(true, true, true).slideDown(500);
						}
						
							
					});
					jQuery("div#result").hide();
					
			});
		}	
		
		function set_client_values() {
			var key=selected_client;
			$("#client_name").val(client_list[key][1]);
			$("#client_address").val(client_list[key][2]);
			$("#client_country").val(client_list[key][3]);
			$("#client_phone_number1").val(client_list[key][4]);
			$("#client_phone_number2").val(client_list[key][5]);
			$("#client_fax_number").val(client_list[key][6]);
			$("#client_email_id").val(client_list[key][7]);
		}
	
		function reset_client_values() {
			$("#client_name").val("");
			$("#client_address").val("");
			$("#client_country").val("");
			$("#client_phone_number1").val("");
			$("#client_phone_number2").val("");
			$("#client_fax_number").val("");
			$("#client_email_id").val("");
		}
		
		$('#payment_modes').change( function(){ 
			if( ($('#payment_modes').val())!= 'Cash' ){ 
				if(($('#payment_modes').val())== 'Credit Card' ) {
					$(".paymnt_bank_name label").html("Card Type: ");
					$(".paymnt_ref_no").slideUp(300);
					$('.paymnt_bank_name').slideDown(300);
				} else {
					$(".paymnt_bank_name label").html("Bank Name: ");
					$('.paymnt_md').slideDown(500);
				}
				
			} else {
				$('.paymnt_md').slideUp(300);
			}
		});
		
		$('#show_confirmed_quotations').click(function(){
			ALERT ("Checked");
                        if(this.checked){

                                var client_id = $('#clientIdHidden').val();
				var formData = {client_id:client_id};
				$.ajax({
					type: "POST",
					url: '<?php echo site_url("receipt/get_confirmed_quotations/")?>',
					data: formData,
					success: function(htmldata){
							$('#confirmed_quotations').html(htmldata);
							$('.new_receipt_tick_quote').click(function(){
								if(this.checked){
									$(this).parents('tr').find('.current_amount_confirmed_quote').removeAttr('readonly');
								}else{
									$(this).parents('tr').find('.current_amount_confirmed_quote').attr('readonly','readonly');
								}
							});
						},
					error: function(){
							$('.overlay').hide();
							$("#errorMsg").html('Connection Error......');
							$("#errorMsg").stop(true, true, true).slideDown(500);
					}
					
						
				});
			}else{
				ALERT ("UN-Checked");
                                $('#confirmed_quotations').hide();
			}
		});

		$('form#furniture_client_project').submit(function(){
			if($('.ledger_code').val()===''){
				alert("Please Select Ledger");
				return false;
			}
			if($('#credit_note_date').val()===''){
				alert("Date is required");
				return false;
			}
			if($('#wallet_ledger_code').val()===''){
				alert("Wallet voucher didn't map to the ledger");
				return false;
			}
			if($('#cheque_ledger_code').val()===''){
				alert("Cheque voucher didn't map to the ledger");
				return false;
			}

			if($('#c_card').val()!=''){
				if($('.xx_c_type').val()===''){
					alert("Please select a card type");
					return false;
				}
			}

			if($('#wallet_amnt').val()!=''){
				if($('.wallet_type').val()===''){
					alert("Please select a Wallet type");
					return false;
				}
			}

			if($('#cheque_amt').val()!=''){
				if($('#cheque_no').val()===''){
					alert("Please enter cheque number");
					return false;
				}
				if($('#cheque_bank').val()===''){
					alert("Please enter a Bank");
					return false;
				}
			}
			var no_of_invoices = $('#no_of_invoices').val();
			var no_of_confirmed_quotations = $('#no_of_confirmed_quotations').val();
			var total_allowed_amount = $('#i_total').val();
			var total_amount = 0;
			for(i = 1; i <= no_of_invoices; i++) {
				var amount_id = "#current_amount_invoice_"+i;
				var discount_id = "#receipt_discount_"+i;
				var tick_id_invoice = "#new_receipt_tick_"+i;
				if($(discount_id).val()!=''){
					//var total_amount = total_amount + (parseFloat($(amount_id).val())+parseFloat($(discount_id).val()));
					var total_amount = total_amount + (parseFloat($(amount_id).val()));
				} else {
					var total_amount = total_amount + (parseFloat($(amount_id).val()));
				}
				
				if($(tick_id_invoice).is(':checked')){
					//total_amount = total_amount + parseFloat($(amount_id).val());
				}
			}

			var no_of_adv_receipts = $('#no_of_adv_receipts').val();

			var total_adv_receipts = 0;
			for(z = 1; z <= no_of_adv_receipts; z++) {
				var amount_id = "#adv_current_amount_invoice_"+z;
				var total_adv_receipts = total_adv_receipts + (parseFloat($(amount_id).val()));
			}
			//alert(total_adv_receipts);
			//for(i = 1; i <= no_of_confirmed_quotations; i++) {
//				alert(i);
//				var amount_id_quote = "#current_amount_confirmed_quote_"+i;
//				var tick_id_quote = "#new_receipt_tick_quote_"+i;
//				if($(tick_id_quote).is(':checked')){
//					total_amount = total_amount + parseFloat($(amount_id_quote).val());
//				}
//			}
			//alert(total_amount);
			if(total_allowed_amount=="" || total_allowed_amount=="0"){
				alert("please enter amount");
				return false;
			}
			if(total_adv_receipts>0){
				total_amount=total_amount-total_adv_receipts;
			}
			if(Number($('#advance_payment').val())>0){
				total_amount=total_amount+Number($('#advance_payment').val());
			}
			if(total_amount!=total_allowed_amount){
				alert("please Check amount");
				return false;
			}

			
			if(Number($('#advance_payment').val())>0){
				if(confirm("You are Creating Receipt with "+Number($('#advance_payment').val())+" Advance. Do you want to Proceed? ")){
				} else {
					return false;
				}
			}

			//else if(total_allowed_amount<total_amount){
//				alert("Total Amount is Entered is Greater than allowed");
//				return false;
//			}else if(total_allowed_amount>total_amount){
//				alert("Total Amount is Entered is Less than allowed");
//				return false;
//		}
			//return false;
		});
		
	});
</script>
		<!-- ROW-1 -->
		<form id="furniture_client_project" name="client_project" class="form-horizontal" method="post" action="<?php echo site_url("Debit_note/save_debit_note/")?>">
			<div class="row">
				<div class="col-md-12">
					<div class="card">
						<?php
							if($this->session->flashdata("response")!='') {
								echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
								$this->session->unset_userdata('response');
							}
						?>
						<?php
							if($this->session->flashdata("success")!='') {
								echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
								$this->session->unset_userdata('success');
							}
						?>
							<div class="card-header">
								<h3 class="mb-0 card-title">New Debit Note</h3>
							</div>
							<div class="card-body">
								<div class="row search_client_fields">
									<div class="col-md-3">
										<div class="mb-4">
											<label class="form-label">Division</label>
											<?php
												$list = $this->crud_model->get_list('division_id','division_name','company_division',array());
												$attr = "class='form-control filter_division' ";
												if(isset($list)) echo form_dropdown('filter_division',$list, set_value("filter_division"),$attr);
											?>
										</div>
									</div>	
									<div class="col-md-3">
										<div class="mb-4">
											<label class="form-label">Name</label>
											<input type="text" class="form-control" name="search_name" id="search_name" value="<?php echo set_value('search_name') ;?>" autocomplete="off" >
											<div class="client_result">
												<ul class="clientList unstyled" >
												</ul>
											</div>
										</div>
									</div>			
								</div>
								
								<div class="row" id="payment_details" >
									<div class="alert alert-danger errorDiv">
                           			</div>
										<table   class="table btable col-md-6" border="0" cellpadding="0" cellspacing="1" >
											<tr> 
												<td colspan="3"><b id="qms_client_name_replace" style="font-size: 20px;float: left;"></b></td>
											</tr>
											<tr>
												<td><span class="mandi">*</span> Select Ledger</td>
												<td><span class="mandi">*</span> Debit Note Date</td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td>
													<input name="ledger" type="text" class="form-control" id="ledger" maxlength="20" value=""  autocomplete="off" />
													<input  type="hidden" name="ledger_code" value="" class="form-control ledger_code" autocomplete="off"/>
													<div class="ledger_result">
														<ul class="ledgerList unstyled">
														</ul>
													</div>
													<?php 
														//$attr = " id='credit_note_type' class='form-control credit_note_type' ";
														//if(isset($credit_note_type)) echo form_dropdown('credit_note_type',$credit_note_type, set_value("credit_note_type"),$attr); 
													?>
												</td>
												<td><input name="credit_note_date" type="text" class="form-control check_book_begning_date" id="credit_note_date" maxlength="20" value="<?php echo date('d-m-Y'); ?>"  autocomplete="off" required /></td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td><span class="mandi">*</span> Taxable Type</td>
												<td>Reference Number</td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td>
													<?php 
														$attr2 = " id='taxable_type' class='form-control taxable_type' ";
														if(isset($taxable_type)) echo form_dropdown('taxable_type',$taxable_type, set_value("taxable_type"),$attr2); 
													?>
												</td>
												<td><input name="ref_number" type="text" class="form-control" id="ref_number" maxlength="20" value=""  autocomplete="off" /></td>
												<td>&nbsp; </td> 
											</tr>
											
											<tr>
												<td><span class="mandi">*</span> Taxable Amount</td>
												<td><span class="mandi">*</span> Tax Amount</td>
												<td>&nbsp; </td> 
											</tr>
											<tr>
												<td>
													<input name="taxable_amount" type="text" class="form-control" id="taxable_amount"  value="" readonly />
												</td>
												<td>
													<input name="tax_amount" type="text" class="form-control" id="tax_amount"  value="" readonly  />
												</td>
												<td>&nbsp; </td> 
											</tr>
											<tr>
												<td><span class="mandi">*</span> Net Amount</td>
												<td>&nbsp;</td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td>
													<input type="hidden" class="form-control numberOnly" placeholder="" name="current_amount"  id="current_amount"  autocomplete="off"  readonly="readonly" value="<?php //echo $dbdata->net_amount;?>" />  <input name="i_total" type="text" class="form-control" id="i_total" value="" maxlength="100" autocomplete="off" />
												</td>
												<td>&nbsp;</td>
												<td>&nbsp; </td> 
											</tr>
										</table>
										<div class="table  col-md-12" id="search_result_receipts">
									</div>
										<table class="col-md-6">
											<tr>
												<td>Remarks</td>
											</tr>
											<tr>
												<td>
													<textarea name="remarks" rows="5" class="form-control" id="remarks"></textarea>
												</td>
											</tr>
											<tr>
												<td>
													<button class="btn btn-primary " name="Save" type="submit"  id="create_receipt" ><i class="mdi mdi-plus-circle-outline"></i>Create Debit Note</button>
													<a href="<?php echo site_url('Debit_note/list_debit_note');?>" class="btn btn-danger">Cancel</a>
												</td>
											</tr>
										</table>
								</div>
							</div>
						</div>
					</div>
				</div><!-- COL END -->
				<!-- ROW-1 CLOSED -->
			</form>
		</div>
	</div>
			</div>
			<!-- ROW-4 CLOSED -->
		</div>
	</div>
	<!-- CONTAINER CLOSED -->
</div>
	<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>
	<script type="text/javascript">
		var books_beginning_date='<?php echo date('d-m-Y', strtotime($books_beginning_date)); ?>';


		$("html").on("keyup","#ledger",function(){
			$('.errorDiv').hide();
			var client=$(this).val();
			$(".ledger_code").val('');
			if (client==''){
				$(".ledger_result").css('display','none'); 
				$(this).val("");
				return false;
			} else {
			$.ajax({
				url:"<?php echo site_url("Debit_note/search_ledger")?>" , 
				type: "POST" ,
				data: {client	: client} ,
				success: function(data){
					$(".ledger_result").css('display','block');
					$(".ledgerList").html(data);
					ledger_button();
					$('#ledger').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.ledgerList').on('focus', 'li', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.ledgerList').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'li', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('li').first().focus();
						}
					});
					$(".ledgerList li").keypress(function (e) {
						if (e.keyCode == 13) {
							$(".ledger_result").css('display','none');
							var ledger_name = $(this).closest("li").find(".ledger_name").val();
							var ledger_code = $(this).closest("li").find(".pop_ledger_code").val();
							$("#ledger").val(ledger_name);
							$(".ledger_code").val(ledger_code);
							$("#credit_note_date").focus();
						}
					 });
				},
				error: function(){
						$("#errorMsg").html('Connection Error......');
						$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
	}
	
});
	function ledger_button() {
		$(".ledger_button").click(function() {
			$(".ledger_result").css('display','none');
			var ledger_name = $(this).closest("li").find(".ledger_name").val();
			var ledger_code = $(this).closest("li").find(".pop_ledger_code").val();
			$("#ledger").val(ledger_name);
			$(".ledger_code").val(ledger_code);
			$("#credit_note_date").focus();
		});
		$(".no_result_button").click(function() {
			$(".ledger_result").css('display','none');
			$("#ledger").val('');
			$(".ledger_code").val('');
		});
	}

	$("html").on("change","#filter_division",function(){
		$('#search_name').val('');
	});
	$("html").on("keyup","#search_name",function(){
		var search_name	=	$(this).val();
		var filter_division	=	$(".filter_division").val();
		$('.client_id').val('');
		$('.client_address').val('');
		//$('.overlay').show();
		if (search_name==''){
			$(this).val("");
			$(".client_result").css('display','none');
			$('.overlay').hide();
			return false;
		} else {
			$.ajax({
				url:"<?php echo site_url("Debit_note/search_client_for_payment")?>" , 
				type: "POST" ,
				data: {search_name	: search_name,filter_division	: filter_division} ,
				success: function(data){
					$(".client_result").css('display','block');
					$(".clientList").html(data);
					//client_button();
					$('.overlay').hide();
					client_buttonxxxxx();
					$('#search_name').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.clientList').on('focus', 'li', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.clientList').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'li', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('li').first().focus();
						}
					});
					$(".clientList li").keypress(function (e) {
						if (e.keyCode == 13) {
							$(".client_result").css('display','none');
							$(".search_client_fields").hide();
							$("#payment_details").show();
							$('#search_result_wrapper').html('');
							selected_client=($(this).attr('value'));
							selected_ref=($(this).attr('ref'));
							selected_client_code=($(this).attr('data-client_code'));
							selected_client_name=($(this).attr('data-client_name'));
							$('#client_idnb').val(selected_client);

							$('#qms_client_name_replace').text("Vendor Name: "+selected_client_name);
							
							var formData = {client:selected_client_code,ref_division:selected_ref};
							$.ajax({
								type: "POST",
								url: '<?php echo site_url("Debit_note/get_outstanding_invoices/")?>',
								data: formData,
								success: function(htmldata){
										$('#search_result_receipts').html(htmldata);
										var client_name = $('#qms_client_name').html();
										$('#qms_client_name').hide();
										//$('#qms_client_name_replace').html(client_name);
										$('#clientIdHidden').val(selected_client);
										$('#client_code').val(selected_client_code);
										$('.ref_div_id').val(selected_ref);
										jQuery.colorbox.close();
									},
								error: function(){
										$('.overlay').hide();
										$("#errorMsg").html('Connection Error......');
										$("#errorMsg").stop(true, true, true).slideDown(500);
								}
								
									
							});
							jQuery("div#result").hide();
						}
					});
					
				},
				error: function(){
						$("#errorMsg").html('Connection Error......');
						$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
		}
	});
	function client_buttonxxxxx() {
		$(".client_buttonxxxxx").click(function() {
			$(".client_result").css('display','none');
			$(".search_client_fields").hide();
			$("#payment_details").show();
			$('#search_result_wrapper').html('');
			selected_client=($(this).attr('value'));
			selected_ref=($(this).attr('ref'));
			selected_client_code=($(this).attr('data-client_code'));
			selected_client_name=($(this).attr('data-client_name'));
			$('#client_idnb').val(selected_client);

			$('#qms_client_name_replace').text("Vendor Name: "+selected_client_name);
			
			
			var formData = {client:selected_client_code,ref_division:selected_ref};
			$.ajax({
				type: "POST",
				url: '<?php echo site_url("Debit_note/get_outstanding_invoices/")?>',
				data: formData,
				success: function(htmldata){
						$('#search_result_receipts').html(htmldata);
						var client_name = $('#qms_client_name').html();
						$('#qms_client_name').hide();
						//$('#qms_client_name_replace').html(client_name);
						$('#clientIdHidden').val(selected_client);
						$('#client_code').val(selected_client_code);
						$('.ref_div_id').val(selected_ref);
						jQuery.colorbox.close();
					},
				error: function(){
						$('.overlay').hide();
						$("#errorMsg").html('Connection Error......');
						$("#errorMsg").stop(true, true, true).slideDown(500);
				}
				
					
			});
			jQuery("div#result").hide();	
		});
		$(".no_result_button").click(function() {
			$("#client_result").css('display','none');
			$("#name").val('');
			$("#name_id").val('');
		});
	}
	$('#create_receipt').click(function(){
	//$('.overlay').show();
	});
	$("#cash").on('keyup', function (event) {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
	});
	$("#c_card").on('keyup', function () {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
		
	});
	$("#cheque_amt").on('keyup', function () {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
	});
	$("#wallet_amnt").on('keyup', function () {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
	});
	$("#cc_amnt").on('keyup', function () {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
	});

	$("#i_total").on('keyup', function () {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
	});

	$('html').on("keyup", ".adv_paying_amount", function() {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		$(".errorDiv").hide();
		$(".invErrorDiv").hide();
		
		if($('#i_total').val()==='') {
			$(this).val('');
			window.scrollTo(0, 0);
			$(".errorDiv").text("Please Enter Total amount");
			$(".errorDiv").show();
			return false;
		}

		var total_cash = Number($("#i_total").val());
		
		var currnt_amount	=	Number($(this).val());
		var adv_new_current_bal_amount_invoice	=	Number($(this).closest("tr").find(".adv_new_current_bal_amount_invoice").val());
		
		if(Math.abs(currnt_amount)>Math.abs(adv_new_current_bal_amount_invoice)){
			$(".errorDiv").text("Please check Amount");
			$(".errorDiv").show();
			$(this).val('');
			$("#i_total").val(total_cash.toFixed(3));
			$(this).closest("tr").find(".adv_current_bal_amount_invoice").val(adv_new_current_bal_amount_invoice);
			test_distribute();
			return false;
		}

		$(this).closest("tr").find(".adv_current_bal_amount_invoice").val(adv_new_current_bal_amount_invoice+currnt_amount);
		
		var t = Number(total_cash);
		$("#i_total").val(t.toFixed(3));
		test_distribute();
	});

	function test_distribute(){
		var x	=Number($("#i_total").val());
		var advance_amount=0;
		$(".adv_paying_amount").each(function(){
			advance_amount=Number(advance_amount)+Math.abs((Number($(this).val())));
		});
		var x	=Number($("#i_total").val())-advance_amount;
		var bb	=Number($("#i_total").val());
		
		var sum=0;
		$(".new_current_bal_amount_invoice").each(function(){
			var camnt	=	Number($(this).val());
			sum=Number(sum)+(camnt);
		});
		var nbb_paying_amount=0;
		$(".paying_amount").each(function(){
			nbb_paying_amount=Number(nbb_paying_amount)+(Number($(this).val()));
		});
		$('.receipt_discount').val("");
		if(x <= sum){
			var x	=Number($("#i_total").val());
			if($("#check_advance_payment").val()!='1'){
				test();
			} else {
				test();
			} 
		} else {
			sum=sum-advance_amount;
			if($("#check_advance_payment").val()!='1'){
				if(confirm('Total Debit Amount Exceeded the total bills. Do you want create Un allocate Debit Amount ?')){
					test();
				} else {
					set_previous_value();
				}
			} else {
				test();
			}
		}
	}

	function test(){
		var cash = Number($("#cash").val());
		var c_card = Number($("#c_card").val());
		var cheque_amt = Number($("#cheque_amt").val());
		var wallet_amnt = Number($("#wallet_amnt").val());
		var total_cash = cash + c_card + cheque_amt + wallet_amnt;
		var adv_paying_amount=0;
		$(".adv_paying_amount").each(function(){
			adv_paying_amount=Number(adv_paying_amount)+(Number($(this).val()));
		});
		var x=total_cash+adv_paying_amount;
		var sum=0;
		$(".new_current_bal_amount_invoice").each(function(){
			var camnt	=	Number($(this).val());
			sum=Number(sum)+(camnt);
		});

		$("#check_advance_payment").val(1);
		if((sum-x)<0){
			$("#advance_payment").val(Math.abs(sum-x));
		} else {
			$("#advance_payment").val('');
		}
		$(".current_balance_amount").each(function(){
			if(Number($(this).val()) >= x ){
				$(this).closest("tr").find(".paying_amount").val(x);
				$(this).closest("tr").find(".current_bal_amount_invoice").val(Number($(this).closest("tr").find(".current_balance_amount").val())-Number(x));
				x	= 0;
			}else{
				x	=	x-Number($(this).val());
				$(this).closest("tr").find(".paying_amount").val(Number($(this).val()));
				$(this).closest("tr").find(".current_bal_amount_invoice").val(Number($(this).closest("tr").find(".current_balance_amount").val())-Number($(this).val()));
			}
		});

	}


function distribute_invoice_amount(){
	$(".errorDiv").hide();
	if($("#client_id").val()==""){
		$(".errorDiv").text("Customer field is required");
		$(".errorDiv").show();
		$("#cash").val('');
		$("#c_card").val('');
		$("#cheque_amt").val('');
		$("#wallet_amnt").val('');
		$("#cc_amnt").val('');
		$("#client").focus();
		return false;
    }
	
	
	var l_count=0;
	$('.invoice_id').each(function() {
		if($(this).val()===''){
			l_count++;
		}
	});
	if(l_count>0){
		$('.errorDiv').text('Please Select atleast one invoice');
		$('.errorDiv').show();
		window.scrollTo(0,0);
		return false;
	}
	
	//if($('#payment_mode').val()==='Cash'){
		var total_cash = Number($("#i_total").val());
	/*} else if($('#payment_mode').val()==='Credit'){
		var cc_amnt = Number($("#cc_amnt").val());
		var total_cash = cc_amnt;
	}*/
	var advance_amount=0;
	
	var t = Number(total_cash);
	var x	=t;
	var sum=0;
	$(".new_current_bal_amount_invoice").each(function(){
		var camnt	=	Number($(this).val());
		sum=Number(sum)+(camnt);
	});

	if(sum==0){
		return false;
	}

	
	$("#advance_payment").val('');
	$('.receipt_discount').val("");
	if($('#taxable_type').val()!=='Non Vat'){
		var vat_percentage=$('#taxable_type').val();
		var amount=x/(1+(vat_percentage/100));
		var vat=amount*(vat_percentage/100);
		$('#taxable_amount').val(Math.round(amount*1000)/1000);
		$('#tax_amount').val(Math.round(vat*1000)/1000);
	} else {
		$('#taxable_amount').val(x);
		$('#tax_amount').val(0);
	}
	if(x <= sum){
		
		$(".current_balance_amount").each(function(){
			if(Number($(this).val()) >= x ){
				var rv	=	Math.round((Number($(this).closest("tr").find(".current_balance_amount").val())-Number(x))*1000000)/1000000;
				$(this).closest("tr").find(".paying_amount").val(x);
				$(this).closest("tr").find(".current_bal_amount_invoice").val(rv);
				x	= 0;
			} else {
				x	=	x-Number($(this).val());
				var rv	=	Math.round((Number($(this).closest("tr").find(".current_balance_amount").val())-Number($(this).val()))*1000000)/1000000;
				$(this).closest("tr").find(".paying_amount").val(Number($(this).val()));
				$(this).closest("tr").find(".current_bal_amount_invoice").val(rv);
			}
		});
	} else {
		if($("#check_advance_payment").val()!='1'){
			if(confirm('Total Debit Amount Exceeded the total bills. Do you want create Un allocate Debit Amount ?')){
				//alert(advance_amount+','+x+'-'+sum);
				$("#check_advance_payment").val(1);
				$("#advance_payment").val((x)-sum);
				$(".current_balance_amount").each(function(){
					if(Number($(this).val()) >= x ){
						var rv	=	Math.round((Number($(this).closest("tr").find(".current_balance_amount").val())-Number(x))*1000000)/1000000;
						$(this).closest("tr").find(".paying_amount").val(x);
						$(this).closest("tr").find(".current_bal_amount_invoice").val(rv);
						x	= 0;
					}else{
						x	=	x-Number($(this).val());
						var rv	=	Math.round((Number($(this).closest("tr").find(".current_balance_amount").val())-Number($(this).val()))*1000000)/1000000;
						$(this).closest("tr").find(".paying_amount").val(Number($(this).val()));
						$(this).closest("tr").find(".current_bal_amount_invoice").val(rv);
					}
				});
			} else {
				set_previous_value();
			}
		} else {
			$("#check_advance_payment").val(1);
			$("#advance_payment").val(x-sum);
			$(".current_balance_amount").each(function(){
				if(Number($(this).val()) >= x ){
					var rv	=	Math.round((Number($(this).closest("tr").find(".current_balance_amount").val())-Number(x))*1000000)/1000000;
					$(this).closest("tr").find(".paying_amount").val(x);
					$(this).closest("tr").find(".current_bal_amount_invoice").val(rv);
					x	= 0;
				}else{
					x	=	x-Number($(this).val());
					var rv	=	Math.round((Number($(this).closest("tr").find(".current_balance_amount").val())-Number($(this).val()))*1000000)/1000000;
					$(this).closest("tr").find(".paying_amount").val(Number($(this).val()));
					$(this).closest("tr").find(".current_bal_amount_invoice").val(rv);
				}
			});
		}
	}

	function set_previous_value(){
		$("#check_advance_payment").val(0);
		$(".errorDiv").text("Entered amount does not exceed total invoice amount");
		$(".errorDiv").show();
		$("#i_total").val("");
		$("#cash").val('');
		$("#c_card").val('');
		$("#cheque_amt").val('');
		$("#wallet_amnt").val('');
		$("#cc_amnt").val('');
		$('.paying_amount').val("");
		$('.adv_paying_amount').val("");
		$('.current_bal_amount_invoice').val("");
		$(".adv_new_current_bal_amount_invoice").each(function(){
            $(this).closest("tr").find(".adv_current_bal_amount_invoice").val($(this).val());
        });
		$(".new_current_bal_amount_invoice").each(function(){
            $(this).closest("tr").find(".current_bal_amount_invoice").val($(this).val());
        });
	}

	
	
}
</script>