

	<?php
		$payment_modes = array(
			'Cash'=>'Cash',
			'Credit Card'=>'Credit Card',
			'Cheque'=>'Cheque',
			'Bank'=>'Bank'
		);
	?>
	<style type="text/css" >
		.client_result {
			border: 1px solid #d2d6de;
			position: absolute;
			width: 509px;
			height: auto;
			background-color: #fff;
			z-index: 100;
			margin-top: 0px;
			border-radius: 3px;
			display: none;
		}
		.clientList {
			margin:0px;
		}
		.clientList li {
			color: #000000;
			padding: 0;
			padding-left: 8px;
			height: 30px;
			padding-top: 4px;
			cursor:pointer;
			font-weight:600;
			list-style-type: none;
		}
		.clientList li:hover {
			background:#CCCCCC;
		}
		.nbactive{
            background-color:#D6D6D6;
        }
        .nbactive2{
            background-color:#D6D6D6;
        }
        .nbactive3{
            background-color:#D6D6D6;
        }

		.higlt_r {
			border-color: red !Important;
			color: #fff  !Important;
		}
		.higlt_r:read-only {
			background-color: red  !Important;
		}
		.higlt_g {
			border-color: green !Important;
			color: #fff  !Important;
		}
		.higlt_g:read-only {
			background-color: green  !Important;
		}
		.higlt_w {
			border-color: indigo !Important;
			color: #fff  !Important;
		}
		.higlt_w:read-only {
			background-color: indigo  !Important;
		}
		.errorDiv {
			display: none;
		}
		.btable td {
			border:none;
			padding:0.3em;
		}
		.table td {
			padding:0.3em;
		}
		#payment_details{
			display:block;
		}
		.thead-secondary th {
			background:#737B80 !important;
			color:#FFFFFF !important;
		}
		.pad_zero{
			padding-left: 0 !important;
		}
		#cash_ledgers{
			display: none;
		}
		#c_card_ledgers{
			display: none;
		}
		#wallet_ledgers{
			display: none;
		}
		#cheque_ledgers{
			display: none;
		}
		#bank_ledgers{
			display: none;
		}
	</style>
	<!--app-content open-->
	<div class="app-content main-content">
		<div class="side-app">
			<div class="main-container">
				<!-- PAGE-HEADER -->
				<div class="page-header">
					<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
						<h1 class="page-title">New General Receipt</h1>
					</div>
					<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
						<div class="float-sm-end float-none my-1">
						<a id="add__new__list" type="button" class="btn btn-md btn-primary " data-bs-target=".bd-example-modal-lg" href="<?php echo site_url('General_receipt/list_general_receipt');?>"><i class="fa fa-list"></i> List</a>
					</div>
               	</div>
			</div>
		</div>
		<!-- PAGE-HEADER END -->
		<script type="text/javascript">
$(document).ready( function(){

	

	$('html').on("keyup", ".paying_amount", function() {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		$(".errorDiv").hide();
		$(".invErrorDiv").hide();
		
		if($('#i_total').val()==='') {
			$(this).val('');
			window.scrollTo(0, 0);
			$(".errorDiv").text("Please Enter Total amount");
			$(".errorDiv").show();
			return false;
		}
		var total_paying_amount=$('#i_total').val();
		var current_invoice_amount	=	Number($(this).closest("tr").find(".new_current_bal_amount_invoice").val());
		var receipt_discount	=	Number($(this).closest("tr").find(".receipt_discount").val());
		var current_paying_amount	=	Number($(this).val());
		var sum=0;
		$(".current_invoice_amount").each(function(){
			//sum=Number(sum)+(Number($(this).closest("tr").find(".paying_amount").val())+Number($(this).closest("tr").find(".receipt_discount").val()));
			sum=Number(sum)+(Number($(this).closest("tr").find(".paying_amount").val()));
		});

		var advance_amount=0;
		$(".adv_paying_amount").each(function(){
			advance_amount=Number(advance_amount)+Math.abs((Number($(this).val())));
		});
		//alert(sum+'>'+total_paying_amount);
		if((sum-advance_amount)>total_paying_amount){
			$(this).closest("tr").find(".paying_amount").val('');
			$(this).closest("tr").find(".receipt_discount").val('');
			window.scrollTo(0, 0);
			$(".errorDiv").text("Please check amount");
			$("#check_advance_payment").val(0);
			$("#advance_payment").val('');
			$(".errorDiv").show();
			return false;
		} else {
			if(current_invoice_amount<(current_paying_amount)){
				
				$(this).closest("tr").find(".paying_amount").val('');
				$(this).closest("tr").find(".receipt_discount").val('');
				$(this).closest("tr").find(".current_invoice_amount").val(current_invoice_amount);
				$(".invErrorDiv").text("Paying amount not exceed balance amount");
				$(".invErrorDiv").show();
				return false;
			} else {
				if($("#check_advance_payment").val()!='1'){
					if(confirm('Total Receipt Exceeded the total bills. Do you want create advance Receipt ?')){
						//alert(x-sum);
						$("#check_advance_payment").val(1);
						$(this).closest("tr").find(".current_invoice_amount").val(current_invoice_amount-(current_paying_amount-receipt_discount));
						$("#advance_payment").val(total_paying_amount-(sum-advance_amount));
					} else {
						$("#check_advance_payment").val(0);
						$(this).closest("tr").find(".current_invoice_amount").val(current_invoice_amount-(current_paying_amount-receipt_discount));
					}
				} else {
					$("#check_advance_payment").val(1);
					$("#advance_payment").val(total_paying_amount-(sum-advance_amount));
					$(this).closest("tr").find(".current_invoice_amount").val(current_invoice_amount-(current_paying_amount-receipt_discount));
				}
			} 
		}
	});
    $('html').on("keyup", ".current_amount_invoicenbx", function() {
		var new_current_bal_amount_invoice	=	$(this).closest("tr").find(".new_current_bal_amount_invoice").val();
		var receipt_discount	=	$(this).closest("tr").find(".receipt_discount").val();
		var current_amount_invoice	=	$(this).val();
		if(Number(current_amount_invoice)<=new_current_bal_amount_invoice){
		$(this).closest("tr").find(".current_bal_amount_invoice").val(new_current_bal_amount_invoice-current_amount_invoice-receipt_discount);
		var sum=0;
		
		$(".current_amount_invoice").each(function(){
            sum=Number(sum)+Number($(this).val());
        });
		$('#current_amount').val(sum);
		}else{
			alert("paying amount not exceed balance amount");
			$('#current_amount').val("");
			$('.current_amount_invoice').val("");
			$(".new_current_bal_amount_invoice").each(function(){
            $(this).closest("tr").find(".current_bal_amount_invoice").val($(this).val());
        });
		}
	});
	$('html').on("keyup", "#current_amount", function() {
		var x	=	$(this).val();
		var sum=0;
		$(".new_current_bal_amount_invoice").each(function(){
            sum=Number(sum)+Number($(this).val());
        });
		$('.receipt_discount').val("");
		if(x <= sum){
			$(".new_current_bal_amount_invoice").each(function(){
				if(Number($(this).val()) >= x ){
					$(this).closest("tr").find(".current_amount_invoice").val(x);
					$(this).closest("tr").find(".current_bal_amount_invoice").val(Number($(this).closest("tr").find(".new_current_bal_amount_invoice").val())-Number(x));
					x	= 0;
				}else{
					x	=	x-Number($(this).val());
					$(this).closest("tr").find(".current_amount_invoice").val(Number($(this).val()));
					$(this).closest("tr").find(".current_bal_amount_invoice").val(Number($(this).closest("tr").find(".new_current_bal_amount_invoice").val())-Number($(this).val()));
				}
			});
		}
		else{
		alert("Entered amount not exceed total invoice amount");
		$('#current_amount').val("");
		$('.current_amount_invoice').val("");
		$(".new_current_bal_amount_invoice").each(function(){
            $(this).closest("tr").find(".current_bal_amount_invoice").val($(this).val());
        });
		}	
	});
	$('html').on("keyup", ".receipt_discount", function() {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		var new_current_bal_amount_invoice	=	$(this).closest("tr").find(".new_current_bal_amount_invoice").val();
		var current_bal_amount_invoice	=	$(this).closest("tr").find(".current_bal_amount_invoice").val();
		var paying_amount = $(this).closest("tr").find(".paying_amount").val();
		var receipt_discount	=	$(this).val();
		var balance = new_current_bal_amount_invoice-paying_amount;

		if(paying_amount==0 || paying_amount==""){
			$(this).val("");
			alert("Please enter paying amount");
			return false;
		} else if (Number(receipt_discount)>Number(balance)){
			$(this).val("");
			$(this).closest("tr").find(".current_bal_amount_invoice").val(balance);
			alert("Receipt discount not exceed balance amount");
			return false;
		} else {
			$(this).closest("tr").find(".current_bal_amount_invoice").val(new_current_bal_amount_invoice-paying_amount-receipt_discount);
		}
	});
   });
   
	$(document).ready( function(){
		var selected_client=0;
		var search_param_flag=false;
		const form = document.getElementById('furniture_client_project');
		form.addEventListener('keypress', function(e) {
			if (e.keyCode === 13) {
			e.preventDefault();
			}
		});
	
		$("#payment_details").show();
		$('#search_name').keypress(function(event) {
			if (event.keyCode == 13) {
			event.preventDefault();
			}
			});
			
			$('#search_name').keyup(function() {
			var txt = $('#comment').val();
			$('#search_name').val(txt.replace(/[\n\r]+/g, " "));
			
		});
		$('#search_name, #search_mob').keydown(function (e){
			if(e.keyCode == 13){
				search_param_flag=true;
				$('#search_button').trigger('click');
				
			}
		})
		$('#search_button').click(function(){
	
			//Validating
			if($("#search_name").val() == "" && $("#filter_division").val() == "") {
				alert("Please enter any search parameter");
				$("#errorMsg").stop(true, true, true).slideDown(500);
				return false;
			}
	
			//activate loading
			$('.overlay').show();
			$.ajax({
				type: "POST",
				url: '<?php echo site_url("receipt/search_client_for_receipt")?>',
				data: $("#furniture_client_project").serialize(),
				success: function(data){
						$('.overlay').hide();
						if(data == '0'){
							//$("#errorMsg").html("<p>No matching results found!</p>");
							//$("#errorMsg").stop(true, true, true).slideDown(500);
							jQuery("div#error_msg").show();
							jQuery("div#result").hide();
						} else {
							//$('#search_result_wrapper').html(data);
							//client_button();
							//$.colorbox({inline:true, width:"90%", href:"#search_result_wrapper"});
							jQuery("div#result").show();
							jQuery("div#value").html(data);
							jQuery("div#error_msg").hide();
							client_button();
						}
					},
				error: function(){
						$('.overlay').hide();
						$("#errorMsg").html('Connection Error......');
						$("#errorMsg").stop(true, true, true).slideDown(500);
				}
				
					
			});

		});
		function client_button() {
			$(".client_button").click(function(){
					$(".search_client_fields").hide();
					$("#payment_details").show();
					$('#search_result_wrapper').html('');
					selected_client=($(this).attr('value'));
					selected_ref=($(this).attr('ref'));
					var formData = {client:selected_client,ref_division:selected_ref};
					$.ajax({
						type: "POST",
						url: '<?php echo site_url("receipt/get_outstanding_invoices/")?>',
						data: formData,
						success: function(htmldata){
								$('#search_result_receipts').html(htmldata);
								var client_name = $('#qms_client_name').html();
								$('#qms_client_name').hide();
								$('#qms_client_name_replace').html(client_name);
								jQuery.colorbox.close();
								
								$('.new_receipt_tick').click(function(){
									if(this.checked){
										$(this).closest('tr').find('.current_amount_invoice').val($(this).closest('tr').find('.new_current_bal_amount_invoice').val());
										$(this).closest('tr').find('.current_bal_amount_invoice').val("0.000");
										$(this).closest('tr').find('.receipt_discount').val("");
										//sum = sum + parseInt($(this).closest('tr').find('.current_amount_invoice').val());
										sum=0;
										$(".current_amount_invoice").each(function(){
											sum = sum + Number($(this).val());
										});
										$('#current_amount').val(sum);
									}else{
										$(this).closest('tr').find('.current_bal_amount_invoice').val($(this).closest('tr').find('.new_current_bal_amount_invoice').val());
										$(this).closest('tr').find('.current_amount_invoice').val("");
										//sum = $('#current_amount').val() - parseInt($(this).closest('tr').find('.new_current_bal_amount_invoice').val());
										sum=0;
										$(".current_amount_invoice").each(function(){
											sum = sum + Number($(this).val());
										});
										$('#current_amount').val(sum);
									}
								});
							},
						error: function(){
								$('.overlay').hide();
								$("#errorMsg").html('Connection Error......');
								$("#errorMsg").stop(true, true, true).slideDown(500);
						}
						
							
					});
					jQuery("div#result").hide();
					
			});
		}	
		
		function set_client_values() {
			var key=selected_client;
			$("#client_name").val(client_list[key][1]);
			$("#client_address").val(client_list[key][2]);
			$("#client_country").val(client_list[key][3]);
			$("#client_phone_number1").val(client_list[key][4]);
			$("#client_phone_number2").val(client_list[key][5]);
			$("#client_fax_number").val(client_list[key][6]);
			$("#client_email_id").val(client_list[key][7]);
		}
	
		function reset_client_values() {
			$("#client_name").val("");
			$("#client_address").val("");
			$("#client_country").val("");
			$("#client_phone_number1").val("");
			$("#client_phone_number2").val("");
			$("#client_fax_number").val("");
			$("#client_email_id").val("");
		}
		
		$('#payment_modes').change( function(){ 
			if( ($('#payment_modes').val())!= 'Cash' ){ 
				if(($('#payment_modes').val())== 'Credit Card' ) {
					$(".paymnt_bank_name label").html("Card Type: ");
					$(".paymnt_ref_no").slideUp(300);
					$('.paymnt_bank_name').slideDown(300);
				} else {
					$(".paymnt_bank_name label").html("Bank Name: ");
					$('.paymnt_md').slideDown(500);
				}
				
			} else {
				$('.paymnt_md').slideUp(300);
			}
		});
		
		$('#show_confirmed_quotations').click(function(){
			ALERT ("Checked");
                if(this.checked){
                var client_id = $('#clientIdHidden').val();
				var formData = {client_id:client_id};
				$.ajax({
					type: "POST",
					url: '<?php echo site_url("receipt/get_confirmed_quotations/")?>',
					data: formData,
					success: function(htmldata){
							$('#confirmed_quotations').html(htmldata);
							$('.new_receipt_tick_quote').click(function(){
								if(this.checked){
									$(this).parents('tr').find('.current_amount_confirmed_quote').removeAttr('readonly');
								}else{
									$(this).parents('tr').find('.current_amount_confirmed_quote').attr('readonly','readonly');
								}
							});
						},
					error: function(){
							$('.overlay').hide();
							$("#errorMsg").html('Connection Error......');
							$("#errorMsg").stop(true, true, true).slideDown(500);
					}
					
						
				});
			}else{
				ALERT ("UN-Checked");
                $('#confirmed_quotations').hide();
			}
		});

		$('form#furniture_client_project').submit(function(){
			if($('#general_receipt_date').val()===''){
				$('.errorDiv').html("Please Select General Receipt Date");
				$('.errorDiv').show();
				return false;
			}
			if($('#cash_ledger_code').val()===''){
				$('.errorDiv').html("Cash voucher didn't map to the ledger");
				$('.errorDiv').show();
				return false;
			}
			if($('#c_card_ledger_code').val()===''){
				$('.errorDiv').html("Credit Card voucher didn't map to the ledger");
				$('.errorDiv').show();
				return false;
			}
			if($('#wallet_ledger_code').val()===''){
				$('.errorDiv').html("Wallet voucher didn't map to the ledger");
				$('.errorDiv').show();
				return false;
			}
			if($('#cheque_ledger_code').val()===''){
				$('.errorDiv').html("Cheque voucher didn't map to the ledger");
				$('.errorDiv').show();
				return false;
			}

			if($('#cash').val()!='' && $("#cash_check").is(":checked") && $('#cash_ledgers').val()==='') {
				alert("Please select Ledger");
				return false;
			}

			if($('#c_card').val()!=''){
				if($('.xx_c_type').val()===''){
					$('.errorDiv').html('Please select a card type');
					$('.errorDiv').show();
					return false;
				}
			}

			if($('#c_card').val()!='' && $("#c_card_check").is(":checked") && $('#c_card_ledgers').val()==='') {
				alert("Please select Ledger");
				return false;
			}

			if($('#wallet_amnt').val()!=''){
				if($('.wallet_type').val()===''){
					$('.errorDiv').html('Please select a Wallet type');
					$('.errorDiv').show();
					return false;
				}
			}

			if($('#wallet_amnt').val()!='' && $("#wallet_check").is(":checked") && $('#wallet_ledgers').val()==='') {
				alert("Please select Ledger");
				return false;
			}

			if($('#cheque_amt').val()!=''){
				if($('#cheque_no').val()===''){
					$('.errorDiv').html('Please enter cheque number');
					$('.errorDiv').show();
					return false;
				}
				if($('#cheque_bank').val()===''){
					$('.errorDiv').html('Please enter a Bank');
					$('.errorDiv').show();
					return false;
				}
			}

			if($('#cheque_amt').val()!='' && $("#cheque_check").is(":checked") && $('#cheque_ledgers').val()==='') {
				alert("Please select Ledger");
				return false;
			}

			var total_allowed_amount = $('#i_total').val();
			var total_ledger_amount=0;
			$('.ledger_amount').each(function () {
				total_ledger_amount+=Number($(this).val());
			});


			if(total_ledger_amount!=total_allowed_amount){
				$('.errorDiv').html('please Check amount');
				$('.errorDiv').show();
				return false;
			}

		});
		
	});
</script>
		<!-- ROW-1 -->
		<form id="furniture_client_project" name="client_project" class="form-horizontal" method="post" action="<?php echo site_url("General_receipt/save_general_receipt/")?>">
			<div class="row">
				<div class="col-md-12">
					<div class="card">
						<?php
							if($this->session->flashdata("response")!='') {
								echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
								$this->session->unset_userdata('response');
							}
						?>
						<?php
							if($this->session->flashdata("success")!='') {
								echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
								$this->session->unset_userdata('success');
							}
						?>
							<div class="card-header">
								<h3 class="mb-0 card-title">New General Receipt</h3>
							</div>
							<div class="card-body">
								<!--<div class="row search_client_fields">
									<div class="col-md-3">
										<div class="mb-4">
											<label class="form-label">Division</label>
											<?php
												$list = $this->crud_model->get_list('division_id','division_name','company_division',array());
												$attr = "class='form-control filter_division' ";
												if(isset($list)) echo form_dropdown('filter_division',$list, set_value("filter_division"),$attr);
											?>
										</div>
									</div>	
									<div class="col-md-3">
										<div class="mb-4">
											<label class="form-label">Name</label>
											<input type="text" class="form-control" name="search_name" id="search_name" value="<?php echo set_value('search_name') ;?>" autocomplete="off" >
											<div class="client_result">
												<ul class="clientList unstyled" >
												</ul>
											</div>
										</div>
									</div>			
								</div>-->
								
								<div class="row" id="payment_details" >
									<div class="alert alert-danger errorDiv">
                           			</div>
										<table   class="table btable col-md-6" border="0" cellpadding="0" cellspacing="1" >
											<tr> 
												<td><input name="general_receipt_date" type="text" class="form-control toDate" id="general_receipt_date" maxlength="20" value="<?php echo date('d-m-Y'); ?>"  autocomplete="off" required /></td>
												<td>&nbsp;</td>
												<td>&nbsp;</td>
												<td style="width:250px;">&nbsp;</td>
											</tr>
											<?php if(@$records[0]['ledger_code']!='' ) { ?>
											<tr>
												<td>Cash</td>
												<td>&nbsp;</td>
												<td>&nbsp;</td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td>
													<input type="text" class="form-control numberOnly" placeholder="Amt" name="cash"  id="cash"  autocomplete="off"   />
													<input type="hidden" class="form-control" name="cash_ledger_code"  id="cash_ledger_code" value="<?php echo $records[0]['ledger_code']; ?>"  autocomplete="off"   />
												</td>
												<td>&nbsp;</td>
												<td>&nbsp;</td>
												<td>
													<div class="form-row" >
														<div class="form-group  col-md-3" style="padding-left: 15px;" >
															<label class="custom-control custom-checkbox">
																<input name="cash_check" type="checkbox" class="custom-control-input" id="cash_check"  value="1" autocomplete="off"  />
																<span class="custom-control-label"></span>
															</label>
														</div>
														<div class="form-group  col-md-9">
															<?php  $js = 'id="cash_ledgers" class="form-control select2-show-search" ';?>
                                                			<?php echo form_dropdown('cash_ledgers', $cash_ledgers,'',$js); ?>
														</div>
													</div>
												</td>
											</tr>
											<?php } else { ?>
												<input type="hidden" class="form-control numberOnly" placeholder="Amt" name="cash"  id="cash"  autocomplete="off"   />
												<input type="hidden" class="form-control" name="cash_ledger_code"  id="cash_ledger_code" value=""  autocomplete="off"   />
											<?php } ?>
											<?php if(@$records[4]['ledger_code']!='' ) { ?>
											<tr>
												<td>Bank Amount</td>
												<td>Bank</td>
												<td>&nbsp;</td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td>
													<input type="text" class="form-control numberOnly" placeholder="Amt" name="bank_amt"  id="bank_amt"  autocomplete="off"   />
													<input type="hidden" class="form-control" name="bank_ledger_code"  id="bank_ledger_code" value="<?php echo $records[4]['ledger_code']; ?>"  autocomplete="off"   />
												</td>
												<td><input  type="text" class="form-control" placeholder="Bank" name="bank_name"  id="bank_name" value="" autocomplete="off" /></td>
												<td>&nbsp;</td>
												<td>
													<div class="form-row" >
														<div class="form-group  col-md-3" style="padding-left: 15px;" >
															<label class="custom-control custom-checkbox">
																<input name="bank_check" type="checkbox" class="custom-control-input" id="bank_check"  value="1" autocomplete="off"  />
																<span class="custom-control-label"></span>
															</label>
														</div>
														<div class="form-group  col-md-9">
															<?php  $js5 = 'id="bank_ledgers" class="form-control form-select select2" ';?>
                                                			<?php echo form_dropdown('bank_ledgers', $bank_ledgers,'',$js5); ?>
														</div>
													</div>
												</td>
											</tr>
											<?php } else { ?>
												<input type="hidden" class="form-control numberOnly" placeholder="Amt" name="bank_amt"  id="bank_amt"  autocomplete="off"   />
												<input type="hidden" class="form-control" placeholder="Amt" name="bank_name"  id="bank_name"  autocomplete="off"   />
												<input type="hidden" class="form-control" name="bank_ledger_code"  id="bank_ledger_code" value=""  autocomplete="off"   />
											<?php } ?>
											<?php if(@$records[2]['ledger_code']!='' ) { ?>
											<tr>
												<td>C Card</td>
												<td>Type</td>
												<td>Authorized</td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td>
													<input type="text" class="form-control numberOnly" placeholder="Amt" name="c_card"  id="c_card"  autocomplete="off"   />
													<input type="hidden" class="form-control" name="c_card_ledger_code"  id="c_card_ledger_code" value="<?php echo $records[2]['ledger_code']; ?>"  autocomplete="off"   />
												</td>
												<td>
													<select name="c_type"  class="form-control xx_c_type">
														<option value="">select Type</option>
														<option value="Visa Card">Visa Card</option>
														<option value="Master Card">Master Card</option>
														<option value="Others">Others</option>
													</select>
												</td>
												<td><input name="authorized" type="text" class="form-control" id="authorized" maxlength="20" value="" autocomplete="off"  /></td>
												<td>
													<div class="form-row" >
														<div class="form-group  col-md-3" style="padding-left: 15px;" >
															<label class="custom-control custom-checkbox">
																<input name="c_card_check" type="checkbox" class="custom-control-input" id="c_card_check"  value="1" autocomplete="off"  />
																<span class="custom-control-label"></span>
															</label>
														</div>
														<div class="form-group  col-md-9">
															<?php  $js2 = 'id="c_card_ledgers" class="form-control form-select select2" ';?>
                                                			<?php echo form_dropdown('c_card_ledgers', $bank_ledgers,'',$js2); ?>
														</div>
													</div>
												</td>
											</tr>
											<?php } else { ?>
												<input type="hidden" class="form-control numberOnly" placeholder="Amt" name="c_card"  id="c_card"  autocomplete="off"   />
												<input type="hidden" class="form-control xx_c_type" placeholder="Amt" name="c_type"  id="c_type"  autocomplete="off"   />
												<input type="hidden" class="form-control" placeholder="Amt" name="authorized"  id="authorized"  autocomplete="off"   />
												<input type="hidden" class="form-control" name="c_card_ledger_code"  id="c_card_ledger_code" value=""  autocomplete="off"   />
											<?php } ?>
											<?php if(@$records[1]['ledger_code']!='' ) { ?>
											<tr>
												<td>Wallet</td>
												<td>Type</td>
												<td>Authorized</td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td>
													<input type="text" class="form-control numberOnly" placeholder="Amt" name="wallet_amnt"  id="wallet_amnt"  autocomplete="off"   />
													<input type="hidden" class="form-control" name="wallet_ledger_code"  id="wallet_ledger_code" value="<?php echo $records[1]['ledger_code']; ?>"  autocomplete="off"   />
												</td>
												<td>
													<select name="wallet_type" class="form-control wallet_type">
														<option value="">select Type</option>
														<option value="B wallet">B wallet</option>
														<option value="IBAN">IBAN</option>
														<option value="Benefit">Benefit</option>
													</select>
												</td>
												<td><input name="wallet_authorized" type="text" class="form-control" id="wallet_authorized" maxlength="20" value=""  autocomplete="off" /></td>
												<td>
													<div class="form-row" >
														<div class="form-group  col-md-3" style="padding-left: 15px;">
															<label class="custom-control custom-checkbox">
																<input name="wallet_check" type="checkbox" class="custom-control-input" id="wallet_check"  value="1" autocomplete="off"  />
																<span class="custom-control-label"></span>
															</label>
														</div>
														<div class="form-group  col-md-9">
															<?php  $js3 = 'id="wallet_ledgers" class="form-control form-select select2" ';?>
                                                			<?php echo form_dropdown('wallet_ledgers', $bank_ledgers,'',$js3); ?>
														</div>
													</div>
												</td>
											</tr>
											<?php } else { ?>
												<input type="hidden" class="form-control numberOnly" placeholder="Amt" name="wallet_amnt"  id="wallet_amnt"  autocomplete="off"   />
												<input type="hidden" class="form-control numberOnly" placeholder="Amt" name="wallet_authorized"  id="wallet_authorized"  autocomplete="off"   />
												<input type="hidden" class="form-control wallet_type" placeholder="Amt" name="wallet_type"  id="wallet_type"  autocomplete="off"   />
												<input type="hidden" class="form-control" name="wallet_ledger_code"  id="wallet_ledger_code" value=""  autocomplete="off"   />
											<?php } ?>
											<?php if(@$records[3]['ledger_code']!='' ) { ?>
											<tr>
												<td>Cheque</td>
												<td>Number</td>
												<td>Bank</td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td>
													<input type="text" class="form-control numberOnly" placeholder="Amt" name="cheque_amt"  id="cheque_amt"  autocomplete="off"   />
													<input type="hidden" class="form-control" name="cheque_ledger_code"  id="cheque_ledger_code" value="<?php echo $records[3]['ledger_code']; ?>"  autocomplete="off"   />
												</td>
												<td><input type="text" class="form-control" placeholder="Number" name="cheque_no"  id="cheque_no"  autocomplete="off"  /></td>
												<td><input  type="text" class="form-control" placeholder="Bank" name="cheque_bank"  id="cheque_bank" value="" autocomplete="off" /></td>
												<td>
													<div class="form-row" >
														<div class="form-group  col-md-3" style="padding-left: 15px;" >
															<label class="custom-control custom-checkbox">
																<input name="cheque_check" type="checkbox" class="custom-control-input" id="cheque_check"  value="1" autocomplete="off"  />
																<span class="custom-control-label"></span>
															</label>
														</div>
														<div class="form-group  col-md-9">
															<?php  $js4 = 'id="cheque_ledgers" class="form-control form-select select2" ';?>
                                                			<?php echo form_dropdown('cheque_ledgers', $bank_ledgers,'',$js4); ?>
														</div>
													</div>
												</td>
											</tr>
											<?php } else { ?>
												<input type="hidden" class="form-control numberOnly" placeholder="Amt" name="cheque_amt"  id="cheque_amt"  autocomplete="off"   />
												<input type="hidden" class="form-control numberOnly" placeholder="Amt" name="cheque_no"  id="cheque_no"  autocomplete="off"   />
												<input type="hidden" class="form-control" placeholder="Amt" name="cheque_bank"  id="cheque_bank"  autocomplete="off"   />
												<input type="hidden" class="form-control" name="cheque_ledger_code"  id="cheque_ledger_code" value=""  autocomplete="off"   />
											<?php } ?>
											<tr>
												<td><span class="mandi">*</span> Amount</td>
												<td>&nbsp;</td>
												<td>&nbsp;</td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td>
													<input type="hidden" class="form-control numberOnly" placeholder="" name="current_amount"  id="current_amount"  autocomplete="off"  readonly="readonly" value="<?php //echo $dbdata->net_amount;?>" />  <input name="i_total" type="text" class="form-control higlt_g" id="i_total" value="" maxlength="100" readonly="readonly"  />
												</td>
												<td>&nbsp;</td>
												<td>&nbsp;</td> 
												<td>&nbsp;</td>
											</tr>
										</table>
										<div class="table  col-md-12" id="search_result_receipts">
											<table class="table card-table col-md-12">
												<thead class="thead-secondary" >
													<tr>
														<th>#</th>
														<th>Ledger</th>
														<th>Amount</th>
														<th>Narration</th>
														<th>&nbsp;</th>
													</tr>
												</thead>
												
												<tr class="rowDiv2">
													<td class="rowCount" >1</td>
													<td class="pad_zero" >
														<input type="text"  name="ledger[]"  value="" class="form-control ledger" autocomplete="off"  />
														<input  type="hidden" name="ledger_code[]" value="" class="form-control ledger_code" autocomplete="off"/>
														<div class="client_result">
															<ul class="clientList unstyled">
															</ul>
														</div>
													</td>
													<td class="pad_zero" style="width:120px;" >
														<input type="text" name="ledger_amount[]" value="" class="form-control ledger_amount numbersOnly" style="text-align:right;" autocomplete="off"/>
													</td>
													<td class="pad_zero" >
														<input type="text" name="narrations[]" value="" class="form-control narrations" autocomplete="off"/>
													
													</td>
													<td class="pad_zero" >
														<input name="search_button" type="button" class="btn btn-success addRow2" id="search_button" value="+"  />
														<input name="search_button" type="button" class="button1 btn btn-danger removeRow2" id="search_button" value="x"  style="display:none;"/>
													</td>
												</tr>
												<tbody class="divAppend2">
												</tbody>
												<tfoot>
													<tr>
														<th colspan="2" style="text-align:right;" >Total</th>
														<th class="total_ledger_amount" style="text-align:right;" ></th>
														<th></th>
													</tr>
												</tfoot>
											</table>
										</div>
										<table class="col-md-6">
											<tr>
												<td>Remarks</td>
											</tr>
											<tr>
												<td >
													<textarea name="remarks" rows="5" class="form-control" id="remarks"></textarea>
												</td>
											</tr>
											<tr>
												<td>
													<button class="btn btn-primary " name="Save" type="submit"  id="create_receipt" ><i class="mdi mdi-plus-circle-outline"></i>Create Receipt</button>
													<a href="<?php echo site_url('General_receipt/list_general_receipt');?>" class="btn btn-danger">Cancel</a>
												</td>
											</tr>
										</table>
								</div>
							</div>
						</div>
					</div>
				</div><!-- COL END -->
				<!-- ROW-1 CLOSED -->
			</form>
		</div>
	</div>
				</div>
				<!-- ROW-4 CLOSED -->
			</div>
		</div>
		<!-- CONTAINER CLOSED -->
	</div>
	<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/spectrum.js"></script>
	<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>
	<script type="text/javascript">
		var books_beginning_date='<?php echo date('d-m-Y', strtotime($books_beginning_date)); ?>';

		$("html").on('focus', '.fc-datepicker', function(){
			$(this).datepicker({
				dateFormat: 'dd-mm-yy',
				viewMode: 'months',
    			minViewMode: 'months',
				autoclose: true,
				todayHighlight: true,
				beforeShow: function(input, inst) {
					$(input).on('keydown', function(e){
						if (e.key === '.' || e.key === '/') {
							e.preventDefault();
							var inputValue = e.target.value;
							var caretPos = e.target.selectionStart;
							if (inputValue.endsWith('.') || inputValue.endsWith('/')) {
								return; // Do not allow adding another dot
							}
							var updatedValue = inputValue.substr(0, caretPos) + e.key + inputValue.substr(caretPos);
							e.target.value = updatedValue;
							e.target.setSelectionRange(caretPos + 1, caretPos + 1);
						}
					});

				}
			});
		});

		$("html").on('change', '.fc-datepicker', function(){
			var inputValue = $(this).val();
			var formattedValue = formatInputValue(inputValue);
			var parts = formattedValue.split('-');
			var day = parseInt(parts[0]);
			var month = parseInt(parts[1]) - 1; // Month is zero-based in the Date constructor
			var year = parseInt(parts[2]) + 2000; // Assuming the two-digit year represents 2000s

			var date = new Date(year, month, day);
			if (isNaN(date.getTime()) || date.getDate() !== day || date.getMonth() !== month) {
				alert("Not a valid date");
				$(this).val('');
			} else {
				var enteredDate=formatInputValue2(formattedValue);
				if(new Date(books_beginning_date)<=new Date(enteredDate)){
					$(this).val(formattedValue);
				} else {
					alert("Please check selected date");
					$(this).val('');
				}
			}
		});


		function formatInputValue(dateText) {
			var parts = dateText.split(/[./-]/);
			var day = parts[0].replace(/\.-/g, ''); // Remove dots from the day
			var month = parts[1].replace(/\.-/g, ''); // Remove dots from the month
			var year = parts[2];

			if (day.length === 1) {
				day = '0' + day; // Add leading zero if day is a single digit
			}
			if (month.length === 1) {
				month = '0' + month; // Add leading zero if month is a single digit
			}
			var formattedDate = day + '-' + month + '-' + year;
			var date = new Date(formattedDate);

			if (year.length === 2) {
				var currentYear = new Date().getFullYear();
				var century = Math.floor(currentYear / 100) * 100; // Get the current century
				year = century + parseInt(year); // Append the century to the two-digit year
				formattedDate = day + '-' + month + '-' + year;
			}
			return formattedDate;
		}

		function formatInputValue2(dateText) {
			var parts = dateText.split(/[-/-]/);
			var day = parts[0].replace(/\.-/g, ''); // Remove dots from the day
			var month = parts[1].replace(/\.-/g, ''); // Remove dots from the month
			var year = parts[2];

			if (day.length === 1) {
				day = '0' + day; // Add leading zero if day is a single digit
			}
			if (month.length === 1) {
				month = '0' + month; // Add leading zero if month is a single digit
			}
			formattedDate =   year + '-' + month + '-' + day ;
			var date = new Date(formattedDate);

			if (year.length === 2) {
				var currentYear = new Date().getFullYear();
				var century = Math.floor(currentYear / 100) * 100; // Get the current century
				year = century + parseInt(year); // Append the century to the two-digit year
				formattedDate =   year + '-' + month + '-' + day ;
			}
			return formattedDate;
		}


		$("html").on("click","#bank_check",function(){
			if($(this).is(":checked") && $('#bank_amt').val()!=='') {
				$("#bank_ledgers").show();
			} else {
				$(this).prop("checked", false);
				$("#bank_ledgers").hide();
			}
		});
		$("html").on("click","#cash_check",function(){
			if($(this).is(":checked") && $('#cash').val()!=='') {
				$("#cash_ledgers").show();
			} else {
				$(this).prop("checked", false);
				$("#cash_ledgers").hide();
			}
		});
		$("html").on("click","#c_card_check",function(){
			if($(this).is(":checked") && $('#c_card').val()!=='') {
				$("#c_card_ledgers").show();
			} else {
				$(this).prop("checked", false);
				$("#c_card_ledgers").hide();
			}
		});
		$("html").on("click","#wallet_check",function(){
			if($(this).is(":checked") && $('#wallet_amnt').val()!=='') {
				$("#wallet_ledgers").show();
			} else {
				$(this).prop("checked", false);
				$("#wallet_ledgers").hide();
			}
		});
		$("html").on("click","#cheque_check",function(){
			if($(this).is(":checked") && $('#cheque_amt').val()!=='') {
				$("#cheque_ledgers").show();
			} else {
				$(this).prop("checked", false);
				$("#cheque_ledgers").hide();
			}
		});
		
		$("html").on("keyup",".ledger",function(){
			$('.errorDiv').hide();
			var total_cash = Number($("#bank_amt").val()) + Number($("#cash").val()) + Number($("#c_card").val()) + Number($("#cheque_amt").val()) + Number($("#wallet_amnt").val());
			if(total_cash<=0){
				$('.errorDiv').html('Please check entered Amount');
				$('.errorDiv').show();
				$(this).val('');
				$(this).closest('.rowDiv2').find('.ledger_code').val("");
				return false;
			}
			var client=$(this).val();
			$('.client_id').val('');
			$('.client_address').val('');
			if (client==''){
				$(".client_result").css('display','none'); 
				$(this).val("");
				return false;
			} else {
				$(this).closest('.rowDiv2').find('.ledger').addClass("ledger_123");
				$(this).closest('.rowDiv2').find('.ledger_code').addClass("ledger_code_123");
				$(this).closest('.rowDiv2').find('.ledger_amount').addClass("ledger_amount_123");
				$(this).closest('.rowDiv2').find('.client_result').addClass("123456789");
				$(this).closest('.rowDiv2').find('.clientList').addClass("123");
			$.ajax({
				url:"<?php echo site_url("General_receipt/search_ledger")?>" , 
				type: "POST" ,
				data: {client	: client} ,
				success: function(data){
					$(".123456789").css('display','block');
					$(".123").html(data);
					client_button();
					$('.ledger_123').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.123').on('focus', 'li', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.123').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'li', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('li').first().focus();
						}
					});
					$(".123 li").keypress(function (e) {
						if (e.keyCode == 13) {
							$(".client_result").css('display','none');
							var client_name = $(this).closest("li").find(".client_name").val();
							var client_code = $(this).closest("li").find(".client_code").val();
							$('.nbselect').show();
							$(".ledger_123").val(client_name);
							$(".ledger_code_123").val(client_code);
							$(".ledger_123").removeClass("ledger_123");
							$(".ledger_code_123").removeClass("ledger_code_123");
							var rowCount = $('#search_result_receipts tr').length;
							if((rowCount-2)==1){
								var total_cash = Number($("#bank_amt").val()) + Number($("#cash").val()) + Number($("#c_card").val()) + Number($("#cheque_amt").val()) + Number($("#wallet_amnt").val());
								$('.ledger_amount_123').val(total_cash.toFixed(3));
								total_ledger_amount();
							}
							$(".ledger_amount_123").focus();
							$(".ledger_amount_123").removeClass("ledger_amount_123");
							$(".123456789").removeClass("123456789");
							$(".123").removeClass("123");
						}
					 });
				},
				error: function(){
						$("#errorMsg").html('Connection Error......');
						$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
	}
	
});
	function client_button() {
		$(".client_button").click(function() {
			$(".client_result").css('display','none');
			var client_name = $(this).closest("li").find(".client_name").val();
			var client_code = $(this).closest("li").find(".client_code").val();
			$('.nbselect').show();
			$(".ledger_123").val(client_name);
			$(".ledger_code_123").val(client_code);
			$(".ledger_123").removeClass("ledger_123");
			$(".ledger_code_123").removeClass("ledger_code_123");
			var rowCount = $('#search_result_receipts tr').length;
			if((rowCount-2)==1){
				var total_cash = Number($("#bank_amt").val()) + Number($("#cash").val()) + Number($("#c_card").val()) + Number($("#cheque_amt").val()) + Number($("#wallet_amnt").val());
				$('.ledger_amount_123').val(total_cash.toFixed(3));
				total_ledger_amount();
			}
			$(".ledger_amount_123").focus();
			$(".ledger_amount_123").removeClass("ledger_amount_123");
			$(".123456789").removeClass("123456789");
			$(".123").removeClass("123");
		});
		$(".no_result_button").click(function() {
			$(".client_result").css('display','none');
			$(".ledger_123").val('');
			$(".ledger_code_123").val('');
			$(".ledger_123").removeClass("ledger_123");
			$(".ledger_code_123").removeClass("ledger_code_123");
			$(".123456789").removeClass("123456789");
			$(".123").removeClass("123");
			$('.nbselect').hide();
		});
	}
	$('#create_receipt').click(function(){
	//$('.overlay').show();
	});
	$("#bank_amt").on('keyup', function (event) {
		this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
	});
	$("#cash").on('keyup', function (event) {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
	});
	$("#c_card").on('keyup', function () {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
		
	});
	$("#cheque_amt").on('keyup', function () {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
	});
	$("#wallet_amnt").on('keyup', function () {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
	});
	$("#cc_amnt").on('keyup', function () {
		this.value = this.value.replace(/[^0-9\.]/g,'');
		distribute_invoice_amount();
	});

	function distribute_invoice_amount(){
		$(".errorDiv").hide();
		var bank_amt = Number($("#bank_amt").val());
		var cash = Number($("#cash").val());
		var c_card = Number($("#c_card").val());
		var cheque_amt = Number($("#cheque_amt").val());
		var wallet_amnt = Number($("#wallet_amnt").val());
		var total_cash = bank_amt + cash + c_card + cheque_amt + wallet_amnt;
		var t = Number(total_cash);
		$("#i_total").val(t.toFixed(3));
		//$('#search_result_receipts tr:last').find('.ledger_amount').val(t.toFixed(3));
	}
	$("html").on("click", ".addRow2",function(){
		var ledger_code=$(this).closest('.rowDiv2').find('.ledger_code').val();
		if(ledger_code==''){
			$('.errorDiv').html('Please Select Ledger');
			$('.errorDiv').show();
			return false;
		}
		var ledger_amount=$(this).closest('.rowDiv2').find('.ledger_amount').val();
		if(ledger_amount===''){
			$('.errorDiv').html('Enter Amount');
			$('.errorDiv').show();
			return false;
		}
		
			
		$(".divAppend2 .addRow2").css("display","none");
		$(".divAppend2 .removeRow2").css("display","none");
		$(".addRow2").css("display","none");
		count2 = Number($('.divAppend2 tr.rowDiv2').length)+2;
		var html='';
		html+='<tr class="rowDiv2">';
		html+='<td class="rowCount" >'+count2+'</td>';
		html+='<td class="pad_zero" >';
		html+='<input type="text"  name="ledger[]"  value="" class="form-control ledger" autocomplete="off"  />';
		html+='<input  type="hidden" name="ledger_code[]" value="" class="form-control ledger_code" autocomplete="off"/>';
		html+='<div class="client_result">';
		html+='<ul class="clientList unstyled">';
		html+='</ul>';
		html+='</div>';
		html+='</td>';
		html+='<td class="pad_zero" >';
		html+='<input type="text" name="ledger_amount[]" value="" class="form-control ledger_amount numbersOnly" style="text-align:right;" autocomplete="off"/>';
		html+='</td>';
		html+='<td class="pad_zero" >';
		html+='<input type="text" name="narrations[]" value="" class="form-control narrations" autocomplete="off"/>';
		html+='</td>';
		html+='<td class="pad_zero" >';
		html+='<input name="search_button" type="button" class="button1 btn btn-success addRow2" id="search_button" value="+"  />';
		html+='<input name="search_button" type="button" class="button1 btn btn-danger removeRow2" id="search_button" value="x"  style="display:none;"/>';
		html+='</td>';
		html+='</tr>';

		$(".divAppend2").append(html);
		$(".divAppend2 .addRow2:last").css("display","inline-block");
		$(".rowDiv2 .removeRow2").css("display","inline-block");
		$(".divAppend2 .rowDiv2 .removeRow2:last").css("display","none");	 
	});
	$("html").on("focusout", ".ledger_amount",function(){
		$('.errorDiv').hide();
		var ledger_code=$(this).closest('.rowDiv2').find('.ledger_code').val();
		if(ledger_code==''){
			$('.errorDiv').html('Please Select Ledger');
			$('.errorDiv').show();
			return false;
		}
		var ledger_amount=$(this).closest('.rowDiv2').find('.ledger_amount').val();
		if(ledger_amount===''){
			$('.errorDiv').html('Enter Amount');
			$('.errorDiv').show();
			return false;
		}
		var total_cash = Number($("#bank_amt").val()) + Number($("#cash").val()) + Number($("#c_card").val()) + Number($("#cheque_amt").val()) + Number($("#wallet_amnt").val());
		var total_ledger_amount=0;
		$('.ledger_amount').each(function () {
			total_ledger_amount+=Number($(this).val());
		});
		var dr=Math.round(total_ledger_amount*1000)/1000;
		$('.total_ledger_amount').html(dr.toFixed(3));
		if(total_ledger_amount<total_cash){
			$(".divAppend2 .addRow2").css("display","none");
			$(".divAppend2 .removeRow2").css("display","none");
			$(".addRow2").css("display","none");
			count2 = Number($('.divAppend2 tr.rowDiv2').length)+2;
			var html='';
			html+='<tr class="rowDiv2">';
			html+='<td class="rowCount">'+count2+'</td>';
			html+='<td  class="pad_zero" >';
			html+='<input type="text"  name="ledger[]"  value="" class="form-control ledger" autocomplete="off"  />';
			html+='<input  type="hidden" name="ledger_code[]" value="" class="form-control ledger_code" autocomplete="off"/>';
			html+='<div class="client_result">';
			html+='<ul class="clientList unstyled">';
			html+='</ul>';
			html+='</div>';
			html+='</td>';
			html+='<td class="pad_zero" >';
			html+='<input type="text" name="ledger_amount[]" value="" class="form-control ledger_amount numbersOnly" style="text-align:right;" autocomplete="off"/>';
			html+='</td>';
			html+='<td class="pad_zero" >';
			html+='<input type="text" name="narrations[]" value="" class="form-control narrations" autocomplete="off"/>';
			html+='</td>';
			html+='<td class="pad_zero" >';
			html+='<input name="search_button" type="button" class="button1 btn btn-success addRow2" id="search_button" value="+"  />';
			html+='<input name="search_button" type="button" class="button1 btn btn-danger removeRow2" id="search_button" value="x"  style="display:none;"/>';
			html+='</td>';
			html+='</tr>';
			$(".divAppend2").append(html);
			$(".divAppend2 .addRow2:last").css("display","inline-block");
			$(".rowDiv2 .removeRow2").css("display","inline-block");
			$(".divAppend2 .rowDiv2 .removeRow2:last").css("display","none");
		}
	});
	function total_ledger_amount(){
		var total_ledger_amount=0;
		$('.ledger_amount').each(function () {
			total_ledger_amount+=Number($(this).val());
		});
		var dr=Math.round(total_ledger_amount*1000)/1000;
		$('.total_ledger_amount').html(dr.toFixed(3));
	}
	$("html").on("click", ".removeRow2",function(){
		$(this).closest('tr.rowDiv2').remove();
		var total_ledger_amount=0;
		var rowCount=1;
		$('.ledger_amount').each(function () {
			$(this).closest("tr.rowDiv2").find(".rowCount").html(rowCount++);
			total_ledger_amount+=Number($(this).val());
		});
		var dr=Math.round(total_ledger_amount*1000)/1000;
		$('.total_ledger_amount').html(dr.toFixed(3));
	});
</script>