<?php $price_round=3; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>General Payment Voucher - <?php echo $general_payment_code; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
	body {
		font-family: "Century Gothic", sans-serif;
		font-size:12px;
	}
	.receipt_bg {
		border: 2px solid #000000;
		border-radius: 5px 5px 5px 5px;
		font-family: arial;
		font-size: 15px;
		height: 950px;
		margin: 0 auto;
		/*width: 850px;*/
		position:relative;
	}
	.logo{
		height:102px;
	}
	.logoimg {
		margin-left: 15px;
		margin-right: 49px;
		margin-top: 10px;
		max-height: 90px;
	}
	.logoimg:last-child {
		margin-right: 0;
	}
	.log_left{
		float:right;
		margin-right:15px;
	}
	h1.title{
		text-align: center;
		padding: 0px;
		margin: 0px;
		line-height: 42px;
		font-size: 18px;
		font-family: Arial, Helvetica, sans-serif;
		background-color:#d6d6d6;
		border:1px solid #000;
		border-radius: 5px 5px 5px 5px;
		width:640px !important;
		margin:0 auto;
	}
	a.no_print {
		color: #0088cc;
		text-decoration: none;
		font-size:14px;
		margin-left:14px;
	}

	.header_p {
		height: 20px;
		margin: 0px auto 0px;
		width:640px !important;
		border-radius: 5px 5px 5px 5px !important;
	}

	.quotation_details {
		border: 1px solid #000000;
		border-radius: 5px !important;
		height: 56px;
		margin: 10px auto 10px;
		width:640px !important;
	}
	.quotation_details table{
		width:98%;
		margin:0 auto;
	}
	.receipt_content{
		width:640px !important;
		margin:0 auto;
		border-radius: 5px !important;
	}
	.right td.result {
		/*width: 160px;*/
	}
	.receipt_content table.left {
		border: 1px solid #000000;
		border-radius: 5px !important;
		/*float: left;*/
		height: auto;
		padding: 0 10px;
		width: 100%;
	}
	
	.receipt_content table.right {
		border: 1px solid #000000;
		border-radius: 5px 5px 5px 5px !important;
		/*float: right;*/
		height: auto;
		padding: 0 0 0 10px;
		width: 100%;
	}

	.left td {
		height: 20px;
		line-height: 20px;
		vertical-align: top;
		/*width: 216px;*/
	}
	
	.left tr {
		float: left;
		min-height: 37px;
	}
		
	.right tr {
		float: left;
		min-height: 37px;
		/*width: 100%;*/
	}
	.right td {
		/*width: 228px;*/
	}
		
	.left td.priceWords {
		/*width: 336px;*/
	}
	.footer-print{
		width: 98%;
		left: 9px;
		position:absolute;
		bottom:15px;
	}
	td.mode{
		/*width:115px;*/
	}

	.priceField > span {
		float: right;
		margin-right: 15px;
	}
	td.type {
		padding-left: 14px;
		/*width: 245px;*/
	}

	.wideTable strong {
		float: right;
		/*width: 376px;*/
	}

	.wideTable span {
		float: right;
		margin: 0;
	}
	.remarksText {
		float: right;
		/*width: 376px;*/
	}
	
	.left td.wideTable {
		/*width: 392px;*/
	}
	
	@media print {
		.no_print {
			display:none;
		}
		h1.title{
			text-align: center;
			padding: 0px;
			margin: 0px;
			line-height: 42px;
			font-size: 18px;
			font-family: Arial, Helvetica, sans-serif;
			background-color:#d6d6d6 !important;
			border:1px solid #000;
			border-radius: 5px 5px 5px 5px;
			width:640px !important;
			margin:0 auto;
		}
	}
	#watermark {
	  color: #FF0000;
	  font-size: 100pt;
	  -webkit-transform: rotate(-25deg);
	  -moz-transform: rotate(-45deg);
	  position: absolute;
	  width: 100%;
	  height: 100%;
	  margin: 0;
	  z-index: -1;
	  text-align:center;
	  top:350px;
	  left:50px;
	  opacity:0.2;
	}
</style>
</head>
	<body>
		<?php if($payment_status==0) { ?>
			<div id="watermark">cancelled</div>
		<?php } ?>
		<div class="receipt_bg">
			<div class="header_p">
				<table width="100%">
					<tr>
						<td>
							<img src="<?php echo base_url()."images/company_logo/goldenneon.jpg"; ?>" alt="" style="height:70px;width:260px;"  class="logo"/>
						</td>
						<td align="right" style="vertical-align:bottom;font-size: 12px;" class="details">
							<?php if(isset($company_details->company_name)){ echo $company_details->company_name;} ?> <br> <?php if(isset($company_details->cr_number)){ if($company_details->cr_number!=""){ echo ' '.$company_details->cr_number;}} ?><br>
							<?php if(isset($company_details->company_address)){ echo $company_details->company_address;} ?> <br> <?php if(isset($company_details->email_id)){ if($company_details->email_id!=""){ echo '  '.$company_details->email_id;}} ?><br>
							<?php if(isset($company_details->telephone_no)){ echo $company_details->telephone_no;} ?>  <?php if(isset($company_details->fax_no)){ if($company_details->fax_no!=""){ echo ' | '.$company_details->fax_no;} } ?>
						</td>
					</tr>
				</table>
			</div>
			<br>
			<h1 class="title">GENERAL PAYMENT VOUCHER</h1>
			
			<div class="quotation_details" >
				<table class="left">
					<tr>
						<td style="width:140px;" >GR No </td>
						<td  colspan="2">: &nbsp;&nbsp;<strong><?php echo $general_payment_code; ?></strong></td>
					</tr>
					<tr>
						<td >Date </td>
						<td  colspan="2">: &nbsp;&nbsp;<strong><?php echo date('F d, Y',strtotime ($general_payment_date)); ?></strong></td>
					</tr>
					<tr>
						<td >Amount </td>
						<td  colspan="3"><strong>: &nbsp;&nbsp; <?php echo $payment_amount; ?></strong>
						</td>
					</tr>
					<tr>
						<td > in words </td>
						<td  colspan="3">: &nbsp;&nbsp;
							<strong>
								<?php 
									$price_fraction_text="Fils";
									$intpart=(int) ($payment_amount);
									$floatpart=(round($payment_amount,$price_round)*pow(10,$price_round)-($intpart*pow(10,$price_round)));
									if($floatpart !=0) { 
										echo ' '.num_words($intpart) . '&nbsp;&amp;&nbsp;'. $price_fraction_text. '&nbsp;' . $floatpart. "/ 1000 Only";
									} else {
										echo ' '.num_words($intpart)." Only";
									}	
								?>
							</strong>
						</td>
					</tr>
					<tr>
						<td >Prepared By </td>
						<td  colspan="2">: &nbsp;&nbsp;<strong><?php echo $generated_by; ?></strong></td>
					</tr>
				</table>
			</div>
			<div class="quotation_details">
				<table >
				<tr>
                	<td align="left" colspan="2" ><b>Payment Details</b></td>
                </tr>
				<tr>
                	<td align="left" style="width:140px;"><b>Mode</b></td>
                    <td>&nbsp;&nbsp;<b>Paid</b></td>
                </tr>
					<?php if($cash_amount!=0 && $cash_amount!='0.000'){?>
					<tr>
						<td align="left" style="width:140px;"><?php echo 'CASH';?></td>
						<td>: &nbsp;<?php echo number_format($cash_amount,3);?></td>
					</tr>
					<?php } ?>
					<?php if($wallet_amount!=0 && $wallet_amount!='0.000'){?>
					<tr>
						<td align="left" style="width:140px;"><?php echo $wallet_type;?></td>
						<td>: &nbsp;<?php echo number_format($wallet_amount,3);?></td>
					</tr>
					<?php } ?>
					<?php if($bank_amount!=0 && $bank_amount!='0.000'){?>
					<tr>
						<td align="left" style="width:140px;">Bank Transfer</td>
						<td>: &nbsp;<?php echo number_format($bank_amount,3);?></td>
					</tr>
					<?php } ?>
					
					<?php if($cheque_amount!='' && $cheque_amount!='0.000') { ?>
					<tr>
						<td style="width:140px;" colspan="2" ><strong>Cheque</strong></td>
					</tr>
					<tr>
						<td style="width:140px;" >Amount</td>
						<td>: &nbsp; <?php echo number_format($cheque_amount,3); ?></td>
					</tr>
					<tr>
						<td style="width:140px;" >No</td>
						<td>: &nbsp;<?php echo $cheque_number; ?></td>
					</tr>
					<tr>
						<td style="width:140px;" >Bank</td>
						<td>: &nbsp;<?php echo $cheque_bank; ?></td>
					</tr>
				<?php } ?> 
				<?php if($c_card_amount!='' && $c_card_amount!='0.000') { ?>
					<tr>
						<td style="width:140px;" colspan="2" ><strong>Credit Card</strong></td>
					</tr>
					<tr>
						<td style="width:140px;" >Amount</td>
						<td>: &nbsp; <?php echo number_format($c_card_amount,3); ?></td>
					</tr>
					<tr>
						<td style="width:140px;" >Type</td>
						<td>: &nbsp; <?php echo $c_card_type; ?></td>
					</tr>
				<?php } ?>
				</table>
			</div>
			<div class="quotation_details" >
				<?php if($details!=false){ ?>
					<table class="left">
						<tr>
							<td width="30%" class="font_11" ><b>Ledger</b></td>
							<td width="40%" class="font_11" ><b>Narration</b></td>
							<td width="15%" class="font_11" style="text-align:right;" ><b>Debit</b></td>
							<td width="15%" class="font_11" style="text-align:right;" ><b>Credit</b></td>
							<td width="1%" class="font_11" >&nbsp;</td>
						</tr>
						<?php foreach($details as $row) { ?>
							<tr>
								<td class="font_11" ><?php echo $row['ledger_name']; ?></td>
								<td class="font_11" ><?php echo $row['ledger_narration']; ?></td>
								<?php if($row['ledger_amount']<0){ ?>
									<td class="font_11" style="text-align:right;" > 
										<?php echo number_format($row['ledger_amount']*-1,3); ?> DR
									</td>
									<td>&nbsp;</td>
								<?php  } else { ?>
									<td>&nbsp;</td>
									<td class="font_11" style="text-align:right;" >
								<?php echo number_format($row['ledger_amount'],3);  ?> CR
									</td>
								<?php } ?>
							</tr>
						<?php } ?>
					</table>
				<?php } ?>
				<div>&nbsp;</div>
				<?php if($payment_remarks!="") { ?>
					&nbsp;&nbsp;Remarks : <?php echo $payment_remarks; ?>
				<?php } ?>
			</div>
		</div>
	</body>
</html>