<style>
.btn-primary:active,.btn-primary:focus {
    border:none !important; /* here configure as your needs */
	outline: none !important;
	box-shadow:  none !important;
}
.btn-primary {
	background: #45aaf2 !important;
	border-color: #45aaf2 !important;
}
.btn-primary:hover {
	background: #45aaf2 !important;
	border-color: #45aaf2 !important;
}
.tablink {
  background-color: #b7b8bd;
  color: white;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
  font-size: 16px;
  width: 17%;
  font-weight: 600;
  text-align:center;
}

.tablink:hover {
  background-color: #b7b8bd;
}

/* Style the tab content (and add height:100% for full page content) */
.tabcontent {
  color: white;
  display: none;
  height: 100%;
}
#back-to-top {
    background-image: linear-gradient(to right, #45aaf2 0%, #45aaf2 100%);
    border-color: #45aaf2;
}
.page-header { 
    margin: 0.5rem 0rem;
}
.app-content .side-app {
    padding: 0.5rem;
}
.card {
    margin-bottom: 0.5rem;
}
.card-body {
	padding-left: 1.5rem;
	padding-right: 1.5rem;
	padding-top: 1.5rem;
	padding-bottom: 0.6rem;
}
.client_result {
	border: 1px solid #d2d6de;
	position: absolute;
	width: 347px;
	height: auto;
	background-color: #fff;
	z-index: 100;
	margin-top: 0px;
	border-radius: 3px;
	display: none;
}
.clientList {
	margin:0px;
}
.clientList li {
	color: #000000;
	padding: 0;
	padding-left: 8px;
	height: 30px;
	padding-top: 4px;
	cursor:pointer;
	font-weight:600;
	list-style-type: none;
}
.clientList li:hover {
	background:#CCCCCC;
}
.nbactive{
    background-color:#D6D6D6;
}
.nbactive2{
    background-color:#D6D6D6;
}
.nbactive3{
    background-color:#D6D6D6;
}
div.dt-buttons {
	float: right;
	padding-left: 15px;
    padding-right: 15px;
}
.dataTables_length {
	position: absolute;
}
</style>

<!--app-content open-->
<div class="app-content main-content">
	<div class="side-app">
		<div class="main-container">
		<!-- PAGE-HEADER -->
			<div class="page-header">
				<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
					<h1 class="page-title">Employee List</h1>
					<ol class="breadcrumb">
						<li class="breadcrumb-item"><a href="<?php echo site_url('Dashboard/home');?>">Home</a></li>
						<li class="breadcrumb-item active" aria-current="page">Employee List</li>
					</ol>
				</div>
				<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
					<div class="float-sm-end float-none my-1">
						<a id="add__new__list" type="button" class="btn btn-md btn-primary " data-bs-target=".bd-example-modal-lg" href="<?php echo site_url('masters/Employee/createEmployee');?>"><i class="mdi mdi-plus-circle-outline"></i> Add a New Employee</a>			
					</div>
				</div>
			</div>
		</div>
		<!-- PAGE-HEADER END -->
		<form id="data-form" class="form-search" method="post" enctype="multipart/form-data" action="<?php echo site_url('masters/Employee/listEmployee');?>">
			<div class="card"  >
                 <div class="card-body">
					<?php
						if($this->session->flashdata("response")!='') {
							echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
							$this->session->unset_userdata('response');
						}
					?>
					<?php
						if($this->session->flashdata("success")!='') {
							echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
							$this->session->unset_userdata('success');
						}
					?>
					<div class="form-row">
						
						<div class="form-group col-md-2 mb-0">
							<div class="form-group">
								<input type="text" class="form-control" id="filter_value" name="filter_value" placeholder="Emp No" value="<?php if ($this->input->post('filter_value')){  echo $this->input->post('filter_value'); } //elseif($filter_value!=='NIL'){ echo $filter_value; }?>"  autocomplete="off" >
							</div>
						</div>
						
						<div class="col-md-1 mb-0">
							<div class="form-group">
								<button class="btn btn-primary" type="submit" name="ttttt" ><i class="fe fe-search"></i></button>
							</div>
						</div>
                    </div>
                </div>
				<div class="row">
					<div class="col-md-12 col-lg-12">
						<!--<div class="card col-md-3  col-lg-3" style="float: right;box-shadow: none;border: none;">
						<div class="progress grouped h-3 " style="height: 40px !important;">
							<div class="progress-bar w-50 bg-primary " role="progressbar">Legend</div>
							<div class="progress-bar w-50 bg-danger" role="progressbar">Cancelled</div>
						</div>
						</div>-->
						<div class="table-responsive" style="min-height: 250px;">
							<table id="invoice_data" class="table card-table table-vcenter">
								<thead class="thead-light" >
									<tr>
										<th>#</th>
										<th>Emp Number</th>
										<th>Emp Name</th>
										<th>Designation</th>
										<th>Action</th>
									</tr>
								</thead>
								<tbody>
									<?php
										if($employee_datas != false) {
											$i=1;foreach($employee_datas as $employee_data) { ?>
												<tr <?php if($employee_data['employee_status']==='terminated') { echo 'style="background:#EE4B2B;"';}?> >
													<td><?php echo $i++;?></td>
													<td>
														<?php echo $employee_data['employee_number'];?>
													</td>
													<td><?php echo $employee_data['employee_name'];?></td>
													<td><?php echo $employee_data['designation'];?></td>
													<td>
														<div class="btn-group">
															<button type="button" class="btn btn-sm btn-primary dropdown-toggle" data-bs-toggle="dropdown">
															Action <span class="caret"></span>
															</button>
															<ul class="dropdown-menu" role="menu">
																<li><a class="iframe iframe cboxElement click2" title="View Receipt" href="<?php echo site_url('masters/Employee/editEmployee/'.$employee_data['employee_id'].'/general_info'); ?>"><i class="fa fa-edit"></i> Edit</a> </li>
															</ul>
														</div>
													</td>
												</tr>
											<?php }
										}
									?>
								</tbody>
							</table>
						</div>
						<?php //echo $pagination; ?>
					</div>
				</div>
			</div>
		</form>
    </div>
</div>








<!-- PAGE-HEADER END -->
<script type="text/javascript">
$(function(e) {
	$('#invoice_data').DataTable({
		"paging": true,
		"processing": true,
		"scrollCollapse": true,
		"ordering": true,
		"iDisplayLength": 100,
		"lengthMenu": [ [100, 150, 200, -1], [100, 150, 200, "All"] ],
        "info": true,
		dom: 'lBfrtip',
        buttons: [
            { extend: 'copyHtml5',title: '',text: 'Copy',header: false, text:'<i class="fa fa-copy"></i>',titleAttr: 'Copy', className: 'btn-primary' },
			{ extend: 'excelHtml5',title: 'Employee Data',filename: function(){ var today = new Date();var n = today.getTime();return 'EmployeeExcelExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Excel', text:'<i class="fa fa-file-excel-o"></i>',titleAttr: 'Excel', className: 'btn-success' },
			{ extend: 'print',title: 'Employee Data',filename: function(){ var today = new Date();var n = today.getTime();return 'EmployeePrintExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Print', text:'<i class="fa fa-print"></i>',titleAttr: 'Print', className: 'btn-warning' },
			
		]
	});
	//
	// Select2 { extend: 'csvHtml5',text: 'CSV',header: false, text:'<i class="fa fa-file-pdf-o"></i>',titleAttr: 'CSV', className: 'btn-warning' },
	//{ extend: 'colvis',title: '',filename: 'fileName',text: 'Pdf', text:'<i class="fa fa-file-pdf-o"></i>',titleAttr: 'Pdf', className: 'btn-warning' },
	$('.select2').select2({
		minimumResultsForSearch: Infinity
	});
} );
function ConfirmDelete(id,delivery_note_number){
	$('body').removeClass('timer-alert');
	var url_dir='<?php echo base_url();?>';
	swal({
			title: "Alert",
			text: "Do you want to cancel this Delivery Note?",
			type: "error",
			showCancelButton: true,
			confirmButtonText: 'Yes',
			cancelButtonText: 'Cancel'
		},
		function(isConfirm){
		if (isConfirm) {
			window.location = url_dir+"index.php/jobcard/Delivery_note/cancel_dn/"+id+"/"+delivery_note_number;
		} else {
			swal("Cancelled", "Something went wrong :)", "error");
		}
	});
} 
</script>
				
					


						
