
<style>
 .client_result {
	border: 1px solid #d2d6de;
	position: absolute;
	width: 550px;
	height: auto;
	background-color: #fff;
	z-index: 100;
	margin-top: 0px;
	border-radius: 3px;
	display: none;
}
.clientList {
	margin:0px;
}
.clientList li {
	color: #000000;
	padding: 0;
	padding-left: 8px;
	height: 30px;
	padding-top: 4px;
	cursor:pointer;
	font-weight:600;
	list-style-type: none;
}
.clientList li:hover {
	background:#CCCCCC;
}
.nbactive{
    background-color:#D6D6D6;
}
</style>
 <!--app-content open-->
	<div class="app-content main-content">
		<div class="side-app">
			<div class="main-container">
				<!-- PAGE-HEADER -->
				<div class="page-header">
					<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
						<h1 class="page-title">Add Ledger</h1>
					</div>
					<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
						<div class="float-sm-end float-none my-1">
							<a id="add__new__list" type="button" class="btn btn-md btn-primary " data-bs-target=".bd-example-modal-lg" href="<?php echo site_url('masters/Ledger');?>"><i class="fa fa-list"></i> List</a>
						</div>
					</div>
				</div>
			</div>
			<!-- PAGE-HEADER END -->
			<!-- ROW-1 -->
			<form id="user_groups" name="user_groups" class="form-horizontal" method="post" action="<?php echo site_url('masters/Ledger/do_insert');?>">
				<div class="row">
					<div class="col-md-12">
						<div class="card">
							<?php
								if($this->session->flashdata("response")!='') {
									echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
									$this->session->unset_userdata('response');
								}
							?>
							<?php
								if($this->session->flashdata("success")!='') {
									echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
									$this->session->unset_userdata('success');
								}
							?>
										
							<div class="card-header">
								<h3 class="mb-0 card-title">Add Ledger</h3>
							</div>
							<div class="card-body">
								<div class="row">
									<div class="col-md-4">
										<div class="mb-4">
											<label class="form-label">Ledger Code <span class="mandi">*</span></label>
											<input type="text" class="form-control" name="ledger_code" id="ledger_code" value="<?php echo set_value('ledger_code',$ledger_code) ;?>" autocomplete="off" readonly tabindex="1" >
										</div>

										<div class="mb-4">
											<label class="form-label">Taxability <span class="mandi">*</span></label>
											<select name="taxability" id="taxability" class="form-control form-select select2" tabindex="4"  >
												<?php foreach($vat_applicable as $row){ ?>
													<option value="<?php echo $row->vat_percentage.'-'.$row->taxability;?>"><?php echo $row->taxability.' ( '.$row->vat_percentage.' % )';?></option>
												<?php }?>
											</select>
										</div>
												
										<div class="mb-4">
											<label class="form-label">IBAN Number </label>
												<input type="text" class="form-control" name="bank_iban" value="" tabindex="8" autocomplete="off" >
											</label>
										</div>

										<div class="mb-4">
											<label class="form-label">Bank Branch </label>
												<input type="text" class="form-control" name="bank_branch" value="" tabindex="11" autocomplete="off" >
											</label>
										</div>
												
										<div class="mb-4">
											<button type="submit" class="btn btn-primary">Save and continue</button>
											<a href="<?php echo site_url('masters/Ledger'); ?>" class="btn btn-danger">Exit</a>
										</div>
									</div>
									<div class="col-md-4">
										<div class="mb-4">
											<label class="form-label">Ledger Name <span class="mandi">*</span></label>
											<input type="text" class="form-control" name="ledger_name" id="ledger_name" value="<?php echo set_value('ledger_name') ;?>" autocomplete="off" tabindex="2" >
										</div>

										<div class="mb-4">
											<label class="form-label">Bank Account Number </label>
												<input type="text" class="form-control" name="bank_account_number" value="" tabindex="6" autocomplete="off" >
											</label>
										</div>
												
										<div class="mb-4">
											<label class="form-label">Bank Swift </label>
												<input type="text" class="form-control" name="bank_swift" value="" tabindex="9" autocomplete="off" >
											</label>
										</div>

										<div class="mb-4">
											<label class="form-label">Opening Balance </label>
												<input type="text" class="form-control numbersOnly" name="opening_balance" value="" tabindex="12" autocomplete="off" >
											</label>
										</div>

									</div>
									<div class="col-md-4">
										<div class="mb-4">
											<label class="form-label">Under ( Group ) <span class="mandi">*</span></label>
											<input type="text" class="form-control uder_group" name="uder_group" id="uder_group" value="" tabindex="3" autocomplete="off" >
											<input type="hidden" class="form-control showtext" name="acc_group_parent" id="acc_group_parent" value="" autocomplete="off" >
											<!--<div class="client_result">
												<ul class="clientList unstyled" >
												</ul>
											</div>-->
											<div class="client_result table-responsive">
												<table class="clientList table table-striped table-bordered" >
												</table>
											</div>
										</div>
										
										<div class="mb-4">
											<label class="form-label">Bank Account Holder Name </label>
												<input type="text" class="form-control" name="bank_account_holder_name" value="" tabindex="7" autocomplete="off" >
											</label>
										</div>
										
										<div class="mb-4">
											<label class="form-label">Bank Name </label>
												<input type="text" class="form-control" name="bank_name" value="" tabindex="10" autocomplete="off" >
											</label>
										</div>
										
									</div>
								</div>
                           	</div>
                        </div>
                    </div>
				</div><!-- COL END -->
				<!-- ROW-1 CLOSED -->
			</form>
		</div>
	</div>
</div>
				<!-- ROW-4 CLOSED -->
			</div>
		</div>
		<!-- CONTAINER CLOSED -->
	</div>

<script type="text/javascript">
    
    $("html").on("keyup",".uder_group",function(){
		var acc_group_name	=	$(this).val();
		$("#acc_group_parent").val('');
        if(acc_group_name===''){
			$(".client_result").css('display','none');
        	$(".uder_group").val('');
      	  	return false;
		} else {
			$.ajax({
				url:"<?php echo site_url("masters/Ledger/search_account_group")?>" , 
				type: "POST" ,
				data: {acc_group_name	: acc_group_name} ,
				success: function(data){
					$(".client_result").css('display','block');
					$(".clientList").html(data);
					client_button();
					$("html").on("keydown",".uder_group",function(ex){
						if (ex.keyCode == 40) {
							$('.clientList').on('focus', 'tr', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.clientList').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'tr', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('tr').first().focus();
						}
					});
					$(".clientList tr").keypress(function (e) {
						if (e.keyCode == 13) {
							$(".client_result").css('display','none');
							var acc_group_id = $(this).closest("tr").find(".acc_group_id").val();
							var acc_group_name = $(this).closest("tr").find(".acc_group_name").val();
							$(".uder_group").val(acc_group_name);
							$("#acc_group_parent").val(acc_group_id);
						}
					 });

				},
				error: function(){
						$("#errorMsg").html('Connection Error......');
						$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
		}
	
	});
function client_button() {
    $(".client_button").click(function() {
		$(".client_result").css('display','none');
		var acc_group_id   = $(this).closest("tr").find(".acc_group_id").val();
		var acc_group_name = $(this).closest("tr").find(".acc_group_name").val();
		$(".uder_group").val(acc_group_name);
		$("#acc_group_parent").val(acc_group_id);
    });
	$(".no_result_button").click(function() {
		$(".client_result").css('display','none');
        $(".uder_group").val('');
        $("#acc_group_parent").val('');
	});
}
</script>