

	<style>
		.client_result {
			border: 1px solid #d2d6de;
			position: absolute;
			width: 347px;
			height: auto;
			background-color: #fff;
			z-index: 100;
			margin-top: 0px;
			border-radius: 3px;
			display: none;
		}
		.clientList {
			margin:0px;
		}
		.clientList li {
			color: #000000;
			padding: 0;
			padding-left: 8px;
			height: 30px;
			padding-top: 4px;
			cursor:pointer;
			font-weight:600;
			list-style-type: none;
		}
		.clientList li:hover {
			background:#CCCCCC;
		}
		.nbactive{
			background-color:#D6D6D6;
		}
		div.dt-buttons {
			float: right;
			padding-left: 15px;
			padding-right: 15px;
		}
		.dataTables_length {
			position: absolute;
		}
		.card_padding_top {
			padding-top: 5px;
		}
		.dataTables_length {
			position: absolute;
		}
		[role="menu"] {
		clear:both;
		position:absolute;
		z-index: 1;
		}
		.buttons-columnVisibility{
			background-color: #bbbdc0;
			background: linear-gradient(to bottom, #f0f0f0 0%, #dadada 100%);
			box-shadow: inset 1px 1px 3px #666;
			width:200px;
			text-align:left;
			padding:5px;
		}
		.dt-down-arrow{
			display: none;
		}
		.td-bg-warning {
			background-color:#EDEDED !important;
			color:#000;
			font-family: "IBM Plex Sans", sans-serif;
			font-size: 13px;
			font-weight: 400;
		}
		.nbop-filter {
			background: #f6f6f6 !important;
			font-size: 15px;
    		font-weight: bold;
		}
		.nbfooter-filter {
			background: #f6f6f6 !important;
			font-size: 15px;
    		font-weight: bold;
		}
	</style>
	<!--app-content open-->
	<div class="app-content main-content">
		<div class="side-app">
			<div class="main-container">
				<!-- PAGE-HEADER -->
				<div class="page-header">
					<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
						<h1 class="page-title">Ledger Report</h1>
					</div>
					<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
						<div class="float-sm-end float-none my-1">
						</div>
					</div>
				</div>
			</div>
			<!-- PAGE-HEADER END -->

			<!-- ROW-1 -->
			<div class="row">
				<div class="col-md-12 col-lg-12">
					<form id="quotation_report" name="quotation_report" class="form-horizontal" method="post" action="<?php echo site_url('Ledger_reports/blist');?>">
						<div class="card">
							<div class="card-body">
								<div class="form-row">
									<div class="form-group col-md-2 mb-0">
										<div class="form-group">
										<?php echo form_dropdown('division', $company_division, $nbcompany_divisionslist,' id="division" class="form-control"  '); ?>
										</div>
										<input type="hidden" class="debit_opening_amount" value="<?php echo $debit_opening_amount; ?>">
										<input type="hidden" class="credit_opening_amount" value="<?php echo $credit_opening_amount; ?>">
									</div>
									
									<div class="form-group col-md-2 mb-0">
										<div class="form-group">
											<input type="text" class="form-control client" name="client" id="client" placeholder="Ledger Name" value="<?php echo $this->input->post('client'); ?>" autocomplete="off"  required >
											<input type="hidden" id="client_id" class="form-control client_id" name="client_id"  value="<?php echo $this->input->post('client_id'); ?>" />
											<input type="hidden" id="client_code" class="form-control client_code" name="client_code"  value="<?php echo $this->input->post('client_code'); ?>" />
											<div class="client_result">
												<ul class="clientList unstyled" >
												</ul>
											</div>
										</div>
									</div>
									<div class="form-group col-md-2 mb-0">
										<div class="form-group">
										<input type="text" name="fromDate" id="fromDate" class='form-control fromDate' placeholder="From Date" value="<?php if ($this->input->post('fromDate')!="") { echo date( "d-m-Y", strtotime($this->input->post('fromDate'))); } else { echo date('d-m-Y'); } ?>" autocomplete="off" required /> 
										</div>
									</div>
									<div class="form-group col-md-2 mb-0">
										<div class="form-group">
										<input type="text" name="toDate" id="toDate" class='form-control toDate' placeholder="To Date" value="<?php if ($this->input->post('toDate')!="") { echo date( "d-m-Y", strtotime($this->input->post('toDate'))); } else { echo date('d-m-Y'); } ?>" autocomplete="off" /> 
										</div>
									</div>
							<div class="col-md-1 mb-0">
								<div class="form-group">
									<button class="btn btn-primary" type="submit" name="ttttt" ><i class="fe fe-search"></i></button>
								</div>
							</div>
						</div>
					</form>
					<div class="col-md-12">
						<?php
							if($this->session->flashdata("response")!='') {
								echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
								$this->session->unset_userdata('response');
							}
						?>
						<?php
							if($this->session->flashdata("success")!='') {
								echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
								$this->session->unset_userdata('success');
							}
						?>
						<table id="billoutstanding" class="table card-table text-nowrap">
							<thead class="thead-light" >
								<tr>
									<th>#</th>
									<th>Date</th>
									<th>Voucher</th>
									<th>Voucher No</th>
									<th>Voucher Ref</th>
									<th>Description</th>
									<th style="text-align:right !important">Debit</th>
									<th style="text-align:right !important">Credit</th>
									<th>Narration</th>
								</tr>
								<!--<tr>
									<th colspan='5' style="text-align:right !important">Opening Balance</th>
									<th style="text-align:right !important"><?php if($opening<=0){ echo $opening; }?></th>
									<th style="text-align:right !important"><?php  if($opening>0){ echo $opening; }?></th>
									<th>&nbsp;</th>
								</tr>-->
							</thead>
							<tbody>
							
							<?php echo $data;?>		
							</tbody>
							
							<!--<tfoot>
								<tr>
									<th></th>
									<th></th>
									<th></th>
									<th></th>
									<th></th>
									<th style="text-align:right !important;" ></th>
									<th style="text-align:right !important;" ></th>
									<th></th>
								</tr>
								<tr>
									<th></th>
									<th></th>
									<th></th>
									<th></th>
									<th>Closing Balance</th>
									<th style="text-align:right !important;" class="ccr" ></th>
									<th style="text-align:right !important;" class="ddr" ></th>
									<th></th>
								</tr>
								<tr>
									<th></th>
									<th></th>
									<th></th>
									<th></th>
									<th></th>
									<th style="text-align:right !important;" class="tccr" ></th>
									<th style="text-align:right !important;" class="tddr" ></th>
									<th></th>
								</tr>
							</tfoot>-->
						</table>
					</div>
					<!-- table-responsive -->
				</div>
			</div>
		</div>
		<!-- ROW-1 CLOSED -->

				</div>
			</div>
		</div>
		<!-- ROW-4 CLOSED -->
	</div>
</div>
<!-- CONTAINER CLOSED -->
</div>
<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/spectrum.js"></script>
<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>
<script src="<?php echo base_url(); ?>/admincss/plugins/input-mask/jquery.maskedinput.js"></script>
<script type="text/javascript">
//$("#billoutstanding_filter").find("form-control").addClass("search_item");

$('input[type="search"]').each(function () {
	alert('sss');
            //total += Number($(this).val());
});
$(function(e) {
	$('#billoutstanding').DataTable({
		"paging": true,
		"processing": true,
		"scrollCollapse": true,
		"iDisplayLength": 100,
		"lengthMenu": [ [100, 150, 200, -1], [100, 150, 200, "All"] ],
        "info": true,
		dom: 'lBfrtip',
		buttons: [
            { extend: 'copyHtml5',title: '',text: 'Copy',header: false, text:'<i class="fa fa-copy"></i>',titleAttr: 'Copy', className: 'btn-primary', autoFilter: true, footer: true, exportOptions: {columns: ':visible' } },
			{ extend: 'excelHtml5',title: 'Ledger Report \n <?php echo $forexcelheader; ?>',filename: function(){ var today = new Date();var n = today.getTime();return 'LedgerReportExcelExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Excel', text:'<i class="fa fa-file-excel-o"></i>',titleAttr: 'Excel', className: 'btn-success', autoFilter: true, footer: true, exportOptions: {columns: ':visible' } },
			{ extend: 'print',  download: 'open',title: 'Ledger - <?php echo $client_name; ?> ',messageTop: '<?php echo $header; ?>',filename: function(){ var today = new Date();var n = today.getTime();return 'LedgerReportPrintExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Print', text:'<i class="fa fa-print"></i>',titleAttr: 'Print', className: 'btn-warning', autoFilter: true, footer: true, exportOptions: {selected: true,columns: ':visible' },
			customize: function ( doc ) {
					$(doc.document.body).find('h1').css('font-size', '30px');
					$(doc.document.body).css( 'font-size', '25px' );
					$(doc.document.body).css('text-align', 'center'); 
					$(doc.document.body).find('h1').css('text-align', 'center'); 
					$(doc.document.body).find('table thead th').css('font-size', '25px');
					$(doc.document.body).find('table tbody td').css('font-size', '22px');
					$(doc.document.body).find('table tbody td:nth-child(7)').css('text-align', 'right');
					$(doc.document.body).find('table tbody td:nth-child(8)').css('text-align', 'right');
					$(doc.document.body).find('table tfoot th:nth-child(7)').css('text-align', 'right');
					$(doc.document.body).find('table tfoot th:nth-child(8)').css('text-align', 'right');
				} ,
			},
			{ extend:'colvis', text:'<i class="fa fa-angle-double-down"></i>',titleAttr: 'Column visibility', className: 'btn-gray'},
		],
		createdRow: function(row, data, dataIndex){
        // If name is "Ashton Cox"
        if(data[0] === 'Opening'){
            // Add COLSPAN attribute
            $('td:eq(1)', row).attr('colspan', 5);

            // Hide required number of columns
            // next to the cell with COLSPAN attribute
            $('td:eq(2)', row).css('display', 'none');
            $('td:eq(3)', row).css('display', 'none');
			$('td:eq(4)', row).css('display', 'none');
			$('td:eq(5)', row).css('display', 'none');
            // Update cell data
            this.api().cell($('td:eq(13)', row)).data('N/A');
        }
    },
		"footerCallback": function ( row, data, start, end, display ) {
            var api = this.api(), data;
  
            // Remove the formatting to get integer data for summation
            var intVal = function ( i ) {
                return typeof i === 'string' ?
                    i.replace(/[\$,]/g, '')*1 :
                    typeof i === 'number' ?
                        i : 0;
            };
  
            // Total over all pages

			var debit_total = api
              .rows( { selected: true, search: 'applied' } ).indexes()
              .column(5,{search: 'applied'})
              .data()
              .reduce( function (a, b) {
                  return intVal(a) + intVal(b);
              }, 0 );

            credit_total = api
				.rows( { selected: true, search: 'applied' } ).indexes()
                .column( 6,{search: 'applied'}  )
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );

            // Total over this page
            pageTotal = api
                .column( 6)
                .data()
                .reduce( function (a, b) {
                    return intVal(a) + intVal(b);
                }, 0 );
				
            // Update footer
			//start
			/*$( api.column( 5 ).footer() ).html(debit_total);
			$( api.column( 6 ).footer() ).html(credit_total);
			
			var dr=0;
			var cr=0;
			if(debit_total>credit_total){
				var dr=debit_total-credit_total;
				$('tr:eq(1) th:eq(6)', api.table().footer()).html(dr);
				//$('#billoutstanding tfoot tr:eq(1) th.ddr').html(debit_total-credit_total);
				$('tr:eq(1) th:eq(5)', api.table().footer()).html('');
			} else {
				var cr=credit_total-debit_total;
				$('tr:eq(1) th:eq(5)', api.table().footer()).html(cr);
				$('tr:eq(1) th:eq(6)', api.table().footer()).html('');
			}
			$('tr:eq(2) th:eq(5)', api.table().footer()).html(debit_total+cr);
			$('tr:eq(2) th:eq(6)', api.table().footer()).html(credit_total+dr);*/
			//end
			//$('#billoutstanding tfoot tr:eq(2) th.tccr').html(debit_total+cr);
			//$('#billoutstanding tfoot tr:eq(2) th.tddr').html(credit_total+dr);
			/*if(debit_total>credit_total){
				$('#billoutstanding tfoot tr:eq(1) th.ddr').html(debit_total-credit_total);
			} els {
				$('#billoutstanding tfoot tr:eq(1) th.ccr').html(credit_total-debit_total);
			}*/
			//$( api.column( '.ddr' ).footer() ).html(credit_total);
			/*$( api.column( 6 ).footer() ).html(
                ''+pageTotal +' ( '+ credit_total +' total)'
            );*/
		
			//$('#billoutstanding tbody').after(`<tr><td colspan="3" class="text-center">Table Footer</td></tr>`);
        }
	});
});
function draw () {
	//$('#billoutstanding tbody').after(`<tr><td colspan="3" class="text-center">Table Footer</td></tr>`);
};
 
	$("html").on("keyup","input[type='search']",function(){
		var debit_total=0;
		var credit_total=0;
		$('.nbfooter-filter').hide();
		$('.nbop-filter').hide();
		var debit_opening_amount=Number($('.debit_opening_amount').val());
		var credit_opening_amount=Number($('.credit_opening_amount').val());
		$(".tddr").each(function () {
			debit_total+=Number($(this).html());
		});
		$(".tdcr").each(function () {
			credit_total+=Number($(this).html());
		});
		//$('.nb_total_debit').html(debit_total);
		var tdnabas	=Math.round((debit_total+debit_opening_amount)*1000)/1000;
		var tdnabas2	=Math.round((credit_total+credit_opening_amount)*1000)/1000;
		var html='<tr class="nbfooter-filter" ><td> &nbsp; </td><td> &nbsp; </td><td></td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td style="text-align:right !important;">'+(tdnabas.toFixed(3))+'</td><td style="text-align:right !important;">'+(tdnabas2.toFixed(3))+'</td><td>&nbsp;</td></tr>';
		var dr=0;
		var cr=0;
		debit_total=debit_total+debit_opening_amount;
		credit_total=credit_total+credit_opening_amount;
		if(debit_total>credit_total){
			var dr=Math.round((debit_total-credit_total)*1000)/1000;
			html+='<tr class="nbfooter-filter" ><td> &nbsp; </td><td> &nbsp; </td><td></td><td>&nbsp;</td><td>&nbsp;</td><td>Closing Balance</td><td style="text-align:right !important;"></td><td style="text-align:right !important;">'+(dr.toFixed(3))+'</td><td>&nbsp;</td></tr>';
		} else {
			
			var cr=Math.round((credit_total-debit_total)*1000)/1000;
			html+='<tr class="nbfooter-filter" ><td> &nbsp; </td><td> &nbsp; </td><td></td><td>&nbsp;</td><td>&nbsp;</td><td>Closing Balance</td><td style="text-align:right !important;">'+(cr.toFixed(3))+'</td><td style="text-align:right !important;"></td><td>&nbsp;</td></tr>';
		}
		var total=Math.round((debit_total+cr)*1000)/1000;
		var total2=Math.round((credit_total+dr)*1000)/1000;
		html+='<tr class="nbfooter-filter" ><td> &nbsp; </td><td> &nbsp; </td><td></td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td style="text-align:right !important;">'+(total.toFixed(3))+'</td><td style="text-align:right !important;">'+(total2.toFixed(3))+'</td><td>&nbsp;</td></tr>';
		$("#billoutstanding tbody").append(html);
		
		var ophtml='<tr class="" ><td></td><td></td><td></td><td></td><td></td><td>Opening Balance</td><td style="text-align:right !important;" >'+(debit_opening_amount.toFixed(3))+'</td><td style="text-align:right !important;" >'+(credit_opening_amount.toFixed(3))+'</td><td></td></tr>';
		$("#billoutstanding tbody").prepend(ophtml);
	});

	$("html").on("keyup",".client",function(){
        if($('#division_id').val()===''){
            alert('Please Select Division');
            $('.client_id').val('');
            return false;
        }
	    var client	=	$(this).val();
        if(client===''){
            $(".client_result").css('display','none'); 
        }
	    $('.client_id').val('');
	    $('.client_address').val('');
        $("#prospect_name").val('');
        $('#prospect_name').attr('readonly', false);
		$(".client_id").val('');
		$("#phone").val('');
        $("#email").val('');
        $(".cname").html('');
        $(".cphone").html('');
        $(".cemail").html('');
        $(".caddress").html('');
        $(".cperson").html('');
        $(".tax_name").html('');
        $(".tax_no").html('');
        $('.nbselect').hide();
        $("#contact_person").val('');
	if (client==''){
		$(this).val("");
		return false;
	} else {
		$.ajax({
				url:"<?php echo site_url("Ledger_reports/search_ledger")?>" , 
				type: "POST" ,
				data: {client	: client} ,
				success: function(data){
					$(".client_result").css('display','block');
					$(".clientList").html(data);
					client_button();
					$('.client').keydown(function (ex) {
						if (ex.keyCode == 40) {
							$('.clientList').on('focus', 'li', function() {
								$this = $(this);
								$this.addClass('nbactive').siblings().removeClass();
								$this.closest('.clientList').scrollTop($this.index() * $this.outerHeight());
							}).on('keydown', 'li', function(e) {
								$this = $(this);
								if (e.keyCode == 40) {        
									$this.next().focus();
									return false;
								} else if (e.keyCode == 38) {        
									$this.prev().focus();
									return false;
								}
							}).find('li').first().focus();
						}
					});
					$(".clientList li").keypress(function (e) {
						if (e.keyCode == 13) {
                            $(".client_result").css('display','none');
         					var client_id	=	($(this).attr('value'));
                            var client_name = $(this).closest("li").find(".client_name").val();
							var client_code = $(this).closest("li").find(".client_code").val();
                            $('.nbselect').show();
                            $(".client").val(client_name);
                            $(".client_id").val(client_id);
							$(".client_code").val(client_code);
						}
					 });
				},
				error: function(){
						$("#errorMsg").html('Connection Error......');
						$("#errorMsg").stop(true, true, true).slideDown(500);
				}
			});
	}
	
});
function client_button() {
    $(".client_button").click(function() {
		$(".client_result").css('display','none');
        var client_id	=	($(this).attr('value'));
		var client_name = $(this).closest("li").find(".client_name").val();
		var client_code = $(this).closest("li").find(".client_code").val();
        $('.nbselect').show();
        $(".client").val(client_name);
        $(".client_id").val(client_id);
		$(".client_code").val(client_code);
    });
	$(".no_result_button").click(function() {
		$(".client_result").css('display','none');
        $(".client").val('');
         $("#prospect_name").val('');
         $('#prospect_name').attr('readonly', false);
		 $(".client_id").val('');
		 $("#phone").val('');
         $("#email").val('');
         $(".cname").html('');
         $(".cphone").html('');
         $(".cemail").html('');
         $(".caddress").html('');
         $(".cperson").html('');
         $(".tax_name").html('');
         $(".tax_no").html('');
         var html='<option value="" selected="selected"> - Select Contact Person- </option>';
        $('#client_contact').html(html);
        $('.nbselect').hide();
        $('#contact_person').prop('type', 'text');
	});
}
		
		
</script>