

	<!--app-content open-->
	<div class="app-content main-content">
		<div class="side-app">
			<div class="main-container">
				<!-- PAGE-HEADER -->
				<div class="page-header">
					<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
						<h1 class="page-title">Bank reconciliation (Opening)</h1>
                    </div>
					<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
                        <div class="float-sm-end float-none my-1">
							<a id="add__new__list" type="button" class="btn btn-md btn-primary " data-bs-target=".bd-example-modal-lg" href="<?php echo site_url('masters/Brand');?>"><i class="fa fa-list"></i> List</a>
						</div>
                    </div>
				</div>
			</div>
			<!-- PAGE-HEADER END -->
			<!-- ROW-1 -->
			<form id="user_groups" name="user_groups" class="form-horizontal" method="post" action="<?php echo site_url('Bank_reconciliation/opening_br');?>">
				<div class="row">
					<div class="col-md-12">
						<div class="card">
							<?php if($this->session->flashdata("response")!='' or validation_errors()!=''){ ?><div class="alert alert-danger"><?php echo $this->session->flashdata('response'); ?></div><?php } ?>
							<div class="card-header">
								<h3 class="mb-0 card-title">Bank reconciliation (Opening)</h3>
							</div>
							<div class="card-body">
								<div class="row">
									<div class="col-md-8">
										<div class="mb-4">
											<label class="form-label">Date</label>
											<input type="text" name="fromDate" id="fromDate" class="form-control check_book_begning_date col-md-4" placeholder="Date" value="" autocomplete="off" required />
										</div>
										<div class="mb-4">
											<label class="form-label">Details</label>
											<input type="text" name="details" id="details" class="form-control col-md-4" placeholder="Details" value="<?php echo $this->input->post('details'); ?>" autocomplete="off" required />
										</div>
										<div class="mb-4">
											<label class="form-label">Transactions</label>
											<?php $transaction_list = array('RECEIPT' => 'Receipt', 'PAYMENT' => 'Payment'); echo form_dropdown('transaction', $transaction_list, $this->input->post('transaction'),'class="form-control form-select select2 col-md-4" id="transaction" '); ?>
										</div>
										<div class="mb-4">
											<label class="form-label">TR Type</label>
											<?php echo form_dropdown('led_code', $bank_list, $this->input->post('led_code'),'class="form-control form-select select2 col-md-4" id="led_code" '); ?>
											<input type="hidden" name="tr_type" id="tr_type" class="form-control col-md-4" value="" autocomplete="off" />
										</div>
										<div class="mb-4">
											<label class="form-label">Amount</label>
											<input type="text" name="amount" id="amount" class="form-control col-md-4" placeholder="Amount" value="<?php echo $this->input->post('amount'); ?>" autocomplete="off" required />
										</div>
										<div class="mb-4">
											<label class="form-label">Insta No</label>
											<input type="text" name="insta_no" id="insta_no" class="form-control col-md-4" placeholder="Insta No" value="<?php echo $this->input->post('insta_no'); ?>" autocomplete="off" />
										</div>
										<div class="mb-4">
											<label class="form-label">Insta Date</label>
											<input type="text" name="insta_date" id="insta_date" class="form-control check_book_begning_date col-md-4" placeholder="Insta Date" value="" autocomplete="off" />
										</div>
										
										<div class="mb-4">
											<button type="submit" class="btn btn-secondary">Save</button>
											<!-- <a href="<?php echo site_url('masters/Brand'); ?>" class="btn btn-danger">Exit</a> -->
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div><!-- COL END -->
				<!-- ROW-1 CLOSED -->
			</form>
		</div>
	</div>
</div>
<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>
<script type="text/javascript">
	$(document).ready(function(){
		$('#led_code').change(function(){
			var tr_type = $('#led_code option:selected').text();
			if(tr_type==='Select'){
				$('#tr_type').val('');
			} else {
				$('#tr_type').val(tr_type);
			}
		});
	});
</script>