

	<!--app-content open-->
	<div class="app-content main-content">
		<div class="side-app">
			<div class="main-container">
				<!-- PAGE-HEADER -->
				<div class="page-header">
					<div class="col-xl-5 col-lg-6 col-md-5 col-sm-6">
						<h1 class="page-title">Job Report</h1>
					</div>
					<div class="col-xl-7 col-lg-6 col-md-7 col-sm-6">
						<div class="float-sm-end float-none my-1">
						</div>
					</div>
				</div>
			</div>
			<!-- PAGE-HEADER END -->

			<!-- ROW-1 -->
			<div class="row">
				<div class="col-md-12 col-lg-12">
					<form id="quotation_report" name="quotation_report" class="form-horizontal" method="post" action="<?php echo site_url('Job_reports');?>">
						<div class="card">
							<div class="card-body">
								<div class="form-row">
									<div class="form-group col-md-2 mb-0">
										<div class="form-group">
											<input type="text" class="form-control" name="job_number" id="job_number" placeholder="Job No" value="<?php if($this->input->post('job_number')!=""){echo $this->input->post('job_number') ;}else{ echo @$job_number;}?>"  required autocomplete="off" >
										</div>
									</div>
								
								<div class="col-md-1 mb-0">
									<div class="form-group">
										<button class="btn btn-primary" type="submit" name="ttttt" ><i class="fe fe-search"></i></button>
									</div>
								</div>
						</div>
					</form>
					<div class="table-responsive col-md-12">
						<?php
							if($this->session->flashdata("response")!='') {
								echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
								$this->session->unset_userdata('response');
							}
						?>
						<?php
							if($this->session->flashdata("success")!='') {
								echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
								$this->session->unset_userdata('success');
							}
						?>
						<table class="table card-table" >
                            <tr>
                                <th>Item Name</th>
                                <th>Orders</th>
                                <th>Mat Issued</th>
                                <th>Closing Stock</th>
                                <th>PO</th>
                                <th>Req Qty</th>
                            </tr>
                            <?php 
                                if($invoice_list!=false) { 
                                    foreach($invoice_list as $records) { 
                            ?>
                            <tr>
                                <td><?php echo $records['item_name']; ?></td>
                                <td><?php echo $records['material_qty']; ?></td>
                                <td>
                                    <?php 
                                        $job_card_id  =   $records['id']; 
                                        $item_id  =   $records['item_id'];
                                        $this->db->select('MIH.mi_code,sum(MIB.item_qty) as issued_qty');
                                        $this->db->from('material_issue_h AS MIH');
                                        $this->db->join('material_issue_b AS MIB','MIH.mi_id = MIB.mi_id','inner');
                                        $this->db->join('job_card AS JC','MIH.job_id = JC.id','inner');
                                        //$this->db->where('MIH.job_id', $job_card_id);
                                        $this->db->where('MIB.item_details_id', $item_id);
                                        $this->db->where('JC.job_card_status', 'Draft');
                                        $query4 = $this->db->get();
                                        $matData=$query4->row_array();
                                        $issued_qty=0;
                                        if($matData!=false){
                                            if($matData['issued_qty']!=NULL){
                                                $issued_qty=$matData['issued_qty'];
                                                echo $matData['issued_qty'];
                                            } else {
                                                echo 0;
                                            }
                                        } else {
                                            echo 0;
                                        }
                                    ?>
                                </td>
                                <td>
                                    <?php 
                                        $this->db->select('sum(item_qty) as closing_stock');
                                        $this->db->from('item_trans');
                                        $this->db->where('item_id', $item_id);
                                        $query = $this->db->get();
                                        $closingStockData=$query->row_array();
                                        $closing_stock=0;
                                        if($closingStockData!=false){
                                            if($closingStockData['closing_stock']!=NULL){
                                                $closing_stock=$closingStockData['closing_stock'];
                                                echo $closingStockData['closing_stock'];
                                            } else {
                                                echo 0;
                                            }
                                        } else {
                                            echo 0;
                                        }
                                    ?>
                                </td>
                                <td>
                                    <?php 
                                        $job_card_id  =   $records['id']; 
                                        $item_id  =   $records['item_id'];
                                        $this->db->select('sum(PO.item_qty) as po_qty,pur_det_id');
                                        $this->db->from('po_h PH');
                                        $this->db->join('po_b PO','PH.po_id = PO.po_id','LEFT');
                                        $this->db->join('purchase_b AS B','PO.po_b_id = B.po_b_id','LEFT');
                                       // $this->db->where('PH.job_id', $job_card_id);
                                        $this->db->where('PH.status!=', 'Cancel');
                                        $this->db->where('PO.item_details_id', $item_id);
                                        $query2 = $this->db->get();
                                        $poData=$query2->row_array();
                                        $po_qty=0;
                                        if($poData!=false){
                                            if($poData['po_qty']!=NULL){
                                                $po_qty=$poData['po_qty'];
                                                echo $poData['po_qty'];
                                            } else {
                                                echo 0;
                                            }
                                        } else {
                                            echo 0;
                                        }
                                    ?>
                                </td>
                                <td><?php echo $closing_stock-$records['material_qty']+$issued_qty+$po_qty; ?></td>
                            </tr>
                            <?php } } ?>
                        </table>		
						
								
						
								
                            </div>
                        </div>
                    </div>
                </div>
                        </div>
				
					<!-- table-responsive -->
				</div>
			</div>
		</div>
		<!-- ROW-1 CLOSED -->

				</div>
			</div>
		</div>
		<!-- ROW-4 CLOSED -->
	</div>
</div>
<!-- CONTAINER CLOSED -->
</div>
