<style>
	.legend-white {
		font-size: 10px;
	}
	.alert-info {
    	color: #24587e;
	}
	.alert-warning {
    	color: #7d6608;
	}
	.alert-success {
    	color: #316100;
	}
	.alert-danger {
    	color: #6b1110;
	}
	.showPrint{
		display:none;
	}
	@media print {
		.hidePrint{
			display:none;
		}
		.showPrint{
			display:block;
		}
		div.dt-buttons {
			display:none;
		}
		.dataTables_filter label{
			display:none;
		}
		table.dataTable>thead .sorting::before,
		table.dataTable>thead .sorting_asc::before,
		table.dataTable>thead .sorting_desc::before,
		table.dataTable>thead .sorting_asc_disabled::before,
		table.dataTable>thead .sorting_desc_disabled::before {
			right: 0;
			content: "";
		}
 
		table.dataTable>thead .sorting::after,
		table.dataTable>thead .sorting_asc::after,
		table.dataTable>thead .sorting_desc::after,
		table.dataTable>thead .sorting_asc_disabled::after,
		table.dataTable>thead .sorting_desc_disabled::after {
			right: 0;
			content: "";
		}
		th {
			font-weight: bold !important;
		}
		tr {
			color:#000 !important;
		}
		.card-category {
			padding: 15px;
		}
		#back-to-top{
			display:none !important;
		}
	}
	div.dt-buttons {
		float: right;
		padding-left: 15px;
		padding-right: 100px;
	}
	.dataTables_length {
		position: absolute;
	}
	[role="menu"] {
	clear:both;
	position:absolute;
	z-index: 1;
	}
	.buttons-columnVisibility{
		background-color: #bbbdc0;
		background: linear-gradient(to bottom, #f0f0f0 0%, #dadada 100%);
		box-shadow: inset 1px 1px 3px #666;
		width:200px;
		text-align:left;
		padding:5px;
	}
	.dt-down-arrow{
		display: none;
	}
	.selected {
		background-color: #bbbdc0;
	}
	
	</style>
<!--app-content open-->
<div class="app-content main-content">
	<div class="side-app">
		<div class="main-container">
			<!-- PAGE-HEADER -->
			<div class="page-header hidePrint">
				<div>
					<h1 class="page-title">Trial Balance</h1>
					<ol class="breadcrumb">
						<li class="breadcrumb-item"><a href="<?php echo site_url('Dashboard/home');?>">Home</a></li>
						<li class="breadcrumb-item active" aria-current="page">Trial Balance</li>
					</ol>
				</div>
			</div>
			<!-- PAGE-HEADER END -->
			
			<!-- ROW-1 OPEN -->
			<div class="row">
				<div class="col-md-12 col-lg-12">
					<div class="card">
						<?php
							if($this->session->flashdata("response")!='') {
								echo '<div class="alert alert-danger">' . $this->session->flashdata("response") . '</div>';
								$this->session->unset_userdata('response');
							}
						?>
						<?php
							if($this->session->flashdata("success")!='') {
								echo '<div class="alert alert-success">' . $this->session->flashdata("success") . '</div>';
								$this->session->unset_userdata('success');
							}
						?>
						<form id="quotation_report" name="quotation_report" class="form-horizontal" method="post" action="<?php echo site_url('Trial_balance/index/result');?>">
							<div class="card-body hidePrint">
								<div class="form-row">
									<!--<div class="form-group col-md-2 mb-0">
										<div class="form-group">
											<?php if(!isset($submitted_division_id)) $submitted_division_id = "select"; ?>
											<?php echo form_dropdown('division', $division_list, $submitted_division_id, 'id="division" class="form-control form-select select2"') ?>
										</div>
									</div>-->
									<div class="form-group col-md-2 mb-0">
										<div class="form-group">
											<input type="text" class="form-control  fromDate" id="report_date_from" name="report_date_from" placeholder="From Date" value="<?php echo $this->input->post('report_date_from') ;?>"  autocomplete="off" >
										</div>
									</div>
									<div class="form-group col-md-2 mb-0">
										<div class="form-group">
											<input type="text" class="form-control  toDate" id="report_date_to" name="report_date_to" placeholder="To Date" value="<?php if ($this->input->post('report_date_to')){  echo $this->input->post('report_date_to'); } //elseif($toDate!=='NIL'){ echo $toDate; } ?>"  autocomplete="off" >
										</div>
									</div>
									
									<!-- <div class="form-group col-md-2 mb-0">
										<div class="form-group">
											<?php 
												/* $quotation_statuses = array(
													'0' => 'All',
													'Draft'=>'Draft',
													'Open'=>'Open',
													'Closed'=>'Closed',
													'Confirmed'=>'Confirmed'
												);
												echo form_dropdown('quotation_status', $quotation_statuses, $this->input->post('quotation_status'),'class="form-control form-select select2"'); */ 
											?>
										</div>
									</div> -->
									<div class="col-md-2 mb-0">
										<div class="form-group">
											<button class="btn btn-primary " type="submit" name="results" id="results"  ><i class="fe fe-search"></i></button>
											<button class="btn btn-success " type="button" name="results" id="results" onclick="javascript:window.print();" ><i class="fe fe-printer"></i></button>
										</div>
									</div>
								</div>
							</div>
						</form>
						
						<div class="row showPrint">
							<div class="clearfix">
								<div class="float-start">
									<?php if(isset($logo_filename)){ ?>
										<img src="<?php echo base_url()."images/company_division/".$logo_filename; ?>" alt="" height="70px;" width="260px;"  class="logo"/>
									<?php } else { 
										if(isset($company_details['company_logo'])){ ?>
										<img src="<?php echo base_url()."images/company_logo/".$company_details['company_logo']; ?>" alt="" height="70px;" width="260px;"  class="logo"/>
									<?php } } ?>
								</div>
								<div class="float-end">
									<address  style=" text-align: right;" >
										<?php if(isset($company_details['company_name'])){ echo $company_details['company_name'];} ?>  <?php if(isset($company_details['cr_number'])){ if($company_details['cr_number']!=""){ echo ' | '.$company_details['cr_number'];}} ?>
										<?php if(isset($company_details['company_address'])){ $company_details['company_address']; } ?>  <br>
										<?php if(isset($company_details['email_id'])){ if($company_details['email_id']!=""){ echo ' | '.$company_details['email_id'].'<br>';}} ?>
										<?php if(isset($company_details['telephone_no'])){ echo $company_details['telephone_no'];} ?>  <?php if(isset($company_details['fax_no'])){ if($company_details['fax_no']!=""){ echo ' | '.$company_details['fax_no'];} } ?>
										<?php if(isset($company_details['tax_no'])){ if($company_details['tax_no']!=""){  echo ' <br> TRN # '.$company_details['tax_no'];  } } ?>
									</address>
								</div>
							</div>
							<div class="card-body text-center ">
								<div class="card-category">Trial Balance</div>
							</div>
							<div class="text-center ">
								<div>&nbsp;</div>
								<div>From : <?php if ($this->input->post('report_date_from')){  echo $this->input->post('report_date_from'); } ?><?php if ($this->input->post('report_date_to')){  echo 'To '.$this->input->post('report_date_to'); } ?> </div>
								<div><?php if(isset($sales_man)){ echo 'Sales Man : '.$sales_man; } ?></div>
								<div>&nbsp;</div>
							</div>
						</div>
						<div class="table-responsive" style="min-height: 250px;">
							<button class="btn-danger hidePrint" type="button" name="delete_row" id="delete_row" title="Delete Selected row " style="position: relative; top: 0px;float: right;right: 96px; <?php if($records == false) { echo 'display:none;'; } ?> " ><i class="fa fa-trash-o"></i></button>
							<table id="quotation_register_data" class="table card-table">
								<thead class="thead-light" >
									<tr>
										<th>Particulars</th>
										<th style="text-align:right;width:150px;" >Opening Balance</th>
										<th style="text-align:right;width:150px;" >Debit</th>
										<th style="text-align:right;width:150px;" >Credit</th>
										<th style="text-align:right;width:150px;" >Closing Balance</th>
									</tr>
								</thead>
								<?php
										$totalAmt = 0;
										$tr_count = 1;
										$sql='';

										$sqlxxx='';

										if($this->input->post('report_date_from') != ''  or $this->input->post('report_date_to') != '' ) {
					
											$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
											$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to')));
											if ($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='') {
												$where2['vch_date >='] = $date_fmt;
												$where2['vch_date <='] = $date_to;
												$sql.=" and vch_date >= '$date_fmt' and vch_date <= '$date_to' ";
											} else if ($this->input->post('report_date_from') != '') {
												$where2['vch_date >='] = $date_fmt;
												$sql.=" and vch_date < '$date_fmt' ";
											} else if ($this->input->post('report_date_to')!=''){
												$where2['vch_date <='] = $date_to;
												$sql.=" and vch_date < '$date_to' ";
											}
										}

										if($records != false) {
											foreach($records as $record){
												$acc_group_id	=	$record['acc_group_id'];
												$parent_query= $this->db->query("select sum(led.opening_balance) as opening_balance_from_ledger from ledgers led left join account_group acc_g on acc_g.acc_group_id=led.acoount_group_id where led.acoount_group_id='$acc_group_id' or acc_g.acc_group_parent='$acc_group_id'");
												if($parent_query->row()!=false){
													$opening_balance_from_ledger=round($parent_query->row()->opening_balance_from_ledger,3); 
												} else {
													$opening_balance_from_ledger=0;
												}
												//echo $this->db->last_query().'<br>';
												$parent_query2= $this->db->query("select *,sum(ledger_amount) as opening from view_for_accounts where acc_group_id='$acc_group_id' ".$sql." limit 1");
												if($parent_query2->row()!=false){
													$parent_opening=round($parent_query2->row()->opening,3); 
												} else {
													$parent_opening=0;
												} 
														
												$parent_group_name 	=	$parent_query2->row()->parent_group_name; 
												$where['parent_group_name'] = $parent_group_name;
	
												if($this->input->post('report_date_from') != ''  or $this->input->post('report_date_to') != '' ) {
						
													$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
													$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to')));
								
													if ($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='') {
														$where['vch_date >='] = $date_fmt;
														$where['vch_date <='] = $date_to;
													} else if ($this->input->post('report_date_from') != '') {
														$where['vch_date >='] = $date_fmt;
													} else if ($this->input->post('report_date_to')!=''){
														$where['vch_date <='] = $date_to;
													}
												}
	
												$this->db->select('acc_group_id,acc_group_name,Round(sum(ledger_amount),3) as Amount');
												$this->db->from('view_for_accounts');
												$this->db->group_by("acc_group_id");
												$this->db->order_by("acc_group_id", "DESC");
												$this->db->where($where);
												$rs = $this->db->get();
												$lll= $this->db->last_query().'<br>';
												$sub_records=$rs->result_array();

									?>
										<tr>
											<td style="font-size: 15px;font-weight: bolder;"><?php echo $record['acc_group_name']; ?>  <?php //echo $record['acc_group_id']; ?></td>
											<td style="text-align:right;font-size: 15px;font-weight: bolder;" ><?php echo $opening_balance_from_ledger; ?> </td>
											<?php if($parent_opening>=0){ ?>
												<td style="text-align:right;font-size: 15px;font-weight: bolder;" ><?php echo number_format($parent_opening,3); ?></td>
												<td style="text-align:right;font-size: 15px;font-weight: bolder;" ></td>
											<?php } else { ?>
												<td style="text-align:right;font-size: 15px;font-weight: bolder;" ></td>
												<td style="text-align:right;font-size: 15px;font-weight: bolder;" ><?php echo number_format(-1*$parent_opening,3); ?></td>
											<?php } ?>
											<td style="text-align:right;font-size: 15px;font-weight: bolder;" ><?php $closing_balance	=	$opening_balance_from_ledger+$parent_opening; if($closing_balance>=0) { echo number_format($closing_balance,3); } else { echo number_format(-1*$closing_balance,3); }  ?> </td>
										</tr>

										<?php 
										$sub_records=$rs->result_array();
										if($sub_records != false) {
											foreach($sub_records as $sub_record){
												//$where2['parent_group_name'] = $parent_group_name;
												if($this->input->post('report_date_from') != ''  or $this->input->post('report_date_to') != '' ) {
				
													$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
													$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to')));
													if ($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='') {
														$where2['vch_date >'] = $date_fmt;
														$where2['vch_date <'] = $date_to;
														$sqlxxx.=" and vch_date < '$date_fmt' ";
													} else if ($this->input->post('report_date_from') != '') {
														$where2['vch_date >='] = $date_fmt;
														$sqlxxx.=" and vch_date < '$date_fmt' ";
													} else if ($this->input->post('report_date_to')!=''){
														$where2['vch_date <'] = $date_to;
														$sqlxxx.=" and vch_date < '$date_to' ";
													}
												}
												$where2['acoount_group_id'] = $sub_record['acc_group_id'];
												$this->db->select('led.ledger_name,led.ledger_code,led.opening_balance,sum(acc.ledger_amount) as Amount');
												$this->db->from('ledgers as led');
												$this->db->join('accounts as acc','acc.ledger_code = led.ledger_code and acc.status=1','left');
												$this->db->group_by("led.ledger_code");
												$this->db->order_by("led.ledger_name", "ASC");
												$this->db->where($where2);
												$ls = $this->db->get();
												$led_records=$ls->result_array();
												
												if($rs->num_rows()>1) {
													$s_acc_group_id=$sub_record['acc_group_id'];
													$query7= $this->db->query("Select sum(opening_balance) as sub_opening_total,sum(ledger_amount) as Amount from (SELECT count(led.ledger_name),led.ledger_code,led.opening_balance,sum(acc.ledger_amount) as ledger_amount,led.acoount_group_id FROM `ledgers` led left join `accounts` acc on acc.ledger_code=led.ledger_code and acc.status='1' WHERE led.acoount_group_id='$s_acc_group_id' group by led.ledger_code) as T");
													$sub_opening_total=round($query7->row()->sub_opening_total,3); 
									?>
										<tr style="font-weight: 900;" >
											<td>&nbsp;&nbsp;&nbsp;<?php echo $sub_record['acc_group_name']; ?> </td>
											<td style="text-align:right;font-weight: bolder;" ><?php if($sub_opening_total>=0){  if($sub_opening_total!=0){ echo number_format($sub_opening_total,3).' DR'; } } else { echo number_format(-1*$sub_opening_total,3).' CR'; } ?></td>
											<?php if($sub_record['Amount']>=0){ ?>
											<td style="text-align:right;" ><?php echo number_format($sub_record['Amount'],3); ?>&nbsp;&nbsp;&nbsp;</td>
											<td style="text-align:right;" >&nbsp;&nbsp;&nbsp;</td>
											<?php } else { ?>
												<td style="text-align:right;" >&nbsp;&nbsp;&nbsp;</td>
											<td style="text-align:right;" ><?php echo number_format(-1*$sub_record['Amount'],3); ?>&nbsp;&nbsp;&nbsp;</td>
											<?php } ?>
											<td style="text-align:right;font-weight: bolder;" ><?php $closing_balance2	= $sub_opening_total+$sub_record['Amount']; if($closing_balance2>=0){  echo number_format($closing_balance2,3).' DR';  } else { echo number_format(-1*$closing_balance2,3).' CR'; } ?></td>
										 <?php }  ?>
											<?php if($sub_record['acc_group_id']!=18 and $sub_record['acc_group_id']!=17 ){	if($led_records != false) {
													foreach($led_records as $led_record){
														
														$ledger_code	=$led_record['ledger_code'];
														$opening2=round($led_record['opening_balance'],3); 
														?>
														<tr >
															<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php echo $led_record['ledger_name']; //echo ', '.$led_record['Amount']; ?></td>
															<td style="text-align:right;" ><?php if($opening2>=0){  if($opening2!=0){ echo number_format($opening2,3).' DR'; } } else { echo number_format(-1*$opening2,3).' CR'; } ?></td>
															<?php  //$dr_or_cr_amount=$opening2+$query7->row()->Amount;
															$dr_or_cr_amount=$led_record['Amount']; if($dr_or_cr_amount>=0){ ?>
																<td style="text-align:right;" ><?php echo number_format($dr_or_cr_amount,3); ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
																<td style="text-align:right;" >&nbsp;&nbsp;&nbsp;</td>
															<?php } else { ?>
																<td style="text-align:right;" >&nbsp;&nbsp;&nbsp;</td>
																<td style="text-align:right;" ><?php echo number_format(-1*$dr_or_cr_amount,3); ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
															<?php } ?>
															<td style="text-align:right;" ><?php $closing_balance3	= $opening2+$dr_or_cr_amount; if($closing_balance3>=0){  echo number_format($closing_balance3,3).' DR';  } else { echo number_format(-1*$closing_balance3,3).' CR'; } ?></td>
														</tr>
											<?php	} }
												} } }
											?>
										</tr>

									<?php } }  ?>
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- CONTAINER CLOSED -->
	</div>
</div>
<script src="<?php echo base_url(); ?>/admincss/plugins/date-picker/jquery-ui.js"></script>
<script type="text/javascript">
$(function(e) {
	var table =  $('#quotation_register_data').DataTable({
		"paging": false,
		"processing": true,
		"scrollCollapse": true,
		"ordering": false,
		"iDisplayLength": 5000000,
		"lengthMenu": false,
		"bInfo" : false,
		dom: 'lBfrtip',
        buttons: [
            { extend: 'copyHtml5',title: '',text: 'Copy',header: false, text:'<i class="fa fa-copy"></i>',titleAttr: 'Copy', className: 'btn-primary', exportOptions: {columns: ':visible' } },
			{ extend: 'excelHtml5',title: 'Trial Balance',filename: function(){ var today = new Date();var n = today.getTime();return 'TrialBalanceExcelExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Excel', text:'<i class="fa fa-file-excel-o"></i>',titleAttr: 'Excel', className: 'btn-success', exportOptions: {columns: ':visible' } },
			/* { extend: 'print',title: 'Purchase Order Data',filename: function(){ var today = new Date();var n = today.getTime();return 'PurchaseOrderPrintExport' + today.getDate().toString()+(today.getMonth()+1)+today.getFullYear(); },text: 'Print', text:'<i class="fa fa-print"></i>',titleAttr: 'Print', className: 'btn-warning', exportOptions: {columns: ':visible' } },	 */	
			{ extend:'colvis', text:'<i class="fa fa-angle-double-down"></i>',titleAttr: 'Column visibility', className: 'btn-gray'},
		]
	});
	//
	$('#quotation_register_data tbody').on('click', 'tr', function () {
        if ($(this).hasClass('selected')) {
            $(this).removeClass('selected');
        } else {
            table.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }
    });
	
	$('#delete_row').click(function () {
        table.row('.selected').remove().draw(false);
		var grand_total=0;
		$('.qtn_amount').each(function() {
			grand_total+= Number($(this).attr("data-qtn_amount"));
		});
		$('.grand_total').html('BD '+Number.parseFloat(grand_total).toFixed(3));
    });
	// Select2 { extend: 'csvHtml5',text: 'CSV',header: false, text:'<i class="fa fa-file-pdf-o"></i>',titleAttr: 'CSV', className: 'btn-warning' },
	//{ extend: 'colvis',title: '',filename: 'fileName',text: 'Pdf', text:'<i class="fa fa-file-pdf-o"></i>',titleAttr: 'Pdf', className: 'btn-warning' },
	
});

</script>